import { GUI } from '../core/gui';
import type { BreadCrumbCfg, BreadCrumbOptions } from './type';
export type { BreadCrumbCfg, BreadCrumbOptions };
export declare class BreadCrumb extends GUI<Required<BreadCrumbCfg>> {
    /**
     * 标签类型
     */
    static tag: string;
    /**
     * 默认参数
     */
    private static defaultOptions;
    /**
     * 面包屑容器
     */
    private containerShape;
    /**
     * 面包屑子项容器
     */
    private breadcrumbItemShapes;
    /**
     * 分隔符容器
     */
    private separatorShapes;
    /**
     * 光标 X 位置
     */
    private cursorX;
    /**
     * 光标 Y 位置
     */
    private cursorY;
    /**
     * 行号
     */
    private lineNumber;
    /**
     *
     * @param options
     */
    constructor(options: BreadCrumbOptions);
    init(): void;
    /**
     * 组件更新
     * @param cfg
     */
    update(cfg: Partial<BreadCrumbCfg>): void;
    /**
     * 组件清除
     */
    clear(): void;
    /**
     *
     * 初始化 光标位置
     */
    private initCursor;
    private getStyle;
    /**
     * 创建分隔符shape，返回最新的宽度
     * @param y
     * @returns
     */
    private createSeparator;
    /**
     * 创建面包屑组件容器
     */
    private createBreadcrumbContainer;
    /**
     * 面包屑绑定事件
     * @param shape
     * @param item
     */
    private bindEvents;
    /**
     * 判断是否超出宽度
     * @param shape
     * @param newWidth
     */
    private isOverWidth;
    private getPadding;
}
