/**
 * 尺寸配置
 */
export declare const SIZE_STYLE: {
    small: {
        textStyle: {
            fontSize: number;
        };
        buttonStyle: {
            width: number;
            height: number;
        };
        markerStyle: {
            size: number;
        };
    };
    middle: {
        textStyle: {
            fontSize: number;
        };
        buttonStyle: {
            width: number;
            height: number;
        };
        markerStyle: {
            size: number;
        };
    };
    large: {
        textStyle: {
            fontSize: number;
        };
        buttonStyle: {
            width: number;
            height: number;
        };
        markerStyle: {
            size: number;
        };
    };
};
/**
 * 类型配置
 */
export declare const TYPE_STYLE: {
    primary: {
        textStyle: {
            default: {
                fill: string;
            };
            active: {};
        };
        buttonStyle: {
            default: {
                fill: string;
                lineWidth: number;
            };
            active: {
                fill: string;
            };
        };
        markerStyle: {
            default: {
                fill: string;
            };
            active: {
                fill: string;
            };
        };
    };
    dashed: {
        textStyle: {
            default: {};
            active: {};
        };
        buttonStyle: {
            default: {
                stroke: string;
                lineDash: number[];
            };
            active: {};
        };
        markerStyle: {};
    };
    link: {
        textStyle: {
            default: {
                fill: string;
            };
            active: {};
        };
        buttonStyle: {
            default: {
                lineWidth: number;
            };
            active: {};
        };
        markerStyle: {
            default: {
                fill: string;
            };
        };
    };
    text: {
        textStyle: {
            default: {
                fill: string;
            };
            active: {};
        };
        buttonStyle: {
            default: {
                lineWidth: number;
            };
            active: {};
        };
        markerStyle: {
            default: {
                stroke: string;
            };
        };
    };
    default: {
        textStyle: {
            default: {
                fill: string;
            };
            active: {
                fill: string;
            };
        };
        buttonStyle: {
            default: {
                stroke: string;
            };
            active: {
                stroke: string;
            };
        };
        markerStyle: {
            default: {
                stroke: string;
                lineWidth: number;
            };
            active: {
                stroke: string;
            };
        };
    };
};
/**
 * disabled style
 */
export declare const DISABLED_STYLE: {
    strict: {
        textStyle: {
            fill: string;
        };
        buttonStyle: {};
        markerStyle: {};
    };
    textStyle: {};
    buttonStyle: {
        stroke: string;
        fill: string;
    };
    markerStyle: {
        stroke: string;
    };
};
