import { GUI } from '../core/gui';
import type { ButtonCfg, ButtonOptions } from './types';
export type { ButtonCfg, ButtonOptions };
export declare class Button extends GUI<ButtonCfg> {
    /**
     * 标签类型
     */
    static tag: string;
    private markerShape;
    /**
     * 文本
     */
    private textShape;
    /**
     * 按钮容器
     */
    private backgroundShape;
    private get disabled();
    private get markerWidth();
    /**
     * 获得 button 文本
     */
    private get text();
    private get textWidth();
    private get textAvailableWidth();
    /**
     * 根据文本和marker来计算按钮宽度
     */
    private get buttonWidth();
    private get buttonHeight();
    constructor(options: ButtonOptions);
    /**
     * 默认参数
     */
    private static defaultOptions;
    /**
     * 根据size、type属性生成实际渲染的属性
     */
    private getStyle;
    /**
     * 初始化button
     */
    init(): void;
    /**
     * 组件的更新
     */
    update(cfg: Partial<ButtonCfg>): void;
    /**
     * 组件的清除
     */
    clear(): void;
    private initShape;
    private updateMarker;
    /**
     * 更新文本内容和样式
     */
    private updateText;
    private updateButton;
    private bindEvents;
    private adjustLayout;
}
