import { CustomElement } from '@antv/g';
export declare abstract class GUI<CustomAttr> extends CustomElement<CustomAttr> {
    static tag: string;
    connectedCallback(): void;
    disconnectedCallback(): void;
    attributeChangedCallback<Key extends keyof CustomAttr>(name: Key, oldValue: CustomAttr[Key], value: CustomAttr[Key]): void;
    /**
     * 组件初始化
     */
    abstract init(): void;
    /**
     * 组件的更新
     */
    abstract update(cfg: Partial<CustomAttr>): void;
    /**
     * 组件的清除
     */
    abstract clear(): void;
}
