import { Statistic } from '../statistic';
import type { GUIOption } from '../../types';
import type { CountdownCfg, CountdownOptions } from './types';
export type { CountdownCfg, CountdownOptions };
export declare class Countdown extends Statistic<CountdownCfg> {
    /**
     * 标签类型
     */
    static tag: string;
    /**
     * 默认配置项
     */
    static defaultOptions: GUIOption<CountdownCfg>;
    /**
     * 记录初始化时间戳 倒计时用
     */
    countdownId: number | undefined;
    /**
     * 记录初始化value
     */
    timestamp: number;
    constructor(options: CountdownOptions);
    /**
     * @override
     */
    init(): void;
    /**
     * @override 倒计时组件, 时间文本（value.text）复写更新
     */
    update(cfg: Partial<CountdownCfg>): void;
    /**
     * 更新 倒计时数值
     */
    private formatCountdown;
    private startTimer;
    private stopTimer;
}
