import { GUI } from '../core/gui';
import type { DisplayObjectConfig, StyleState, TextProps } from '../../types';
import type { CategoryItemCfg as ItemCfg, State } from './types';
export interface IItemText {
    style: TextProps;
    spacing: number;
    content: string;
}
export interface ICategoryItemCfg extends Omit<Required<ItemCfg>, 'itemName' | 'itemValue'> {
    x: number;
    y: number;
    itemName: IItemText;
    itemValue: IItemText;
}
declare type CategoryItemOptions = DisplayObjectConfig<Required<ICategoryItemCfg>>;
export declare class CategoryItem extends GUI<ICategoryItemCfg> {
    private markerShape;
    private nameShape;
    private valueShape;
    private backgroundShape;
    private prevState;
    constructor({ style, ...rest }: CategoryItemOptions);
    init(): void;
    getState(): StyleState;
    /**
     * 设置图例项状态
     */
    setState(state: State): void;
    getID(): string;
    /**
     * 恢复到上次状态
     * 一般用于onHover事件
     */
    onHover(): void;
    onUnHover(): void;
    update(cfg: Partial<ICategoryItemCfg>): void;
    clear(): void;
    protected getStyle(name: string | string[], state?: State): any;
    protected adjustLayout(): void;
    private getMarkerShapeCfg;
    private getNameShapeCfg;
    private getValueShapeCfg;
    private getBackgroundShapeCfg;
    private getActualWidth;
}
export {};
