import { LegendBase } from './base';
import { CategoryItem } from './category-item';
import type { StyleState } from '../../types';
import type { CategoryCfg, CategoryOptions } from './types';
export type { CategoryOptions };
export declare class Category extends LegendBase<CategoryCfg> {
    static tag: string;
    private itemsGroup;
    private prevNavigation;
    private nextNavigation;
    protected static defaultOptions: any;
    constructor(options: CategoryOptions);
    init(): void;
    update(cfg: Partial<CategoryCfg>): void;
    /**
     * 根据id获取item
     */
    getItem(id: string): CategoryItem;
    /**
     * 设置某个item的状态
     * 会改变其样式
     */
    setItemState(name: string, state: StyleState): void;
    /**
     * 获得items状态列表
     */
    getItemsStates(): {
        id: string;
        state: StyleState;
    }[];
    clear(): void;
    protected getBackgroundShapeCfg(): {
        width: number;
        height: number;
    };
    private createItemsGroup;
    private getItemsShapeCfg;
    /**
     * 创建图例项
     */
    private createItems;
    private getItems;
    private clearItems;
    /**
     * 获得一页图例项可用空间
     */
    private getItemsSpace;
    private createPageNavigator;
    private onNavigationPrev;
    private onNavigationNext;
    private setItemStatus;
    private bindEvents;
    /**
     * 计算图例布局
     * https://www.yuque.com/antv/zb50wl/gzc4sg
     */
    private adjustLayout;
    /**
     * 横向布局
     */
    private adjustHorizontal;
    private adjustVertical;
}
