import { DisplayObject, Group } from '@antv/g';
import type { Cursor } from '@antv/g';
import type { RailCfg as DefaultCfg } from './types';
export interface IRailCfg extends Required<DefaultCfg> {
    x: number;
    y: number;
    min: number;
    max: number;
    start: number;
    end: number;
    cursor: Cursor;
    color: string | string[];
    orient: 'horizontal' | 'vertical';
}
export declare class Rail extends DisplayObject<Required<IRailCfg>> {
    private railPathGroup;
    private backgroundPathGroup;
    constructor({ style, ...rest }: Partial<DisplayObject<IRailCfg>>);
    init(): void;
    render(): void;
    update(cfg: Partial<IRailCfg>): void;
    /**
     * 设置选区
     */
    updateSelection(): void;
    getRail(): Group;
    getRailBackground(): Group;
    clear(): void;
    private getGradientColor;
    private getOrientVal;
    /**
     * 获取值对应的offset
     */
    private getValueOffset;
    /**
     * 生成rail path
     */
    private createRailPath;
    /**
     * 分块连续图例下的path
     */
    private createChunkPath;
    /**
     * 场景背景掩膜
     */
    private createBackgroundPath;
}
