import type { PathCommand } from '@antv/g';
/**
 * 梯形色板
 * @param width 完整的宽度
 * @param height 完整高度
 * @param x 起点x坐标
 * @param y 起点y坐标
 * @param start 梯形起点
 * @param end 梯形终点
 * @returns PathCommand[]
 */
export declare function createTrapezoidRailPath(width: number, height: number, x?: number, y?: number, start?: number, end?: number): PathCommand[];
/**
 * 矩形色板
 * @param width 完整的宽度
 * @param height 完整高度
 * @param x 起点x坐标
 * @param y 起点y坐标
 * @param start 矩形起点
 * @param end 矩形终点
 * @returns PathCommand[]
 */
export declare function createRectRailPath(width: number, height: number, x?: number, y?: number, start?: number, end?: number): PathCommand[];
/**
 * 根据值转换为其在rail上的偏移量
 * @param value 值
 * @param min 最小值
 * @param max 最大值
 * @param railLen rail长度
 * @param reverse 反向取值
 * @returns
 */
export declare function getValueOffset(value: number, min: number, max: number, railLen: number, reverse?: boolean): number;
/**
 * 将值转换至步长tick上
 */
export declare function getStepValueByValue(value: number, step: number, min: number): number;
export declare function leftArrow(x: number, y: number, r: number): (string | number)[][];
export declare function rightArrow(x: number, y: number, r: number): (string | number)[][];
export declare function upArrow(x: number, y: number, r: number): (string | number)[][];
export declare function downArrow(x: number, y: number, r: number): (string | number)[][];
export declare function hiddenHandle(x: number, y: number, r: number): (string | number)[][];
export declare function verticalHandle(x: number, y: number, r: number): (string | number)[][];
export declare function horizontalHandle(x: number, y: number, r: number): (string | number)[][];
