import type { Line, Polyline, BaseStyleProps, DisplayObjectConfig } from '@antv/g';
import { Path } from '@antv/g';
import { GUI } from 'ui/core/gui';
import { Marker, MarkerCfg } from 'ui/marker';
declare type ArrowBody = Line | Path | Polyline;
export interface LinkStyleProps extends BaseStyleProps {
    sourceMarker?: MarkerCfg;
    targetMarker?: MarkerCfg;
    body: ArrowBody;
}
/**
 * support 3 types of arrow line:
 * 1. Line
 * 2. Polyline
 * 3. Path
 *
 * support 2 types of arrow head:
 * 1. default(Path)
 * 2. custom
 */
export declare class Link extends GUI<LinkStyleProps> {
    static tag: string;
    private body;
    private sourceMarker?;
    private targetMarker?;
    constructor(config: DisplayObjectConfig<LinkStyleProps>);
    init(): void;
    update(cfg: Partial<LinkStyleProps>): void;
    clear(): void;
    private appendMarker;
    transformMarker(marker: Marker, type: 'source' | 'target'): void;
    private getTangent;
}
export {};
