import { GUI } from '../core/gui';
import type { MarkerCfg, MarkerOptions, FunctionalSymbol } from './types';
export type { MarkerCfg, MarkerOptions, FunctionalSymbol };
/**
 * Marker
 */
export declare class Marker extends GUI<Required<MarkerCfg>> {
    /**
     * 标签类型
     */
    static tag: string;
    private markerShape?;
    private static MARKER_SYMBOL_MAP;
    /**
     * 注册 icon 类型
     * @param type
     * @param path
     */
    static registerSymbol: (type: string, symbol: FunctionalSymbol) => void;
    /**
     * 默认参数
     */
    private static defaultOptions;
    constructor(options: MarkerOptions);
    /**
     * 根据 type 获取 maker shape
     */
    init(): void;
    /**
     * 组件的更新
     */
    update(cfg: Partial<MarkerCfg>): void;
    /**
     * 组件的清除
     */
    clear(): void;
    private createMarker;
    private getMarkerSymbolShapeCfg;
    private getMarkerImageShapeCfg;
}
