import { GUI } from '../core/gui';
import { PageNavigatorCfg, PageNavigatorOptions } from './types';
export { PageNavigatorCfg, PageNavigatorOptions } from './types';
export declare class PageNavigator extends GUI<PageNavigatorCfg> {
    static tag: string;
    /**
     * 当前页面的索引
     */
    private currPage;
    /**
     * 向前翻页按钮
     */
    private prevButton;
    /**
     * 向后翻页按钮
     */
    private nextButton;
    /**
     * 页码，可以是 1/5 ，也可以是 1 2 3 4 5 这种
     */
    private paginationGroup;
    /**
     * 显示内容的窗口
     */
    private pageView;
    private fullView;
    /**
     * 当前是否正在翻页
     */
    private playState;
    private finishedPromise;
    private resolveFinishedPromise;
    private get finished();
    /**
     * 一共有多少页
     */
    private get totalPages();
    private get view();
    private set view(value);
    private static defaultOptions;
    constructor(options: PageNavigatorOptions);
    init(): void;
    update(cfg: Partial<PageNavigatorCfg>): void;
    clear(): void;
    /**
     * 从xx页翻到xx页
     * from 默认为当前页
     */
    goTo(to: number, from?: number): Promise<any>;
    /**
     * 向前翻页
     */
    prev(): Promise<any>;
    /**
     * 向后翻页
     */
    next(): Promise<any>;
    private initShape;
    private updatePageView;
    private updateFullView;
    private updateButton;
    /**
     * 更新 button 状态
     */
    private updateButtonState;
    /**
     * 根据页码获得该页的位置
     */
    private getPageViewSpace;
    /**
     * 计算切换到第num页时，fullView应当放置的位置
     */
    private calcFullViewPosition;
    private bindEvents;
    /**
     * 调整布局
     */
    private adjustLayout;
    /**
     * 调整button位置
     */
    private adjustButton;
}
