import { DisplayObject, Rect } from '@antv/g';
import { Marker } from '../marker';
import type { TextProps, ShapeAttrs } from '../../types';
export interface IHandleCfg {
    x: number;
    y: number;
    handleType: 'start' | 'end';
    iconCfg: ShapeAttrs & {
        size?: number;
        type: 'hide' | 'symbol' | 'default';
        orient: 'horizontal' | 'vertical';
    };
    textCfg: TextProps;
}
export declare class Handle extends DisplayObject<IHandleCfg> {
    private iconShape;
    private textShape;
    constructor({ style, ...rest }: Partial<DisplayObject<IHandleCfg>>);
    setHandle({ x, y }: {
        x: number;
        y: number;
    }): void;
    setHandleText({ x, y, text }: {
        x: number;
        y: number;
        text: string;
    }): void;
    getIcon(): Rect | Marker;
    getType(): any;
    update(cfg: Partial<IHandleCfg>): void;
    /**
     * 创建默认手柄图标
     */
    private createDefaultIcon;
    private createHandleIcon;
    private createHandleText;
    private clear;
    private setHandleIconRotation;
}
