import { GUI } from '../core/gui';
import type { SparklineCfg, SparklineOptions } from './types';
export type { SparklineCfg, SparklineOptions };
export declare class Sparkline extends GUI<SparklineCfg> {
    static tag: string;
    private containerShape;
    private sparkShape;
    private static defaultOptions;
    constructor(options: SparklineOptions);
    init(): void;
    /**
     * 组件的更新
     */
    update(cfg: Partial<SparklineCfg>): void;
    /**
     * 组件的清除
     */
    clear(): void;
    private createSparkline;
    /**
     * 根据数据索引获取color
     */
    private getColor;
    /**
     * 根据数据生成scale
     */
    private createScales;
    /**
     * 将data统一格式化为数组形式
     * 如果堆叠，则生成堆叠数据
     */
    private getData;
    private getContainerCfg;
    private getLinesCfg;
    private getColumnsCfg;
}
