import { Linear, Band } from '@antv/scale';
import type { ShapeAttrs, DisplayObjectConfig } from '../../types';
export declare type Point = [number, number];
export declare type Line = Point[];
export declare type Data = number[][];
export declare type Scales = {
    type: 'line' | 'column';
    y: Linear;
    x: Linear | Band;
};
export declare type SparklineCfg = ShapeAttrs & {
    data?: number[] | number[][];
    width?: number;
    height?: number;
    isStack?: boolean;
    color?: string | string[] | ((idx: number) => string);
    type?: 'line' | 'column';
    smooth?: boolean;
    lineStyle?: ShapeAttrs | ((idx: number) => ShapeAttrs);
    areaStyle?: ShapeAttrs | ((idx: number) => ShapeAttrs);
    isGroup?: boolean;
    columnStyle?: ShapeAttrs | ((idx: number) => ShapeAttrs);
    barPadding?: number;
};
export declare type SparklineOptions = DisplayObjectConfig<SparklineCfg>;
