import { GUI } from '../core/gui';
import { Tag } from '../tag';
import type { GUIOption } from '../../types';
import type { TagCfg } from '../tag/types';
import type { StatisticCfg, StatisticOptions } from './types';
export type { StatisticCfg, StatisticOptions };
export declare class Statistic<T extends StatisticCfg = StatisticCfg> extends GUI<Required<T>> {
    /**
     * 组件 tag
     */
    static tag: string;
    /** 标题  */
    protected titleShape: Tag;
    /** 内容 */
    protected valueShape: Tag;
    /** 背景 */
    private backgroundShape;
    /**
     * 默认配置项
     */
    static defaultOptions: GUIOption<StatisticCfg>;
    constructor(options: StatisticOptions);
    init(): void;
    /**
     * 组件的更新
     */
    update(cfg: Partial<T>): void;
    private initShape;
    /**
     * 获取背景配置
     */
    private getBackgroundShapeCfg;
    /**
     * 获取标题配置
     */
    getTitleShapeCfg(): TagCfg;
    /**
     * 获取内容配置
     */
    getValueShapeCfg(): TagCfg;
    /**
     * 组件的清除
     */
    clear(): void;
}
