import { GUI } from '../core/gui';
import type { TagCfg, TagOptions } from './types';
export type { TagCfg, TagOptions };
/**
 * 带文本的 图标组件，支持 iconfont 组件
 */
export declare class Tag extends GUI<Required<TagCfg>> {
    /**
     * 标签类型
     */
    static tag: string;
    private markerShape;
    private textShape;
    private backgroundShape;
    /**
     * 默认参数
     */
    static defaultOptions: {
        type: string;
        style: {
            text: string;
            radius: number;
            padding: number;
            textStyle: {
                default: {
                    fontSize: number;
                    textAlign: string;
                    textBaseline: string;
                    fill: string;
                };
                active: {};
            };
            marker: {
                symbol: string;
                size: number;
            };
            spacing: number;
            backgroundStyle: {
                default: {
                    fill: string;
                    stroke: string;
                    lineWidth: number;
                };
            };
        };
    };
    constructor(options: TagOptions);
    /**
     * 根据 type 获取 maker shape
     */
    init(): void;
    /**
     * 组件的更新
     */
    update(cfg: Partial<TagCfg>): void;
    /**
     * 组件的清除
     */
    clear(): void;
    private initShape;
    /**
     * 创建 background
     */
    private updateBackground;
    private getBackgroundShapeCfg;
    /**
     * 创建 marker
     */
    private updateMarker;
    private getMarkerShapeCfg;
    /**
     * 创建 text
     */
    private updateText;
    private getTextShapeCfg;
    private autoFit;
    private bindEvents;
}
