import type { MixAttrs, StyleState } from '../types';
/**
 * 从带状态样式中返回移除了状态样式的默认样式
 */
export declare function getDefaultStyle<T>(style: MixAttrs<T> | undefined): T | undefined;
/**
 * 对于格式为:
 * style: ShapeAttrs & {
 *  [state: string]?: ShapeAttrs,
 * }
 * 的带状态样式，根据状态提取出样式
 * 默认返回默认样式
 * @param style 混合样式
 * @param state 状态
 * @param isMerge 是否将状态样式与默认样式合并
 */
export declare function getStateStyle<T>(style?: MixAttrs<T>, state?: StyleState, isMerge?: boolean): Partial<T>;
