(function (global, factory) {
  typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('util')) :
  typeof define === 'function' && define.amd ? define(['exports', 'util'], factory) :
  (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory(global.GUI = {}, global.util));
}(this, (function (exports, util) { 'use strict';

  function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

  var util__default = /*#__PURE__*/_interopDefaultLegacy(util);

  function ownKeys(object, enumerableOnly) {
    var keys = Object.keys(object);

    if (Object.getOwnPropertySymbols) {
      var symbols = Object.getOwnPropertySymbols(object);

      if (enumerableOnly) {
        symbols = symbols.filter(function (sym) {
          return Object.getOwnPropertyDescriptor(object, sym).enumerable;
        });
      }

      keys.push.apply(keys, symbols);
    }

    return keys;
  }

  function _objectSpread2(target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i] != null ? arguments[i] : {};

      if (i % 2) {
        ownKeys(Object(source), true).forEach(function (key) {
          _defineProperty(target, key, source[key]);
        });
      } else if (Object.getOwnPropertyDescriptors) {
        Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
      } else {
        ownKeys(Object(source)).forEach(function (key) {
          Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
        });
      }
    }

    return target;
  }

  function _classCallCheck(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
      throw new TypeError("Cannot call a class as a function");
    }
  }

  function _defineProperties(target, props) {
    for (var i = 0; i < props.length; i++) {
      var descriptor = props[i];
      descriptor.enumerable = descriptor.enumerable || false;
      descriptor.configurable = true;
      if ("value" in descriptor) descriptor.writable = true;
      Object.defineProperty(target, descriptor.key, descriptor);
    }
  }

  function _createClass(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties(Constructor, staticProps);
    return Constructor;
  }

  function _defineProperty(obj, key, value) {
    if (key in obj) {
      Object.defineProperty(obj, key, {
        value: value,
        enumerable: true,
        configurable: true,
        writable: true
      });
    } else {
      obj[key] = value;
    }

    return obj;
  }

  function _inherits(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
      throw new TypeError("Super expression must either be null or a function");
    }

    subClass.prototype = Object.create(superClass && superClass.prototype, {
      constructor: {
        value: subClass,
        writable: true,
        configurable: true
      }
    });
    if (superClass) _setPrototypeOf(subClass, superClass);
  }

  function _getPrototypeOf(o) {
    _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) {
      return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _getPrototypeOf(o);
  }

  function _setPrototypeOf(o, p) {
    _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) {
      o.__proto__ = p;
      return o;
    };

    return _setPrototypeOf(o, p);
  }

  function _isNativeReflectConstruct() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;

    try {
      Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {}));
      return true;
    } catch (e) {
      return false;
    }
  }

  function _objectWithoutPropertiesLoose(source, excluded) {
    if (source == null) return {};
    var target = {};
    var sourceKeys = Object.keys(source);
    var key, i;

    for (i = 0; i < sourceKeys.length; i++) {
      key = sourceKeys[i];
      if (excluded.indexOf(key) >= 0) continue;
      target[key] = source[key];
    }

    return target;
  }

  function _objectWithoutProperties(source, excluded) {
    if (source == null) return {};

    var target = _objectWithoutPropertiesLoose(source, excluded);

    var key, i;

    if (Object.getOwnPropertySymbols) {
      var sourceSymbolKeys = Object.getOwnPropertySymbols(source);

      for (i = 0; i < sourceSymbolKeys.length; i++) {
        key = sourceSymbolKeys[i];
        if (excluded.indexOf(key) >= 0) continue;
        if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue;
        target[key] = source[key];
      }
    }

    return target;
  }

  function _assertThisInitialized(self) {
    if (self === void 0) {
      throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }

    return self;
  }

  function _possibleConstructorReturn(self, call) {
    if (call && (typeof call === "object" || typeof call === "function")) {
      return call;
    } else if (call !== void 0) {
      throw new TypeError("Derived constructors may only return object or undefined");
    }

    return _assertThisInitialized(self);
  }

  function _createSuper(Derived) {
    var hasNativeReflectConstruct = _isNativeReflectConstruct();

    return function _createSuperInternal() {
      var Super = _getPrototypeOf(Derived),
          result;

      if (hasNativeReflectConstruct) {
        var NewTarget = _getPrototypeOf(this).constructor;

        result = Reflect.construct(Super, arguments, NewTarget);
      } else {
        result = Super.apply(this, arguments);
      }

      return _possibleConstructorReturn(this, result);
    };
  }

  function _superPropBase(object, property) {
    while (!Object.prototype.hasOwnProperty.call(object, property)) {
      object = _getPrototypeOf(object);
      if (object === null) break;
    }

    return object;
  }

  function _get(target, property, receiver) {
    if (typeof Reflect !== "undefined" && Reflect.get) {
      _get = Reflect.get;
    } else {
      _get = function _get(target, property, receiver) {
        var base = _superPropBase(target, property);

        if (!base) return;
        var desc = Object.getOwnPropertyDescriptor(base, property);

        if (desc.get) {
          return desc.get.call(receiver);
        }

        return desc.value;
      };
    }

    return _get(target, property, receiver || target);
  }

  function _slicedToArray(arr, i) {
    return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest();
  }

  function _toConsumableArray(arr) {
    return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread();
  }

  function _arrayWithoutHoles(arr) {
    if (Array.isArray(arr)) return _arrayLikeToArray(arr);
  }

  function _arrayWithHoles(arr) {
    if (Array.isArray(arr)) return arr;
  }

  function _iterableToArray(iter) {
    if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter);
  }

  function _iterableToArrayLimit(arr, i) {
    var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"];

    if (_i == null) return;
    var _arr = [];
    var _n = true;
    var _d = false;

    var _s, _e;

    try {
      for (_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true) {
        _arr.push(_s.value);

        if (i && _arr.length === i) break;
      }
    } catch (err) {
      _d = true;
      _e = err;
    } finally {
      try {
        if (!_n && _i["return"] != null) _i["return"]();
      } finally {
        if (_d) throw _e;
      }
    }

    return _arr;
  }

  function _unsupportedIterableToArray(o, minLen) {
    if (!o) return;
    if (typeof o === "string") return _arrayLikeToArray(o, minLen);
    var n = Object.prototype.toString.call(o).slice(8, -1);
    if (n === "Object" && o.constructor) n = o.constructor.name;
    if (n === "Map" || n === "Set") return Array.from(o);
    if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen);
  }

  function _arrayLikeToArray(arr, len) {
    if (len == null || len > arr.length) len = arr.length;

    for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i];

    return arr2;
  }

  function _nonIterableSpread() {
    throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
  }

  function _nonIterableRest() {
    throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
  }

  var commonjsGlobal = typeof globalThis !== 'undefined' ? globalThis : typeof window !== 'undefined' ? window : typeof global !== 'undefined' ? global : typeof self !== 'undefined' ? self : {};

  function createCommonjsModule(fn, basedir, module) {
  	return module = {
  		path: basedir,
  		exports: {},
  		require: function (path, base) {
  			return commonjsRequire(path, (base === undefined || base === null) ? module.path : base);
  		}
  	}, fn(module, module.exports), module.exports;
  }

  function commonjsRequire () {
  	throw new Error('Dynamic requires are not currently supported by @rollup/plugin-commonjs');
  }

  /*! *****************************************************************************
  Copyright (C) Microsoft. All rights reserved.
  Licensed under the Apache License, Version 2.0 (the "License"); you may not use
  this file except in compliance with the License. You may obtain a copy of the
  License at http://www.apache.org/licenses/LICENSE-2.0

  THIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
  KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED
  WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,
  MERCHANTABLITY OR NON-INFRINGEMENT.

  See the Apache Version 2.0 License for specific language governing permissions
  and limitations under the License.
  ***************************************************************************** */
  var Reflect$1;
  (function (Reflect) {
      // Metadata Proposal
      // https://rbuckton.github.io/reflect-metadata/
      (function (factory) {
          var root = typeof commonjsGlobal === "object" ? commonjsGlobal :
              typeof self === "object" ? self :
                  typeof this === "object" ? this :
                      Function("return this;")();
          var exporter = makeExporter(Reflect);
          if (typeof root.Reflect === "undefined") {
              root.Reflect = Reflect;
          }
          else {
              exporter = makeExporter(root.Reflect, exporter);
          }
          factory(exporter);
          function makeExporter(target, previous) {
              return function (key, value) {
                  if (typeof target[key] !== "function") {
                      Object.defineProperty(target, key, { configurable: true, writable: true, value: value });
                  }
                  if (previous)
                      previous(key, value);
              };
          }
      })(function (exporter) {
          var hasOwn = Object.prototype.hasOwnProperty;
          // feature test for Symbol support
          var supportsSymbol = typeof Symbol === "function";
          var toPrimitiveSymbol = supportsSymbol && typeof Symbol.toPrimitive !== "undefined" ? Symbol.toPrimitive : "@@toPrimitive";
          var iteratorSymbol = supportsSymbol && typeof Symbol.iterator !== "undefined" ? Symbol.iterator : "@@iterator";
          var supportsCreate = typeof Object.create === "function"; // feature test for Object.create support
          var supportsProto = { __proto__: [] } instanceof Array; // feature test for __proto__ support
          var downLevel = !supportsCreate && !supportsProto;
          var HashMap = {
              // create an object in dictionary mode (a.k.a. "slow" mode in v8)
              create: supportsCreate
                  ? function () { return MakeDictionary(Object.create(null)); }
                  : supportsProto
                      ? function () { return MakeDictionary({ __proto__: null }); }
                      : function () { return MakeDictionary({}); },
              has: downLevel
                  ? function (map, key) { return hasOwn.call(map, key); }
                  : function (map, key) { return key in map; },
              get: downLevel
                  ? function (map, key) { return hasOwn.call(map, key) ? map[key] : undefined; }
                  : function (map, key) { return map[key]; },
          };
          // Load global or shim versions of Map, Set, and WeakMap
          var functionPrototype = Object.getPrototypeOf(Function);
          var usePolyfill = typeof process === "object" && process.env && process.env["REFLECT_METADATA_USE_MAP_POLYFILL"] === "true";
          var _Map = !usePolyfill && typeof Map === "function" && typeof Map.prototype.entries === "function" ? Map : CreateMapPolyfill();
          var _Set = !usePolyfill && typeof Set === "function" && typeof Set.prototype.entries === "function" ? Set : CreateSetPolyfill();
          var _WeakMap = !usePolyfill && typeof WeakMap === "function" ? WeakMap : CreateWeakMapPolyfill();
          // [[Metadata]] internal slot
          // https://rbuckton.github.io/reflect-metadata/#ordinary-object-internal-methods-and-internal-slots
          var Metadata = new _WeakMap();
          /**
           * Applies a set of decorators to a property of a target object.
           * @param decorators An array of decorators.
           * @param target The target object.
           * @param propertyKey (Optional) The property key to decorate.
           * @param attributes (Optional) The property descriptor for the target key.
           * @remarks Decorators are applied in reverse order.
           * @example
           *
           *     class Example {
           *         // property declarations are not part of ES6, though they are valid in TypeScript:
           *         // static staticProperty;
           *         // property;
           *
           *         constructor(p) { }
           *         static staticMethod(p) { }
           *         method(p) { }
           *     }
           *
           *     // constructor
           *     Example = Reflect.decorate(decoratorsArray, Example);
           *
           *     // property (on constructor)
           *     Reflect.decorate(decoratorsArray, Example, "staticProperty");
           *
           *     // property (on prototype)
           *     Reflect.decorate(decoratorsArray, Example.prototype, "property");
           *
           *     // method (on constructor)
           *     Object.defineProperty(Example, "staticMethod",
           *         Reflect.decorate(decoratorsArray, Example, "staticMethod",
           *             Object.getOwnPropertyDescriptor(Example, "staticMethod")));
           *
           *     // method (on prototype)
           *     Object.defineProperty(Example.prototype, "method",
           *         Reflect.decorate(decoratorsArray, Example.prototype, "method",
           *             Object.getOwnPropertyDescriptor(Example.prototype, "method")));
           *
           */
          function decorate(decorators, target, propertyKey, attributes) {
              if (!IsUndefined(propertyKey)) {
                  if (!IsArray(decorators))
                      throw new TypeError();
                  if (!IsObject(target))
                      throw new TypeError();
                  if (!IsObject(attributes) && !IsUndefined(attributes) && !IsNull(attributes))
                      throw new TypeError();
                  if (IsNull(attributes))
                      attributes = undefined;
                  propertyKey = ToPropertyKey(propertyKey);
                  return DecorateProperty(decorators, target, propertyKey, attributes);
              }
              else {
                  if (!IsArray(decorators))
                      throw new TypeError();
                  if (!IsConstructor(target))
                      throw new TypeError();
                  return DecorateConstructor(decorators, target);
              }
          }
          exporter("decorate", decorate);
          // 4.1.2 Reflect.metadata(metadataKey, metadataValue)
          // https://rbuckton.github.io/reflect-metadata/#reflect.metadata
          /**
           * A default metadata decorator factory that can be used on a class, class member, or parameter.
           * @param metadataKey The key for the metadata entry.
           * @param metadataValue The value for the metadata entry.
           * @returns A decorator function.
           * @remarks
           * If `metadataKey` is already defined for the target and target key, the
           * metadataValue for that key will be overwritten.
           * @example
           *
           *     // constructor
           *     @Reflect.metadata(key, value)
           *     class Example {
           *     }
           *
           *     // property (on constructor, TypeScript only)
           *     class Example {
           *         @Reflect.metadata(key, value)
           *         static staticProperty;
           *     }
           *
           *     // property (on prototype, TypeScript only)
           *     class Example {
           *         @Reflect.metadata(key, value)
           *         property;
           *     }
           *
           *     // method (on constructor)
           *     class Example {
           *         @Reflect.metadata(key, value)
           *         static staticMethod() { }
           *     }
           *
           *     // method (on prototype)
           *     class Example {
           *         @Reflect.metadata(key, value)
           *         method() { }
           *     }
           *
           */
          function metadata(metadataKey, metadataValue) {
              function decorator(target, propertyKey) {
                  if (!IsObject(target))
                      throw new TypeError();
                  if (!IsUndefined(propertyKey) && !IsPropertyKey(propertyKey))
                      throw new TypeError();
                  OrdinaryDefineOwnMetadata(metadataKey, metadataValue, target, propertyKey);
              }
              return decorator;
          }
          exporter("metadata", metadata);
          /**
           * Define a unique metadata entry on the target.
           * @param metadataKey A key used to store and retrieve metadata.
           * @param metadataValue A value that contains attached metadata.
           * @param target The target object on which to define metadata.
           * @param propertyKey (Optional) The property key for the target.
           * @example
           *
           *     class Example {
           *         // property declarations are not part of ES6, though they are valid in TypeScript:
           *         // static staticProperty;
           *         // property;
           *
           *         constructor(p) { }
           *         static staticMethod(p) { }
           *         method(p) { }
           *     }
           *
           *     // constructor
           *     Reflect.defineMetadata("custom:annotation", options, Example);
           *
           *     // property (on constructor)
           *     Reflect.defineMetadata("custom:annotation", options, Example, "staticProperty");
           *
           *     // property (on prototype)
           *     Reflect.defineMetadata("custom:annotation", options, Example.prototype, "property");
           *
           *     // method (on constructor)
           *     Reflect.defineMetadata("custom:annotation", options, Example, "staticMethod");
           *
           *     // method (on prototype)
           *     Reflect.defineMetadata("custom:annotation", options, Example.prototype, "method");
           *
           *     // decorator factory as metadata-producing annotation.
           *     function MyAnnotation(options): Decorator {
           *         return (target, key?) => Reflect.defineMetadata("custom:annotation", options, target, key);
           *     }
           *
           */
          function defineMetadata(metadataKey, metadataValue, target, propertyKey) {
              if (!IsObject(target))
                  throw new TypeError();
              if (!IsUndefined(propertyKey))
                  propertyKey = ToPropertyKey(propertyKey);
              return OrdinaryDefineOwnMetadata(metadataKey, metadataValue, target, propertyKey);
          }
          exporter("defineMetadata", defineMetadata);
          /**
           * Gets a value indicating whether the target object or its prototype chain has the provided metadata key defined.
           * @param metadataKey A key used to store and retrieve metadata.
           * @param target The target object on which the metadata is defined.
           * @param propertyKey (Optional) The property key for the target.
           * @returns `true` if the metadata key was defined on the target object or its prototype chain; otherwise, `false`.
           * @example
           *
           *     class Example {
           *         // property declarations are not part of ES6, though they are valid in TypeScript:
           *         // static staticProperty;
           *         // property;
           *
           *         constructor(p) { }
           *         static staticMethod(p) { }
           *         method(p) { }
           *     }
           *
           *     // constructor
           *     result = Reflect.hasMetadata("custom:annotation", Example);
           *
           *     // property (on constructor)
           *     result = Reflect.hasMetadata("custom:annotation", Example, "staticProperty");
           *
           *     // property (on prototype)
           *     result = Reflect.hasMetadata("custom:annotation", Example.prototype, "property");
           *
           *     // method (on constructor)
           *     result = Reflect.hasMetadata("custom:annotation", Example, "staticMethod");
           *
           *     // method (on prototype)
           *     result = Reflect.hasMetadata("custom:annotation", Example.prototype, "method");
           *
           */
          function hasMetadata(metadataKey, target, propertyKey) {
              if (!IsObject(target))
                  throw new TypeError();
              if (!IsUndefined(propertyKey))
                  propertyKey = ToPropertyKey(propertyKey);
              return OrdinaryHasMetadata(metadataKey, target, propertyKey);
          }
          exporter("hasMetadata", hasMetadata);
          /**
           * Gets a value indicating whether the target object has the provided metadata key defined.
           * @param metadataKey A key used to store and retrieve metadata.
           * @param target The target object on which the metadata is defined.
           * @param propertyKey (Optional) The property key for the target.
           * @returns `true` if the metadata key was defined on the target object; otherwise, `false`.
           * @example
           *
           *     class Example {
           *         // property declarations are not part of ES6, though they are valid in TypeScript:
           *         // static staticProperty;
           *         // property;
           *
           *         constructor(p) { }
           *         static staticMethod(p) { }
           *         method(p) { }
           *     }
           *
           *     // constructor
           *     result = Reflect.hasOwnMetadata("custom:annotation", Example);
           *
           *     // property (on constructor)
           *     result = Reflect.hasOwnMetadata("custom:annotation", Example, "staticProperty");
           *
           *     // property (on prototype)
           *     result = Reflect.hasOwnMetadata("custom:annotation", Example.prototype, "property");
           *
           *     // method (on constructor)
           *     result = Reflect.hasOwnMetadata("custom:annotation", Example, "staticMethod");
           *
           *     // method (on prototype)
           *     result = Reflect.hasOwnMetadata("custom:annotation", Example.prototype, "method");
           *
           */
          function hasOwnMetadata(metadataKey, target, propertyKey) {
              if (!IsObject(target))
                  throw new TypeError();
              if (!IsUndefined(propertyKey))
                  propertyKey = ToPropertyKey(propertyKey);
              return OrdinaryHasOwnMetadata(metadataKey, target, propertyKey);
          }
          exporter("hasOwnMetadata", hasOwnMetadata);
          /**
           * Gets the metadata value for the provided metadata key on the target object or its prototype chain.
           * @param metadataKey A key used to store and retrieve metadata.
           * @param target The target object on which the metadata is defined.
           * @param propertyKey (Optional) The property key for the target.
           * @returns The metadata value for the metadata key if found; otherwise, `undefined`.
           * @example
           *
           *     class Example {
           *         // property declarations are not part of ES6, though they are valid in TypeScript:
           *         // static staticProperty;
           *         // property;
           *
           *         constructor(p) { }
           *         static staticMethod(p) { }
           *         method(p) { }
           *     }
           *
           *     // constructor
           *     result = Reflect.getMetadata("custom:annotation", Example);
           *
           *     // property (on constructor)
           *     result = Reflect.getMetadata("custom:annotation", Example, "staticProperty");
           *
           *     // property (on prototype)
           *     result = Reflect.getMetadata("custom:annotation", Example.prototype, "property");
           *
           *     // method (on constructor)
           *     result = Reflect.getMetadata("custom:annotation", Example, "staticMethod");
           *
           *     // method (on prototype)
           *     result = Reflect.getMetadata("custom:annotation", Example.prototype, "method");
           *
           */
          function getMetadata(metadataKey, target, propertyKey) {
              if (!IsObject(target))
                  throw new TypeError();
              if (!IsUndefined(propertyKey))
                  propertyKey = ToPropertyKey(propertyKey);
              return OrdinaryGetMetadata(metadataKey, target, propertyKey);
          }
          exporter("getMetadata", getMetadata);
          /**
           * Gets the metadata value for the provided metadata key on the target object.
           * @param metadataKey A key used to store and retrieve metadata.
           * @param target The target object on which the metadata is defined.
           * @param propertyKey (Optional) The property key for the target.
           * @returns The metadata value for the metadata key if found; otherwise, `undefined`.
           * @example
           *
           *     class Example {
           *         // property declarations are not part of ES6, though they are valid in TypeScript:
           *         // static staticProperty;
           *         // property;
           *
           *         constructor(p) { }
           *         static staticMethod(p) { }
           *         method(p) { }
           *     }
           *
           *     // constructor
           *     result = Reflect.getOwnMetadata("custom:annotation", Example);
           *
           *     // property (on constructor)
           *     result = Reflect.getOwnMetadata("custom:annotation", Example, "staticProperty");
           *
           *     // property (on prototype)
           *     result = Reflect.getOwnMetadata("custom:annotation", Example.prototype, "property");
           *
           *     // method (on constructor)
           *     result = Reflect.getOwnMetadata("custom:annotation", Example, "staticMethod");
           *
           *     // method (on prototype)
           *     result = Reflect.getOwnMetadata("custom:annotation", Example.prototype, "method");
           *
           */
          function getOwnMetadata(metadataKey, target, propertyKey) {
              if (!IsObject(target))
                  throw new TypeError();
              if (!IsUndefined(propertyKey))
                  propertyKey = ToPropertyKey(propertyKey);
              return OrdinaryGetOwnMetadata(metadataKey, target, propertyKey);
          }
          exporter("getOwnMetadata", getOwnMetadata);
          /**
           * Gets the metadata keys defined on the target object or its prototype chain.
           * @param target The target object on which the metadata is defined.
           * @param propertyKey (Optional) The property key for the target.
           * @returns An array of unique metadata keys.
           * @example
           *
           *     class Example {
           *         // property declarations are not part of ES6, though they are valid in TypeScript:
           *         // static staticProperty;
           *         // property;
           *
           *         constructor(p) { }
           *         static staticMethod(p) { }
           *         method(p) { }
           *     }
           *
           *     // constructor
           *     result = Reflect.getMetadataKeys(Example);
           *
           *     // property (on constructor)
           *     result = Reflect.getMetadataKeys(Example, "staticProperty");
           *
           *     // property (on prototype)
           *     result = Reflect.getMetadataKeys(Example.prototype, "property");
           *
           *     // method (on constructor)
           *     result = Reflect.getMetadataKeys(Example, "staticMethod");
           *
           *     // method (on prototype)
           *     result = Reflect.getMetadataKeys(Example.prototype, "method");
           *
           */
          function getMetadataKeys(target, propertyKey) {
              if (!IsObject(target))
                  throw new TypeError();
              if (!IsUndefined(propertyKey))
                  propertyKey = ToPropertyKey(propertyKey);
              return OrdinaryMetadataKeys(target, propertyKey);
          }
          exporter("getMetadataKeys", getMetadataKeys);
          /**
           * Gets the unique metadata keys defined on the target object.
           * @param target The target object on which the metadata is defined.
           * @param propertyKey (Optional) The property key for the target.
           * @returns An array of unique metadata keys.
           * @example
           *
           *     class Example {
           *         // property declarations are not part of ES6, though they are valid in TypeScript:
           *         // static staticProperty;
           *         // property;
           *
           *         constructor(p) { }
           *         static staticMethod(p) { }
           *         method(p) { }
           *     }
           *
           *     // constructor
           *     result = Reflect.getOwnMetadataKeys(Example);
           *
           *     // property (on constructor)
           *     result = Reflect.getOwnMetadataKeys(Example, "staticProperty");
           *
           *     // property (on prototype)
           *     result = Reflect.getOwnMetadataKeys(Example.prototype, "property");
           *
           *     // method (on constructor)
           *     result = Reflect.getOwnMetadataKeys(Example, "staticMethod");
           *
           *     // method (on prototype)
           *     result = Reflect.getOwnMetadataKeys(Example.prototype, "method");
           *
           */
          function getOwnMetadataKeys(target, propertyKey) {
              if (!IsObject(target))
                  throw new TypeError();
              if (!IsUndefined(propertyKey))
                  propertyKey = ToPropertyKey(propertyKey);
              return OrdinaryOwnMetadataKeys(target, propertyKey);
          }
          exporter("getOwnMetadataKeys", getOwnMetadataKeys);
          /**
           * Deletes the metadata entry from the target object with the provided key.
           * @param metadataKey A key used to store and retrieve metadata.
           * @param target The target object on which the metadata is defined.
           * @param propertyKey (Optional) The property key for the target.
           * @returns `true` if the metadata entry was found and deleted; otherwise, false.
           * @example
           *
           *     class Example {
           *         // property declarations are not part of ES6, though they are valid in TypeScript:
           *         // static staticProperty;
           *         // property;
           *
           *         constructor(p) { }
           *         static staticMethod(p) { }
           *         method(p) { }
           *     }
           *
           *     // constructor
           *     result = Reflect.deleteMetadata("custom:annotation", Example);
           *
           *     // property (on constructor)
           *     result = Reflect.deleteMetadata("custom:annotation", Example, "staticProperty");
           *
           *     // property (on prototype)
           *     result = Reflect.deleteMetadata("custom:annotation", Example.prototype, "property");
           *
           *     // method (on constructor)
           *     result = Reflect.deleteMetadata("custom:annotation", Example, "staticMethod");
           *
           *     // method (on prototype)
           *     result = Reflect.deleteMetadata("custom:annotation", Example.prototype, "method");
           *
           */
          function deleteMetadata(metadataKey, target, propertyKey) {
              if (!IsObject(target))
                  throw new TypeError();
              if (!IsUndefined(propertyKey))
                  propertyKey = ToPropertyKey(propertyKey);
              var metadataMap = GetOrCreateMetadataMap(target, propertyKey, /*Create*/ false);
              if (IsUndefined(metadataMap))
                  return false;
              if (!metadataMap.delete(metadataKey))
                  return false;
              if (metadataMap.size > 0)
                  return true;
              var targetMetadata = Metadata.get(target);
              targetMetadata.delete(propertyKey);
              if (targetMetadata.size > 0)
                  return true;
              Metadata.delete(target);
              return true;
          }
          exporter("deleteMetadata", deleteMetadata);
          function DecorateConstructor(decorators, target) {
              for (var i = decorators.length - 1; i >= 0; --i) {
                  var decorator = decorators[i];
                  var decorated = decorator(target);
                  if (!IsUndefined(decorated) && !IsNull(decorated)) {
                      if (!IsConstructor(decorated))
                          throw new TypeError();
                      target = decorated;
                  }
              }
              return target;
          }
          function DecorateProperty(decorators, target, propertyKey, descriptor) {
              for (var i = decorators.length - 1; i >= 0; --i) {
                  var decorator = decorators[i];
                  var decorated = decorator(target, propertyKey, descriptor);
                  if (!IsUndefined(decorated) && !IsNull(decorated)) {
                      if (!IsObject(decorated))
                          throw new TypeError();
                      descriptor = decorated;
                  }
              }
              return descriptor;
          }
          function GetOrCreateMetadataMap(O, P, Create) {
              var targetMetadata = Metadata.get(O);
              if (IsUndefined(targetMetadata)) {
                  if (!Create)
                      return undefined;
                  targetMetadata = new _Map();
                  Metadata.set(O, targetMetadata);
              }
              var metadataMap = targetMetadata.get(P);
              if (IsUndefined(metadataMap)) {
                  if (!Create)
                      return undefined;
                  metadataMap = new _Map();
                  targetMetadata.set(P, metadataMap);
              }
              return metadataMap;
          }
          // 3.1.1.1 OrdinaryHasMetadata(MetadataKey, O, P)
          // https://rbuckton.github.io/reflect-metadata/#ordinaryhasmetadata
          function OrdinaryHasMetadata(MetadataKey, O, P) {
              var hasOwn = OrdinaryHasOwnMetadata(MetadataKey, O, P);
              if (hasOwn)
                  return true;
              var parent = OrdinaryGetPrototypeOf(O);
              if (!IsNull(parent))
                  return OrdinaryHasMetadata(MetadataKey, parent, P);
              return false;
          }
          // 3.1.2.1 OrdinaryHasOwnMetadata(MetadataKey, O, P)
          // https://rbuckton.github.io/reflect-metadata/#ordinaryhasownmetadata
          function OrdinaryHasOwnMetadata(MetadataKey, O, P) {
              var metadataMap = GetOrCreateMetadataMap(O, P, /*Create*/ false);
              if (IsUndefined(metadataMap))
                  return false;
              return ToBoolean(metadataMap.has(MetadataKey));
          }
          // 3.1.3.1 OrdinaryGetMetadata(MetadataKey, O, P)
          // https://rbuckton.github.io/reflect-metadata/#ordinarygetmetadata
          function OrdinaryGetMetadata(MetadataKey, O, P) {
              var hasOwn = OrdinaryHasOwnMetadata(MetadataKey, O, P);
              if (hasOwn)
                  return OrdinaryGetOwnMetadata(MetadataKey, O, P);
              var parent = OrdinaryGetPrototypeOf(O);
              if (!IsNull(parent))
                  return OrdinaryGetMetadata(MetadataKey, parent, P);
              return undefined;
          }
          // 3.1.4.1 OrdinaryGetOwnMetadata(MetadataKey, O, P)
          // https://rbuckton.github.io/reflect-metadata/#ordinarygetownmetadata
          function OrdinaryGetOwnMetadata(MetadataKey, O, P) {
              var metadataMap = GetOrCreateMetadataMap(O, P, /*Create*/ false);
              if (IsUndefined(metadataMap))
                  return undefined;
              return metadataMap.get(MetadataKey);
          }
          // 3.1.5.1 OrdinaryDefineOwnMetadata(MetadataKey, MetadataValue, O, P)
          // https://rbuckton.github.io/reflect-metadata/#ordinarydefineownmetadata
          function OrdinaryDefineOwnMetadata(MetadataKey, MetadataValue, O, P) {
              var metadataMap = GetOrCreateMetadataMap(O, P, /*Create*/ true);
              metadataMap.set(MetadataKey, MetadataValue);
          }
          // 3.1.6.1 OrdinaryMetadataKeys(O, P)
          // https://rbuckton.github.io/reflect-metadata/#ordinarymetadatakeys
          function OrdinaryMetadataKeys(O, P) {
              var ownKeys = OrdinaryOwnMetadataKeys(O, P);
              var parent = OrdinaryGetPrototypeOf(O);
              if (parent === null)
                  return ownKeys;
              var parentKeys = OrdinaryMetadataKeys(parent, P);
              if (parentKeys.length <= 0)
                  return ownKeys;
              if (ownKeys.length <= 0)
                  return parentKeys;
              var set = new _Set();
              var keys = [];
              for (var _i = 0, ownKeys_1 = ownKeys; _i < ownKeys_1.length; _i++) {
                  var key = ownKeys_1[_i];
                  var hasKey = set.has(key);
                  if (!hasKey) {
                      set.add(key);
                      keys.push(key);
                  }
              }
              for (var _a = 0, parentKeys_1 = parentKeys; _a < parentKeys_1.length; _a++) {
                  var key = parentKeys_1[_a];
                  var hasKey = set.has(key);
                  if (!hasKey) {
                      set.add(key);
                      keys.push(key);
                  }
              }
              return keys;
          }
          // 3.1.7.1 OrdinaryOwnMetadataKeys(O, P)
          // https://rbuckton.github.io/reflect-metadata/#ordinaryownmetadatakeys
          function OrdinaryOwnMetadataKeys(O, P) {
              var keys = [];
              var metadataMap = GetOrCreateMetadataMap(O, P, /*Create*/ false);
              if (IsUndefined(metadataMap))
                  return keys;
              var keysObj = metadataMap.keys();
              var iterator = GetIterator(keysObj);
              var k = 0;
              while (true) {
                  var next = IteratorStep(iterator);
                  if (!next) {
                      keys.length = k;
                      return keys;
                  }
                  var nextValue = IteratorValue(next);
                  try {
                      keys[k] = nextValue;
                  }
                  catch (e) {
                      try {
                          IteratorClose(iterator);
                      }
                      finally {
                          throw e;
                      }
                  }
                  k++;
              }
          }
          // 6 ECMAScript Data Typ0es and Values
          // https://tc39.github.io/ecma262/#sec-ecmascript-data-types-and-values
          function Type(x) {
              if (x === null)
                  return 1 /* Null */;
              switch (typeof x) {
                  case "undefined": return 0 /* Undefined */;
                  case "boolean": return 2 /* Boolean */;
                  case "string": return 3 /* String */;
                  case "symbol": return 4 /* Symbol */;
                  case "number": return 5 /* Number */;
                  case "object": return x === null ? 1 /* Null */ : 6 /* Object */;
                  default: return 6 /* Object */;
              }
          }
          // 6.1.1 The Undefined Type
          // https://tc39.github.io/ecma262/#sec-ecmascript-language-types-undefined-type
          function IsUndefined(x) {
              return x === undefined;
          }
          // 6.1.2 The Null Type
          // https://tc39.github.io/ecma262/#sec-ecmascript-language-types-null-type
          function IsNull(x) {
              return x === null;
          }
          // 6.1.5 The Symbol Type
          // https://tc39.github.io/ecma262/#sec-ecmascript-language-types-symbol-type
          function IsSymbol(x) {
              return typeof x === "symbol";
          }
          // 6.1.7 The Object Type
          // https://tc39.github.io/ecma262/#sec-object-type
          function IsObject(x) {
              return typeof x === "object" ? x !== null : typeof x === "function";
          }
          // 7.1 Type Conversion
          // https://tc39.github.io/ecma262/#sec-type-conversion
          // 7.1.1 ToPrimitive(input [, PreferredType])
          // https://tc39.github.io/ecma262/#sec-toprimitive
          function ToPrimitive(input, PreferredType) {
              switch (Type(input)) {
                  case 0 /* Undefined */: return input;
                  case 1 /* Null */: return input;
                  case 2 /* Boolean */: return input;
                  case 3 /* String */: return input;
                  case 4 /* Symbol */: return input;
                  case 5 /* Number */: return input;
              }
              var hint = PreferredType === 3 /* String */ ? "string" : PreferredType === 5 /* Number */ ? "number" : "default";
              var exoticToPrim = GetMethod(input, toPrimitiveSymbol);
              if (exoticToPrim !== undefined) {
                  var result = exoticToPrim.call(input, hint);
                  if (IsObject(result))
                      throw new TypeError();
                  return result;
              }
              return OrdinaryToPrimitive(input, hint === "default" ? "number" : hint);
          }
          // 7.1.1.1 OrdinaryToPrimitive(O, hint)
          // https://tc39.github.io/ecma262/#sec-ordinarytoprimitive
          function OrdinaryToPrimitive(O, hint) {
              if (hint === "string") {
                  var toString_1 = O.toString;
                  if (IsCallable(toString_1)) {
                      var result = toString_1.call(O);
                      if (!IsObject(result))
                          return result;
                  }
                  var valueOf = O.valueOf;
                  if (IsCallable(valueOf)) {
                      var result = valueOf.call(O);
                      if (!IsObject(result))
                          return result;
                  }
              }
              else {
                  var valueOf = O.valueOf;
                  if (IsCallable(valueOf)) {
                      var result = valueOf.call(O);
                      if (!IsObject(result))
                          return result;
                  }
                  var toString_2 = O.toString;
                  if (IsCallable(toString_2)) {
                      var result = toString_2.call(O);
                      if (!IsObject(result))
                          return result;
                  }
              }
              throw new TypeError();
          }
          // 7.1.2 ToBoolean(argument)
          // https://tc39.github.io/ecma262/2016/#sec-toboolean
          function ToBoolean(argument) {
              return !!argument;
          }
          // 7.1.12 ToString(argument)
          // https://tc39.github.io/ecma262/#sec-tostring
          function ToString(argument) {
              return "" + argument;
          }
          // 7.1.14 ToPropertyKey(argument)
          // https://tc39.github.io/ecma262/#sec-topropertykey
          function ToPropertyKey(argument) {
              var key = ToPrimitive(argument, 3 /* String */);
              if (IsSymbol(key))
                  return key;
              return ToString(key);
          }
          // 7.2 Testing and Comparison Operations
          // https://tc39.github.io/ecma262/#sec-testing-and-comparison-operations
          // 7.2.2 IsArray(argument)
          // https://tc39.github.io/ecma262/#sec-isarray
          function IsArray(argument) {
              return Array.isArray
                  ? Array.isArray(argument)
                  : argument instanceof Object
                      ? argument instanceof Array
                      : Object.prototype.toString.call(argument) === "[object Array]";
          }
          // 7.2.3 IsCallable(argument)
          // https://tc39.github.io/ecma262/#sec-iscallable
          function IsCallable(argument) {
              // NOTE: This is an approximation as we cannot check for [[Call]] internal method.
              return typeof argument === "function";
          }
          // 7.2.4 IsConstructor(argument)
          // https://tc39.github.io/ecma262/#sec-isconstructor
          function IsConstructor(argument) {
              // NOTE: This is an approximation as we cannot check for [[Construct]] internal method.
              return typeof argument === "function";
          }
          // 7.2.7 IsPropertyKey(argument)
          // https://tc39.github.io/ecma262/#sec-ispropertykey
          function IsPropertyKey(argument) {
              switch (Type(argument)) {
                  case 3 /* String */: return true;
                  case 4 /* Symbol */: return true;
                  default: return false;
              }
          }
          // 7.3 Operations on Objects
          // https://tc39.github.io/ecma262/#sec-operations-on-objects
          // 7.3.9 GetMethod(V, P)
          // https://tc39.github.io/ecma262/#sec-getmethod
          function GetMethod(V, P) {
              var func = V[P];
              if (func === undefined || func === null)
                  return undefined;
              if (!IsCallable(func))
                  throw new TypeError();
              return func;
          }
          // 7.4 Operations on Iterator Objects
          // https://tc39.github.io/ecma262/#sec-operations-on-iterator-objects
          function GetIterator(obj) {
              var method = GetMethod(obj, iteratorSymbol);
              if (!IsCallable(method))
                  throw new TypeError(); // from Call
              var iterator = method.call(obj);
              if (!IsObject(iterator))
                  throw new TypeError();
              return iterator;
          }
          // 7.4.4 IteratorValue(iterResult)
          // https://tc39.github.io/ecma262/2016/#sec-iteratorvalue
          function IteratorValue(iterResult) {
              return iterResult.value;
          }
          // 7.4.5 IteratorStep(iterator)
          // https://tc39.github.io/ecma262/#sec-iteratorstep
          function IteratorStep(iterator) {
              var result = iterator.next();
              return result.done ? false : result;
          }
          // 7.4.6 IteratorClose(iterator, completion)
          // https://tc39.github.io/ecma262/#sec-iteratorclose
          function IteratorClose(iterator) {
              var f = iterator["return"];
              if (f)
                  f.call(iterator);
          }
          // 9.1 Ordinary Object Internal Methods and Internal Slots
          // https://tc39.github.io/ecma262/#sec-ordinary-object-internal-methods-and-internal-slots
          // 9.1.1.1 OrdinaryGetPrototypeOf(O)
          // https://tc39.github.io/ecma262/#sec-ordinarygetprototypeof
          function OrdinaryGetPrototypeOf(O) {
              var proto = Object.getPrototypeOf(O);
              if (typeof O !== "function" || O === functionPrototype)
                  return proto;
              // TypeScript doesn't set __proto__ in ES5, as it's non-standard.
              // Try to determine the superclass constructor. Compatible implementations
              // must either set __proto__ on a subclass constructor to the superclass constructor,
              // or ensure each class has a valid `constructor` property on its prototype that
              // points back to the constructor.
              // If this is not the same as Function.[[Prototype]], then this is definately inherited.
              // This is the case when in ES6 or when using __proto__ in a compatible browser.
              if (proto !== functionPrototype)
                  return proto;
              // If the super prototype is Object.prototype, null, or undefined, then we cannot determine the heritage.
              var prototype = O.prototype;
              var prototypeProto = prototype && Object.getPrototypeOf(prototype);
              if (prototypeProto == null || prototypeProto === Object.prototype)
                  return proto;
              // If the constructor was not a function, then we cannot determine the heritage.
              var constructor = prototypeProto.constructor;
              if (typeof constructor !== "function")
                  return proto;
              // If we have some kind of self-reference, then we cannot determine the heritage.
              if (constructor === O)
                  return proto;
              // we have a pretty good guess at the heritage.
              return constructor;
          }
          // naive Map shim
          function CreateMapPolyfill() {
              var cacheSentinel = {};
              var arraySentinel = [];
              var MapIterator = /** @class */ (function () {
                  function MapIterator(keys, values, selector) {
                      this._index = 0;
                      this._keys = keys;
                      this._values = values;
                      this._selector = selector;
                  }
                  MapIterator.prototype["@@iterator"] = function () { return this; };
                  MapIterator.prototype[iteratorSymbol] = function () { return this; };
                  MapIterator.prototype.next = function () {
                      var index = this._index;
                      if (index >= 0 && index < this._keys.length) {
                          var result = this._selector(this._keys[index], this._values[index]);
                          if (index + 1 >= this._keys.length) {
                              this._index = -1;
                              this._keys = arraySentinel;
                              this._values = arraySentinel;
                          }
                          else {
                              this._index++;
                          }
                          return { value: result, done: false };
                      }
                      return { value: undefined, done: true };
                  };
                  MapIterator.prototype.throw = function (error) {
                      if (this._index >= 0) {
                          this._index = -1;
                          this._keys = arraySentinel;
                          this._values = arraySentinel;
                      }
                      throw error;
                  };
                  MapIterator.prototype.return = function (value) {
                      if (this._index >= 0) {
                          this._index = -1;
                          this._keys = arraySentinel;
                          this._values = arraySentinel;
                      }
                      return { value: value, done: true };
                  };
                  return MapIterator;
              }());
              return /** @class */ (function () {
                  function Map() {
                      this._keys = [];
                      this._values = [];
                      this._cacheKey = cacheSentinel;
                      this._cacheIndex = -2;
                  }
                  Object.defineProperty(Map.prototype, "size", {
                      get: function () { return this._keys.length; },
                      enumerable: true,
                      configurable: true
                  });
                  Map.prototype.has = function (key) { return this._find(key, /*insert*/ false) >= 0; };
                  Map.prototype.get = function (key) {
                      var index = this._find(key, /*insert*/ false);
                      return index >= 0 ? this._values[index] : undefined;
                  };
                  Map.prototype.set = function (key, value) {
                      var index = this._find(key, /*insert*/ true);
                      this._values[index] = value;
                      return this;
                  };
                  Map.prototype.delete = function (key) {
                      var index = this._find(key, /*insert*/ false);
                      if (index >= 0) {
                          var size = this._keys.length;
                          for (var i = index + 1; i < size; i++) {
                              this._keys[i - 1] = this._keys[i];
                              this._values[i - 1] = this._values[i];
                          }
                          this._keys.length--;
                          this._values.length--;
                          if (key === this._cacheKey) {
                              this._cacheKey = cacheSentinel;
                              this._cacheIndex = -2;
                          }
                          return true;
                      }
                      return false;
                  };
                  Map.prototype.clear = function () {
                      this._keys.length = 0;
                      this._values.length = 0;
                      this._cacheKey = cacheSentinel;
                      this._cacheIndex = -2;
                  };
                  Map.prototype.keys = function () { return new MapIterator(this._keys, this._values, getKey); };
                  Map.prototype.values = function () { return new MapIterator(this._keys, this._values, getValue); };
                  Map.prototype.entries = function () { return new MapIterator(this._keys, this._values, getEntry); };
                  Map.prototype["@@iterator"] = function () { return this.entries(); };
                  Map.prototype[iteratorSymbol] = function () { return this.entries(); };
                  Map.prototype._find = function (key, insert) {
                      if (this._cacheKey !== key) {
                          this._cacheIndex = this._keys.indexOf(this._cacheKey = key);
                      }
                      if (this._cacheIndex < 0 && insert) {
                          this._cacheIndex = this._keys.length;
                          this._keys.push(key);
                          this._values.push(undefined);
                      }
                      return this._cacheIndex;
                  };
                  return Map;
              }());
              function getKey(key, _) {
                  return key;
              }
              function getValue(_, value) {
                  return value;
              }
              function getEntry(key, value) {
                  return [key, value];
              }
          }
          // naive Set shim
          function CreateSetPolyfill() {
              return /** @class */ (function () {
                  function Set() {
                      this._map = new _Map();
                  }
                  Object.defineProperty(Set.prototype, "size", {
                      get: function () { return this._map.size; },
                      enumerable: true,
                      configurable: true
                  });
                  Set.prototype.has = function (value) { return this._map.has(value); };
                  Set.prototype.add = function (value) { return this._map.set(value, value), this; };
                  Set.prototype.delete = function (value) { return this._map.delete(value); };
                  Set.prototype.clear = function () { this._map.clear(); };
                  Set.prototype.keys = function () { return this._map.keys(); };
                  Set.prototype.values = function () { return this._map.values(); };
                  Set.prototype.entries = function () { return this._map.entries(); };
                  Set.prototype["@@iterator"] = function () { return this.keys(); };
                  Set.prototype[iteratorSymbol] = function () { return this.keys(); };
                  return Set;
              }());
          }
          // naive WeakMap shim
          function CreateWeakMapPolyfill() {
              var UUID_SIZE = 16;
              var keys = HashMap.create();
              var rootKey = CreateUniqueKey();
              return /** @class */ (function () {
                  function WeakMap() {
                      this._key = CreateUniqueKey();
                  }
                  WeakMap.prototype.has = function (target) {
                      var table = GetOrCreateWeakMapTable(target, /*create*/ false);
                      return table !== undefined ? HashMap.has(table, this._key) : false;
                  };
                  WeakMap.prototype.get = function (target) {
                      var table = GetOrCreateWeakMapTable(target, /*create*/ false);
                      return table !== undefined ? HashMap.get(table, this._key) : undefined;
                  };
                  WeakMap.prototype.set = function (target, value) {
                      var table = GetOrCreateWeakMapTable(target, /*create*/ true);
                      table[this._key] = value;
                      return this;
                  };
                  WeakMap.prototype.delete = function (target) {
                      var table = GetOrCreateWeakMapTable(target, /*create*/ false);
                      return table !== undefined ? delete table[this._key] : false;
                  };
                  WeakMap.prototype.clear = function () {
                      // NOTE: not a real clear, just makes the previous data unreachable
                      this._key = CreateUniqueKey();
                  };
                  return WeakMap;
              }());
              function CreateUniqueKey() {
                  var key;
                  do
                      key = "@@WeakMap@@" + CreateUUID();
                  while (HashMap.has(keys, key));
                  keys[key] = true;
                  return key;
              }
              function GetOrCreateWeakMapTable(target, create) {
                  if (!hasOwn.call(target, rootKey)) {
                      if (!create)
                          return undefined;
                      Object.defineProperty(target, rootKey, { value: HashMap.create() });
                  }
                  return target[rootKey];
              }
              function FillRandomBytes(buffer, size) {
                  for (var i = 0; i < size; ++i)
                      buffer[i] = Math.random() * 0xff | 0;
                  return buffer;
              }
              function GenRandomBytes(size) {
                  if (typeof Uint8Array === "function") {
                      if (typeof crypto !== "undefined")
                          return crypto.getRandomValues(new Uint8Array(size));
                      if (typeof msCrypto !== "undefined")
                          return msCrypto.getRandomValues(new Uint8Array(size));
                      return FillRandomBytes(new Uint8Array(size), size);
                  }
                  return FillRandomBytes(new Array(size), size);
              }
              function CreateUUID() {
                  var data = GenRandomBytes(UUID_SIZE);
                  // mark as random - RFC 4122 § 4.4
                  data[6] = data[6] & 0x4f | 0x40;
                  data[8] = data[8] & 0xbf | 0x80;
                  var result = "";
                  for (var offset = 0; offset < UUID_SIZE; ++offset) {
                      var byte = data[offset];
                      if (offset === 4 || offset === 6 || offset === 8)
                          result += "-";
                      if (byte < 16)
                          result += "0";
                      result += byte.toString(16).toLowerCase();
                  }
                  return result;
              }
          }
          // uses a heuristic used by v8 and chakra to force an object into dictionary mode.
          function MakeDictionary(obj) {
              obj.__ = undefined;
              delete obj.__;
              return obj;
          }
      });
  })(Reflect$1 || (Reflect$1 = {}));

  var NAMED_TAG = "named";
  var NAME_TAG = "name";
  var UNMANAGED_TAG = "unmanaged";
  var OPTIONAL_TAG = "optional";
  var INJECT_TAG = "inject";
  var MULTI_INJECT_TAG = "multi_inject";
  var TAGGED = "inversify:tagged";
  var TAGGED_PROP = "inversify:tagged_props";
  var PARAM_TYPES = "inversify:paramtypes";
  var DESIGN_PARAM_TYPES = "design:paramtypes";
  var POST_CONSTRUCT = "post_construct";
  function getNonCustomTagKeys() {
      return [
          INJECT_TAG,
          MULTI_INJECT_TAG,
          NAME_TAG,
          UNMANAGED_TAG,
          NAMED_TAG,
          OPTIONAL_TAG,
      ];
  }
  var NON_CUSTOM_TAG_KEYS = getNonCustomTagKeys();

  var BindingScopeEnum = {
      Request: "Request",
      Singleton: "Singleton",
      Transient: "Transient"
  };
  var BindingTypeEnum = {
      ConstantValue: "ConstantValue",
      Constructor: "Constructor",
      DynamicValue: "DynamicValue",
      Factory: "Factory",
      Function: "Function",
      Instance: "Instance",
      Invalid: "Invalid",
      Provider: "Provider"
  };
  var TargetTypeEnum = {
      ClassProperty: "ClassProperty",
      ConstructorArgument: "ConstructorArgument",
      Variable: "Variable"
  };

  var idCounter = 0;
  function id() {
      return idCounter++;
  }

  var Binding = (function () {
      function Binding(serviceIdentifier, scope) {
          this.id = id();
          this.activated = false;
          this.serviceIdentifier = serviceIdentifier;
          this.scope = scope;
          this.type = BindingTypeEnum.Invalid;
          this.constraint = function (request) { return true; };
          this.implementationType = null;
          this.cache = null;
          this.factory = null;
          this.provider = null;
          this.onActivation = null;
          this.dynamicValue = null;
      }
      Binding.prototype.clone = function () {
          var clone = new Binding(this.serviceIdentifier, this.scope);
          clone.activated = (clone.scope === BindingScopeEnum.Singleton) ? this.activated : false;
          clone.implementationType = this.implementationType;
          clone.dynamicValue = this.dynamicValue;
          clone.scope = this.scope;
          clone.type = this.type;
          clone.factory = this.factory;
          clone.provider = this.provider;
          clone.constraint = this.constraint;
          clone.onActivation = this.onActivation;
          clone.cache = this.cache;
          return clone;
      };
      return Binding;
  }());

  var DUPLICATED_INJECTABLE_DECORATOR = "Cannot apply @injectable decorator multiple times.";
  var DUPLICATED_METADATA = "Metadata key was used more than once in a parameter:";
  var NULL_ARGUMENT = "NULL argument";
  var KEY_NOT_FOUND = "Key Not Found";
  var AMBIGUOUS_MATCH = "Ambiguous match found for serviceIdentifier:";
  var CANNOT_UNBIND = "Could not unbind serviceIdentifier:";
  var NOT_REGISTERED = "No matching bindings found for serviceIdentifier:";
  var MISSING_INJECTABLE_ANNOTATION = "Missing required @injectable annotation in:";
  var MISSING_INJECT_ANNOTATION = "Missing required @inject or @multiInject annotation in:";
  var UNDEFINED_INJECT_ANNOTATION = function (name) {
      return "@inject called with undefined this could mean that the class " + name + " has " +
          "a circular dependency problem. You can use a LazyServiceIdentifer to  " +
          "overcome this limitation.";
  };
  var CIRCULAR_DEPENDENCY = "Circular dependency found:";
  var INVALID_BINDING_TYPE = "Invalid binding type:";
  var NO_MORE_SNAPSHOTS_AVAILABLE = "No snapshot available to restore.";
  var INVALID_MIDDLEWARE_RETURN = "Invalid return type in middleware. Middleware must return!";
  var INVALID_FUNCTION_BINDING = "Value provided to function binding must be a function!";
  var INVALID_TO_SELF_VALUE = "The toSelf function can only be applied when a constructor is " +
      "used as service identifier";
  var INVALID_DECORATOR_OPERATION = "The @inject @multiInject @tagged and @named decorators " +
      "must be applied to the parameters of a class constructor or a class property.";
  var ARGUMENTS_LENGTH_MISMATCH = function () {
      var values = [];
      for (var _i = 0; _i < arguments.length; _i++) {
          values[_i] = arguments[_i];
      }
      return "The number of constructor arguments in the derived class " +
          (values[0] + " must be >= than the number of constructor arguments of its base class.");
  };
  var CONTAINER_OPTIONS_MUST_BE_AN_OBJECT = "Invalid Container constructor argument. Container options " +
      "must be an object.";
  var CONTAINER_OPTIONS_INVALID_DEFAULT_SCOPE = "Invalid Container option. Default scope must " +
      "be a string ('singleton' or 'transient').";
  var CONTAINER_OPTIONS_INVALID_AUTO_BIND_INJECTABLE = "Invalid Container option. Auto bind injectable must " +
      "be a boolean";
  var CONTAINER_OPTIONS_INVALID_SKIP_BASE_CHECK = "Invalid Container option. Skip base check must " +
      "be a boolean";
  var MULTIPLE_POST_CONSTRUCT_METHODS = "Cannot apply @postConstruct decorator multiple times in the same class";
  var POST_CONSTRUCT_ERROR = function () {
      var values = [];
      for (var _i = 0; _i < arguments.length; _i++) {
          values[_i] = arguments[_i];
      }
      return "@postConstruct error in class " + values[0] + ": " + values[1];
  };
  var CIRCULAR_DEPENDENCY_IN_FACTORY = function () {
      var values = [];
      for (var _i = 0; _i < arguments.length; _i++) {
          values[_i] = arguments[_i];
      }
      return "It looks like there is a circular dependency " +
          ("in one of the '" + values[0] + "' bindings. Please investigate bindings with") +
          ("service identifier '" + values[1] + "'.");
  };
  var STACK_OVERFLOW = "Maximum call stack size exceeded";

  var MetadataReader = (function () {
      function MetadataReader() {
      }
      MetadataReader.prototype.getConstructorMetadata = function (constructorFunc) {
          var compilerGeneratedMetadata = Reflect.getMetadata(PARAM_TYPES, constructorFunc);
          var userGeneratedMetadata = Reflect.getMetadata(TAGGED, constructorFunc);
          return {
              compilerGeneratedMetadata: compilerGeneratedMetadata,
              userGeneratedMetadata: userGeneratedMetadata || {}
          };
      };
      MetadataReader.prototype.getPropertiesMetadata = function (constructorFunc) {
          var userGeneratedMetadata = Reflect.getMetadata(TAGGED_PROP, constructorFunc) || [];
          return userGeneratedMetadata;
      };
      return MetadataReader;
  }());

  var BindingCount = {
      MultipleBindingsAvailable: 2,
      NoBindingsAvailable: 0,
      OnlyOneBindingAvailable: 1
  };

  function isStackOverflowExeption(error) {
      return (error instanceof RangeError ||
          error.message === STACK_OVERFLOW);
  }

  function getServiceIdentifierAsString(serviceIdentifier) {
      if (typeof serviceIdentifier === "function") {
          var _serviceIdentifier = serviceIdentifier;
          return _serviceIdentifier.name;
      }
      else if (typeof serviceIdentifier === "symbol") {
          return serviceIdentifier.toString();
      }
      else {
          var _serviceIdentifier = serviceIdentifier;
          return _serviceIdentifier;
      }
  }
  function listRegisteredBindingsForServiceIdentifier(container, serviceIdentifier, getBindings) {
      var registeredBindingsList = "";
      var registeredBindings = getBindings(container, serviceIdentifier);
      if (registeredBindings.length !== 0) {
          registeredBindingsList = "\nRegistered bindings:";
          registeredBindings.forEach(function (binding) {
              var name = "Object";
              if (binding.implementationType !== null) {
                  name = getFunctionName(binding.implementationType);
              }
              registeredBindingsList = registeredBindingsList + "\n " + name;
              if (binding.constraint.metaData) {
                  registeredBindingsList = registeredBindingsList + " - " + binding.constraint.metaData;
              }
          });
      }
      return registeredBindingsList;
  }
  function alreadyDependencyChain(request, serviceIdentifier) {
      if (request.parentRequest === null) {
          return false;
      }
      else if (request.parentRequest.serviceIdentifier === serviceIdentifier) {
          return true;
      }
      else {
          return alreadyDependencyChain(request.parentRequest, serviceIdentifier);
      }
  }
  function dependencyChainToString(request) {
      function _createStringArr(req, result) {
          if (result === void 0) { result = []; }
          var serviceIdentifier = getServiceIdentifierAsString(req.serviceIdentifier);
          result.push(serviceIdentifier);
          if (req.parentRequest !== null) {
              return _createStringArr(req.parentRequest, result);
          }
          return result;
      }
      var stringArr = _createStringArr(request);
      return stringArr.reverse().join(" --> ");
  }
  function circularDependencyToException(request) {
      request.childRequests.forEach(function (childRequest) {
          if (alreadyDependencyChain(childRequest, childRequest.serviceIdentifier)) {
              var services = dependencyChainToString(childRequest);
              throw new Error(CIRCULAR_DEPENDENCY + " " + services);
          }
          else {
              circularDependencyToException(childRequest);
          }
      });
  }
  function listMetadataForTarget(serviceIdentifierString, target) {
      if (target.isTagged() || target.isNamed()) {
          var m_1 = "";
          var namedTag = target.getNamedTag();
          var otherTags = target.getCustomTags();
          if (namedTag !== null) {
              m_1 += namedTag.toString() + "\n";
          }
          if (otherTags !== null) {
              otherTags.forEach(function (tag) {
                  m_1 += tag.toString() + "\n";
              });
          }
          return " " + serviceIdentifierString + "\n " + serviceIdentifierString + " - " + m_1;
      }
      else {
          return " " + serviceIdentifierString;
      }
  }
  function getFunctionName(v) {
      if (v.name) {
          return v.name;
      }
      else {
          var name_1 = v.toString();
          var match = name_1.match(/^function\s*([^\s(]+)/);
          return match ? match[1] : "Anonymous function: " + name_1;
      }
  }

  var Context = (function () {
      function Context(container) {
          this.id = id();
          this.container = container;
      }
      Context.prototype.addPlan = function (plan) {
          this.plan = plan;
      };
      Context.prototype.setCurrentRequest = function (currentRequest) {
          this.currentRequest = currentRequest;
      };
      return Context;
  }());

  var Metadata = (function () {
      function Metadata(key, value) {
          this.key = key;
          this.value = value;
      }
      Metadata.prototype.toString = function () {
          if (this.key === NAMED_TAG) {
              return "named: " + this.value.toString() + " ";
          }
          else {
              return "tagged: { key:" + this.key.toString() + ", value: " + this.value + " }";
          }
      };
      return Metadata;
  }());

  var Plan = (function () {
      function Plan(parentContext, rootRequest) {
          this.parentContext = parentContext;
          this.rootRequest = rootRequest;
      }
      return Plan;
  }());

  function tagParameter(annotationTarget, propertyName, parameterIndex, metadata) {
      var metadataKey = TAGGED;
      _tagParameterOrProperty(metadataKey, annotationTarget, propertyName, metadata, parameterIndex);
  }
  function tagProperty(annotationTarget, propertyName, metadata) {
      var metadataKey = TAGGED_PROP;
      _tagParameterOrProperty(metadataKey, annotationTarget.constructor, propertyName, metadata);
  }
  function _tagParameterOrProperty(metadataKey, annotationTarget, propertyName, metadata, parameterIndex) {
      var paramsOrPropertiesMetadata = {};
      var isParameterDecorator = (typeof parameterIndex === "number");
      var key = (parameterIndex !== undefined && isParameterDecorator) ? parameterIndex.toString() : propertyName;
      if (isParameterDecorator && propertyName !== undefined) {
          throw new Error(INVALID_DECORATOR_OPERATION);
      }
      if (Reflect.hasOwnMetadata(metadataKey, annotationTarget)) {
          paramsOrPropertiesMetadata = Reflect.getMetadata(metadataKey, annotationTarget);
      }
      var paramOrPropertyMetadata = paramsOrPropertiesMetadata[key];
      if (!Array.isArray(paramOrPropertyMetadata)) {
          paramOrPropertyMetadata = [];
      }
      else {
          for (var _i = 0, paramOrPropertyMetadata_1 = paramOrPropertyMetadata; _i < paramOrPropertyMetadata_1.length; _i++) {
              var m = paramOrPropertyMetadata_1[_i];
              if (m.key === metadata.key) {
                  throw new Error(DUPLICATED_METADATA + " " + m.key.toString());
              }
          }
      }
      paramOrPropertyMetadata.push(metadata);
      paramsOrPropertiesMetadata[key] = paramOrPropertyMetadata;
      Reflect.defineMetadata(metadataKey, paramsOrPropertiesMetadata, annotationTarget);
  }
  function _decorate(decorators, target) {
      Reflect.decorate(decorators, target);
  }
  function _param(paramIndex, decorator) {
      return function (target, key) { decorator(target, key, paramIndex); };
  }
  function decorate(decorator, target, parameterIndex) {
      if (typeof parameterIndex === "number") {
          _decorate([_param(parameterIndex, decorator)], target);
      }
      else if (typeof parameterIndex === "string") {
          Reflect.decorate([decorator], target, parameterIndex);
      }
      else {
          _decorate([decorator], target);
      }
  }

  var LazyServiceIdentifer = (function () {
      function LazyServiceIdentifer(cb) {
          this._cb = cb;
      }
      LazyServiceIdentifer.prototype.unwrap = function () {
          return this._cb();
      };
      return LazyServiceIdentifer;
  }());
  function inject(serviceIdentifier) {
      return function (target, targetKey, index) {
          if (serviceIdentifier === undefined) {
              throw new Error(UNDEFINED_INJECT_ANNOTATION(target.name));
          }
          var metadata = new Metadata(INJECT_TAG, serviceIdentifier);
          if (typeof index === "number") {
              tagParameter(target, targetKey, index, metadata);
          }
          else {
              tagProperty(target, targetKey, metadata);
          }
      };
  }

  var QueryableString = (function () {
      function QueryableString(str) {
          this.str = str;
      }
      QueryableString.prototype.startsWith = function (searchString) {
          return this.str.indexOf(searchString) === 0;
      };
      QueryableString.prototype.endsWith = function (searchString) {
          var reverseString = "";
          var reverseSearchString = searchString.split("").reverse().join("");
          reverseString = this.str.split("").reverse().join("");
          return this.startsWith.call({ str: reverseString }, reverseSearchString);
      };
      QueryableString.prototype.contains = function (searchString) {
          return (this.str.indexOf(searchString) !== -1);
      };
      QueryableString.prototype.equals = function (compareString) {
          return this.str === compareString;
      };
      QueryableString.prototype.value = function () {
          return this.str;
      };
      return QueryableString;
  }());

  var Target = (function () {
      function Target(type, name, serviceIdentifier, namedOrTagged) {
          this.id = id();
          this.type = type;
          this.serviceIdentifier = serviceIdentifier;
          this.name = new QueryableString(name || "");
          this.metadata = new Array();
          var metadataItem = null;
          if (typeof namedOrTagged === "string") {
              metadataItem = new Metadata(NAMED_TAG, namedOrTagged);
          }
          else if (namedOrTagged instanceof Metadata) {
              metadataItem = namedOrTagged;
          }
          if (metadataItem !== null) {
              this.metadata.push(metadataItem);
          }
      }
      Target.prototype.hasTag = function (key) {
          for (var _i = 0, _a = this.metadata; _i < _a.length; _i++) {
              var m = _a[_i];
              if (m.key === key) {
                  return true;
              }
          }
          return false;
      };
      Target.prototype.isArray = function () {
          return this.hasTag(MULTI_INJECT_TAG);
      };
      Target.prototype.matchesArray = function (name) {
          return this.matchesTag(MULTI_INJECT_TAG)(name);
      };
      Target.prototype.isNamed = function () {
          return this.hasTag(NAMED_TAG);
      };
      Target.prototype.isTagged = function () {
          return this.metadata.some(function (metadata) { return NON_CUSTOM_TAG_KEYS.every(function (key) { return metadata.key !== key; }); });
      };
      Target.prototype.isOptional = function () {
          return this.matchesTag(OPTIONAL_TAG)(true);
      };
      Target.prototype.getNamedTag = function () {
          if (this.isNamed()) {
              return this.metadata.filter(function (m) { return m.key === NAMED_TAG; })[0];
          }
          return null;
      };
      Target.prototype.getCustomTags = function () {
          if (this.isTagged()) {
              return this.metadata.filter(function (metadata) { return NON_CUSTOM_TAG_KEYS.every(function (key) { return metadata.key !== key; }); });
          }
          else {
              return null;
          }
      };
      Target.prototype.matchesNamedTag = function (name) {
          return this.matchesTag(NAMED_TAG)(name);
      };
      Target.prototype.matchesTag = function (key) {
          var _this = this;
          return function (value) {
              for (var _i = 0, _a = _this.metadata; _i < _a.length; _i++) {
                  var m = _a[_i];
                  if (m.key === key && m.value === value) {
                      return true;
                  }
              }
              return false;
          };
      };
      return Target;
  }());

  var __spreadArray = (undefined && undefined.__spreadArray) || function (to, from) {
      for (var i = 0, il = from.length, j = to.length; i < il; i++, j++)
          to[j] = from[i];
      return to;
  };
  function getDependencies(metadataReader, func) {
      var constructorName = getFunctionName(func);
      var targets = getTargets(metadataReader, constructorName, func, false);
      return targets;
  }
  function getTargets(metadataReader, constructorName, func, isBaseClass) {
      var metadata = metadataReader.getConstructorMetadata(func);
      var serviceIdentifiers = metadata.compilerGeneratedMetadata;
      if (serviceIdentifiers === undefined) {
          var msg = MISSING_INJECTABLE_ANNOTATION + " " + constructorName + ".";
          throw new Error(msg);
      }
      var constructorArgsMetadata = metadata.userGeneratedMetadata;
      var keys = Object.keys(constructorArgsMetadata);
      var hasUserDeclaredUnknownInjections = (func.length === 0 && keys.length > 0);
      var hasOptionalParameters = keys.length > func.length;
      var iterations = (hasUserDeclaredUnknownInjections || hasOptionalParameters) ? keys.length : func.length;
      var constructorTargets = getConstructorArgsAsTargets(isBaseClass, constructorName, serviceIdentifiers, constructorArgsMetadata, iterations);
      var propertyTargets = getClassPropsAsTargets(metadataReader, func);
      var targets = __spreadArray(__spreadArray([], constructorTargets), propertyTargets);
      return targets;
  }
  function getConstructorArgsAsTarget(index, isBaseClass, constructorName, serviceIdentifiers, constructorArgsMetadata) {
      var targetMetadata = constructorArgsMetadata[index.toString()] || [];
      var metadata = formatTargetMetadata(targetMetadata);
      var isManaged = metadata.unmanaged !== true;
      var serviceIdentifier = serviceIdentifiers[index];
      var injectIdentifier = (metadata.inject || metadata.multiInject);
      serviceIdentifier = (injectIdentifier) ? (injectIdentifier) : serviceIdentifier;
      if (serviceIdentifier instanceof LazyServiceIdentifer) {
          serviceIdentifier = serviceIdentifier.unwrap();
      }
      if (isManaged) {
          var isObject = serviceIdentifier === Object;
          var isFunction = serviceIdentifier === Function;
          var isUndefined = serviceIdentifier === undefined;
          var isUnknownType = (isObject || isFunction || isUndefined);
          if (!isBaseClass && isUnknownType) {
              var msg = MISSING_INJECT_ANNOTATION + " argument " + index + " in class " + constructorName + ".";
              throw new Error(msg);
          }
          var target = new Target(TargetTypeEnum.ConstructorArgument, metadata.targetName, serviceIdentifier);
          target.metadata = targetMetadata;
          return target;
      }
      return null;
  }
  function getConstructorArgsAsTargets(isBaseClass, constructorName, serviceIdentifiers, constructorArgsMetadata, iterations) {
      var targets = [];
      for (var i = 0; i < iterations; i++) {
          var index = i;
          var target = getConstructorArgsAsTarget(index, isBaseClass, constructorName, serviceIdentifiers, constructorArgsMetadata);
          if (target !== null) {
              targets.push(target);
          }
      }
      return targets;
  }
  function getClassPropsAsTargets(metadataReader, constructorFunc) {
      var classPropsMetadata = metadataReader.getPropertiesMetadata(constructorFunc);
      var targets = [];
      var keys = Object.keys(classPropsMetadata);
      for (var _i = 0, keys_1 = keys; _i < keys_1.length; _i++) {
          var key = keys_1[_i];
          var targetMetadata = classPropsMetadata[key];
          var metadata = formatTargetMetadata(classPropsMetadata[key]);
          var targetName = metadata.targetName || key;
          var serviceIdentifier = (metadata.inject || metadata.multiInject);
          var target = new Target(TargetTypeEnum.ClassProperty, targetName, serviceIdentifier);
          target.metadata = targetMetadata;
          targets.push(target);
      }
      var baseConstructor = Object.getPrototypeOf(constructorFunc.prototype).constructor;
      if (baseConstructor !== Object) {
          var baseTargets = getClassPropsAsTargets(metadataReader, baseConstructor);
          targets = __spreadArray(__spreadArray([], targets), baseTargets);
      }
      return targets;
  }
  function getBaseClassDependencyCount(metadataReader, func) {
      var baseConstructor = Object.getPrototypeOf(func.prototype).constructor;
      if (baseConstructor !== Object) {
          var baseConstructorName = getFunctionName(baseConstructor);
          var targets = getTargets(metadataReader, baseConstructorName, baseConstructor, true);
          var metadata = targets.map(function (t) {
              return t.metadata.filter(function (m) {
                  return m.key === UNMANAGED_TAG;
              });
          });
          var unmanagedCount = [].concat.apply([], metadata).length;
          var dependencyCount = targets.length - unmanagedCount;
          if (dependencyCount > 0) {
              return dependencyCount;
          }
          else {
              return getBaseClassDependencyCount(metadataReader, baseConstructor);
          }
      }
      else {
          return 0;
      }
  }
  function formatTargetMetadata(targetMetadata) {
      var targetMetadataMap = {};
      targetMetadata.forEach(function (m) {
          targetMetadataMap[m.key.toString()] = m.value;
      });
      return {
          inject: targetMetadataMap[INJECT_TAG],
          multiInject: targetMetadataMap[MULTI_INJECT_TAG],
          targetName: targetMetadataMap[NAME_TAG],
          unmanaged: targetMetadataMap[UNMANAGED_TAG]
      };
  }

  var Request = (function () {
      function Request(serviceIdentifier, parentContext, parentRequest, bindings, target) {
          this.id = id();
          this.serviceIdentifier = serviceIdentifier;
          this.parentContext = parentContext;
          this.parentRequest = parentRequest;
          this.target = target;
          this.childRequests = [];
          this.bindings = (Array.isArray(bindings) ? bindings : [bindings]);
          this.requestScope = parentRequest === null
              ? new Map()
              : null;
      }
      Request.prototype.addChildRequest = function (serviceIdentifier, bindings, target) {
          var child = new Request(serviceIdentifier, this.parentContext, this, bindings, target);
          this.childRequests.push(child);
          return child;
      };
      return Request;
  }());

  function getBindingDictionary(cntnr) {
      return cntnr._bindingDictionary;
  }
  function _createTarget(isMultiInject, targetType, serviceIdentifier, name, key, value) {
      var metadataKey = isMultiInject ? MULTI_INJECT_TAG : INJECT_TAG;
      var injectMetadata = new Metadata(metadataKey, serviceIdentifier);
      var target = new Target(targetType, name, serviceIdentifier, injectMetadata);
      if (key !== undefined) {
          var tagMetadata = new Metadata(key, value);
          target.metadata.push(tagMetadata);
      }
      return target;
  }
  function _getActiveBindings(metadataReader, avoidConstraints, context, parentRequest, target) {
      var bindings = getBindings(context.container, target.serviceIdentifier);
      var activeBindings = [];
      if (bindings.length === BindingCount.NoBindingsAvailable &&
          context.container.options.autoBindInjectable &&
          typeof target.serviceIdentifier === "function" &&
          metadataReader.getConstructorMetadata(target.serviceIdentifier).compilerGeneratedMetadata) {
          context.container.bind(target.serviceIdentifier).toSelf();
          bindings = getBindings(context.container, target.serviceIdentifier);
      }
      if (!avoidConstraints) {
          activeBindings = bindings.filter(function (binding) {
              var request = new Request(binding.serviceIdentifier, context, parentRequest, binding, target);
              return binding.constraint(request);
          });
      }
      else {
          activeBindings = bindings;
      }
      _validateActiveBindingCount(target.serviceIdentifier, activeBindings, target, context.container);
      return activeBindings;
  }
  function _validateActiveBindingCount(serviceIdentifier, bindings, target, container) {
      switch (bindings.length) {
          case BindingCount.NoBindingsAvailable:
              if (target.isOptional()) {
                  return bindings;
              }
              else {
                  var serviceIdentifierString = getServiceIdentifierAsString(serviceIdentifier);
                  var msg = NOT_REGISTERED;
                  msg += listMetadataForTarget(serviceIdentifierString, target);
                  msg += listRegisteredBindingsForServiceIdentifier(container, serviceIdentifierString, getBindings);
                  throw new Error(msg);
              }
          case BindingCount.OnlyOneBindingAvailable:
              if (!target.isArray()) {
                  return bindings;
              }
          case BindingCount.MultipleBindingsAvailable:
          default:
              if (!target.isArray()) {
                  var serviceIdentifierString = getServiceIdentifierAsString(serviceIdentifier);
                  var msg = AMBIGUOUS_MATCH + " " + serviceIdentifierString;
                  msg += listRegisteredBindingsForServiceIdentifier(container, serviceIdentifierString, getBindings);
                  throw new Error(msg);
              }
              else {
                  return bindings;
              }
      }
  }
  function _createSubRequests(metadataReader, avoidConstraints, serviceIdentifier, context, parentRequest, target) {
      var activeBindings;
      var childRequest;
      if (parentRequest === null) {
          activeBindings = _getActiveBindings(metadataReader, avoidConstraints, context, null, target);
          childRequest = new Request(serviceIdentifier, context, null, activeBindings, target);
          var thePlan = new Plan(context, childRequest);
          context.addPlan(thePlan);
      }
      else {
          activeBindings = _getActiveBindings(metadataReader, avoidConstraints, context, parentRequest, target);
          childRequest = parentRequest.addChildRequest(target.serviceIdentifier, activeBindings, target);
      }
      activeBindings.forEach(function (binding) {
          var subChildRequest = null;
          if (target.isArray()) {
              subChildRequest = childRequest.addChildRequest(binding.serviceIdentifier, binding, target);
          }
          else {
              if (binding.cache) {
                  return;
              }
              subChildRequest = childRequest;
          }
          if (binding.type === BindingTypeEnum.Instance && binding.implementationType !== null) {
              var dependencies = getDependencies(metadataReader, binding.implementationType);
              if (!context.container.options.skipBaseClassChecks) {
                  var baseClassDependencyCount = getBaseClassDependencyCount(metadataReader, binding.implementationType);
                  if (dependencies.length < baseClassDependencyCount) {
                      var error = ARGUMENTS_LENGTH_MISMATCH(getFunctionName(binding.implementationType));
                      throw new Error(error);
                  }
              }
              dependencies.forEach(function (dependency) {
                  _createSubRequests(metadataReader, false, dependency.serviceIdentifier, context, subChildRequest, dependency);
              });
          }
      });
  }
  function getBindings(container, serviceIdentifier) {
      var bindings = [];
      var bindingDictionary = getBindingDictionary(container);
      if (bindingDictionary.hasKey(serviceIdentifier)) {
          bindings = bindingDictionary.get(serviceIdentifier);
      }
      else if (container.parent !== null) {
          bindings = getBindings(container.parent, serviceIdentifier);
      }
      return bindings;
  }
  function plan(metadataReader, container, isMultiInject, targetType, serviceIdentifier, key, value, avoidConstraints) {
      if (avoidConstraints === void 0) { avoidConstraints = false; }
      var context = new Context(container);
      var target = _createTarget(isMultiInject, targetType, serviceIdentifier, "", key, value);
      try {
          _createSubRequests(metadataReader, avoidConstraints, serviceIdentifier, context, null, target);
          return context;
      }
      catch (error) {
          if (isStackOverflowExeption(error)) {
              if (context.plan) {
                  circularDependencyToException(context.plan.rootRequest);
              }
          }
          throw error;
      }
  }
  function createMockRequest(container, serviceIdentifier, key, value) {
      var target = new Target(TargetTypeEnum.Variable, "", serviceIdentifier, new Metadata(key, value));
      var context = new Context(container);
      var request = new Request(serviceIdentifier, context, null, [], target);
      return request;
  }

  var __spreadArray$1 = (undefined && undefined.__spreadArray) || function (to, from) {
      for (var i = 0, il = from.length, j = to.length; i < il; i++, j++)
          to[j] = from[i];
      return to;
  };
  function _injectProperties(instance, childRequests, resolveRequest) {
      var propertyInjectionsRequests = childRequests.filter(function (childRequest) {
          return (childRequest.target !== null &&
              childRequest.target.type === TargetTypeEnum.ClassProperty);
      });
      var propertyInjections = propertyInjectionsRequests.map(resolveRequest);
      propertyInjectionsRequests.forEach(function (r, index) {
          var propertyName = "";
          propertyName = r.target.name.value();
          var injection = propertyInjections[index];
          instance[propertyName] = injection;
      });
      return instance;
  }
  function _createInstance(Func, injections) {
      return new (Func.bind.apply(Func, __spreadArray$1([void 0], injections)))();
  }
  function _postConstruct(constr, result) {
      if (Reflect.hasMetadata(POST_CONSTRUCT, constr)) {
          var data = Reflect.getMetadata(POST_CONSTRUCT, constr);
          try {
              result[data.value]();
          }
          catch (e) {
              throw new Error(POST_CONSTRUCT_ERROR(constr.name, e.message));
          }
      }
  }
  function resolveInstance(constr, childRequests, resolveRequest) {
      var result = null;
      if (childRequests.length > 0) {
          var constructorInjectionsRequests = childRequests.filter(function (childRequest) {
              return (childRequest.target !== null && childRequest.target.type === TargetTypeEnum.ConstructorArgument);
          });
          var constructorInjections = constructorInjectionsRequests.map(resolveRequest);
          result = _createInstance(constr, constructorInjections);
          result = _injectProperties(result, childRequests, resolveRequest);
      }
      else {
          result = new constr();
      }
      _postConstruct(constr, result);
      return result;
  }

  var invokeFactory = function (factoryType, serviceIdentifier, fn) {
      try {
          return fn();
      }
      catch (error) {
          if (isStackOverflowExeption(error)) {
              throw new Error(CIRCULAR_DEPENDENCY_IN_FACTORY(factoryType, serviceIdentifier.toString()));
          }
          else {
              throw error;
          }
      }
  };
  var _resolveRequest = function (requestScope) {
      return function (request) {
          request.parentContext.setCurrentRequest(request);
          var bindings = request.bindings;
          var childRequests = request.childRequests;
          var targetIsAnArray = request.target && request.target.isArray();
          var targetParentIsNotAnArray = !request.parentRequest ||
              !request.parentRequest.target ||
              !request.target ||
              !request.parentRequest.target.matchesArray(request.target.serviceIdentifier);
          if (targetIsAnArray && targetParentIsNotAnArray) {
              return childRequests.map(function (childRequest) {
                  var _f = _resolveRequest(requestScope);
                  return _f(childRequest);
              });
          }
          else {
              var result = null;
              if (request.target.isOptional() && bindings.length === 0) {
                  return undefined;
              }
              var binding_1 = bindings[0];
              var isSingleton = binding_1.scope === BindingScopeEnum.Singleton;
              var isRequestSingleton = binding_1.scope === BindingScopeEnum.Request;
              if (isSingleton && binding_1.activated) {
                  return binding_1.cache;
              }
              if (isRequestSingleton &&
                  requestScope !== null &&
                  requestScope.has(binding_1.id)) {
                  return requestScope.get(binding_1.id);
              }
              if (binding_1.type === BindingTypeEnum.ConstantValue) {
                  result = binding_1.cache;
                  binding_1.activated = true;
              }
              else if (binding_1.type === BindingTypeEnum.Function) {
                  result = binding_1.cache;
                  binding_1.activated = true;
              }
              else if (binding_1.type === BindingTypeEnum.Constructor) {
                  result = binding_1.implementationType;
              }
              else if (binding_1.type === BindingTypeEnum.DynamicValue && binding_1.dynamicValue !== null) {
                  result = invokeFactory("toDynamicValue", binding_1.serviceIdentifier, function () { return binding_1.dynamicValue(request.parentContext); });
              }
              else if (binding_1.type === BindingTypeEnum.Factory && binding_1.factory !== null) {
                  result = invokeFactory("toFactory", binding_1.serviceIdentifier, function () { return binding_1.factory(request.parentContext); });
              }
              else if (binding_1.type === BindingTypeEnum.Provider && binding_1.provider !== null) {
                  result = invokeFactory("toProvider", binding_1.serviceIdentifier, function () { return binding_1.provider(request.parentContext); });
              }
              else if (binding_1.type === BindingTypeEnum.Instance && binding_1.implementationType !== null) {
                  result = resolveInstance(binding_1.implementationType, childRequests, _resolveRequest(requestScope));
              }
              else {
                  var serviceIdentifier = getServiceIdentifierAsString(request.serviceIdentifier);
                  throw new Error(INVALID_BINDING_TYPE + " " + serviceIdentifier);
              }
              if (typeof binding_1.onActivation === "function") {
                  result = binding_1.onActivation(request.parentContext, result);
              }
              if (isSingleton) {
                  binding_1.cache = result;
                  binding_1.activated = true;
              }
              if (isRequestSingleton &&
                  requestScope !== null &&
                  !requestScope.has(binding_1.id)) {
                  requestScope.set(binding_1.id, result);
              }
              return result;
          }
      };
  };
  function resolve(context) {
      var _f = _resolveRequest(context.plan.rootRequest.requestScope);
      return _f(context.plan.rootRequest);
  }

  var traverseAncerstors = function (request, constraint) {
      var parent = request.parentRequest;
      if (parent !== null) {
          return constraint(parent) ? true : traverseAncerstors(parent, constraint);
      }
      else {
          return false;
      }
  };
  var taggedConstraint = function (key) { return function (value) {
      var constraint = function (request) {
          return request !== null && request.target !== null && request.target.matchesTag(key)(value);
      };
      constraint.metaData = new Metadata(key, value);
      return constraint;
  }; };
  var namedConstraint = taggedConstraint(NAMED_TAG);
  var typeConstraint = function (type) { return function (request) {
      var binding = null;
      if (request !== null) {
          binding = request.bindings[0];
          if (typeof type === "string") {
              var serviceIdentifier = binding.serviceIdentifier;
              return serviceIdentifier === type;
          }
          else {
              var constructor = request.bindings[0].implementationType;
              return type === constructor;
          }
      }
      return false;
  }; };

  var BindingWhenSyntax = (function () {
      function BindingWhenSyntax(binding) {
          this._binding = binding;
      }
      BindingWhenSyntax.prototype.when = function (constraint) {
          this._binding.constraint = constraint;
          return new BindingOnSyntax(this._binding);
      };
      BindingWhenSyntax.prototype.whenTargetNamed = function (name) {
          this._binding.constraint = namedConstraint(name);
          return new BindingOnSyntax(this._binding);
      };
      BindingWhenSyntax.prototype.whenTargetIsDefault = function () {
          this._binding.constraint = function (request) {
              var targetIsDefault = (request.target !== null) &&
                  (!request.target.isNamed()) &&
                  (!request.target.isTagged());
              return targetIsDefault;
          };
          return new BindingOnSyntax(this._binding);
      };
      BindingWhenSyntax.prototype.whenTargetTagged = function (tag, value) {
          this._binding.constraint = taggedConstraint(tag)(value);
          return new BindingOnSyntax(this._binding);
      };
      BindingWhenSyntax.prototype.whenInjectedInto = function (parent) {
          this._binding.constraint = function (request) {
              return typeConstraint(parent)(request.parentRequest);
          };
          return new BindingOnSyntax(this._binding);
      };
      BindingWhenSyntax.prototype.whenParentNamed = function (name) {
          this._binding.constraint = function (request) {
              return namedConstraint(name)(request.parentRequest);
          };
          return new BindingOnSyntax(this._binding);
      };
      BindingWhenSyntax.prototype.whenParentTagged = function (tag, value) {
          this._binding.constraint = function (request) {
              return taggedConstraint(tag)(value)(request.parentRequest);
          };
          return new BindingOnSyntax(this._binding);
      };
      BindingWhenSyntax.prototype.whenAnyAncestorIs = function (ancestor) {
          this._binding.constraint = function (request) {
              return traverseAncerstors(request, typeConstraint(ancestor));
          };
          return new BindingOnSyntax(this._binding);
      };
      BindingWhenSyntax.prototype.whenNoAncestorIs = function (ancestor) {
          this._binding.constraint = function (request) {
              return !traverseAncerstors(request, typeConstraint(ancestor));
          };
          return new BindingOnSyntax(this._binding);
      };
      BindingWhenSyntax.prototype.whenAnyAncestorNamed = function (name) {
          this._binding.constraint = function (request) {
              return traverseAncerstors(request, namedConstraint(name));
          };
          return new BindingOnSyntax(this._binding);
      };
      BindingWhenSyntax.prototype.whenNoAncestorNamed = function (name) {
          this._binding.constraint = function (request) {
              return !traverseAncerstors(request, namedConstraint(name));
          };
          return new BindingOnSyntax(this._binding);
      };
      BindingWhenSyntax.prototype.whenAnyAncestorTagged = function (tag, value) {
          this._binding.constraint = function (request) {
              return traverseAncerstors(request, taggedConstraint(tag)(value));
          };
          return new BindingOnSyntax(this._binding);
      };
      BindingWhenSyntax.prototype.whenNoAncestorTagged = function (tag, value) {
          this._binding.constraint = function (request) {
              return !traverseAncerstors(request, taggedConstraint(tag)(value));
          };
          return new BindingOnSyntax(this._binding);
      };
      BindingWhenSyntax.prototype.whenAnyAncestorMatches = function (constraint) {
          this._binding.constraint = function (request) {
              return traverseAncerstors(request, constraint);
          };
          return new BindingOnSyntax(this._binding);
      };
      BindingWhenSyntax.prototype.whenNoAncestorMatches = function (constraint) {
          this._binding.constraint = function (request) {
              return !traverseAncerstors(request, constraint);
          };
          return new BindingOnSyntax(this._binding);
      };
      return BindingWhenSyntax;
  }());

  var BindingOnSyntax = (function () {
      function BindingOnSyntax(binding) {
          this._binding = binding;
      }
      BindingOnSyntax.prototype.onActivation = function (handler) {
          this._binding.onActivation = handler;
          return new BindingWhenSyntax(this._binding);
      };
      return BindingOnSyntax;
  }());

  var BindingWhenOnSyntax = (function () {
      function BindingWhenOnSyntax(binding) {
          this._binding = binding;
          this._bindingWhenSyntax = new BindingWhenSyntax(this._binding);
          this._bindingOnSyntax = new BindingOnSyntax(this._binding);
      }
      BindingWhenOnSyntax.prototype.when = function (constraint) {
          return this._bindingWhenSyntax.when(constraint);
      };
      BindingWhenOnSyntax.prototype.whenTargetNamed = function (name) {
          return this._bindingWhenSyntax.whenTargetNamed(name);
      };
      BindingWhenOnSyntax.prototype.whenTargetIsDefault = function () {
          return this._bindingWhenSyntax.whenTargetIsDefault();
      };
      BindingWhenOnSyntax.prototype.whenTargetTagged = function (tag, value) {
          return this._bindingWhenSyntax.whenTargetTagged(tag, value);
      };
      BindingWhenOnSyntax.prototype.whenInjectedInto = function (parent) {
          return this._bindingWhenSyntax.whenInjectedInto(parent);
      };
      BindingWhenOnSyntax.prototype.whenParentNamed = function (name) {
          return this._bindingWhenSyntax.whenParentNamed(name);
      };
      BindingWhenOnSyntax.prototype.whenParentTagged = function (tag, value) {
          return this._bindingWhenSyntax.whenParentTagged(tag, value);
      };
      BindingWhenOnSyntax.prototype.whenAnyAncestorIs = function (ancestor) {
          return this._bindingWhenSyntax.whenAnyAncestorIs(ancestor);
      };
      BindingWhenOnSyntax.prototype.whenNoAncestorIs = function (ancestor) {
          return this._bindingWhenSyntax.whenNoAncestorIs(ancestor);
      };
      BindingWhenOnSyntax.prototype.whenAnyAncestorNamed = function (name) {
          return this._bindingWhenSyntax.whenAnyAncestorNamed(name);
      };
      BindingWhenOnSyntax.prototype.whenAnyAncestorTagged = function (tag, value) {
          return this._bindingWhenSyntax.whenAnyAncestorTagged(tag, value);
      };
      BindingWhenOnSyntax.prototype.whenNoAncestorNamed = function (name) {
          return this._bindingWhenSyntax.whenNoAncestorNamed(name);
      };
      BindingWhenOnSyntax.prototype.whenNoAncestorTagged = function (tag, value) {
          return this._bindingWhenSyntax.whenNoAncestorTagged(tag, value);
      };
      BindingWhenOnSyntax.prototype.whenAnyAncestorMatches = function (constraint) {
          return this._bindingWhenSyntax.whenAnyAncestorMatches(constraint);
      };
      BindingWhenOnSyntax.prototype.whenNoAncestorMatches = function (constraint) {
          return this._bindingWhenSyntax.whenNoAncestorMatches(constraint);
      };
      BindingWhenOnSyntax.prototype.onActivation = function (handler) {
          return this._bindingOnSyntax.onActivation(handler);
      };
      return BindingWhenOnSyntax;
  }());

  var BindingInSyntax = (function () {
      function BindingInSyntax(binding) {
          this._binding = binding;
      }
      BindingInSyntax.prototype.inRequestScope = function () {
          this._binding.scope = BindingScopeEnum.Request;
          return new BindingWhenOnSyntax(this._binding);
      };
      BindingInSyntax.prototype.inSingletonScope = function () {
          this._binding.scope = BindingScopeEnum.Singleton;
          return new BindingWhenOnSyntax(this._binding);
      };
      BindingInSyntax.prototype.inTransientScope = function () {
          this._binding.scope = BindingScopeEnum.Transient;
          return new BindingWhenOnSyntax(this._binding);
      };
      return BindingInSyntax;
  }());

  var BindingInWhenOnSyntax = (function () {
      function BindingInWhenOnSyntax(binding) {
          this._binding = binding;
          this._bindingWhenSyntax = new BindingWhenSyntax(this._binding);
          this._bindingOnSyntax = new BindingOnSyntax(this._binding);
          this._bindingInSyntax = new BindingInSyntax(binding);
      }
      BindingInWhenOnSyntax.prototype.inRequestScope = function () {
          return this._bindingInSyntax.inRequestScope();
      };
      BindingInWhenOnSyntax.prototype.inSingletonScope = function () {
          return this._bindingInSyntax.inSingletonScope();
      };
      BindingInWhenOnSyntax.prototype.inTransientScope = function () {
          return this._bindingInSyntax.inTransientScope();
      };
      BindingInWhenOnSyntax.prototype.when = function (constraint) {
          return this._bindingWhenSyntax.when(constraint);
      };
      BindingInWhenOnSyntax.prototype.whenTargetNamed = function (name) {
          return this._bindingWhenSyntax.whenTargetNamed(name);
      };
      BindingInWhenOnSyntax.prototype.whenTargetIsDefault = function () {
          return this._bindingWhenSyntax.whenTargetIsDefault();
      };
      BindingInWhenOnSyntax.prototype.whenTargetTagged = function (tag, value) {
          return this._bindingWhenSyntax.whenTargetTagged(tag, value);
      };
      BindingInWhenOnSyntax.prototype.whenInjectedInto = function (parent) {
          return this._bindingWhenSyntax.whenInjectedInto(parent);
      };
      BindingInWhenOnSyntax.prototype.whenParentNamed = function (name) {
          return this._bindingWhenSyntax.whenParentNamed(name);
      };
      BindingInWhenOnSyntax.prototype.whenParentTagged = function (tag, value) {
          return this._bindingWhenSyntax.whenParentTagged(tag, value);
      };
      BindingInWhenOnSyntax.prototype.whenAnyAncestorIs = function (ancestor) {
          return this._bindingWhenSyntax.whenAnyAncestorIs(ancestor);
      };
      BindingInWhenOnSyntax.prototype.whenNoAncestorIs = function (ancestor) {
          return this._bindingWhenSyntax.whenNoAncestorIs(ancestor);
      };
      BindingInWhenOnSyntax.prototype.whenAnyAncestorNamed = function (name) {
          return this._bindingWhenSyntax.whenAnyAncestorNamed(name);
      };
      BindingInWhenOnSyntax.prototype.whenAnyAncestorTagged = function (tag, value) {
          return this._bindingWhenSyntax.whenAnyAncestorTagged(tag, value);
      };
      BindingInWhenOnSyntax.prototype.whenNoAncestorNamed = function (name) {
          return this._bindingWhenSyntax.whenNoAncestorNamed(name);
      };
      BindingInWhenOnSyntax.prototype.whenNoAncestorTagged = function (tag, value) {
          return this._bindingWhenSyntax.whenNoAncestorTagged(tag, value);
      };
      BindingInWhenOnSyntax.prototype.whenAnyAncestorMatches = function (constraint) {
          return this._bindingWhenSyntax.whenAnyAncestorMatches(constraint);
      };
      BindingInWhenOnSyntax.prototype.whenNoAncestorMatches = function (constraint) {
          return this._bindingWhenSyntax.whenNoAncestorMatches(constraint);
      };
      BindingInWhenOnSyntax.prototype.onActivation = function (handler) {
          return this._bindingOnSyntax.onActivation(handler);
      };
      return BindingInWhenOnSyntax;
  }());

  var BindingToSyntax = (function () {
      function BindingToSyntax(binding) {
          this._binding = binding;
      }
      BindingToSyntax.prototype.to = function (constructor) {
          this._binding.type = BindingTypeEnum.Instance;
          this._binding.implementationType = constructor;
          return new BindingInWhenOnSyntax(this._binding);
      };
      BindingToSyntax.prototype.toSelf = function () {
          if (typeof this._binding.serviceIdentifier !== "function") {
              throw new Error("" + INVALID_TO_SELF_VALUE);
          }
          var self = this._binding.serviceIdentifier;
          return this.to(self);
      };
      BindingToSyntax.prototype.toConstantValue = function (value) {
          this._binding.type = BindingTypeEnum.ConstantValue;
          this._binding.cache = value;
          this._binding.dynamicValue = null;
          this._binding.implementationType = null;
          this._binding.scope = BindingScopeEnum.Singleton;
          return new BindingWhenOnSyntax(this._binding);
      };
      BindingToSyntax.prototype.toDynamicValue = function (func) {
          this._binding.type = BindingTypeEnum.DynamicValue;
          this._binding.cache = null;
          this._binding.dynamicValue = func;
          this._binding.implementationType = null;
          return new BindingInWhenOnSyntax(this._binding);
      };
      BindingToSyntax.prototype.toConstructor = function (constructor) {
          this._binding.type = BindingTypeEnum.Constructor;
          this._binding.implementationType = constructor;
          this._binding.scope = BindingScopeEnum.Singleton;
          return new BindingWhenOnSyntax(this._binding);
      };
      BindingToSyntax.prototype.toFactory = function (factory) {
          this._binding.type = BindingTypeEnum.Factory;
          this._binding.factory = factory;
          this._binding.scope = BindingScopeEnum.Singleton;
          return new BindingWhenOnSyntax(this._binding);
      };
      BindingToSyntax.prototype.toFunction = function (func) {
          if (typeof func !== "function") {
              throw new Error(INVALID_FUNCTION_BINDING);
          }
          var bindingWhenOnSyntax = this.toConstantValue(func);
          this._binding.type = BindingTypeEnum.Function;
          this._binding.scope = BindingScopeEnum.Singleton;
          return bindingWhenOnSyntax;
      };
      BindingToSyntax.prototype.toAutoFactory = function (serviceIdentifier) {
          this._binding.type = BindingTypeEnum.Factory;
          this._binding.factory = function (context) {
              var autofactory = function () { return context.container.get(serviceIdentifier); };
              return autofactory;
          };
          this._binding.scope = BindingScopeEnum.Singleton;
          return new BindingWhenOnSyntax(this._binding);
      };
      BindingToSyntax.prototype.toProvider = function (provider) {
          this._binding.type = BindingTypeEnum.Provider;
          this._binding.provider = provider;
          this._binding.scope = BindingScopeEnum.Singleton;
          return new BindingWhenOnSyntax(this._binding);
      };
      BindingToSyntax.prototype.toService = function (service) {
          this.toDynamicValue(function (context) { return context.container.get(service); });
      };
      return BindingToSyntax;
  }());

  var ContainerSnapshot = (function () {
      function ContainerSnapshot() {
      }
      ContainerSnapshot.of = function (bindings, middleware) {
          var snapshot = new ContainerSnapshot();
          snapshot.bindings = bindings;
          snapshot.middleware = middleware;
          return snapshot;
      };
      return ContainerSnapshot;
  }());

  var Lookup = (function () {
      function Lookup() {
          this._map = new Map();
      }
      Lookup.prototype.getMap = function () {
          return this._map;
      };
      Lookup.prototype.add = function (serviceIdentifier, value) {
          if (serviceIdentifier === null || serviceIdentifier === undefined) {
              throw new Error(NULL_ARGUMENT);
          }
          if (value === null || value === undefined) {
              throw new Error(NULL_ARGUMENT);
          }
          var entry = this._map.get(serviceIdentifier);
          if (entry !== undefined) {
              entry.push(value);
              this._map.set(serviceIdentifier, entry);
          }
          else {
              this._map.set(serviceIdentifier, [value]);
          }
      };
      Lookup.prototype.get = function (serviceIdentifier) {
          if (serviceIdentifier === null || serviceIdentifier === undefined) {
              throw new Error(NULL_ARGUMENT);
          }
          var entry = this._map.get(serviceIdentifier);
          if (entry !== undefined) {
              return entry;
          }
          else {
              throw new Error(KEY_NOT_FOUND);
          }
      };
      Lookup.prototype.remove = function (serviceIdentifier) {
          if (serviceIdentifier === null || serviceIdentifier === undefined) {
              throw new Error(NULL_ARGUMENT);
          }
          if (!this._map.delete(serviceIdentifier)) {
              throw new Error(KEY_NOT_FOUND);
          }
      };
      Lookup.prototype.removeByCondition = function (condition) {
          var _this = this;
          this._map.forEach(function (entries, key) {
              var updatedEntries = entries.filter(function (entry) { return !condition(entry); });
              if (updatedEntries.length > 0) {
                  _this._map.set(key, updatedEntries);
              }
              else {
                  _this._map.delete(key);
              }
          });
      };
      Lookup.prototype.hasKey = function (serviceIdentifier) {
          if (serviceIdentifier === null || serviceIdentifier === undefined) {
              throw new Error(NULL_ARGUMENT);
          }
          return this._map.has(serviceIdentifier);
      };
      Lookup.prototype.clone = function () {
          var copy = new Lookup();
          this._map.forEach(function (value, key) {
              value.forEach(function (b) { return copy.add(key, b.clone()); });
          });
          return copy;
      };
      Lookup.prototype.traverse = function (func) {
          this._map.forEach(function (value, key) {
              func(key, value);
          });
      };
      return Lookup;
  }());

  var __awaiter = (undefined && undefined.__awaiter) || function (thisArg, _arguments, P, generator) {
      function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
      return new (P || (P = Promise))(function (resolve, reject) {
          function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
          function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
          function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
          step((generator = generator.apply(thisArg, _arguments || [])).next());
      });
  };
  var __generator = (undefined && undefined.__generator) || function (thisArg, body) {
      var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
      return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
      function verb(n) { return function (v) { return step([n, v]); }; }
      function step(op) {
          if (f) throw new TypeError("Generator is already executing.");
          while (_) try {
              if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
              if (y = 0, t) op = [op[0] & 2, t.value];
              switch (op[0]) {
                  case 0: case 1: t = op; break;
                  case 4: _.label++; return { value: op[1], done: false };
                  case 5: _.label++; y = op[1]; op = [0]; continue;
                  case 7: op = _.ops.pop(); _.trys.pop(); continue;
                  default:
                      if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                      if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                      if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                      if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                      if (t[2]) _.ops.pop();
                      _.trys.pop(); continue;
              }
              op = body.call(thisArg, _);
          } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
          if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
      }
  };
  var __spreadArray$2 = (undefined && undefined.__spreadArray) || function (to, from) {
      for (var i = 0, il = from.length, j = to.length; i < il; i++, j++)
          to[j] = from[i];
      return to;
  };
  var Container = (function () {
      function Container(containerOptions) {
          this._appliedMiddleware = [];
          var options = containerOptions || {};
          if (typeof options !== "object") {
              throw new Error("" + CONTAINER_OPTIONS_MUST_BE_AN_OBJECT);
          }
          if (options.defaultScope === undefined) {
              options.defaultScope = BindingScopeEnum.Transient;
          }
          else if (options.defaultScope !== BindingScopeEnum.Singleton &&
              options.defaultScope !== BindingScopeEnum.Transient &&
              options.defaultScope !== BindingScopeEnum.Request) {
              throw new Error("" + CONTAINER_OPTIONS_INVALID_DEFAULT_SCOPE);
          }
          if (options.autoBindInjectable === undefined) {
              options.autoBindInjectable = false;
          }
          else if (typeof options.autoBindInjectable !== "boolean") {
              throw new Error("" + CONTAINER_OPTIONS_INVALID_AUTO_BIND_INJECTABLE);
          }
          if (options.skipBaseClassChecks === undefined) {
              options.skipBaseClassChecks = false;
          }
          else if (typeof options.skipBaseClassChecks !== "boolean") {
              throw new Error("" + CONTAINER_OPTIONS_INVALID_SKIP_BASE_CHECK);
          }
          this.options = {
              autoBindInjectable: options.autoBindInjectable,
              defaultScope: options.defaultScope,
              skipBaseClassChecks: options.skipBaseClassChecks
          };
          this.id = id();
          this._bindingDictionary = new Lookup();
          this._snapshots = [];
          this._middleware = null;
          this.parent = null;
          this._metadataReader = new MetadataReader();
      }
      Container.merge = function (container1, container2) {
          var container3 = [];
          for (var _i = 2; _i < arguments.length; _i++) {
              container3[_i - 2] = arguments[_i];
          }
          var container = new Container();
          var targetContainers = __spreadArray$2([container1, container2], container3).map(function (targetContainer) { return getBindingDictionary(targetContainer); });
          var bindingDictionary = getBindingDictionary(container);
          function copyDictionary(origin, destination) {
              origin.traverse(function (key, value) {
                  value.forEach(function (binding) {
                      destination.add(binding.serviceIdentifier, binding.clone());
                  });
              });
          }
          targetContainers.forEach(function (targetBindingDictionary) {
              copyDictionary(targetBindingDictionary, bindingDictionary);
          });
          return container;
      };
      Container.prototype.load = function () {
          var modules = [];
          for (var _i = 0; _i < arguments.length; _i++) {
              modules[_i] = arguments[_i];
          }
          var getHelpers = this._getContainerModuleHelpersFactory();
          for (var _a = 0, modules_1 = modules; _a < modules_1.length; _a++) {
              var currentModule = modules_1[_a];
              var containerModuleHelpers = getHelpers(currentModule.id);
              currentModule.registry(containerModuleHelpers.bindFunction, containerModuleHelpers.unbindFunction, containerModuleHelpers.isboundFunction, containerModuleHelpers.rebindFunction);
          }
      };
      Container.prototype.loadAsync = function () {
          var modules = [];
          for (var _i = 0; _i < arguments.length; _i++) {
              modules[_i] = arguments[_i];
          }
          return __awaiter(this, void 0, void 0, function () {
              var getHelpers, _a, modules_2, currentModule, containerModuleHelpers;
              return __generator(this, function (_b) {
                  switch (_b.label) {
                      case 0:
                          getHelpers = this._getContainerModuleHelpersFactory();
                          _a = 0, modules_2 = modules;
                          _b.label = 1;
                      case 1:
                          if (!(_a < modules_2.length)) return [3, 4];
                          currentModule = modules_2[_a];
                          containerModuleHelpers = getHelpers(currentModule.id);
                          return [4, currentModule.registry(containerModuleHelpers.bindFunction, containerModuleHelpers.unbindFunction, containerModuleHelpers.isboundFunction, containerModuleHelpers.rebindFunction)];
                      case 2:
                          _b.sent();
                          _b.label = 3;
                      case 3:
                          _a++;
                          return [3, 1];
                      case 4: return [2];
                  }
              });
          });
      };
      Container.prototype.unload = function () {
          var _this = this;
          var modules = [];
          for (var _i = 0; _i < arguments.length; _i++) {
              modules[_i] = arguments[_i];
          }
          var conditionFactory = function (expected) { return function (item) {
              return item.moduleId === expected;
          }; };
          modules.forEach(function (module) {
              var condition = conditionFactory(module.id);
              _this._bindingDictionary.removeByCondition(condition);
          });
      };
      Container.prototype.bind = function (serviceIdentifier) {
          var scope = this.options.defaultScope || BindingScopeEnum.Transient;
          var binding = new Binding(serviceIdentifier, scope);
          this._bindingDictionary.add(serviceIdentifier, binding);
          return new BindingToSyntax(binding);
      };
      Container.prototype.rebind = function (serviceIdentifier) {
          this.unbind(serviceIdentifier);
          return this.bind(serviceIdentifier);
      };
      Container.prototype.unbind = function (serviceIdentifier) {
          try {
              this._bindingDictionary.remove(serviceIdentifier);
          }
          catch (e) {
              throw new Error(CANNOT_UNBIND + " " + getServiceIdentifierAsString(serviceIdentifier));
          }
      };
      Container.prototype.unbindAll = function () {
          this._bindingDictionary = new Lookup();
      };
      Container.prototype.isBound = function (serviceIdentifier) {
          var bound = this._bindingDictionary.hasKey(serviceIdentifier);
          if (!bound && this.parent) {
              bound = this.parent.isBound(serviceIdentifier);
          }
          return bound;
      };
      Container.prototype.isBoundNamed = function (serviceIdentifier, named) {
          return this.isBoundTagged(serviceIdentifier, NAMED_TAG, named);
      };
      Container.prototype.isBoundTagged = function (serviceIdentifier, key, value) {
          var bound = false;
          if (this._bindingDictionary.hasKey(serviceIdentifier)) {
              var bindings = this._bindingDictionary.get(serviceIdentifier);
              var request_1 = createMockRequest(this, serviceIdentifier, key, value);
              bound = bindings.some(function (b) { return b.constraint(request_1); });
          }
          if (!bound && this.parent) {
              bound = this.parent.isBoundTagged(serviceIdentifier, key, value);
          }
          return bound;
      };
      Container.prototype.snapshot = function () {
          this._snapshots.push(ContainerSnapshot.of(this._bindingDictionary.clone(), this._middleware));
      };
      Container.prototype.restore = function () {
          var snapshot = this._snapshots.pop();
          if (snapshot === undefined) {
              throw new Error(NO_MORE_SNAPSHOTS_AVAILABLE);
          }
          this._bindingDictionary = snapshot.bindings;
          this._middleware = snapshot.middleware;
      };
      Container.prototype.createChild = function (containerOptions) {
          var child = new Container(containerOptions || this.options);
          child.parent = this;
          return child;
      };
      Container.prototype.applyMiddleware = function () {
          var middlewares = [];
          for (var _i = 0; _i < arguments.length; _i++) {
              middlewares[_i] = arguments[_i];
          }
          this._appliedMiddleware = this._appliedMiddleware.concat(middlewares);
          var initial = (this._middleware) ? this._middleware : this._planAndResolve();
          this._middleware = middlewares.reduce(function (prev, curr) { return curr(prev); }, initial);
      };
      Container.prototype.applyCustomMetadataReader = function (metadataReader) {
          this._metadataReader = metadataReader;
      };
      Container.prototype.get = function (serviceIdentifier) {
          return this._get(false, false, TargetTypeEnum.Variable, serviceIdentifier);
      };
      Container.prototype.getTagged = function (serviceIdentifier, key, value) {
          return this._get(false, false, TargetTypeEnum.Variable, serviceIdentifier, key, value);
      };
      Container.prototype.getNamed = function (serviceIdentifier, named) {
          return this.getTagged(serviceIdentifier, NAMED_TAG, named);
      };
      Container.prototype.getAll = function (serviceIdentifier) {
          return this._get(true, true, TargetTypeEnum.Variable, serviceIdentifier);
      };
      Container.prototype.getAllTagged = function (serviceIdentifier, key, value) {
          return this._get(false, true, TargetTypeEnum.Variable, serviceIdentifier, key, value);
      };
      Container.prototype.getAllNamed = function (serviceIdentifier, named) {
          return this.getAllTagged(serviceIdentifier, NAMED_TAG, named);
      };
      Container.prototype.resolve = function (constructorFunction) {
          var tempContainer = this.createChild();
          tempContainer.bind(constructorFunction).toSelf();
          this._appliedMiddleware.forEach(function (m) {
              tempContainer.applyMiddleware(m);
          });
          return tempContainer.get(constructorFunction);
      };
      Container.prototype._getContainerModuleHelpersFactory = function () {
          var _this = this;
          var setModuleId = function (bindingToSyntax, moduleId) {
              bindingToSyntax._binding.moduleId = moduleId;
          };
          var getBindFunction = function (moduleId) {
              return function (serviceIdentifier) {
                  var _bind = _this.bind.bind(_this);
                  var bindingToSyntax = _bind(serviceIdentifier);
                  setModuleId(bindingToSyntax, moduleId);
                  return bindingToSyntax;
              };
          };
          var getUnbindFunction = function (moduleId) {
              return function (serviceIdentifier) {
                  var _unbind = _this.unbind.bind(_this);
                  _unbind(serviceIdentifier);
              };
          };
          var getIsboundFunction = function (moduleId) {
              return function (serviceIdentifier) {
                  var _isBound = _this.isBound.bind(_this);
                  return _isBound(serviceIdentifier);
              };
          };
          var getRebindFunction = function (moduleId) {
              return function (serviceIdentifier) {
                  var _rebind = _this.rebind.bind(_this);
                  var bindingToSyntax = _rebind(serviceIdentifier);
                  setModuleId(bindingToSyntax, moduleId);
                  return bindingToSyntax;
              };
          };
          return function (mId) { return ({
              bindFunction: getBindFunction(mId),
              isboundFunction: getIsboundFunction(),
              rebindFunction: getRebindFunction(mId),
              unbindFunction: getUnbindFunction()
          }); };
      };
      Container.prototype._get = function (avoidConstraints, isMultiInject, targetType, serviceIdentifier, key, value) {
          var result = null;
          var defaultArgs = {
              avoidConstraints: avoidConstraints,
              contextInterceptor: function (context) { return context; },
              isMultiInject: isMultiInject,
              key: key,
              serviceIdentifier: serviceIdentifier,
              targetType: targetType,
              value: value
          };
          if (this._middleware) {
              result = this._middleware(defaultArgs);
              if (result === undefined || result === null) {
                  throw new Error(INVALID_MIDDLEWARE_RETURN);
              }
          }
          else {
              result = this._planAndResolve()(defaultArgs);
          }
          return result;
      };
      Container.prototype._planAndResolve = function () {
          var _this = this;
          return function (args) {
              var context = plan(_this._metadataReader, _this, args.isMultiInject, args.targetType, args.serviceIdentifier, args.key, args.value, args.avoidConstraints);
              context = args.contextInterceptor(context);
              var result = resolve(context);
              return result;
          };
      };
      return Container;
  }());

  var ContainerModule = (function () {
      function ContainerModule(registry) {
          this.id = id();
          this.registry = registry;
      }
      return ContainerModule;
  }());

  function injectable() {
      return function (target) {
          if (Reflect.hasOwnMetadata(PARAM_TYPES, target)) {
              throw new Error(DUPLICATED_INJECTABLE_DECORATOR);
          }
          var types = Reflect.getMetadata(DESIGN_PARAM_TYPES, target) || [];
          Reflect.defineMetadata(PARAM_TYPES, types, target);
          return target;
      };
  }

  function named(name) {
      return function (target, targetKey, index) {
          var metadata = new Metadata(NAMED_TAG, name);
          if (typeof index === "number") {
              tagParameter(target, targetKey, index, metadata);
          }
          else {
              tagProperty(target, targetKey, metadata);
          }
      };
  }

  function postConstruct() {
      return function (target, propertyKey, descriptor) {
          var metadata = new Metadata(POST_CONSTRUCT, propertyKey);
          if (Reflect.hasOwnMetadata(POST_CONSTRUCT, target.constructor)) {
              throw new Error(MULTIPLE_POST_CONSTRUCT_METHODS);
          }
          Reflect.defineMetadata(POST_CONSTRUCT, metadata, target.constructor);
      };
  }

  var eventemitter3 = createCommonjsModule(function (module) {

  var has = Object.prototype.hasOwnProperty
    , prefix = '~';

  /**
   * Constructor to create a storage for our `EE` objects.
   * An `Events` instance is a plain object whose properties are event names.
   *
   * @constructor
   * @private
   */
  function Events() {}

  //
  // We try to not inherit from `Object.prototype`. In some engines creating an
  // instance in this way is faster than calling `Object.create(null)` directly.
  // If `Object.create(null)` is not supported we prefix the event names with a
  // character to make sure that the built-in object properties are not
  // overridden or used as an attack vector.
  //
  if (Object.create) {
    Events.prototype = Object.create(null);

    //
    // This hack is needed because the `__proto__` property is still inherited in
    // some old browsers like Android 4, iPhone 5.1, Opera 11 and Safari 5.
    //
    if (!new Events().__proto__) prefix = false;
  }

  /**
   * Representation of a single event listener.
   *
   * @param {Function} fn The listener function.
   * @param {*} context The context to invoke the listener with.
   * @param {Boolean} [once=false] Specify if the listener is a one-time listener.
   * @constructor
   * @private
   */
  function EE(fn, context, once) {
    this.fn = fn;
    this.context = context;
    this.once = once || false;
  }

  /**
   * Add a listener for a given event.
   *
   * @param {EventEmitter} emitter Reference to the `EventEmitter` instance.
   * @param {(String|Symbol)} event The event name.
   * @param {Function} fn The listener function.
   * @param {*} context The context to invoke the listener with.
   * @param {Boolean} once Specify if the listener is a one-time listener.
   * @returns {EventEmitter}
   * @private
   */
  function addListener(emitter, event, fn, context, once) {
    if (typeof fn !== 'function') {
      throw new TypeError('The listener must be a function');
    }

    var listener = new EE(fn, context || emitter, once)
      , evt = prefix ? prefix + event : event;

    if (!emitter._events[evt]) emitter._events[evt] = listener, emitter._eventsCount++;
    else if (!emitter._events[evt].fn) emitter._events[evt].push(listener);
    else emitter._events[evt] = [emitter._events[evt], listener];

    return emitter;
  }

  /**
   * Clear event by name.
   *
   * @param {EventEmitter} emitter Reference to the `EventEmitter` instance.
   * @param {(String|Symbol)} evt The Event name.
   * @private
   */
  function clearEvent(emitter, evt) {
    if (--emitter._eventsCount === 0) emitter._events = new Events();
    else delete emitter._events[evt];
  }

  /**
   * Minimal `EventEmitter` interface that is molded against the Node.js
   * `EventEmitter` interface.
   *
   * @constructor
   * @public
   */
  function EventEmitter() {
    this._events = new Events();
    this._eventsCount = 0;
  }

  /**
   * Return an array listing the events for which the emitter has registered
   * listeners.
   *
   * @returns {Array}
   * @public
   */
  EventEmitter.prototype.eventNames = function eventNames() {
    var names = []
      , events
      , name;

    if (this._eventsCount === 0) return names;

    for (name in (events = this._events)) {
      if (has.call(events, name)) names.push(prefix ? name.slice(1) : name);
    }

    if (Object.getOwnPropertySymbols) {
      return names.concat(Object.getOwnPropertySymbols(events));
    }

    return names;
  };

  /**
   * Return the listeners registered for a given event.
   *
   * @param {(String|Symbol)} event The event name.
   * @returns {Array} The registered listeners.
   * @public
   */
  EventEmitter.prototype.listeners = function listeners(event) {
    var evt = prefix ? prefix + event : event
      , handlers = this._events[evt];

    if (!handlers) return [];
    if (handlers.fn) return [handlers.fn];

    for (var i = 0, l = handlers.length, ee = new Array(l); i < l; i++) {
      ee[i] = handlers[i].fn;
    }

    return ee;
  };

  /**
   * Return the number of listeners listening to a given event.
   *
   * @param {(String|Symbol)} event The event name.
   * @returns {Number} The number of listeners.
   * @public
   */
  EventEmitter.prototype.listenerCount = function listenerCount(event) {
    var evt = prefix ? prefix + event : event
      , listeners = this._events[evt];

    if (!listeners) return 0;
    if (listeners.fn) return 1;
    return listeners.length;
  };

  /**
   * Calls each of the listeners registered for a given event.
   *
   * @param {(String|Symbol)} event The event name.
   * @returns {Boolean} `true` if the event had listeners, else `false`.
   * @public
   */
  EventEmitter.prototype.emit = function emit(event, a1, a2, a3, a4, a5) {
    var evt = prefix ? prefix + event : event;

    if (!this._events[evt]) return false;

    var listeners = this._events[evt]
      , len = arguments.length
      , args
      , i;

    if (listeners.fn) {
      if (listeners.once) this.removeListener(event, listeners.fn, undefined, true);

      switch (len) {
        case 1: return listeners.fn.call(listeners.context), true;
        case 2: return listeners.fn.call(listeners.context, a1), true;
        case 3: return listeners.fn.call(listeners.context, a1, a2), true;
        case 4: return listeners.fn.call(listeners.context, a1, a2, a3), true;
        case 5: return listeners.fn.call(listeners.context, a1, a2, a3, a4), true;
        case 6: return listeners.fn.call(listeners.context, a1, a2, a3, a4, a5), true;
      }

      for (i = 1, args = new Array(len -1); i < len; i++) {
        args[i - 1] = arguments[i];
      }

      listeners.fn.apply(listeners.context, args);
    } else {
      var length = listeners.length
        , j;

      for (i = 0; i < length; i++) {
        if (listeners[i].once) this.removeListener(event, listeners[i].fn, undefined, true);

        switch (len) {
          case 1: listeners[i].fn.call(listeners[i].context); break;
          case 2: listeners[i].fn.call(listeners[i].context, a1); break;
          case 3: listeners[i].fn.call(listeners[i].context, a1, a2); break;
          case 4: listeners[i].fn.call(listeners[i].context, a1, a2, a3); break;
          default:
            if (!args) for (j = 1, args = new Array(len -1); j < len; j++) {
              args[j - 1] = arguments[j];
            }

            listeners[i].fn.apply(listeners[i].context, args);
        }
      }
    }

    return true;
  };

  /**
   * Add a listener for a given event.
   *
   * @param {(String|Symbol)} event The event name.
   * @param {Function} fn The listener function.
   * @param {*} [context=this] The context to invoke the listener with.
   * @returns {EventEmitter} `this`.
   * @public
   */
  EventEmitter.prototype.on = function on(event, fn, context) {
    return addListener(this, event, fn, context, false);
  };

  /**
   * Add a one-time listener for a given event.
   *
   * @param {(String|Symbol)} event The event name.
   * @param {Function} fn The listener function.
   * @param {*} [context=this] The context to invoke the listener with.
   * @returns {EventEmitter} `this`.
   * @public
   */
  EventEmitter.prototype.once = function once(event, fn, context) {
    return addListener(this, event, fn, context, true);
  };

  /**
   * Remove the listeners of a given event.
   *
   * @param {(String|Symbol)} event The event name.
   * @param {Function} fn Only remove the listeners that match this function.
   * @param {*} context Only remove the listeners that have this context.
   * @param {Boolean} once Only remove one-time listeners.
   * @returns {EventEmitter} `this`.
   * @public
   */
  EventEmitter.prototype.removeListener = function removeListener(event, fn, context, once) {
    var evt = prefix ? prefix + event : event;

    if (!this._events[evt]) return this;
    if (!fn) {
      clearEvent(this, evt);
      return this;
    }

    var listeners = this._events[evt];

    if (listeners.fn) {
      if (
        listeners.fn === fn &&
        (!once || listeners.once) &&
        (!context || listeners.context === context)
      ) {
        clearEvent(this, evt);
      }
    } else {
      for (var i = 0, events = [], length = listeners.length; i < length; i++) {
        if (
          listeners[i].fn !== fn ||
          (once && !listeners[i].once) ||
          (context && listeners[i].context !== context)
        ) {
          events.push(listeners[i]);
        }
      }

      //
      // Reset the array, or remove it completely if we have no more listeners.
      //
      if (events.length) this._events[evt] = events.length === 1 ? events[0] : events;
      else clearEvent(this, evt);
    }

    return this;
  };

  /**
   * Remove all listeners, or those of the specified event.
   *
   * @param {(String|Symbol)} [event] The event name.
   * @returns {EventEmitter} `this`.
   * @public
   */
  EventEmitter.prototype.removeAllListeners = function removeAllListeners(event) {
    var evt;

    if (event) {
      evt = prefix ? prefix + event : event;
      if (this._events[evt]) clearEvent(this, evt);
    } else {
      this._events = new Events();
      this._eventsCount = 0;
    }

    return this;
  };

  //
  // Alias methods names because people roll like that.
  //
  EventEmitter.prototype.off = EventEmitter.prototype.removeListener;
  EventEmitter.prototype.addListener = EventEmitter.prototype.on;

  //
  // Expose the prefix.
  //
  EventEmitter.prefixed = prefix;

  //
  // Allow `EventEmitter` to be imported as module namespace.
  //
  EventEmitter.EventEmitter = EventEmitter;

  //
  // Expose the module.
  //
  {
    module.exports = EventEmitter;
  }
  });

  function _classCallCheck$1(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
      throw new TypeError("Cannot call a class as a function");
    }
  }

  function _defineProperties$1(target, props) {
    for (var i = 0; i < props.length; i++) {
      var descriptor = props[i];
      descriptor.enumerable = descriptor.enumerable || false;
      descriptor.configurable = true;
      if ("value" in descriptor) descriptor.writable = true;
      Object.defineProperty(target, descriptor.key, descriptor);
    }
  }

  function _createClass$1(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$1(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$1(Constructor, staticProps);
    return Constructor;
  }

  function _inherits$1(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
      throw new TypeError("Super expression must either be null or a function");
    }

    subClass.prototype = Object.create(superClass && superClass.prototype, {
      constructor: {
        value: subClass,
        writable: true,
        configurable: true
      }
    });
    if (superClass) _setPrototypeOf$1(subClass, superClass);
  }

  function _getPrototypeOf$1(o) {
    _getPrototypeOf$1 = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) {
      return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _getPrototypeOf$1(o);
  }

  function _setPrototypeOf$1(o, p) {
    _setPrototypeOf$1 = Object.setPrototypeOf || function _setPrototypeOf(o, p) {
      o.__proto__ = p;
      return o;
    };

    return _setPrototypeOf$1(o, p);
  }

  function _isNativeReflectConstruct$1() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;

    try {
      Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {}));
      return true;
    } catch (e) {
      return false;
    }
  }

  function _assertThisInitialized$1(self) {
    if (self === void 0) {
      throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }

    return self;
  }

  function _possibleConstructorReturn$1(self, call) {
    if (call && (typeof call === "object" || typeof call === "function")) {
      return call;
    }

    return _assertThisInitialized$1(self);
  }

  function _createSuper$1(Derived) {
    var hasNativeReflectConstruct = _isNativeReflectConstruct$1();

    return function _createSuperInternal() {
      var Super = _getPrototypeOf$1(Derived),
          result;

      if (hasNativeReflectConstruct) {
        var NewTarget = _getPrototypeOf$1(this).constructor;

        result = Reflect.construct(Super, arguments, NewTarget);
      } else {
        result = Super.apply(this, arguments);
      }

      return _possibleConstructorReturn$1(this, result);
    };
  }

  function _unsupportedIterableToArray$1(o, minLen) {
    if (!o) return;
    if (typeof o === "string") return _arrayLikeToArray$1(o, minLen);
    var n = Object.prototype.toString.call(o).slice(8, -1);
    if (n === "Object" && o.constructor) n = o.constructor.name;
    if (n === "Map" || n === "Set") return Array.from(o);
    if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray$1(o, minLen);
  }

  function _arrayLikeToArray$1(arr, len) {
    if (len == null || len > arr.length) len = arr.length;

    for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i];

    return arr2;
  }

  function _createForOfIteratorHelper(o, allowArrayLike) {
    var it = typeof Symbol !== "undefined" && o[Symbol.iterator] || o["@@iterator"];

    if (!it) {
      if (Array.isArray(o) || (it = _unsupportedIterableToArray$1(o)) || allowArrayLike && o && typeof o.length === "number") {
        if (it) o = it;
        var i = 0;

        var F = function () {};

        return {
          s: F,
          n: function () {
            if (i >= o.length) return {
              done: true
            };
            return {
              done: false,
              value: o[i++]
            };
          },
          e: function (e) {
            throw e;
          },
          f: F
        };
      }

      throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
    }

    var normalCompletion = true,
        didErr = false,
        err;
    return {
      s: function () {
        it = it.call(o);
      },
      n: function () {
        var step = it.next();
        normalCompletion = step.done;
        return step;
      },
      e: function (e) {
        didErr = true;
        err = e;
      },
      f: function () {
        try {
          if (!normalCompletion && it.return != null) it.return();
        } finally {
          if (didErr) throw err;
        }
      }
    };
  }

  /*! *****************************************************************************
  Copyright (c) Microsoft Corporation.

  Permission to use, copy, modify, and/or distribute this software for any
  purpose with or without fee is hereby granted.

  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
  REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
  AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
  INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
  LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
  OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
  PERFORMANCE OF THIS SOFTWARE.
  ***************************************************************************** */

  function __decorate(decorators, target, key, desc) {
      var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
      if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
      else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
      return c > 3 && r && Object.defineProperty(target, key, r), r;
  }

  function __metadata(metadataKey, metadataValue) {
      if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(metadataKey, metadataValue);
  }

  var ObjectPool = /*#__PURE__*/function () {
    function ObjectPool() {
      _classCallCheck$1(this, ObjectPool);

      this.count = 0;
      this.freeList = [];
      this.objectFactory = void 0;
    }

    _createClass$1(ObjectPool, [{
      key: "init",
      value: function init(T, initialSize) {
        this.objectFactory = T;

        if (typeof initialSize !== 'undefined') {
          this.expand(initialSize);
        }
      }
    }, {
      key: "acquire",
      value: function acquire() {
        if (this.freeList.length <= 0) {
          this.expand(Math.round(this.count * 0.2) + 1);
        }

        return this.freeList.pop();
      }
    }, {
      key: "release",
      value: function release(item) {
        item.reset();
        this.freeList.push(item);
      }
    }, {
      key: "expand",
      value: function expand(count) {
        for (var n = 0; n < count; n++) {
          var clone = this.objectFactory();
          this.freeList.push(clone);
        }

        this.count += count;
      }
    }]);

    return ObjectPool;
  }();

  ObjectPool = __decorate([injectable()], ObjectPool);

  var Component_1;
  var counter = 0;

  var Component = Component_1 = /*#__PURE__*/function () {
    function Component() {
      _classCallCheck$1(this, Component);

      this.pid = counter++;
    }

    _createClass$1(Component, [{
      key: "getId",
      value: function getId() {
        return this.pid;
      }
    }, {
      key: "copy",
      value: function copy(props) {
        Object.assign(this, props);
        return this;
      }
    }, {
      key: "clone",
      value: function clone() {
        return new Component_1().copy(this);
      }
    }, {
      key: "reset",
      value: function reset() {//
      }
    }, {
      key: "destroy",
      value: function destroy() {//
      }
    }]);

    return Component;
  }();

  Component = Component_1 = __decorate([injectable()], Component);

  var IDENTIFIER = {
    EventEmitter: 'EventEmitter',
    ComponentRegistry: 'ComponentRegistry',
    ComponentManager: 'ComponentManager',
    ComponentPoolFactory: 'ComponentPoolFactory',
    ComponentPool: 'ComponentPool',
    ObjectFactory: 'ObjectFactory',
    EntityPoolFactory: 'EntityPoolFactory',
    System: 'System',
    SystemRegistry: 'SystemRegistry'
  };

  var ENTITY_EVENT = {
    Created: 'Created'
  };
  var COMPONENT_EVENT = {
    Added: 'Added',
    Remove: 'Remove'
  };

  var EntityManager = /*#__PURE__*/function (_EventEmitter) {
    _inherits$1(EntityManager, _EventEmitter);

    var _super = _createSuper$1(EntityManager);

    function EntityManager() {
      var _this;

      _classCallCheck$1(this, EntityManager);

      for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
        args[_key] = arguments[_key];
      }

      _this = _super.call.apply(_super, [this].concat(args));
      _this.componentPoolFactory = void 0;
      _this.entities = [];
      _this.entitiesByNames = {};
      _this.matcherCache = {};
      return _this;
    }

    _createClass$1(EntityManager, [{
      key: "getEntityByName",
      value: function getEntityByName(name) {
        return this.entitiesByNames[name];
      }
    }, {
      key: "getAllEntities",
      value: function getAllEntities() {
        return this.entities;
      }
    }, {
      key: "queryByMatcher",
      value: function queryByMatcher(matcher) {
        var hash = matcher.hash();

        if (!this.matcherCache[hash]) {
          this.matcherCache[hash] = this.entities.filter(function (entity) {
            return matcher.matches(entity);
          });
        }

        return this.matcherCache[hash];
      }
    }, {
      key: "createEntity",
      value: function createEntity(entity) {
        var name = entity.getName();

        if (name) {
          if (this.entitiesByNames[name]) {
            throw new Error("Entity name '".concat(name, "' already exist"));
          } else {
            this.entitiesByNames[name] = entity;
          }
        }

        this.entities.push(entity);
        this.emit(ENTITY_EVENT.Created, entity);
        return entity;
      }
    }, {
      key: "destroyEntity",
      value: function destroyEntity(entity) {
        if (entity.getName()) {
          delete this.entitiesByNames[entity.getName()];
        }

        var index = this.entities.indexOf(entity);

        if (index > -1) {
          this.entities.splice(index, 1);
        }

        this.matcherCache = {};
      }
    }, {
      key: "addComponentToEntity",
      value: function addComponentToEntity(entity, clazz, values) {
        var tag = clazz.tag;
        var components = entity.getComponents();
        var component = components[tag];

        if (component) {
          if (!entity.cast(component, clazz)) {
            throw new Error("There are multiple classes with the same tag or name \"".concat(tag, "\".\nAdd a different property \"tag\" to one of them."));
          }

          delete components[tag];
        }

        component = this.componentPoolFactory(clazz).acquire();

        if (values) {
          component.copy(values);
        }

        components[tag] = component;
        this.emit(COMPONENT_EVENT.Added, entity, component);
        this.matcherCache = {};
        return component;
      }
    }, {
      key: "removeComponentFromEntity",
      value: function removeComponentFromEntity(entity, clazz) {
        var immediately = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : false;

        if (!entity.hasComponent(clazz)) {
          return;
        }

        this.emit(COMPONENT_EVENT.Remove, entity, clazz);

        if (immediately) {
          this.removeComponentFromEntitySync(entity, clazz);
        }

        this.matcherCache = {};
      }
    }, {
      key: "destroy",
      value: function destroy() {
        this.entities = [];
        this.entitiesByNames = {};
      }
    }, {
      key: "removeComponentFromEntitySync",
      value: function removeComponentFromEntitySync(entity, clazz) {
        // Remove T listing on entity and property ref, then free the component.
        // entity._ComponentTypes.splice(index, 1);
        var component = entity.getComponent(clazz);
        var components = entity.getComponents();
        delete components[clazz.tag];
        component.destroy(); // this.world.componentsManager.componentRemovedFromEntity(Component);
      }
    }]);

    return EntityManager;
  }(eventemitter3.EventEmitter);

  __decorate([inject(IDENTIFIER.ComponentPoolFactory), __metadata("design:type", Function)], EntityManager.prototype, "componentPoolFactory", void 0);

  EntityManager = __decorate([injectable()], EntityManager);

  var counter$1 = 0;
  /**
   * A bag of components
   * @see https://github.com/mzaks/EntitasCookBook/blob/master/chapters/1_ingredients/102_entity.md
   */

  var Entity = /*#__PURE__*/function () {
    function Entity() {
      _classCallCheck$1(this, Entity);

      this.id = counter$1++;
      this.name = void 0;
      this.components = {};
      this.entityManager = void 0;
    }

    _createClass$1(Entity, [{
      key: "getId",
      value: function getId() {
        return this.id;
      }
    }, {
      key: "getComponents",
      value: function getComponents() {
        return this.components;
      }
    }, {
      key: "setName",
      value: function setName(name) {
        this.name = name;
      }
    }, {
      key: "getName",
      value: function getName() {
        return this.name || "".concat(this.id);
      }
    }, {
      key: "getComponent",
      value: function getComponent(clazz) {
        return this.components[clazz.tag];
      }
    }, {
      key: "hasComponent",
      value: function hasComponent(clazz) {
        return !!~Object.keys(this.components).indexOf(clazz.tag);
      }
    }, {
      key: "hasAllComponents",
      value: function hasAllComponents(clazzes) {
        var _this = this;

        return clazzes.every(function (clazz) {
          return _this.hasComponent(clazz);
        });
      }
    }, {
      key: "hasAnyComponents",
      value: function hasAnyComponents(clazzes) {
        var _this2 = this;

        return clazzes.some(function (clazz) {
          return _this2.hasComponent(clazz);
        });
      }
    }, {
      key: "addComponent",
      value: function addComponent(clazz, values) {
        return this.entityManager.addComponentToEntity(this, clazz, values);
      }
    }, {
      key: "removeComponent",
      value: function removeComponent(clazz) {
        var forceImmediate = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : false;
        this.entityManager.removeComponentFromEntity(this, clazz, forceImmediate);
        return this;
      } // public removeAllComponents() {
      //   return this;
      // }

    }, {
      key: "reset",
      value: function reset() {//
      }
    }, {
      key: "destroy",
      value: function destroy() {
        // TODO: remove components first
        // for (const name in this.components) {
        //   this.entityManager.removeComponentFromEntity(this, this.components[name]);
        // }
        this.entityManager.destroyEntity(this);
      }
    }, {
      key: "cast",
      value: function cast(component, componentClass) {
        return !!(component && component instanceof componentClass);
      }
    }]);

    return Entity;
  }();

  __decorate([inject(EntityManager), __metadata("design:type", EntityManager)], Entity.prototype, "entityManager", void 0);

  Entity = __decorate([injectable()], Entity);

  var ComponentManager = /*#__PURE__*/function () {
    function ComponentManager() {
      _classCallCheck$1(this, ComponentManager);

      this.registry = void 0;
    }

    _createClass$1(ComponentManager, [{
      key: "registerComponent",
      value: function registerComponent(clazz) {
        this.registry(clazz);
      }
    }]);

    return ComponentManager;
  }();

  __decorate([inject(IDENTIFIER.ComponentRegistry), __metadata("design:type", Function)], ComponentManager.prototype, "registry", void 0);

  ComponentManager = __decorate([injectable()], ComponentManager);

  var SystemManager = /*#__PURE__*/function () {
    function SystemManager() {
      _classCallCheck$1(this, SystemManager);

      this.registry = void 0;
      this.entityManager = void 0;
      this.systems = [];
    }

    _createClass$1(SystemManager, [{
      key: "registerSystem",
      value: function registerSystem(clazz) {
        if (!this.registry.has(clazz)) {
          this.registry.register(clazz);
          var system = this.registry.get(clazz);
          var systemCtor = system.constructor;

          if (system.initialize) {
            // TODO: support async init @see https://github.com/ecsyjs/ecsy/issues/20
            system.initialize();
          } else {
            system.initialized = true;
          }

          this.entityManager.on(COMPONENT_EVENT.Added, function (entity) {
            if (system.onEntityAdded && systemCtor.trigger && systemCtor.trigger.matches(entity)) {
              system.onEntityAdded(entity);
            }
          });
          this.entityManager.on(COMPONENT_EVENT.Remove, function (entity) {
            if (system.onEntityRemoved && systemCtor.trigger && systemCtor.trigger.matches(entity)) {
              system.onEntityRemoved(entity);
            }
          });
          this.systems.push(system);
          this.systems.sort(function (a, b) {
            return (a.constructor.priority || 0) - (b.constructor.priority || 0);
          });
        }
      }
    }, {
      key: "execute",
      value: function execute(delta, millis) {
        var _iterator = _createForOfIteratorHelper(this.systems),
            _step;

        try {
          for (_iterator.s(); !(_step = _iterator.n()).done;) {
            var system = _step.value;

            if (system.initialized && system.execute) {
              // const t1 = performance.now();
              system.execute(this.getEntities(system), delta, millis); // console.log((system.constructor as SystemConstructor<System>).tag, performance.now() - t1);
            }
          }
        } catch (err) {
          _iterator.e(err);
        } finally {
          _iterator.f();
        }
      }
    }, {
      key: "destroy",
      value: function destroy() {
        var _this = this;

        this.systems.forEach(function (system) {
          if (system.initialized && system.tearDown) {
            system.tearDown(_this.getEntities(system));
          }
        });
      }
    }, {
      key: "getEntities",
      value: function getEntities(system) {
        var systemCtor = system.constructor;
        return systemCtor.trigger ? this.entityManager.queryByMatcher(systemCtor.trigger) : this.entityManager.getAllEntities();
      }
    }]);

    return SystemManager;
  }();

  __decorate([inject(IDENTIFIER.SystemRegistry), __metadata("design:type", Object)], SystemManager.prototype, "registry", void 0);

  __decorate([inject(EntityManager), __metadata("design:type", EntityManager)], SystemManager.prototype, "entityManager", void 0);

  SystemManager = __decorate([injectable()], SystemManager);

  /**
   * the context of ECS
   * @see https://github.com/sschmid/Entitas-CSharp/blob/master/Entitas/Entitas/Context/IContext.cs
   * @example
   * ```
   * // register components
   * world
      .registerComponent(C1)
      .registerComponent(C2)
      .registerComponent(C3);
    
    // register systems
   * ```
   */

  var World = /*#__PURE__*/function () {
    function World() {
      _classCallCheck$1(this, World);

      this.entityPoolFactory = void 0;
      this.entityManager = void 0;
      this.componentManager = void 0;
      this.systemManager = void 0;
      this.lastMillis = new Date().getTime();
      this.enabled = true;
    }

    _createClass$1(World, [{
      key: "createEntity",
      value: function createEntity() {
        var name = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '';
        var entity = this.entityPoolFactory().acquire();
        entity.setName(name);
        return this.entityManager.createEntity(entity);
      }
    }, {
      key: "getEntityByName",
      value: function getEntityByName(name) {
        return this.entityManager.getEntityByName(name);
      }
    }, {
      key: "registerComponent",
      value: function registerComponent(clazz) {
        this.componentManager.registerComponent(clazz);
        return this;
      }
    }, {
      key: "registerSystem",
      value: function registerSystem(clazz) {
        this.systemManager.registerSystem(clazz);
        return this;
      }
    }, {
      key: "execute",
      value: function execute(delta, millis) {
        if (!delta) {
          millis = new Date().getTime();
          delta = millis - this.lastMillis;
          this.lastMillis = millis;
        }

        if (this.enabled) {
          this.systemManager.execute(delta, millis);
        }
      }
    }, {
      key: "stop",
      value: function stop() {
        this.enabled = false;
      }
    }, {
      key: "resume",
      value: function resume() {
        this.enabled = true;
      }
    }, {
      key: "destroy",
      value: function destroy() {
        this.systemManager.destroy();
        this.entityManager.destroy(); // this.componentManager.destroy();
      }
    }]);

    return World;
  }();

  __decorate([inject(IDENTIFIER.EntityPoolFactory), __metadata("design:type", Function)], World.prototype, "entityPoolFactory", void 0);

  __decorate([inject(EntityManager), __metadata("design:type", EntityManager)], World.prototype, "entityManager", void 0);

  __decorate([inject(ComponentManager), __metadata("design:type", ComponentManager)], World.prototype, "componentManager", void 0);

  __decorate([inject(SystemManager), __metadata("design:type", SystemManager)], World.prototype, "systemManager", void 0);

  World = __decorate([injectable()], World);

  var System = Symbol('System');

  var isEventEmitterBound = false;
  var containerModule = new ContainerModule(function (bind) {
    if (!isEventEmitterBound) {
      decorate(injectable(), eventemitter3.EventEmitter);
      bind(IDENTIFIER.EventEmitter).to(eventemitter3.EventEmitter);
      isEventEmitterBound = true;
    }

    bind(IDENTIFIER.ComponentRegistry).toFactory(function (context) {
      return function (clazz) {
        if (!context.container.isBound(clazz)) {
          context.container.bind(clazz).toSelf();
        }
      };
    });
    bind(IDENTIFIER.SystemRegistry).toDynamicValue(function (context) {
      return {
        register: function register(clazz) {
          if (!context.container.isBoundTagged(System, clazz.tag, clazz)) {
            context.container.bind(System).to(clazz).inSingletonScope().whenTargetNamed(clazz.tag);
          }
        },
        get: function get(clazz) {
          return context.container.getNamed(System, clazz.tag);
        },
        has: function has(clazz) {
          return context.container.isBoundNamed(System, clazz.tag);
        }
      };
    });
    bind(IDENTIFIER.ComponentPoolFactory).toFactory(function (context) {
      var factoryRegistry = {};
      return function (clazz) {
        var componentPool = factoryRegistry[clazz.tag];

        if (!componentPool) {
          componentPool = context.container.get(ObjectPool);
          componentPool.init(function () {
            var isBound = context.container.isBound(clazz);

            if (!isBound) {
              throw new Error("Component \"".concat(clazz.tag, "\" is not registered, please call registerComponent() first."));
            }

            var component = context.container.get(clazz);
            return component;
          }, 10);
          factoryRegistry[clazz.tag] = componentPool;
        }

        return componentPool;
      };
    });
    bind(IDENTIFIER.EntityPoolFactory).toFactory(function (context) {
      var entityPool;
      return function () {
        if (!entityPool) {
          entityPool = context.container.get(ObjectPool);
          entityPool.init(function () {
            return context.container.get(Entity);
          }, 10);
        }

        return entityPool;
      };
    });
    bind(EntityManager).toSelf().inSingletonScope();
    bind(ComponentManager).toSelf().inSingletonScope();
    bind(SystemManager).toSelf().inSingletonScope();
    bind(Entity).toSelf();
    bind(ObjectPool).toSelf();
    bind(World).toSelf().inSingletonScope();
  });

  /**
   * Common utilities
   * @module glMatrix
   */
  // Configuration Constants
  var EPSILON = 0.000001;
  var ARRAY_TYPE = typeof Float32Array !== 'undefined' ? Float32Array : Array;
  if (!Math.hypot) Math.hypot = function () {
    var y = 0,
        i = arguments.length;

    while (i--) {
      y += arguments[i] * arguments[i];
    }

    return Math.sqrt(y);
  };

  /**
   * 3x3 Matrix
   * @module mat3
   */

  /**
   * Creates a new identity mat3
   *
   * @returns {mat3} a new 3x3 matrix
   */

  function create() {
    var out = new ARRAY_TYPE(9);

    if (ARRAY_TYPE != Float32Array) {
      out[1] = 0;
      out[2] = 0;
      out[3] = 0;
      out[5] = 0;
      out[6] = 0;
      out[7] = 0;
    }

    out[0] = 1;
    out[4] = 1;
    out[8] = 1;
    return out;
  }
  /**
   * Copies the upper-left 3x3 values into the given mat3.
   *
   * @param {mat3} out the receiving 3x3 matrix
   * @param {ReadonlyMat4} a   the source 4x4 matrix
   * @returns {mat3} out
   */

  function fromMat4(out, a) {
    out[0] = a[0];
    out[1] = a[1];
    out[2] = a[2];
    out[3] = a[4];
    out[4] = a[5];
    out[5] = a[6];
    out[6] = a[8];
    out[7] = a[9];
    out[8] = a[10];
    return out;
  }
  /**
   * Create a new mat3 with the given values
   *
   * @param {Number} m00 Component in column 0, row 0 position (index 0)
   * @param {Number} m01 Component in column 0, row 1 position (index 1)
   * @param {Number} m02 Component in column 0, row 2 position (index 2)
   * @param {Number} m10 Component in column 1, row 0 position (index 3)
   * @param {Number} m11 Component in column 1, row 1 position (index 4)
   * @param {Number} m12 Component in column 1, row 2 position (index 5)
   * @param {Number} m20 Component in column 2, row 0 position (index 6)
   * @param {Number} m21 Component in column 2, row 1 position (index 7)
   * @param {Number} m22 Component in column 2, row 2 position (index 8)
   * @returns {mat3} A new mat3
   */

  function fromValues(m00, m01, m02, m10, m11, m12, m20, m21, m22) {
    var out = new ARRAY_TYPE(9);
    out[0] = m00;
    out[1] = m01;
    out[2] = m02;
    out[3] = m10;
    out[4] = m11;
    out[5] = m12;
    out[6] = m20;
    out[7] = m21;
    out[8] = m22;
    return out;
  }

  /**
   * 4x4 Matrix<br>Format: column-major, when typed out it looks like row-major<br>The matrices are being post multiplied.
   * @module mat4
   */

  /**
   * Creates a new identity mat4
   *
   * @returns {mat4} a new 4x4 matrix
   */

  function create$1() {
    var out = new ARRAY_TYPE(16);

    if (ARRAY_TYPE != Float32Array) {
      out[1] = 0;
      out[2] = 0;
      out[3] = 0;
      out[4] = 0;
      out[6] = 0;
      out[7] = 0;
      out[8] = 0;
      out[9] = 0;
      out[11] = 0;
      out[12] = 0;
      out[13] = 0;
      out[14] = 0;
    }

    out[0] = 1;
    out[5] = 1;
    out[10] = 1;
    out[15] = 1;
    return out;
  }
  /**
   * Creates a new mat4 initialized with values from an existing matrix
   *
   * @param {ReadonlyMat4} a matrix to clone
   * @returns {mat4} a new 4x4 matrix
   */

  function clone(a) {
    var out = new ARRAY_TYPE(16);
    out[0] = a[0];
    out[1] = a[1];
    out[2] = a[2];
    out[3] = a[3];
    out[4] = a[4];
    out[5] = a[5];
    out[6] = a[6];
    out[7] = a[7];
    out[8] = a[8];
    out[9] = a[9];
    out[10] = a[10];
    out[11] = a[11];
    out[12] = a[12];
    out[13] = a[13];
    out[14] = a[14];
    out[15] = a[15];
    return out;
  }
  /**
   * Copy the values from one mat4 to another
   *
   * @param {mat4} out the receiving matrix
   * @param {ReadonlyMat4} a the source matrix
   * @returns {mat4} out
   */

  function copy(out, a) {
    out[0] = a[0];
    out[1] = a[1];
    out[2] = a[2];
    out[3] = a[3];
    out[4] = a[4];
    out[5] = a[5];
    out[6] = a[6];
    out[7] = a[7];
    out[8] = a[8];
    out[9] = a[9];
    out[10] = a[10];
    out[11] = a[11];
    out[12] = a[12];
    out[13] = a[13];
    out[14] = a[14];
    out[15] = a[15];
    return out;
  }
  /**
   * Set a mat4 to the identity matrix
   *
   * @param {mat4} out the receiving matrix
   * @returns {mat4} out
   */

  function identity(out) {
    out[0] = 1;
    out[1] = 0;
    out[2] = 0;
    out[3] = 0;
    out[4] = 0;
    out[5] = 1;
    out[6] = 0;
    out[7] = 0;
    out[8] = 0;
    out[9] = 0;
    out[10] = 1;
    out[11] = 0;
    out[12] = 0;
    out[13] = 0;
    out[14] = 0;
    out[15] = 1;
    return out;
  }
  /**
   * Inverts a mat4
   *
   * @param {mat4} out the receiving matrix
   * @param {ReadonlyMat4} a the source matrix
   * @returns {mat4} out
   */

  function invert(out, a) {
    var a00 = a[0],
        a01 = a[1],
        a02 = a[2],
        a03 = a[3];
    var a10 = a[4],
        a11 = a[5],
        a12 = a[6],
        a13 = a[7];
    var a20 = a[8],
        a21 = a[9],
        a22 = a[10],
        a23 = a[11];
    var a30 = a[12],
        a31 = a[13],
        a32 = a[14],
        a33 = a[15];
    var b00 = a00 * a11 - a01 * a10;
    var b01 = a00 * a12 - a02 * a10;
    var b02 = a00 * a13 - a03 * a10;
    var b03 = a01 * a12 - a02 * a11;
    var b04 = a01 * a13 - a03 * a11;
    var b05 = a02 * a13 - a03 * a12;
    var b06 = a20 * a31 - a21 * a30;
    var b07 = a20 * a32 - a22 * a30;
    var b08 = a20 * a33 - a23 * a30;
    var b09 = a21 * a32 - a22 * a31;
    var b10 = a21 * a33 - a23 * a31;
    var b11 = a22 * a33 - a23 * a32; // Calculate the determinant

    var det = b00 * b11 - b01 * b10 + b02 * b09 + b03 * b08 - b04 * b07 + b05 * b06;

    if (!det) {
      return null;
    }

    det = 1.0 / det;
    out[0] = (a11 * b11 - a12 * b10 + a13 * b09) * det;
    out[1] = (a02 * b10 - a01 * b11 - a03 * b09) * det;
    out[2] = (a31 * b05 - a32 * b04 + a33 * b03) * det;
    out[3] = (a22 * b04 - a21 * b05 - a23 * b03) * det;
    out[4] = (a12 * b08 - a10 * b11 - a13 * b07) * det;
    out[5] = (a00 * b11 - a02 * b08 + a03 * b07) * det;
    out[6] = (a32 * b02 - a30 * b05 - a33 * b01) * det;
    out[7] = (a20 * b05 - a22 * b02 + a23 * b01) * det;
    out[8] = (a10 * b10 - a11 * b08 + a13 * b06) * det;
    out[9] = (a01 * b08 - a00 * b10 - a03 * b06) * det;
    out[10] = (a30 * b04 - a31 * b02 + a33 * b00) * det;
    out[11] = (a21 * b02 - a20 * b04 - a23 * b00) * det;
    out[12] = (a11 * b07 - a10 * b09 - a12 * b06) * det;
    out[13] = (a00 * b09 - a01 * b07 + a02 * b06) * det;
    out[14] = (a31 * b01 - a30 * b03 - a32 * b00) * det;
    out[15] = (a20 * b03 - a21 * b01 + a22 * b00) * det;
    return out;
  }
  /**
   * Multiplies two mat4s
   *
   * @param {mat4} out the receiving matrix
   * @param {ReadonlyMat4} a the first operand
   * @param {ReadonlyMat4} b the second operand
   * @returns {mat4} out
   */

  function multiply(out, a, b) {
    var a00 = a[0],
        a01 = a[1],
        a02 = a[2],
        a03 = a[3];
    var a10 = a[4],
        a11 = a[5],
        a12 = a[6],
        a13 = a[7];
    var a20 = a[8],
        a21 = a[9],
        a22 = a[10],
        a23 = a[11];
    var a30 = a[12],
        a31 = a[13],
        a32 = a[14],
        a33 = a[15]; // Cache only the current line of the second matrix

    var b0 = b[0],
        b1 = b[1],
        b2 = b[2],
        b3 = b[3];
    out[0] = b0 * a00 + b1 * a10 + b2 * a20 + b3 * a30;
    out[1] = b0 * a01 + b1 * a11 + b2 * a21 + b3 * a31;
    out[2] = b0 * a02 + b1 * a12 + b2 * a22 + b3 * a32;
    out[3] = b0 * a03 + b1 * a13 + b2 * a23 + b3 * a33;
    b0 = b[4];
    b1 = b[5];
    b2 = b[6];
    b3 = b[7];
    out[4] = b0 * a00 + b1 * a10 + b2 * a20 + b3 * a30;
    out[5] = b0 * a01 + b1 * a11 + b2 * a21 + b3 * a31;
    out[6] = b0 * a02 + b1 * a12 + b2 * a22 + b3 * a32;
    out[7] = b0 * a03 + b1 * a13 + b2 * a23 + b3 * a33;
    b0 = b[8];
    b1 = b[9];
    b2 = b[10];
    b3 = b[11];
    out[8] = b0 * a00 + b1 * a10 + b2 * a20 + b3 * a30;
    out[9] = b0 * a01 + b1 * a11 + b2 * a21 + b3 * a31;
    out[10] = b0 * a02 + b1 * a12 + b2 * a22 + b3 * a32;
    out[11] = b0 * a03 + b1 * a13 + b2 * a23 + b3 * a33;
    b0 = b[12];
    b1 = b[13];
    b2 = b[14];
    b3 = b[15];
    out[12] = b0 * a00 + b1 * a10 + b2 * a20 + b3 * a30;
    out[13] = b0 * a01 + b1 * a11 + b2 * a21 + b3 * a31;
    out[14] = b0 * a02 + b1 * a12 + b2 * a22 + b3 * a32;
    out[15] = b0 * a03 + b1 * a13 + b2 * a23 + b3 * a33;
    return out;
  }
  /**
   * Translate a mat4 by the given vector
   *
   * @param {mat4} out the receiving matrix
   * @param {ReadonlyMat4} a the matrix to translate
   * @param {ReadonlyVec3} v vector to translate by
   * @returns {mat4} out
   */

  function translate(out, a, v) {
    var x = v[0],
        y = v[1],
        z = v[2];
    var a00, a01, a02, a03;
    var a10, a11, a12, a13;
    var a20, a21, a22, a23;

    if (a === out) {
      out[12] = a[0] * x + a[4] * y + a[8] * z + a[12];
      out[13] = a[1] * x + a[5] * y + a[9] * z + a[13];
      out[14] = a[2] * x + a[6] * y + a[10] * z + a[14];
      out[15] = a[3] * x + a[7] * y + a[11] * z + a[15];
    } else {
      a00 = a[0];
      a01 = a[1];
      a02 = a[2];
      a03 = a[3];
      a10 = a[4];
      a11 = a[5];
      a12 = a[6];
      a13 = a[7];
      a20 = a[8];
      a21 = a[9];
      a22 = a[10];
      a23 = a[11];
      out[0] = a00;
      out[1] = a01;
      out[2] = a02;
      out[3] = a03;
      out[4] = a10;
      out[5] = a11;
      out[6] = a12;
      out[7] = a13;
      out[8] = a20;
      out[9] = a21;
      out[10] = a22;
      out[11] = a23;
      out[12] = a00 * x + a10 * y + a20 * z + a[12];
      out[13] = a01 * x + a11 * y + a21 * z + a[13];
      out[14] = a02 * x + a12 * y + a22 * z + a[14];
      out[15] = a03 * x + a13 * y + a23 * z + a[15];
    }

    return out;
  }
  /**
   * Rotates a matrix by the given angle around the X axis
   *
   * @param {mat4} out the receiving matrix
   * @param {ReadonlyMat4} a the matrix to rotate
   * @param {Number} rad the angle to rotate the matrix by
   * @returns {mat4} out
   */

  function rotateX(out, a, rad) {
    var s = Math.sin(rad);
    var c = Math.cos(rad);
    var a10 = a[4];
    var a11 = a[5];
    var a12 = a[6];
    var a13 = a[7];
    var a20 = a[8];
    var a21 = a[9];
    var a22 = a[10];
    var a23 = a[11];

    if (a !== out) {
      // If the source and destination differ, copy the unchanged rows
      out[0] = a[0];
      out[1] = a[1];
      out[2] = a[2];
      out[3] = a[3];
      out[12] = a[12];
      out[13] = a[13];
      out[14] = a[14];
      out[15] = a[15];
    } // Perform axis-specific matrix multiplication


    out[4] = a10 * c + a20 * s;
    out[5] = a11 * c + a21 * s;
    out[6] = a12 * c + a22 * s;
    out[7] = a13 * c + a23 * s;
    out[8] = a20 * c - a10 * s;
    out[9] = a21 * c - a11 * s;
    out[10] = a22 * c - a12 * s;
    out[11] = a23 * c - a13 * s;
    return out;
  }
  /**
   * Rotates a matrix by the given angle around the Y axis
   *
   * @param {mat4} out the receiving matrix
   * @param {ReadonlyMat4} a the matrix to rotate
   * @param {Number} rad the angle to rotate the matrix by
   * @returns {mat4} out
   */

  function rotateY(out, a, rad) {
    var s = Math.sin(rad);
    var c = Math.cos(rad);
    var a00 = a[0];
    var a01 = a[1];
    var a02 = a[2];
    var a03 = a[3];
    var a20 = a[8];
    var a21 = a[9];
    var a22 = a[10];
    var a23 = a[11];

    if (a !== out) {
      // If the source and destination differ, copy the unchanged rows
      out[4] = a[4];
      out[5] = a[5];
      out[6] = a[6];
      out[7] = a[7];
      out[12] = a[12];
      out[13] = a[13];
      out[14] = a[14];
      out[15] = a[15];
    } // Perform axis-specific matrix multiplication


    out[0] = a00 * c - a20 * s;
    out[1] = a01 * c - a21 * s;
    out[2] = a02 * c - a22 * s;
    out[3] = a03 * c - a23 * s;
    out[8] = a00 * s + a20 * c;
    out[9] = a01 * s + a21 * c;
    out[10] = a02 * s + a22 * c;
    out[11] = a03 * s + a23 * c;
    return out;
  }
  /**
   * Creates a matrix from a vector translation
   * This is equivalent to (but much faster than):
   *
   *     mat4.identity(dest);
   *     mat4.translate(dest, dest, vec);
   *
   * @param {mat4} out mat4 receiving operation result
   * @param {ReadonlyVec3} v Translation vector
   * @returns {mat4} out
   */

  function fromTranslation(out, v) {
    out[0] = 1;
    out[1] = 0;
    out[2] = 0;
    out[3] = 0;
    out[4] = 0;
    out[5] = 1;
    out[6] = 0;
    out[7] = 0;
    out[8] = 0;
    out[9] = 0;
    out[10] = 1;
    out[11] = 0;
    out[12] = v[0];
    out[13] = v[1];
    out[14] = v[2];
    out[15] = 1;
    return out;
  }
  /**
   * Returns the translation vector component of a transformation
   *  matrix. If a matrix is built with fromRotationTranslation,
   *  the returned vector will be the same as the translation vector
   *  originally supplied.
   * @param  {vec3} out Vector to receive translation component
   * @param  {ReadonlyMat4} mat Matrix to be decomposed (input)
   * @return {vec3} out
   */

  function getTranslation(out, mat) {
    out[0] = mat[12];
    out[1] = mat[13];
    out[2] = mat[14];
    return out;
  }
  /**
   * Returns the scaling factor component of a transformation
   *  matrix. If a matrix is built with fromRotationTranslationScale
   *  with a normalized Quaternion paramter, the returned vector will be
   *  the same as the scaling vector
   *  originally supplied.
   * @param  {vec3} out Vector to receive scaling factor component
   * @param  {ReadonlyMat4} mat Matrix to be decomposed (input)
   * @return {vec3} out
   */

  function getScaling(out, mat) {
    var m11 = mat[0];
    var m12 = mat[1];
    var m13 = mat[2];
    var m21 = mat[4];
    var m22 = mat[5];
    var m23 = mat[6];
    var m31 = mat[8];
    var m32 = mat[9];
    var m33 = mat[10];
    out[0] = Math.hypot(m11, m12, m13);
    out[1] = Math.hypot(m21, m22, m23);
    out[2] = Math.hypot(m31, m32, m33);
    return out;
  }
  /**
   * Returns a quaternion representing the rotational component
   *  of a transformation matrix. If a matrix is built with
   *  fromRotationTranslation, the returned quaternion will be the
   *  same as the quaternion originally supplied.
   * @param {quat} out Quaternion to receive the rotation component
   * @param {ReadonlyMat4} mat Matrix to be decomposed (input)
   * @return {quat} out
   */

  function getRotation(out, mat) {
    var scaling = new ARRAY_TYPE(3);
    getScaling(scaling, mat);
    var is1 = 1 / scaling[0];
    var is2 = 1 / scaling[1];
    var is3 = 1 / scaling[2];
    var sm11 = mat[0] * is1;
    var sm12 = mat[1] * is2;
    var sm13 = mat[2] * is3;
    var sm21 = mat[4] * is1;
    var sm22 = mat[5] * is2;
    var sm23 = mat[6] * is3;
    var sm31 = mat[8] * is1;
    var sm32 = mat[9] * is2;
    var sm33 = mat[10] * is3;
    var trace = sm11 + sm22 + sm33;
    var S = 0;

    if (trace > 0) {
      S = Math.sqrt(trace + 1.0) * 2;
      out[3] = 0.25 * S;
      out[0] = (sm23 - sm32) / S;
      out[1] = (sm31 - sm13) / S;
      out[2] = (sm12 - sm21) / S;
    } else if (sm11 > sm22 && sm11 > sm33) {
      S = Math.sqrt(1.0 + sm11 - sm22 - sm33) * 2;
      out[3] = (sm23 - sm32) / S;
      out[0] = 0.25 * S;
      out[1] = (sm12 + sm21) / S;
      out[2] = (sm31 + sm13) / S;
    } else if (sm22 > sm33) {
      S = Math.sqrt(1.0 + sm22 - sm11 - sm33) * 2;
      out[3] = (sm31 - sm13) / S;
      out[0] = (sm12 + sm21) / S;
      out[1] = 0.25 * S;
      out[2] = (sm23 + sm32) / S;
    } else {
      S = Math.sqrt(1.0 + sm33 - sm11 - sm22) * 2;
      out[3] = (sm12 - sm21) / S;
      out[0] = (sm31 + sm13) / S;
      out[1] = (sm23 + sm32) / S;
      out[2] = 0.25 * S;
    }

    return out;
  }
  /**
   * Creates a matrix from a quaternion rotation, vector translation and vector scale, rotating and scaling around the given origin
   * This is equivalent to (but much faster than):
   *
   *     mat4.identity(dest);
   *     mat4.translate(dest, vec);
   *     mat4.translate(dest, origin);
   *     let quatMat = mat4.create();
   *     quat4.toMat4(quat, quatMat);
   *     mat4.multiply(dest, quatMat);
   *     mat4.scale(dest, scale)
   *     mat4.translate(dest, negativeOrigin);
   *
   * @param {mat4} out mat4 receiving operation result
   * @param {quat4} q Rotation quaternion
   * @param {ReadonlyVec3} v Translation vector
   * @param {ReadonlyVec3} s Scaling vector
   * @param {ReadonlyVec3} o The origin vector around which to scale and rotate
   * @returns {mat4} out
   */

  function fromRotationTranslationScaleOrigin(out, q, v, s, o) {
    // Quaternion math
    var x = q[0],
        y = q[1],
        z = q[2],
        w = q[3];
    var x2 = x + x;
    var y2 = y + y;
    var z2 = z + z;
    var xx = x * x2;
    var xy = x * y2;
    var xz = x * z2;
    var yy = y * y2;
    var yz = y * z2;
    var zz = z * z2;
    var wx = w * x2;
    var wy = w * y2;
    var wz = w * z2;
    var sx = s[0];
    var sy = s[1];
    var sz = s[2];
    var ox = o[0];
    var oy = o[1];
    var oz = o[2];
    var out0 = (1 - (yy + zz)) * sx;
    var out1 = (xy + wz) * sx;
    var out2 = (xz - wy) * sx;
    var out4 = (xy - wz) * sy;
    var out5 = (1 - (xx + zz)) * sy;
    var out6 = (yz + wx) * sy;
    var out8 = (xz + wy) * sz;
    var out9 = (yz - wx) * sz;
    var out10 = (1 - (xx + yy)) * sz;
    out[0] = out0;
    out[1] = out1;
    out[2] = out2;
    out[3] = 0;
    out[4] = out4;
    out[5] = out5;
    out[6] = out6;
    out[7] = 0;
    out[8] = out8;
    out[9] = out9;
    out[10] = out10;
    out[11] = 0;
    out[12] = v[0] + ox - (out0 * ox + out4 * oy + out8 * oz);
    out[13] = v[1] + oy - (out1 * ox + out5 * oy + out9 * oz);
    out[14] = v[2] + oz - (out2 * ox + out6 * oy + out10 * oz);
    out[15] = 1;
    return out;
  }
  /**
   * Calculates a 4x4 matrix from the given quaternion
   *
   * @param {mat4} out mat4 receiving operation result
   * @param {ReadonlyQuat} q Quaternion to create matrix from
   *
   * @returns {mat4} out
   */

  function fromQuat(out, q) {
    var x = q[0],
        y = q[1],
        z = q[2],
        w = q[3];
    var x2 = x + x;
    var y2 = y + y;
    var z2 = z + z;
    var xx = x * x2;
    var yx = y * x2;
    var yy = y * y2;
    var zx = z * x2;
    var zy = z * y2;
    var zz = z * z2;
    var wx = w * x2;
    var wy = w * y2;
    var wz = w * z2;
    out[0] = 1 - yy - zz;
    out[1] = yx + wz;
    out[2] = zx - wy;
    out[3] = 0;
    out[4] = yx - wz;
    out[5] = 1 - xx - zz;
    out[6] = zy + wx;
    out[7] = 0;
    out[8] = zx + wy;
    out[9] = zy - wx;
    out[10] = 1 - xx - yy;
    out[11] = 0;
    out[12] = 0;
    out[13] = 0;
    out[14] = 0;
    out[15] = 1;
    return out;
  }
  /**
   * Generates a perspective projection matrix with the given bounds.
   * Passing null/undefined/no value for far will generate infinite projection matrix.
   *
   * @param {mat4} out mat4 frustum matrix will be written into
   * @param {number} fovy Vertical field of view in radians
   * @param {number} aspect Aspect ratio. typically viewport width/height
   * @param {number} near Near bound of the frustum
   * @param {number} far Far bound of the frustum, can be null or Infinity
   * @returns {mat4} out
   */

  function perspective(out, fovy, aspect, near, far) {
    var f = 1.0 / Math.tan(fovy / 2),
        nf;
    out[0] = f / aspect;
    out[1] = 0;
    out[2] = 0;
    out[3] = 0;
    out[4] = 0;
    out[5] = f;
    out[6] = 0;
    out[7] = 0;
    out[8] = 0;
    out[9] = 0;
    out[11] = -1;
    out[12] = 0;
    out[13] = 0;
    out[15] = 0;

    if (far != null && far !== Infinity) {
      nf = 1 / (near - far);
      out[10] = (far + near) * nf;
      out[14] = 2 * far * near * nf;
    } else {
      out[10] = -1;
      out[14] = -2 * near;
    }

    return out;
  }
  /**
   * Generates a orthogonal projection matrix with the given bounds
   *
   * @param {mat4} out mat4 frustum matrix will be written into
   * @param {number} left Left bound of the frustum
   * @param {number} right Right bound of the frustum
   * @param {number} bottom Bottom bound of the frustum
   * @param {number} top Top bound of the frustum
   * @param {number} near Near bound of the frustum
   * @param {number} far Far bound of the frustum
   * @returns {mat4} out
   */

  function ortho(out, left, right, bottom, top, near, far) {
    var lr = 1 / (left - right);
    var bt = 1 / (bottom - top);
    var nf = 1 / (near - far);
    out[0] = -2 * lr;
    out[1] = 0;
    out[2] = 0;
    out[3] = 0;
    out[4] = 0;
    out[5] = -2 * bt;
    out[6] = 0;
    out[7] = 0;
    out[8] = 0;
    out[9] = 0;
    out[10] = 2 * nf;
    out[11] = 0;
    out[12] = (left + right) * lr;
    out[13] = (top + bottom) * bt;
    out[14] = (far + near) * nf;
    out[15] = 1;
    return out;
  }
  /**
   * Generates a look-at matrix with the given eye position, focal point, and up axis.
   * If you want a matrix that actually makes an object look at another object, you should use targetTo instead.
   *
   * @param {mat4} out mat4 frustum matrix will be written into
   * @param {ReadonlyVec3} eye Position of the viewer
   * @param {ReadonlyVec3} center Point the viewer is looking at
   * @param {ReadonlyVec3} up vec3 pointing up
   * @returns {mat4} out
   */

  function lookAt(out, eye, center, up) {
    var x0, x1, x2, y0, y1, y2, z0, z1, z2, len;
    var eyex = eye[0];
    var eyey = eye[1];
    var eyez = eye[2];
    var upx = up[0];
    var upy = up[1];
    var upz = up[2];
    var centerx = center[0];
    var centery = center[1];
    var centerz = center[2];

    if (Math.abs(eyex - centerx) < EPSILON && Math.abs(eyey - centery) < EPSILON && Math.abs(eyez - centerz) < EPSILON) {
      return identity(out);
    }

    z0 = eyex - centerx;
    z1 = eyey - centery;
    z2 = eyez - centerz;
    len = 1 / Math.hypot(z0, z1, z2);
    z0 *= len;
    z1 *= len;
    z2 *= len;
    x0 = upy * z2 - upz * z1;
    x1 = upz * z0 - upx * z2;
    x2 = upx * z1 - upy * z0;
    len = Math.hypot(x0, x1, x2);

    if (!len) {
      x0 = 0;
      x1 = 0;
      x2 = 0;
    } else {
      len = 1 / len;
      x0 *= len;
      x1 *= len;
      x2 *= len;
    }

    y0 = z1 * x2 - z2 * x1;
    y1 = z2 * x0 - z0 * x2;
    y2 = z0 * x1 - z1 * x0;
    len = Math.hypot(y0, y1, y2);

    if (!len) {
      y0 = 0;
      y1 = 0;
      y2 = 0;
    } else {
      len = 1 / len;
      y0 *= len;
      y1 *= len;
      y2 *= len;
    }

    out[0] = x0;
    out[1] = y0;
    out[2] = z0;
    out[3] = 0;
    out[4] = x1;
    out[5] = y1;
    out[6] = z1;
    out[7] = 0;
    out[8] = x2;
    out[9] = y2;
    out[10] = z2;
    out[11] = 0;
    out[12] = -(x0 * eyex + x1 * eyey + x2 * eyez);
    out[13] = -(y0 * eyex + y1 * eyey + y2 * eyez);
    out[14] = -(z0 * eyex + z1 * eyey + z2 * eyez);
    out[15] = 1;
    return out;
  }

  /**
   * 3 Dimensional Vector
   * @module vec3
   */

  /**
   * Creates a new, empty vec3
   *
   * @returns {vec3} a new 3D vector
   */

  function create$2() {
    var out = new ARRAY_TYPE(3);

    if (ARRAY_TYPE != Float32Array) {
      out[0] = 0;
      out[1] = 0;
      out[2] = 0;
    }

    return out;
  }
  /**
   * Creates a new vec3 initialized with values from an existing vector
   *
   * @param {ReadonlyVec3} a vector to clone
   * @returns {vec3} a new 3D vector
   */

  function clone$1(a) {
    var out = new ARRAY_TYPE(3);
    out[0] = a[0];
    out[1] = a[1];
    out[2] = a[2];
    return out;
  }
  /**
   * Calculates the length of a vec3
   *
   * @param {ReadonlyVec3} a vector to calculate length of
   * @returns {Number} length of a
   */

  function length(a) {
    var x = a[0];
    var y = a[1];
    var z = a[2];
    return Math.hypot(x, y, z);
  }
  /**
   * Creates a new vec3 initialized with the given values
   *
   * @param {Number} x X component
   * @param {Number} y Y component
   * @param {Number} z Z component
   * @returns {vec3} a new 3D vector
   */

  function fromValues$1(x, y, z) {
    var out = new ARRAY_TYPE(3);
    out[0] = x;
    out[1] = y;
    out[2] = z;
    return out;
  }
  /**
   * Copy the values from one vec3 to another
   *
   * @param {vec3} out the receiving vector
   * @param {ReadonlyVec3} a the source vector
   * @returns {vec3} out
   */

  function copy$1(out, a) {
    out[0] = a[0];
    out[1] = a[1];
    out[2] = a[2];
    return out;
  }
  /**
   * Set the components of a vec3 to the given values
   *
   * @param {vec3} out the receiving vector
   * @param {Number} x X component
   * @param {Number} y Y component
   * @param {Number} z Z component
   * @returns {vec3} out
   */

  function set(out, x, y, z) {
    out[0] = x;
    out[1] = y;
    out[2] = z;
    return out;
  }
  /**
   * Adds two vec3's
   *
   * @param {vec3} out the receiving vector
   * @param {ReadonlyVec3} a the first operand
   * @param {ReadonlyVec3} b the second operand
   * @returns {vec3} out
   */

  function add(out, a, b) {
    out[0] = a[0] + b[0];
    out[1] = a[1] + b[1];
    out[2] = a[2] + b[2];
    return out;
  }
  /**
   * Subtracts vector b from vector a
   *
   * @param {vec3} out the receiving vector
   * @param {ReadonlyVec3} a the first operand
   * @param {ReadonlyVec3} b the second operand
   * @returns {vec3} out
   */

  function subtract(out, a, b) {
    out[0] = a[0] - b[0];
    out[1] = a[1] - b[1];
    out[2] = a[2] - b[2];
    return out;
  }
  /**
   * Multiplies two vec3's
   *
   * @param {vec3} out the receiving vector
   * @param {ReadonlyVec3} a the first operand
   * @param {ReadonlyVec3} b the second operand
   * @returns {vec3} out
   */

  function multiply$1(out, a, b) {
    out[0] = a[0] * b[0];
    out[1] = a[1] * b[1];
    out[2] = a[2] * b[2];
    return out;
  }
  /**
   * Returns the minimum of two vec3's
   *
   * @param {vec3} out the receiving vector
   * @param {ReadonlyVec3} a the first operand
   * @param {ReadonlyVec3} b the second operand
   * @returns {vec3} out
   */

  function min(out, a, b) {
    out[0] = Math.min(a[0], b[0]);
    out[1] = Math.min(a[1], b[1]);
    out[2] = Math.min(a[2], b[2]);
    return out;
  }
  /**
   * Returns the maximum of two vec3's
   *
   * @param {vec3} out the receiving vector
   * @param {ReadonlyVec3} a the first operand
   * @param {ReadonlyVec3} b the second operand
   * @returns {vec3} out
   */

  function max(out, a, b) {
    out[0] = Math.max(a[0], b[0]);
    out[1] = Math.max(a[1], b[1]);
    out[2] = Math.max(a[2], b[2]);
    return out;
  }
  /**
   * Scales a vec3 by a scalar number
   *
   * @param {vec3} out the receiving vector
   * @param {ReadonlyVec3} a the vector to scale
   * @param {Number} b amount to scale the vector by
   * @returns {vec3} out
   */

  function scale(out, a, b) {
    out[0] = a[0] * b;
    out[1] = a[1] * b;
    out[2] = a[2] * b;
    return out;
  }
  /**
   * Calculates the euclidian distance between two vec3's
   *
   * @param {ReadonlyVec3} a the first operand
   * @param {ReadonlyVec3} b the second operand
   * @returns {Number} distance between a and b
   */

  function distance(a, b) {
    var x = b[0] - a[0];
    var y = b[1] - a[1];
    var z = b[2] - a[2];
    return Math.hypot(x, y, z);
  }
  /**
   * Normalize a vec3
   *
   * @param {vec3} out the receiving vector
   * @param {ReadonlyVec3} a vector to normalize
   * @returns {vec3} out
   */

  function normalize(out, a) {
    var x = a[0];
    var y = a[1];
    var z = a[2];
    var len = x * x + y * y + z * z;

    if (len > 0) {
      //TODO: evaluate use of glm_invsqrt here?
      len = 1 / Math.sqrt(len);
    }

    out[0] = a[0] * len;
    out[1] = a[1] * len;
    out[2] = a[2] * len;
    return out;
  }
  /**
   * Calculates the dot product of two vec3's
   *
   * @param {ReadonlyVec3} a the first operand
   * @param {ReadonlyVec3} b the second operand
   * @returns {Number} dot product of a and b
   */

  function dot(a, b) {
    return a[0] * b[0] + a[1] * b[1] + a[2] * b[2];
  }
  /**
   * Computes the cross product of two vec3's
   *
   * @param {vec3} out the receiving vector
   * @param {ReadonlyVec3} a the first operand
   * @param {ReadonlyVec3} b the second operand
   * @returns {vec3} out
   */

  function cross(out, a, b) {
    var ax = a[0],
        ay = a[1],
        az = a[2];
    var bx = b[0],
        by = b[1],
        bz = b[2];
    out[0] = ay * bz - az * by;
    out[1] = az * bx - ax * bz;
    out[2] = ax * by - ay * bx;
    return out;
  }
  /**
   * Performs a linear interpolation between two vec3's
   *
   * @param {vec3} out the receiving vector
   * @param {ReadonlyVec3} a the first operand
   * @param {ReadonlyVec3} b the second operand
   * @param {Number} t interpolation amount, in the range [0-1], between the two inputs
   * @returns {vec3} out
   */

  function lerp(out, a, b, t) {
    var ax = a[0];
    var ay = a[1];
    var az = a[2];
    out[0] = ax + t * (b[0] - ax);
    out[1] = ay + t * (b[1] - ay);
    out[2] = az + t * (b[2] - az);
    return out;
  }
  /**
   * Transforms the vec3 with a mat4.
   * 4th vector component is implicitly '1'
   *
   * @param {vec3} out the receiving vector
   * @param {ReadonlyVec3} a the vector to transform
   * @param {ReadonlyMat4} m matrix to transform with
   * @returns {vec3} out
   */

  function transformMat4(out, a, m) {
    var x = a[0],
        y = a[1],
        z = a[2];
    var w = m[3] * x + m[7] * y + m[11] * z + m[15];
    w = w || 1.0;
    out[0] = (m[0] * x + m[4] * y + m[8] * z + m[12]) / w;
    out[1] = (m[1] * x + m[5] * y + m[9] * z + m[13]) / w;
    out[2] = (m[2] * x + m[6] * y + m[10] * z + m[14]) / w;
    return out;
  }
  /**
   * Transforms the vec3 with a mat3.
   *
   * @param {vec3} out the receiving vector
   * @param {ReadonlyVec3} a the vector to transform
   * @param {ReadonlyMat3} m the 3x3 matrix to transform with
   * @returns {vec3} out
   */

  function transformMat3(out, a, m) {
    var x = a[0],
        y = a[1],
        z = a[2];
    out[0] = x * m[0] + y * m[3] + z * m[6];
    out[1] = x * m[1] + y * m[4] + z * m[7];
    out[2] = x * m[2] + y * m[5] + z * m[8];
    return out;
  }
  /**
   * Transforms the vec3 with a quat
   * Can also be used for dual quaternions. (Multiply it with the real part)
   *
   * @param {vec3} out the receiving vector
   * @param {ReadonlyVec3} a the vector to transform
   * @param {ReadonlyQuat} q quaternion to transform with
   * @returns {vec3} out
   */

  function transformQuat(out, a, q) {
    // benchmarks: https://jsperf.com/quaternion-transform-vec3-implementations-fixed
    var qx = q[0],
        qy = q[1],
        qz = q[2],
        qw = q[3];
    var x = a[0],
        y = a[1],
        z = a[2]; // var qvec = [qx, qy, qz];
    // var uv = vec3.cross([], qvec, a);

    var uvx = qy * z - qz * y,
        uvy = qz * x - qx * z,
        uvz = qx * y - qy * x; // var uuv = vec3.cross([], qvec, uv);

    var uuvx = qy * uvz - qz * uvy,
        uuvy = qz * uvx - qx * uvz,
        uuvz = qx * uvy - qy * uvx; // vec3.scale(uv, uv, 2 * w);

    var w2 = qw * 2;
    uvx *= w2;
    uvy *= w2;
    uvz *= w2; // vec3.scale(uuv, uuv, 2);

    uuvx *= 2;
    uuvy *= 2;
    uuvz *= 2; // return vec3.add(out, a, vec3.add(out, uv, uuv));

    out[0] = x + uvx + uuvx;
    out[1] = y + uvy + uuvy;
    out[2] = z + uvz + uuvz;
    return out;
  }
  /**
   * Returns whether or not the vectors have approximately the same elements in the same position.
   *
   * @param {ReadonlyVec3} a The first vector.
   * @param {ReadonlyVec3} b The second vector.
   * @returns {Boolean} True if the vectors are equal, false otherwise.
   */

  function equals(a, b) {
    var a0 = a[0],
        a1 = a[1],
        a2 = a[2];
    var b0 = b[0],
        b1 = b[1],
        b2 = b[2];
    return Math.abs(a0 - b0) <= EPSILON * Math.max(1.0, Math.abs(a0), Math.abs(b0)) && Math.abs(a1 - b1) <= EPSILON * Math.max(1.0, Math.abs(a1), Math.abs(b1)) && Math.abs(a2 - b2) <= EPSILON * Math.max(1.0, Math.abs(a2), Math.abs(b2));
  }
  /**
   * Alias for {@link vec3.subtract}
   * @function
   */

  var sub = subtract;
  /**
   * Alias for {@link vec3.distance}
   * @function
   */

  var dist = distance;
  /**
   * Alias for {@link vec3.length}
   * @function
   */

  var len = length;
  /**
   * Perform some operation over an array of vec3s.
   *
   * @param {Array} a the array of vectors to iterate over
   * @param {Number} stride Number of elements between the start of each vec3. If 0 assumes tightly packed
   * @param {Number} offset Number of elements to skip at the beginning of the array
   * @param {Number} count Number of vec3s to iterate over. If 0 iterates over entire array
   * @param {Function} fn Function to call for each vector in the array
   * @param {Object} [arg] additional argument to pass to fn
   * @returns {Array} a
   * @function
   */

  var forEach = function () {
    var vec = create$2();
    return function (a, stride, offset, count, fn, arg) {
      var i, l;

      if (!stride) {
        stride = 3;
      }

      if (!offset) {
        offset = 0;
      }

      if (count) {
        l = Math.min(count * stride + offset, a.length);
      } else {
        l = a.length;
      }

      for (i = offset; i < l; i += stride) {
        vec[0] = a[i];
        vec[1] = a[i + 1];
        vec[2] = a[i + 2];
        fn(vec, vec, arg);
        a[i] = vec[0];
        a[i + 1] = vec[1];
        a[i + 2] = vec[2];
      }

      return a;
    };
  }();

  /**
   * 4 Dimensional Vector
   * @module vec4
   */

  /**
   * Creates a new, empty vec4
   *
   * @returns {vec4} a new 4D vector
   */

  function create$3() {
    var out = new ARRAY_TYPE(4);

    if (ARRAY_TYPE != Float32Array) {
      out[0] = 0;
      out[1] = 0;
      out[2] = 0;
      out[3] = 0;
    }

    return out;
  }
  /**
   * Creates a new vec4 initialized with the given values
   *
   * @param {Number} x X component
   * @param {Number} y Y component
   * @param {Number} z Z component
   * @param {Number} w W component
   * @returns {vec4} a new 4D vector
   */

  function fromValues$2(x, y, z, w) {
    var out = new ARRAY_TYPE(4);
    out[0] = x;
    out[1] = y;
    out[2] = z;
    out[3] = w;
    return out;
  }
  /**
   * Copy the values from one vec4 to another
   *
   * @param {vec4} out the receiving vector
   * @param {ReadonlyVec4} a the source vector
   * @returns {vec4} out
   */

  function copy$2(out, a) {
    out[0] = a[0];
    out[1] = a[1];
    out[2] = a[2];
    out[3] = a[3];
    return out;
  }
  /**
   * Normalize a vec4
   *
   * @param {vec4} out the receiving vector
   * @param {ReadonlyVec4} a vector to normalize
   * @returns {vec4} out
   */

  function normalize$1(out, a) {
    var x = a[0];
    var y = a[1];
    var z = a[2];
    var w = a[3];
    var len = x * x + y * y + z * z + w * w;

    if (len > 0) {
      len = 1 / Math.sqrt(len);
    }

    out[0] = x * len;
    out[1] = y * len;
    out[2] = z * len;
    out[3] = w * len;
    return out;
  }
  /**
   * Transforms the vec4 with a mat4.
   *
   * @param {vec4} out the receiving vector
   * @param {ReadonlyVec4} a the vector to transform
   * @param {ReadonlyMat4} m matrix to transform with
   * @returns {vec4} out
   */

  function transformMat4$1(out, a, m) {
    var x = a[0],
        y = a[1],
        z = a[2],
        w = a[3];
    out[0] = m[0] * x + m[4] * y + m[8] * z + m[12] * w;
    out[1] = m[1] * x + m[5] * y + m[9] * z + m[13] * w;
    out[2] = m[2] * x + m[6] * y + m[10] * z + m[14] * w;
    out[3] = m[3] * x + m[7] * y + m[11] * z + m[15] * w;
    return out;
  }
  /**
   * Perform some operation over an array of vec4s.
   *
   * @param {Array} a the array of vectors to iterate over
   * @param {Number} stride Number of elements between the start of each vec4. If 0 assumes tightly packed
   * @param {Number} offset Number of elements to skip at the beginning of the array
   * @param {Number} count Number of vec4s to iterate over. If 0 iterates over entire array
   * @param {Function} fn Function to call for each vector in the array
   * @param {Object} [arg] additional argument to pass to fn
   * @returns {Array} a
   * @function
   */

  var forEach$1 = function () {
    var vec = create$3();
    return function (a, stride, offset, count, fn, arg) {
      var i, l;

      if (!stride) {
        stride = 4;
      }

      if (!offset) {
        offset = 0;
      }

      if (count) {
        l = Math.min(count * stride + offset, a.length);
      } else {
        l = a.length;
      }

      for (i = offset; i < l; i += stride) {
        vec[0] = a[i];
        vec[1] = a[i + 1];
        vec[2] = a[i + 2];
        vec[3] = a[i + 3];
        fn(vec, vec, arg);
        a[i] = vec[0];
        a[i + 1] = vec[1];
        a[i + 2] = vec[2];
        a[i + 3] = vec[3];
      }

      return a;
    };
  }();

  /**
   * Quaternion
   * @module quat
   */

  /**
   * Creates a new identity quat
   *
   * @returns {quat} a new quaternion
   */

  function create$4() {
    var out = new ARRAY_TYPE(4);

    if (ARRAY_TYPE != Float32Array) {
      out[0] = 0;
      out[1] = 0;
      out[2] = 0;
    }

    out[3] = 1;
    return out;
  }
  /**
   * Sets a quat from the given angle and rotation axis,
   * then returns it.
   *
   * @param {quat} out the receiving quaternion
   * @param {ReadonlyVec3} axis the axis around which to rotate
   * @param {Number} rad the angle in radians
   * @returns {quat} out
   **/

  function setAxisAngle(out, axis, rad) {
    rad = rad * 0.5;
    var s = Math.sin(rad);
    out[0] = s * axis[0];
    out[1] = s * axis[1];
    out[2] = s * axis[2];
    out[3] = Math.cos(rad);
    return out;
  }
  /**
   * Multiplies two quat's
   *
   * @param {quat} out the receiving quaternion
   * @param {ReadonlyQuat} a the first operand
   * @param {ReadonlyQuat} b the second operand
   * @returns {quat} out
   */

  function multiply$2(out, a, b) {
    var ax = a[0],
        ay = a[1],
        az = a[2],
        aw = a[3];
    var bx = b[0],
        by = b[1],
        bz = b[2],
        bw = b[3];
    out[0] = ax * bw + aw * bx + ay * bz - az * by;
    out[1] = ay * bw + aw * by + az * bx - ax * bz;
    out[2] = az * bw + aw * bz + ax * by - ay * bx;
    out[3] = aw * bw - ax * bx - ay * by - az * bz;
    return out;
  }
  /**
   * Performs a spherical linear interpolation between two quat
   *
   * @param {quat} out the receiving quaternion
   * @param {ReadonlyQuat} a the first operand
   * @param {ReadonlyQuat} b the second operand
   * @param {Number} t interpolation amount, in the range [0-1], between the two inputs
   * @returns {quat} out
   */

  function slerp(out, a, b, t) {
    // benchmarks:
    //    http://jsperf.com/quaternion-slerp-implementations
    var ax = a[0],
        ay = a[1],
        az = a[2],
        aw = a[3];
    var bx = b[0],
        by = b[1],
        bz = b[2],
        bw = b[3];
    var omega, cosom, sinom, scale0, scale1; // calc cosine

    cosom = ax * bx + ay * by + az * bz + aw * bw; // adjust signs (if necessary)

    if (cosom < 0.0) {
      cosom = -cosom;
      bx = -bx;
      by = -by;
      bz = -bz;
      bw = -bw;
    } // calculate coefficients


    if (1.0 - cosom > EPSILON) {
      // standard case (slerp)
      omega = Math.acos(cosom);
      sinom = Math.sin(omega);
      scale0 = Math.sin((1.0 - t) * omega) / sinom;
      scale1 = Math.sin(t * omega) / sinom;
    } else {
      // "from" and "to" quaternions are very close
      //  ... so we can do a linear interpolation
      scale0 = 1.0 - t;
      scale1 = t;
    } // calculate final values


    out[0] = scale0 * ax + scale1 * bx;
    out[1] = scale0 * ay + scale1 * by;
    out[2] = scale0 * az + scale1 * bz;
    out[3] = scale0 * aw + scale1 * bw;
    return out;
  }
  /**
   * Calculates the inverse of a quat
   *
   * @param {quat} out the receiving quaternion
   * @param {ReadonlyQuat} a quat to calculate inverse of
   * @returns {quat} out
   */

  function invert$1(out, a) {
    var a0 = a[0],
        a1 = a[1],
        a2 = a[2],
        a3 = a[3];
    var dot = a0 * a0 + a1 * a1 + a2 * a2 + a3 * a3;
    var invDot = dot ? 1.0 / dot : 0; // TODO: Would be faster to return [0,0,0,0] immediately if dot == 0

    out[0] = -a0 * invDot;
    out[1] = -a1 * invDot;
    out[2] = -a2 * invDot;
    out[3] = a3 * invDot;
    return out;
  }
  /**
   * Creates a quaternion from the given 3x3 rotation matrix.
   *
   * NOTE: The resultant quaternion is not normalized, so you should be sure
   * to renormalize the quaternion yourself where necessary.
   *
   * @param {quat} out the receiving quaternion
   * @param {ReadonlyMat3} m rotation matrix
   * @returns {quat} out
   * @function
   */

  function fromMat3(out, m) {
    // Algorithm in Ken Shoemake's article in 1987 SIGGRAPH course notes
    // article "Quaternion Calculus and Fast Animation".
    var fTrace = m[0] + m[4] + m[8];
    var fRoot;

    if (fTrace > 0.0) {
      // |w| > 1/2, may as well choose w > 1/2
      fRoot = Math.sqrt(fTrace + 1.0); // 2w

      out[3] = 0.5 * fRoot;
      fRoot = 0.5 / fRoot; // 1/(4w)

      out[0] = (m[5] - m[7]) * fRoot;
      out[1] = (m[6] - m[2]) * fRoot;
      out[2] = (m[1] - m[3]) * fRoot;
    } else {
      // |w| <= 1/2
      var i = 0;
      if (m[4] > m[0]) i = 1;
      if (m[8] > m[i * 3 + i]) i = 2;
      var j = (i + 1) % 3;
      var k = (i + 2) % 3;
      fRoot = Math.sqrt(m[i * 3 + i] - m[j * 3 + j] - m[k * 3 + k] + 1.0);
      out[i] = 0.5 * fRoot;
      fRoot = 0.5 / fRoot;
      out[3] = (m[j * 3 + k] - m[k * 3 + j]) * fRoot;
      out[j] = (m[j * 3 + i] + m[i * 3 + j]) * fRoot;
      out[k] = (m[k * 3 + i] + m[i * 3 + k]) * fRoot;
    }

    return out;
  }
  /**
   * Creates a quaternion from the given euler angle x, y, z.
   *
   * @param {quat} out the receiving quaternion
   * @param {x} Angle to rotate around X axis in degrees.
   * @param {y} Angle to rotate around Y axis in degrees.
   * @param {z} Angle to rotate around Z axis in degrees.
   * @returns {quat} out
   * @function
   */

  function fromEuler(out, x, y, z) {
    var halfToRad = 0.5 * Math.PI / 180.0;
    x *= halfToRad;
    y *= halfToRad;
    z *= halfToRad;
    var sx = Math.sin(x);
    var cx = Math.cos(x);
    var sy = Math.sin(y);
    var cy = Math.cos(y);
    var sz = Math.sin(z);
    var cz = Math.cos(z);
    out[0] = sx * cy * cz - cx * sy * sz;
    out[1] = cx * sy * cz + sx * cy * sz;
    out[2] = cx * cy * sz - sx * sy * cz;
    out[3] = cx * cy * cz + sx * sy * sz;
    return out;
  }
  /**
   * Creates a new quat initialized with the given values
   *
   * @param {Number} x X component
   * @param {Number} y Y component
   * @param {Number} z Z component
   * @param {Number} w W component
   * @returns {quat} a new quaternion
   * @function
   */

  var fromValues$3 = fromValues$2;
  /**
   * Copy the values from one quat to another
   *
   * @param {quat} out the receiving quaternion
   * @param {ReadonlyQuat} a the source quaternion
   * @returns {quat} out
   * @function
   */

  var copy$3 = copy$2;
  /**
   * Alias for {@link quat.multiply}
   * @function
   */

  var mul = multiply$2;
  /**
   * Normalize a quat
   *
   * @param {quat} out the receiving quaternion
   * @param {ReadonlyQuat} a quaternion to normalize
   * @returns {quat} out
   * @function
   */

  var normalize$2 = normalize$1;
  /**
   * Sets a quaternion to represent the shortest rotation from one
   * vector to another.
   *
   * Both vectors are assumed to be unit length.
   *
   * @param {quat} out the receiving quaternion.
   * @param {ReadonlyVec3} a the initial vector
   * @param {ReadonlyVec3} b the destination vector
   * @returns {quat} out
   */

  var rotationTo = function () {
    var tmpvec3 = create$2();
    var xUnitVec3 = fromValues$1(1, 0, 0);
    var yUnitVec3 = fromValues$1(0, 1, 0);
    return function (out, a, b) {
      var dot$1 = dot(a, b);

      if (dot$1 < -0.999999) {
        cross(tmpvec3, xUnitVec3, a);
        if (len(tmpvec3) < 0.000001) cross(tmpvec3, yUnitVec3, a);
        normalize(tmpvec3, tmpvec3);
        setAxisAngle(out, tmpvec3, Math.PI);
        return out;
      } else if (dot$1 > 0.999999) {
        out[0] = 0;
        out[1] = 0;
        out[2] = 0;
        out[3] = 1;
        return out;
      } else {
        cross(tmpvec3, a, b);
        out[0] = tmpvec3[0];
        out[1] = tmpvec3[1];
        out[2] = tmpvec3[2];
        out[3] = 1 + dot$1;
        return normalize$2(out, out);
      }
    };
  }();
  /**
   * Performs a spherical linear interpolation with two control points
   *
   * @param {quat} out the receiving quaternion
   * @param {ReadonlyQuat} a the first operand
   * @param {ReadonlyQuat} b the second operand
   * @param {ReadonlyQuat} c the third operand
   * @param {ReadonlyQuat} d the fourth operand
   * @param {Number} t interpolation amount, in the range [0-1], between the two inputs
   * @returns {quat} out
   */

  var sqlerp = function () {
    var temp1 = create$4();
    var temp2 = create$4();
    return function (out, a, b, c, d, t) {
      slerp(temp1, a, d, t);
      slerp(temp2, b, c, t);
      slerp(out, temp1, temp2, 2 * t * (1 - t));
      return out;
    };
  }();
  /**
   * Sets the specified quaternion with values corresponding to the given
   * axes. Each axis is a vec3 and is expected to be unit length and
   * perpendicular to all other specified axes.
   *
   * @param {ReadonlyVec3} view  the vector representing the viewing direction
   * @param {ReadonlyVec3} right the vector representing the local "right" direction
   * @param {ReadonlyVec3} up    the vector representing the local "up" direction
   * @returns {quat} out
   */

  var setAxes = function () {
    var matr = create();
    return function (out, view, right, up) {
      matr[0] = right[0];
      matr[3] = right[1];
      matr[6] = right[2];
      matr[1] = up[0];
      matr[4] = up[1];
      matr[7] = up[2];
      matr[2] = -view[0];
      matr[5] = -view[1];
      matr[8] = -view[2];
      return normalize$2(out, fromMat3(out, matr));
    };
  }();

  var isArrayLike = function (value) {
      /**
       * isArrayLike([1, 2, 3]) => true
       * isArrayLike(document.body.children) => true
       * isArrayLike('abc') => true
       * isArrayLike(Function) => false
       */
      return value !== null && typeof value !== 'function' && isFinite(value.length);
  };

  var toString = {}.toString;
  var isType = function (value, type) { return toString.call(value) === '[object ' + type + ']'; };

  /**
   * 是否为函数
   * @param  {*} fn 对象
   * @return {Boolean}  是否函数
   */
  var isFunction = (function (value) {
      return isType(value, 'Function');
  });

  // isFinite,
  var isNil = function (value) {
      /**
       * isNil(null) => true
       * isNil() => true
       */
      return value === null || value === undefined;
  };

  var isArray = (function (value) {
      return Array.isArray ?
          Array.isArray(value) :
          isType(value, 'Array');
  });

  var isObject = (function (value) {
      /**
       * isObject({}) => true
       * isObject([1, 2, 3]) => true
       * isObject(Function) => true
       * isObject(null) => false
       */
      var type = typeof value;
      return value !== null && type === 'object' || type === 'function';
  });

  function each(elements, func) {
      if (!elements) {
          return;
      }
      var rst;
      if (isArray(elements)) {
          for (var i = 0, len = elements.length; i < len; i++) {
              rst = func(elements[i], i);
              if (rst === false) {
                  break;
              }
          }
      }
      else if (isObject(elements)) {
          for (var k in elements) {
              if (elements.hasOwnProperty(k)) {
                  rst = func(elements[k], k);
                  if (rst === false) {
                      break;
                  }
              }
          }
      }
  }

  var isObjectLike = function (value) {
      /**
       * isObjectLike({}) => true
       * isObjectLike([1, 2, 3]) => true
       * isObjectLike(Function) => false
       * isObjectLike(null) => false
       */
      return typeof value === 'object' && value !== null;
  };

  var isPlainObject = function (value) {
      /**
       * isObjectLike(new Foo) => false
       * isObjectLike([1, 2, 3]) => false
       * isObjectLike({ x: 0, y: 0 }) => true
       * isObjectLike(Object.create(null)) => true
       */
      if (!isObjectLike(value) || !isType(value, 'Object')) {
          return false;
      }
      if (Object.getPrototypeOf(value) === null) {
          return true;
      }
      var proto = value;
      while (Object.getPrototypeOf(proto) !== null) {
          proto = Object.getPrototypeOf(proto);
      }
      return Object.getPrototypeOf(value) === proto;
  };

  /**
   * @param {Array} arr The array to iterate over.
   * @return {*} Returns the maximum value.
   * @example
   *
   * max([1, 2]);
   * // => 2
   *
   * max([]);
   * // => undefined
   *
   * const data = new Array(1250010).fill(1).map((d,idx) => idx);
   *
   * max(data);
   * // => 1250010
   * // Math.max(...data) will encounter "Maximum call stack size exceeded" error
   */
  var max$1 = (function (arr) {
      if (!isArray(arr)) {
          return undefined;
      }
      return arr.reduce(function (prev, curr) {
          return Math.max(prev, curr);
      }, arr[0]);
  });

  /**
   * @param {Array} arr The array to iterate over.
   * @return {*} Returns the minimum value.
   * @example
   *
   * min([1, 2]);
   * // => 1
   *
   * min([]);
   * // => undefined
   *
   * const data = new Array(1250010).fill(1).map((d,idx) => idx);
   *
   * min(data);
   * // => 1250010
   * // Math.min(...data) will encounter "Maximum call stack size exceeded" error
   */
  var min$1 = (function (arr) {
      if (!isArray(arr)) {
          return undefined;
      }
      return arr.reduce(function (prev, curr) {
          return Math.min(prev, curr);
      }, arr[0]);
  });

  var reduce = function (arr, fn, init) {
      if (!isArray(arr) && !isPlainObject(arr)) {
          return arr;
      }
      var result = init;
      each(arr, function (data, i) {
          result = fn(result, data, i);
      });
      return result;
  };

  var isString = (function (str) {
      return isType(str, 'String');
  });

  function last(o) {
      if (isArrayLike(o)) {
          var arr = o;
          return arr[arr.length - 1];
      }
      return undefined;
  }

  var clamp = function (a, min, max) {
      if (a < min) {
          return min;
      }
      else if (a > max) {
          return max;
      }
      return a;
  };

  /**
   * 判断是否数字
   * @return {Boolean} 是否数字
   */
  var isNumber = function (value) {
      return isType(value, 'Number');
  };

  var PRECISION = 0.00001; // numbers less than this is considered as 0
  function isNumberEqual(a, b, precision) {
      if (precision === void 0) { precision = PRECISION; }
      return Math.abs((a - b)) < precision;
  }

  /**
   * @param {Array} arr The array to iterate over.
   * @param {Function} [fn] The iteratee invoked per element.
   * @return {*} Returns the maximum value.
   * @example
   *
   * var objects = [{ 'n': 1 }, { 'n': 2 }];
   *
   * maxBy(objects, function(o) { return o.n; });
   * // => { 'n': 2 }
   *
   * maxBy(objects, 'n');
   * // => { 'n': 2 }
   */
  var maxBy = (function (arr, fn) {
      if (!isArray(arr)) {
          return undefined;
      }
      var maxItem;
      var max = -Infinity;
      for (var i = 0; i < arr.length; i++) {
          var item = arr[i];
          var v = isFunction(fn) ? fn(item) : item[fn];
          if (v > max) {
              maxItem = item;
              max = v;
          }
      }
      return maxItem;
  });

  /**
   * @param {Array} arr The array to iterate over.
   * @param {Function} [fn] The iteratee invoked per element.
   * @return {*} Returns the minimum value.
   * @example
   *
   * var objects = [{ 'n': 1 }, { 'n': 2 }];
   *
   * minBy(objects, function(o) { return o.n; });
   * // => { 'n': 1 }
   *
   * minBy(objects, 'n');
   * // => { 'n': 1 }
   */
  var minBy = (function (arr, fn) {
      if (!isArray(arr)) {
          return undefined;
      }
      var minItem;
      var min = Infinity;
      for (var i = 0; i < arr.length; i++) {
          var item = arr[i];
          var v = isFunction(fn) ? fn(item) : item[fn];
          if (v < min) {
              minItem = item;
              min = v;
          }
      }
      return minItem;
  });

  var mod = function (n, m) {
      return ((n % m) + m) % m;
  };

  var RADIAN = Math.PI / 180;
  var toRadian = function (degree) {
      return RADIAN * degree;
  };

  // @ts-ignore
  var values = Object.values ? function (obj) { return Object.values(obj); } : function (obj) {
      var result = [];
      each(obj, function (value, key) {
          if (!(isFunction(obj) && key === 'prototype')) {
              result.push(value);
          }
      });
      return result;
  };

  var toString$1 = (function (value) {
      if (isNil(value))
          return '';
      return value.toString();
  });

  /**
   * 是否是布尔类型
   *
   * @param {Object} value 测试的值
   * @return {Boolean}
   */
  var isBoolean = function (value) {
      return isType(value, 'Boolean');
  };

  var isNull = function (value) {
      return value === null;
  };

  var isUndefined = function (value) {
      return value === undefined;
  };

  var clone$2 = function (obj) {
      if (typeof obj !== 'object' || obj === null) {
          return obj;
      }
      var rst;
      if (isArray(obj)) {
          rst = [];
          for (var i = 0, l = obj.length; i < l; i++) {
              if (typeof obj[i] === 'object' && obj[i] != null) {
                  rst[i] = clone$2(obj[i]);
              }
              else {
                  rst[i] = obj[i];
              }
          }
      }
      else {
          rst = {};
          for (var k in obj) {
              if (typeof obj[k] === 'object' && obj[k] != null) {
                  rst[k] = clone$2(obj[k]);
              }
              else {
                  rst[k] = obj[k];
              }
          }
      }
      return rst;
  };

  /**
   * _.memoize(calColor);
   * _.memoize(calColor, (...args) => args[0]);
   * @param f
   * @param resolver
   */
  var memoize = (function (f, resolver) {
      if (!isFunction(f)) {
          throw new TypeError('Expected a function');
      }
      var memoized = function () {
          var args = [];
          for (var _i = 0; _i < arguments.length; _i++) {
              args[_i] = arguments[_i];
          }
          // 使用方法构造 key，如果不存在 resolver，则直接取第一个参数作为 key
          var key = resolver ? resolver.apply(this, args) : args[0];
          var cache = memoized.cache;
          if (cache.has(key)) {
              return cache.get(key);
          }
          var result = f.apply(this, args);
          // 缓存起来
          cache.set(key, result);
          return result;
      };
      memoized.cache = new Map();
      return memoized;
  });

  var MAX_MIX_LEVEL = 5;
  function _deepMix(dist, src, level, maxLevel) {
      level = level || 0;
      maxLevel = maxLevel || MAX_MIX_LEVEL;
      for (var key in src) {
          if (src.hasOwnProperty(key)) {
              var value = src[key];
              if (value !== null && isPlainObject(value)) {
                  if (!isPlainObject(dist[key])) {
                      dist[key] = {};
                  }
                  if (level < maxLevel) {
                      _deepMix(dist[key], value, level + 1, maxLevel);
                  }
                  else {
                      dist[key] = src[key];
                  }
              }
              else if (isArray(value)) {
                  dist[key] = [];
                  dist[key] = dist[key].concat(value);
              }
              else if (value !== undefined) {
                  dist[key] = value;
              }
          }
      }
  }
  // todo 重写
  var deepMix = function (rst) {
      var args = [];
      for (var _i = 1; _i < arguments.length; _i++) {
          args[_i - 1] = arguments[_i];
      }
      for (var i = 0; i < args.length; i += 1) {
          _deepMix(rst, args[i]);
      }
      return rst;
  };

  var isEqual = function (value, other) {
      if (value === other) {
          return true;
      }
      if (!value || !other) {
          return false;
      }
      if (isString(value) || isString(other)) {
          return false;
      }
      if (isArrayLike(value) || isArrayLike(other)) {
          if (value.length !== other.length) {
              return false;
          }
          var rst = true;
          for (var i = 0; i < value.length; i++) {
              rst = isEqual(value[i], other[i]);
              if (!rst) {
                  break;
              }
          }
          return rst;
      }
      if (isObjectLike(value) || isObjectLike(other)) {
          var valueKeys = Object.keys(value);
          var otherKeys = Object.keys(other);
          if (valueKeys.length !== otherKeys.length) {
              return false;
          }
          var rst = true;
          for (var i = 0; i < valueKeys.length; i++) {
              rst = isEqual(value[valueKeys[i]], other[valueKeys[i]]);
              if (!rst) {
                  break;
              }
          }
          return rst;
      }
      return false;
  };

  /**
   * https://github.com/developit/dlv/blob/master/index.js
   * @param obj
   * @param key
   * @param defaultValue
   */
  var get = (function (obj, key, defaultValue) {
      var p = 0;
      var keyArr = isString(key) ? key.split('.') : key;
      while (obj && p < keyArr.length) {
          obj = obj[keyArr[p++]];
      }
      return (obj === undefined || p < keyArr.length) ? defaultValue : obj;
  });

  var omit = (function (obj, keys) {
      return reduce(obj, function (r, curr, key) {
          if (!keys.includes(key)) {
              r[key] = curr;
          }
          return r;
      }, {});
  });

  var identity$1 = (function (v) { return v; });

  var toString$2 = {}.toString;
  var isType$1 = function (value, type) { return toString$2.call(value) === '[object ' + type + ']'; };

  var isArray$1 = (function (value) {
      return Array.isArray ?
          Array.isArray(value) :
          isType$1(value, 'Array');
  });

  /**
   * @param {Array} arr The array to iterate over.
   * @return {*} Returns the maximum value.
   * @example
   *
   * max([1, 2]);
   * // => 2
   *
   * max([]);
   * // => undefined
   *
   * const data = new Array(1250010).fill(1).map((d,idx) => idx);
   *
   * max(data);
   * // => 1250010
   * // Math.max(...data) will encounter "Maximum call stack size exceeded" error
   */
  var max$2 = (function (arr) {
      if (!isArray$1(arr)) {
          return undefined;
      }
      return arr.reduce(function (prev, curr) {
          return Math.max(prev, curr);
      }, arr[0]);
  });

  /**
   * @param {Array} arr The array to iterate over.
   * @return {*} Returns the minimum value.
   * @example
   *
   * min([1, 2]);
   * // => 1
   *
   * min([]);
   * // => undefined
   *
   * const data = new Array(1250010).fill(1).map((d,idx) => idx);
   *
   * min(data);
   * // => 1250010
   * // Math.min(...data) will encounter "Maximum call stack size exceeded" error
   */
  var min$2 = (function (arr) {
      if (!isArray$1(arr)) {
          return undefined;
      }
      return arr.reduce(function (prev, curr) {
          return Math.min(prev, curr);
      }, arr[0]);
  });

  /**
   * 两点之间的距离
   * @param {number} x1 起始点 x
   * @param {number} y1 起始点 y
   * @param {number} x2 结束点 x
   * @param {number} y2 结束点 y
   * @return {number} 距离
   */

  function distance$1(x1, y1, x2, y2) {
    var dx = x1 - x2;
    var dy = y1 - y2;
    return Math.sqrt(dx * dx + dy * dy);
  }
  function isNumberEqual$1(v1, v2) {
    return Math.abs(v1 - v2) < 0.001;
  }
  function getBBoxByArray(xArr, yArr) {
    var minX = min$2(xArr);
    var minY = min$2(yArr);
    var maxX = max$2(xArr);
    var maxY = max$2(yArr);
    return {
      x: minX,
      y: minY,
      width: maxX - minX,
      height: maxY - minY
    };
  }
  function piMod(angle) {
    return (angle + Math.PI * 2) % (Math.PI * 2);
  }

  /**
   * Common utilities
   * @module glMatrix
   */
  var ARRAY_TYPE$1 = typeof Float32Array !== 'undefined' ? Float32Array : Array;
  if (!Math.hypot) Math.hypot = function () {
    var y = 0,
        i = arguments.length;

    while (i--) {
      y += arguments[i] * arguments[i];
    }

    return Math.sqrt(y);
  };

  /**
   * 2 Dimensional Vector
   * @module vec2
   */

  /**
   * Creates a new, empty vec2
   *
   * @returns {vec2} a new 2D vector
   */

  function create$5() {
    var out = new ARRAY_TYPE$1(2);

    if (ARRAY_TYPE$1 != Float32Array) {
      out[0] = 0;
      out[1] = 0;
    }

    return out;
  }
  /**
   * Normalize a vec2
   *
   * @param {vec2} out the receiving vector
   * @param {ReadonlyVec2} a vector to normalize
   * @returns {vec2} out
   */

  function normalize$3(out, a) {
    var x = a[0],
        y = a[1];
    var len = x * x + y * y;

    if (len > 0) {
      //TODO: evaluate use of glm_invsqrt here?
      len = 1 / Math.sqrt(len);
    }

    out[0] = a[0] * len;
    out[1] = a[1] * len;
    return out;
  }
  /**
   * Calculates the dot product of two vec2's
   *
   * @param {ReadonlyVec2} a the first operand
   * @param {ReadonlyVec2} b the second operand
   * @returns {Number} dot product of a and b
   */

  function dot$1(a, b) {
    return a[0] * b[0] + a[1] * b[1];
  }
  /**
   * Returns whether or not the vectors exactly have the same elements in the same position (when compared with ===)
   *
   * @param {ReadonlyVec2} a The first vector.
   * @param {ReadonlyVec2} b The second vector.
   * @returns {Boolean} True if the vectors are equal, false otherwise.
   */

  function exactEquals(a, b) {
    return a[0] === b[0] && a[1] === b[1];
  }
  /**
   * Perform some operation over an array of vec2s.
   *
   * @param {Array} a the array of vectors to iterate over
   * @param {Number} stride Number of elements between the start of each vec2. If 0 assumes tightly packed
   * @param {Number} offset Number of elements to skip at the beginning of the array
   * @param {Number} count Number of vec2s to iterate over. If 0 iterates over entire array
   * @param {Function} fn Function to call for each vector in the array
   * @param {Object} [arg] additional argument to pass to fn
   * @returns {Array} a
   * @function
   */

  var forEach$2 = function () {
    var vec = create$5();
    return function (a, stride, offset, count, fn, arg) {
      var i, l;

      if (!stride) {
        stride = 2;
      }

      if (!offset) {
        offset = 0;
      }

      if (count) {
        l = Math.min(count * stride + offset, a.length);
      } else {
        l = a.length;
      }

      for (i = offset; i < l; i += stride) {
        vec[0] = a[i];
        vec[1] = a[i + 1];
        fn(vec, vec, arg);
        a[i] = vec[0];
        a[i + 1] = vec[1];
      }

      return a;
    };
  }();

  var line = {
    /**
     * 计算线段的包围盒
     * @param {number} x1 起始点 x
     * @param {number} y1 起始点 y
     * @param {number} x2 结束点 x
     * @param {number} y2 结束点 y
     * @return {object} 包围盒对象
     */
    box: function box(x1, y1, x2, y2) {
      return getBBoxByArray([x1, x2], [y1, y2]);
    },

    /**
     * 线段的长度
     * @param {number} x1 起始点 x
     * @param {number} y1 起始点 y
     * @param {number} x2 结束点 x
     * @param {number} y2 结束点 y
     * @return {number} 距离
     */
    length: function length(x1, y1, x2, y2) {
      return distance$1(x1, y1, x2, y2);
    },

    /**
     * 根据比例获取点
     * @param {number} x1 起始点 x
     * @param {number} y1 起始点 y
     * @param {number} x2 结束点 x
     * @param {number} y2 结束点 y
     * @param {number} t 指定比例
     * @return {object} 包含 x, y 的点
     */
    pointAt: function pointAt(x1, y1, x2, y2, t) {
      return {
        x: (1 - t) * x1 + t * x2,
        y: (1 - t) * y1 + t * y2
      };
    },

    /**
     * 点到线段的距离
     * @param {number} x1 起始点 x
     * @param {number} y1 起始点 y
     * @param {number} x2 结束点 x
     * @param {number} y2 结束点 y
     * @param {number} x  测试点 x
     * @param {number} y  测试点 y
     * @return {number} 距离
     */
    pointDistance: function pointDistance(x1, y1, x2, y2, x, y) {
      // 投影距离 x1, y1 的向量，假设 p, p1, p2 三个点，投影点为 a
      // p1a = p1p.p1p2/|p1p2| * (p1p 的单位向量)
      var cross = (x2 - x1) * (x - x1) + (y2 - y1) * (y - y1);

      if (cross < 0) {
        return distance$1(x1, y1, x, y);
      }

      var lengthSquare = (x2 - x1) * (x2 - x1) + (y2 - y1) * (y2 - y1);

      if (cross > lengthSquare) {
        return distance$1(x2, y2, x, y);
      }

      return this.pointToLine(x1, y1, x2, y2, x, y);
    },

    /**
     * 点到直线的距离，而不是点到线段的距离
     * @param {number} x1 起始点 x
     * @param {number} y1 起始点 y
     * @param {number} x2 结束点 x
     * @param {number} y2 结束点 y
     * @param {number} x  测试点 x
     * @param {number} y  测试点 y
     * @return {number} 距离
     */
    pointToLine: function pointToLine(x1, y1, x2, y2, x, y) {
      var d = [x2 - x1, y2 - y1]; // 如果端点相等，则判定点到点的距离

      if (exactEquals(d, [0, 0])) {
        return Math.sqrt((x - x1) * (x - x1) + (y - y1) * (y - y1));
      }

      var u = [-d[1], d[0]];
      normalize$3(u, u);
      var a = [x - x1, y - y1];
      return Math.abs(dot$1(a, u));
    },

    /**
     * 线段的角度
     * @param {number} x1 起始点 x
     * @param {number} y1 起始点 y
     * @param {number} x2 结束点 x
     * @param {number} y2 结束点 y
     * @return {number} 导数
     */
    tangentAngle: function tangentAngle(x1, y1, x2, y2) {
      return Math.atan2(y2 - y1, x2 - x1);
    }
  };

  var EPSILON$1 = 0.0001;
  /**
   * 使用牛顿切割法求最近的点
   * @param {number[]} xArr      点的 x 数组
   * @param {number[]} yArr      点的 y 数组
   * @param {number}   x         指定的点 x
   * @param {number}   y         指定的点 y
   * @param {Function} tCallback 差值函数
   */

  function nearestPoint(xArr, yArr, x, y, tCallback, length) {
    var t = -1;
    var d = Infinity;
    var v0 = [x, y];
    var segNum = 20;

    if (length && length > 200) {
      segNum = length / 10;
    }

    var increaseRate = 1 / segNum;
    var interval = increaseRate / 10;

    for (var i = 0; i <= segNum; i++) {
      var _t = i * increaseRate;

      var v1 = [tCallback.apply(null, xArr.concat([_t])), tCallback.apply(null, yArr.concat([_t]))];
      var d1 = distance$1(v0[0], v0[1], v1[0], v1[1]);

      if (d1 < d) {
        t = _t;
        d = d1;
      }
    } // 提前终止


    if (t === 0) {
      return {
        x: xArr[0],
        y: yArr[0]
      };
    }

    if (t === 1) {
      var count = xArr.length;
      return {
        x: xArr[count - 1],
        y: yArr[count - 1]
      };
    }

    d = Infinity;

    for (var _i = 0; _i < 32; _i++) {
      if (interval < EPSILON$1) {
        break;
      }

      var prev = t - interval;
      var next = t + interval;
      var _v = [tCallback.apply(null, xArr.concat([prev])), tCallback.apply(null, yArr.concat([prev]))];

      var _d = distance$1(v0[0], v0[1], _v[0], _v[1]);

      if (prev >= 0 && _d < d) {
        t = prev;
        d = _d;
      } else {
        var v2 = [tCallback.apply(null, xArr.concat([next])), tCallback.apply(null, yArr.concat([next]))];
        var d2 = distance$1(v0[0], v0[1], v2[0], v2[1]);

        if (next <= 1 && d2 < d) {
          t = next;
          d = d2;
        } else {
          interval *= 0.5;
        }
      }
    }

    return {
      x: tCallback.apply(null, xArr.concat([t])),
      y: tCallback.apply(null, yArr.concat([t]))
    };
  } // 近似求解 https://community.khronos.org/t/3d-cubic-bezier-segment-length/62363/2

  function snapLength(xArr, yArr) {
    var totalLength = 0;
    var count = xArr.length;

    for (var i = 0; i < count; i++) {
      var x = xArr[i];
      var y = yArr[i];
      var nextX = xArr[(i + 1) % count];
      var nextY = yArr[(i + 1) % count];
      totalLength += distance$1(x, y, nextX, nextY);
    }

    return totalLength / 2;
  }

  function quadraticAt(p0, p1, p2, t) {
    var onet = 1 - t;
    return onet * onet * p0 + 2 * t * onet * p1 + t * t * p2;
  } // 求极值


  function extrema(p0, p1, p2) {
    var a = p0 + p2 - 2 * p1;

    if (isNumberEqual$1(a, 0)) {
      return [0.5];
    }

    var rst = (p0 - p1) / a;

    if (rst <= 1 && rst >= 0) {
      return [rst];
    }

    return [];
  }

  function derivativeAt(p0, p1, p2, t) {
    return 2 * (1 - t) * (p1 - p0) + 2 * t * (p2 - p1);
  } // 分割贝塞尔曲线


  function divideQuadratic(x1, y1, x2, y2, x3, y3, t) {
    // 划分点
    var xt = quadraticAt(x1, x2, x3, t);
    var yt = quadraticAt(y1, y2, y3, t); // 分割的第一条曲线的控制点

    var controlPoint1 = line.pointAt(x1, y1, x2, y2, t); // 分割的第二条曲线的控制点

    var controlPoint2 = line.pointAt(x2, y2, x3, y3, t);
    return [[x1, y1, controlPoint1.x, controlPoint1.y, xt, yt], [xt, yt, controlPoint2.x, controlPoint2.y, x3, y3]];
  } // 使用迭代法取贝塞尔曲线的长度


  function quadraticLength(x1, y1, x2, y2, x3, y3, iterationCount) {
    if (iterationCount === 0) {
      return (distance$1(x1, y1, x2, y2) + distance$1(x2, y2, x3, y3) + distance$1(x1, y1, x3, y3)) / 2;
    }

    var quadratics = divideQuadratic(x1, y1, x2, y2, x3, y3, 0.5);
    var left = quadratics[0];
    var right = quadratics[1];
    left.push(iterationCount - 1);
    right.push(iterationCount - 1); // @ts-ignore

    return quadraticLength.apply(null, left) + quadraticLength.apply(null, right);
  }

  var quadratic = {
    box: function box(x1, y1, x2, y2, x3, y3) {
      var xExtrema = extrema(x1, x2, x3)[0];
      var yExtrema = extrema(y1, y2, y3)[0]; // 控制点不加入 box 的计算

      var xArr = [x1, x3];
      var yArr = [y1, y3];

      if (xExtrema !== undefined) {
        xArr.push(quadraticAt(x1, x2, x3, xExtrema));
      }

      if (yExtrema !== undefined) {
        yArr.push(quadraticAt(y1, y2, y3, yExtrema));
      }

      return getBBoxByArray(xArr, yArr);
    },
    length: function length(x1, y1, x2, y2, x3, y3) {
      return quadraticLength(x1, y1, x2, y2, x3, y3, 3);
    },
    nearestPoint: function nearestPoint$1(x1, y1, x2, y2, x3, y3, x0, y0) {
      return nearestPoint([x1, x2, x3], [y1, y2, y3], x0, y0, quadraticAt);
    },
    pointDistance: function pointDistance(x1, y1, x2, y2, x3, y3, x0, y0) {
      var point = this.nearestPoint(x1, y1, x2, y2, x3, y3, x0, y0);
      return distance$1(point.x, point.y, x0, y0);
    },
    interpolationAt: quadraticAt,
    pointAt: function pointAt(x1, y1, x2, y2, x3, y3, t) {
      return {
        x: quadraticAt(x1, x2, x3, t),
        y: quadraticAt(y1, y2, y3, t)
      };
    },
    divide: function divide(x1, y1, x2, y2, x3, y3, t) {
      return divideQuadratic(x1, y1, x2, y2, x3, y3, t);
    },
    tangentAngle: function tangentAngle(x1, y1, x2, y2, x3, y3, t) {
      var dx = derivativeAt(x1, x2, x3, t);
      var dy = derivativeAt(y1, y2, y3, t);
      var angle = Math.atan2(dy, dx);
      return piMod(angle);
    }
  };

  function _slicedToArray$1(arr, i) {
    return _arrayWithHoles$1(arr) || _iterableToArrayLimit$1(arr, i) || _unsupportedIterableToArray$2(arr, i) || _nonIterableRest$1();
  }

  function _toConsumableArray$1(arr) {
    return _arrayWithoutHoles$1(arr) || _iterableToArray$1(arr) || _unsupportedIterableToArray$2(arr) || _nonIterableSpread$1();
  }

  function _arrayWithoutHoles$1(arr) {
    if (Array.isArray(arr)) return _arrayLikeToArray$2(arr);
  }

  function _arrayWithHoles$1(arr) {
    if (Array.isArray(arr)) return arr;
  }

  function _iterableToArray$1(iter) {
    if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter);
  }

  function _iterableToArrayLimit$1(arr, i) {
    var _i = arr && (typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"]);

    if (_i == null) return;
    var _arr = [];
    var _n = true;
    var _d = false;

    var _s, _e;

    try {
      for (_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true) {
        _arr.push(_s.value);

        if (i && _arr.length === i) break;
      }
    } catch (err) {
      _d = true;
      _e = err;
    } finally {
      try {
        if (!_n && _i["return"] != null) _i["return"]();
      } finally {
        if (_d) throw _e;
      }
    }

    return _arr;
  }

  function _unsupportedIterableToArray$2(o, minLen) {
    if (!o) return;
    if (typeof o === "string") return _arrayLikeToArray$2(o, minLen);
    var n = Object.prototype.toString.call(o).slice(8, -1);
    if (n === "Object" && o.constructor) n = o.constructor.name;
    if (n === "Map" || n === "Set") return Array.from(o);
    if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray$2(o, minLen);
  }

  function _arrayLikeToArray$2(arr, len) {
    if (len == null || len > arr.length) len = arr.length;

    for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i];

    return arr2;
  }

  function _nonIterableSpread$1() {
    throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
  }

  function _nonIterableRest$1() {
    throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
  }

  function cubicAt(p0, p1, p2, p3, t) {
    var onet = 1 - t; // t * t * t 的性能大概是 Math.pow(t, 3) 的三倍

    return onet * onet * onet * p0 + 3 * p1 * t * onet * onet + 3 * p2 * t * t * onet + p3 * t * t * t;
  }

  function derivativeAt$1(p0, p1, p2, p3, t) {
    var onet = 1 - t;
    return 3 * (onet * onet * (p1 - p0) + 2 * onet * t * (p2 - p1) + t * t * (p3 - p2));
  }

  function extrema$1(p0, p1, p2, p3) {
    var a = -3 * p0 + 9 * p1 - 9 * p2 + 3 * p3;
    var b = 6 * p0 - 12 * p1 + 6 * p2;
    var c = 3 * p1 - 3 * p0;
    var extremas = [];
    var t1;
    var t2;
    var discSqrt;

    if (isNumberEqual$1(a, 0)) {
      if (!isNumberEqual$1(b, 0)) {
        t1 = -c / b;

        if (t1 >= 0 && t1 <= 1) {
          extremas.push(t1);
        }
      }
    } else {
      var disc = b * b - 4 * a * c;

      if (isNumberEqual$1(disc, 0)) {
        extremas.push(-b / (2 * a));
      } else if (disc > 0) {
        discSqrt = Math.sqrt(disc);
        t1 = (-b + discSqrt) / (2 * a);
        t2 = (-b - discSqrt) / (2 * a);

        if (t1 >= 0 && t1 <= 1) {
          extremas.push(t1);
        }

        if (t2 >= 0 && t2 <= 1) {
          extremas.push(t2);
        }
      }
    }

    return extremas;
  } // 分割贝塞尔曲线


  function divideCubic(x1, y1, x2, y2, x3, y3, x4, y4, t) {
    // 划分点
    var xt = cubicAt(x1, x2, x3, x4, t);
    var yt = cubicAt(y1, y2, y3, y4, t); // 计算两点之间的差值点

    var c1 = line.pointAt(x1, y1, x2, y2, t);
    var c2 = line.pointAt(x2, y2, x3, y3, t);
    var c3 = line.pointAt(x3, y3, x4, y4, t);
    var c12 = line.pointAt(c1.x, c1.y, c2.x, c2.y, t);
    var c23 = line.pointAt(c2.x, c2.y, c3.x, c3.y, t);
    return [[x1, y1, c1.x, c1.y, c12.x, c12.y, xt, yt], [xt, yt, c23.x, c23.y, c3.x, c3.y, x4, y4]];
  } // 使用迭代法取贝塞尔曲线的长度，二阶和三阶分开写，更清晰和便于调试


  function cubicLength(x1, y1, x2, y2, x3, y3, x4, y4, iterationCount) {
    if (iterationCount === 0) {
      return snapLength([x1, x2, x3, x4], [y1, y2, y3, y4]);
    }

    var cubics = divideCubic(x1, y1, x2, y2, x3, y3, x4, y4, 0.5);
    var left = [].concat(_toConsumableArray$1(cubics[0]), [iterationCount - 1]);
    var right = [].concat(_toConsumableArray$1(cubics[1]), [iterationCount - 1]);
    return cubicLength.apply(null, left) + cubicLength.apply(null, right);
  }

  var cubic = {
    extrema: extrema$1,
    box: function box(x1, y1, x2, y2, x3, y3, x4, y4) {
      var xArr = [x1, x4];
      var yArr = [y1, y4];
      var xExtrema = extrema$1(x1, x2, x3, x4);
      var yExtrema = extrema$1(y1, y2, y3, y4);

      for (var i = 0; i < xExtrema.length; i++) {
        xArr.push(cubicAt(x1, x2, x3, x4, xExtrema[i]));
      }

      for (var _i = 0; _i < yExtrema.length; _i++) {
        yArr.push(cubicAt(y1, y2, y3, y4, yExtrema[_i]));
      }

      return getBBoxByArray(xArr, yArr);
    },
    length: function length(x1, y1, x2, y2, x3, y3, x4, y4) {
      // 迭代三次，划分成 8 段求长度
      return cubicLength(x1, y1, x2, y2, x3, y3, x4, y4, 3);
    },
    nearestPoint: function nearestPoint$1(x1, y1, x2, y2, x3, y3, x4, y4, x0, y0, length) {
      return nearestPoint([x1, x2, x3, x4], [y1, y2, y3, y4], x0, y0, cubicAt, length);
    },
    pointDistance: function pointDistance(x1, y1, x2, y2, x3, y3, x4, y4, x0, y0, length) {
      var point = this.nearestPoint(x1, y1, x2, y2, x3, y3, x4, y4, x0, y0, length);
      return distance$1(point.x, point.y, x0, y0);
    },
    interpolationAt: cubicAt,
    pointAt: function pointAt(x1, y1, x2, y2, x3, y3, x4, y4, t) {
      return {
        x: cubicAt(x1, x2, x3, x4, t),
        y: cubicAt(y1, y2, y3, y4, t)
      };
    },
    divide: function divide(x1, y1, x2, y2, x3, y3, x4, y4, t) {
      return divideCubic(x1, y1, x2, y2, x3, y3, x4, y4, t);
    },
    tangentAngle: function tangentAngle(x1, y1, x2, y2, x3, y3, x4, y4, t) {
      var dx = derivativeAt$1(x1, x2, x3, x4, t);
      var dy = derivativeAt$1(y1, y2, y3, y4, t);
      return piMod(Math.atan2(dy, dx));
    }
  };

  /**
   * @fileoverview 椭圆的一些计算，
   *  - 周长计算参考：https://www.mathsisfun.com/geometry/ellipse-perimeter.html
   *  - 距离计算参考：https://wet-robots.ghost.io/simple-method-for-distance-to-ellipse/
   * @author dxq613@gmail.com
   */

  function copysign(v1, v2) {
    var absv = Math.abs(v1);
    return v2 > 0 ? absv : absv * -1;
  }

  var ellipse = {
    /**
     * 包围盒计算
     * @param {number} x  椭圆中心 x
     * @param {number} y  椭圆中心 y
     * @param {number} rx 椭圆 x 方向半径
     * @param {number} ry 椭圆 y 方向半径
     * @return {object} 包围盒
     */
    box: function box(x, y, rx, ry) {
      return {
        x: x - rx,
        y: y - ry,
        width: rx * 2,
        height: ry * 2
      };
    },

    /**
     * 计算周长，使用近似法
     * @param {number} x  椭圆中心 x
     * @param {number} y  椭圆中心 y
     * @param {number} rx 椭圆 x 方向半径
     * @param {number} ry 椭圆 y 方向半径
     * @return {number} 椭圆周长
     */
    length: function length(x, y, rx, ry) {
      return Math.PI * (3 * (rx + ry) - Math.sqrt((3 * rx + ry) * (rx + 3 * ry)));
    },

    /**
     * 距离椭圆最近的点
     * @param {number} x  椭圆中心 x
     * @param {number} y  椭圆中心 y
     * @param {number} rx 椭圆 x 方向半径
     * @param {number} ry 椭圆 y 方向半径
     * @param {number} x0  指定的点 x
     * @param {number} y0  指定的点 y
     * @return {object} 椭圆上距离指定点最近的点
     */
    nearestPoint: function nearestPoint(x, y, rx, ry, x0, y0) {
      var a = rx;
      var b = ry; // 假如椭圆半径为0则返回圆心

      if (a === 0 || b === 0) {
        return {
          x: x,
          y: y
        };
      } // 转换成 0， 0 为中心的椭圆计算


      var relativeX = x0 - x;
      var relativeY = y0 - y;
      var px = Math.abs(relativeX);
      var py = Math.abs(relativeY);
      var squareA = a * a;
      var squareB = b * b; // const angle0 = Math.atan2(relativeY, relativeX);

      var t = Math.PI / 4;
      var nearestX = 0; // 椭圆上的任一点

      var nearestY = 0; // 迭代 4 次

      for (var i = 0; i < 4; i++) {
        nearestX = a * Math.cos(t);
        nearestY = b * Math.sin(t);
        var ex = (squareA - squareB) * Math.pow(Math.cos(t), 3) / a;
        var ey = (squareB - squareA) * Math.pow(Math.sin(t), 3) / b;
        var rx1 = nearestX - ex;
        var ry1 = nearestY - ey;
        var qx = px - ex;
        var qy = py - ey;
        var r = Math.hypot(ry1, rx1);
        var q = Math.hypot(qy, qx);
        var delta_c = r * Math.asin((rx1 * qy - ry1 * qx) / (r * q));
        var delta_t = delta_c / Math.sqrt(squareA + squareB - nearestX * nearestX - nearestY * nearestY);
        t += delta_t;
        t = Math.min(Math.PI / 2, Math.max(0, t));
      }

      return {
        x: x + copysign(nearestX, relativeX),
        y: y + copysign(nearestY, relativeY)
      };
    },

    /**
     * 点到椭圆最近的距离
     * @param {number} x  椭圆中心 x
     * @param {number} y  椭圆中心 y
     * @param {number} rx 椭圆 x 方向半径
     * @param {number} ry 椭圆 y 方向半径
     * @param {number} x0  指定的点 x
     * @param {number} y0  指定的点 y
     * @return {number} 点到椭圆的距离
     */
    pointDistance: function pointDistance(x, y, rx, ry, x0, y0) {
      var nearestPoint = this.nearestPoint(x, y, rx, ry, x0, y0);
      return distance$1(nearestPoint.x, nearestPoint.y, x0, y0);
    },

    /**
     * 根据比例获取点
     * @param {number} x 椭圆中心 x
     * @param {number} y 椭圆中心 y
     * @param {number} rx 椭圆 x 方向半径
     * @param {number} ry 椭圆 y 方向半径
     * @param {number} t 指定比例，x轴方向为 0
     * @return {object} 点
     */
    pointAt: function pointAt(x, y, rx, ry, t) {
      var angle = 2 * Math.PI * t; // 按照角度进行计算，而不按照周长计算

      return {
        x: x + rx * Math.cos(angle),
        y: y + ry * Math.sin(angle)
      };
    },

    /**
     * 根据比例计算切线角度
     * @param {number} x 椭圆中心 x
     * @param {number} y 椭圆中心 y
     * @param {number} rx 椭圆 x 方向半径
     * @param {number} ry 椭圆 y 方向半径
     * @param {number} t 指定比例 0 - 1 之间，x轴方向为 0。在 0-1 范围之外是循环还是返回 null，还需要调整
     * @return {number} 角度，在 0 - 2PI 之间
     */
    tangentAngle: function tangentAngle(x, y, rx, ry, t) {
      var angle = 2 * Math.PI * t; // 按照角度进行计算，而不按照周长计算
      // 直接使用 x,y 的导数计算， x' = -rx * sin(t); y' = ry * cos(t);

      var tangentAngle = Math.atan2(ry * Math.cos(angle), -rx * Math.sin(angle)); // 也可以使用指定点的切线方程计算，成本有些高
      // const point = this.pointAt(0, 0, rx, ry, t); // 椭圆的切线同椭圆的中心不相关
      // let tangentAngle = -1 * Math.atan((ry * ry * point.x) / (rx * rx * point.y));
      // if (angle >= 0 && angle <= Math.PI) {
      //   tangentAngle += Math.PI;
      // }

      return piMod(tangentAngle);
    }
  };

  function derivativeXAt(cx, cy, rx, ry, xRotation, startAngle, endAngle, angle) {
    return -1 * rx * Math.cos(xRotation) * Math.sin(angle) - ry * Math.sin(xRotation) * Math.cos(angle);
  } // 偏导数 y


  function derivativeYAt(cx, cy, rx, ry, xRotation, startAngle, endAngle, angle) {
    return -1 * rx * Math.sin(xRotation) * Math.sin(angle) + ry * Math.cos(xRotation) * Math.cos(angle);
  } // x 的极值


  function xExtrema(rx, ry, xRotation) {
    return Math.atan(-ry / rx * Math.tan(xRotation));
  } // y 的极值


  function yExtrema(rx, ry, xRotation) {
    return Math.atan(ry / (rx * Math.tan(xRotation)));
  } // 根据角度求 x 坐标


  function xAt(cx, cy, rx, ry, xRotation, angle) {
    return rx * Math.cos(xRotation) * Math.cos(angle) - ry * Math.sin(xRotation) * Math.sin(angle) + cx;
  } // 根据角度求 y 坐标


  function yAt(cx, cy, rx, ry, xRotation, angle) {
    return rx * Math.sin(xRotation) * Math.cos(angle) + ry * Math.cos(xRotation) * Math.sin(angle) + cy;
  } // 获取点在椭圆上的角度


  function getAngle(rx, ry, x0, y0) {
    var angle = Math.atan2(y0 * rx, x0 * ry); // 转换到 0 - 2PI 内

    return (angle + Math.PI * 2) % (Math.PI * 2);
  } // 根据角度获取，x,y


  function getPoint(rx, ry, angle) {
    return {
      x: rx * Math.cos(angle),
      y: ry * Math.sin(angle)
    };
  } // 旋转


  function rotate(x, y, angle) {
    var cos = Math.cos(angle);
    var sin = Math.sin(angle);
    return [x * cos - y * sin, x * sin + y * cos];
  }

  var arc = {
    /**
     * 计算包围盒
     * @param {number} cx         圆心 x
     * @param {number} cy         圆心 y
     * @param {number} rx         x 轴方向的半径
     * @param {number} ry         y 轴方向的半径
     * @param {number} xRotation  旋转角度
     * @param {number} startAngle 起始角度
     * @param {number} endAngle   结束角度
     * @return {object} 包围盒对象
     */
    box: function box(cx, cy, rx, ry, xRotation, startAngle, endAngle) {
      var xDim = xExtrema(rx, ry, xRotation);
      var minX = Infinity;
      var maxX = -Infinity;
      var xs = [startAngle, endAngle];

      for (var i = -Math.PI * 2; i <= Math.PI * 2; i += Math.PI) {
        var xAngle = xDim + i;

        if (startAngle < endAngle) {
          if (startAngle < xAngle && xAngle < endAngle) {
            xs.push(xAngle);
          }
        } else {
          if (endAngle < xAngle && xAngle < startAngle) {
            xs.push(xAngle);
          }
        }
      }

      for (var _i = 0; _i < xs.length; _i++) {
        var x = xAt(cx, cy, rx, ry, xRotation, xs[_i]);

        if (x < minX) {
          minX = x;
        }

        if (x > maxX) {
          maxX = x;
        }
      }

      var yDim = yExtrema(rx, ry, xRotation);
      var minY = Infinity;
      var maxY = -Infinity;
      var ys = [startAngle, endAngle];

      for (var _i2 = -Math.PI * 2; _i2 <= Math.PI * 2; _i2 += Math.PI) {
        var yAngle = yDim + _i2;

        if (startAngle < endAngle) {
          if (startAngle < yAngle && yAngle < endAngle) {
            ys.push(yAngle);
          }
        } else {
          if (endAngle < yAngle && yAngle < startAngle) {
            ys.push(yAngle);
          }
        }
      }

      for (var _i3 = 0; _i3 < ys.length; _i3++) {
        var y = yAt(cx, cy, rx, ry, xRotation, ys[_i3]);

        if (y < minY) {
          minY = y;
        }

        if (y > maxY) {
          maxY = y;
        }
      }

      return {
        x: minX,
        y: minY,
        width: maxX - minX,
        height: maxY - minY
      };
    },

    /**
     * 获取圆弧的长度，计算圆弧长度时不考虑旋转角度，
     * 仅跟 rx, ry, startAngle, endAngle 相关
     * @param {number} cx         圆心 x
     * @param {number} cy         圆心 y
     * @param {number} rx         x 轴方向的半径
     * @param {number} ry         y 轴方向的半径
     * @param {number} xRotation  旋转角度
     * @param {number} startAngle 起始角度
     * @param {number} endAngle   结束角度
     */
    length: function length(cx, cy, rx, ry, xRotation, startAngle, endAngle) {},

    /**
     * 获取指定点到圆弧的最近距离的点
     * @param {number} cx         圆心 x
     * @param {number} cy         圆心 y
     * @param {number} rx         x 轴方向的半径
     * @param {number} ry         y 轴方向的半径
     * @param {number} xRotation  旋转角度
     * @param {number} startAngle 起始角度
     * @param {number} endAngle   结束角度
     * @param {number} x0         指定点的 x
     * @param {number} y0         指定点的 y
     * @return {object} 到指定点最近距离的点
     */
    nearestPoint: function nearestPoint(cx, cy, rx, ry, xRotation, startAngle, endAngle, x0, y0) {
      // 将最近距离问题转换成到椭圆中心 0,0 没有旋转的椭圆问题
      var relativeVector = rotate(x0 - cx, y0 - cy, -xRotation);

      var _relativeVector = _slicedToArray$1(relativeVector, 2),
          x1 = _relativeVector[0],
          y1 = _relativeVector[1]; // 计算点到椭圆的最近的点


      var relativePoint = ellipse.nearestPoint(0, 0, rx, ry, x1, y1); // 获取点在椭圆上的角度

      var angle = getAngle(rx, ry, relativePoint.x, relativePoint.y); // 点没有在圆弧上

      if (angle < startAngle) {
        // 小于起始圆弧
        relativePoint = getPoint(rx, ry, startAngle);
      } else if (angle > endAngle) {
        // 大于结束圆弧
        relativePoint = getPoint(rx, ry, endAngle);
      } // 旋转到 xRotation 的角度


      var vector = rotate(relativePoint.x, relativePoint.y, xRotation);
      return {
        x: vector[0] + cx,
        y: vector[1] + cy
      };
    },
    pointDistance: function pointDistance(cx, cy, rx, ry, xRotation, startAngle, endAngle, x0, y0) {
      var nearestPoint = this.nearestPoint(cx, cy, rx, ry, xRotation, startAngle, endAngle, x0, y0);
      return distance$1(nearestPoint.x, nearestPoint.y, x0, y0);
    },
    pointAt: function pointAt(cx, cy, rx, ry, xRotation, startAngle, endAngle, t) {
      var angle = (endAngle - startAngle) * t + startAngle;
      return {
        x: xAt(cx, cy, rx, ry, xRotation, angle),
        y: yAt(cx, cy, rx, ry, xRotation, angle)
      };
    },
    tangentAngle: function tangentAngle(cx, cy, rx, ry, xRotation, startAngle, endAngle, t) {
      var angle = (endAngle - startAngle) * t + startAngle;
      var dx = derivativeXAt(cx, cy, rx, ry, xRotation, startAngle, endAngle, angle);
      var dy = derivativeYAt(cx, cy, rx, ry, xRotation, startAngle, endAngle, angle);
      return piMod(Math.atan2(dy, dx));
    }
  };

  var regexTags = /[MLHVQTCSAZ]([^MLHVQTCSAZ]*)/ig;
  var regexDot = /[^\s\,]+/ig;
  function parsePath(p) {
      var path = p || [];
      if (isArray(path)) {
          return path;
      }
      if (isString(path)) {
          path = path.match(regexTags);
          each(path, function (item, index) {
              // @ts-ignore
              item = item.match(regexDot);
              if (item[0].length > 1) {
                  var tag = item[0].charAt(0);
                  // @ts-ignore
                  item.splice(1, 0, item[0].substr(1));
                  // @ts-ignore
                  item[0] = tag;
              }
              // @ts-ignore
              each(item, function (sub, i) {
                  if (!isNaN(sub)) {
                      // @ts-ignore
                      item[i] = +sub;
                  }
              });
              // @ts-ignore
              path[index] = item;
          });
          return path;
      }
  }

  // http://schepers.cc/getting-to-the-point
  function catmullRom2Bezier(crp, z) {
      var d = [];
      // @ts-ignore
      for (var i = 0, iLen = crp.length; iLen - 2 * !z > i; i += 2) {
          var p = [{
                  x: +crp[i - 2],
                  y: +crp[i - 1],
              }, {
                  x: +crp[i],
                  y: +crp[i + 1],
              }, {
                  x: +crp[i + 2],
                  y: +crp[i + 3],
              }, {
                  x: +crp[i + 4],
                  y: +crp[i + 5],
              }];
          if (z) {
              if (!i) {
                  p[0] = {
                      x: +crp[iLen - 2],
                      y: +crp[iLen - 1],
                  };
              }
              else if (iLen - 4 === i) {
                  p[3] = {
                      x: +crp[0],
                      y: +crp[1],
                  };
              }
              else if (iLen - 2 === i) {
                  p[2] = {
                      x: +crp[0],
                      y: +crp[1],
                  };
                  p[3] = {
                      x: +crp[2],
                      y: +crp[3],
                  };
              }
          }
          else {
              if (iLen - 4 === i) {
                  p[3] = p[2];
              }
              else if (!i) {
                  p[0] = {
                      x: +crp[i],
                      y: +crp[i + 1],
                  };
              }
          }
          d.push(['C',
              (-p[0].x + 6 * p[1].x + p[2].x) / 6,
              (-p[0].y + 6 * p[1].y + p[2].y) / 6,
              (p[1].x + 6 * p[2].x - p[3].x) / 6,
              (p[1].y + 6 * p[2].y - p[3].y) / 6,
              p[2].x,
              p[2].y,
          ]);
      }
      return d;
  }

  var SPACES = '\x09\x0a\x0b\x0c\x0d\x20\xa0\u1680\u180e\u2000\u2001\u2002\u2003\u2004\u2005\u2006\u2007\u2008\u2009\u200a\u202f\u205f\u3000\u2028\u2029';
  var PATH_COMMAND = new RegExp('([a-z])[' + SPACES + ',]*((-?\\d*\\.?\\d*(?:e[\\-+]?\\d+)?[' + SPACES + ']*,?[' + SPACES + ']*)+)', 'ig');
  var PATH_VALUES = new RegExp('(-?\\d*\\.?\\d*(?:e[\\-+]?\\d+)?)[' + SPACES + ']*,?[' + SPACES + ']*', 'ig');
  // Parses given path string into an array of arrays of path segments
  function parsePathString(pathString) {
      if (!pathString) {
          return null;
      }
      if (isArray(pathString)) {
          return pathString;
      }
      var paramCounts = {
          a: 7,
          c: 6,
          o: 2,
          h: 1,
          l: 2,
          m: 2,
          r: 4,
          q: 4,
          s: 4,
          t: 2,
          v: 1,
          u: 3,
          z: 0,
      };
      var data = [];
      String(pathString).replace(PATH_COMMAND, function (a, b, c) {
          var params = [];
          var name = b.toLowerCase();
          c.replace(PATH_VALUES, function (a, b) {
              b && params.push(+b);
          });
          if (name === 'm' && params.length > 2) {
              data.push([b].concat(params.splice(0, 2)));
              name = 'l';
              b = b === 'm' ? 'l' : 'L';
          }
          if (name === 'o' && params.length === 1) {
              data.push([b, params[0]]);
          }
          if (name === 'r') {
              data.push([b].concat(params));
          }
          else {
              while (params.length >= paramCounts[name]) {
                  data.push([b].concat(params.splice(0, paramCounts[name])));
                  if (!paramCounts[name]) {
                      break;
                  }
              }
          }
          return '';
      });
      return data;
  }

  var REGEX_MD = /[a-z]/;
  function toSymmetry(p, c) {
      return [
          c[0] + (c[0] - p[0]),
          c[1] + (c[1] - p[1]),
      ];
  }
  function pathToAbsolute(pathString) {
      var pathArray = parsePathString(pathString);
      if (!pathArray || !pathArray.length) {
          return [
              ['M', 0, 0],
          ];
      }
      var needProcess = false; // 如果存在小写的命令或者 V,H,T,S 则需要处理
      for (var i = 0; i < pathArray.length; i++) {
          var cmd = pathArray[i][0];
          // 如果存在相对位置的命令，则中断返回
          if (REGEX_MD.test(cmd) || ['V', 'H', 'T', 'S'].indexOf(cmd) >= 0) {
              needProcess = true;
              break;
          }
      }
      // 如果不存在相对命令，则直接返回
      // 如果在业务上都写绝对路径，这种方式最快，仅做了一次检测
      if (!needProcess) {
          return pathArray;
      }
      var res = [];
      var x = 0;
      var y = 0;
      var mx = 0;
      var my = 0;
      var start = 0;
      var first = pathArray[0];
      if (first[0] === 'M' || first[0] === 'm') {
          x = +first[1];
          y = +first[2];
          mx = x;
          my = y;
          start++;
          res[0] = ['M', x, y];
      }
      for (var i = start, ii = pathArray.length; i < ii; i++) {
          var pa = pathArray[i];
          var preParams = res[i - 1]; // 取前一个已经处理后的节点，否则会出现问题
          var r = [];
          var cmd = pa[0];
          var upCmd = cmd.toUpperCase();
          if (cmd !== upCmd) {
              r[0] = upCmd;
              switch (upCmd) {
                  case 'A':
                      r[1] = pa[1];
                      r[2] = pa[2];
                      r[3] = pa[3];
                      r[4] = pa[4];
                      r[5] = pa[5];
                      r[6] = +pa[6] + x;
                      r[7] = +pa[7] + y;
                      break;
                  case 'V':
                      r[1] = +pa[1] + y;
                      break;
                  case 'H':
                      r[1] = +pa[1] + x;
                      break;
                  case 'M':
                      mx = +pa[1] + x;
                      my = +pa[2] + y;
                      break; // for lint
                  default:
                      for (var j = 1, jj = pa.length; j < jj; j++) {
                          r[j] = +pa[j] + ((j % 2) ? x : y);
                      }
              }
          }
          else { // 如果本来已经大写，则不处理
              r = pathArray[i];
          }
          // 需要在外面统一做，同时处理 V,H,S,T 等特殊指令
          switch (upCmd) {
              case 'Z':
                  x = +mx;
                  y = +my;
                  break;
              case 'H':
                  x = r[1];
                  r = ['L', x, y];
                  break;
              case 'V':
                  y = r[1];
                  r = ['L', x, y];
                  break;
              case 'T':
                  x = r[1];
                  y = r[2];
                  // 以 x, y 为中心的，上一个控制点的对称点
                  // 需要假设上一个节点的命令为 Q
                  var symetricT = toSymmetry([preParams[1], preParams[2]], [preParams[3], preParams[4]]);
                  r = ['Q', symetricT[0], symetricT[1], x, y];
                  break;
              case 'S':
                  x = r[r.length - 2];
                  y = r[r.length - 1];
                  // 以 x,y 为中心，取上一个控制点，
                  // 需要假设上一个线段为 C 或者 S
                  var length_1 = preParams.length;
                  var symetricS = toSymmetry([preParams[length_1 - 4], preParams[length_1 - 3]], [preParams[length_1 - 2], preParams[length_1 - 1]]);
                  r = ['C', symetricS[0], symetricS[1], r[1], r[2], x, y];
                  break;
              case 'M':
                  mx = r[r.length - 2];
                  my = r[r.length - 1];
                  break; // for lint
              default:
                  x = r[r.length - 2];
                  y = r[r.length - 1];
          }
          res.push(r);
      }
      return res;
  }

  // 向量长度
  function vMag(v) {
      return Math.sqrt(v[0] * v[0] + v[1] * v[1]);
  }
  // u.v/|u||v|，计算夹角的余弦值
  function vRatio(u, v) {
      // 当存在一个向量的长度为 0 时，夹角也为 0，即夹角的余弦值为 1
      return vMag(u) * vMag(v) ? (u[0] * v[0] + u[1] * v[1]) / (vMag(u) * vMag(v)) : 1;
  }
  // 向量角度
  function vAngle(u, v) {
      return (u[0] * v[1] < u[1] * v[0] ? -1 : 1) * Math.acos(vRatio(u, v));
  }
  /**
   * 判断两个点是否重合，点坐标的格式为 [x, y]
   * @param {Array} point1 第一个点
   * @param {Array} point2 第二个点
   */
  function isSamePoint(point1, point2) {
      return point1[0] === point2[0] && point1[1] === point2[1];
  }
  // A 0:rx 1:ry 2:x-axis-rotation 3:large-arc-flag 4:sweep-flag 5: x 6: y
  function getArcParams(startPoint, params) {
      var rx = params[1];
      var ry = params[2];
      var xRotation = mod(toRadian(params[3]), Math.PI * 2);
      var arcFlag = params[4];
      var sweepFlag = params[5];
      // 弧形起点坐标
      var x1 = startPoint[0];
      var y1 = startPoint[1];
      // 弧形终点坐标
      var x2 = params[6];
      var y2 = params[7];
      var xp = (Math.cos(xRotation) * (x1 - x2)) / 2.0 + (Math.sin(xRotation) * (y1 - y2)) / 2.0;
      var yp = (-1 * Math.sin(xRotation) * (x1 - x2)) / 2.0 + (Math.cos(xRotation) * (y1 - y2)) / 2.0;
      var lambda = (xp * xp) / (rx * rx) + (yp * yp) / (ry * ry);
      if (lambda > 1) {
          rx *= Math.sqrt(lambda);
          ry *= Math.sqrt(lambda);
      }
      var diff = rx * rx * (yp * yp) + ry * ry * (xp * xp);
      var f = diff ? Math.sqrt((rx * rx * (ry * ry) - diff) / diff) : 1;
      if (arcFlag === sweepFlag) {
          f *= -1;
      }
      if (isNaN(f)) {
          f = 0;
      }
      // 旋转前的起点坐标，且当长半轴和短半轴的长度为 0 时，坐标按 (0, 0) 处理
      var cxp = ry ? (f * rx * yp) / ry : 0;
      var cyp = rx ? (f * -ry * xp) / rx : 0;
      // 椭圆圆心坐标
      var cx = (x1 + x2) / 2.0 + Math.cos(xRotation) * cxp - Math.sin(xRotation) * cyp;
      var cy = (y1 + y2) / 2.0 + Math.sin(xRotation) * cxp + Math.cos(xRotation) * cyp;
      // 起始点的单位向量
      var u = [(xp - cxp) / rx, (yp - cyp) / ry];
      // 终止点的单位向量
      var v = [(-1 * xp - cxp) / rx, (-1 * yp - cyp) / ry];
      // 计算起始点和圆心的连线，与 x 轴正方向的夹角
      var theta = vAngle([1, 0], u);
      // 计算圆弧起始点和终止点与椭圆圆心连线的夹角
      var dTheta = vAngle(u, v);
      if (vRatio(u, v) <= -1) {
          dTheta = Math.PI;
      }
      if (vRatio(u, v) >= 1) {
          dTheta = 0;
      }
      if (sweepFlag === 0 && dTheta > 0) {
          dTheta = dTheta - 2 * Math.PI;
      }
      if (sweepFlag === 1 && dTheta < 0) {
          dTheta = dTheta + 2 * Math.PI;
      }
      return {
          cx: cx,
          cy: cy,
          // 弧形的起点和终点相同时，长轴和短轴的长度按 0 处理
          rx: isSamePoint(startPoint, [x2, y2]) ? 0 : rx,
          ry: isSamePoint(startPoint, [x2, y2]) ? 0 : ry,
          startAngle: theta,
          endAngle: theta + dTheta,
          xRotation: xRotation,
          arcFlag: arcFlag,
          sweepFlag: sweepFlag,
      };
  }

  // 点对称
  function toSymmetry$1(point, center) {
      return [center[0] + (center[0] - point[0]), center[1] + (center[1] - point[1])];
  }
  function getSegments(path) {
      path = parsePath(path);
      var segments = [];
      var currentPoint = null; // 当前图形
      var nextParams = null; // 下一节点的 path 参数
      var startMovePoint = null; // 开始 M 的点，可能会有多个
      var lastStartMovePointIndex = 0; // 最近一个开始点 M 的索引
      var count = path.length;
      for (var i = 0; i < count; i++) {
          var params = path[i];
          nextParams = path[i + 1];
          var command = params[0];
          // 数学定义上的参数，便于后面的计算
          var segment = {
              command: command,
              prePoint: currentPoint,
              params: params,
              startTangent: null,
              endTangent: null,
          };
          switch (command) {
              case 'M':
                  startMovePoint = [params[1], params[2]];
                  lastStartMovePointIndex = i;
                  break;
              case 'A':
                  var arcParams = getArcParams(currentPoint, params);
                  segment['arcParams'] = arcParams;
                  break;
          }
          if (command === 'Z') {
              // 有了 Z 后，当前节点从开始 M 的点开始
              currentPoint = startMovePoint;
              // 如果当前点的命令为 Z，相当于当前点为最近一个 M 点，则下一个点直接指向最近一个 M 点的下一个点
              nextParams = path[lastStartMovePointIndex + 1];
          }
          else {
              var len = params.length;
              currentPoint = [params[len - 2], params[len - 1]];
          }
          if (nextParams && nextParams[0] === 'Z') {
              // 如果下一个点的命令为 Z，则下一个点直接指向最近一个 M 点
              nextParams = path[lastStartMovePointIndex];
              if (segments[lastStartMovePointIndex]) {
                  // 如果下一个点的命令为 Z，则最近一个 M 点的前一个点为当前点
                  segments[lastStartMovePointIndex].prePoint = currentPoint;
              }
          }
          segment['currentPoint'] = currentPoint;
          // 如果当前点与最近一个 M 点相同，则最近一个 M 点的前一个点为当前点的前一个点
          if (segments[lastStartMovePointIndex] &&
              isSamePoint(currentPoint, segments[lastStartMovePointIndex].currentPoint)) {
              segments[lastStartMovePointIndex].prePoint = segment.prePoint;
          }
          var nextPoint = nextParams ? [nextParams[nextParams.length - 2], nextParams[nextParams.length - 1]] : null;
          segment['nextPoint'] = nextPoint;
          // Add startTangent and endTangent
          var prePoint = segment.prePoint;
          if (['L', 'H', 'V'].includes(command)) {
              segment.startTangent = [prePoint[0] - currentPoint[0], prePoint[1] - currentPoint[1]];
              segment.endTangent = [currentPoint[0] - prePoint[0], currentPoint[1] - prePoint[1]];
          }
          else if (command === 'Q') {
              // 二次贝塞尔曲线只有一个控制点
              var cp = [params[1], params[2]];
              // 二次贝塞尔曲线的终点为 currentPoint
              segment.startTangent = [prePoint[0] - cp[0], prePoint[1] - cp[1]];
              segment.endTangent = [currentPoint[0] - cp[0], currentPoint[1] - cp[1]];
          }
          else if (command === 'T') {
              var preSegment = segments[i - 1];
              var cp = toSymmetry$1(preSegment.currentPoint, prePoint);
              if (preSegment.command === 'Q') {
                  segment.command = 'Q';
                  segment.startTangent = [prePoint[0] - cp[0], prePoint[1] - cp[1]];
                  segment.endTangent = [currentPoint[0] - cp[0], currentPoint[1] - cp[1]];
              }
              else {
                  segment.command = 'TL';
                  segment.startTangent = [prePoint[0] - currentPoint[0], prePoint[1] - currentPoint[1]];
                  segment.endTangent = [currentPoint[0] - prePoint[0], currentPoint[1] - prePoint[1]];
              }
          }
          else if (command === 'C') {
              // 三次贝塞尔曲线有两个控制点
              var cp1 = [params[1], params[2]];
              var cp2 = [params[3], params[4]];
              segment.startTangent = [prePoint[0] - cp1[0], prePoint[1] - cp1[1]];
              segment.endTangent = [currentPoint[0] - cp2[0], currentPoint[1] - cp2[1]];
          }
          else if (command === 'S') {
              var preSegment = segments[i - 1];
              var cp1 = toSymmetry$1(preSegment.currentPoint, prePoint);
              var cp2 = [params[1], params[2]];
              if (preSegment.command === 'C') {
                  segment.command = 'C'; // 将 S 命令变换为 C 命令
                  segment.startTangent = [prePoint[0] - cp1[0], prePoint[1] - cp1[1]];
                  segment.endTangent = [currentPoint[0] - cp2[0], currentPoint[1] - cp2[1]];
              }
              else {
                  segment.command = 'SQ'; // 将 S 命令变换为 SQ 命令
                  segment.startTangent = [prePoint[0] - cp2[0], prePoint[1] - cp2[1]];
                  segment.endTangent = [currentPoint[0] - cp2[0], currentPoint[1] - cp2[1]];
              }
          }
          else if (command === 'A') {
              var d = 0.001;
              var _a = segment['arcParams'] || {}, _b = _a.cx, cx = _b === void 0 ? 0 : _b, _c = _a.cy, cy = _c === void 0 ? 0 : _c, _d = _a.rx, rx = _d === void 0 ? 0 : _d, _e = _a.ry, ry = _e === void 0 ? 0 : _e, _f = _a.sweepFlag, sweepFlag = _f === void 0 ? 0 : _f, _g = _a.startAngle, startAngle = _g === void 0 ? 0 : _g, _h = _a.endAngle, endAngle = _h === void 0 ? 0 : _h;
              if (sweepFlag === 0) {
                  d *= -1;
              }
              var dx1 = rx * Math.cos(startAngle - d) + cx;
              var dy1 = ry * Math.sin(startAngle - d) + cy;
              segment.startTangent = [dx1 - startMovePoint[0], dy1 - startMovePoint[1]];
              var dx2 = rx * Math.cos(startAngle + endAngle + d) + cx;
              var dy2 = ry * Math.sin(startAngle + endAngle - d) + cy;
              segment.endTangent = [prePoint[0] - dx2, prePoint[1] - dy2];
          }
          segments.push(segment);
      }
      return segments;
  }

  function define(constructor, factory, prototype) {
    constructor.prototype = factory.prototype = prototype;
    prototype.constructor = constructor;
  }

  function extend(parent, definition) {
    var prototype = Object.create(parent.prototype);
    for (var key in definition) prototype[key] = definition[key];
    return prototype;
  }

  function Color() {}

  var darker = 0.7;
  var brighter = 1 / darker;

  var reI = "\\s*([+-]?\\d+)\\s*",
      reN = "\\s*([+-]?\\d*\\.?\\d+(?:[eE][+-]?\\d+)?)\\s*",
      reP = "\\s*([+-]?\\d*\\.?\\d+(?:[eE][+-]?\\d+)?)%\\s*",
      reHex = /^#([0-9a-f]{3,8})$/,
      reRgbInteger = new RegExp("^rgb\\(" + [reI, reI, reI] + "\\)$"),
      reRgbPercent = new RegExp("^rgb\\(" + [reP, reP, reP] + "\\)$"),
      reRgbaInteger = new RegExp("^rgba\\(" + [reI, reI, reI, reN] + "\\)$"),
      reRgbaPercent = new RegExp("^rgba\\(" + [reP, reP, reP, reN] + "\\)$"),
      reHslPercent = new RegExp("^hsl\\(" + [reN, reP, reP] + "\\)$"),
      reHslaPercent = new RegExp("^hsla\\(" + [reN, reP, reP, reN] + "\\)$");

  var named$1 = {
    aliceblue: 0xf0f8ff,
    antiquewhite: 0xfaebd7,
    aqua: 0x00ffff,
    aquamarine: 0x7fffd4,
    azure: 0xf0ffff,
    beige: 0xf5f5dc,
    bisque: 0xffe4c4,
    black: 0x000000,
    blanchedalmond: 0xffebcd,
    blue: 0x0000ff,
    blueviolet: 0x8a2be2,
    brown: 0xa52a2a,
    burlywood: 0xdeb887,
    cadetblue: 0x5f9ea0,
    chartreuse: 0x7fff00,
    chocolate: 0xd2691e,
    coral: 0xff7f50,
    cornflowerblue: 0x6495ed,
    cornsilk: 0xfff8dc,
    crimson: 0xdc143c,
    cyan: 0x00ffff,
    darkblue: 0x00008b,
    darkcyan: 0x008b8b,
    darkgoldenrod: 0xb8860b,
    darkgray: 0xa9a9a9,
    darkgreen: 0x006400,
    darkgrey: 0xa9a9a9,
    darkkhaki: 0xbdb76b,
    darkmagenta: 0x8b008b,
    darkolivegreen: 0x556b2f,
    darkorange: 0xff8c00,
    darkorchid: 0x9932cc,
    darkred: 0x8b0000,
    darksalmon: 0xe9967a,
    darkseagreen: 0x8fbc8f,
    darkslateblue: 0x483d8b,
    darkslategray: 0x2f4f4f,
    darkslategrey: 0x2f4f4f,
    darkturquoise: 0x00ced1,
    darkviolet: 0x9400d3,
    deeppink: 0xff1493,
    deepskyblue: 0x00bfff,
    dimgray: 0x696969,
    dimgrey: 0x696969,
    dodgerblue: 0x1e90ff,
    firebrick: 0xb22222,
    floralwhite: 0xfffaf0,
    forestgreen: 0x228b22,
    fuchsia: 0xff00ff,
    gainsboro: 0xdcdcdc,
    ghostwhite: 0xf8f8ff,
    gold: 0xffd700,
    goldenrod: 0xdaa520,
    gray: 0x808080,
    green: 0x008000,
    greenyellow: 0xadff2f,
    grey: 0x808080,
    honeydew: 0xf0fff0,
    hotpink: 0xff69b4,
    indianred: 0xcd5c5c,
    indigo: 0x4b0082,
    ivory: 0xfffff0,
    khaki: 0xf0e68c,
    lavender: 0xe6e6fa,
    lavenderblush: 0xfff0f5,
    lawngreen: 0x7cfc00,
    lemonchiffon: 0xfffacd,
    lightblue: 0xadd8e6,
    lightcoral: 0xf08080,
    lightcyan: 0xe0ffff,
    lightgoldenrodyellow: 0xfafad2,
    lightgray: 0xd3d3d3,
    lightgreen: 0x90ee90,
    lightgrey: 0xd3d3d3,
    lightpink: 0xffb6c1,
    lightsalmon: 0xffa07a,
    lightseagreen: 0x20b2aa,
    lightskyblue: 0x87cefa,
    lightslategray: 0x778899,
    lightslategrey: 0x778899,
    lightsteelblue: 0xb0c4de,
    lightyellow: 0xffffe0,
    lime: 0x00ff00,
    limegreen: 0x32cd32,
    linen: 0xfaf0e6,
    magenta: 0xff00ff,
    maroon: 0x800000,
    mediumaquamarine: 0x66cdaa,
    mediumblue: 0x0000cd,
    mediumorchid: 0xba55d3,
    mediumpurple: 0x9370db,
    mediumseagreen: 0x3cb371,
    mediumslateblue: 0x7b68ee,
    mediumspringgreen: 0x00fa9a,
    mediumturquoise: 0x48d1cc,
    mediumvioletred: 0xc71585,
    midnightblue: 0x191970,
    mintcream: 0xf5fffa,
    mistyrose: 0xffe4e1,
    moccasin: 0xffe4b5,
    navajowhite: 0xffdead,
    navy: 0x000080,
    oldlace: 0xfdf5e6,
    olive: 0x808000,
    olivedrab: 0x6b8e23,
    orange: 0xffa500,
    orangered: 0xff4500,
    orchid: 0xda70d6,
    palegoldenrod: 0xeee8aa,
    palegreen: 0x98fb98,
    paleturquoise: 0xafeeee,
    palevioletred: 0xdb7093,
    papayawhip: 0xffefd5,
    peachpuff: 0xffdab9,
    peru: 0xcd853f,
    pink: 0xffc0cb,
    plum: 0xdda0dd,
    powderblue: 0xb0e0e6,
    purple: 0x800080,
    rebeccapurple: 0x663399,
    red: 0xff0000,
    rosybrown: 0xbc8f8f,
    royalblue: 0x4169e1,
    saddlebrown: 0x8b4513,
    salmon: 0xfa8072,
    sandybrown: 0xf4a460,
    seagreen: 0x2e8b57,
    seashell: 0xfff5ee,
    sienna: 0xa0522d,
    silver: 0xc0c0c0,
    skyblue: 0x87ceeb,
    slateblue: 0x6a5acd,
    slategray: 0x708090,
    slategrey: 0x708090,
    snow: 0xfffafa,
    springgreen: 0x00ff7f,
    steelblue: 0x4682b4,
    tan: 0xd2b48c,
    teal: 0x008080,
    thistle: 0xd8bfd8,
    tomato: 0xff6347,
    turquoise: 0x40e0d0,
    violet: 0xee82ee,
    wheat: 0xf5deb3,
    white: 0xffffff,
    whitesmoke: 0xf5f5f5,
    yellow: 0xffff00,
    yellowgreen: 0x9acd32
  };

  define(Color, color, {
    copy: function(channels) {
      return Object.assign(new this.constructor, this, channels);
    },
    displayable: function() {
      return this.rgb().displayable();
    },
    hex: color_formatHex, // Deprecated! Use color.formatHex.
    formatHex: color_formatHex,
    formatHsl: color_formatHsl,
    formatRgb: color_formatRgb,
    toString: color_formatRgb
  });

  function color_formatHex() {
    return this.rgb().formatHex();
  }

  function color_formatHsl() {
    return hslConvert(this).formatHsl();
  }

  function color_formatRgb() {
    return this.rgb().formatRgb();
  }

  function color(format) {
    var m, l;
    format = (format + "").trim().toLowerCase();
    return (m = reHex.exec(format)) ? (l = m[1].length, m = parseInt(m[1], 16), l === 6 ? rgbn(m) // #ff0000
        : l === 3 ? new Rgb((m >> 8 & 0xf) | (m >> 4 & 0xf0), (m >> 4 & 0xf) | (m & 0xf0), ((m & 0xf) << 4) | (m & 0xf), 1) // #f00
        : l === 8 ? rgba(m >> 24 & 0xff, m >> 16 & 0xff, m >> 8 & 0xff, (m & 0xff) / 0xff) // #ff000000
        : l === 4 ? rgba((m >> 12 & 0xf) | (m >> 8 & 0xf0), (m >> 8 & 0xf) | (m >> 4 & 0xf0), (m >> 4 & 0xf) | (m & 0xf0), (((m & 0xf) << 4) | (m & 0xf)) / 0xff) // #f000
        : null) // invalid hex
        : (m = reRgbInteger.exec(format)) ? new Rgb(m[1], m[2], m[3], 1) // rgb(255, 0, 0)
        : (m = reRgbPercent.exec(format)) ? new Rgb(m[1] * 255 / 100, m[2] * 255 / 100, m[3] * 255 / 100, 1) // rgb(100%, 0%, 0%)
        : (m = reRgbaInteger.exec(format)) ? rgba(m[1], m[2], m[3], m[4]) // rgba(255, 0, 0, 1)
        : (m = reRgbaPercent.exec(format)) ? rgba(m[1] * 255 / 100, m[2] * 255 / 100, m[3] * 255 / 100, m[4]) // rgb(100%, 0%, 0%, 1)
        : (m = reHslPercent.exec(format)) ? hsla(m[1], m[2] / 100, m[3] / 100, 1) // hsl(120, 50%, 50%)
        : (m = reHslaPercent.exec(format)) ? hsla(m[1], m[2] / 100, m[3] / 100, m[4]) // hsla(120, 50%, 50%, 1)
        : named$1.hasOwnProperty(format) ? rgbn(named$1[format]) // eslint-disable-line no-prototype-builtins
        : format === "transparent" ? new Rgb(NaN, NaN, NaN, 0)
        : null;
  }

  function rgbn(n) {
    return new Rgb(n >> 16 & 0xff, n >> 8 & 0xff, n & 0xff, 1);
  }

  function rgba(r, g, b, a) {
    if (a <= 0) r = g = b = NaN;
    return new Rgb(r, g, b, a);
  }

  function rgbConvert(o) {
    if (!(o instanceof Color)) o = color(o);
    if (!o) return new Rgb;
    o = o.rgb();
    return new Rgb(o.r, o.g, o.b, o.opacity);
  }

  function rgb(r, g, b, opacity) {
    return arguments.length === 1 ? rgbConvert(r) : new Rgb(r, g, b, opacity == null ? 1 : opacity);
  }

  function Rgb(r, g, b, opacity) {
    this.r = +r;
    this.g = +g;
    this.b = +b;
    this.opacity = +opacity;
  }

  define(Rgb, rgb, extend(Color, {
    brighter: function(k) {
      k = k == null ? brighter : Math.pow(brighter, k);
      return new Rgb(this.r * k, this.g * k, this.b * k, this.opacity);
    },
    darker: function(k) {
      k = k == null ? darker : Math.pow(darker, k);
      return new Rgb(this.r * k, this.g * k, this.b * k, this.opacity);
    },
    rgb: function() {
      return this;
    },
    displayable: function() {
      return (-0.5 <= this.r && this.r < 255.5)
          && (-0.5 <= this.g && this.g < 255.5)
          && (-0.5 <= this.b && this.b < 255.5)
          && (0 <= this.opacity && this.opacity <= 1);
    },
    hex: rgb_formatHex, // Deprecated! Use color.formatHex.
    formatHex: rgb_formatHex,
    formatRgb: rgb_formatRgb,
    toString: rgb_formatRgb
  }));

  function rgb_formatHex() {
    return "#" + hex(this.r) + hex(this.g) + hex(this.b);
  }

  function rgb_formatRgb() {
    var a = this.opacity; a = isNaN(a) ? 1 : Math.max(0, Math.min(1, a));
    return (a === 1 ? "rgb(" : "rgba(")
        + Math.max(0, Math.min(255, Math.round(this.r) || 0)) + ", "
        + Math.max(0, Math.min(255, Math.round(this.g) || 0)) + ", "
        + Math.max(0, Math.min(255, Math.round(this.b) || 0))
        + (a === 1 ? ")" : ", " + a + ")");
  }

  function hex(value) {
    value = Math.max(0, Math.min(255, Math.round(value) || 0));
    return (value < 16 ? "0" : "") + value.toString(16);
  }

  function hsla(h, s, l, a) {
    if (a <= 0) h = s = l = NaN;
    else if (l <= 0 || l >= 1) h = s = NaN;
    else if (s <= 0) h = NaN;
    return new Hsl(h, s, l, a);
  }

  function hslConvert(o) {
    if (o instanceof Hsl) return new Hsl(o.h, o.s, o.l, o.opacity);
    if (!(o instanceof Color)) o = color(o);
    if (!o) return new Hsl;
    if (o instanceof Hsl) return o;
    o = o.rgb();
    var r = o.r / 255,
        g = o.g / 255,
        b = o.b / 255,
        min = Math.min(r, g, b),
        max = Math.max(r, g, b),
        h = NaN,
        s = max - min,
        l = (max + min) / 2;
    if (s) {
      if (r === max) h = (g - b) / s + (g < b) * 6;
      else if (g === max) h = (b - r) / s + 2;
      else h = (r - g) / s + 4;
      s /= l < 0.5 ? max + min : 2 - max - min;
      h *= 60;
    } else {
      s = l > 0 && l < 1 ? 0 : h;
    }
    return new Hsl(h, s, l, o.opacity);
  }

  function hsl(h, s, l, opacity) {
    return arguments.length === 1 ? hslConvert(h) : new Hsl(h, s, l, opacity == null ? 1 : opacity);
  }

  function Hsl(h, s, l, opacity) {
    this.h = +h;
    this.s = +s;
    this.l = +l;
    this.opacity = +opacity;
  }

  define(Hsl, hsl, extend(Color, {
    brighter: function(k) {
      k = k == null ? brighter : Math.pow(brighter, k);
      return new Hsl(this.h, this.s, this.l * k, this.opacity);
    },
    darker: function(k) {
      k = k == null ? darker : Math.pow(darker, k);
      return new Hsl(this.h, this.s, this.l * k, this.opacity);
    },
    rgb: function() {
      var h = this.h % 360 + (this.h < 0) * 360,
          s = isNaN(h) || isNaN(this.s) ? 0 : this.s,
          l = this.l,
          m2 = l + (l < 0.5 ? l : 1 - l) * s,
          m1 = 2 * l - m2;
      return new Rgb(
        hsl2rgb(h >= 240 ? h - 240 : h + 120, m1, m2),
        hsl2rgb(h, m1, m2),
        hsl2rgb(h < 120 ? h + 240 : h - 120, m1, m2),
        this.opacity
      );
    },
    displayable: function() {
      return (0 <= this.s && this.s <= 1 || isNaN(this.s))
          && (0 <= this.l && this.l <= 1)
          && (0 <= this.opacity && this.opacity <= 1);
    },
    formatHsl: function() {
      var a = this.opacity; a = isNaN(a) ? 1 : Math.max(0, Math.min(1, a));
      return (a === 1 ? "hsl(" : "hsla(")
          + (this.h || 0) + ", "
          + (this.s || 0) * 100 + "%, "
          + (this.l || 0) * 100 + "%"
          + (a === 1 ? ")" : ", " + a + ")");
    }
  }));

  /* From FvD 13.37, CSS Color Module Level 3 */
  function hsl2rgb(h, m1, m2) {
    return (h < 60 ? m1 + (m2 - m1) * h / 60
        : h < 180 ? m2
        : h < 240 ? m1 + (m2 - m1) * (240 - h) / 60
        : m1) * 255;
  }

  const deprecateContext = util__default['default'].deprecate(() => {},
  "Hook.context is deprecated and will be removed");

  const CALL_DELEGATE = function(...args) {
  	this.call = this._createCall("sync");
  	return this.call(...args);
  };
  const CALL_ASYNC_DELEGATE = function(...args) {
  	this.callAsync = this._createCall("async");
  	return this.callAsync(...args);
  };
  const PROMISE_DELEGATE = function(...args) {
  	this.promise = this._createCall("promise");
  	return this.promise(...args);
  };

  class Hook {
  	constructor(args = [], name = undefined) {
  		this._args = args;
  		this.name = name;
  		this.taps = [];
  		this.interceptors = [];
  		this._call = CALL_DELEGATE;
  		this.call = CALL_DELEGATE;
  		this._callAsync = CALL_ASYNC_DELEGATE;
  		this.callAsync = CALL_ASYNC_DELEGATE;
  		this._promise = PROMISE_DELEGATE;
  		this.promise = PROMISE_DELEGATE;
  		this._x = undefined;

  		this.compile = this.compile;
  		this.tap = this.tap;
  		this.tapAsync = this.tapAsync;
  		this.tapPromise = this.tapPromise;
  	}

  	compile(options) {
  		throw new Error("Abstract: should be overridden");
  	}

  	_createCall(type) {
  		return this.compile({
  			taps: this.taps,
  			interceptors: this.interceptors,
  			args: this._args,
  			type: type
  		});
  	}

  	_tap(type, options, fn) {
  		if (typeof options === "string") {
  			options = {
  				name: options.trim()
  			};
  		} else if (typeof options !== "object" || options === null) {
  			throw new Error("Invalid tap options");
  		}
  		if (typeof options.name !== "string" || options.name === "") {
  			throw new Error("Missing name for tap");
  		}
  		if (typeof options.context !== "undefined") {
  			deprecateContext();
  		}
  		options = Object.assign({ type, fn }, options);
  		options = this._runRegisterInterceptors(options);
  		this._insert(options);
  	}

  	tap(options, fn) {
  		this._tap("sync", options, fn);
  	}

  	tapAsync(options, fn) {
  		this._tap("async", options, fn);
  	}

  	tapPromise(options, fn) {
  		this._tap("promise", options, fn);
  	}

  	_runRegisterInterceptors(options) {
  		for (const interceptor of this.interceptors) {
  			if (interceptor.register) {
  				const newOptions = interceptor.register(options);
  				if (newOptions !== undefined) {
  					options = newOptions;
  				}
  			}
  		}
  		return options;
  	}

  	withOptions(options) {
  		const mergeOptions = opt =>
  			Object.assign({}, options, typeof opt === "string" ? { name: opt } : opt);

  		return {
  			name: this.name,
  			tap: (opt, fn) => this.tap(mergeOptions(opt), fn),
  			tapAsync: (opt, fn) => this.tapAsync(mergeOptions(opt), fn),
  			tapPromise: (opt, fn) => this.tapPromise(mergeOptions(opt), fn),
  			intercept: interceptor => this.intercept(interceptor),
  			isUsed: () => this.isUsed(),
  			withOptions: opt => this.withOptions(mergeOptions(opt))
  		};
  	}

  	isUsed() {
  		return this.taps.length > 0 || this.interceptors.length > 0;
  	}

  	intercept(interceptor) {
  		this._resetCompilation();
  		this.interceptors.push(Object.assign({}, interceptor));
  		if (interceptor.register) {
  			for (let i = 0; i < this.taps.length; i++) {
  				this.taps[i] = interceptor.register(this.taps[i]);
  			}
  		}
  	}

  	_resetCompilation() {
  		this.call = this._call;
  		this.callAsync = this._callAsync;
  		this.promise = this._promise;
  	}

  	_insert(item) {
  		this._resetCompilation();
  		let before;
  		if (typeof item.before === "string") {
  			before = new Set([item.before]);
  		} else if (Array.isArray(item.before)) {
  			before = new Set(item.before);
  		}
  		let stage = 0;
  		if (typeof item.stage === "number") {
  			stage = item.stage;
  		}
  		let i = this.taps.length;
  		while (i > 0) {
  			i--;
  			const x = this.taps[i];
  			this.taps[i + 1] = x;
  			const xStage = x.stage || 0;
  			if (before) {
  				if (before.has(x.name)) {
  					before.delete(x.name);
  					continue;
  				}
  				if (before.size > 0) {
  					continue;
  				}
  			}
  			if (xStage > stage) {
  				continue;
  			}
  			i++;
  			break;
  		}
  		this.taps[i] = item;
  	}
  }

  Object.setPrototypeOf(Hook.prototype, null);

  var Hook_1 = Hook;

  /*
  	MIT License http://www.opensource.org/licenses/mit-license.php
  	Author Tobias Koppers @sokra
  */

  class HookCodeFactory {
  	constructor(config) {
  		this.config = config;
  		this.options = undefined;
  		this._args = undefined;
  	}

  	create(options) {
  		this.init(options);
  		let fn;
  		switch (this.options.type) {
  			case "sync":
  				fn = new Function(
  					this.args(),
  					'"use strict";\n' +
  						this.header() +
  						this.contentWithInterceptors({
  							onError: err => `throw ${err};\n`,
  							onResult: result => `return ${result};\n`,
  							resultReturns: true,
  							onDone: () => "",
  							rethrowIfPossible: true
  						})
  				);
  				break;
  			case "async":
  				fn = new Function(
  					this.args({
  						after: "_callback"
  					}),
  					'"use strict";\n' +
  						this.header() +
  						this.contentWithInterceptors({
  							onError: err => `_callback(${err});\n`,
  							onResult: result => `_callback(null, ${result});\n`,
  							onDone: () => "_callback();\n"
  						})
  				);
  				break;
  			case "promise":
  				let errorHelperUsed = false;
  				const content = this.contentWithInterceptors({
  					onError: err => {
  						errorHelperUsed = true;
  						return `_error(${err});\n`;
  					},
  					onResult: result => `_resolve(${result});\n`,
  					onDone: () => "_resolve();\n"
  				});
  				let code = "";
  				code += '"use strict";\n';
  				code += this.header();
  				code += "return new Promise((function(_resolve, _reject) {\n";
  				if (errorHelperUsed) {
  					code += "var _sync = true;\n";
  					code += "function _error(_err) {\n";
  					code += "if(_sync)\n";
  					code +=
  						"_resolve(Promise.resolve().then((function() { throw _err; })));\n";
  					code += "else\n";
  					code += "_reject(_err);\n";
  					code += "};\n";
  				}
  				code += content;
  				if (errorHelperUsed) {
  					code += "_sync = false;\n";
  				}
  				code += "}));\n";
  				fn = new Function(this.args(), code);
  				break;
  		}
  		this.deinit();
  		return fn;
  	}

  	setup(instance, options) {
  		instance._x = options.taps.map(t => t.fn);
  	}

  	/**
  	 * @param {{ type: "sync" | "promise" | "async", taps: Array<Tap>, interceptors: Array<Interceptor> }} options
  	 */
  	init(options) {
  		this.options = options;
  		this._args = options.args.slice();
  	}

  	deinit() {
  		this.options = undefined;
  		this._args = undefined;
  	}

  	contentWithInterceptors(options) {
  		if (this.options.interceptors.length > 0) {
  			const onError = options.onError;
  			const onResult = options.onResult;
  			const onDone = options.onDone;
  			let code = "";
  			for (let i = 0; i < this.options.interceptors.length; i++) {
  				const interceptor = this.options.interceptors[i];
  				if (interceptor.call) {
  					code += `${this.getInterceptor(i)}.call(${this.args({
						before: interceptor.context ? "_context" : undefined
					})});\n`;
  				}
  			}
  			code += this.content(
  				Object.assign(options, {
  					onError:
  						onError &&
  						(err => {
  							let code = "";
  							for (let i = 0; i < this.options.interceptors.length; i++) {
  								const interceptor = this.options.interceptors[i];
  								if (interceptor.error) {
  									code += `${this.getInterceptor(i)}.error(${err});\n`;
  								}
  							}
  							code += onError(err);
  							return code;
  						}),
  					onResult:
  						onResult &&
  						(result => {
  							let code = "";
  							for (let i = 0; i < this.options.interceptors.length; i++) {
  								const interceptor = this.options.interceptors[i];
  								if (interceptor.result) {
  									code += `${this.getInterceptor(i)}.result(${result});\n`;
  								}
  							}
  							code += onResult(result);
  							return code;
  						}),
  					onDone:
  						onDone &&
  						(() => {
  							let code = "";
  							for (let i = 0; i < this.options.interceptors.length; i++) {
  								const interceptor = this.options.interceptors[i];
  								if (interceptor.done) {
  									code += `${this.getInterceptor(i)}.done();\n`;
  								}
  							}
  							code += onDone();
  							return code;
  						})
  				})
  			);
  			return code;
  		} else {
  			return this.content(options);
  		}
  	}

  	header() {
  		let code = "";
  		if (this.needContext()) {
  			code += "var _context = {};\n";
  		} else {
  			code += "var _context;\n";
  		}
  		code += "var _x = this._x;\n";
  		if (this.options.interceptors.length > 0) {
  			code += "var _taps = this.taps;\n";
  			code += "var _interceptors = this.interceptors;\n";
  		}
  		return code;
  	}

  	needContext() {
  		for (const tap of this.options.taps) if (tap.context) return true;
  		return false;
  	}

  	callTap(tapIndex, { onError, onResult, onDone, rethrowIfPossible }) {
  		let code = "";
  		let hasTapCached = false;
  		for (let i = 0; i < this.options.interceptors.length; i++) {
  			const interceptor = this.options.interceptors[i];
  			if (interceptor.tap) {
  				if (!hasTapCached) {
  					code += `var _tap${tapIndex} = ${this.getTap(tapIndex)};\n`;
  					hasTapCached = true;
  				}
  				code += `${this.getInterceptor(i)}.tap(${
					interceptor.context ? "_context, " : ""
				}_tap${tapIndex});\n`;
  			}
  		}
  		code += `var _fn${tapIndex} = ${this.getTapFn(tapIndex)};\n`;
  		const tap = this.options.taps[tapIndex];
  		switch (tap.type) {
  			case "sync":
  				if (!rethrowIfPossible) {
  					code += `var _hasError${tapIndex} = false;\n`;
  					code += "try {\n";
  				}
  				if (onResult) {
  					code += `var _result${tapIndex} = _fn${tapIndex}(${this.args({
						before: tap.context ? "_context" : undefined
					})});\n`;
  				} else {
  					code += `_fn${tapIndex}(${this.args({
						before: tap.context ? "_context" : undefined
					})});\n`;
  				}
  				if (!rethrowIfPossible) {
  					code += "} catch(_err) {\n";
  					code += `_hasError${tapIndex} = true;\n`;
  					code += onError("_err");
  					code += "}\n";
  					code += `if(!_hasError${tapIndex}) {\n`;
  				}
  				if (onResult) {
  					code += onResult(`_result${tapIndex}`);
  				}
  				if (onDone) {
  					code += onDone();
  				}
  				if (!rethrowIfPossible) {
  					code += "}\n";
  				}
  				break;
  			case "async":
  				let cbCode = "";
  				if (onResult)
  					cbCode += `(function(_err${tapIndex}, _result${tapIndex}) {\n`;
  				else cbCode += `(function(_err${tapIndex}) {\n`;
  				cbCode += `if(_err${tapIndex}) {\n`;
  				cbCode += onError(`_err${tapIndex}`);
  				cbCode += "} else {\n";
  				if (onResult) {
  					cbCode += onResult(`_result${tapIndex}`);
  				}
  				if (onDone) {
  					cbCode += onDone();
  				}
  				cbCode += "}\n";
  				cbCode += "})";
  				code += `_fn${tapIndex}(${this.args({
					before: tap.context ? "_context" : undefined,
					after: cbCode
				})});\n`;
  				break;
  			case "promise":
  				code += `var _hasResult${tapIndex} = false;\n`;
  				code += `var _promise${tapIndex} = _fn${tapIndex}(${this.args({
					before: tap.context ? "_context" : undefined
				})});\n`;
  				code += `if (!_promise${tapIndex} || !_promise${tapIndex}.then)\n`;
  				code += `  throw new Error('Tap function (tapPromise) did not return promise (returned ' + _promise${tapIndex} + ')');\n`;
  				code += `_promise${tapIndex}.then((function(_result${tapIndex}) {\n`;
  				code += `_hasResult${tapIndex} = true;\n`;
  				if (onResult) {
  					code += onResult(`_result${tapIndex}`);
  				}
  				if (onDone) {
  					code += onDone();
  				}
  				code += `}), function(_err${tapIndex}) {\n`;
  				code += `if(_hasResult${tapIndex}) throw _err${tapIndex};\n`;
  				code += onError(`_err${tapIndex}`);
  				code += "});\n";
  				break;
  		}
  		return code;
  	}

  	callTapsSeries({
  		onError,
  		onResult,
  		resultReturns,
  		onDone,
  		doneReturns,
  		rethrowIfPossible
  	}) {
  		if (this.options.taps.length === 0) return onDone();
  		const firstAsync = this.options.taps.findIndex(t => t.type !== "sync");
  		const somethingReturns = resultReturns || doneReturns;
  		let code = "";
  		let current = onDone;
  		let unrollCounter = 0;
  		for (let j = this.options.taps.length - 1; j >= 0; j--) {
  			const i = j;
  			const unroll =
  				current !== onDone &&
  				(this.options.taps[i].type !== "sync" || unrollCounter++ > 20);
  			if (unroll) {
  				unrollCounter = 0;
  				code += `function _next${i}() {\n`;
  				code += current();
  				code += `}\n`;
  				current = () => `${somethingReturns ? "return " : ""}_next${i}();\n`;
  			}
  			const done = current;
  			const doneBreak = skipDone => {
  				if (skipDone) return "";
  				return onDone();
  			};
  			const content = this.callTap(i, {
  				onError: error => onError(i, error, done, doneBreak),
  				onResult:
  					onResult &&
  					(result => {
  						return onResult(i, result, done, doneBreak);
  					}),
  				onDone: !onResult && done,
  				rethrowIfPossible:
  					rethrowIfPossible && (firstAsync < 0 || i < firstAsync)
  			});
  			current = () => content;
  		}
  		code += current();
  		return code;
  	}

  	callTapsLooping({ onError, onDone, rethrowIfPossible }) {
  		if (this.options.taps.length === 0) return onDone();
  		const syncOnly = this.options.taps.every(t => t.type === "sync");
  		let code = "";
  		if (!syncOnly) {
  			code += "var _looper = (function() {\n";
  			code += "var _loopAsync = false;\n";
  		}
  		code += "var _loop;\n";
  		code += "do {\n";
  		code += "_loop = false;\n";
  		for (let i = 0; i < this.options.interceptors.length; i++) {
  			const interceptor = this.options.interceptors[i];
  			if (interceptor.loop) {
  				code += `${this.getInterceptor(i)}.loop(${this.args({
					before: interceptor.context ? "_context" : undefined
				})});\n`;
  			}
  		}
  		code += this.callTapsSeries({
  			onError,
  			onResult: (i, result, next, doneBreak) => {
  				let code = "";
  				code += `if(${result} !== undefined) {\n`;
  				code += "_loop = true;\n";
  				if (!syncOnly) code += "if(_loopAsync) _looper();\n";
  				code += doneBreak(true);
  				code += `} else {\n`;
  				code += next();
  				code += `}\n`;
  				return code;
  			},
  			onDone:
  				onDone &&
  				(() => {
  					let code = "";
  					code += "if(!_loop) {\n";
  					code += onDone();
  					code += "}\n";
  					return code;
  				}),
  			rethrowIfPossible: rethrowIfPossible && syncOnly
  		});
  		code += "} while(_loop);\n";
  		if (!syncOnly) {
  			code += "_loopAsync = true;\n";
  			code += "});\n";
  			code += "_looper();\n";
  		}
  		return code;
  	}

  	callTapsParallel({
  		onError,
  		onResult,
  		onDone,
  		rethrowIfPossible,
  		onTap = (i, run) => run()
  	}) {
  		if (this.options.taps.length <= 1) {
  			return this.callTapsSeries({
  				onError,
  				onResult,
  				onDone,
  				rethrowIfPossible
  			});
  		}
  		let code = "";
  		code += "do {\n";
  		code += `var _counter = ${this.options.taps.length};\n`;
  		if (onDone) {
  			code += "var _done = (function() {\n";
  			code += onDone();
  			code += "});\n";
  		}
  		for (let i = 0; i < this.options.taps.length; i++) {
  			const done = () => {
  				if (onDone) return "if(--_counter === 0) _done();\n";
  				else return "--_counter;";
  			};
  			const doneBreak = skipDone => {
  				if (skipDone || !onDone) return "_counter = 0;\n";
  				else return "_counter = 0;\n_done();\n";
  			};
  			code += "if(_counter <= 0) break;\n";
  			code += onTap(
  				i,
  				() =>
  					this.callTap(i, {
  						onError: error => {
  							let code = "";
  							code += "if(_counter > 0) {\n";
  							code += onError(i, error, done, doneBreak);
  							code += "}\n";
  							return code;
  						},
  						onResult:
  							onResult &&
  							(result => {
  								let code = "";
  								code += "if(_counter > 0) {\n";
  								code += onResult(i, result, done, doneBreak);
  								code += "}\n";
  								return code;
  							}),
  						onDone:
  							!onResult &&
  							(() => {
  								return done();
  							}),
  						rethrowIfPossible
  					}),
  				done,
  				doneBreak
  			);
  		}
  		code += "} while(false);\n";
  		return code;
  	}

  	args({ before, after } = {}) {
  		let allArgs = this._args;
  		if (before) allArgs = [before].concat(allArgs);
  		if (after) allArgs = allArgs.concat(after);
  		if (allArgs.length === 0) {
  			return "";
  		} else {
  			return allArgs.join(", ");
  		}
  	}

  	getTapFn(idx) {
  		return `_x[${idx}]`;
  	}

  	getTap(idx) {
  		return `_taps[${idx}]`;
  	}

  	getInterceptor(idx) {
  		return `_interceptors[${idx}]`;
  	}
  }

  var HookCodeFactory_1 = HookCodeFactory;

  class SyncHookCodeFactory extends HookCodeFactory_1 {
  	content({ onError, onDone, rethrowIfPossible }) {
  		return this.callTapsSeries({
  			onError: (i, err) => onError(err),
  			onDone,
  			rethrowIfPossible
  		});
  	}
  }

  const factory = new SyncHookCodeFactory();

  const TAP_ASYNC = () => {
  	throw new Error("tapAsync is not supported on a SyncHook");
  };

  const TAP_PROMISE = () => {
  	throw new Error("tapPromise is not supported on a SyncHook");
  };

  const COMPILE = function(options) {
  	factory.setup(this, options);
  	return factory.create(options);
  };

  function SyncHook(args = [], name = undefined) {
  	const hook = new Hook_1(args, name);
  	hook.constructor = SyncHook;
  	hook.tapAsync = TAP_ASYNC;
  	hook.tapPromise = TAP_PROMISE;
  	hook.compile = COMPILE;
  	return hook;
  }

  SyncHook.prototype = null;

  var SyncHook_1 = SyncHook;

  class SyncBailHookCodeFactory extends HookCodeFactory_1 {
  	content({ onError, onResult, resultReturns, onDone, rethrowIfPossible }) {
  		return this.callTapsSeries({
  			onError: (i, err) => onError(err),
  			onResult: (i, result, next) =>
  				`if(${result} !== undefined) {\n${onResult(
					result
				)};\n} else {\n${next()}}\n`,
  			resultReturns,
  			onDone,
  			rethrowIfPossible
  		});
  	}
  }

  const factory$1 = new SyncBailHookCodeFactory();

  const TAP_ASYNC$1 = () => {
  	throw new Error("tapAsync is not supported on a SyncBailHook");
  };

  const TAP_PROMISE$1 = () => {
  	throw new Error("tapPromise is not supported on a SyncBailHook");
  };

  const COMPILE$1 = function(options) {
  	factory$1.setup(this, options);
  	return factory$1.create(options);
  };

  function SyncBailHook(args = [], name = undefined) {
  	const hook = new Hook_1(args, name);
  	hook.constructor = SyncBailHook;
  	hook.tapAsync = TAP_ASYNC$1;
  	hook.tapPromise = TAP_PROMISE$1;
  	hook.compile = COMPILE$1;
  	return hook;
  }

  SyncBailHook.prototype = null;

  var SyncBailHook_1 = SyncBailHook;

  class SyncWaterfallHookCodeFactory extends HookCodeFactory_1 {
  	content({ onError, onResult, resultReturns, rethrowIfPossible }) {
  		return this.callTapsSeries({
  			onError: (i, err) => onError(err),
  			onResult: (i, result, next) => {
  				let code = "";
  				code += `if(${result} !== undefined) {\n`;
  				code += `${this._args[0]} = ${result};\n`;
  				code += `}\n`;
  				code += next();
  				return code;
  			},
  			onDone: () => onResult(this._args[0]),
  			doneReturns: resultReturns,
  			rethrowIfPossible
  		});
  	}
  }

  const factory$2 = new SyncWaterfallHookCodeFactory();

  const TAP_ASYNC$2 = () => {
  	throw new Error("tapAsync is not supported on a SyncWaterfallHook");
  };

  const TAP_PROMISE$2 = () => {
  	throw new Error("tapPromise is not supported on a SyncWaterfallHook");
  };

  const COMPILE$2 = function(options) {
  	factory$2.setup(this, options);
  	return factory$2.create(options);
  };

  function SyncWaterfallHook(args = [], name = undefined) {
  	if (args.length < 1)
  		throw new Error("Waterfall hooks must have at least one argument");
  	const hook = new Hook_1(args, name);
  	hook.constructor = SyncWaterfallHook;
  	hook.tapAsync = TAP_ASYNC$2;
  	hook.tapPromise = TAP_PROMISE$2;
  	hook.compile = COMPILE$2;
  	return hook;
  }

  SyncWaterfallHook.prototype = null;

  var SyncWaterfallHook_1 = SyncWaterfallHook;

  class SyncLoopHookCodeFactory extends HookCodeFactory_1 {
  	content({ onError, onDone, rethrowIfPossible }) {
  		return this.callTapsLooping({
  			onError: (i, err) => onError(err),
  			onDone,
  			rethrowIfPossible
  		});
  	}
  }

  const factory$3 = new SyncLoopHookCodeFactory();

  const TAP_ASYNC$3 = () => {
  	throw new Error("tapAsync is not supported on a SyncLoopHook");
  };

  const TAP_PROMISE$3 = () => {
  	throw new Error("tapPromise is not supported on a SyncLoopHook");
  };

  const COMPILE$3 = function(options) {
  	factory$3.setup(this, options);
  	return factory$3.create(options);
  };

  function SyncLoopHook(args = [], name = undefined) {
  	const hook = new Hook_1(args, name);
  	hook.constructor = SyncLoopHook;
  	hook.tapAsync = TAP_ASYNC$3;
  	hook.tapPromise = TAP_PROMISE$3;
  	hook.compile = COMPILE$3;
  	return hook;
  }

  SyncLoopHook.prototype = null;

  var SyncLoopHook_1 = SyncLoopHook;

  class AsyncParallelHookCodeFactory extends HookCodeFactory_1 {
  	content({ onError, onDone }) {
  		return this.callTapsParallel({
  			onError: (i, err, done, doneBreak) => onError(err) + doneBreak(true),
  			onDone
  		});
  	}
  }

  const factory$4 = new AsyncParallelHookCodeFactory();

  const COMPILE$4 = function(options) {
  	factory$4.setup(this, options);
  	return factory$4.create(options);
  };

  function AsyncParallelHook(args = [], name = undefined) {
  	const hook = new Hook_1(args, name);
  	hook.constructor = AsyncParallelHook;
  	hook.compile = COMPILE$4;
  	hook._call = undefined;
  	hook.call = undefined;
  	return hook;
  }

  AsyncParallelHook.prototype = null;

  var AsyncParallelHook_1 = AsyncParallelHook;

  class AsyncParallelBailHookCodeFactory extends HookCodeFactory_1 {
  	content({ onError, onResult, onDone }) {
  		let code = "";
  		code += `var _results = new Array(${this.options.taps.length});\n`;
  		code += "var _checkDone = function() {\n";
  		code += "for(var i = 0; i < _results.length; i++) {\n";
  		code += "var item = _results[i];\n";
  		code += "if(item === undefined) return false;\n";
  		code += "if(item.result !== undefined) {\n";
  		code += onResult("item.result");
  		code += "return true;\n";
  		code += "}\n";
  		code += "if(item.error) {\n";
  		code += onError("item.error");
  		code += "return true;\n";
  		code += "}\n";
  		code += "}\n";
  		code += "return false;\n";
  		code += "}\n";
  		code += this.callTapsParallel({
  			onError: (i, err, done, doneBreak) => {
  				let code = "";
  				code += `if(${i} < _results.length && ((_results.length = ${i +
					1}), (_results[${i}] = { error: ${err} }), _checkDone())) {\n`;
  				code += doneBreak(true);
  				code += "} else {\n";
  				code += done();
  				code += "}\n";
  				return code;
  			},
  			onResult: (i, result, done, doneBreak) => {
  				let code = "";
  				code += `if(${i} < _results.length && (${result} !== undefined && (_results.length = ${i +
					1}), (_results[${i}] = { result: ${result} }), _checkDone())) {\n`;
  				code += doneBreak(true);
  				code += "} else {\n";
  				code += done();
  				code += "}\n";
  				return code;
  			},
  			onTap: (i, run, done, doneBreak) => {
  				let code = "";
  				if (i > 0) {
  					code += `if(${i} >= _results.length) {\n`;
  					code += done();
  					code += "} else {\n";
  				}
  				code += run();
  				if (i > 0) code += "}\n";
  				return code;
  			},
  			onDone
  		});
  		return code;
  	}
  }

  const factory$5 = new AsyncParallelBailHookCodeFactory();

  const COMPILE$5 = function(options) {
  	factory$5.setup(this, options);
  	return factory$5.create(options);
  };

  function AsyncParallelBailHook(args = [], name = undefined) {
  	const hook = new Hook_1(args, name);
  	hook.constructor = AsyncParallelBailHook;
  	hook.compile = COMPILE$5;
  	hook._call = undefined;
  	hook.call = undefined;
  	return hook;
  }

  AsyncParallelBailHook.prototype = null;

  var AsyncParallelBailHook_1 = AsyncParallelBailHook;

  class AsyncSeriesHookCodeFactory extends HookCodeFactory_1 {
  	content({ onError, onDone }) {
  		return this.callTapsSeries({
  			onError: (i, err, next, doneBreak) => onError(err) + doneBreak(true),
  			onDone
  		});
  	}
  }

  const factory$6 = new AsyncSeriesHookCodeFactory();

  const COMPILE$6 = function(options) {
  	factory$6.setup(this, options);
  	return factory$6.create(options);
  };

  function AsyncSeriesHook(args = [], name = undefined) {
  	const hook = new Hook_1(args, name);
  	hook.constructor = AsyncSeriesHook;
  	hook.compile = COMPILE$6;
  	hook._call = undefined;
  	hook.call = undefined;
  	return hook;
  }

  AsyncSeriesHook.prototype = null;

  var AsyncSeriesHook_1 = AsyncSeriesHook;

  class AsyncSeriesBailHookCodeFactory extends HookCodeFactory_1 {
  	content({ onError, onResult, resultReturns, onDone }) {
  		return this.callTapsSeries({
  			onError: (i, err, next, doneBreak) => onError(err) + doneBreak(true),
  			onResult: (i, result, next) =>
  				`if(${result} !== undefined) {\n${onResult(
					result
				)}\n} else {\n${next()}}\n`,
  			resultReturns,
  			onDone
  		});
  	}
  }

  const factory$7 = new AsyncSeriesBailHookCodeFactory();

  const COMPILE$7 = function(options) {
  	factory$7.setup(this, options);
  	return factory$7.create(options);
  };

  function AsyncSeriesBailHook(args = [], name = undefined) {
  	const hook = new Hook_1(args, name);
  	hook.constructor = AsyncSeriesBailHook;
  	hook.compile = COMPILE$7;
  	hook._call = undefined;
  	hook.call = undefined;
  	return hook;
  }

  AsyncSeriesBailHook.prototype = null;

  var AsyncSeriesBailHook_1 = AsyncSeriesBailHook;

  class AsyncSeriesLoopHookCodeFactory extends HookCodeFactory_1 {
  	content({ onError, onDone }) {
  		return this.callTapsLooping({
  			onError: (i, err, next, doneBreak) => onError(err) + doneBreak(true),
  			onDone
  		});
  	}
  }

  const factory$8 = new AsyncSeriesLoopHookCodeFactory();

  const COMPILE$8 = function(options) {
  	factory$8.setup(this, options);
  	return factory$8.create(options);
  };

  function AsyncSeriesLoopHook(args = [], name = undefined) {
  	const hook = new Hook_1(args, name);
  	hook.constructor = AsyncSeriesLoopHook;
  	hook.compile = COMPILE$8;
  	hook._call = undefined;
  	hook.call = undefined;
  	return hook;
  }

  AsyncSeriesLoopHook.prototype = null;

  var AsyncSeriesLoopHook_1 = AsyncSeriesLoopHook;

  class AsyncSeriesWaterfallHookCodeFactory extends HookCodeFactory_1 {
  	content({ onError, onResult, onDone }) {
  		return this.callTapsSeries({
  			onError: (i, err, next, doneBreak) => onError(err) + doneBreak(true),
  			onResult: (i, result, next) => {
  				let code = "";
  				code += `if(${result} !== undefined) {\n`;
  				code += `${this._args[0]} = ${result};\n`;
  				code += `}\n`;
  				code += next();
  				return code;
  			},
  			onDone: () => onResult(this._args[0])
  		});
  	}
  }

  const factory$9 = new AsyncSeriesWaterfallHookCodeFactory();

  const COMPILE$9 = function(options) {
  	factory$9.setup(this, options);
  	return factory$9.create(options);
  };

  function AsyncSeriesWaterfallHook(args = [], name = undefined) {
  	if (args.length < 1)
  		throw new Error("Waterfall hooks must have at least one argument");
  	const hook = new Hook_1(args, name);
  	hook.constructor = AsyncSeriesWaterfallHook;
  	hook.compile = COMPILE$9;
  	hook._call = undefined;
  	hook.call = undefined;
  	return hook;
  }

  AsyncSeriesWaterfallHook.prototype = null;

  var AsyncSeriesWaterfallHook_1 = AsyncSeriesWaterfallHook;

  const defaultFactory = (key, hook) => hook;

  class HookMap {
  	constructor(factory, name = undefined) {
  		this._map = new Map();
  		this.name = name;
  		this._factory = factory;
  		this._interceptors = [];
  	}

  	get(key) {
  		return this._map.get(key);
  	}

  	for(key) {
  		const hook = this.get(key);
  		if (hook !== undefined) {
  			return hook;
  		}
  		let newHook = this._factory(key);
  		const interceptors = this._interceptors;
  		for (let i = 0; i < interceptors.length; i++) {
  			newHook = interceptors[i].factory(key, newHook);
  		}
  		this._map.set(key, newHook);
  		return newHook;
  	}

  	intercept(interceptor) {
  		this._interceptors.push(
  			Object.assign(
  				{
  					factory: defaultFactory
  				},
  				interceptor
  			)
  		);
  	}
  }

  HookMap.prototype.tap = util__default['default'].deprecate(function(key, options, fn) {
  	return this.for(key).tap(options, fn);
  }, "HookMap#tap(key,…) is deprecated. Use HookMap#for(key).tap(…) instead.");

  HookMap.prototype.tapAsync = util__default['default'].deprecate(function(key, options, fn) {
  	return this.for(key).tapAsync(options, fn);
  }, "HookMap#tapAsync(key,…) is deprecated. Use HookMap#for(key).tapAsync(…) instead.");

  HookMap.prototype.tapPromise = util__default['default'].deprecate(function(key, options, fn) {
  	return this.for(key).tapPromise(options, fn);
  }, "HookMap#tapPromise(key,…) is deprecated. Use HookMap#for(key).tapPromise(…) instead.");

  var HookMap_1 = HookMap;

  class MultiHook {
  	constructor(hooks, name = undefined) {
  		this.hooks = hooks;
  		this.name = name;
  	}

  	tap(options, fn) {
  		for (const hook of this.hooks) {
  			hook.tap(options, fn);
  		}
  	}

  	tapAsync(options, fn) {
  		for (const hook of this.hooks) {
  			hook.tapAsync(options, fn);
  		}
  	}

  	tapPromise(options, fn) {
  		for (const hook of this.hooks) {
  			hook.tapPromise(options, fn);
  		}
  	}

  	isUsed() {
  		for (const hook of this.hooks) {
  			if (hook.isUsed()) return true;
  		}
  		return false;
  	}

  	intercept(interceptor) {
  		for (const hook of this.hooks) {
  			hook.intercept(interceptor);
  		}
  	}

  	withOptions(options) {
  		return new MultiHook(
  			this.hooks.map(h => h.withOptions(options)),
  			this.name
  		);
  	}
  }

  var MultiHook_1 = MultiHook;

  var lib = createCommonjsModule(function (module, exports) {

  exports.__esModule = true;
  exports.SyncHook = SyncHook_1;
  exports.SyncBailHook = SyncBailHook_1;
  exports.SyncWaterfallHook = SyncWaterfallHook_1;
  exports.SyncLoopHook = SyncLoopHook_1;
  exports.AsyncParallelHook = AsyncParallelHook_1;
  exports.AsyncParallelBailHook = AsyncParallelBailHook_1;
  exports.AsyncSeriesHook = AsyncSeriesHook_1;
  exports.AsyncSeriesBailHook = AsyncSeriesBailHook_1;
  exports.AsyncSeriesLoopHook = AsyncSeriesLoopHook_1;
  exports.AsyncSeriesWaterfallHook = AsyncSeriesWaterfallHook_1;
  exports.HookMap = HookMap_1;
  exports.MultiHook = MultiHook_1;
  });

  function ownKeys$1(object, enumerableOnly) {
    var keys = Object.keys(object);

    if (Object.getOwnPropertySymbols) {
      var symbols = Object.getOwnPropertySymbols(object);

      if (enumerableOnly) {
        symbols = symbols.filter(function (sym) {
          return Object.getOwnPropertyDescriptor(object, sym).enumerable;
        });
      }

      keys.push.apply(keys, symbols);
    }

    return keys;
  }

  function _objectSpread2$1(target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i] != null ? arguments[i] : {};

      if (i % 2) {
        ownKeys$1(Object(source), true).forEach(function (key) {
          _defineProperty$1(target, key, source[key]);
        });
      } else if (Object.getOwnPropertyDescriptors) {
        Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
      } else {
        ownKeys$1(Object(source)).forEach(function (key) {
          Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
        });
      }
    }

    return target;
  }

  function _typeof(obj) {
    "@babel/helpers - typeof";

    if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
      _typeof = function (obj) {
        return typeof obj;
      };
    } else {
      _typeof = function (obj) {
        return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
      };
    }

    return _typeof(obj);
  }

  function _classCallCheck$2(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
      throw new TypeError("Cannot call a class as a function");
    }
  }

  function _defineProperties$2(target, props) {
    for (var i = 0; i < props.length; i++) {
      var descriptor = props[i];
      descriptor.enumerable = descriptor.enumerable || false;
      descriptor.configurable = true;
      if ("value" in descriptor) descriptor.writable = true;
      Object.defineProperty(target, descriptor.key, descriptor);
    }
  }

  function _createClass$2(Constructor, protoProps, staticProps) {
    if (protoProps) _defineProperties$2(Constructor.prototype, protoProps);
    if (staticProps) _defineProperties$2(Constructor, staticProps);
    return Constructor;
  }

  function _defineProperty$1(obj, key, value) {
    if (key in obj) {
      Object.defineProperty(obj, key, {
        value: value,
        enumerable: true,
        configurable: true,
        writable: true
      });
    } else {
      obj[key] = value;
    }

    return obj;
  }

  function _inherits$2(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
      throw new TypeError("Super expression must either be null or a function");
    }

    subClass.prototype = Object.create(superClass && superClass.prototype, {
      constructor: {
        value: subClass,
        writable: true,
        configurable: true
      }
    });
    if (superClass) _setPrototypeOf$2(subClass, superClass);
  }

  function _getPrototypeOf$2(o) {
    _getPrototypeOf$2 = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) {
      return o.__proto__ || Object.getPrototypeOf(o);
    };
    return _getPrototypeOf$2(o);
  }

  function _setPrototypeOf$2(o, p) {
    _setPrototypeOf$2 = Object.setPrototypeOf || function _setPrototypeOf(o, p) {
      o.__proto__ = p;
      return o;
    };

    return _setPrototypeOf$2(o, p);
  }

  function _isNativeReflectConstruct$2() {
    if (typeof Reflect === "undefined" || !Reflect.construct) return false;
    if (Reflect.construct.sham) return false;
    if (typeof Proxy === "function") return true;

    try {
      Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {}));
      return true;
    } catch (e) {
      return false;
    }
  }

  function _objectWithoutPropertiesLoose$1(source, excluded) {
    if (source == null) return {};
    var target = {};
    var sourceKeys = Object.keys(source);
    var key, i;

    for (i = 0; i < sourceKeys.length; i++) {
      key = sourceKeys[i];
      if (excluded.indexOf(key) >= 0) continue;
      target[key] = source[key];
    }

    return target;
  }

  function _objectWithoutProperties$1(source, excluded) {
    if (source == null) return {};

    var target = _objectWithoutPropertiesLoose$1(source, excluded);

    var key, i;

    if (Object.getOwnPropertySymbols) {
      var sourceSymbolKeys = Object.getOwnPropertySymbols(source);

      for (i = 0; i < sourceSymbolKeys.length; i++) {
        key = sourceSymbolKeys[i];
        if (excluded.indexOf(key) >= 0) continue;
        if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue;
        target[key] = source[key];
      }
    }

    return target;
  }

  function _assertThisInitialized$2(self) {
    if (self === void 0) {
      throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }

    return self;
  }

  function _possibleConstructorReturn$2(self, call) {
    if (call && (typeof call === "object" || typeof call === "function")) {
      return call;
    } else if (call !== void 0) {
      throw new TypeError("Derived constructors may only return object or undefined");
    }

    return _assertThisInitialized$2(self);
  }

  function _createSuper$2(Derived) {
    var hasNativeReflectConstruct = _isNativeReflectConstruct$2();

    return function _createSuperInternal() {
      var Super = _getPrototypeOf$2(Derived),
          result;

      if (hasNativeReflectConstruct) {
        var NewTarget = _getPrototypeOf$2(this).constructor;

        result = Reflect.construct(Super, arguments, NewTarget);
      } else {
        result = Super.apply(this, arguments);
      }

      return _possibleConstructorReturn$2(this, result);
    };
  }

  function _superPropBase$1(object, property) {
    while (!Object.prototype.hasOwnProperty.call(object, property)) {
      object = _getPrototypeOf$2(object);
      if (object === null) break;
    }

    return object;
  }

  function _get$1(target, property, receiver) {
    if (typeof Reflect !== "undefined" && Reflect.get) {
      _get$1 = Reflect.get;
    } else {
      _get$1 = function _get(target, property, receiver) {
        var base = _superPropBase$1(target, property);

        if (!base) return;
        var desc = Object.getOwnPropertyDescriptor(base, property);

        if (desc.get) {
          return desc.get.call(receiver);
        }

        return desc.value;
      };
    }

    return _get$1(target, property, receiver || target);
  }

  function _slicedToArray$2(arr, i) {
    return _arrayWithHoles$2(arr) || _iterableToArrayLimit$2(arr, i) || _unsupportedIterableToArray$3(arr, i) || _nonIterableRest$2();
  }

  function _toConsumableArray$2(arr) {
    return _arrayWithoutHoles$2(arr) || _iterableToArray$2(arr) || _unsupportedIterableToArray$3(arr) || _nonIterableSpread$2();
  }

  function _arrayWithoutHoles$2(arr) {
    if (Array.isArray(arr)) return _arrayLikeToArray$3(arr);
  }

  function _arrayWithHoles$2(arr) {
    if (Array.isArray(arr)) return arr;
  }

  function _iterableToArray$2(iter) {
    if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter);
  }

  function _iterableToArrayLimit$2(arr, i) {
    var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"];

    if (_i == null) return;
    var _arr = [];
    var _n = true;
    var _d = false;

    var _s, _e;

    try {
      for (_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true) {
        _arr.push(_s.value);

        if (i && _arr.length === i) break;
      }
    } catch (err) {
      _d = true;
      _e = err;
    } finally {
      try {
        if (!_n && _i["return"] != null) _i["return"]();
      } finally {
        if (_d) throw _e;
      }
    }

    return _arr;
  }

  function _unsupportedIterableToArray$3(o, minLen) {
    if (!o) return;
    if (typeof o === "string") return _arrayLikeToArray$3(o, minLen);
    var n = Object.prototype.toString.call(o).slice(8, -1);
    if (n === "Object" && o.constructor) n = o.constructor.name;
    if (n === "Map" || n === "Set") return Array.from(o);
    if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray$3(o, minLen);
  }

  function _arrayLikeToArray$3(arr, len) {
    if (len == null || len > arr.length) len = arr.length;

    for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i];

    return arr2;
  }

  function _nonIterableSpread$2() {
    throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
  }

  function _nonIterableRest$2() {
    throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
  }

  function _createForOfIteratorHelper$1(o, allowArrayLike) {
    var it = typeof Symbol !== "undefined" && o[Symbol.iterator] || o["@@iterator"];

    if (!it) {
      if (Array.isArray(o) || (it = _unsupportedIterableToArray$3(o)) || allowArrayLike && o && typeof o.length === "number") {
        if (it) o = it;
        var i = 0;

        var F = function () {};

        return {
          s: F,
          n: function () {
            if (i >= o.length) return {
              done: true
            };
            return {
              done: false,
              value: o[i++]
            };
          },
          e: function (e) {
            throw e;
          },
          f: F
        };
      }

      throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
    }

    var normalCompletion = true,
        didErr = false,
        err;
    return {
      s: function () {
        it = it.call(o);
      },
      n: function () {
        var step = it.next();
        normalCompletion = step.done;
        return step;
      },
      e: function (e) {
        didErr = true;
        err = e;
      },
      f: function () {
        try {
          if (!normalCompletion && it.return != null) it.return();
        } finally {
          if (didErr) throw err;
        }
      }
    };
  }

  var Geometry = /*#__PURE__*/function (_Component) {
    _inherits$2(Geometry, _Component);

    var _super = _createSuper$2(Geometry);

    function Geometry() {
      var _this;

      _classCallCheck$2(this, Geometry);

      for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
        args[_key] = arguments[_key];
      }

      _this = _super.call.apply(_super, [this].concat(args));
      _this.aabb = void 0;
      return _this;
    }

    return Geometry;
  }(Component);
  Geometry.tag = 'c-geometry';

  /**
   * scene graph node, try to mimic `Element`
   * @see https://developer.mozilla.org/en-US/docs/Web/API/Element
   * @see https://developer.mozilla.org/en-US/docs/Web/API/ParentNode
   */

  var SceneGraphNode = /*#__PURE__*/function (_Component) {
    _inherits$2(SceneGraphNode, _Component);

    var _super = _createSuper$2(SceneGraphNode);

    function SceneGraphNode() {
      var _this;

      _classCallCheck$2(this, SceneGraphNode);

      for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
        args[_key] = arguments[_key];
      }

      _this = _super.call.apply(_super, [this].concat(args));
      _this.id = void 0;
      _this.class = void 0;
      _this.name = void 0;
      _this.tagName = void 0;
      _this.attributes = {};
      _this.shadow = false;
      _this.interactive = true;
      return _this;
    }

    return SceneGraphNode;
  }(Component);
  SceneGraphNode.tag = 'c-scene-graph-node';

  var Renderable = /*#__PURE__*/function (_Component) {
    _inherits$2(Renderable, _Component);

    var _super = _createSuper$2(Renderable);

    function Renderable() {
      var _this;

      _classCallCheck$2(this, Renderable);

      for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
        args[_key] = arguments[_key];
      }

      _this = _super.call.apply(_super, [this].concat(args));
      _this.aabb = void 0;
      _this.aabbDirty = true;
      _this.dirtyAABB = void 0;
      _this.dirty = false;
      _this.instanced = false;
      return _this;
    }

    return Renderable;
  }(Component);
  Renderable.tag = 'c-renderable';

  /**
   * do RTS transformation for 2D/3D
   */

  var Transform = /*#__PURE__*/function (_Component) {
    _inherits$2(Transform, _Component);

    var _super = _createSuper$2(Transform);

    function Transform() {
      var _this;

      _classCallCheck$2(this, Transform);

      for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
        args[_key] = arguments[_key];
      }

      _this = _super.call.apply(_super, [this].concat(args));
      _this.dirtyFlag = false;
      _this.localDirtyFlag = false;
      _this.localPosition = fromValues$1(0, 0, 0);
      _this.localRotation = fromValues$3(0, 0, 0, 1);
      _this.localScale = fromValues$1(1, 1, 1);
      _this.localTransform = create$1();
      _this.position = fromValues$1(0, 0, 0);
      _this.rotation = fromValues$3(0, 0, 0, 1);
      _this.scaling = fromValues$1(1, 1, 1);
      _this.worldTransform = create$1();
      _this.origin = fromValues$1(0, 0, 0);
      return _this;
    }

    return Transform;
  }(Component);
  Transform.tag = 'c-transform';

  /**
   * @see https://doc.babylonjs.com/how_to/optimizing_your_scene#changing-mesh-culling-strategy
   */

  var Strategy;

  (function (Strategy) {
    Strategy[Strategy["Standard"] = 0] = "Standard";
  })(Strategy || (Strategy = {}));

  var Cullable = /*#__PURE__*/function (_Component) {
    _inherits$2(Cullable, _Component);

    var _super = _createSuper$2(Cullable);

    function Cullable() {
      var _this;

      _classCallCheck$2(this, Cullable);

      for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
        args[_key] = arguments[_key];
      }

      _this = _super.call.apply(_super, [this].concat(args));
      _this.strategy = Strategy.Standard;
      _this.visibilityPlaneMask = -1;
      _this.visible = false;
      _this.enable = true;
      return _this;
    }

    return Cullable;
  }(Component);
  Cullable.tag = 'c-cullable';

  var Sortable = /*#__PURE__*/function (_Component) {
    _inherits$2(Sortable, _Component);

    var _super = _createSuper$2(Sortable);

    function Sortable() {
      var _this;

      _classCallCheck$2(this, Sortable);

      for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
        args[_key] = arguments[_key];
      }

      _this = _super.call.apply(_super, [this].concat(args));
      _this.dirty = false;
      _this.sorted = void 0;
      return _this;
    }

    return Sortable;
  }(Component);
  Sortable.tag = 'c-sortable';

  function getAngle$1(angle) {
    if (angle === undefined) {
      return 0;
    } else if (angle > 360 || angle < -360) {
      return angle % 360;
    }

    return angle;
  }
  function createVec3(x, y, z) {
    if (isNumber(x)) {
      return fromValues$1(x, y, z);
    }

    if (x.length === 3) {
      return clone$1(x);
    }

    return fromValues$1(x[0], x[1], x[2]);
  }
  function rad2deg(rad) {
    return rad * (180 / Math.PI);
  }

  function getEulerFromQuat(out, quat) {
    var x = quat[0];
    var y = quat[1];
    var z = quat[2];
    var w = quat[3];
    var x2 = x * x;
    var y2 = y * y;
    var z2 = z * z;
    var w2 = w * w;
    var unit = x2 + y2 + z2 + w2;
    var test = x * w - y * z;

    if (test > 0.499995 * unit) {
      // TODO: Use glmatrix.EPSILON
      // singularity at the north pole
      out[0] = Math.PI / 2;
      out[1] = 2 * Math.atan2(y, x);
      out[2] = 0;
    } else if (test < -0.499995 * unit) {
      //TODO: Use glmatrix.EPSILON
      // singularity at the south pole
      out[0] = -Math.PI / 2;
      out[1] = 2 * Math.atan2(y, x);
      out[2] = 0;
    } else {
      out[0] = Math.asin(2 * (x * z - w * y));
      out[1] = Math.atan2(2 * (x * w + y * z), 1 - 2 * (z2 + w2));
      out[2] = Math.atan2(2 * (x * y + z * w), 1 - 2 * (y2 + z2));
    } // TODO: Return them as degrees and not as radians


    return out;
  }

  function getEulerFromMat4(out, m) {
    var x;
    var y;
    var z;
    var halfPi = Math.PI * 0.5;

    var _mat4$getScaling = getScaling(create$2(), m),
        _mat4$getScaling2 = _slicedToArray$2(_mat4$getScaling, 3),
        sx = _mat4$getScaling2[0],
        sy = _mat4$getScaling2[1],
        sz = _mat4$getScaling2[2];

    y = Math.asin(-m[2] / sx);

    if (y < halfPi) {
      if (y > -halfPi) {
        x = Math.atan2(m[6] / sy, m[10] / sz);
        z = Math.atan2(m[1] / sx, m[0] / sx);
      } else {
        // Not a unique solution
        z = 0;
        x = -Math.atan2(m[4] / sy, m[5] / sy);
      }
    } else {
      // Not a unique solution
      z = 0;
      x = Math.atan2(m[4] / sy, m[5] / sy);
    }

    out[0] = x;
    out[1] = y;
    out[2] = z;
    return out;
  }
  /**
   * @see https://github.com/toji/gl-matrix/issues/329
   * @see https://doc.babylonjs.com/divingDeeper/mesh/transforms/center_origin/rotation_conventions
   */


  function getEuler(out, quat) {
    if (quat.length === 16) {
      return getEulerFromMat4(out, quat);
    } else {
      return getEulerFromQuat(out, quat);
    }
  }
  function fromRotationTranslationScale(rotation, x, y, scaleX, scaleY) {
    var cos = Math.cos(rotation);
    var sin = Math.sin(rotation);
    return fromValues(scaleX * cos, scaleY * sin, 0, -scaleX * sin, scaleY * cos, 0, x, y, 1);
  }

  var SHAPE;

  (function (SHAPE) {
    SHAPE["Group"] = "group";
    SHAPE["Circle"] = "circle";
    SHAPE["Ellipse"] = "ellipse";
    SHAPE["Image"] = "image";
    SHAPE["Rect"] = "rect";
    SHAPE["Line"] = "line";
    SHAPE["Polyline"] = "polyline";
    SHAPE["Polygon"] = "polygon";
    SHAPE["Text"] = "text";
    SHAPE["Path"] = "path";
  })(SHAPE || (SHAPE = {}));

  var CanvasConfig = Symbol('CanvasConfig');

  /*! *****************************************************************************
  Copyright (c) Microsoft Corporation.

  Permission to use, copy, modify, and/or distribute this software for any
  purpose with or without fee is hereby granted.

  THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
  REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
  AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
  INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
  LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
  OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
  PERFORMANCE OF THIS SOFTWARE.
  ***************************************************************************** */

  function __decorate$1(decorators, target, key, desc) {
      var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
      if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
      else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
      return c > 3 && r && Object.defineProperty(target, key, r), r;
  }

  function __metadata$1(metadataKey, metadataValue) {
      if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(metadataKey, metadataValue);
  }

  var DisplayObjectPool = /*#__PURE__*/function () {
    function DisplayObjectPool() {
      _classCallCheck$2(this, DisplayObjectPool);

      this.pool = {};
    }

    _createClass$2(DisplayObjectPool, [{
      key: "getByName",
      value: function getByName(name) {
        return this.pool[name];
      }
    }, {
      key: "add",
      value: function add(name, groupOrShape) {
        this.pool[name] = groupOrShape;
      }
    }]);

    return DisplayObjectPool;
  }();

  DisplayObjectPool = __decorate$1([injectable()], DisplayObjectPool);

  /**
   * Axis-Aligned Bounding Box
   * 为了便于后续 Frustum Culling，通过查找表定义 p-vertex 和 n-vertex
   * @see https://github.com/antvis/GWebGPUEngine/issues/3
   */

  var AABB = /*#__PURE__*/function () {
    function AABB(center, halfExtents) {
      _classCallCheck$2(this, AABB);

      this.center = void 0;
      this.halfExtents = void 0;
      this.min = create$2();
      this.max = create$2();
      this.update(center, halfExtents);
    }

    _createClass$2(AABB, [{
      key: "update",
      value: function update(center, halfExtents) {
        this.center = copy$1(create$2(), center || create$2());
        this.halfExtents = copy$1(create$2(), halfExtents || fromValues$1(0, 0, 0));
        this.min = sub(this.min, this.center, this.halfExtents);
        this.max = add(this.max, this.center, this.halfExtents);
      }
    }, {
      key: "setMinMax",
      value: function setMinMax(min, max) {
        add(this.center, max, min);
        scale(this.center, this.center, 0.5);
        sub(this.halfExtents, max, min);
        scale(this.halfExtents, this.halfExtents, 0.5);
        copy$1(this.min, min);
        copy$1(this.max, max);
      }
    }, {
      key: "getMin",
      value: function getMin() {
        return this.min;
      }
    }, {
      key: "getMax",
      value: function getMax() {
        return this.max;
      }
    }, {
      key: "add",
      value: function add(aabb) {
        var tc = this.center;
        var tcx = tc[0];
        var tcy = tc[1];
        var tcz = tc[2];
        var th = this.halfExtents;
        var thx = th[0];
        var thy = th[1];
        var thz = th[2];
        var tminx = tcx - thx;
        var tmaxx = tcx + thx;
        var tminy = tcy - thy;
        var tmaxy = tcy + thy;
        var tminz = tcz - thz;
        var tmaxz = tcz + thz;
        var oc = aabb.center;
        var ocx = oc[0];
        var ocy = oc[1];
        var ocz = oc[2];
        var oh = aabb.halfExtents;
        var ohx = oh[0];
        var ohy = oh[1];
        var ohz = oh[2];
        var ominx = ocx - ohx;
        var omaxx = ocx + ohx;
        var ominy = ocy - ohy;
        var omaxy = ocy + ohy;
        var ominz = ocz - ohz;
        var omaxz = ocz + ohz;

        if (ominx < tminx) {
          tminx = ominx;
        }

        if (omaxx > tmaxx) {
          tmaxx = omaxx;
        }

        if (ominy < tminy) {
          tminy = ominy;
        }

        if (omaxy > tmaxy) {
          tmaxy = omaxy;
        }

        if (ominz < tminz) {
          tminz = ominz;
        }

        if (omaxz > tmaxz) {
          tmaxz = omaxz;
        }

        tc[0] = (tminx + tmaxx) * 0.5;
        tc[1] = (tminy + tmaxy) * 0.5;
        tc[2] = (tminz + tmaxz) * 0.5;
        th[0] = (tmaxx - tminx) * 0.5;
        th[1] = (tmaxy - tminy) * 0.5;
        th[2] = (tmaxz - tminz) * 0.5;
        this.min[0] = tminx;
        this.min[1] = tminy;
        this.min[2] = tminz;
        this.max[0] = tmaxx;
        this.max[1] = tmaxy;
        this.max[2] = tmaxz;
      }
    }, {
      key: "setFromTransformedAABB",
      value: function setFromTransformedAABB(aabb, m) {
        var bc = this.center;
        var br = this.halfExtents;
        var ac = aabb.center;
        var ar = aabb.halfExtents;
        var mx0 = m[0];
        var mx1 = m[4];
        var mx2 = m[8];
        var my0 = m[1];
        var my1 = m[5];
        var my2 = m[9];
        var mz0 = m[2];
        var mz1 = m[6];
        var mz2 = m[10];
        var mx0a = Math.abs(mx0);
        var mx1a = Math.abs(mx1);
        var mx2a = Math.abs(mx2);
        var my0a = Math.abs(my0);
        var my1a = Math.abs(my1);
        var my2a = Math.abs(my2);
        var mz0a = Math.abs(mz0);
        var mz1a = Math.abs(mz1);
        var mz2a = Math.abs(mz2);
        set(bc, m[12] + mx0 * ac[0] + mx1 * ac[1] + mx2 * ac[2], m[13] + my0 * ac[0] + my1 * ac[1] + my2 * ac[2], m[14] + mz0 * ac[0] + mz1 * ac[1] + mz2 * ac[2]);
        set(br, mx0a * ar[0] + mx1a * ar[1] + mx2a * ar[2], my0a * ar[0] + my1a * ar[1] + my2a * ar[2], mz0a * ar[0] + mz1a * ar[1] + mz2a * ar[2]);
        this.min = sub(this.min, bc, br);
        this.max = add(this.max, bc, br);
      }
    }, {
      key: "intersects",
      value: function intersects(aabb) {
        var aMax = this.getMax();
        var aMin = this.getMin();
        var bMax = aabb.getMax();
        var bMin = aabb.getMin();
        return aMin[0] <= bMax[0] && aMax[0] >= bMin[0] && aMin[1] <= bMax[1] && aMax[1] >= bMin[1] && aMin[2] <= bMax[2] && aMax[2] >= bMin[2];
      }
    }, {
      key: "intersection",
      value: function intersection(aabb) {
        if (!this.intersects(aabb)) {
          return null;
        }

        var intersection = new AABB();
        var min$1 = max(create$2(), this.getMin(), aabb.getMin());
        var max$1 = min(create$2(), this.getMax(), aabb.getMax());
        intersection.setMinMax(min$1, max$1);
        return intersection;
      }
    }, {
      key: "containsPoint",
      value: function containsPoint(point) {
        var min = this.getMin();
        var max = this.getMax();
        return !(point[0] < min[0] || point[0] > max[0] || point[1] < min[1] || point[1] > max[1] || point[2] < min[2] || point[2] > max[2]);
      }
      /**
       * get n-vertex
       * @param plane plane of CullingVolume
       */

    }, {
      key: "getNegativeFarPoint",
      value: function getNegativeFarPoint(plane) {
        if (plane.pnVertexFlag === 0x111) {
          return copy$1(create$2(), this.min);
        } else if (plane.pnVertexFlag === 0x110) {
          return fromValues$1(this.min[0], this.min[1], this.max[2]);
        } else if (plane.pnVertexFlag === 0x101) {
          return fromValues$1(this.min[0], this.max[1], this.min[2]);
        } else if (plane.pnVertexFlag === 0x100) {
          return fromValues$1(this.min[0], this.max[1], this.max[2]);
        } else if (plane.pnVertexFlag === 0x011) {
          return fromValues$1(this.max[0], this.min[1], this.min[2]);
        } else if (plane.pnVertexFlag === 0x010) {
          return fromValues$1(this.max[0], this.min[1], this.max[2]);
        } else if (plane.pnVertexFlag === 0x001) {
          return fromValues$1(this.max[0], this.max[1], this.min[2]);
        } else {
          return fromValues$1(this.max[0], this.max[1], this.max[2]);
        }
      }
      /**
       * get p-vertex
       * @param plane plane of CullingVolume
       */

    }, {
      key: "getPositiveFarPoint",
      value: function getPositiveFarPoint(plane) {
        if (plane.pnVertexFlag === 0x111) {
          return copy$1(create$2(), this.max);
        } else if (plane.pnVertexFlag === 0x110) {
          return fromValues$1(this.max[0], this.max[1], this.min[2]);
        } else if (plane.pnVertexFlag === 0x101) {
          return fromValues$1(this.max[0], this.min[1], this.max[2]);
        } else if (plane.pnVertexFlag === 0x100) {
          return fromValues$1(this.max[0], this.min[1], this.min[2]);
        } else if (plane.pnVertexFlag === 0x011) {
          return fromValues$1(this.min[0], this.max[1], this.max[2]);
        } else if (plane.pnVertexFlag === 0x010) {
          return fromValues$1(this.min[0], this.max[1], this.min[2]);
        } else if (plane.pnVertexFlag === 0x001) {
          return fromValues$1(this.min[0], this.min[1], this.max[2]);
        } else {
          return fromValues$1(this.min[0], this.min[1], this.min[2]);
        }
      }
    }]);

    return AABB;
  }();

  var tmpVecA = create$2();

  var Plane = /*#__PURE__*/function () {
    /**
     * lookup table for p-vertex & n-vertex when doing frustum culling
     */
    function Plane(distance, normal) {
      _classCallCheck$2(this, Plane);

      this.distance = void 0;
      this.normal = void 0;
      this.pnVertexFlag = void 0;
      this.distance = distance || 0;
      this.normal = normal || fromValues$1(0, 1, 0);
      this.updatePNVertexFlag();
    }

    _createClass$2(Plane, [{
      key: "updatePNVertexFlag",
      value: function updatePNVertexFlag() {
        this.pnVertexFlag = (Number(this.normal[0] >= 0) << 8) + (Number(this.normal[1] >= 0) << 4) + Number(this.normal[2] >= 0);
      }
    }, {
      key: "distanceToPoint",
      value: function distanceToPoint(point) {
        return dot(point, this.normal) - this.distance;
      }
    }, {
      key: "normalize",
      value: function normalize() {
        var invLen = 1 / len(this.normal);
        scale(this.normal, this.normal, invLen);
        this.distance *= invLen;
      }
    }, {
      key: "intersectsLine",
      value: function intersectsLine(start, end, point) {
        var d0 = this.distanceToPoint(start);
        var d1 = this.distanceToPoint(end);
        var t = d0 / (d0 - d1);
        var intersects = t >= 0 && t <= 1;

        if (intersects && point) {
          lerp(point, start, end, t);
        }

        return intersects;
      }
    }]);

    return Plane;
  }();

  var Mask;

  (function (Mask) {
    Mask[Mask["OUTSIDE"] = 4294967295] = "OUTSIDE";
    Mask[Mask["INSIDE"] = 0] = "INSIDE";
    Mask[Mask["INDETERMINATE"] = 2147483647] = "INDETERMINATE";
  })(Mask || (Mask = {}));

  var Frustum = /*#__PURE__*/function () {
    function Frustum(planes) {
      _classCallCheck$2(this, Frustum);

      this.planes = [];

      if (planes) {
        this.planes = planes;
      } else {
        for (var i = 0; i < 6; i++) {
          this.planes.push(new Plane());
        }
      }
    }
    /**
     * extract 6 planes from projectionMatrix
     * @see http://www8.cs.umu.se/kurser/5DV051/HT12/lab/plane_extraction.pdf
     */


    _createClass$2(Frustum, [{
      key: "extractFromVPMatrix",
      value: function extractFromVPMatrix(projectionMatrix) {
        // @ts-ignore
        var _projectionMatrix = _slicedToArray$2(projectionMatrix, 16),
            m0 = _projectionMatrix[0],
            m1 = _projectionMatrix[1],
            m2 = _projectionMatrix[2],
            m3 = _projectionMatrix[3],
            m4 = _projectionMatrix[4],
            m5 = _projectionMatrix[5],
            m6 = _projectionMatrix[6],
            m7 = _projectionMatrix[7],
            m8 = _projectionMatrix[8],
            m9 = _projectionMatrix[9],
            m10 = _projectionMatrix[10],
            m11 = _projectionMatrix[11],
            m12 = _projectionMatrix[12],
            m13 = _projectionMatrix[13],
            m14 = _projectionMatrix[14],
            m15 = _projectionMatrix[15]; // right


        set(this.planes[0].normal, m3 - m0, m7 - m4, m11 - m8);
        this.planes[0].distance = m15 - m12; // left

        set(this.planes[1].normal, m3 + m0, m7 + m4, m11 + m8);
        this.planes[1].distance = m15 + m12; // bottom

        set(this.planes[2].normal, m3 + m1, m7 + m5, m11 + m9);
        this.planes[2].distance = m15 + m13; // top

        set(this.planes[3].normal, m3 - m1, m7 - m5, m11 - m9);
        this.planes[3].distance = m15 - m13; // far

        set(this.planes[4].normal, m3 - m2, m7 - m6, m11 - m10);
        this.planes[4].distance = m15 - m14; // near

        set(this.planes[5].normal, m3 + m2, m7 + m6, m11 + m10);
        this.planes[5].distance = m15 + m14;
        this.planes.forEach(function (plane) {
          plane.normalize();
          plane.updatePNVertexFlag();
        });
      }
    }]);

    return Frustum;
  }();

  var tmpVecA$1 = create$2();
  var tmpVecB = create$2();
  var tmpVecC = create$2();
  var tmpVecD = create$2();
  var tmpVecE = create$2();

  var Point = /*#__PURE__*/function () {
    function Point() {
      var x = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : 0;
      var y = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 0;

      _classCallCheck$2(this, Point);

      this.x = 0;
      this.y = 0;
      this.x = x;
      this.y = y;
    }

    _createClass$2(Point, [{
      key: "clone",
      value: function clone() {
        return new Point(this.x, this.y);
      }
    }, {
      key: "copyFrom",
      value: function copyFrom(p) {
        this.x = p.x;
        this.y = p.y;
      }
    }]);

    return Point;
  }();

  var Rectangle = /*#__PURE__*/function () {
    function Rectangle(x, y, width, height) {
      _classCallCheck$2(this, Rectangle);

      this.x = void 0;
      this.y = void 0;
      this.width = void 0;
      this.height = void 0;
      this.left = void 0;
      this.right = void 0;
      this.top = void 0;
      this.bottom = void 0;
      this.x = x;
      this.y = y;
      this.width = width;
      this.height = height;
      this.left = x;
      this.right = x + width;
      this.top = y;
      this.bottom = y + height;
    }

    _createClass$2(Rectangle, [{
      key: "toJSON",
      value: function toJSON() {}
    }]);

    return Rectangle;
  }();

  var SceneGraphSelectorFactory = Symbol('SceneGraphSelectorFactory');
  var SceneGraphSelector = Symbol('SceneGraphSelector');
  /**
   * support following DOM API
   * * getElementById
   * * getElementsByClassName
   * * getElementsByName
   * * getElementsByTag
   */

  var DefaultSceneGraphSelector = /*#__PURE__*/function () {
    function DefaultSceneGraphSelector() {
      _classCallCheck$2(this, DefaultSceneGraphSelector);
    }

    _createClass$2(DefaultSceneGraphSelector, [{
      key: "selectOne",
      value: function selectOne(query, object) {
        if (query.startsWith('#')) {
          // getElementById('id')
          return object.find(function (node) {
            var sceneGraphNode = node.getEntity().getComponent(SceneGraphNode);
            return !sceneGraphNode.shadow && sceneGraphNode.id === query.substring(1);
          });
        }

        return null;
      }
    }, {
      key: "selectAll",
      value: function selectAll(query, object) {
        // TODO: only support `[name="${name}"]` `.className`
        if (query.startsWith('.')) {
          // getElementsByClassName('className');
          // TODO: should include itself?
          return object.findAll(function (node) {
            return node.getEntity().getComponent(SceneGraphNode).class === query.substring(1);
          });
        } else if (query.startsWith('[name=')) {
          // getElementsByName();
          return object.findAll(function (node) {
            return node.name === query.substring(7, query.length - 2);
          });
        } else {
          // getElementsByTag('circle');
          return object.findAll(function (node) {
            return node.nodeName === query;
          });
        }
      }
    }, {
      key: "is",
      value: function is(query, group) {
        // TODO: need a simple `matches` implementation
        return true;
      }
    }]);

    return DefaultSceneGraphSelector;
  }();

  DefaultSceneGraphSelector = __decorate$1([injectable()], DefaultSceneGraphSelector);

  function sortByZIndex(o1, o2) {
    var zIndex1 = Number(o1.style.zIndex);
    var zIndex2 = Number(o2.style.zIndex);

    if (zIndex1 === zIndex2) {
      var parent = o1.parent;

      if (parent) {
        var children = parent.children || [];
        return children.indexOf(o1) - children.indexOf(o2);
      }
    }

    return zIndex1 - zIndex2;
  }
  var SCENE_GRAPH_EVENT;

  (function (SCENE_GRAPH_EVENT) {
    SCENE_GRAPH_EVENT["AABBChanged"] = "AABBChanged";
  })(SCENE_GRAPH_EVENT || (SCENE_GRAPH_EVENT = {}));
  /**
   * update transform in scene graph
   *
   * @see https://community.khronos.org/t/scene-graphs/50542/7
   */


  var SceneGraphService = /*#__PURE__*/function (_EventEmitter) {
    _inherits$2(SceneGraphService, _EventEmitter);

    var _super = _createSuper$2(SceneGraphService);

    function SceneGraphService() {
      var _this;

      _classCallCheck$2(this, SceneGraphService);

      for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
        args[_key] = arguments[_key];
      }

      _this = _super.call.apply(_super, [this].concat(args));
      _this.sceneGraphSelectorFactory = void 0;

      _this.sort = function (object1, object2) {
        if (!object1.parentNode) {
          return -1;
        }

        if (!object2.parentNode) {
          return 1;
        }

        var hierarchyDiff = _this.getDepth(object1) - _this.getDepth(object2);

        var o1 = object1;
        var o2 = object2;

        if (hierarchyDiff < 0) {
          o2 = object2.getAncestor(-hierarchyDiff);

          if (o2 === o1) {
            return -1;
          }
        } else if (hierarchyDiff > 0) {
          o1 = object1.getAncestor(hierarchyDiff);

          if (o2 === o1) {
            return 1;
          }
        }

        while (o1 && o2 && o1.parentNode !== o2.parentNode) {
          o1 = o1.parentNode;
          o2 = o2.parentNode;
        }

        var parent = o1.parentNode;

        if (parent) {
          var parentEntity = parent.getEntity();
          var parentSortable = parentEntity.getComponent(Sortable); // no need to re-sort, use cached sorted children

          if (!parentSortable.sorted) {
            parentSortable.sorted = _toConsumableArray$2(parent.children);
          }

          if (parentSortable.dirty) {
            parentSortable.sorted.sort(sortByZIndex);
            parentSortable.dirty = false;
          }

          return parentSortable.sorted.indexOf(o1) - parentSortable.sorted.indexOf(o2);
        }

        return -1;
      };

      _this.rotate = function () {
        var parentInvertRotation = create$4();
        return function (displayObject, degrees) {
          var y = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 0;
          var z = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : 0;

          if (typeof degrees === 'number') {
            degrees = fromValues$1(degrees, y, z);
          }

          var transform = displayObject.getEntity().getComponent(Transform);

          if (displayObject.parent === null) {
            _this.rotateLocal(displayObject, degrees);
          } else {
            var rotation = create$4();
            fromEuler(rotation, degrees[0], degrees[1], degrees[2]);

            var rot = _this.getRotation(displayObject);

            var parentRot = _this.getRotation(displayObject.parent);

            copy$3(parentInvertRotation, parentRot);
            invert$1(parentInvertRotation, parentInvertRotation);
            multiply$2(parentInvertRotation, parentInvertRotation, rotation);
            multiply$2(transform.localRotation, rotation, rot);
            normalize$2(transform.localRotation, transform.localRotation);

            if (!transform.localDirtyFlag) {
              _this.dirtifyLocal(displayObject, transform);
            }
          }
        };
      }();

      _this.rotateLocal = function () {
        var rotation = create$4();
        return function (displayObject, degrees) {
          var y = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 0;
          var z = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : 0;

          if (typeof degrees === 'number') {
            degrees = fromValues$1(degrees, y, z);
          }

          var transform = displayObject.getEntity().getComponent(Transform);
          fromEuler(rotation, degrees[0], degrees[1], degrees[2]);
          mul(transform.localRotation, transform.localRotation, rotation);

          if (!transform.localDirtyFlag) {
            _this.dirtifyLocal(displayObject, transform);
          }
        };
      }();

      _this.setEulerAngles = function () {
        var invParentRot = create$4();
        return function (displayObject, degrees) {
          var y = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 0;
          var z = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : 0;

          if (typeof degrees === 'number') {
            degrees = fromValues$1(degrees, y, z);
          }

          var transform = displayObject.getEntity().getComponent(Transform);

          if (displayObject.parent === null) {
            _this.setLocalEulerAngles(displayObject, degrees);
          } else {
            fromEuler(transform.localRotation, degrees[0], degrees[1], degrees[2]);

            var parentRotation = _this.getRotation(displayObject.parent);

            copy$3(invParentRot, invert$1(create$4(), parentRotation));
            mul(transform.localRotation, transform.localRotation, invParentRot);

            _this.dirtifyLocal(displayObject, transform);
          }
        };
      }();

      _this.translateLocal = function () {
        return function (displayObject, translation) {
          var y = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 0;
          var z = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : 0;

          if (typeof translation === 'number') {
            translation = fromValues$1(translation, y, z);
          }

          var transform = displayObject.getEntity().getComponent(Transform);

          if (equals(translation, create$2())) {
            return;
          }

          transformQuat(translation, translation, transform.localRotation);
          add(transform.localPosition, transform.localPosition, translation);

          _this.dirtifyLocal(displayObject, transform);
        };
      }();

      _this.setPosition = function () {
        var parentInvertMatrix = create$1();
        return function (displayObject, position) {
          var y = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 0;
          var z = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : 0;

          if (typeof position === 'number') {
            position = fromValues$1(position, y, z);
          }

          var transform = displayObject.getEntity().getComponent(Transform);
          transform.position = position;

          if (displayObject.parent === null) {
            copy$1(transform.localPosition, position);
          } else {
            var parentTransform = displayObject.parent.getEntity().getComponent(Transform);
            copy(parentInvertMatrix, parentTransform.worldTransform);
            invert(parentInvertMatrix, parentInvertMatrix);
            transformMat4(transform.localPosition, position, parentInvertMatrix);

            _this.dirtifyLocal(displayObject, transform);
          }

          if (!transform.localDirtyFlag) {
            _this.dirtifyLocal(displayObject, transform);
          }
        };
      }();

      _this.translate = function () {
        var tr = create$2();
        return function (displayObject, translation) {
          var y = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 0;
          var z = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : 0;

          if (typeof translation === 'number') {
            translation = fromValues$1(translation, y, z);
          }

          if (equals(translation, create$2())) {
            return;
          }

          add(tr, _this.getPosition(displayObject), translation);

          _this.setPosition(displayObject, tr);
        };
      }();

      return _this;
    }

    _createClass$2(SceneGraphService, [{
      key: "matches",
      value: function matches(query, root) {
        return this.sceneGraphSelectorFactory().is(query, root);
      }
    }, {
      key: "querySelector",
      value: function querySelector(query, root) {
        return this.sceneGraphSelectorFactory().selectOne(query, root);
      }
    }, {
      key: "querySelectorAll",
      value: function querySelectorAll(query, root) {
        return this.sceneGraphSelectorFactory().selectAll(query, root).filter(function (node) {
          return !node.getEntity().getComponent(SceneGraphNode).shadow;
        });
      }
    }, {
      key: "attach",
      value: function attach(child, parent, index) {
        if (child.parent) {
          this.detach(child);
        }

        var entity = child.getEntity();
        child.parent = parent;

        if (!isNil(index)) {
          child.parent.children.splice(index, 0, child);
        } else {
          child.parent.children.push(child);
        } // parent needs re-sort


        parent.getEntity().getComponent(Sortable).dirty = true;
        this.dirtifyWorld(child, entity.getComponent(Transform));
      }
    }, {
      key: "detach",
      value: function detach(child) {
        if (child.parent) {
          var entity = child.getEntity();
          var transform = entity.getComponent(Transform);
          getScaling(transform.localScale, transform.worldTransform);
          getTranslation(transform.localPosition, transform.worldTransform);
          getRotation(transform.localRotation, transform.worldTransform);
          transform.localDirtyFlag = true; // parent needs re-sort

          child.parent.getEntity().getComponent(Sortable).dirty = true;
          var index = child.parent.children.indexOf(child);

          if (index > -1) {
            child.parent.children.splice(index, 1);
          }

          this.dirtifyWorld(child, transform);
          child.parent = null;
        }
      }
      /**
       * compare two display objects by hierarchy-index and z-index
       *
       * use materialized path
       * @see https://stackoverflow.com/questions/31470730/comparing-tree-nodes
       */

    }, {
      key: "getDepth",
      value: function getDepth(object) {
        var o = object;
        var depth = 0;

        while (o) {
          o = o.parentNode;
          depth++;
        }

        return depth;
      }
    }, {
      key: "setOrigin",
      value: function setOrigin(displayObject, origin) {
        var y = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 0;
        var z = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : 0;

        if (typeof origin === 'number') {
          origin = fromValues$1(origin, y, z);
        }

        var transform = displayObject.getEntity().getComponent(Transform);

        if (equals(origin, transform.origin)) {
          return;
        }

        var originVec = transform.origin;
        originVec[0] = origin[0];
        originVec[1] = origin[1];
        originVec[2] = origin[2] || 0;
        this.dirtifyLocal(displayObject, transform);
      }
      /**
       * rotate in world space
       */

    }, {
      key: "setLocalEulerAngles",
      value:
      /**
       * set euler angles(degrees) in local space
       */
      function setLocalEulerAngles(displayObject, degrees) {
        var y = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 0;
        var z = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : 0;

        if (typeof degrees === 'number') {
          degrees = fromValues$1(degrees, y, z);
        }

        var transform = displayObject.getEntity().getComponent(Transform);
        fromEuler(transform.localRotation, degrees[0], degrees[1], degrees[2]);
        this.dirtifyLocal(displayObject, transform);
      }
      /**
       * translate in local space
       *
       * @example
       * ```
       * translateLocal(x, y, z)
       * translateLocal(vec3(x, y, z))
       * ```
       */

    }, {
      key: "setLocalPosition",
      value:
      /**
       * move to position in local space
       */
      function setLocalPosition(displayObject, position) {
        var y = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 0;
        var z = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : 0;

        if (typeof position === 'number') {
          position = fromValues$1(position, y, z);
        }

        var transform = displayObject.getEntity().getComponent(Transform);

        if (equals(transform.localPosition, position)) {
          return;
        }

        copy$1(transform.localPosition, position);

        if (!transform.localDirtyFlag) {
          this.dirtifyLocal(displayObject, transform);
        }
      }
      /**
       * scale in local space
       */

    }, {
      key: "scaleLocal",
      value: function scaleLocal(displayObject, scaling) {
        var y = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 1;
        var z = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : 1;

        if (typeof scaling === 'number') {
          scaling = fromValues$1(scaling, y, z);
        }

        var transform = displayObject.getEntity().getComponent(Transform);
        multiply$1(transform.localScale, transform.localScale, scaling);
        this.dirtifyLocal(displayObject, transform);
      }
    }, {
      key: "setLocalScale",
      value: function setLocalScale(displayObject, scaling) {
        var y = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 1;
        var z = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : 1;

        if (typeof scaling === 'number') {
          scaling = fromValues$1(scaling, y, z);
        }

        var transform = displayObject.getEntity().getComponent(Transform);

        if (equals(transform.localScale, scaling)) {
          return;
        }

        copy$1(transform.localScale, scaling);
        this.dirtifyLocal(displayObject, transform);
      }
      /**
       * translate in world space
       *
       * @example
       * ```
       * translate(x, y, z)
       * translate(vec3(x, y, z))
       * ```
       *
       * 对应 g 原版的 translate 2D
       * @see https://github.com/antvis/g/blob/master/packages/g-base/src/abstract/element.ts#L665-L676
       */

    }, {
      key: "dirtifyLocal",
      value: function dirtifyLocal(displayObject, transform) {
        if (!transform.localDirtyFlag) {
          transform.localDirtyFlag = true;

          if (!transform.dirtyFlag) {
            this.dirtifyWorld(displayObject, transform);
          }
        }
      }
    }, {
      key: "dirtifyWorld",
      value: function dirtifyWorld(displayObject, transform) {
        this.dirtifyWorldInternal(displayObject, transform);
      }
    }, {
      key: "getPosition",
      value: function getPosition(displayObject) {
        var transform = displayObject.getEntity().getComponent(Transform);
        return getTranslation(transform.position, this.getWorldTransform(displayObject, transform));
      }
    }, {
      key: "getRotation",
      value: function getRotation$1(displayObject) {
        var transform = displayObject.getEntity().getComponent(Transform);
        return getRotation(transform.rotation, this.getWorldTransform(displayObject, transform));
      }
    }, {
      key: "getScale",
      value: function getScale(displayObject) {
        var transform = displayObject.getEntity().getComponent(Transform);
        return getScaling(transform.scaling, this.getWorldTransform(displayObject, transform));
      }
    }, {
      key: "getWorldTransform",
      value: function getWorldTransform(displayObject) {
        var transform = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : displayObject.getEntity().getComponent(Transform);

        if (!transform.localDirtyFlag && !transform.dirtyFlag) {
          return transform.worldTransform;
        }

        if (displayObject.parent) {
          this.getWorldTransform(displayObject.parent);
        }

        this.updateTransform(displayObject, transform);
        return transform.worldTransform;
      }
    }, {
      key: "getLocalPosition",
      value: function getLocalPosition(displayObject) {
        return displayObject.getEntity().getComponent(Transform).localPosition;
      }
    }, {
      key: "getLocalRotation",
      value: function getLocalRotation(displayObject) {
        return displayObject.getEntity().getComponent(Transform).localRotation;
      }
    }, {
      key: "getLocalScale",
      value: function getLocalScale(displayObject) {
        return displayObject.getEntity().getComponent(Transform).localScale;
      }
    }, {
      key: "getLocalTransform",
      value: function getLocalTransform(displayObject) {
        var transform = displayObject.getEntity().getComponent(Transform);

        if (transform.localDirtyFlag) {
          fromRotationTranslationScaleOrigin(transform.localTransform, transform.localRotation, transform.localPosition, transform.localScale, transform.origin);
          transform.localDirtyFlag = false;
        }

        return transform.localTransform;
      }
      /**
       * account for children in local space
       */

    }, {
      key: "getLocalBounds",
      value: function getLocalBounds(displayObject) {
        if (displayObject.parent) {
          var parentInvert = invert(create$1(), this.getWorldTransform(displayObject.parent));
          var bounds = this.getBounds(displayObject);

          if (bounds) {
            var localBounds = new AABB();
            localBounds.setFromTransformedAABB(bounds, parentInvert);
            return localBounds;
          }
        }

        return this.getBounds(displayObject);
      }
      /**
       * won't account for children
       */

    }, {
      key: "getGeometryBounds",
      value: function getGeometryBounds(displayObject) {
        var entity = displayObject.getEntity();
        var geometryAABB = entity.getComponent(Geometry).aabb;
        var aabb = null;

        if (geometryAABB) {
          aabb = new AABB(); // apply transformation to aabb

          aabb.setFromTransformedAABB(geometryAABB, this.getWorldTransform(displayObject));
        }

        return aabb;
      }
      /**
       * account for children in world space
       */

    }, {
      key: "getBounds",
      value: function getBounds(displayObject) {
        var _this2 = this;

        var entity = displayObject.getEntity();
        var renderable = entity.getComponent(Renderable);

        if (!renderable.aabbDirty && renderable.aabb) {
          return renderable.aabb;
        } // reset with geometry's aabb


        var aabb = this.getGeometryBounds(displayObject); // merge children's aabbs

        var children = displayObject.children;
        children.forEach(function (child) {
          var childBounds = _this2.getBounds(child);

          if (childBounds) {
            if (!aabb) {
              aabb = new AABB();
              aabb.update(childBounds.center, childBounds.halfExtents);
            } else {
              aabb.add(childBounds);
            }
          }
        }); // account for clip path

        if (displayObject.style.clipPath) {
          var clipPathBounds = this.getGeometryBounds(displayObject.style.clipPath);

          if (clipPathBounds) {
            // intersect with original geometry
            clipPathBounds.setFromTransformedAABB(clipPathBounds, this.getWorldTransform(displayObject));
          }

          if (!aabb) {
            aabb = clipPathBounds;
          } else if (clipPathBounds) {
            aabb = clipPathBounds.intersection(aabb);
          }
        }

        if (aabb) {
          renderable.aabb = aabb;
        }

        renderable.aabbDirty = false;
        this.emit(SCENE_GRAPH_EVENT.AABBChanged, displayObject);
        return renderable.aabb || null;
      }
    }, {
      key: "dirtifyAABBToRoot",
      value: function dirtifyAABBToRoot(displayObject) {
        var p = displayObject;

        while (p) {
          var renderable = p.getEntity().getComponent(Renderable);
          renderable.aabbDirty = true;
          renderable.dirty = true;
          this.emit(SCENE_GRAPH_EVENT.AABBChanged, p);
          p = p.parent;
        }
      }
    }, {
      key: "dirtifyWorldInternal",
      value: function dirtifyWorldInternal(displayObject, transform) {
        var _this3 = this;

        if (!transform.dirtyFlag) {
          transform.dirtyFlag = true;
          displayObject.children.forEach(function (child) {
            var childTransform = child.getEntity().getComponent(Transform);

            if (!childTransform.dirtyFlag) {
              _this3.dirtifyWorldInternal(child, childTransform);
            }
          }); // bubble up to root

          this.dirtifyAABBToRoot(displayObject);
        }
      }
    }, {
      key: "updateTransform",
      value: function updateTransform(displayObject, transform) {
        if (transform.localDirtyFlag) {
          this.getLocalTransform(displayObject);
        }

        if (transform.dirtyFlag) {
          var parent = displayObject.parent;
          var parentTransform = parent && parent.getEntity().getComponent(Transform);

          if (parent === null || !parentTransform) {
            copy(transform.worldTransform, transform.localTransform);
          } else {
            // TODO: should we support scale compensation?
            // @see https://github.com/playcanvas/engine/issues/1077#issuecomment-359765557
            multiply(transform.worldTransform, parentTransform.worldTransform, transform.localTransform);
          }

          transform.dirtyFlag = false;
        }
      }
    }]);

    return SceneGraphService;
  }(eventemitter3.EventEmitter);

  __decorate$1([inject(SceneGraphSelectorFactory), __metadata$1("design:type", Function)], SceneGraphService.prototype, "sceneGraphSelectorFactory", void 0);

  SceneGraphService = __decorate$1([injectable()], SceneGraphService);

  var CircleUpdater = /*#__PURE__*/function () {
    function CircleUpdater() {
      _classCallCheck$2(this, CircleUpdater);

      this.dependencies = ['r', 'lineWidth', 'lineAppendWidth', 'anchor'];
    }

    _createClass$2(CircleUpdater, [{
      key: "update",
      value: function update(attributes, aabb) {
        var _attributes$r = attributes.r,
            r = _attributes$r === void 0 ? 0 : _attributes$r,
            _attributes$lineWidth = attributes.lineWidth,
            lineWidth = _attributes$lineWidth === void 0 ? 0 : _attributes$lineWidth,
            _attributes$lineAppen = attributes.lineAppendWidth,
            lineAppendWidth = _attributes$lineAppen === void 0 ? 0 : _attributes$lineAppen,
            _attributes$anchor = attributes.anchor,
            anchor = _attributes$anchor === void 0 ? [0.5, 0.5] : _attributes$anchor;
        var halfExtents = fromValues$1(r, r, 0); // anchor is center by default, don't account for lineWidth here

        var center = fromValues$1((1 - anchor[0] * 2) * halfExtents[0], (1 - anchor[1] * 2) * halfExtents[1], 0);
        attributes.width = r * 2;
        attributes.height = r * 2;
        add(halfExtents, halfExtents, fromValues$1(lineWidth + lineAppendWidth, lineWidth + lineAppendWidth, 0));
        aabb.update(center, halfExtents);
      }
    }]);

    return CircleUpdater;
  }();

  CircleUpdater = __decorate$1([injectable()], CircleUpdater);

  var EllipseUpdater = /*#__PURE__*/function () {
    function EllipseUpdater() {
      _classCallCheck$2(this, EllipseUpdater);

      this.dependencies = ['rx', 'ry', 'lineWidth', 'anchor'];
    }

    _createClass$2(EllipseUpdater, [{
      key: "update",
      value: function update(attributes, aabb) {
        var _attributes$rx = attributes.rx,
            rx = _attributes$rx === void 0 ? 0 : _attributes$rx,
            _attributes$ry = attributes.ry,
            ry = _attributes$ry === void 0 ? 0 : _attributes$ry,
            _attributes$lineWidth = attributes.lineWidth,
            lineWidth = _attributes$lineWidth === void 0 ? 0 : _attributes$lineWidth,
            _attributes$lineAppen = attributes.lineAppendWidth,
            lineAppendWidth = _attributes$lineAppen === void 0 ? 0 : _attributes$lineAppen,
            _attributes$anchor = attributes.anchor,
            anchor = _attributes$anchor === void 0 ? [0.5, 0.5] : _attributes$anchor;
        var halfExtents = fromValues$1(rx, ry, 0); // anchor is center by default, don't account for lineWidth here

        var center = fromValues$1((1 - anchor[0] * 2) * halfExtents[0], (1 - anchor[1] * 2) * halfExtents[1], 0);
        attributes.width = rx * 2;
        attributes.height = ry * 2;
        add(halfExtents, halfExtents, fromValues$1(lineWidth + lineAppendWidth, lineWidth + lineAppendWidth, 0));
        aabb.update(center, halfExtents);
      }
    }]);

    return EllipseUpdater;
  }();

  EllipseUpdater = __decorate$1([injectable()], EllipseUpdater);

  var RectUpdater = /*#__PURE__*/function () {
    function RectUpdater() {
      _classCallCheck$2(this, RectUpdater);

      this.dependencies = ['width', 'height', 'lineWidth', 'anchor', 'img'];
    }

    _createClass$2(RectUpdater, [{
      key: "update",
      value: function update(attributes, aabb) {
        var _attributes$lineWidth = attributes.lineWidth,
            lineWidth = _attributes$lineWidth === void 0 ? 0 : _attributes$lineWidth,
            _attributes$lineAppen = attributes.lineAppendWidth,
            lineAppendWidth = _attributes$lineAppen === void 0 ? 0 : _attributes$lineAppen,
            _attributes$anchor = attributes.anchor,
            anchor = _attributes$anchor === void 0 ? [0, 0] : _attributes$anchor,
            img = attributes.img; // resize with HTMLImageElement's size

        if (img && !isString(img)) {
          if (!attributes.width) {
            attributes.width = img.width;
          }

          if (!attributes.height) {
            attributes.height = img.height;
          }
        }

        var _attributes$width = attributes.width,
            width = _attributes$width === void 0 ? 0 : _attributes$width,
            _attributes$height = attributes.height,
            height = _attributes$height === void 0 ? 0 : _attributes$height; // anchor is left-top by default, don't account for lineWidth here

        var halfExtents = fromValues$1(width / 2, height / 2, 0);
        var center = fromValues$1((1 - anchor[0] * 2) * halfExtents[0], (1 - anchor[1] * 2) * halfExtents[1], 0); // append lineWidth

        add(halfExtents, halfExtents, fromValues$1(lineWidth + lineAppendWidth, lineWidth + lineAppendWidth, 0));
        aabb.update(center, halfExtents);
      }
    }]);

    return RectUpdater;
  }();

  RectUpdater = __decorate$1([injectable()], RectUpdater);

  var genericFontFamilies = ['serif', 'sans-serif', 'monospace', 'cursive', 'fantasy', 'system-ui'];
  function toFontString(attributes) {
    var fontSize = attributes.fontSize,
        fontFamily = attributes.fontFamily,
        fontStyle = attributes.fontStyle,
        fontVariant = attributes.fontVariant,
        fontWeight = attributes.fontWeight; // build canvas api font setting from individual components. Convert a numeric this.fontSize to px

    var fontSizeString = isNumber(fontSize) ? "".concat(fontSize, "px") : fontSize; // Clean-up fontFamily property by quoting each font name
    // this will support font names with spaces
    // @ts-ignore

    var fontFamilies = fontFamily;

    if (!Array.isArray(fontFamily)) {
      fontFamilies = fontFamily.split(',');
    }

    for (var i = fontFamilies.length - 1; i >= 0; i--) {
      // Trim any extra white-space
      var _fontFamily = fontFamilies[i].trim(); // Check if font already contains strings


      if (!/([\"\'])[^\'\"]+\1/.test(_fontFamily) && genericFontFamilies.indexOf(_fontFamily) < 0) {
        _fontFamily = "\"".concat(_fontFamily, "\"");
      }

      fontFamilies[i] = _fontFamily;
    }

    return "".concat(fontStyle, " ").concat(fontVariant, " ").concat(fontWeight, " ").concat(fontSizeString, " ").concat(fontFamilies.join(','));
  }

  var OffscreenCanvasCreator = /*#__PURE__*/function () {
    function OffscreenCanvasCreator() {
      _classCallCheck$2(this, OffscreenCanvasCreator);

      this.canvas = void 0;
      this.context = void 0;
    }

    _createClass$2(OffscreenCanvasCreator, [{
      key: "getOrCreateCanvas",
      value: function getOrCreateCanvas() {
        if (this.canvas) {
          return this.canvas;
        }

        try {
          // OffscreenCanvas2D measureText can be up to 40% faster.
          this.canvas = new OffscreenCanvas(0, 0);
          this.context = this.canvas.getContext('2d');

          if (!this.context || !this.context.measureText) {
            this.canvas = document.createElement('canvas');
            this.context = this.canvas.getContext('2d');
          }
        } catch (ex) {
          this.canvas = document.createElement('canvas');
          this.context = this.canvas.getContext('2d');
        }

        this.canvas.width = 10;
        this.canvas.height = 10;
        return this.canvas;
      }
    }, {
      key: "getOrCreateContext",
      value: function getOrCreateContext() {
        if (this.context) {
          return this.context;
        }

        this.getOrCreateCanvas();
        return this.context;
      }
    }]);

    return OffscreenCanvasCreator;
  }();

  OffscreenCanvasCreator = __decorate$1([injectable()], OffscreenCanvasCreator);

  var TEXT_METRICS = {
    MetricsString: '|ÉqÅ',
    BaselineSymbol: 'M',
    BaselineMultiplier: 1.4,
    HeightMultiplier: 2,
    Newlines: [0x000a, 0x000d // carriage return
    ],
    BreakingSpaces: [0x0009, 0x0020, 0x2000, 0x2001, 0x2002, 0x2003, 0x2004, 0x2005, 0x2006, 0x2008, 0x2009, 0x200a, 0x205f, 0x3000 // ideographic space
    ]
  };
  var LATIN_REGEX = /[a-zA-Z0-9\u00C0-\u00D6\u00D8-\u00f6\u00f8-\u00ff!"#$%&'()*+,-./:;]/; // Line breaking rules in CJK (Kinsoku Shori)
  // Refer from https://en.wikipedia.org/wiki/Line_breaking_rules_in_East_Asian_languages

  var regexCannotStartZhCn = /[!%),.:;?\]}¢°·'""†‡›℃∶、。〃〆〕〗〞﹚﹜！＂％＇），．：；？！］｝～]/;
  var regexCannotEndZhCn = /[$(£¥·'"〈《「『【〔〖〝﹙﹛＄（．［｛￡￥]/;
  var regexCannotStartZhTw = /[!),.:;?\]}¢·–—'"•"、。〆〞〕〉》」︰︱︲︳﹐﹑﹒﹓﹔﹕﹖﹘﹚﹜！），．：；？︶︸︺︼︾﹀﹂﹗］｜｝､]/;
  var regexCannotEndZhTw = /[([{£¥'"‵〈《「『〔〝︴﹙﹛（｛︵︷︹︻︽︿﹁﹃﹏]/;
  var regexCannotStartJaJp = /[)\]｝〕〉》」』】〙〗〟'"｠»ヽヾーァィゥェォッャュョヮヵヶぁぃぅぇぉっゃゅょゎゕゖㇰㇱㇲㇳㇴㇵㇶㇷㇸㇹㇺㇻㇼㇽㇾㇿ々〻‐゠–〜?!‼⁇⁈⁉・、:;,。.]/;
  var regexCannotEndJaJp = /[([｛〔〈《「『【〘〖〝'"｟«—...‥〳〴〵]/;
  var regexCannotStartKoKr = /[!%),.:;?\]}¢°'"†‡℃〆〈《「『〕！％），．：；？］｝]/;
  var regexCannotEndKoKr = /[$([{£¥'"々〇〉》」〔＄（［｛｠￥￦#]/;
  var regexCannotStart = new RegExp("".concat(regexCannotStartZhCn.source, "|").concat(regexCannotStartZhTw.source, "|").concat(regexCannotStartJaJp.source, "|").concat(regexCannotStartKoKr.source));
  var regexCannotEnd = new RegExp("".concat(regexCannotEndZhCn.source, "|").concat(regexCannotEndZhTw.source, "|").concat(regexCannotEndJaJp.source, "|").concat(regexCannotEndKoKr.source));

  var TextService = /*#__PURE__*/function () {
    function TextService() {
      var _this = this;

      _classCallCheck$2(this, TextService);

      this.cache = {};
      this.offscreenCanvas = void 0;

      this.shouldBreakByKinsokuShorui = function (char, nextChar) {
        if (_this.isBreakingSpace(nextChar)) return false;

        if (char) {
          // Line breaking rules in CJK (Kinsoku Shori)
          if (regexCannotEnd.exec(nextChar) || regexCannotStart.exec(char)) {
            return true;
          }
        }

        return false;
      };

      this.trimByKinsokuShorui = function (prev) {
        var next = _toConsumableArray$2(prev);

        var prevLine = next[next.length - 2];

        if (!prevLine) {
          return prev;
        }

        var lastChar = prevLine[prevLine.length - 1];
        next[next.length - 2] = prevLine.slice(0, -1);
        next[next.length - 1] = lastChar + next[next.length - 1];
        return next;
      };
    }

    _createClass$2(TextService, [{
      key: "measureFont",
      value: function measureFont(font) {
        // as this method is used for preparing assets, don't recalculate things if we don't need to
        if (this.cache[font]) {
          return this.cache[font];
        }

        var properties = {
          ascent: 0,
          descent: 0,
          fontSize: 0
        };
        var canvas = this.offscreenCanvas.getOrCreateCanvas();
        var context = this.offscreenCanvas.getOrCreateContext();
        context.font = font;
        var metricsString = TEXT_METRICS.MetricsString + TEXT_METRICS.BaselineSymbol;
        var width = Math.ceil(context.measureText(metricsString).width);
        var baseline = Math.ceil(context.measureText(TEXT_METRICS.BaselineSymbol).width);
        var height = TEXT_METRICS.HeightMultiplier * baseline;
        baseline = baseline * TEXT_METRICS.BaselineMultiplier | 0; // @ts-ignore

        canvas.width = width; // @ts-ignore

        canvas.height = height;
        context.fillStyle = '#f00';
        context.fillRect(0, 0, width, height);
        context.font = font;
        context.textBaseline = 'alphabetic';
        context.fillStyle = '#000';
        context.fillText(metricsString, 0, baseline);
        var imagedata = context.getImageData(0, 0, width, height).data;
        var pixels = imagedata.length;
        var line = width * 4;
        var i = 0;
        var idx = 0;
        var stop = false; // ascent. scan from top to bottom until we find a non red pixel

        for (i = 0; i < baseline; ++i) {
          for (var j = 0; j < line; j += 4) {
            if (imagedata[idx + j] !== 255) {
              stop = true;
              break;
            }
          }

          if (!stop) {
            idx += line;
          } else {
            break;
          }
        }

        properties.ascent = baseline - i;
        idx = pixels - line;
        stop = false; // descent. scan from bottom to top until we find a non red pixel

        for (i = height; i > baseline; --i) {
          for (var _j = 0; _j < line; _j += 4) {
            if (imagedata[idx + _j] !== 255) {
              stop = true;
              break;
            }
          }

          if (!stop) {
            idx -= line;
          } else {
            break;
          }
        }

        properties.descent = i - baseline;
        properties.fontSize = properties.ascent + properties.descent;
        this.cache[font] = properties;
        return properties;
      }
    }, {
      key: "measureText",
      value: function measureText(text, attributes) {
        var _attributes$fontSize = attributes.fontSize,
            fontSize = _attributes$fontSize === void 0 ? 0 : _attributes$fontSize,
            wordWrap = attributes.wordWrap,
            _attributes$lineHeigh = attributes.lineHeight,
            strokeHeight = _attributes$lineHeigh === void 0 ? 0 : _attributes$lineHeigh,
            _attributes$lineWidth = attributes.lineWidth,
            strokeThickness = _attributes$lineWidth === void 0 ? 0 : _attributes$lineWidth,
            _attributes$letterSpa = attributes.letterSpacing,
            letterSpacing = _attributes$letterSpa === void 0 ? 0 : _attributes$letterSpa,
            dropShadow = attributes.dropShadow,
            _attributes$dropShado = attributes.dropShadowDistance,
            dropShadowDistance = _attributes$dropShado === void 0 ? 0 : _attributes$dropShado,
            _attributes$leading = attributes.leading,
            leading = _attributes$leading === void 0 ? 0 : _attributes$leading;
        var font = toFontString(attributes);
        var fontProperties = this.measureFont(font); // fallback in case UA disallow canvas data extraction
        // (toDataURI, getImageData functions)

        if (fontProperties.fontSize === 0) {
          fontProperties.fontSize = fontSize;
          fontProperties.ascent = fontSize;
        }

        var context = this.offscreenCanvas.getOrCreateContext();
        context.font = font;
        var outputText = wordWrap ? this.wordWrap(text, attributes) : text;
        var lines = outputText.split(/(?:\r\n|\r|\n)/);
        var lineWidths = new Array(lines.length);
        var maxLineWidth = 0;

        for (var i = 0; i < lines.length; i++) {
          var lineWidth = context.measureText(lines[i]).width + (lines[i].length - 1) * letterSpacing;
          lineWidths[i] = lineWidth;
          maxLineWidth = Math.max(maxLineWidth, lineWidth);
        }

        var width = maxLineWidth + strokeThickness;

        if (dropShadow) {
          width += dropShadowDistance;
        }

        var lineHeight = strokeHeight || fontProperties.fontSize + strokeThickness;
        var height = Math.max(lineHeight, fontProperties.fontSize + strokeThickness) + (lines.length - 1) * (lineHeight + leading);

        if (dropShadow) {
          height += dropShadowDistance;
        }

        return {
          font: font,
          width: width,
          height: height,
          lines: lines,
          lineWidths: lineWidths,
          lineHeight: lineHeight + leading,
          maxLineWidth: maxLineWidth,
          fontProperties: fontProperties
        };
      }
    }, {
      key: "wordWrap",
      value: function wordWrap(text, _ref) {
        var _this2 = this;

        var _ref$wordWrapWidth = _ref.wordWrapWidth,
            wordWrapWidth = _ref$wordWrapWidth === void 0 ? 0 : _ref$wordWrapWidth,
            _ref$letterSpacing = _ref.letterSpacing,
            letterSpacing = _ref$letterSpacing === void 0 ? 0 : _ref$letterSpacing;
        var context = this.offscreenCanvas.getOrCreateContext();
        var maxWidth = wordWrapWidth + letterSpacing;
        var lines = [];
        var currentIndex = 0;
        var currentWidth = 0;
        var cache = {};

        var calcWidth = function calcWidth(char) {
          return _this2.getFromCache(char, letterSpacing, cache, context);
        };

        Array.from(text).forEach(function (char, i) {
          var prevChar = text[i - 1];
          var nextChar = text[i + 1];
          var width = calcWidth(char);

          if (_this2.isNewline(char)) {
            currentIndex++;
            currentWidth = 0;
            lines[currentIndex] = '';
            return;
          }

          if (currentWidth > 0 && currentWidth + width > maxWidth) {
            currentIndex++;
            currentWidth = 0;
            lines[currentIndex] = '';

            if (_this2.isBreakingSpace(char)) {
              return;
            }

            if (!_this2.canBreakInLastChar(char)) {
              lines = _this2.trimToBreakable(lines);
              currentWidth = _this2.sumTextWidthByCache(lines[currentIndex] || '', cache);
            }

            if (_this2.shouldBreakByKinsokuShorui(char, nextChar)) {
              lines = _this2.trimByKinsokuShorui(lines);
              currentWidth += calcWidth(prevChar || '');
            }
          }

          currentWidth += width;
          lines[currentIndex] = (lines[currentIndex] || '') + char;
        });
        return lines.join('\n');
      }
    }, {
      key: "isBreakingSpace",
      value: function isBreakingSpace(char, _nextChar) {
        if (typeof char !== 'string') {
          return false;
        }

        return TEXT_METRICS.BreakingSpaces.indexOf(char.charCodeAt(0)) >= 0;
      }
    }, {
      key: "isNewline",
      value: function isNewline(char) {
        if (typeof char !== 'string') {
          return false;
        }

        return TEXT_METRICS.Newlines.indexOf(char.charCodeAt(0)) >= 0;
      }
    }, {
      key: "trimToBreakable",
      value: function trimToBreakable(prev) {
        var next = _toConsumableArray$2(prev);

        var prevLine = next[next.length - 2];
        var index = this.findBreakableIndex(prevLine);
        if (index === -1 || !prevLine) return next;
        var trimmedChar = prevLine.slice(index, index + 1);
        var isTrimmedWithSpace = this.isBreakingSpace(trimmedChar);
        var trimFrom = index + 1;
        var trimTo = index + (isTrimmedWithSpace ? 0 : 1);
        next[next.length - 1] += prevLine.slice(trimFrom, prevLine.length);
        next[next.length - 2] = prevLine.slice(0, trimTo);
        return next;
      }
    }, {
      key: "canBreakInLastChar",
      value: function canBreakInLastChar(char) {
        if (char && LATIN_REGEX.test(char)) return false;
        return true;
      }
    }, {
      key: "sumTextWidthByCache",
      value: function sumTextWidthByCache(text, cache) {
        return text.split('').reduce(function (sum, c) {
          if (!cache[c]) throw Error('cannot count the word without cache');
          return sum + cache[c];
        }, 0);
      }
    }, {
      key: "findBreakableIndex",
      value: function findBreakableIndex(line) {
        for (var i = line.length - 1; i >= 0; i--) {
          if (!LATIN_REGEX.test(line[i])) return i;
        }

        return -1;
      }
    }, {
      key: "getFromCache",
      value: function getFromCache(key, letterSpacing, cache, context) {
        var width = cache[key];

        if (typeof width !== 'number') {
          var spacing = key.length * letterSpacing;
          width = context.measureText(key).width + spacing;
          cache[key] = width;
        }

        return width;
      }
    }]);

    return TextService;
  }();

  __decorate$1([inject(OffscreenCanvasCreator), __metadata$1("design:type", OffscreenCanvasCreator)], TextService.prototype, "offscreenCanvas", void 0);

  TextService = __decorate$1([injectable()], TextService);

  var TextUpdater = /*#__PURE__*/function () {
    function TextUpdater() {
      _classCallCheck$2(this, TextUpdater);

      this.dependencies = ['text', 'font', 'fontSize', 'fontFamily', 'fontStyle', 'fontWeight', 'fontVariant', 'lineHeight', 'letterSpacing', 'lineWidth', 'padding', 'wordWrap', 'wordWrapWidth', 'leading', 'textBaseline', 'textAlign', 'whiteSpace:'];
      this.textService = void 0;
    }

    _createClass$2(TextUpdater, [{
      key: "update",
      value: function update(attributes, aabb) {
        var _attributes$text = attributes.text,
            text = _attributes$text === void 0 ? '' : _attributes$text,
            textAlign = attributes.textAlign,
            _attributes$lineWidth = attributes.lineWidth,
            lineWidth = _attributes$lineWidth === void 0 ? 0 : _attributes$lineWidth,
            textBaseline = attributes.textBaseline;

        var _this$textService$mea = this.textService.measureText(text, attributes),
            width = _this$textService$mea.width,
            height = _this$textService$mea.height,
            lineHeight = _this$textService$mea.lineHeight,
            fontProperties = _this$textService$mea.fontProperties; // anchor is left-top by default


        var halfExtents = fromValues$1(width / 2, height / 2, 0); // default 'left'

        var anchor = [0, 1];
        var lineXOffset = 0;

        if (textAlign === 'center') {
          lineXOffset = lineWidth / 2;
          anchor = [0.5, 1];
        } else if (textAlign === 'right' || textAlign === 'end') {
          lineXOffset = lineWidth;
          anchor = [1, 1];
        }

        var lineYOffset = 0;

        if (textBaseline === 'middle') {
          // eslint-disable-next-line prefer-destructuring
          lineYOffset = halfExtents[1];
        } else if (textBaseline === 'top' || textBaseline === 'hanging') {
          lineYOffset = halfExtents[1] * 2;
        } else if (textBaseline === 'alphabetic') {
          lineYOffset = lineHeight - fontProperties.ascent;
        } else if (textBaseline === 'bottom' || textBaseline === 'ideographic') {
          lineYOffset = 0;
        } // TODO: ideographic & bottom


        var center = fromValues$1((1 - anchor[0] * 2) * halfExtents[0] + lineXOffset, (1 - anchor[1] * 2) * halfExtents[1] + lineYOffset, 0);
        aabb.update(center, halfExtents);
      }
    }]);

    return TextUpdater;
  }();

  __decorate$1([inject(TextService), __metadata$1("design:type", TextService)], TextUpdater.prototype, "textService", void 0);

  TextUpdater = __decorate$1([injectable()], TextUpdater);

  var LineUpdater = /*#__PURE__*/function () {
    function LineUpdater() {
      _classCallCheck$2(this, LineUpdater);

      this.dependencies = ['x1', 'y1', 'x2', 'y2', 'lineWidth', 'anchor'];
    }

    _createClass$2(LineUpdater, [{
      key: "update",
      value: function update(attributes, aabb) {
        var x1 = attributes.x1,
            y1 = attributes.y1,
            x2 = attributes.x2,
            y2 = attributes.y2,
            _attributes$lineWidth = attributes.lineWidth,
            lineWidth = _attributes$lineWidth === void 0 ? 0 : _attributes$lineWidth,
            _attributes$lineAppen = attributes.lineAppendWidth,
            lineAppendWidth = _attributes$lineAppen === void 0 ? 0 : _attributes$lineAppen,
            _attributes$anchor = attributes.anchor,
            anchor = _attributes$anchor === void 0 ? [0, 0] : _attributes$anchor;
        var minX = Math.min(x1, x2);
        var maxX = Math.max(x1, x2);
        var minY = Math.min(y1, y2);
        var maxY = Math.max(y1, y2);
        var width = maxX - minX;
        var height = maxY - minY; // anchor is left-top by default

        attributes.x = minX;
        attributes.y = minY;
        attributes.width = width;
        attributes.height = height;
        var halfExtents = fromValues$1(width / 2, height / 2, 0);
        var center = fromValues$1((1 - anchor[0] * 2) * halfExtents[0], (1 - anchor[1] * 2) * halfExtents[1], 0);
        add(halfExtents, halfExtents, fromValues$1(lineWidth + lineAppendWidth, lineWidth + lineAppendWidth, 0));
        aabb.update(center, halfExtents);
      }
    }]);

    return LineUpdater;
  }();

  LineUpdater = __decorate$1([injectable()], LineUpdater);

  var PolylineUpdater = /*#__PURE__*/function () {
    function PolylineUpdater() {
      _classCallCheck$2(this, PolylineUpdater);

      this.dependencies = ['points', 'lineWidth', 'anchor'];
    }

    _createClass$2(PolylineUpdater, [{
      key: "update",
      value: function update(attributes, aabb) {
        var _attributes$lineWidth = attributes.lineWidth,
            lineWidth = _attributes$lineWidth === void 0 ? 0 : _attributes$lineWidth,
            _attributes$anchor = attributes.anchor,
            anchor = _attributes$anchor === void 0 ? [0, 0] : _attributes$anchor; // @ts-ignore

        var points = attributes.points;
        var minX = Math.min.apply(Math, _toConsumableArray$2(points.map(function (point) {
          return point[0];
        })));
        var maxX = Math.max.apply(Math, _toConsumableArray$2(points.map(function (point) {
          return point[0];
        })));
        var minY = Math.min.apply(Math, _toConsumableArray$2(points.map(function (point) {
          return point[1];
        })));
        var maxY = Math.max.apply(Math, _toConsumableArray$2(points.map(function (point) {
          return point[1];
        })));
        var width = maxX - minX;
        var height = maxY - minY; // anchor is left-top by default

        attributes.x = minX;
        attributes.y = minY;
        attributes.width = width;
        attributes.height = height;
        var halfExtents = fromValues$1(width / 2, height / 2, 0);
        var center = fromValues$1((1 - anchor[0] * 2) * halfExtents[0], (1 - anchor[1] * 2) * halfExtents[1], 0);
        add(halfExtents, halfExtents, fromValues$1(lineWidth, lineWidth, 0));
        aabb.update(center, halfExtents);
      }
    }]);

    return PolylineUpdater;
  }();

  PolylineUpdater = __decorate$1([injectable()], PolylineUpdater);

  // @ts-nocheck
  var SPACES$1 = "\t\n\x0B\f\r \xA0\u1680\u180E\u2000\u2001\u2002\u2003\u2004\u2005\u2006\u2007\u2008\u2009\u200A\u202F\u205F\u3000\u2028\u2029";
  var PATH_COMMAND$1 = new RegExp("([a-z])[".concat(SPACES$1, ",]*((-?\\d*\\.?\\d*(?:e[\\-+]?\\d+)?[").concat(SPACES$1, "]*,?[").concat(SPACES$1, "]*)+)"), 'ig');
  var PATH_VALUES$1 = new RegExp("(-?\\d*\\.?\\d*(?:e[\\-+]?\\d+)?)[".concat(SPACES$1, "]*,?[").concat(SPACES$1, "]*"), 'ig'); // Parse given path string into an array of arrays of path segments

  var parsePathString$1 = function parsePathString(pathString) {
    if (!pathString) {
      return null;
    }

    if (isArray(pathString)) {
      return pathString;
    }

    var paramCounts = {
      a: 7,
      c: 6,
      o: 2,
      h: 1,
      l: 2,
      m: 2,
      r: 4,
      q: 4,
      s: 4,
      t: 2,
      v: 1,
      u: 3,
      z: 0
    };
    var data = [];
    String(pathString).replace(PATH_COMMAND$1, function (a, b, c) {
      var params = [];
      var name = b.toLowerCase();
      c.replace(PATH_VALUES$1, function (a, b) {
        b && params.push(+b);
      });

      if (name === 'm' && params.length > 2) {
        data.push([b].concat(params.splice(0, 2)));
        name = 'l';
        b = b === 'm' ? 'l' : 'L';
      }

      if (name === 'o' && params.length === 1) {
        data.push([b, params[0]]);
      }

      if (name === 'r') {
        data.push([b].concat(params));
      } else {
        while (params.length >= paramCounts[name]) {
          data.push([b].concat(params.splice(0, paramCounts[name])));

          if (!paramCounts[name]) {
            break;
          }
        }
      }

      return pathString;
    });
    return data;
  }; // http://schepers.cc/getting-to-the-point


  var catmullRomToBezier = function catmullRomToBezier(crp, z) {
    var d = []; // @ts-ignore

    for (var i = 0, iLen = crp.length; iLen - 2 * !z > i; i += 2) {
      var p = [{
        x: +crp[i - 2],
        y: +crp[i - 1]
      }, {
        x: +crp[i],
        y: +crp[i + 1]
      }, {
        x: +crp[i + 2],
        y: +crp[i + 3]
      }, {
        x: +crp[i + 4],
        y: +crp[i + 5]
      }];

      if (z) {
        if (!i) {
          p[0] = {
            x: +crp[iLen - 2],
            y: +crp[iLen - 1]
          };
        } else if (iLen - 4 === i) {
          p[3] = {
            x: +crp[0],
            y: +crp[1]
          };
        } else if (iLen - 2 === i) {
          p[2] = {
            x: +crp[0],
            y: +crp[1]
          };
          p[3] = {
            x: +crp[2],
            y: +crp[3]
          };
        }
      } else {
        if (iLen - 4 === i) {
          p[3] = p[2];
        } else if (!i) {
          p[0] = {
            x: +crp[i],
            y: +crp[i + 1]
          };
        }
      }

      d.push(['C', (-p[0].x + 6 * p[1].x + p[2].x) / 6, (-p[0].y + 6 * p[1].y + p[2].y) / 6, (p[1].x + 6 * p[2].x - p[3].x) / 6, (p[1].y + 6 * p[2].y - p[3].y) / 6, p[2].x, p[2].y]);
    }

    return d;
  };

  var ellipsePath = function ellipsePath(x, y, rx, ry, a) {
    var res = [];

    if (a === undefined && ry === undefined) {
      ry = rx;
    }

    x = +x;
    y = +y;
    rx = +rx;
    ry = +ry;

    if (a !== undefined) {
      var rad = Math.PI / 180;
      var x1 = x + rx * Math.cos(-ry * rad);
      var x2 = x + rx * Math.cos(-a * rad);
      var y1 = y + rx * Math.sin(-ry * rad);
      var y2 = y + rx * Math.sin(-a * rad);
      res = [['M', x1, y1], ['A', rx, rx, 0, +(a - ry > 180), 0, x2, y2]];
    } else {
      res = [['M', x, y], ['m', 0, -ry], ['a', rx, ry, 0, 1, 1, 0, 2 * ry], ['a', rx, ry, 0, 1, 1, 0, -2 * ry], ['z']];
    }

    return res;
  };

  var pathToAbsolute$1 = function pathToAbsolute(pathArray) {
    pathArray = parsePathString$1(pathArray);

    if (!pathArray || !pathArray.length) {
      return [['M', 0, 0]];
    }

    var res = [];
    var x = 0;
    var y = 0;
    var mx = 0;
    var my = 0;
    var start = 0;
    var pa0;
    var dots;

    if (pathArray[0][0] === 'M') {
      x = +pathArray[0][1];
      y = +pathArray[0][2];
      mx = x;
      my = y;
      start++;
      res[0] = ['M', x, y];
    }

    var crz = pathArray.length === 3 && pathArray[0][0] === 'M' && pathArray[1][0].toUpperCase() === 'R' && pathArray[2][0].toUpperCase() === 'Z';

    for (var r, pa, i = start, ii = pathArray.length; i < ii; i++) {
      res.push(r = []);
      pa = pathArray[i];
      pa0 = pa[0];

      if (pa0 !== pa0.toUpperCase()) {
        r[0] = pa0.toUpperCase();

        switch (r[0]) {
          case 'A':
            r[1] = pa[1];
            r[2] = pa[2];
            r[3] = pa[3];
            r[4] = pa[4];
            r[5] = pa[5];
            r[6] = +pa[6] + x;
            r[7] = +pa[7] + y;
            break;

          case 'V':
            r[1] = +pa[1] + y;
            break;

          case 'H':
            r[1] = +pa[1] + x;
            break;

          case 'R':
            dots = [x, y].concat(pa.slice(1));

            for (var j = 2, jj = dots.length; j < jj; j++) {
              dots[j] = +dots[j] + x;
              dots[++j] = +dots[j] + y;
            }

            res.pop();
            res = res.concat(catmullRomToBezier(dots, crz));
            break;

          case 'O':
            res.pop();
            dots = ellipsePath(x, y, pa[1], pa[2]);
            dots.push(dots[0]);
            res = res.concat(dots);
            break;

          case 'U':
            res.pop();
            res = res.concat(ellipsePath(x, y, pa[1], pa[2], pa[3]));
            r = ['U'].concat(res[res.length - 1].slice(-2));
            break;

          case 'M':
            mx = +pa[1] + x;
            my = +pa[2] + y;
            break;
          // for lint

          default:
            for (var _j = 1, _jj = pa.length; _j < _jj; _j++) {
              r[_j] = +pa[_j] + (_j % 2 ? x : y);
            }

        }
      } else if (pa0 === 'R') {
        dots = [x, y].concat(pa.slice(1));
        res.pop();
        res = res.concat(catmullRomToBezier(dots, crz));
        r = ['R'].concat(pa.slice(-2));
      } else if (pa0 === 'O') {
        res.pop();
        dots = ellipsePath(x, y, pa[1], pa[2]);
        dots.push(dots[0]);
        res = res.concat(dots);
      } else if (pa0 === 'U') {
        res.pop();
        res = res.concat(ellipsePath(x, y, pa[1], pa[2], pa[3]));
        r = ['U'].concat(res[res.length - 1].slice(-2));
      } else {
        for (var k = 0, kk = pa.length; k < kk; k++) {
          r[k] = pa[k];
        }
      }

      pa0 = pa0.toUpperCase();

      if (pa0 !== 'O') {
        switch (r[0]) {
          case 'Z':
            x = +mx;
            y = +my;
            break;

          case 'H':
            x = r[1];
            break;

          case 'V':
            y = r[1];
            break;

          case 'M':
            mx = r[r.length - 2];
            my = r[r.length - 1];
            break;
          // for lint

          default:
            x = r[r.length - 2];
            y = r[r.length - 1];
        }
      }
    }

    return res;
  };

  var l2c = function l2c(x1, y1, x2, y2) {
    return [x1, y1, x2, y2, x2, y2];
  };

  var q2c = function q2c(x1, y1, ax, ay, x2, y2) {
    var _13 = 1 / 3;

    var _23 = 2 / 3;

    return [_13 * x1 + _23 * ax, _13 * y1 + _23 * ay, _13 * x2 + _23 * ax, _13 * y2 + _23 * ay, x2, y2];
  };

  var a2c = function a2c(x1, y1, rx, ry, angle, large_arc_flag, sweep_flag, x2, y2, recursive) {
    // for more information of where this math came from visit:
    // http://www.w3.org/TR/SVG11/implnote.html#ArcImplementationNotes
    if (rx === ry) {
      rx += 1;
    }

    var _120 = Math.PI * 120 / 180;

    var rad = Math.PI / 180 * (+angle || 0);
    var res = [];
    var xy;
    var f1;
    var f2;
    var cx;
    var cy;

    var rotate = function rotate(x, y, rad) {
      var X = x * Math.cos(rad) - y * Math.sin(rad);
      var Y = x * Math.sin(rad) + y * Math.cos(rad);
      return {
        x: X,
        y: Y
      };
    };

    if (!recursive) {
      xy = rotate(x1, y1, -rad);
      x1 = xy.x;
      y1 = xy.y;
      xy = rotate(x2, y2, -rad);
      x2 = xy.x;
      y2 = xy.y;

      if (x1 === x2 && y1 === y2) {
        // 若弧的起始点和终点重叠则错开一点
        x2 += 1;
        y2 += 1;
      } // const cos = Math.cos(Math.PI / 180 * angle);
      // const sin = Math.sin(Math.PI / 180 * angle);


      var x = (x1 - x2) / 2;
      var y = (y1 - y2) / 2;
      var h = x * x / (rx * rx) + y * y / (ry * ry);

      if (h > 1) {
        h = Math.sqrt(h);
        rx = h * rx;
        ry = h * ry;
      }

      var rx2 = rx * rx;
      var ry2 = ry * ry;
      var k = (large_arc_flag === sweep_flag ? -1 : 1) * Math.sqrt(Math.abs((rx2 * ry2 - rx2 * y * y - ry2 * x * x) / (rx2 * y * y + ry2 * x * x)));
      cx = k * rx * y / ry + (x1 + x2) / 2;
      cy = k * -ry * x / rx + (y1 + y2) / 2; // @ts-ignore

      f1 = Math.asin(((y1 - cy) / ry).toFixed(9)); // @ts-ignore

      f2 = Math.asin(((y2 - cy) / ry).toFixed(9));
      f1 = x1 < cx ? Math.PI - f1 : f1;
      f2 = x2 < cx ? Math.PI - f2 : f2;
      f1 < 0 && (f1 = Math.PI * 2 + f1);
      f2 < 0 && (f2 = Math.PI * 2 + f2);

      if (sweep_flag && f1 > f2) {
        f1 = f1 - Math.PI * 2;
      }

      if (!sweep_flag && f2 > f1) {
        f2 = f2 - Math.PI * 2;
      }
    } else {
      f1 = recursive[0];
      f2 = recursive[1];
      cx = recursive[2];
      cy = recursive[3];
    }

    var df = f2 - f1;

    if (Math.abs(df) > _120) {
      var f2old = f2;
      var x2old = x2;
      var y2old = y2;
      f2 = f1 + _120 * (sweep_flag && f2 > f1 ? 1 : -1);
      x2 = cx + rx * Math.cos(f2);
      y2 = cy + ry * Math.sin(f2);
      res = a2c(x2, y2, rx, ry, angle, 0, sweep_flag, x2old, y2old, [f2, f2old, cx, cy]);
    }

    df = f2 - f1;
    var c1 = Math.cos(f1);
    var s1 = Math.sin(f1);
    var c2 = Math.cos(f2);
    var s2 = Math.sin(f2);
    var t = Math.tan(df / 4);
    var hx = 4 / 3 * rx * t;
    var hy = 4 / 3 * ry * t;
    var m1 = [x1, y1];
    var m2 = [x1 + hx * s1, y1 - hy * c1];
    var m3 = [x2 + hx * s2, y2 - hy * c2];
    var m4 = [x2, y2];
    m2[0] = 2 * m1[0] - m2[0];
    m2[1] = 2 * m1[1] - m2[1];

    if (recursive) {
      return [m2, m3, m4].concat(res);
    }

    res = [m2, m3, m4].concat(res).join().split(',');
    var newres = [];

    for (var i = 0, ii = res.length; i < ii; i++) {
      newres[i] = i % 2 ? rotate(res[i - 1], res[i], rad).y : rotate(res[i], res[i + 1], rad).x;
    }

    return newres;
  };

  var pathToCurve = function pathToCurve(path, path2) {
    var p = pathToAbsolute$1(path);
    var p2 = path2 && pathToAbsolute$1(path2);
    var attrs = {
      x: 0,
      y: 0,
      bx: 0,
      by: 0,
      X: 0,
      Y: 0,
      qx: null,
      qy: null
    };
    var attrs2 = {
      x: 0,
      y: 0,
      bx: 0,
      by: 0,
      X: 0,
      Y: 0,
      qx: null,
      qy: null
    };
    var pcoms1 = []; // path commands of original path p

    var pcoms2 = []; // path commands of original path p2

    var pfirst = ''; // temporary holder for original path command

    var pcom = ''; // holder for previous path command of original path

    var ii;

    var processPath = function processPath(path, d, pcom) {
      var nx;
      var ny;

      if (!path) {
        return ['C', d.x, d.y, d.x, d.y, d.x, d.y];
      }

      !(path[0] in {
        T: 1,
        Q: 1
      }) && (d.qx = d.qy = null);

      switch (path[0]) {
        case 'M':
          d.X = path[1];
          d.Y = path[2];
          break;

        case 'A':
          path = ['C'].concat(a2c.apply(0, [d.x, d.y].concat(path.slice(1))));
          break;

        case 'S':
          if (pcom === 'C' || pcom === 'S') {
            // In "S" case we have to take into account, if the previous command is C/S.
            nx = d.x * 2 - d.bx; // And reflect the previous

            ny = d.y * 2 - d.by; // command's control point relative to the current point.
          } else {
            // or some else or nothing
            nx = d.x;
            ny = d.y;
          }

          path = ['C', nx, ny].concat(path.slice(1));
          break;

        case 'T':
          if (pcom === 'Q' || pcom === 'T') {
            // In "T" case we have to take into account, if the previous command is Q/T.
            d.qx = d.x * 2 - d.qx; // And make a reflection similar

            d.qy = d.y * 2 - d.qy; // to case "S".
          } else {
            // or something else or nothing
            d.qx = d.x;
            d.qy = d.y;
          }

          path = ['C'].concat(q2c(d.x, d.y, d.qx, d.qy, path[1], path[2]));
          break;

        case 'Q':
          d.qx = path[1];
          d.qy = path[2];
          path = ['C'].concat(q2c(d.x, d.y, path[1], path[2], path[3], path[4]));
          break;

        case 'L':
          path = ['C'].concat(l2c(d.x, d.y, path[1], path[2]));
          break;

        case 'H':
          path = ['C'].concat(l2c(d.x, d.y, path[1], d.y));
          break;

        case 'V':
          path = ['C'].concat(l2c(d.x, d.y, d.x, path[1]));
          break;

        case 'Z':
          path = ['C'].concat(l2c(d.x, d.y, d.X, d.Y));
          break;
      }

      return path;
    };

    var fixArc = function fixArc(pp, i) {
      if (pp[i].length > 7) {
        pp[i].shift();
        var pi = pp[i];

        while (pi.length) {
          pcoms1[i] = 'A'; // if created multiple C:s, their original seg is saved

          p2 && (pcoms2[i] = 'A'); // the same as above

          pp.splice(i++, 0, ['C'].concat(pi.splice(0, 6)));
        }

        pp.splice(i, 1);
        ii = Math.max(p.length, p2 && p2.length || 0);
      }
    };

    var fixM = function fixM(path1, path2, a1, a2, i) {
      if (path1 && path2 && path1[i][0] === 'M' && path2[i][0] !== 'M') {
        path2.splice(i, 0, ['M', a2.x, a2.y]);
        a1.bx = 0;
        a1.by = 0;
        a1.x = path1[i][1];
        a1.y = path1[i][2];
        ii = Math.max(p.length, p2 && p2.length || 0);
      }
    };

    ii = Math.max(p.length, p2 && p2.length || 0);

    for (var i = 0; i < ii; i++) {
      p[i] && (pfirst = p[i][0]); // save current path command

      if (pfirst !== 'C') {
        // C is not saved yet, because it may be result of conversion
        pcoms1[i] = pfirst; // Save current path command

        i && (pcom = pcoms1[i - 1]); // Get previous path command pcom
      }

      p[i] = processPath(p[i], attrs, pcom); // Previous path command is inputted to processPath

      if (pcoms1[i] !== 'A' && pfirst === 'C') pcoms1[i] = 'C'; // A is the only command
      // which may produce multiple C:s
      // so we have to make sure that C is also C in original path

      fixArc(p, i); // fixArc adds also the right amount of A:s to pcoms1

      if (p2) {
        // the same procedures is done to p2
        p2[i] && (pfirst = p2[i][0]);

        if (pfirst !== 'C') {
          pcoms2[i] = pfirst;
          i && (pcom = pcoms2[i - 1]);
        }

        p2[i] = processPath(p2[i], attrs2, pcom);

        if (pcoms2[i] !== 'A' && pfirst === 'C') {
          pcoms2[i] = 'C';
        }

        fixArc(p2, i);
      }

      fixM(p, p2, attrs, attrs2, i);
      fixM(p2, p, attrs2, attrs, i);
      var seg = p[i];
      var seg2 = p2 && p2[i];
      var seglen = seg.length;
      var seg2len = p2 && seg2.length;
      attrs.x = seg[seglen - 2];
      attrs.y = seg[seglen - 1];
      attrs.bx = parseFloat(seg[seglen - 4]) || attrs.x;
      attrs.by = parseFloat(seg[seglen - 3]) || attrs.y;
      attrs2.bx = p2 && (parseFloat(seg2[seg2len - 4]) || attrs2.x);
      attrs2.by = p2 && (parseFloat(seg2[seg2len - 3]) || attrs2.y);
      attrs2.x = p2 && seg2[seg2len - 2];
      attrs2.y = p2 && seg2[seg2len - 1];
    }

    return p2 ? [p, p2] : p;
  };

  var PathUpdater = /*#__PURE__*/function () {
    function PathUpdater() {
      _classCallCheck$2(this, PathUpdater);

      this.dependencies = ['path', 'lineWidth', 'anchor'];
    }

    _createClass$2(PathUpdater, [{
      key: "update",
      value: function update(attributes, aabb) {
        // format path and add some extra attributes for later use
        var path = pathToAbsolute(attributes.path);
        attributes.path = path;
        var _attributes$lineWidth = attributes.lineWidth,
            lineWidth = _attributes$lineWidth === void 0 ? 1 : _attributes$lineWidth,
            _attributes$anchor = attributes.anchor,
            anchor = _attributes$anchor === void 0 ? [0, 0] : _attributes$anchor;
        attributes.hasArc = hasArc(path);
        attributes.segments = getSegments(path);

        var _extractPolygons = extractPolygons(path),
            polygons = _extractPolygons.polygons,
            polylines = _extractPolygons.polylines;

        attributes.polygons = polygons;
        attributes.polylines = polylines;
        attributes.curve = pathToCurve(path);

        var _calcLength = calcLength(attributes.curve),
            totalLength = _calcLength.totalLength,
            curveSegments = _calcLength.curveSegments;

        attributes.totalLength = totalLength;
        attributes.curveSegments = curveSegments;

        var _getPathBox = getPathBox(attributes.segments, lineWidth),
            minX = _getPathBox.x,
            minY = _getPathBox.y,
            width = _getPathBox.width,
            height = _getPathBox.height; // anchor is left-top by default


        attributes.x = minX;
        attributes.y = minY;
        attributes.width = width;
        attributes.height = height;
        var halfExtents = fromValues$1(width / 2, height / 2, 0);
        var center = fromValues$1((1 - anchor[0] * 2) * halfExtents[0], (1 - anchor[1] * 2) * halfExtents[1], 0);
        add(halfExtents, halfExtents, fromValues$1(lineWidth, lineWidth, 0));
        aabb.update(center, halfExtents);
      }
    }]);

    return PathUpdater;
  }();

  PathUpdater = __decorate$1([injectable()], PathUpdater);

  function getPathBox(segments, lineWidth) {
    var xArr = [];
    var yArr = [];
    var segmentsWithAngle = [];

    for (var i = 0; i < segments.length; i++) {
      var segment = segments[i];
      var currentPoint = segment.currentPoint,
          params = segment.params,
          prePoint = segment.prePoint;
      var box = void 0;

      switch (segment.command) {
        case 'Q':
          box = quadratic.box(prePoint[0], prePoint[1], params[1], params[2], params[3], params[4]);
          break;

        case 'C':
          box = cubic.box(prePoint[0], prePoint[1], params[1], params[2], params[3], params[4], params[5], params[6]);
          break;

        case 'A':
          // eslint-disable-next-line no-case-declarations
          var arcParams = segment.arcParams;
          box = arc.box(arcParams.cx, arcParams.cy, arcParams.rx, arcParams.ry, arcParams.xRotation, arcParams.startAngle, arcParams.endAngle);
          break;

        default:
          xArr.push(currentPoint[0]);
          yArr.push(currentPoint[1]);
          break;
      }

      if (box) {
        segment.box = box;
        xArr.push(box.x, box.x + box.width);
        yArr.push(box.y, box.y + box.height);
      }

      if (lineWidth && (segment.command === 'L' || segment.command === 'M') && segment.prePoint && segment.nextPoint) {
        segmentsWithAngle.push(segment);
      }
    } // bbox calculation should ignore NaN for path attribute
    // ref: https://github.com/antvis/g/issues/210


    xArr = xArr.filter(function (item) {
      return !Number.isNaN(item);
    });
    yArr = yArr.filter(function (item) {
      return !Number.isNaN(item);
    });
    var minX = min$1(xArr);
    var minY = min$1(yArr);
    var maxX = max$1(xArr);
    var maxY = max$1(yArr);

    if (segmentsWithAngle.length === 0) {
      return {
        x: minX,
        y: minY,
        width: maxX - minX,
        height: maxY - minY
      };
    }

    for (var _i = 0; _i < segmentsWithAngle.length; _i++) {
      var _segment = segmentsWithAngle[_i];
      var _currentPoint = _segment.currentPoint;
      var extra = void 0;

      if (_currentPoint[0] === minX) {
        extra = getExtraFromSegmentWithAngle(_segment, lineWidth);
        minX -= extra.xExtra;
      } else if (_currentPoint[0] === maxX) {
        extra = getExtraFromSegmentWithAngle(_segment, lineWidth);
        maxX += extra.xExtra;
      }

      if (_currentPoint[1] === minY) {
        extra = getExtraFromSegmentWithAngle(_segment, lineWidth);
        minY -= extra.yExtra;
      } else if (_currentPoint[1] === maxY) {
        extra = getExtraFromSegmentWithAngle(_segment, lineWidth);
        maxY += extra.yExtra;
      }
    }

    return {
      x: minX,
      y: minY,
      width: maxX - minX,
      height: maxY - minY
    };
  }

  function getExtraFromSegmentWithAngle(segment, lineWidth) {
    var prePoint = segment.prePoint,
        currentPoint = segment.currentPoint,
        nextPoint = segment.nextPoint;
    var currentAndPre = // eslint-disable-next-line no-restricted-properties
    Math.pow(currentPoint[0] - prePoint[0], 2) + Math.pow(currentPoint[1] - prePoint[1], 2);
    var currentAndNext = // eslint-disable-next-line no-restricted-properties
    Math.pow(currentPoint[0] - nextPoint[0], 2) + Math.pow(currentPoint[1] - nextPoint[1], 2);
    var preAndNext = // eslint-disable-next-line no-restricted-properties
    Math.pow(prePoint[0] - nextPoint[0], 2) + Math.pow(prePoint[1] - nextPoint[1], 2); // 以 currentPoint 为顶点的夹角

    var currentAngle = Math.acos((currentAndPre + currentAndNext - preAndNext) / (2 * Math.sqrt(currentAndPre) * Math.sqrt(currentAndNext))); // 夹角为空、 0 或 PI 时，不需要计算夹角处的额外宽度
    // 注意: 由于计算精度问题，夹角为 0 的情况计算出来的角度可能是一个很小的值，还需要判断其与 0 是否近似相等

    if (!currentAngle || Math.sin(currentAngle) === 0 || isNumberEqual(currentAngle, 0)) {
      return {
        xExtra: 0,
        yExtra: 0
      };
    }

    var xAngle = Math.abs(Math.atan2(nextPoint[1] - currentPoint[1], nextPoint[0] - currentPoint[0]));
    var yAngle = Math.abs(Math.atan2(nextPoint[0] - currentPoint[0], nextPoint[1] - currentPoint[1])); // 将夹角转为锐角

    xAngle = xAngle > Math.PI / 2 ? Math.PI - xAngle : xAngle;
    yAngle = yAngle > Math.PI / 2 ? Math.PI - yAngle : yAngle; // 这里不考虑在水平和垂直方向的投影，直接使用最大差值
    // 由于上层统一加减了二分之一线宽，这里需要进行弥补

    var extra = {
      // 水平方向投影
      xExtra: Math.cos(currentAngle / 2 - xAngle) * (lineWidth / 2 * (1 / Math.sin(currentAngle / 2))) - lineWidth / 2 || 0,
      // 垂直方向投影
      yExtra: Math.cos(yAngle - currentAngle / 2) * (lineWidth / 2 * (1 / Math.sin(currentAngle / 2))) - lineWidth / 2 || 0
    };
    return extra;
  }

  function hasArc(path) {
    var hasArc = false;
    var count = path.length;

    for (var i = 0; i < count; i++) {
      var params = path[i];
      var cmd = params[0];

      if (cmd === 'C' || cmd === 'A' || cmd === 'Q') {
        hasArc = true;
        break;
      }
    }

    return hasArc;
  }

  function extractPolygons(path) {
    var count = path.length;
    var polygons = [];
    var polylines = [];
    var points = []; // 防止第一个命令不是 'M'

    for (var i = 0; i < count; i++) {
      var params = path[i];
      var cmd = params[0];

      if (cmd === 'M') {
        // 遇到 'M' 判定是否是新数组，新数组中没有点
        if (points.length) {
          // 如果存在点，则说明没有遇到 'Z'，开始了一个新的多边形
          polylines.push(points);
          points = []; // 创建新的点
        }

        points.push([params[1], params[2]]);
      } else if (cmd === 'Z') {
        if (points.length) {
          // 存在点
          polygons.push(points);
          points = []; // 开始新的点集合
        } // 如果不存在点，同时 'Z'，则说明是错误，不处理

      } else {
        points.push([params[1], params[2]]);
      }
    } // 说明 points 未放入 polygons 或者 polyline
    // 仅当只有一个 M，没有 Z 时会发生这种情况


    if (points.length > 0) {
      polylines.push(points);
    }

    return {
      polygons: polygons,
      polylines: polylines
    };
  }

  function calcLength(curve) {
    var totalLength = 0;
    var tempLength = 0; // 每段 curve 对应起止点的长度比例列表，形如: [[0, 0.25], [0.25, 0.6]. [0.6, 0.9], [0.9, 1]]

    var curveSegments = [];
    var segmentT;
    var segmentL;
    var segmentN;
    var l;

    if (!curve) {
      return {
        curveSegments: [],
        totalLength: totalLength
      };
    }

    curve.forEach(function (segment, i) {
      segmentN = curve[i + 1];
      l = segment.length;

      if (segmentN) {
        totalLength += cubic.length(segment[l - 2], segment[l - 1], segmentN[1], segmentN[2], segmentN[3], segmentN[4], segmentN[5], segmentN[6]) || 0;
      }
    });

    if (totalLength === 0) {
      return {
        curveSegments: [],
        totalLength: totalLength
      };
    }

    curve.forEach(function (segment, i) {
      segmentN = curve[i + 1];
      l = segment.length;

      if (segmentN) {
        segmentT = [];
        segmentT[0] = tempLength / totalLength;
        segmentL = cubic.length(segment[l - 2], segment[l - 1], segmentN[1], segmentN[2], segmentN[3], segmentN[4], segmentN[5], segmentN[6]); // 当 path 不连续时，segmentL 可能为空，为空时需要作为 0 处理

        tempLength += segmentL || 0;
        segmentT[1] = tempLength / totalLength;
        curveSegments.push(segmentT);
      }
    });
    return {
      curveSegments: curveSegments,
      totalLength: totalLength
    };
  }

  var GeometryUpdaterFactory = Symbol('GeometryUpdaterFactory');
  var GeometryAABBUpdater = Symbol('GeometryAABBGenerator');

  /**
   * @see /zh/docs/api/basic/display-object#clippath
   * @example
    const image = new Image({
      style: {
        width: 200,
        height: 200,
        clipPath: new Circle({
          style: {
            x: 100, // 处于被裁剪图形局部坐标系下
            y: 100,
            r: 50,
          },
        }),
      }
    });
   */

  var ClipPath = /*#__PURE__*/function () {
    function ClipPath() {
      _classCallCheck$2(this, ClipPath);
    }

    _createClass$2(ClipPath, [{
      key: "update",
      value: function update(oldClipPath, newClipPath, object) {
        // clear ref to old clip path
        if (oldClipPath && oldClipPath !== newClipPath && oldClipPath.style.clipPathTargets) {
          var index = oldClipPath.style.clipPathTargets.indexOf(object);
          oldClipPath.style.clipPathTargets.splice(index, 1);
        }

        if (newClipPath) {
          if (!newClipPath.style.clipPathTargets) {
            newClipPath.style.clipPathTargets = [];
          }

          newClipPath.style.clipPathTargets.push(object);
        } // re-calc target's AABB


        object.getEntity().getComponent(Renderable).aabbDirty = true;
      }
    }]);

    return ClipPath;
  }();

  ClipPath = __decorate$1([injectable()], ClipPath);

  var regexLG = /^l\s*\(\s*([\d.]+)\s*\)\s*(.*)/i;
  var regexRG = /^r\s*\(\s*([\d.]+)\s*,\s*([\d.]+)\s*,\s*([\d.]+)\s*\)\s*(.*)/i;
  var regexPR = /^p\s*\(\s*([axyn])\s*\)\s*(.*)/i;
  var regexColorStop = /[\d.]+:(#[^\s]+|[^\)]+\))/gi;
  var PARSED_COLOR_TYPE;

  (function (PARSED_COLOR_TYPE) {
    PARSED_COLOR_TYPE[PARSED_COLOR_TYPE["Constant"] = 0] = "Constant";
    PARSED_COLOR_TYPE[PARSED_COLOR_TYPE["LinearGradient"] = 1] = "LinearGradient";
    PARSED_COLOR_TYPE[PARSED_COLOR_TYPE["RadialGradient"] = 2] = "RadialGradient";
    PARSED_COLOR_TYPE[PARSED_COLOR_TYPE["Pattern"] = 3] = "Pattern";
  })(PARSED_COLOR_TYPE || (PARSED_COLOR_TYPE = {}));
  /**
   * used in `fill`, `stroke`, support the following types:
   * * constant value, eg. 'red' '#fff' 'rgba()'
   * * gradient & pattern
   * @see https://developer.mozilla.org/zh-CN/docs/Web/API/CanvasRenderingContext2D/createLinearGradient
   */


  var Color$1 = /*#__PURE__*/function () {
    function Color() {
      _classCallCheck$2(this, Color);

      this.initialValue = '';
    }

    _createClass$2(Color, [{
      key: "parse",
      value: function parse(colorStr, displayObject) {
        var type = colorStr[0];

        if (colorStr[1] === '(' || colorStr[2] === '(') {
          if (type === 'l') {
            var parsedLineGradient = parseLineGradient(colorStr);

            if (parsedLineGradient) {
              return {
                type: PARSED_COLOR_TYPE.LinearGradient,
                value: parsedLineGradient,
                formatted: ''
              };
            }
          } else if (type === 'r') {
            var parsedRadialGradient = parseRadialGradient(colorStr);

            if (parsedRadialGradient) {
              if (isString(parsedRadialGradient)) {
                colorStr = parsedRadialGradient;
              } else {
                return {
                  type: PARSED_COLOR_TYPE.RadialGradient,
                  value: parsedRadialGradient,
                  formatted: ''
                };
              }
            }
          } else if (type === 'p') {
            var pattern = parsePattern(colorStr);

            if (pattern) {
              return {
                type: PARSED_COLOR_TYPE.Pattern,
                value: pattern,
                formatted: ''
              };
            }
          }
        } // constants


        var color$1 = color(colorStr);
        var rgba = [0, 0, 0, 0];

        if (color$1 !== null) {
          rgba[0] = color$1.r / 255;
          rgba[1] = color$1.g / 255;
          rgba[2] = color$1.b / 255;
          rgba[3] = color$1.opacity;
        }

        return {
          type: PARSED_COLOR_TYPE.Constant,
          value: rgba,
          formatted: "rgba(".concat(color$1.r, ",").concat(color$1.g, ",").concat(color$1.b, ",").concat(color$1.opacity, ")")
        };
      }
    }, {
      key: "merge",
      value: function merge(left, right) {}
    }]);

    return Color;
  }();

  Color$1 = __decorate$1([injectable()], Color$1);

  function parsePattern(patternStr) {
    var arr = regexPR.exec(patternStr);

    if (arr) {
      var repetition = arr[1];
      var src = arr[2];

      switch (repetition) {
        case 'a':
          repetition = 'repeat';
          break;

        case 'x':
          repetition = 'repeat-x';
          break;

        case 'y':
          repetition = 'repeat-y';
          break;

        case 'n':
          repetition = 'no-repeat';
          break;

        default:
          repetition = 'no-repeat';
      }

      return {
        src: src,
        repetition: repetition
      };
    }

    return null;
  }

  function parseLineGradient(gradientStr) {
    var arr = regexLG.exec(gradientStr);

    if (arr) {
      var _arr$2$match;

      var angle = parseFloat(arr[1]) % 360 * (Math.PI / 180);
      var steps = ((_arr$2$match = arr[2].match(regexColorStop)) === null || _arr$2$match === void 0 ? void 0 : _arr$2$match.map(function (stop) {
        return stop.split(':');
      })) || [];
      var maxX = 1,
          maxY = 1;
      var minX = 0,
          minY = 0;
      var start;
      var end;

      if (angle >= 0 && angle < 1 / 2 * Math.PI) {
        start = {
          x: minX,
          y: minY
        };
        end = {
          x: maxX,
          y: maxY
        };
      } else if (1 / 2 * Math.PI <= angle && angle < Math.PI) {
        start = {
          x: maxX,
          y: minY
        };
        end = {
          x: minX,
          y: maxY
        };
      } else if (Math.PI <= angle && angle < 3 / 2 * Math.PI) {
        start = {
          x: maxX,
          y: maxY
        };
        end = {
          x: minX,
          y: minY
        };
      } else {
        start = {
          x: minX,
          y: maxY
        };
        end = {
          x: maxX,
          y: minY
        };
      }

      var tanTheta = Math.tan(angle);
      var tanTheta2 = tanTheta * tanTheta;
      var x = (end.x - start.x + tanTheta * (end.y - start.y)) / (tanTheta2 + 1) + start.x;
      var y = tanTheta * (end.x - start.x + tanTheta * (end.y - start.y)) / (tanTheta2 + 1) + start.y;
      return {
        x0: start.x,
        y0: start.y,
        x1: x,
        y1: y,
        steps: steps
      };
    }

    return null;
  }

  function parseRadialGradient(gradientStr) {
    var arr = regexRG.exec(gradientStr);

    if (arr) {
      var _arr$4$match;

      var fx = parseFloat(arr[1]);
      var fy = parseFloat(arr[2]);
      var fr = parseFloat(arr[3]);
      var steps = ((_arr$4$match = arr[4].match(regexColorStop)) === null || _arr$4$match === void 0 ? void 0 : _arr$4$match.map(function (stop) {
        return stop.split(':');
      })) || []; // 环半径为0时，默认无渐变，取渐变序列的最后一个颜色

      if (fr === 0) {
        var colors = arr[4].match(regexColorStop);
        return colors[colors.length - 1].split(':')[1];
      }

      return {
        x0: fx,
        y0: fy,
        r0: 0,
        x1: 0.5,
        y1: 0.5,
        r1: fr,
        steps: steps
      };
    }

    return null;
  }

  var ZIndex = /*#__PURE__*/function () {
    function ZIndex() {
      _classCallCheck$2(this, ZIndex);
    }

    _createClass$2(ZIndex, [{
      key: "update",
      value: function update(oldZIndex, newZIndex, object) {
        if (object.parentNode) {
          var parentEntity = object.parentNode.getEntity();
          var parentRenderable = parentEntity.getComponent(Renderable);
          var parentSortable = parentEntity.getComponent(Sortable);

          if (parentRenderable) {
            parentRenderable.dirty = true;
          } // need re-sort on parent


          if (parentSortable) {
            parentSortable.dirty = true;
          }
        }
      }
    }]);

    return ZIndex;
  }();

  ZIndex = __decorate$1([injectable()], ZIndex);

  /**
   * @see /zh/docs/api/animation#%E8%B7%AF%E5%BE%84%E5%8A%A8%E7%94%BB
   */

  var OffsetPath = /*#__PURE__*/function () {
    function OffsetPath() {
      _classCallCheck$2(this, OffsetPath);
    }

    _createClass$2(OffsetPath, [{
      key: "update",
      value: function update(oldOffsetPath, newOffsetPath, object) {
        // clear ref to old clip path
        if (oldOffsetPath && oldOffsetPath !== newOffsetPath && oldOffsetPath.style.offsetPathTargets) {
          var index = oldOffsetPath.style.offsetPathTargets.indexOf(object);
          oldOffsetPath.style.offsetPathTargets.splice(index, 1);
        }

        if (newOffsetPath) {
          if (!newOffsetPath.style.offsetPathTargets) {
            newOffsetPath.style.offsetPathTargets = [];
          }

          newOffsetPath.style.offsetPathTargets.push(object);
        }
      }
    }]);

    return OffsetPath;
  }();

  OffsetPath = __decorate$1([injectable()], OffsetPath);

  /**
   * @see /zh/docs/api/animation#%E8%B7%AF%E5%BE%84%E5%8A%A8%E7%94%BB
   */

  var OffsetDistance = /*#__PURE__*/function () {
    function OffsetDistance() {
      _classCallCheck$2(this, OffsetDistance);
    }

    _createClass$2(OffsetDistance, [{
      key: "update",
      value: function update(oldOffsetDistance, newOffsetDistance, object) {
        if (!object.attributes.offsetPath) {
          return;
        }

        var offsetPathNodeName = object.attributes.offsetPath.nodeName;

        if (offsetPathNodeName === SHAPE.Line || offsetPathNodeName === SHAPE.Path || offsetPathNodeName === SHAPE.Polyline) {
          var point = object.attributes.offsetPath.getPoint(newOffsetDistance);

          if (point) {
            object.setLocalPosition(point.x, point.y);
          }
        }
      }
    }]);

    return OffsetDistance;
  }();

  OffsetDistance = __decorate$1([injectable()], OffsetDistance);

  var ContextService = Symbol('ContextService');

  /**
   * why we need re-render
   */
  var RENDER_REASON;

  (function (RENDER_REASON) {
    RENDER_REASON[RENDER_REASON["CameraChanged"] = 0] = "CameraChanged";
    RENDER_REASON[RENDER_REASON["DisplayObjectChanged"] = 1] = "DisplayObjectChanged";
    RENDER_REASON[RENDER_REASON["DisplayObjectRemoved"] = 2] = "DisplayObjectRemoved";
    RENDER_REASON[RENDER_REASON["None"] = 3] = "None";
  })(RENDER_REASON || (RENDER_REASON = {}));

  var RenderingContext = Symbol('RenderingContext');

  var ContributionProvider = Symbol('ContributionProvider');

  var ContainerBasedContributionProvider = /*#__PURE__*/function () {
    function ContainerBasedContributionProvider(serviceIdentifier, container) {
      _classCallCheck$2(this, ContainerBasedContributionProvider);

      this.serviceIdentifier = void 0;
      this.container = void 0;
      this.services = void 0;
      this.serviceIdentifier = serviceIdentifier;
      this.container = container;
    }

    _createClass$2(ContainerBasedContributionProvider, [{
      key: "getContributions",
      value: function getContributions(recursive) {
        if (this.services === undefined) {
          var currentServices = [];
          var currentContainer = this.container;

          while (currentContainer !== null) {
            if (currentContainer.isBound(this.serviceIdentifier)) {
              try {
                currentServices.push.apply(currentServices, _toConsumableArray$2(currentContainer.getAll(this.serviceIdentifier)));
              } catch (error) {
                console.error(error);
              }
            }

            currentContainer = recursive === true ? currentContainer.parent : null;
          }

          this.services = currentServices;
        }

        return this.services;
      }
    }]);

    return ContainerBasedContributionProvider;
  }();

  var Bindable;

  (function (Bindable) {
    function isContainer(arg) {
      return typeof arg !== 'function' && ('guid' in arg || 'parent' in arg);
    }

    Bindable.isContainer = isContainer;
  })(Bindable || (Bindable = {}));

  function bindContributionProvider(bindable, id) {
    var bindingToSyntax = Bindable.isContainer(bindable) ? bindable.bind(ContributionProvider) : bindable(ContributionProvider);
    bindingToSyntax.toDynamicValue(function (ctx) {
      return new ContainerBasedContributionProvider(id, ctx.container);
    }).inSingletonScope().whenTargetNamed(id);
  }

  var RenderingPluginContribution = Symbol('RenderingPluginContribution');
  /**
   * Use frame renderer implemented by `g-canvas/svg/webgl`, in every frame we do followings:
   * * update & merge dirty rectangles
   * * begin frame
   * * filter by visible
   * * sort by z-index in scene graph
   * * culling with strategies registered in `g-canvas/webgl`
   * * end frame
   */

  var RenderingService = /*#__PURE__*/function () {
    function RenderingService() {
      _classCallCheck$2(this, RenderingService);

      this.renderingPluginContribution = void 0;
      this.renderingContext = void 0;
      this.hooks = {
        init: new lib.SyncHook(),
        prepare: new lib.SyncWaterfallHook(['object']),
        mounted: new lib.SyncHook(['object']),
        unmounted: new lib.SyncHook(['object']),
        attributeChanged: new lib.SyncHook(['object', 'name', 'value']),

        /**
         * called at beginning of each frame, won't get called if nothing to re-render
         */
        beginFrame: new lib.SyncHook([]),
        beforeRender: new lib.SyncHook(['objectToRender']),
        render: new lib.SyncHook(['objectToRender']),
        afterRender: new lib.SyncHook(['objectToRender']),
        endFrame: new lib.SyncHook([]),
        destroy: new lib.SyncHook(),
        pick: new lib.SyncWaterfallHook(['result']),
        pointerDown: new lib.SyncHook(['event']),
        pointerUp: new lib.SyncHook(['event']),
        pointerMove: new lib.SyncHook(['event']),
        pointerOut: new lib.SyncHook(['event']),
        pointerOver: new lib.SyncHook(['event']),
        pointerWheel: new lib.SyncHook(['event'])
      };
    }

    _createClass$2(RenderingService, [{
      key: "init",
      value: function init() {
        var _this = this;

        // register rendering plugins
        this.renderingPluginContribution.getContributions(true).forEach(function (plugin) {
          plugin.apply(_this);
        });
        this.hooks.init.call();
      }
    }, {
      key: "render",
      value: function render() {
        if (this.renderingContext.renderReasons.size) {
          this.renderDisplayObject(this.renderingContext.root);

          if (this.renderingContext.dirty) {
            this.hooks.endFrame.call();
            this.renderingContext.dirty = false;
          } else {
            if (this.renderingContext.renderReasons.has(RENDER_REASON.DisplayObjectRemoved)) {
              this.hooks.beginFrame.call();
              this.hooks.endFrame.call();
            }
          }

          this.renderingContext.renderReasons.clear();
        }
      }
    }, {
      key: "destroy",
      value: function destroy() {
        this.hooks.destroy.call();
      }
    }, {
      key: "dirtify",
      value: function dirtify() {
        // need re-render
        this.renderingContext.renderReasons.add(RENDER_REASON.DisplayObjectChanged);
      }
    }, {
      key: "renderDisplayObject",
      value: function renderDisplayObject(displayObject) {
        var _objectToRender$getEn,
            _this2 = this;

        var entity = displayObject === null || displayObject === void 0 ? void 0 : displayObject.getEntity(); // render itself

        var objectToRender = this.hooks.prepare.call(displayObject); // console.log(objectToRender);

        if (objectToRender) {
          if (!this.renderingContext.dirty) {
            this.renderingContext.dirty = true;
            this.hooks.beginFrame.call();
          }

          this.hooks.beforeRender.call(objectToRender);
          this.hooks.render.call(objectToRender);
          this.hooks.afterRender.call(objectToRender);
          entity.getComponent(Renderable).dirty = false;
        }

        if ((objectToRender === null || objectToRender === void 0 ? void 0 : (_objectToRender$getEn = objectToRender.getEntity().getComponent(SceneGraphNode)) === null || _objectToRender$getEn === void 0 ? void 0 : _objectToRender$getEn.tagName) !== Batch.tag) {
          // sort is very expensive, use cached result if posible
          var sortable = entity.getComponent(Sortable);

          if (sortable.dirty) {
            sortable.sorted = _toConsumableArray$2(displayObject.children).sort(sortByZIndex);
            sortable.dirty = false;
          } // recursive rendering its children


          (sortable.sorted || displayObject.children).forEach(function (child) {
            _this2.renderDisplayObject(child);
          });
        }
      }
    }]);

    return RenderingService;
  }();

  __decorate$1([inject(ContributionProvider), named(RenderingPluginContribution), __metadata$1("design:type", Object)], RenderingService.prototype, "renderingPluginContribution", void 0);

  __decorate$1([inject(RenderingContext), __metadata$1("design:type", Object)], RenderingService.prototype, "renderingContext", void 0);

  RenderingService = __decorate$1([injectable()], RenderingService);

  /**
   * An DOM-compatible synthetic event implementation that is "forwarded" on behalf of an original
   * FederatedEvent or native {@link https://dom.spec.whatwg.org/#event Event}.
   */

  var FederatedEvent = /*#__PURE__*/function () {
    /**
     * The event boundary which manages this event. Propagation can only occur
     *  within the boundary's jurisdiction.
     */
    function FederatedEvent(manager) {
      _classCallCheck$2(this, FederatedEvent);

      this.type = void 0;
      this.eventPhase = FederatedEvent.prototype.NONE;
      this.target = void 0;
      this.bubbles = true;
      this.cancelBubble = true;
      this.cancelable = false;
      this.currentTarget = void 0;
      this.defaultPrevented = false;
      this.timeStamp = void 0;
      this.nativeEvent = void 0;
      this._originalEvent = void 0;
      this.propagationStopped = false;
      this.propagationImmediatelyStopped = false;
      this.manager = void 0;
      this.detail = void 0;
      this.layer = new Point();
      this.page = new Point();
      this.canvas = new Point();
      this.path = void 0;
      this.view = void 0;
      this.which = void 0;
      this.returnValue = void 0;
      this.srcElement = void 0;
      this.composed = false;
      this.isTrusted = void 0;
      this.NONE = 0;
      this.CAPTURING_PHASE = 1;
      this.AT_TARGET = 2;
      this.BUBBLING_PHASE = 3;
      this.manager = manager;
    }

    _createClass$2(FederatedEvent, [{
      key: "name",
      get:
      /**
       * The type of event, supports the following:
       * * pointerdown
       * * touchstart
       * * mousedown
       * * rightdown
       * * ...
       */

      /**
       * @deprecated
       */
      function get() {
        return this.type;
      }
      /**
       * The propagation phase.
       * @see https://developer.mozilla.org/en-US/docs/Web/API/Event/eventPhase
       */

    }, {
      key: "originalEvent",
      get:
      /**
       * @deprecated
       */
      function get() {
        return this.nativeEvent;
      }
      /** The original event that caused this event, if any. */

    }, {
      key: "layerX",
      get: function get() {
        return this.layer.x;
      }
    }, {
      key: "layerY",
      get: function get() {
        return this.layer.y;
      }
      /**
       * The coordinates of the event relative to the DOM document.
       * This is a non-standard property.
       * relative to the DOM document.
       * @see https://developer.mozilla.org/zh-CN/docs/Web/API/MouseEvent/pageX
       */

    }, {
      key: "pageX",
      get: function get() {
        return this.page.x;
      }
    }, {
      key: "pageY",
      get: function get() {
        return this.page.y;
      }
      /**
       * relative to Canvas, origin is left-top
       */

    }, {
      key: "x",
      get: function get() {
        return this.canvas.x;
      }
    }, {
      key: "y",
      get: function get() {
        return this.canvas.y;
      }
    }, {
      key: "composedPath",
      value:
      /**
       * The propagation path for this event
       * @see https://developer.mozilla.org/zh-CN/docs/Web/API/Event/composedPath
       *
       * So composedPath()[0] represents the original target.
       * @see https://polymer-library.polymer-project.org/3.0/docs/devguide/events#retargeting
       */
      function composedPath() {
        if (this.manager && (!this.path || this.path[0] !== this.target)) {
          this.path = this.target ? this.manager.propagationPath(this.target) : [];
        }

        return this.path;
      }
      /**
       * @deprecated
       */

    }, {
      key: "propagationPath",
      get: function get() {
        return this.composedPath();
      }
      /**
       * @see https://developer.mozilla.org/zh-CN/docs/Web/API/Event/preventDefault
       */

    }, {
      key: "preventDefault",
      value: function preventDefault() {
        if (this.nativeEvent instanceof Event && this.nativeEvent.cancelable) {
          this.nativeEvent.preventDefault();
        }

        this.defaultPrevented = true;
      }
      /**
       * @see https://developer.mozilla.org/zh-CN/docs/Web/API/Event/stopImmediatePropagation
       */

    }, {
      key: "stopImmediatePropagation",
      value: function stopImmediatePropagation() {
        this.propagationImmediatelyStopped = true;
      }
      /**
       * @see https://developer.mozilla.org/zh-CN/docs/Web/API/Event/stopPropagation
       */

    }, {
      key: "stopPropagation",
      value: function stopPropagation() {
        this.propagationStopped = true;
      }
      /**
       * added for compatibility with DOM Event,
       * deprecated props and methods
       */

    }, {
      key: "initEvent",
      value: function initEvent() {}
    }, {
      key: "initUIEvent",
      value: function initUIEvent() {}
    }]);

    return FederatedEvent;
  }();

  var FederatedMouseEvent = /*#__PURE__*/function (_FederatedEvent) {
    _inherits$2(FederatedMouseEvent, _FederatedEvent);

    var _super = _createSuper$2(FederatedMouseEvent);

    function FederatedMouseEvent() {
      var _this;

      _classCallCheck$2(this, FederatedMouseEvent);

      for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
        args[_key] = arguments[_key];
      }

      _this = _super.call.apply(_super, [this].concat(args));
      _this.altKey = void 0;
      _this.button = void 0;
      _this.buttons = void 0;
      _this.ctrlKey = void 0;
      _this.metaKey = void 0;
      _this.relatedTarget = void 0;
      _this.shiftKey = void 0;
      _this.client = new Point();
      _this.movement = new Point();
      _this.offset = new Point();
      _this.global = new Point();
      _this.screen = new Point();
      return _this;
    }

    _createClass$2(FederatedMouseEvent, [{
      key: "clientX",
      get: function get() {
        return this.client.x;
      }
    }, {
      key: "clientY",
      get: function get() {
        return this.client.y;
      }
      /**
       * The movement in this pointer relative to the last `mousemove` event.
       */

    }, {
      key: "movementX",
      get: function get() {
        return this.movement.x;
      }
    }, {
      key: "movementY",
      get: function get() {
        return this.movement.y;
      }
      /**
       * The offset of the pointer coordinates w.r.t. target DisplayObject in world space. This is
       * not supported at the moment.
       */

    }, {
      key: "offsetX",
      get: function get() {
        return this.offset.x;
      }
    }, {
      key: "offsetY",
      get: function get() {
        return this.offset.y;
      }
      /**
       * The pointer coordinates in world space.
       */

    }, {
      key: "globalX",
      get: function get() {
        return this.global.x;
      }
    }, {
      key: "globalY",
      get: function get() {
        return this.global.y;
      }
      /**
       * The pointer coordinates in sceen space.
       */

    }, {
      key: "screenX",
      get: function get() {
        return this.screen.x;
      }
    }, {
      key: "screenY",
      get: function get() {
        return this.screen.y;
      }
    }, {
      key: "getModifierState",
      value: function getModifierState(key) {
        return 'getModifierState' in this.nativeEvent && this.nativeEvent.getModifierState(key);
      }
    }, {
      key: "initMouseEvent",
      value: function initMouseEvent() {
        throw new Error('Method not implemented.');
      }
    }]);

    return FederatedMouseEvent;
  }(FederatedEvent);

  var FederatedPointerEvent = /*#__PURE__*/function (_FederatedMouseEvent) {
    _inherits$2(FederatedPointerEvent, _FederatedMouseEvent);

    var _super = _createSuper$2(FederatedPointerEvent);

    function FederatedPointerEvent() {
      var _this;

      _classCallCheck$2(this, FederatedPointerEvent);

      for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
        args[_key] = arguments[_key];
      }

      _this = _super.call.apply(_super, [this].concat(args));
      _this.pointerId = void 0;
      _this.width = 0;
      _this.height = 0;
      _this.isPrimary = false;
      _this.pointerType = void 0;
      _this.pressure = void 0;
      _this.tangentialPressure = void 0;
      _this.tiltX = void 0;
      _this.tiltY = void 0;
      _this.twist = void 0;
      return _this;
    }

    _createClass$2(FederatedPointerEvent, [{
      key: "getCoalescedEvents",
      value: function getCoalescedEvents() {
        if (this.type === 'pointermove' || this.type === 'mousemove' || this.type === 'touchmove') {
          return [this];
        }

        return [];
      }
    }, {
      key: "getPredictedEvents",
      value: function getPredictedEvents() {
        throw new Error('getPredictedEvents is not supported!');
      }
    }]);

    return FederatedPointerEvent;
  }(FederatedMouseEvent);

  var FederatedWheelEvent = /*#__PURE__*/function (_FederatedMouseEvent) {
    _inherits$2(FederatedWheelEvent, _FederatedMouseEvent);

    var _super = _createSuper$2(FederatedWheelEvent);

    function FederatedWheelEvent() {
      var _this;

      _classCallCheck$2(this, FederatedWheelEvent);

      for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
        args[_key] = arguments[_key];
      }

      _this = _super.call.apply(_super, [this].concat(args));
      _this.deltaMode = void 0;
      _this.deltaX = void 0;
      _this.deltaY = void 0;
      _this.deltaZ = void 0;
      _this.DOM_DELTA_LINE = 0;
      _this.DOM_DELTA_PAGE = 1;
      _this.DOM_DELTA_PIXEL = 2;
      return _this;
    }

    return FederatedWheelEvent;
  }(FederatedMouseEvent);

  var PROPAGATION_LIMIT = 2048;
  var DELEGATION_SPLITTER = ':';

  var EventService = /*#__PURE__*/function (_EventEmitter) {
    _inherits$2(EventService, _EventEmitter);

    var _super = _createSuper$2(EventService);

    function EventService() {
      var _this;

      _classCallCheck$2(this, EventService);

      for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
        args[_key] = arguments[_key];
      }

      _this = _super.call.apply(_super, [this].concat(args));
      _this.renderingContext = void 0;
      _this.canvasConfig = void 0;
      _this.rootTarget = void 0;
      _this.cursor = 'default';
      _this.mappingTable = {};
      _this.mappingState = {
        trackingData: {}
      };
      _this.eventPool = new Map();
      _this.pickHandler = void 0;

      _this.onPointerDown = function (from) {
        if (!(from instanceof FederatedPointerEvent)) {
          return;
        }

        var e = _this.createPointerEvent(from);

        _this.dispatchEvent(e, 'pointerdown');

        if (e.pointerType === 'touch') {
          _this.dispatchEvent(e, 'touchstart');
        } else if (e.pointerType === 'mouse' || e.pointerType === 'pen') {
          var isRightButton = e.button === 2;

          _this.dispatchEvent(e, isRightButton ? 'rightdown' : 'mousedown');
        }

        var trackingData = _this.trackingData(from.pointerId);

        trackingData.pressTargetsByButton[from.button] = e.composedPath();

        _this.freeEvent(e);
      };

      _this.onPointerUp = function (from) {
        if (!(from instanceof FederatedPointerEvent)) {
          return;
        }

        var now = performance.now();

        var e = _this.createPointerEvent(from);

        _this.dispatchEvent(e, 'pointerup');

        if (e.pointerType === 'touch') {
          _this.dispatchEvent(e, 'touchend');
        } else if (e.pointerType === 'mouse' || e.pointerType === 'pen') {
          var isRightButton = e.button === 2;

          _this.dispatchEvent(e, isRightButton ? 'rightup' : 'mouseup');
        }

        var trackingData = _this.trackingData(from.pointerId);

        var pressTarget = _this.findMountedTarget(trackingData.pressTargetsByButton[from.button]);

        var clickTarget = pressTarget; // pointerupoutside only bubbles. It only bubbles upto the parent that doesn't contain
        // the pointerup location.

        if (pressTarget && !e.composedPath().includes(pressTarget)) {
          var currentTarget = pressTarget;

          while (currentTarget && !e.composedPath().includes(currentTarget)) {
            e.currentTarget = currentTarget;

            _this.notifyTarget(e, 'pointerupoutside');

            if (e.pointerType === 'touch') {
              _this.notifyTarget(e, 'touchendoutside');
            } else if (e.pointerType === 'mouse' || e.pointerType === 'pen') {
              var _isRightButton = e.button === 2;

              _this.notifyTarget(e, _isRightButton ? 'rightupoutside' : 'mouseupoutside');
            }

            currentTarget = currentTarget.parentNode;
          }

          delete trackingData.pressTargetsByButton[from.button]; // currentTarget is the most specific ancestor holding both the pointerdown and pointerup
          // targets. That is - it's our click target!

          clickTarget = currentTarget;
        }

        if (clickTarget) {
          var clickEvent = _this.clonePointerEvent(e, 'click');

          clickEvent.target = clickTarget;
          clickEvent.path = [];

          if (!trackingData.clicksByButton[from.button]) {
            trackingData.clicksByButton[from.button] = {
              clickCount: 0,
              target: clickEvent.target,
              timeStamp: now
            };
          }

          var clickHistory = trackingData.clicksByButton[from.button];

          if (clickHistory.target === clickEvent.target && now - clickHistory.timeStamp < 200) {
            ++clickHistory.clickCount;
          } else {
            clickHistory.clickCount = 1;
          }

          clickHistory.target = clickEvent.target;
          clickHistory.timeStamp = now;
          clickEvent.detail = clickHistory.clickCount;

          if (clickEvent.pointerType === 'mouse') {
            _this.dispatchEvent(clickEvent, 'click');
          } else if (clickEvent.pointerType === 'touch') {
            _this.dispatchEvent(clickEvent, 'tap');
          } else {
            _this.dispatchEvent(clickEvent, 'pointertap');
          }

          _this.freeEvent(clickEvent);
        }

        _this.freeEvent(e);
      };

      _this.onPointerMove = function (from) {
        if (!(from instanceof FederatedPointerEvent)) {
          return;
        }

        var e = _this.createPointerEvent(from);

        var isMouse = e.pointerType === 'mouse' || e.pointerType === 'pen';

        var trackingData = _this.trackingData(from.pointerId);

        var outTarget = _this.findMountedTarget(trackingData.overTargets); // First pointerout/pointerleave


        if (trackingData.overTargets && outTarget !== e.target) {
          // pointerout always occurs on the overTarget when the pointer hovers over another element.
          var outType = from.type === 'mousemove' ? 'mouseout' : 'pointerout';

          var outEvent = _this.createPointerEvent(from, outType, outTarget || undefined);

          _this.dispatchEvent(outEvent, 'pointerout');

          if (isMouse) _this.dispatchEvent(outEvent, 'mouseout'); // If the pointer exits overTarget and its descendants, then a pointerleave event is also fired. This event
          // is dispatched to all ancestors that no longer capture the pointer.
          // @ts-ignore

          if (!e.composedPath().includes(outTarget)) {
            var leaveEvent = _this.createPointerEvent(from, 'pointerleave', outTarget || undefined);

            leaveEvent.eventPhase = leaveEvent.AT_TARGET;

            while (leaveEvent.target && !e.composedPath().includes(leaveEvent.target)) {
              leaveEvent.currentTarget = leaveEvent.target;

              _this.notifyTarget(leaveEvent);

              if (isMouse) _this.notifyTarget(leaveEvent, 'mouseleave');
              leaveEvent.target = leaveEvent.target.parentNode;
            }

            _this.freeEvent(leaveEvent);
          }

          _this.freeEvent(outEvent);
        } // Then pointerover


        if (outTarget !== e.target) {
          var _this$rootTarget2;

          // pointerover always occurs on the new overTarget
          var overType = from.type === 'mousemove' ? 'mouseover' : 'pointerover';

          var overEvent = _this.clonePointerEvent(e, overType); // clone faster


          _this.dispatchEvent(overEvent, 'pointerover');

          if (isMouse) _this.dispatchEvent(overEvent, 'mouseover'); // Probe whether the newly hovered DisplayObject is an ancestor of the original overTarget.

          var overTargetAncestor = outTarget === null || outTarget === void 0 ? void 0 : outTarget.parentNode;

          while (overTargetAncestor && overTargetAncestor !== ((_this$rootTarget = _this.rootTarget) === null || _this$rootTarget === void 0 ? void 0 : _this$rootTarget.parentNode)) {
            var _this$rootTarget;

            if (overTargetAncestor === e.target) break;
            overTargetAncestor = overTargetAncestor.parentNode;
          } // The pointer has entered a non-ancestor of the original overTarget. This means we need a pointerentered
          // event.


          var didPointerEnter = !overTargetAncestor || overTargetAncestor === ((_this$rootTarget2 = _this.rootTarget) === null || _this$rootTarget2 === void 0 ? void 0 : _this$rootTarget2.parentNode);

          if (didPointerEnter) {
            var enterEvent = _this.clonePointerEvent(e, 'pointerenter');

            enterEvent.eventPhase = enterEvent.AT_TARGET;

            while (enterEvent.target && enterEvent.target !== outTarget && enterEvent.target !== ((_this$rootTarget3 = _this.rootTarget) === null || _this$rootTarget3 === void 0 ? void 0 : _this$rootTarget3.parentNode)) {
              var _this$rootTarget3;

              enterEvent.currentTarget = enterEvent.target;

              _this.notifyTarget(enterEvent);

              if (isMouse) _this.notifyTarget(enterEvent, 'mouseenter');
              enterEvent.target = enterEvent.target.parentNode;
            }

            _this.freeEvent(enterEvent);
          }

          _this.freeEvent(overEvent);
        } // Then pointermove


        _this.dispatchEvent(e, 'pointermove');

        if (e.pointerType === 'touch') _this.dispatchEvent(e, 'touchmove');

        if (isMouse) {
          _this.dispatchEvent(e, 'mousemove');

          _this.cursor = _this.getCursor(e.target);
        }

        trackingData.overTargets = e.composedPath();

        _this.freeEvent(e);
      };

      _this.onPointerOut = function (from) {
        if (!(from instanceof FederatedPointerEvent)) {
          return;
        }

        var trackingData = _this.trackingData(from.pointerId);

        if (trackingData.overTargets) {
          var isMouse = from.pointerType === 'mouse' || from.pointerType === 'pen';

          var outTarget = _this.findMountedTarget(trackingData.overTargets); // pointerout first


          var outEvent = _this.createPointerEvent(from, 'pointerout', outTarget || undefined);

          _this.dispatchEvent(outEvent);

          if (isMouse) _this.dispatchEvent(outEvent, 'mouseout'); // pointerleave(s) are also dispatched b/c the pointer must've left rootTarget and its descendants to
          // get an upstream pointerout event (upstream events do not know rootTarget has descendants).

          var leaveEvent = _this.createPointerEvent(from, 'pointerleave', outTarget || undefined);

          leaveEvent.eventPhase = leaveEvent.AT_TARGET;

          while (leaveEvent.target && leaveEvent.target !== ((_this$rootTarget4 = _this.rootTarget) === null || _this$rootTarget4 === void 0 ? void 0 : _this$rootTarget4.parentNode)) {
            var _this$rootTarget4;

            leaveEvent.currentTarget = leaveEvent.target;

            _this.notifyTarget(leaveEvent);

            if (isMouse) _this.notifyTarget(leaveEvent, 'mouseleave');
            leaveEvent.target = leaveEvent.target.parentNode;
          }

          trackingData.overTargets = null;

          _this.freeEvent(outEvent);

          _this.freeEvent(leaveEvent);
        }

        _this.cursor = null;
      };

      _this.onPointerOver = function (from) {
        if (!(from instanceof FederatedPointerEvent)) {
          return;
        }

        var trackingData = _this.trackingData(from.pointerId);

        var e = _this.createPointerEvent(from);

        var isMouse = e.pointerType === 'mouse' || e.pointerType === 'pen';

        _this.dispatchEvent(e, 'pointerover');

        if (isMouse) _this.dispatchEvent(e, 'mouseover');
        if (e.pointerType === 'mouse') _this.cursor = _this.getCursor(e.target); // pointerenter events must be fired since the pointer entered from upstream.

        var enterEvent = _this.clonePointerEvent(e, 'pointerenter');

        enterEvent.eventPhase = enterEvent.AT_TARGET;

        while (enterEvent.target && enterEvent.target !== ((_this$rootTarget5 = _this.rootTarget) === null || _this$rootTarget5 === void 0 ? void 0 : _this$rootTarget5.parentNode)) {
          var _this$rootTarget5;

          enterEvent.currentTarget = enterEvent.target;

          _this.notifyTarget(enterEvent);

          if (isMouse) {
            // mouseenter should not bubble
            // @see https://developer.mozilla.org/en-US/docs/Web/API/Element/mouseenter_event#usage_notes
            _this.notifyTarget(enterEvent, 'mouseenter');
          }

          enterEvent.target = enterEvent.target.parentNode;
        }

        trackingData.overTargets = e.composedPath();

        _this.freeEvent(e);

        _this.freeEvent(enterEvent);
      };

      _this.onPointerUpOutside = function (from) {
        if (!(from instanceof FederatedPointerEvent)) {
          return;
        }

        var trackingData = _this.trackingData(from.pointerId);

        var pressTarget = _this.findMountedTarget(trackingData.pressTargetsByButton[from.button]);

        var e = _this.createPointerEvent(from);

        if (pressTarget) {
          var currentTarget = pressTarget;

          while (currentTarget) {
            e.currentTarget = currentTarget;

            _this.notifyTarget(e, 'pointerupoutside');

            if (e.pointerType === 'touch') {
              _this.notifyTarget(e, 'touchendoutside');
            } else if (e.pointerType === 'mouse' || e.pointerType === 'pen') {
              _this.notifyTarget(e, e.button === 2 ? 'rightupoutside' : 'mouseupoutside');
            }

            currentTarget = currentTarget.parentNode;
          }

          delete trackingData.pressTargetsByButton[from.button];
        }

        _this.freeEvent(e);
      };

      _this.onWheel = function (from) {
        if (!(from instanceof FederatedWheelEvent)) {
          return;
        }

        var wheelEvent = _this.createWheelEvent(from);

        _this.dispatchEvent(wheelEvent);

        _this.freeEvent(wheelEvent);
      };

      return _this;
    }

    _createClass$2(EventService, [{
      key: "init",
      value: function init() {
        this.rootTarget = this.renderingContext.root;
        this.addEventMapping('pointerdown', this.onPointerDown);
        this.addEventMapping('pointerup', this.onPointerUp);
        this.addEventMapping('pointermove', this.onPointerMove);
        this.addEventMapping('pointerout', this.onPointerOut);
        this.addEventMapping('pointerleave', this.onPointerOut);
        this.addEventMapping('pointerover', this.onPointerOver);
        this.addEventMapping('pointerupoutside', this.onPointerUpOutside);
        this.addEventMapping('wheel', this.onWheel);
      }
    }, {
      key: "setPickHandler",
      value: function setPickHandler(pickHandler) {
        this.pickHandler = pickHandler;
      }
    }, {
      key: "addEventMapping",
      value: function addEventMapping(type, fn) {
        if (!this.mappingTable[type]) {
          this.mappingTable[type] = [];
        }

        this.mappingTable[type].push({
          fn: fn,
          priority: 0
        });
        this.mappingTable[type].sort(function (a, b) {
          return a.priority - b.priority;
        });
      }
    }, {
      key: "mapEvent",
      value: function mapEvent(e) {
        if (!this.rootTarget) {
          return;
        }

        var mappers = this.mappingTable[e.type];

        if (mappers) {
          for (var i = 0, j = mappers.length; i < j; i++) {
            mappers[i].fn(e);
          }
        } else {
          console.warn("[EventService]: Event mapping not defined for ".concat(e.type));
        }
      }
    }, {
      key: "dispatchEvent",
      value: function dispatchEvent(e, type) {
        e.propagationStopped = false;
        e.propagationImmediatelyStopped = false;
        this.propagate(e, type);
        this.emit(type || e.type, e);
      }
    }, {
      key: "propagate",
      value: function propagate(e, type) {
        if (!e.target) {
          return;
        } // [target, parent, root]


        var composedPath = e.composedPath(); // event flow: capture -> target -> bubbling
        // capture phase

        e.eventPhase = e.CAPTURING_PHASE;

        for (var i = composedPath.length - 1; i >= 1; i--) {
          e.currentTarget = composedPath[i];
          this.notifyTarget(e, type);
          if (e.propagationStopped || e.propagationImmediatelyStopped) return;
        } // target phase


        e.eventPhase = e.AT_TARGET;
        e.currentTarget = e.target;
        this.notifyTarget(e, type);
        if (e.propagationStopped || e.propagationImmediatelyStopped) return; // bubbling phase

        e.eventPhase = e.BUBBLING_PHASE;

        for (var _i = 1; _i < composedPath.length; _i++) {
          e.currentTarget = composedPath[_i];
          this.notifyTarget(e, type);
          if (e.propagationStopped || e.propagationImmediatelyStopped) return;
        }
      }
    }, {
      key: "propagationPath",
      value: function propagationPath(target) {
        var propagationPath = [target];

        for (var i = 0; i < PROPAGATION_LIMIT && target !== this.rootTarget; i++) {
          if (!target.parentNode) {
            throw new Error('Cannot find propagation path to disconnected target');
          } // [target, parent, parent, root]


          propagationPath.push(target.parentNode);
          target = target.parentNode;
        }

        return propagationPath;
      }
    }, {
      key: "hitTest",
      value: function hitTest(position) {
        var x = position.x,
            y = position.y;
        var _this$canvasConfig = this.canvasConfig,
            width = _this$canvasConfig.width,
            height = _this$canvasConfig.height; // outside canvas

        if (x < 0 || y < 0 || x > width || y > height) {
          return null;
        }

        return this.pickHandler(position) || this.rootTarget;
      }
    }, {
      key: "createPointerEvent",
      value: function createPointerEvent(from, type, target) {
        var event = this.allocateEvent(FederatedPointerEvent);
        this.copyPointerData(from, event);
        this.copyMouseData(from, event);
        this.copyData(from, event);
        event.nativeEvent = from.nativeEvent;
        event._originalEvent = from;
        event.target = target !== null && target !== void 0 ? target : this.hitTest({
          clientX: event.clientX,
          clientY: event.clientY,
          x: event.global.x,
          y: event.global.y
        });

        if (typeof type === 'string') {
          event.type = type;
        }

        return event;
      }
    }, {
      key: "createWheelEvent",
      value: function createWheelEvent(from) {
        var event = this.allocateEvent(FederatedWheelEvent);
        this.copyWheelData(from, event);
        this.copyMouseData(from, event);
        this.copyData(from, event);
        event.nativeEvent = from.nativeEvent;
        event._originalEvent = from;
        event.target = this.hitTest({
          clientX: event.clientX,
          clientY: event.clientY,
          x: event.global.x,
          y: event.global.y
        });
        return event;
      }
    }, {
      key: "trackingData",
      value: function trackingData(id) {
        if (!this.mappingState.trackingData[id]) {
          this.mappingState.trackingData[id] = {
            pressTargetsByButton: {},
            clicksByButton: {},
            overTarget: null
          };
        }

        return this.mappingState.trackingData[id];
      }
    }, {
      key: "clonePointerEvent",
      value: function clonePointerEvent(from, type) {
        var event = this.allocateEvent(FederatedPointerEvent);
        event.nativeEvent = from.nativeEvent;
        event._originalEvent = from._originalEvent;
        this.copyPointerData(from, event);
        this.copyMouseData(from, event);
        this.copyData(from, event);
        event.target = from.target;
        event.path = from.composedPath().slice();
        event.type = type !== null && type !== void 0 ? type : event.type;
        return event;
      }
    }, {
      key: "copyPointerData",
      value: function copyPointerData(from, to) {
        if (!(from instanceof FederatedPointerEvent && to instanceof FederatedPointerEvent)) return;
        to.pointerId = from.pointerId;
        to.width = from.width;
        to.height = from.height;
        to.isPrimary = from.isPrimary;
        to.pointerType = from.pointerType;
        to.pressure = from.pressure;
        to.tangentialPressure = from.tangentialPressure;
        to.tiltX = from.tiltX;
        to.tiltY = from.tiltY;
        to.twist = from.twist;
      }
    }, {
      key: "copyMouseData",
      value: function copyMouseData(from, to) {
        if (!(from instanceof FederatedMouseEvent && to instanceof FederatedMouseEvent)) return;
        to.altKey = from.altKey;
        to.button = from.button;
        to.buttons = from.buttons;
        to.ctrlKey = from.ctrlKey;
        to.metaKey = from.metaKey;
        to.client.copyFrom(from.client);
        to.movement.copyFrom(from.movement);
        to.canvas.copyFrom(from.canvas);
        to.screen.copyFrom(from.screen);
        to.global.copyFrom(from.global);
        to.offset.copyFrom(from.offset);
      }
    }, {
      key: "copyWheelData",
      value: function copyWheelData(from, to) {
        to.deltaMode = from.deltaMode;
        to.deltaX = from.deltaX;
        to.deltaY = from.deltaY;
        to.deltaZ = from.deltaZ;
      }
    }, {
      key: "copyData",
      value: function copyData(from, to) {
        to.isTrusted = from.isTrusted;
        to.timeStamp = performance.now();
        to.type = from.type;
        to.detail = from.detail;
        to.view = from.view;
        to.page.copyFrom(from.page);
      }
    }, {
      key: "allocateEvent",
      value: function allocateEvent(constructor) {
        if (!this.eventPool.has(constructor)) {
          this.eventPool.set(constructor, []);
        } // @ts-ignore


        var event = this.eventPool.get(constructor).pop() || new constructor(this);
        event.eventPhase = event.NONE;
        event.currentTarget = null;
        event.path = [];
        event.target = null;
        return event;
      }
    }, {
      key: "freeEvent",
      value: function freeEvent(event) {
        if (event.manager !== this) throw new Error('It is illegal to free an event not managed by this EventBoundary!');
        var constructor = event.constructor;

        if (!this.eventPool.has(constructor)) {
          this.eventPool.set(constructor, []);
        } // @ts-ignore


        this.eventPool.get(constructor).push(event);
      }
    }, {
      key: "notifyTarget",
      value: function notifyTarget(e, type) {
        var _type;

        type = (_type = type) !== null && _type !== void 0 ? _type : e.type;
        var key = e.eventPhase === e.CAPTURING_PHASE || e.eventPhase === e.AT_TARGET ? "".concat(type, "capture") : type;
        this.notifyListeners(e, key);

        if (e.eventPhase === e.AT_TARGET) {
          this.notifyListeners(e, type);
        }
      }
    }, {
      key: "notifyListeners",
      value: function notifyListeners(e, type) {
        // hack EventEmitter, stops if the `propagationImmediatelyStopped` flag is set
        var listeners = e.currentTarget.emitter._events[type];
        if (!listeners) return;

        if ('fn' in listeners) {
          listeners.fn.call(listeners.context, e);
        } else {
          for (var i = 0; i < listeners.length && !e.propagationImmediatelyStopped; i++) {
            listeners[i].fn.call(listeners[i].context, e);
          }
        }
      }
      /**
       * some detached nodes may exist in propagation path, need to skip them
       */

    }, {
      key: "findMountedTarget",
      value: function findMountedTarget(propagationPath) {
        if (!propagationPath) {
          return null;
        }

        var currentTarget = propagationPath[propagationPath.length - 1];

        for (var i = propagationPath.length - 2; i >= 0; i--) {
          if (propagationPath[i].parentNode === currentTarget) {
            currentTarget = propagationPath[i];
          } else {
            break;
          }
        }

        return currentTarget;
      }
    }, {
      key: "getCursor",
      value: function getCursor(target) {
        var tmp = target;

        while (tmp) {
          var cursor = tmp.getAttribute('cursor');

          if (cursor) {
            return cursor;
          }

          tmp = tmp.parentNode;
        }
      }
    }]);

    return EventService;
  }(eventemitter3.EventEmitter);

  __decorate$1([inject(RenderingContext), __metadata$1("design:type", Object)], EventService.prototype, "renderingContext", void 0);

  __decorate$1([inject(CanvasConfig), __metadata$1("design:type", Object)], EventService.prototype, "canvasConfig", void 0);

  __decorate$1([postConstruct(), __metadata$1("design:type", Function), __metadata$1("design:paramtypes", []), __metadata$1("design:returntype", void 0)], EventService.prototype, "init", null);

  EventService = __decorate$1([injectable()], EventService);

  /**
   * @see /zh/docs/api/animation#%E8%B7%AF%E5%BE%84%E5%8A%A8%E7%94%BB
   */

  var Origin = /*#__PURE__*/function () {
    function Origin() {
      _classCallCheck$2(this, Origin);

      this.sceneGraphService = void 0;
    }

    _createClass$2(Origin, [{
      key: "update",
      value: function update(oldValue, value, object) {
        this.sceneGraphService.setOrigin(object, value[0], value[1], value[2]);
      }
    }]);

    return Origin;
  }();

  __decorate$1([inject(SceneGraphService), __metadata$1("design:type", SceneGraphService)], Origin.prototype, "sceneGraphService", void 0);

  Origin = __decorate$1([injectable()], Origin);

  /**
   * @see https://developer.mozilla.org/en-US/docs/Web/API/EffectTiming
   */

  var AnimationEffectTiming = /*#__PURE__*/function () {
    function AnimationEffectTiming() {
      _classCallCheck$2(this, AnimationEffectTiming);

      this.delay = 0;
      this.direction = 'normal';
      this.duration = 'auto';
      this._easing = 'linear';
      this.easingFunction = linear;
      this.endDelay = 0;
      this.fill = 'auto';
      this.iterationStart = 0;
      this.iterations = 1;
      this.playbackRate = void 0;
      this.effect = void 0;
      this.composite = void 0;
      this.activeDuration = void 0;
      this.endTime = void 0;
    }

    _createClass$2(AnimationEffectTiming, [{
      key: "easing",
      get:
      /**
       * @see https://developer.mozilla.org/en-US/docs/Web/API/EffectTiming/delay
       */

      /**
       * @see https://developer.mozilla.org/en-US/docs/Web/API/EffectTiming/direction
       */

      /**
       * @see https://developer.mozilla.org/en-US/docs/Web/API/EffectTiming/duration
       */

      /**
       * @see https://developer.mozilla.org/en-US/docs/Web/API/EffectTiming/easing
       */
      function get() {
        return this._easing;
      },
      set: function set(value) {
        this.easingFunction = parseEasingFunction(value);
        this._easing = value;
      }
      /**
       * @see https://developer.mozilla.org/en-US/docs/Web/API/EffectTiming/endDelay
       */

    }]);

    return AnimationEffectTiming;
  }();

  /**
   * https://github.com/gre/bezier-easing
   * BezierEasing - use bezier curve for transition easing function
   * by Gaëtan Renaudeau 2014 - 2015 – MIT License
   */
  // These values are established by empiricism with tests (tradeoff: performance VS precision)
  var NEWTON_ITERATIONS = 4;
  var NEWTON_MIN_SLOPE = 0.001;
  var SUBDIVISION_PRECISION = 0.0000001;
  var SUBDIVISION_MAX_ITERATIONS = 10;
  var kSplineTableSize = 11;
  var kSampleStepSize = 1.0 / (kSplineTableSize - 1.0);
  var float32ArraySupported = typeof Float32Array === 'function';
  var A = function A(aA1, aA2) {
    return 1.0 - 3.0 * aA2 + 3.0 * aA1;
  };
  var B = function B(aA1, aA2) {
    return 3.0 * aA2 - 6.0 * aA1;
  };
  var C = function C(aA1) {
    return 3.0 * aA1;
  }; // Returns x(t) given t, x1, and x2, or y(t) given t, y1, and y2.

  var calcBezier = function calcBezier(aT, aA1, aA2) {
    return ((A(aA1, aA2) * aT + B(aA1, aA2)) * aT + C(aA1)) * aT;
  }; // Returns dx/dt given t, x1, and x2, or dy/dt given t, y1, and y2.

  var getSlope = function getSlope(aT, aA1, aA2) {
    return 3.0 * A(aA1, aA2) * aT * aT + 2.0 * B(aA1, aA2) * aT + C(aA1);
  };
  var binarySubdivide = function binarySubdivide(aX, aA, aB, mX1, mX2) {
    var currentX,
        currentT,
        i = 0;

    do {
      currentT = aA + (aB - aA) / 2.0;
      currentX = calcBezier(currentT, mX1, mX2) - aX;
      if (currentX > 0.0) aB = currentT;else aA = currentT;
    } while (Math.abs(currentX) > SUBDIVISION_PRECISION && ++i < SUBDIVISION_MAX_ITERATIONS);

    return currentT;
  };
  var newtonRaphsonIterate = function newtonRaphsonIterate(aX, aGuessT, mX1, mX2) {
    for (var i = 0; i < NEWTON_ITERATIONS; ++i) {
      var currentSlope = getSlope(aGuessT, mX1, mX2);
      if (currentSlope === 0.0) return aGuessT;
      var currentX = calcBezier(aGuessT, mX1, mX2) - aX;
      aGuessT -= currentX / currentSlope;
    }

    return aGuessT;
  };
  var bezier = function bezier(mX1, mY1, mX2, mY2) {
    if (!(0 <= mX1 && mX1 <= 1 && 0 <= mX2 && mX2 <= 1)) throw new Error('bezier x values must be in [0, 1] range');
    if (mX1 === mY1 && mX2 === mY2) return function (t) {
      return t;
    }; // Precompute samples table

    var sampleValues = float32ArraySupported ? new Float32Array(kSplineTableSize) : new Array(kSplineTableSize);

    for (var i = 0; i < kSplineTableSize; ++i) {
      sampleValues[i] = calcBezier(i * kSampleStepSize, mX1, mX2);
    }

    var getTForX = function getTForX(aX) {
      var intervalStart = 0.0;
      var currentSample = 1;
      var lastSample = kSplineTableSize - 1;

      for (; currentSample !== lastSample && sampleValues[currentSample] <= aX; ++currentSample) {
        intervalStart += kSampleStepSize;
      }

      --currentSample; // Interpolate to provide an initial guess for t

      var dist = (aX - sampleValues[currentSample]) / (sampleValues[currentSample + 1] - sampleValues[currentSample]);
      var guessForT = intervalStart + dist * kSampleStepSize;
      var initialSlope = getSlope(guessForT, mX1, mX2);
      if (initialSlope >= NEWTON_MIN_SLOPE) return newtonRaphsonIterate(aX, guessForT, mX1, mX2);else if (initialSlope === 0.0) return guessForT;else {
        return binarySubdivide(aX, intervalStart, intervalStart + kSampleStepSize, mX1, mX2);
      }
    };

    return function (t) {
      // Because JavaScript number are imprecise, we should guarantee the extremes are right.
      if (t === 0 || t === 1) return t;
      return calcBezier(getTForX(t), mY1, mY2);
    };
  };

  var limit = function limit(value, min, max) {
    return Math.min(Math.max(value, min), max);
  };
  /**
    Easing Functions from anime.js, they are tried and true, so, its better to use them instead of other alternatives
  */

  var Quad = function Quad(t) {
    return Math.pow(t, 2);
  };
  var Cubic = function Cubic(t) {
    return Math.pow(t, 3);
  };
  var Quart = function Quart(t) {
    return Math.pow(t, 4);
  };
  var Quint = function Quint(t) {
    return Math.pow(t, 5);
  };
  var Expo = function Expo(t) {
    return Math.pow(t, 6);
  };
  var Sine = function Sine(t) {
    return 1 - Math.cos(t * Math.PI / 2);
  };
  var Circ = function Circ(t) {
    return 1 - Math.sqrt(1 - t * t);
  };
  var Back = function Back(t) {
    return t * t * (3 * t - 2);
  };
  var Bounce = function Bounce(t) {
    var pow2,
        b = 4;

    while (t < ((pow2 = Math.pow(2, --b)) - 1) / 11) {}

    return 1 / Math.pow(4, 3 - b) - 7.5625 * Math.pow((pow2 * 3 - 2) / 22 - t, 2);
  };
  var Elastic = function Elastic(t) {
    var params = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : [];

    var _params = _slicedToArray$2(params, 2),
        _params$ = _params[0],
        amplitude = _params$ === void 0 ? 1 : _params$,
        _params$2 = _params[1],
        period = _params$2 === void 0 ? 0.5 : _params$2;

    var a = limit(Number(amplitude), 1, 10);
    var p = limit(Number(period), 0.1, 2);
    if (t === 0 || t === 1) return t;
    return -a * Math.pow(2, 10 * (t - 1)) * Math.sin((t - 1 - p / (Math.PI * 2) * Math.asin(1 / a)) * (Math.PI * 2) / p);
  };
  var Spring = function Spring(t) {
    var params = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : [];
    var duration = arguments.length > 2 ? arguments[2] : undefined;

    var _params2 = _slicedToArray$2(params, 4),
        _params2$ = _params2[0],
        mass = _params2$ === void 0 ? 1 : _params2$,
        _params2$2 = _params2[1],
        stiffness = _params2$2 === void 0 ? 100 : _params2$2,
        _params2$3 = _params2[2],
        damping = _params2$3 === void 0 ? 10 : _params2$3,
        _params2$4 = _params2[3],
        velocity = _params2$4 === void 0 ? 0 : _params2$4;

    mass = limit(mass, 0.1, 1000);
    stiffness = limit(stiffness, 0.1, 1000);
    damping = limit(damping, 0.1, 1000);
    velocity = limit(velocity, 0.1, 1000);
    var w0 = Math.sqrt(stiffness / mass);
    var zeta = damping / (2 * Math.sqrt(stiffness * mass));
    var wd = zeta < 1 ? w0 * Math.sqrt(1 - zeta * zeta) : 0;
    var a = 1;
    var b = zeta < 1 ? (zeta * w0 + -velocity) / wd : -velocity + w0;
    var progress = duration ? duration * t / 1000 : t;

    if (zeta < 1) {
      progress = Math.exp(-progress * zeta * w0) * (a * Math.cos(wd * progress) + b * Math.sin(wd * progress));
    } else {
      progress = (a + b * progress) * Math.exp(-progress * w0);
    }

    if (t === 0 || t === 1) return t;
    return 1 - progress;
  };
  /**
    These Easing Functions are based off of the Sozi Project's easing functions
    https://github.com/sozi-projects/Sozi/blob/d72e44ebd580dc7579d1e177406ad41e632f961d/src/js/player/Timing.js
  */

  var Steps = function Steps(t) {
    var params = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : [];

    var _params3 = _slicedToArray$2(params, 2),
        _params3$ = _params3[0],
        steps = _params3$ === void 0 ? 10 : _params3$,
        type = _params3[1];

    var trunc = type == 'start' ? Math.ceil : Math.floor;
    return trunc(limit(t, 0, 1) * steps) / steps;
  }; // @ts-ignore

  var Bezier = function Bezier(t) {
    var params = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : [];

    var _params4 = _slicedToArray$2(params, 4),
        mX1 = _params4[0],
        mY1 = _params4[1],
        mX2 = _params4[2],
        mY2 = _params4[3];

    return bezier(mX1, mY1, mX2, mY2)(t);
  };
  /** The default `ease-in` easing function */

  var easein = bezier(0.42, 0.0, 1.0, 1.0);
  /** Converts easing functions to their `out`counter parts */

  var EaseOut = function EaseOut(ease) {
    return function (t) {
      var params = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : [];
      var duration = arguments.length > 2 ? arguments[2] : undefined;
      return 1 - ease(1 - t, params, duration);
    };
  };
  /** Converts easing functions to their `in-out` counter parts */

  var EaseInOut = function EaseInOut(ease) {
    return function (t) {
      var params = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : [];
      var duration = arguments.length > 2 ? arguments[2] : undefined;
      return t < 0.5 ? ease(t * 2, params, duration) / 2 : 1 - ease(t * -2 + 2, params, duration) / 2;
    };
  };
  /** Converts easing functions to their `out-in` counter parts */

  var EaseOutIn = function EaseOutIn(ease) {
    return function (t) {
      var params = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : [];
      var duration = arguments.length > 2 ? arguments[2] : undefined;
      return t < 0.5 ? (1 - ease(1 - t * 2, params, duration)) / 2 : (ease(t * 2 - 1, params, duration) + 1) / 2;
    };
  };
  /**
   * The default list of easing functions, do note this is different from {@link EASING}
   */

  var EasingFunctions = {
    steps: Steps,
    'step-start': function stepStart(t) {
      return Steps(t, [1, 'start']);
    },
    'step-end': function stepEnd(t) {
      return Steps(t, [1, 'end']);
    },
    linear: function linear(t) {
      return t;
    },
    'cubic-bezier': Bezier,
    ease: function ease(t) {
      return Bezier(t, [0.25, 0.1, 0.25, 1.0]);
    },
    in: easein,
    out: EaseOut(easein),
    'in-out': EaseInOut(easein),
    'out-in': EaseOutIn(easein),
    'in-quad': Quad,
    'out-quad': EaseOut(Quad),
    'in-out-quad': EaseInOut(Quad),
    'out-in-quad': EaseOutIn(Quad),
    'in-cubic': Cubic,
    'out-cubic': EaseOut(Cubic),
    'in-out-cubic': EaseInOut(Cubic),
    'out-in-cubic': EaseOutIn(Cubic),
    'in-quart': Quart,
    'out-quart': EaseOut(Quart),
    'in-out-quart': EaseInOut(Quart),
    'out-in-quart': EaseOutIn(Quart),
    'in-quint': Quint,
    'out-quint': EaseOut(Quint),
    'in-out-quint': EaseInOut(Quint),
    'out-in-quint': EaseOutIn(Quint),
    'in-expo': Expo,
    'out-expo': EaseOut(Expo),
    'in-out-expo': EaseInOut(Expo),
    'out-in-expo': EaseOutIn(Expo),
    'in-sine': Sine,
    'out-sine': EaseOut(Sine),
    'in-out-sine': EaseInOut(Sine),
    'out-in-sine': EaseOutIn(Sine),
    'in-circ': Circ,
    'out-circ': EaseOut(Circ),
    'in-out-circ': EaseInOut(Circ),
    'out-in-circ': EaseOutIn(Circ),
    'in-back': Back,
    'out-back': EaseOut(Back),
    'in-out-back': EaseInOut(Back),
    'out-in-back': EaseOutIn(Back),
    'in-bounce': Bounce,
    'out-bounce': EaseOut(Bounce),
    'in-out-bounce': EaseInOut(Bounce),
    'out-in-bounce': EaseOutIn(Bounce),
    'in-elastic': Elastic,
    'out-elastic': EaseOut(Elastic),
    'in-out-elastic': EaseInOut(Elastic),
    'out-in-elastic': EaseOutIn(Elastic),
    spring: Spring,
    'spring-in': Spring,
    'spring-out': EaseOut(Spring),
    'spring-in-out': EaseInOut(Spring),
    'spring-out-in': EaseOutIn(Spring)
  };
  /**
   * Convert string easing to their proper form
   */

  var complexEasingSyntax = function complexEasingSyntax(ease) {
    return convertToDash(ease).replace(/^ease-/, "") // Remove the "ease-" keyword
    .replace(/(\(|\s).+/, "") // Remove the function brackets and parameters
    .toLowerCase().trim();
  };
  /** Re-maps a number from one range to another. Numbers outside the range are not clamped to 0 and 1, because out-of-range values are often intentional and useful. */

  var getEasingFunction = function getEasingFunction(ease) {
    return EasingFunctions[complexEasingSyntax(ease)] || EasingFunctions.linear;
  };

  var fills = 'backwards|forwards|both|none'.split('|');
  var directions = 'reverse|alternate|alternate-reverse'.split('|');
  var linear = function linear(x) {
    return x;
  };
  function makeTiming(timingInput, forGroup) {
    var timing = new AnimationEffectTiming();

    if (forGroup) {
      timing.fill = 'both';
      timing.duration = 'auto';
    }

    if (typeof timingInput === 'number' && !isNaN(timingInput)) {
      timing.duration = timingInput;
    } else if (timingInput !== undefined) {
      Object.keys(timingInput).forEach(function (property) {
        if (timingInput[property] !== undefined && timingInput[property] !== null && timingInput[property] !== 'auto') {
          if (typeof timing[property] === 'number' || property === 'duration') {
            if (typeof timingInput[property] !== 'number' || isNaN(timingInput[property])) {
              return;
            }
          }

          if (property === 'fill' && fills.indexOf(timingInput[property]) === -1) {
            return;
          }

          if (property === 'direction' && directions.indexOf(timingInput[property]) === -1) {
            return;
          } // @ts-ignore


          timing[property] = timingInput[property];
        }
      });
    }

    return timing;
  }
  function numericTimingToObject(timingInput) {
    if (typeof timingInput === 'number') {
      if (isNaN(timingInput)) {
        timingInput = {
          duration: 'auto'
        };
      } else {
        timingInput = {
          duration: timingInput
        };
      }
    }

    return timingInput;
  }
  function normalizeTimingInput(timingInput, forGroup) {
    var _timingInput;

    timingInput = numericTimingToObject((_timingInput = timingInput) !== null && _timingInput !== void 0 ? _timingInput : {
      duration: 'auto'
    });
    return makeTiming(timingInput, forGroup);
  }
  var Start = 1;
  var Middle = 0.5;
  var End = 0;

  function step(count, pos) {
    return function (x) {
      if (x >= 1) {
        return 1;
      }

      var stepSize = 1 / count;
      x += pos * stepSize;
      return x - x % stepSize;
    };
  }

  var numberString = '\\s*(-?\\d+\\.?\\d*|-?\\.\\d+)\\s*';
  var cubicBezierRe = new RegExp('cubic-bezier\\(' + numberString + ',' + numberString + ',' + numberString + ',' + numberString + '\\)');
  var step1Re = /steps\(\s*(\d+)\s*\)/;
  var step2Re = /steps\(\s*(\d+)\s*,\s*(start|middle|end)\s*\)/;
  function parseEasingFunction(normalizedEasing) {
    var cubicData = cubicBezierRe.exec(normalizedEasing);

    if (cubicData) {
      // @ts-ignore
      return bezier.apply(void 0, _toConsumableArray$2(cubicData.slice(1).map(Number)));
    }

    var step1Data = step1Re.exec(normalizedEasing);

    if (step1Data) {
      return step(Number(step1Data[1]), End);
    }

    var step2Data = step2Re.exec(normalizedEasing);

    if (step2Data) {
      // @ts-ignore
      return step(Number(step2Data[1]), {
        'start': Start,
        'middle': Middle,
        'end': End
      }[step2Data[2]]);
    }

    return getEasingFunction(normalizedEasing);
  }
  function calculateActiveDuration(timing) {
    return Math.abs(repeatedDuration(timing) / (timing.playbackRate || 1));
  }

  function repeatedDuration(timing) {
    var _timing$iterations;

    // https://drafts.csswg.org/web-animations/#calculating-the-active-duration
    if (timing.duration === 0 || timing.iterations === 0) {
      return 0;
    } // @see https://developer.mozilla.org/en-US/docs/Web/API/EffectTiming/duration#value
    // if (timing.duration === 'auto') {
    //   timing.duration = 0;
    // }


    return (timing.duration === 'auto' ? 0 : Number(timing.duration)) * ((_timing$iterations = timing.iterations) !== null && _timing$iterations !== void 0 ? _timing$iterations : 1);
  }

  var PhaseNone = 0;
  var PhaseBefore = 1;
  var PhaseAfter = 2;
  var PhaseActive = 3;

  function calculatePhase(activeDuration, localTime, timing) {
    // https://drafts.csswg.org/web-animations/#animation-effect-phases-and-states
    if (localTime === null) {
      return PhaseNone;
    }

    var endTime = timing.delay + activeDuration + timing.endDelay;

    if (localTime < Math.min(timing.delay, endTime)) {
      return PhaseBefore;
    }

    if (localTime >= Math.min(timing.delay + activeDuration, endTime)) {
      return PhaseAfter;
    }

    return PhaseActive;
  }

  function calculateActiveTime(activeDuration, fillMode, localTime, phase, delay) {
    // https://drafts.csswg.org/web-animations/#calculating-the-active-time
    switch (phase) {
      case PhaseBefore:
        if (fillMode === 'backwards' || fillMode === 'both') return 0;
        return null;

      case PhaseActive:
        return localTime - delay;

      case PhaseAfter:
        if (fillMode === 'forwards' || fillMode === 'both') return activeDuration;
        return null;

      case PhaseNone:
        return null;
    }
  }

  function calculateOverallProgress(iterationDuration, phase, iterations, activeTime, iterationStart) {
    // https://drafts.csswg.org/web-animations/#calculating-the-overall-progress
    var overallProgress = iterationStart;

    if (iterationDuration === 0) {
      if (phase !== PhaseBefore) {
        overallProgress += iterations;
      }
    } else {
      overallProgress += activeTime / iterationDuration;
    }

    return overallProgress;
  }

  function calculateSimpleIterationProgress(overallProgress, iterationStart, phase, iterations, activeTime, iterationDuration) {
    // https://drafts.csswg.org/web-animations/#calculating-the-simple-iteration-progress
    var simpleIterationProgress = overallProgress === Infinity ? iterationStart % 1 : overallProgress % 1;

    if (simpleIterationProgress === 0 && phase === PhaseAfter && iterations !== 0 && (activeTime !== 0 || iterationDuration === 0)) {
      simpleIterationProgress = 1;
    }

    return simpleIterationProgress;
  }

  function calculateCurrentIteration(phase, iterations, simpleIterationProgress, overallProgress) {
    // https://drafts.csswg.org/web-animations/#calculating-the-current-iteration
    if (phase === PhaseAfter && iterations === Infinity) {
      return Infinity;
    }

    if (simpleIterationProgress === 1) {
      return Math.floor(overallProgress) - 1;
    }

    return Math.floor(overallProgress);
  }

  function calculateDirectedProgress(playbackDirection, currentIteration, simpleIterationProgress) {
    // https://drafts.csswg.org/web-animations/#calculating-the-directed-progress
    var currentDirection = playbackDirection;

    if (playbackDirection !== 'normal' && playbackDirection !== 'reverse') {
      var d = currentIteration;

      if (playbackDirection === 'alternate-reverse') {
        d += 1;
      }

      currentDirection = 'normal';

      if (d !== Infinity && d % 2 !== 0) {
        currentDirection = 'reverse';
      }
    }

    if (currentDirection === 'normal') {
      return simpleIterationProgress;
    }

    return 1 - simpleIterationProgress;
  }

  function calculateIterationProgress(activeDuration, localTime, timing) {
    var phase = calculatePhase(activeDuration, localTime, timing);
    var activeTime = calculateActiveTime(activeDuration, timing.fill, localTime, phase, timing.delay);
    if (activeTime === null) return null;
    var duration = timing.duration === 'auto' ? 0 : timing.duration;
    var overallProgress = calculateOverallProgress(duration, phase, timing.iterations, activeTime, timing.iterationStart);
    var simpleIterationProgress = calculateSimpleIterationProgress(overallProgress, timing.iterationStart, phase, timing.iterations, activeTime, duration);
    var currentIteration = calculateCurrentIteration(phase, timing.iterations, simpleIterationProgress, overallProgress);
    var directedProgress = calculateDirectedProgress(timing.direction, currentIteration, simpleIterationProgress); // https://drafts.csswg.org/web-animations/#calculating-the-transformed-progress
    // https://drafts.csswg.org/web-animations/#calculating-the-iteration-progress

    return timing.easingFunction(directedProgress);
  }
  var convertToDash = function convertToDash(str) {
    str = str.replace(/([A-Z])/g, function (letter) {
      return "-".concat(letter.toLowerCase());
    }); // Remove first dash

    return str.charAt(0) === '-' ? str.substr(1) : str;
  };

  /**
   * handlers for valid properties
   */

  var propertyHandlers = {};

  function addPropertyHandler(parser, merger, property) {
    propertyHandlers[property] = propertyHandlers[property] || [];
    propertyHandlers[property].push([parser, merger]);
  }

  function addPropertiesHandler(parser, merger, properties) {
    for (var i = 0; i < properties.length; i++) {
      addPropertyHandler(parser, merger, toCamelCase(properties[i]));
    }
  }
  function convertEffectInput(keyframes, timing, target) {
    var propertySpecificKeyframeGroups = makePropertySpecificKeyframeGroups(keyframes, timing);
    var interpolations = makeInterpolations(propertySpecificKeyframeGroups, target);
    return function (target, fraction) {
      if (fraction !== null) {
        interpolations.filter(function (interpolation) {
          return fraction >= interpolation.applyFrom && fraction < interpolation.applyTo;
        }).forEach(function (interpolation) {
          var offsetFraction = fraction - interpolation.startOffset;
          var localDuration = interpolation.endOffset - interpolation.startOffset;
          var scaledLocalTime = localDuration === 0 ? 0 : interpolation.easingFunction(offsetFraction / localDuration); // apply updated attribute

          target.style[interpolation.property] = interpolation.interpolation(scaledLocalTime);
        });
      } else {
        for (var property in propertySpecificKeyframeGroups) {
          if (isNotReservedWord(property)) {
            // clear attribute
            target.style[property] = null;
          }
        }
      }
    };
  }

  function isNotReservedWord(member) {
    return member !== 'offset' && member !== 'easing' && member !== 'composite' && member !== 'computedOffset';
  }

  function makePropertySpecificKeyframeGroups(keyframes, timing) {
    var propertySpecificKeyframeGroups = {};

    for (var i = 0; i < keyframes.length; i++) {
      for (var member in keyframes[i]) {
        if (isNotReservedWord(member)) {
          var propertySpecificKeyframe = {
            offset: keyframes[i].offset,
            computedOffset: keyframes[i].computedOffset,
            easing: keyframes[i].easing,
            easingFunction: parseEasingFunction(keyframes[i].easing) || timing.easingFunction,
            value: keyframes[i][member]
          };
          propertySpecificKeyframeGroups[member] = propertySpecificKeyframeGroups[member] || []; // @ts-ignore

          propertySpecificKeyframeGroups[member].push(propertySpecificKeyframe);
        }
      }
    }

    return propertySpecificKeyframeGroups;
  }

  function makeInterpolations(propertySpecificKeyframeGroups, target) {
    var interpolations = [];

    for (var groupName in propertySpecificKeyframeGroups) {
      var keyframes = propertySpecificKeyframeGroups[groupName];

      for (var i = 0; i < keyframes.length - 1; i++) {
        var startIndex = i;
        var endIndex = i + 1;
        var startOffset = keyframes[startIndex].computedOffset;
        var endOffset = keyframes[endIndex].computedOffset;
        var applyFrom = startOffset;
        var applyTo = endOffset;

        if (i === 0) {
          applyFrom = -Infinity;

          if (endOffset === 0) {
            endIndex = startIndex;
          }
        }

        if (i === keyframes.length - 2) {
          applyTo = Infinity;

          if (startOffset === 1) {
            startIndex = endIndex;
          }
        }

        interpolations.push({
          applyFrom: applyFrom,
          applyTo: applyTo,
          startOffset: keyframes[startIndex].computedOffset,
          endOffset: keyframes[endIndex].computedOffset,
          easingFunction: keyframes[startIndex].easingFunction,
          property: groupName,
          interpolation: propertyInterpolation(groupName, keyframes[startIndex].value, keyframes[endIndex].value, target)
        });
      }
    }

    interpolations.sort(function (leftInterpolation, rightInterpolation) {
      return leftInterpolation.startOffset - rightInterpolation.startOffset;
    });
    return interpolations;
  }

  function propertyInterpolation(property, left, right, target) {
    var ucProperty = property;

    if (/-/.test(property)) {
      ucProperty = toCamelCase(property);
    } // if (left == 'initial' || right == 'initial') {
    //   if (left == 'initial')
    //     left = initialValues[ucProperty];
    //   if (right == 'initial')
    //     right = initialValues[ucProperty];
    // }


    var handlers = left === right ? [] : propertyHandlers[ucProperty];

    for (var i = 0; handlers && i < handlers.length; i++) {
      // parser
      var parsedLeft = handlers[i][0](left);
      var parsedRight = handlers[i][0](right);

      if (parsedLeft !== undefined && parsedRight !== undefined) {
        // merger [left, right, n2string()]
        var interpolationArgs = handlers[i][1](parsedLeft, parsedRight, target);

        if (interpolationArgs) {
          var _ret = function () {
            var interp = InterpolationFactory.apply(null, interpolationArgs);
            return {
              v: function v(t) {
                if (t === 0) return left;
                if (t === 1) return right;
                return interp(t);
              }
            };
          }();

          if (_typeof(_ret) === "object") return _ret.v;
        }
      }
    }

    return InterpolationFactory(false, true, function (bool) {
      return bool ? right : left;
    });
  }

  function toCamelCase(property) {
    return property.replace(/-(.)/g, function (_, c) {
      return c.toUpperCase();
    });
  }

  function interpolate(from, to, f) {
    if (typeof from === 'number' && typeof to === 'number') {
      return from * (1 - f) + to * f;
    }

    if (typeof from === 'boolean' && typeof to === 'boolean') {
      return f < 0.5 ? from : to;
    }

    if (Array.isArray(from) && Array.isArray(to)) {
      // interpolate arrays/matrix
      if (from.length === to.length) {
        var r = [];

        for (var i = 0; i < from.length; i++) {
          r.push(interpolate(from[i], to[i], f));
        }

        return r;
      }
    }

    throw 'Mismatched interpolation arguments ' + from + ':' + to;
  }

  var InterpolationFactory = function InterpolationFactory(from, to, convertToString) {
    return function (f) {
      return convertToString(interpolate(from, to, f));
    };
  };

  function numberToString(x) {
    return x.toFixed(3).replace(/0+$/, '').replace(/\.$/, '');
  }
  function clamp$1(min, max, x) {
    return Math.min(max, Math.max(min, x));
  }
  function parseNumber(string) {
    if (/^\s*[-+]?(\d*\.)?\d+\s*$/.test(string)) return Number(string);
  }
  function mergeNumbers(left, right) {
    return [left, right, numberToString];
  }

  function clampedMergeNumbers(min, max) {
    return function (left, right) {
      return [left, right, function (x) {
        return numberToString(clamp$1(min, max, x));
      }];
    };
  }

  addPropertiesHandler(parseNumber, clampedMergeNumbers(0, 1), ['opacity', 'fillOpacity', 'strokeOpacity', 'offsetDistance']);
  addPropertiesHandler(parseNumber, clampedMergeNumbers(0, Infinity), ['r', 'lineWidth', 'width', 'height']);

  // + and - operators. https://drafts.csswg.org/css-values-3/#calc-notation
  // Thus any + or - immediately adjacent to . or 0..9 is part of the number,
  // e.g. -1.23e+45
  // This regular expression matches ( ) * / + - and numbers.

  var tokenRegularExpression = /([\+\-\w\.]+|[\(\)\*\/])/g; // Evaluates a calc expression.
  // https://drafts.csswg.org/css-values-3/#calc-notation

  function calculate(expression) {
    var currentToken;

    function consume() {
      var matchResult = tokenRegularExpression.exec(expression);

      if (matchResult) {
        currentToken = matchResult[0];
      } else {
        currentToken = undefined;
      }
    }

    consume(); // Read the initial token.

    function calcNumber() {
      // https://drafts.csswg.org/css-values-3/#number-value
      var result = Number(currentToken);
      consume();
      return result;
    }

    function calcValue() {
      // <calc-value> = <number> | <dimension> | <percentage> | ( <calc-sum> )
      if (currentToken !== '(') return calcNumber();
      consume();
      var result = calcSum(); // @ts-ignore

      if (currentToken !== ')') return NaN;
      consume();
      return result;
    }

    function calcProduct() {
      // <calc-product> = <calc-value> [ '*' <calc-value> | '/' <calc-number-value> ]*
      var left = calcValue();

      while (currentToken === '*' || currentToken === '/') {
        var operator = currentToken;
        consume();
        var right = calcValue();
        if (operator === '*') left *= right;else left /= right;
      }

      return left;
    }

    function calcSum() {
      // <calc-sum> = <calc-product> [ [ '+' | '-' ] <calc-product> ]*
      var left = calcProduct();

      while (currentToken === '+' || currentToken === '-') {
        var operator = currentToken;
        consume();
        var right = calcProduct();
        if (operator === '+') left += right;else left -= right;
      }

      return left;
    } // <calc()> = calc( <calc-sum> )


    return calcSum();
  }

  function parseDimension(unitRegExp, string) {
    string = string.trim().toLowerCase();

    if (string === '0') {
      if ('px'.search(unitRegExp) >= 0) {
        // 0 -> 0px
        return {
          px: 0
        };
      } else if ('%'.search(unitRegExp) >= 0) {
        // 0 -> 0%
        return {
          '%': 0
        };
      }
    } // If we have parenthesis, we're a calc and need to start with 'calc'.


    if (!/^[^(]*$|^calc/.test(string)) return;
    string = string.replace(/calc\(/g, '('); // We tag units by prefixing them with 'U' (note that we are already
    // lowercase) to prevent problems with types which are substrings of
    // each other (although prefixes may be problematic!)

    var matchedUnits = {};
    string = string.replace(unitRegExp, function (match) {
      matchedUnits[match] = null;
      return 'U' + match;
    });
    var taggedUnitRegExp = 'U(' + unitRegExp.source + ')'; // Validating input is simply applying as many reductions as we can.

    var typeCheck = string.replace(/[-+]?(\d*\.)?\d+([Ee][-+]?\d+)?/g, 'N').replace(new RegExp('N' + taggedUnitRegExp, 'g'), 'D').replace(/\s[+-]\s/g, 'O').replace(/\s/g, '');
    var reductions = [/N\*(D)/g, /(N|D)[*/]N/g, /(N|D)O\1/g, /\((N|D)\)/g];
    var i = 0;

    while (i < reductions.length) {
      if (reductions[i].test(typeCheck)) {
        typeCheck = typeCheck.replace(reductions[i], '$1');
        i = 0;
      } else {
        i++;
      }
    }

    if (typeCheck != 'D') return;

    for (var unit in matchedUnits) {
      var result = calculate(string.replace(new RegExp('U' + unit, 'g'), '').replace(new RegExp(taggedUnitRegExp, 'g'), '*0'));
      if (!isFinite(result)) return;
      matchedUnits[unit] = result;
    }

    return matchedUnits;
  }

  function mergeDimensions(left, right, nonNegative, target, index) {
    var units = [];
    var unit;

    for (unit in left) {
      units.push(unit);
    }

    for (unit in right) {
      if (units.indexOf(unit) < 0) units.push(unit);
    }

    var leftValue;
    var rightValue; // normalize different units

    if (units.length > 1) {
      if (units.indexOf('%') > -1) {
        leftValue = [convertPercentUnit(left, index, target)];
        rightValue = [convertPercentUnit(right, index, target)];
        units = ['px'];
      } else {
        leftValue = units.map(function (unit) {
          return left[unit] || 0;
        });
        rightValue = units.map(function (unit) {
          return right[unit] || 0;
        });
      }
    } else {
      leftValue = units.map(function (unit) {
        return left[unit] || 0;
      });
      rightValue = units.map(function (unit) {
        return right[unit] || 0;
      });
    }

    return [leftValue, rightValue, function (values) {
      var result = values.map(function (value, i) {
        if (values.length == 1 && nonNegative) {
          value = Math.max(value, 0);
        } // Scientific notation (e.g. 1e2) is not yet widely supported by browser vendors.


        return numberToString(value) + units[i];
      }).join(' + ');
      return values.length > 1 ? 'calc(' + result + ')' : result;
    }]; // // { %: -100 } -> { px: 0 }
    // const leftValueInPx = ('%' in left) ? calcSizePercent(left['%'], target, index) : left.px;
    // const rightValueInPx = ('%' in right) ? calcSizePercent(right['%'], target, index) : right.px;
    // return [leftValueInPx, rightValueInPx, function (values) {
    //   return values + 'px';
    // }];
  }
  var lengthUnits = 'px';
  var parseLength = parseDimension.bind(null, new RegExp(lengthUnits, 'g'));
  var parseLengthOrPercent = parseDimension.bind(null, new RegExp(lengthUnits + '|%', 'g'));
  var parseAngle = parseDimension.bind(null, /deg|rad|grad|turn/g);
  function convertPercentUnit(valueWithUnit, vec3Index, target) {
    if ('px' in valueWithUnit) {
      return Number(valueWithUnit.px);
    } else if ('%' in valueWithUnit) {
      var bounds = target.getBounds();
      var size = 0;

      if (bounds) {
        size = bounds.halfExtents[vec3Index] * 2;
      }

      return Number(valueWithUnit['%']) / 100 * size;
    }

    return 0;
  }
  function convertAngleUnit(valueWithUnit) {
    var deg = 0;

    if ('deg' in valueWithUnit) {
      deg = Number(valueWithUnit.deg);
    } else if ('rad' in valueWithUnit) {
      deg = rad2deg(Number(valueWithUnit.rad));
    } else if ('turn' in valueWithUnit) {
      deg = 360 * Number(valueWithUnit.turn);
    }

    return deg;
  }

  function rgb2arr(str) {
    // @ts-ignore
    var color$1 = color(str);
    var arr = [0, 0, 0, 0];

    if (color$1 != null) {
      arr[0] = color$1.r / 255;
      arr[1] = color$1.g / 255;
      arr[2] = color$1.b / 255;
      arr[3] = color$1.opacity;
    }

    return arr;
  }

  function mergeColors(left, right) {
    return [left, right, function (x) {
      if (x[3]) {
        for (var i = 0; i < 3; i++) {
          x[i] = Math.round(clamp$1(0, 255, x[i] * 255));
        }
      }

      x[3] = clamp$1(0, 1, x[3]);
      return 'rgba(' + x.join(',') + ')';
    }];
  }

  addPropertiesHandler(rgb2arr, mergeColors, ['fill', 'stroke']);

  function toRadians(arg) {
    var rads = arg.rad || 0;
    var degs = arg.deg || 0;
    var grads = arg.grad || 0;
    var turns = arg.turn || 0;
    var angle = (degs / 360 + grads / 400 + turns) * (2 * Math.PI) + rads;
    return angle;
  }

  function convertItemToMatrix(item) {
    switch (item.t) {
      case 'rotatex':
        var angle = toRadians(item.d[0]);
        return [1, 0, 0, 0, 0, Math.cos(angle), Math.sin(angle), 0, 0, -Math.sin(angle), Math.cos(angle), 0, 0, 0, 0, 1];

      case 'rotatey':
        var angle = toRadians(item.d[0]);
        return [Math.cos(angle), 0, -Math.sin(angle), 0, 0, 1, 0, 0, Math.sin(angle), 0, Math.cos(angle), 0, 0, 0, 0, 1];

      case 'rotate':
      case 'rotatez':
        var angle = toRadians(item.d[0]);
        return [Math.cos(angle), Math.sin(angle), 0, 0, -Math.sin(angle), Math.cos(angle), 0, 0, 0, 0, 1, 0, 0, 0, 0, 1];

      case 'rotate3d':
        var x = item.d[0];
        var y = item.d[1];
        var z = item.d[2];
        var angle = toRadians(item.d[3]);
        var sqrLength = x * x + y * y + z * z;

        if (sqrLength === 0) {
          x = 1;
          y = 0;
          z = 0;
        } else if (sqrLength !== 1) {
          var length = Math.sqrt(sqrLength);
          x /= length;
          y /= length;
          z /= length;
        }

        var s = Math.sin(angle / 2);
        var sc = s * Math.cos(angle / 2);
        var sq = s * s;
        return [1 - 2 * (y * y + z * z) * sq, 2 * (x * y * sq + z * sc), 2 * (x * z * sq - y * sc), 0, 2 * (x * y * sq - z * sc), 1 - 2 * (x * x + z * z) * sq, 2 * (y * z * sq + x * sc), 0, 2 * (x * z * sq + y * sc), 2 * (y * z * sq - x * sc), 1 - 2 * (x * x + y * y) * sq, 0, 0, 0, 0, 1];

      case 'scale':
        return [item.d[0], 0, 0, 0, 0, item.d[1], 0, 0, 0, 0, 1, 0, 0, 0, 0, 1];

      case 'scalex':
        return [item.d[0], 0, 0, 0, 0, 1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1];

      case 'scaley':
        return [1, 0, 0, 0, 0, item.d[0], 0, 0, 0, 0, 1, 0, 0, 0, 0, 1];

      case 'scalez':
        return [1, 0, 0, 0, 0, 1, 0, 0, 0, 0, item.d[0], 0, 0, 0, 0, 1];

      case 'scale3d':
        return [item.d[0], 0, 0, 0, 0, item.d[1], 0, 0, 0, 0, item.d[2], 0, 0, 0, 0, 1];

      case 'skew':
        var xAngle = toRadians(item.d[0]);
        var yAngle = toRadians(item.d[1]);
        return [1, Math.tan(yAngle), 0, 0, Math.tan(xAngle), 1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1];

      case 'skewx':
        var angle = toRadians(item.d[0]);
        return [1, 0, 0, 0, Math.tan(angle), 1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1];

      case 'skewy':
        var angle = toRadians(item.d[0]);
        return [1, Math.tan(angle), 0, 0, 0, 1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1];

      case 'translate':
        var x = item.d[0].px || 0;
        var y = item.d[1].px || 0;
        return [1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1, 0, x, y, 0, 1];

      case 'translatex':
        var x = item.d[0].px || 0;
        return [1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1, 0, x, 0, 0, 1];

      case 'translatey':
        var y = item.d[0].px || 0;
        return [1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1, 0, 0, y, 0, 1];

      case 'translatez':
        var z = item.d[0].px || 0;
        return [1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1, 0, 0, 0, z, 1];

      case 'translate3d':
        var x = item.d[0].px || 0;
        var y = item.d[1].px || 0;
        var z = item.d[2].px || 0;
        return [1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1, 0, x, y, z, 1];

      case 'perspective':
        var p = item.d[0].px ? -1 / item.d[0].px : 0;
        return [1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1, p, 0, 0, 0, 1];

      case 'matrix':
        return [item.d[0], item.d[1], 0, 0, item.d[2], item.d[3], 0, 0, 0, 0, 1, 0, item.d[4], item.d[5], 0, 1];

      case 'matrix3d':
        return item.d;
    }
  }

  function convertToMatrix(transformList) {
    if (transformList.length === 0) {
      return [1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1];
    }

    return transformList.map(convertItemToMatrix).reduce(multiplyMatrices);
  }

  function dot$2(v1, v2) {
    var result = 0;

    for (var i = 0; i < v1.length; i++) {
      result += v1[i] * v2[i];
    }

    return result;
  }

  function multiplyMatrices(a, b) {
    return [a[0] * b[0] + a[4] * b[1] + a[8] * b[2] + a[12] * b[3], a[1] * b[0] + a[5] * b[1] + a[9] * b[2] + a[13] * b[3], a[2] * b[0] + a[6] * b[1] + a[10] * b[2] + a[14] * b[3], a[3] * b[0] + a[7] * b[1] + a[11] * b[2] + a[15] * b[3], a[0] * b[4] + a[4] * b[5] + a[8] * b[6] + a[12] * b[7], a[1] * b[4] + a[5] * b[5] + a[9] * b[6] + a[13] * b[7], a[2] * b[4] + a[6] * b[5] + a[10] * b[6] + a[14] * b[7], a[3] * b[4] + a[7] * b[5] + a[11] * b[6] + a[15] * b[7], a[0] * b[8] + a[4] * b[9] + a[8] * b[10] + a[12] * b[11], a[1] * b[8] + a[5] * b[9] + a[9] * b[10] + a[13] * b[11], a[2] * b[8] + a[6] * b[9] + a[10] * b[10] + a[14] * b[11], a[3] * b[8] + a[7] * b[9] + a[11] * b[10] + a[15] * b[11], a[0] * b[12] + a[4] * b[13] + a[8] * b[14] + a[12] * b[15], a[1] * b[12] + a[5] * b[13] + a[9] * b[14] + a[13] * b[15], a[2] * b[12] + a[6] * b[13] + a[10] * b[14] + a[14] * b[15], a[3] * b[12] + a[7] * b[13] + a[11] * b[14] + a[15] * b[15]];
  }

  function determinant(m) {
    return m[0][0] * m[1][1] * m[2][2] + m[1][0] * m[2][1] * m[0][2] + m[2][0] * m[0][1] * m[1][2] - m[0][2] * m[1][1] * m[2][0] - m[1][2] * m[2][1] * m[0][0] - m[2][2] * m[0][1] * m[1][0];
  } // from Wikipedia:
  //
  // [A B]^-1 = [A^-1 + A^-1B(D - CA^-1B)^-1CA^-1     -A^-1B(D - CA^-1B)^-1]
  // [C D]      [-(D - CA^-1B)^-1CA^-1                (D - CA^-1B)^-1      ]
  //
  // Therefore
  //
  // [A [0]]^-1 = [A^-1       [0]]
  // [C  1 ]      [ -CA^-1     1 ]


  function inverse(m) {
    var iDet = 1 / determinant(m);
    var a = m[0][0],
        b = m[0][1],
        c = m[0][2];
    var d = m[1][0],
        e = m[1][1],
        f = m[1][2];
    var g = m[2][0],
        h = m[2][1],
        k = m[2][2];
    var Ainv = [[(e * k - f * h) * iDet, (c * h - b * k) * iDet, (b * f - c * e) * iDet, 0], [(f * g - d * k) * iDet, (a * k - c * g) * iDet, (c * d - a * f) * iDet, 0], [(d * h - e * g) * iDet, (g * b - a * h) * iDet, (a * e - b * d) * iDet, 0]];
    var lastRow = [];

    for (var i = 0; i < 3; i++) {
      var val = 0;

      for (var j = 0; j < 3; j++) {
        val += m[3][j] * Ainv[j][i];
      }

      lastRow.push(val);
    }

    lastRow.push(1);
    Ainv.push(lastRow);
    return Ainv;
  }

  function transposeMatrix4(m) {
    return [[m[0][0], m[1][0], m[2][0], m[3][0]], [m[0][1], m[1][1], m[2][1], m[3][1]], [m[0][2], m[1][2], m[2][2], m[3][2]], [m[0][3], m[1][3], m[2][3], m[3][3]]];
  }

  function multVecMatrix(v, m) {
    var result = [];

    for (var i = 0; i < 4; i++) {
      var val = 0;

      for (var j = 0; j < 4; j++) {
        val += v[j] * m[j][i];
      }

      result.push(val);
    }

    return result;
  }

  function normalize$4(v) {
    var len = length$1(v);
    return [v[0] / len, v[1] / len, v[2] / len];
  }

  function length$1(v) {
    return Math.sqrt(v[0] * v[0] + v[1] * v[1] + v[2] * v[2]);
  }

  function combine(v1, v2, v1s, v2s) {
    return [v1s * v1[0] + v2s * v2[0], v1s * v1[1] + v2s * v2[1], v1s * v1[2] + v2s * v2[2]];
  }

  function cross$1(v1, v2) {
    return [v1[1] * v2[2] - v1[2] * v2[1], v1[2] * v2[0] - v1[0] * v2[2], v1[0] * v2[1] - v1[1] * v2[0]];
  }

  function decomposeMatrix(matrix) {
    var m3d = [matrix.slice(0, 4), matrix.slice(4, 8), matrix.slice(8, 12), matrix.slice(12, 16)]; // skip normalization step as m3d[3][3] should always be 1

    if (m3d[3][3] !== 1) {
      return null;
    }

    var perspectiveMatrix = [];

    for (var i = 0; i < 4; i++) {
      perspectiveMatrix.push(m3d[i].slice());
    }

    for (var i = 0; i < 3; i++) {
      perspectiveMatrix[i][3] = 0;
    }

    if (determinant(perspectiveMatrix) === 0) {
      return null;
    }

    var rhs = [];
    var perspective;

    if (m3d[0][3] || m3d[1][3] || m3d[2][3]) {
      rhs.push(m3d[0][3]);
      rhs.push(m3d[1][3]);
      rhs.push(m3d[2][3]);
      rhs.push(m3d[3][3]);
      var inversePerspectiveMatrix = inverse(perspectiveMatrix);
      var transposedInversePerspectiveMatrix = transposeMatrix4(inversePerspectiveMatrix);
      perspective = multVecMatrix(rhs, transposedInversePerspectiveMatrix);
    } else {
      perspective = [0, 0, 0, 1];
    }

    var translate = m3d[3].slice(0, 3);
    var row = [];
    row.push(m3d[0].slice(0, 3));
    var scale = [];
    scale.push(length$1(row[0]));
    row[0] = normalize$4(row[0]);
    var skew = [];
    row.push(m3d[1].slice(0, 3));
    skew.push(dot$2(row[0], row[1]));
    row[1] = combine(row[1], row[0], 1.0, -skew[0]);
    scale.push(length$1(row[1]));
    row[1] = normalize$4(row[1]);
    skew[0] /= scale[1];
    row.push(m3d[2].slice(0, 3));
    skew.push(dot$2(row[0], row[2]));
    row[2] = combine(row[2], row[0], 1.0, -skew[1]);
    skew.push(dot$2(row[1], row[2]));
    row[2] = combine(row[2], row[1], 1.0, -skew[2]);
    scale.push(length$1(row[2]));
    row[2] = normalize$4(row[2]);
    skew[1] /= scale[2];
    skew[2] /= scale[2];
    var pdum3 = cross$1(row[1], row[2]);

    if (dot$2(row[0], pdum3) < 0) {
      for (var i = 0; i < 3; i++) {
        scale[i] *= -1;
        row[i][0] *= -1;
        row[i][1] *= -1;
        row[i][2] *= -1;
      }
    }

    var t = row[0][0] + row[1][1] + row[2][2] + 1;
    var s;
    var quaternion;

    if (t > 1e-4) {
      s = 0.5 / Math.sqrt(t);
      quaternion = [(row[2][1] - row[1][2]) * s, (row[0][2] - row[2][0]) * s, (row[1][0] - row[0][1]) * s, 0.25 / s];
    } else if (row[0][0] > row[1][1] && row[0][0] > row[2][2]) {
      s = Math.sqrt(1 + row[0][0] - row[1][1] - row[2][2]) * 2.0;
      quaternion = [0.25 * s, (row[0][1] + row[1][0]) / s, (row[0][2] + row[2][0]) / s, (row[2][1] - row[1][2]) / s];
    } else if (row[1][1] > row[2][2]) {
      s = Math.sqrt(1.0 + row[1][1] - row[0][0] - row[2][2]) * 2.0;
      quaternion = [(row[0][1] + row[1][0]) / s, 0.25 * s, (row[1][2] + row[2][1]) / s, (row[0][2] - row[2][0]) / s];
    } else {
      s = Math.sqrt(1.0 + row[2][2] - row[0][0] - row[1][1]) * 2.0;
      quaternion = [(row[0][2] + row[2][0]) / s, (row[1][2] + row[2][1]) / s, 0.25 * s, (row[1][0] - row[0][1]) / s];
    }

    return [translate, scale, skew, quaternion, perspective];
  }

  function makeMatrixDecomposition(transformList) {
    return [decomposeMatrix(convertToMatrix(transformList))];
  }
  function quat(fromQ, toQ, f) {
    var product = dot$2(fromQ, toQ);
    product = clamp$1(product, -1.0, 1.0);
    var quat = [];

    if (product === 1.0) {
      quat = fromQ;
    } else {
      var theta = Math.acos(product);
      var w = Math.sin(f * theta) * 1 / Math.sqrt(1 - product * product);

      for (var i = 0; i < 4; i++) {
        quat.push(fromQ[i] * (Math.cos(f * theta) - product * w) + toQ[i] * w);
      }
    }

    return quat;
  }

  function multiply$3(a, b) {
    var result = [[0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0], [0, 0, 0, 0]];

    for (var i = 0; i < 4; i++) {
      for (var j = 0; j < 4; j++) {
        for (var k = 0; k < 4; k++) {
          result[i][j] += b[i][k] * a[k][j];
        }
      }
    }

    return result;
  }

  function is2D(m) {
    return m[0][2] === 0 && m[0][3] === 0 && m[1][2] === 0 && m[1][3] === 0 && m[2][0] === 0 && m[2][1] === 0 && m[2][2] === 1 && m[2][3] === 0 && m[3][2] === 0 && m[3][3] === 1;
  }

  function composeMatrix(translate, scale, skew, quat, perspective) {
    var matrix = [[1, 0, 0, 0], [0, 1, 0, 0], [0, 0, 1, 0], [0, 0, 0, 1]];

    for (var i = 0; i < 4; i++) {
      matrix[i][3] = perspective[i];
    }

    for (var i = 0; i < 3; i++) {
      for (var j = 0; j < 3; j++) {
        matrix[3][i] += translate[j] * matrix[j][i];
      }
    }

    var x = quat[0],
        y = quat[1],
        z = quat[2],
        w = quat[3];
    var rotMatrix = [[1, 0, 0, 0], [0, 1, 0, 0], [0, 0, 1, 0], [0, 0, 0, 1]];
    rotMatrix[0][0] = 1 - 2 * (y * y + z * z);
    rotMatrix[0][1] = 2 * (x * y - z * w);
    rotMatrix[0][2] = 2 * (x * z + y * w);
    rotMatrix[1][0] = 2 * (x * y + z * w);
    rotMatrix[1][1] = 1 - 2 * (x * x + z * z);
    rotMatrix[1][2] = 2 * (y * z - x * w);
    rotMatrix[2][0] = 2 * (x * z - y * w);
    rotMatrix[2][1] = 2 * (y * z + x * w);
    rotMatrix[2][2] = 1 - 2 * (x * x + y * y);
    matrix = multiply$3(matrix, rotMatrix);
    var temp = [[1, 0, 0, 0], [0, 1, 0, 0], [0, 0, 1, 0], [0, 0, 0, 1]];

    if (skew[2]) {
      temp[2][1] = skew[2];
      matrix = multiply$3(matrix, temp);
    }

    if (skew[1]) {
      temp[2][1] = 0;
      temp[2][0] = skew[0];
      matrix = multiply$3(matrix, temp);
    }

    if (skew[0]) {
      temp[2][0] = 0;
      temp[1][0] = skew[0];
      matrix = multiply$3(matrix, temp);
    }

    for (var i = 0; i < 3; i++) {
      for (var j = 0; j < 3; j++) {
        matrix[i][j] *= scale[i];
      }
    }

    if (is2D(matrix)) {
      return [matrix[0][0], matrix[0][1], matrix[1][0], matrix[1][1], matrix[3][0], matrix[3][1]];
    }

    return matrix[0].concat(matrix[1], matrix[2], matrix[3]);
  }

  var _ = null;

  function cast(pattern) {
    return function (contents) {
      var i = 0;
      return pattern.map(function (x) {
        return x === _ ? contents[i++] : x;
      });
    };
  }

  function id$1(x) {
    return x;
  }

  var Opx = {
    px: 0
  };
  var Odeg = {
    deg: 0
  }; // type: [argTypes, convertTo3D, convertTo2D]
  // In the argument types string, lowercase characters represent optional arguments

  var transformFunctions = {
    matrix: ['NNNNNN', [_, _, 0, 0, _, _, 0, 0, 0, 0, 1, 0, _, _, 0, 1], id$1],
    matrix3d: ['NNNNNNNNNNNNNNNN', id$1],
    rotate: ['A'],
    rotatex: ['A'],
    rotatey: ['A'],
    rotatez: ['A'],
    rotate3d: ['NNNA'],
    perspective: ['L'],
    scale: ['Nn', cast([_, _, 1]), id$1],
    scalex: ['N', cast([_, 1, 1]), cast([_, 1])],
    scaley: ['N', cast([1, _, 1]), cast([1, _])],
    scalez: ['N', cast([1, 1, _])],
    scale3d: ['NNN', id$1],
    skew: ['Aa', null, id$1],
    skewx: ['A', null, cast([_, Odeg])],
    skewy: ['A', null, cast([Odeg, _])],
    translate: ['Tt', cast([_, _, Opx]), id$1],
    translatex: ['T', cast([_, Opx, Opx]), cast([_, Opx])],
    translatey: ['T', cast([Opx, _, Opx]), cast([Opx, _])],
    translatez: ['L', cast([Opx, Opx, _])],
    translate3d: ['TTL', id$1]
  };
  /**
   * scale(1) scale(1, 2)
   * scaleX(1)
   */

  function parseTransform(string) {
    string = string.toLowerCase().trim();
    if (string === 'none') return []; // FIXME: Using a RegExp means calcs won't work here

    var transformRegExp = /\s*(\w+)\(([^)]*)\)/g;
    var result = [];
    var match;
    var prevLastIndex = 0;

    while (match = transformRegExp.exec(string)) {
      if (match.index !== prevLastIndex) return;
      prevLastIndex = match.index + match[0].length;
      var functionName = match[1]; // scale

      var functionData = transformFunctions[functionName]; // scale(1, 2)

      if (!functionData) // invalid scale()
        return;
      var args = match[2].split(','); // 1,2

      var argTypes = functionData[0]; // Nn

      if (argTypes.length < args.length) // scale(N, n)
        return;
      var parsedArgs = [];

      for (var i = 0; i < argTypes.length; i++) {
        var arg = args[i];
        var type = argTypes[i];
        var parsedArg = void 0;

        if (!arg) {
          // @ts-ignore
          parsedArg = {
            a: Odeg,
            n: parsedArgs[0],
            t: Opx
          }[type];
        } else {
          // @ts-ignore
          parsedArg = {
            A: function A(s) {
              return s.trim() === '0' ? Odeg : parseAngle(s);
            },
            N: parseNumber,
            T: parseLengthOrPercent,
            // T: parseLength, // 暂不支持 %
            L: parseLength
          }[type.toUpperCase()](arg);
        }

        if (parsedArg === undefined) return;
        parsedArgs.push(parsedArg);
      }

      result.push({
        t: functionName,
        d: parsedArgs
      }); // { t: scale, d: [1, 2] }

      if (transformRegExp.lastIndex === string.length) {
        return result;
      }
    }
  }

  function numberToLongString(x) {
    return x.toFixed(6).replace('.000000', '');
  }

  function mergeMatrices(left, right) {
    if (left.decompositionPair !== right) {
      left.decompositionPair = right;
      var leftArgs = makeMatrixDecomposition(left);
    }

    if (right.decompositionPair !== left) {
      right.decompositionPair = left;
      var rightArgs = makeMatrixDecomposition(right);
    }

    if (leftArgs[0] === null || rightArgs[0] === null) return [[false], [true], function (x) {
      return x ? right[0].d : left[0].d;
    }];
    leftArgs[0].push(0);
    rightArgs[0].push(1);
    return [leftArgs, rightArgs, function (list) {
      var q = quat(leftArgs[0][3], rightArgs[0][3], list[5]);
      var mat = composeMatrix(list[0], list[1], list[2], q, list[4]);
      var stringifiedArgs = mat.map(numberToLongString).join(',');
      return stringifiedArgs;
    }];
  }

  function typeTo2D(type) {
    return type.replace(/[xy]/, '');
  }

  function typeTo3D(type) {
    return type.replace(/(x|y|z|3d)?$/, '3d');
  }

  var isMatrixOrPerspective = function isMatrixOrPerspective(lt, rt) {
    return lt === 'perspective' && rt === 'perspective' || (lt === 'matrix' || lt === 'matrix3d') && (rt === 'matrix' || rt === 'matrix3d');
  };

  function mergeTransforms(left, right, target) {
    var flipResults = false;

    if (!left.length || !right.length) {
      if (!left.length) {
        flipResults = true;
        left = right;
        right = [];
      }

      var _loop = function _loop(i) {
        var _left$i = left[i],
            type = _left$i.t,
            args = _left$i.d;
        var defaultValue = type.substr(0, 5) === 'scale' ? 1 : 0;
        right.push({
          t: type,
          // @ts-ignore
          d: args.map(function (arg) {
            if (typeof arg === 'number') return defaultValue;
            var result = {}; // @ts-ignore

            for (var unit in arg) {
              // @ts-ignore
              result[unit] = defaultValue;
            }

            return result;
          })
        });
      };

      for (var i = 0; i < left.length; i++) {
        _loop(i);
      }
    }

    var leftResult = [];
    var rightResult = [];
    var types = [];

    if (left.length !== right.length) {
      var merged = mergeMatrices(left, right);
      leftResult = [merged[0]];
      rightResult = [merged[1]];
      types = [['matrix', [merged[2]]]];
    } else {
      for (var _i = 0; _i < left.length; _i++) {
        var leftType = left[_i].t;
        var rightType = right[_i].t;
        var leftArgs = left[_i].d;
        var rightArgs = right[_i].d;
        var leftFunctionData = transformFunctions[leftType];
        var rightFunctionData = transformFunctions[rightType];
        var type = void 0;

        if (isMatrixOrPerspective(leftType, rightType)) {
          var _merged = mergeMatrices([left[_i]], [right[_i]]);

          leftResult.push(_merged[0]);
          rightResult.push(_merged[1]);
          types.push(['matrix', [_merged[2]]]);
          continue;
        } else if (leftType === rightType) {
          type = leftType;
        } else if (leftFunctionData[2] && rightFunctionData[2] && typeTo2D(leftType) === typeTo2D(rightType)) {
          type = typeTo2D(leftType);
          leftArgs = leftFunctionData[2](leftArgs);
          rightArgs = rightFunctionData[2](rightArgs);
        } else if (leftFunctionData[1] && rightFunctionData[1] && typeTo3D(leftType) === typeTo3D(rightType)) {
          type = typeTo3D(leftType);
          leftArgs = leftFunctionData[1](leftArgs);
          rightArgs = rightFunctionData[1](rightArgs);
        } else {
          var _merged2 = mergeMatrices(left, right);

          leftResult = [_merged2[0]];
          rightResult = [_merged2[1]];
          types = [['matrix', [_merged2[2]]]];
          break;
        }

        var leftArgsCopy = [];
        var rightArgsCopy = [];
        var stringConversions = [];

        for (var j = 0; j < leftArgs.length; j++) {
          var merge = typeof leftArgs[j] === 'number' ? mergeNumbers : mergeDimensions;

          var _merged3 = merge(leftArgs[j], rightArgs[j], false, target, j);

          leftArgsCopy[j] = _merged3[0];
          rightArgsCopy[j] = _merged3[1];
          stringConversions.push(_merged3[2]);
        }

        leftResult.push(leftArgsCopy);
        rightResult.push(rightArgsCopy);
        types.push([type, stringConversions]);
      }
    }

    if (flipResults) {
      var tmp = leftResult;
      leftResult = rightResult;
      rightResult = tmp;
    }

    return [leftResult, rightResult, function (list) {
      return list.map(function (args, i) {
        var stringifiedArgs = args.map(function (arg, j) {
          return types[i][1][j](arg);
        }).join(',');
        if (types[i][0] === 'matrix' && stringifiedArgs.split(',').length === 16) types[i][0] = 'matrix3d';
        return types[i][0] + '(' + stringifiedArgs + ')';
      }).join(' ');
    }];
  }

  addPropertiesHandler(parseTransform, mergeTransforms, ['transform']);

  /**
   * @see /zh/docs/api/animation#支持变换的属性
   *
   * support the following formats like CSS Transform:
   *
   * scale
   * * scale(x, y)
   * * scaleX(x)
   * * scaleY(x)
   * * scaleZ(z)
   * * scale3d(x, y, z)
   *
   * translate (unit: none, px, %(relative to its bounds))
   * * translate(x, y) eg. translate(0, 0) translate(0, 30px) translate(100%, 100%)
   * * translateX(0)
   * * translateY(0)
   * * translateZ(0)
   * * translate3d(0, 0, 0)
   *
   * rotate (unit: deg rad turn)
   * * rotate(0.5turn) rotate(30deg) rotate(1rad)
   *
   * unsupported for now:
   * * calc() eg. translate(calc(100% + 10px))
   * * matrix/matrix3d()
   * * skew/skewX/skewY
   * * perspective
   * * none
   */

  var TransformProperty = /*#__PURE__*/function () {
    function TransformProperty() {
      _classCallCheck$2(this, TransformProperty);

      this.sceneGraphService = void 0;
    }

    _createClass$2(TransformProperty, [{
      key: "update",
      value: function update(oldValue, value, object) {
        var result = parseTransform(value);
        result === null || result === void 0 ? void 0 : result.forEach(function (_ref) {
          var d = _ref.d,
              t = _ref.t;

          if (t === 'scale') {
            // scale(1) scale(1, 1)
            // @ts-ignore
            object.setLocalScale(d[0], d[1], 1);
          } else if (t === 'scalex') {
            object.setLocalScale(d, 1, 1);
          } else if (t === 'scaley') {
            object.setLocalScale(1, d, 1);
          } else if (t === 'scalez') {
            object.setLocalScale(1, 1, d);
          } else if (t === 'scale3d') {
            // @ts-ignore
            object.setLocalScale(d[0], d[1], d[2]);
          } else if (t === 'translate') {
            object.setLocalPosition(convertPercentUnit(d[0], 0, object), convertPercentUnit(d[1], 1, object), 0);
          } else if (t === 'translatex') {
            object.setLocalPosition(convertPercentUnit(d[0], 0, object), 0, 0);
          } else if (t === 'translatey') {
            object.setLocalPosition(0, convertPercentUnit(d[0], 1, object), 0);
          } else if (t === 'translatez') {
            object.setLocalPosition(0, 0, convertPercentUnit(d[0].px, 2, object));
          } else if (t === 'translate3d') {
            object.setLocalPosition(convertPercentUnit(d[0], 0, object), convertPercentUnit(d[1], 1, object), convertPercentUnit(d[2], 2, object));
          } else if (t === 'rotate') {
            object.setLocalEulerAngles(convertAngleUnit(d[0]));
          } else ;
        });
      }
    }]);

    return TransformProperty;
  }();

  __decorate$1([inject(SceneGraphService), __metadata$1("design:type", SceneGraphService)], TransformProperty.prototype, "sceneGraphService", void 0);

  TransformProperty = __decorate$1([injectable()], TransformProperty);

  var StylePropertyHandlerFactory = Symbol('StylePropertyHandlerFactory');
  var StylePropertyHandler = Symbol('StylePropertyHandler');

  var containerModule$1 = new ContainerModule(function (bind, unbind, isBound, rebind) {
    // bind DisplayObject pool
    bind(DisplayObjectPool).toSelf().inSingletonScope(); // bind Selector

    bind(DefaultSceneGraphSelector).toSelf().inSingletonScope();
    bind(SceneGraphSelector).toService(DefaultSceneGraphSelector);
    bind(SceneGraphSelectorFactory).toFactory(function (context) {
      // resolve selector implementation at runtime
      return function () {
        return context.container.get(SceneGraphSelector);
      };
    });
    bind(SceneGraphService).toSelf().inSingletonScope(); // bind text service

    bind(OffscreenCanvasCreator).toSelf().inSingletonScope();
    bind(TextService).toSelf().inSingletonScope(); // bind aabb updater

    bind(GeometryAABBUpdater).to(CircleUpdater).inSingletonScope().whenTargetNamed(SHAPE.Circle);
    bind(GeometryAABBUpdater).to(EllipseUpdater).inSingletonScope().whenTargetNamed(SHAPE.Ellipse);
    bind(GeometryAABBUpdater).to(RectUpdater).inSingletonScope().whenTargetNamed(SHAPE.Rect);
    bind(GeometryAABBUpdater).to(RectUpdater).inSingletonScope().whenTargetNamed(SHAPE.Image);
    bind(GeometryAABBUpdater).to(TextUpdater).inSingletonScope().whenTargetNamed(SHAPE.Text);
    bind(GeometryAABBUpdater).to(LineUpdater).inSingletonScope().whenTargetNamed(SHAPE.Line);
    bind(GeometryAABBUpdater).to(PolylineUpdater).inSingletonScope().whenTargetNamed(SHAPE.Polyline);
    bind(GeometryAABBUpdater).to(PolylineUpdater).inSingletonScope().whenTargetNamed(SHAPE.Polygon);
    bind(GeometryAABBUpdater).to(PathUpdater).inSingletonScope().whenTargetNamed(SHAPE.Path);
    bind(GeometryUpdaterFactory).toFactory(function (context) {
      return function (tagName) {
        if (context.container.isBoundNamed(GeometryAABBUpdater, tagName)) {
          return context.container.getNamed(GeometryAABBUpdater, tagName);
        }

        return null;
      };
    }); // bind style property handler

    bind(StylePropertyHandler).to(ClipPath).inSingletonScope().whenTargetNamed('clipPath');
    bind(StylePropertyHandler).to(Color$1).inSingletonScope().whenTargetNamed('fill');
    bind(StylePropertyHandler).to(Color$1).inSingletonScope().whenTargetNamed('stroke');
    bind(StylePropertyHandler).to(ZIndex).inSingletonScope().whenTargetNamed('zIndex');
    bind(StylePropertyHandler).to(OffsetPath).inSingletonScope().whenTargetNamed('offsetPath');
    bind(StylePropertyHandler).to(OffsetDistance).inSingletonScope().whenTargetNamed('offsetDistance');
    bind(StylePropertyHandler).to(Origin).inSingletonScope().whenTargetNamed('origin');
    bind(StylePropertyHandler).to(TransformProperty).inSingletonScope().whenTargetNamed('transform');
    bind(StylePropertyHandlerFactory).toFactory(function (context) {
      return function (propertyName) {
        if (context.container.isBoundNamed(StylePropertyHandler, propertyName)) {
          return context.container.getNamed(StylePropertyHandler, propertyName);
        }

        return null;
      };
    });
  });
  var container = new Container(); // bind ECS

  container.load(containerModule);
  container.load(containerModule$1); // register components & systems

  var world = container.get(World);
  world.registerComponent(Transform).registerComponent(SceneGraphNode).registerComponent(Sortable).registerComponent(Cullable).registerComponent(Geometry).registerComponent(Renderable); // let lastTime = new Date().getTime();

  /**
   * @example
    {
      translateY: [200, 300],
      scale: [1, 10],
    }

   * groups' length can be different, the following config should generate 3 frames:
    @example
    {
      translateY: [200, 300, 400],
      scale: [1, 10],
    }
   */
  function convertToArrayForm(effectInput) {
    var normalizedEffectInput = [];

    for (var property in effectInput) {
      // skip reserved props
      if (property in ['easing', 'offset', 'composite']) {
        continue;
      } // @ts-ignore


      var values = effectInput[property];

      if (!Array.isArray(values)) {
        values = [values];
      }

      var numKeyframes = values.length;

      for (var i = 0; i < numKeyframes; i++) {
        if (!normalizedEffectInput[i]) {
          var keyframe = {};

          if ('offset' in effectInput) {
            keyframe.offset = Number(effectInput.offset);
          }

          if ('easing' in effectInput) {
            // @ts-ignore
            keyframe.easing = effectInput.easing;
          }

          if ('composite' in effectInput) {
            // @ts-ignore
            keyframe.composite = effectInput.composite;
          }

          normalizedEffectInput[i] = keyframe;
        }

        if (values[i] !== undefined && values[i] !== null) {
          normalizedEffectInput[i][property] = values[i];
        }
      }
    }

    normalizedEffectInput.sort(function (a, b) {
      return (a.computedOffset || 0) - (b.computedOffset || 0);
    });
    return normalizedEffectInput;
  }
  function normalizeKeyframes(effectInput, timing) {
    if (effectInput === null) {
      return [];
    }

    if (!Array.isArray(effectInput)) {
      effectInput = convertToArrayForm(effectInput);
    }

    var keyframes = effectInput.map(function (originalKeyframe) {
      var keyframe = {};

      if (timing === null || timing === void 0 ? void 0 : timing.composite) {
        // This will be auto if the composite operation specified on the effect is being used.
        // @see https://developer.mozilla.org/en-US/docs/Web/API/Web_Animations_API/Keyframe_Formats
        keyframe.composite = 'auto';
      }

      for (var member in originalKeyframe) {
        var memberValue = originalKeyframe[member];

        if (member === 'offset') {
          if (memberValue !== null) {
            memberValue = Number(memberValue);
            if (!isFinite(memberValue)) throw new Error('Keyframe offsets must be numbers.');
            if (memberValue < 0 || memberValue > 1) throw new Error('Keyframe offsets must be between 0 and 1.');
            keyframe.computedOffset = memberValue;
          }
        } else if (member === 'composite') {
          // TODO: Support add & accumulate in KeyframeEffect.composite
          // @see https://developer.mozilla.org/en-US/docs/Web/API/KeyframeEffect/composite
          if (['replace', 'add', 'accumulate', 'auto'].indexOf(memberValue) === -1) {
            throw new Error("".concat(memberValue, " compositing is not supported"));
          }
        } else if (member === 'easing') {
          // TODO: Validate animation-timing-function
          // @see https://developer.mozilla.org/en-US/docs/Web/CSS/animation-timing-function
          memberValue = memberValue;
        } else {
          memberValue = '' + memberValue;
        } // assign to keyframe, no need to parse shorthand value


        keyframe[member] = memberValue;
      }

      if (keyframe.offset === undefined) {
        keyframe.offset = null;
      }

      if (keyframe.easing === undefined) {
        // override with timing.easing
        keyframe.easing = (timing === null || timing === void 0 ? void 0 : timing.easing) || 'linear';
      }

      if (keyframe.composite === undefined) {
        keyframe.composite = 'auto';
      }

      return keyframe;
    });
    var everyFrameHasOffset = true;
    var previousOffset = -Infinity;

    for (var i = 0; i < keyframes.length; i++) {
      var offset = keyframes[i].offset;

      if (offset !== null && offset !== undefined) {
        if (offset < previousOffset) {
          throw new TypeError('Keyframes are not loosely sorted by offset. Sort or specify offsets.');
        }

        previousOffset = offset;
      } else {
        everyFrameHasOffset = false;
      }
    }

    keyframes = keyframes.filter(function (keyframe) {
      return Number(keyframe.offset) >= 0 && Number(keyframe.offset) <= 1;
    });

    function spaceKeyframes() {
      var _keyframes$offset;

      var length = keyframes.length;
      keyframes[length - 1].computedOffset = Number((_keyframes$offset = keyframes[length - 1].offset) !== null && _keyframes$offset !== void 0 ? _keyframes$offset : 1);

      if (length > 1) {
        var _keyframes$0$offset;

        keyframes[0].computedOffset = Number((_keyframes$0$offset = keyframes[0].offset) !== null && _keyframes$0$offset !== void 0 ? _keyframes$0$offset : 0);
      }

      var previousIndex = 0;
      var previousOffset = Number(keyframes[0].computedOffset);

      for (var _i = 1; _i < length; _i++) {
        var _offset = Number(keyframes[_i].computedOffset);

        if (_offset !== null && _offset !== undefined && previousOffset !== null && previousOffset !== undefined) {
          for (var j = 1; j < _i - previousIndex; j++) {
            keyframes[previousIndex + j].computedOffset = previousOffset + (_offset - previousOffset) * j / (_i - previousIndex);
          }

          previousIndex = _i;
          previousOffset = _offset;
        }
      }
    }

    if (!everyFrameHasOffset) spaceKeyframes();
    return keyframes;
  }

  /**
   * @see https://developer.mozilla.org/en-US/docs/Web/API/KeyframeEffect
   * @example
    const circleDownKeyframes = new KeyframeEffect(
      circle, // element to animate
      [
        { transform: 'translateY(0)' }, // keyframe
        { transform: 'translateY(100)' } // keyframe
      ],
      { duration: 3000, fill: 'forwards' } // keyframe options
    );
   *
   */

  var KeyframeEffect = /*#__PURE__*/function () {
    function KeyframeEffect(target, effectInput, timingInput) {
      _classCallCheck$2(this, KeyframeEffect);

      this.composite = 'replace';
      this.iterationComposite = 'replace';
      this.pseudoElement = void 0;
      this.target = void 0;
      this.animation = void 0;
      this.timing = void 0;
      this.normalizedKeyframes = void 0;
      this.timeFraction = void 0;
      this.interpolations = void 0;
      this.target = target;
      this.timing = normalizeTimingInput(timingInput, false);
      this.timing.effect = this;
      this.timing.activeDuration = calculateActiveDuration(this.timing);
      this.timing.endTime = Math.max(0, this.timing.delay + this.timing.activeDuration + this.timing.endDelay);
      this.normalizedKeyframes = normalizeKeyframes(effectInput, this.timing);
      this.interpolations = convertEffectInput(this.normalizedKeyframes, this.timing, this.target);
    }

    _createClass$2(KeyframeEffect, [{
      key: "applyInterpolations",
      value: function applyInterpolations() {
        this.interpolations(this.target, Number(this.timeFraction));
      }
    }, {
      key: "update",
      value: function update(localTime) {
        if (localTime === null) {
          return false;
        }

        this.timeFraction = calculateIterationProgress(this.timing.activeDuration, localTime, this.timing);
        return this.timeFraction !== null;
      }
    }, {
      key: "getKeyframes",
      value: function getKeyframes() {
        return this.normalizedKeyframes;
      }
    }, {
      key: "setKeyframes",
      value: function setKeyframes(keyframes) {
        this.normalizedKeyframes = normalizeKeyframes(keyframes);
      }
    }, {
      key: "getComputedTiming",
      value: function getComputedTiming() {
        return this.timing;
      }
    }, {
      key: "getTiming",
      value: function getTiming() {
        return this.timing;
      }
    }, {
      key: "updateTiming",
      value: function updateTiming(timing) {
        throw new Error("Method not implemented.");
      }
    }]);

    return KeyframeEffect;
  }();

  /**
   * @see https://developer.mozilla.org/en-US/docs/Web/Events/Creating_and_triggering_events
   *
   * @example
    const event = new CustomEvent('build', { detail: { prop1: 'xx' } });
    circle.addEventListener('build', (e) => {
      e.target; // circle
      e.detail; // { prop1: 'xx' }
    });

    circle.dispatchEvent(event);
   */

  var CustomEvent = /*#__PURE__*/function (_FederatedEvent) {
    _inherits$2(CustomEvent, _FederatedEvent);

    var _super = _createSuper$2(CustomEvent);

    function CustomEvent(eventName, object) {
      var _this;

      _classCallCheck$2(this, CustomEvent);

      _this = _super.call(this, null);
      _this.type = eventName;
      _this.detail = object; // compatible with G 3.0

      Object.assign(_assertThisInitialized$2(_this), object);
      return _this;
    }

    return CustomEvent;
  }(FederatedEvent);

  /**
   * events for display object
   */

  var DISPLAY_OBJECT_EVENT;

  (function (DISPLAY_OBJECT_EVENT) {
    DISPLAY_OBJECT_EVENT["Init"] = "init";
    DISPLAY_OBJECT_EVENT["Destroy"] = "destroy";
    DISPLAY_OBJECT_EVENT["AttributeChanged"] = "attributeChanged";
    /**
     * it has been inserted
     */

    DISPLAY_OBJECT_EVENT["Inserted"] = "inserted";
    /**
     * it has had a child inserted
     */

    DISPLAY_OBJECT_EVENT["ChildInserted"] = "child-inserted";
    /**
     * it has been removed
     */

    DISPLAY_OBJECT_EVENT["Removed"] = "removed";
    /**
     * it has had a child removed
     */

    DISPLAY_OBJECT_EVENT["ChildRemoved"] = "child-removed";
  })(DISPLAY_OBJECT_EVENT || (DISPLAY_OBJECT_EVENT = {}));
  /**
   * Provide abilities in scene graph, such as:
   * * transform `translate/rotate/scale`
   * * add/remove child
   * * visibility and z-index
   *
   * Those abilities are implemented with those components: `Transform/SceneGraphNode/Sortable/Visible`.
   *
   * Emit following events:
   * * init
   * * destroy
   * * attributeChanged
   */


  var DisplayObject = /*#__PURE__*/function () {
    /**
     * event emitter
     */

    /**
     * push to active animations after calling `animate()`
     */
    function DisplayObject(config) {
      var _this = this,
          _this$config$capture,
          _this$config$interact,
          _this$config$zIndex;

      _classCallCheck$2(this, DisplayObject);

      this.entity = void 0;
      this.config = void 0;
      this.displayObjectPool = container.get(DisplayObjectPool);
      this.sceneGraphService = container.get(SceneGraphService);
      this.geometryUpdaterFactory = container.get(GeometryUpdaterFactory);
      this.stylePropertyHandlerFactory = container.get(StylePropertyHandlerFactory);
      this.emitter = new eventemitter3.EventEmitter();
      this.activeAnimations = [];
      this.baseURI = '';
      this.childNodes = void 0;
      this.isConnected = void 0;
      this.nodeValue = null;
      this.textContent = null;
      this.scrollLeft = 0;
      this.scrollTop = 0;
      this.dataset = {};
      this.ownerDocument = void 0;
      this.defaultView = void 0;
      this.documentElement = void 0;
      this.parent = null;
      this.children = [];
      this.style = new Proxy({}, {
        get: function get(_, prop) {
          return _this.getAttribute(prop);
        },
        set: function set(_, prop, value) {
          _this.setAttribute(prop, value);

          return true;
        }
      });
      this.parsedStyle = {};
      // assign name, id to config
      // eg. group.get('name')
      this.config = config; // create entity with shape's name, unique ID

      var entity = world.createEntity();
      this.entity = entity; // insert this group into pool

      this.displayObjectPool.add(entity.getName(), this); // compatible with G 3.0

      this.config.interactive = (_this$config$capture = this.config.capture) !== null && _this$config$capture !== void 0 ? _this$config$capture : this.config.interactive; // init scene graph node

      var sceneGraphNode = entity.addComponent(SceneGraphNode);
      sceneGraphNode.id = this.config.id || '';
      sceneGraphNode.name = this.config.name || '';
      sceneGraphNode.class = this.config.className || '';
      sceneGraphNode.tagName = this.config.type || SHAPE.Group;
      sceneGraphNode.interactive = (_this$config$interact = this.config.interactive) !== null && _this$config$interact !== void 0 ? _this$config$interact : true; // compatible with G 3.0
      // @ts-ignore

      this.config.style = _objectSpread2$1(_objectSpread2$1({
        zIndex: (_this$config$zIndex = this.config.zIndex) !== null && _this$config$zIndex !== void 0 ? _this$config$zIndex : 0,
        visibility: this.config.visible === false ? 'hidden' : 'visible'
      }, this.config.style), this.config.attrs);
      entity.addComponent(Renderable);
      entity.addComponent(Cullable);
      entity.addComponent(Transform);
      entity.addComponent(Sortable);
      entity.addComponent(Geometry);
      this.initAttributes(this.config.style);
      this.emitter.emit(DISPLAY_OBJECT_EVENT.Init);
    }
    /**
     * implements Node API
     * @see https://developer.mozilla.org/zh-CN/docs/Web/API/Node
     */


    _createClass$2(DisplayObject, [{
      key: "nodeType",
      get:
      /**
       * @see https://developer.mozilla.org/zh-CN/docs/Web/API/Node/nodeType
       */
      function get() {
        return 0;
      }
      /**
       * @see https://developer.mozilla.org/zh-CN/docs/Web/API/Node/nodeName
       */

    }, {
      key: "nodeName",
      get: function get() {
        return this.entity.getComponent(SceneGraphNode).tagName;
      }
      /**
       * @see https://developer.mozilla.org/zh-CN/docs/Web/API/Node/nodeValue
       */

    }, {
      key: "getRootNode",
      value: function getRootNode(options) {
        return this.getAncestor(Infinity);
      }
    }, {
      key: "hasChildNodes",
      value: function hasChildNodes() {
        throw new Error('Method not implemented.');
      }
    }, {
      key: "isDefaultNamespace",
      value: function isDefaultNamespace(namespace) {
        throw new Error('Method not implemented.');
      }
    }, {
      key: "isEqualNode",
      value: function isEqualNode(otherNode) {
        throw new Error('Method not implemented.');
      }
    }, {
      key: "isSameNode",
      value: function isSameNode(otherNode) {
        throw new Error('Method not implemented.');
      }
      /**
       * ChildNode API
       */

    }, {
      key: "after",
      value: function after() {}
    }, {
      key: "before",
      value: function before() {}
    }, {
      key: "replaceWith",
      value: function replaceWith() {}
    }, {
      key: "replaceChild",
      value: function replaceChild(node, child) {
        throw new Error('Method not implemented.');
      }
    }, {
      key: "remove",
      value: function remove() {
        var destroy = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : true;

        if (this.parentNode) {
          return this.parentNode.removeChild(this, destroy);
        }

        return this;
      }
      /**
       * compatible with G 3.0
       * @deprecated
       */

    }, {
      key: "set",
      value: function set(name, value) {
        this.config[name] = value;
      }
    }, {
      key: "get",
      value: function get(name) {
        return this.config[name];
      }
    }, {
      key: "getConfig",
      value: function getConfig() {
        return this.config;
      }
    }, {
      key: "getEntity",
      value: function getEntity() {
        return this.entity;
      }
    }, {
      key: "attr",
      value: function attr() {
        var _this2 = this;

        for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
          args[_key] = arguments[_key];
        }

        var name = args[0],
            value = args[1];

        if (!name) {
          return this.attributes;
        }

        if (isObject(name)) {
          Object.keys(name).forEach(function (key) {
            _this2.setAttribute(key, name[key]);
          });
          return this;
        }

        if (args.length === 2) {
          this.setAttribute(name, value);
          return this;
        }

        return this.attributes[name];
      }
    }, {
      key: "destroy",
      value: function destroy() {
        this.emitter.emit(DISPLAY_OBJECT_EVENT.Destroy);
        this.entity.destroy();
        this.emitter.removeAllListeners(); // stop all active animations

        this.getAnimations().forEach(function (animation) {
          animation.cancel();
        });
      }
      /** scene graph operations */

    }, {
      key: "parentNode",
      get: function get() {
        return this.parent;
      }
    }, {
      key: "parentElement",
      get: function get() {
        // TODO: The Node.parentElement read-only property returns the DOM node's parent Element, or null if the node either has no parent, or its parent isn't a DOM Element.
        return this.parent;
      }
    }, {
      key: "nextSibling",
      get: function get() {
        var parentGroup = this.parentNode;

        if (parentGroup) {
          var children = parentGroup.children;
          var index = children.indexOf(this);
          return children[index + 1] || null;
        }

        return null;
      }
    }, {
      key: "previousSibling",
      get: function get() {
        var parentGroup = this.parentNode;

        if (parentGroup) {
          var children = parentGroup.children;
          var index = children.indexOf(this);
          return children[index - 1] || null;
        }

        return null;
      }
    }, {
      key: "firstChild",
      get: function get() {
        return this.children.length > 0 ? this.children[0] : null;
      }
    }, {
      key: "lastChild",
      get: function get() {
        return this.children.length > 0 ? this.children[this.children.length - 1] : null;
      }
    }, {
      key: "cloneNode",
      value: function cloneNode() {
        throw new Error('Method not implemented.');
      }
    }, {
      key: "appendChild",
      value: function appendChild(child, index) {
        this.sceneGraphService.attach(child, this, index);
        this.emitter.emit(DISPLAY_OBJECT_EVENT.ChildInserted, child);
        child.emitter.emit(DISPLAY_OBJECT_EVENT.Inserted, this);
        return child;
      }
    }, {
      key: "insertBefore",
      value: function insertBefore(group, reference) {
        if (!reference) {
          this.appendChild(group);
        } else {
          var index = this.children.indexOf(reference);
          this.appendChild(group, index - 1);
        }

        return group;
      }
    }, {
      key: "removeChild",
      value: function removeChild(child) {
        var destroy = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : true;
        this.sceneGraphService.detach(child);
        this.emitter.emit(DISPLAY_OBJECT_EVENT.ChildRemoved, child);
        child.emitter.emit(DISPLAY_OBJECT_EVENT.Removed, this);

        if (destroy) {
          child.forEach(function (object) {
            object.destroy();
          });
        }

        return child;
      }
    }, {
      key: "removeChildren",
      value: function removeChildren() {
        var _this3 = this;

        var destroy = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : true;

        _toConsumableArray$2(this.children).forEach(function (child) {
          _this3.removeChild(child, destroy);
        });
      }
    }, {
      key: "contain",
      value: function contain(group) {
        return this.contains(group);
      }
    }, {
      key: "contains",
      value: function contains(group) {
        // the node itself, one of its direct children
        var tmp = group; // @see https://developer.mozilla.org/en-US/docs/Web/API/Node/contains

        while (tmp && this !== tmp) {
          tmp = tmp.parentNode;
        }

        return !!tmp;
      }
    }, {
      key: "getAncestor",
      value: function getAncestor(n) {
        var temp = this;

        while (n > 0 && temp) {
          temp = temp.parentNode;
          n--;
        }

        return temp;
      }
      /**
       * points to root in Canvas
       * @see https://developer.mozilla.org/en-US/docs/Web/API/Node/ownerDocument
       */

    }, {
      key: "id",
      get: function get() {
        return this.entity.getComponent(SceneGraphNode).id;
      },
      set: function set(id) {
        this.entity.getComponent(SceneGraphNode).id = id;
      }
    }, {
      key: "className",
      get: function get() {
        return this.entity.getComponent(SceneGraphNode).class;
      },
      set: function set(className) {
        this.entity.getComponent(SceneGraphNode).class = className;
      }
    }, {
      key: "name",
      get: function get() {
        return this.entity.getComponent(SceneGraphNode).name;
      },
      set: function set(name) {
        this.entity.getComponent(SceneGraphNode).name = name;
      }
    }, {
      key: "interactive",
      get: function get() {
        return this.entity.getComponent(SceneGraphNode).interactive;
      },
      set: function set(interactive) {
        this.entity.getComponent(SceneGraphNode).interactive = interactive;
      }
      /**
       * @see https://developer.mozilla.org/en-US/docs/Web/API/Element/classList
       */

    }, {
      key: "classList",
      get: function get() {
        return [this.entity.getComponent(SceneGraphNode).class];
      }
      /**
       * @see https://developer.mozilla.org/en-US/docs/Web/API/ParentNode
       */

    }, {
      key: "childElementCount",
      get: function get() {
        return this.children.length;
      }
    }, {
      key: "firstElementChild",
      get: function get() {
        // To avoid the issue with node.firstChild returning #text or #comment nodes,
        // ParentNode.firstElementChild can be used to return only the first element node.
        return this.firstChild;
      }
    }, {
      key: "lastElementChild",
      get: function get() {
        return this.lastChild;
      }
    }, {
      key: "append",
      value: function append() {}
    }, {
      key: "prepend",
      value: function prepend() {}
    }, {
      key: "replaceChildren",
      value: function replaceChildren() {}
      /**
       * @see https://developer.mozilla.org/en-US/docs/Web/API/Element/matches
       */

    }, {
      key: "matches",
      value: function matches(selector) {
        return this.sceneGraphService.matches(selector, this);
      }
    }, {
      key: "getElementById",
      value: function getElementById(id) {
        return this.sceneGraphService.querySelector("#".concat(id), this);
      }
    }, {
      key: "getElementsByName",
      value: function getElementsByName(name) {
        return this.sceneGraphService.querySelectorAll("[name=\"".concat(name, "\"]"), this);
      }
    }, {
      key: "getElementsByClassName",
      value: function getElementsByClassName(className) {
        return this.sceneGraphService.querySelectorAll(".".concat(className), this);
      }
    }, {
      key: "getElementsByTagName",
      value: function getElementsByTagName(tagName) {
        return this.sceneGraphService.querySelectorAll(tagName, this);
      }
    }, {
      key: "querySelector",
      value: function querySelector(selector) {
        return this.sceneGraphService.querySelector(selector, this);
      }
    }, {
      key: "querySelectorAll",
      value: function querySelectorAll(selector) {
        return this.sceneGraphService.querySelectorAll(selector, this);
      }
      /**
       * @deprecated
       * @alias addEventListener
       */

    }, {
      key: "on",
      value: function on(type, listener, options) {
        this.addEventListener(type, listener, options);
      }
      /**
       * support `capture` & `once` in options
       * @see https://developer.mozilla.org/zh-CN/docs/Web/API/EventTarget/addEventListener
       */

    }, {
      key: "addEventListener",
      value: function addEventListener(type, listener, options) {
        var capture = isBoolean(options) && options || isObject(options) && options.capture;
        var once = isObject(options) && options.once;
        var context = isFunction(listener) ? undefined : listener; // compatible with G 3.0
        // support using delegate name in event type, eg. 'node:click'

        var useDelegatedName = false;
        var delegatedName = '';

        if (type.indexOf(DELEGATION_SPLITTER) > -1) {
          var _type$split = type.split(DELEGATION_SPLITTER),
              _type$split2 = _slicedToArray$2(_type$split, 2),
              name = _type$split2[0],
              eventType = _type$split2[1];

          type = eventType;
          delegatedName = name;
          useDelegatedName = true;
        }

        type = capture ? "".concat(type, "capture") : type;
        listener = isFunction(listener) ? listener : listener.handleEvent; // compatible with G 3.0

        if (useDelegatedName) {
          var originListener = listener;

          listener = function listener() {
            var _args$0$target;

            for (var _len2 = arguments.length, args = new Array(_len2), _key2 = 0; _key2 < _len2; _key2++) {
              args[_key2] = arguments[_key2];
            }

            if (((_args$0$target = args[0].target) === null || _args$0$target === void 0 ? void 0 : _args$0$target.name) !== delegatedName) {
              return;
            }

            originListener.apply(void 0, args);
          };
        }

        if (once) {
          this.emitter.once(type, listener, context);
        } else {
          this.emitter.on(type, listener, context);
        }
      }
      /**
       * @deprecated
       * @alias removeEventListener
       */

    }, {
      key: "off",
      value: function off(type, listener, options) {
        this.removeEventListener(type, listener, options);
      }
    }, {
      key: "removeEventListener",
      value: function removeEventListener(type, listener, options) {
        var capture = isBoolean(options) && options || isObject(options) && options.capture;
        var context = isFunction(listener) ? undefined : listener;
        type = capture ? "".concat(type, "capture") : type;
        listener = isFunction(listener) ? listener : listener.handleEvent;
        this.emitter.off(type, listener, context);
      }
      /**
       * @deprecated
       * @alias dispatchEvent
       */

    }, {
      key: "emit",
      value: function emit(eventName, object) {
        this.dispatchEvent(new CustomEvent(eventName, object));
      }
      /**
       * @see https://developer.mozilla.org/en-US/docs/Web/API/EventTarget/dispatchEvent
       */

    }, {
      key: "dispatchEvent",
      value: function dispatchEvent(e) {
        var _this$ownerDocument;

        if (!(e instanceof FederatedEvent)) {
          throw new Error('DisplayObject cannot propagate events outside of the Federated Events API');
        } // assign event manager


        if ((_this$ownerDocument = this.ownerDocument) === null || _this$ownerDocument === void 0 ? void 0 : _this$ownerDocument.defaultView) {
          var _this$ownerDocument2;

          e.manager = (_this$ownerDocument2 = this.ownerDocument) === null || _this$ownerDocument2 === void 0 ? void 0 : _this$ownerDocument2.defaultView.getEventService();
          e.defaultPrevented = false;
          e.path = []; // @ts-ignore

          e.target = this;
          e.manager.dispatchEvent(e);
        }

        return !e.defaultPrevented;
      }
      /**
       * @see https://developer.mozilla.org/en-US/docs/Web/API/Element/attributes
       */

    }, {
      key: "attributes",
      get: function get() {
        return this.entity.getComponent(SceneGraphNode).attributes;
      }
      /**
       * @see https://developer.mozilla.org/en-US/docs/Web/API/Element/getAttribute
       */

    }, {
      key: "getAttribute",
      value: function getAttribute(attributeName) {
        var value = this.attributes[attributeName]; // if the given attribute does not exist, the value returned will either be null or ""

        return isNil(value) ? undefined : value;
      }
      /**
       * should use removeAttribute() instead of setting the attribute value to null either directly or using setAttribute(). Many attributes will not behave as expected if you set them to null.
       * @see https://developer.mozilla.org/en-US/docs/Web/API/Element/removeAttribute
       */

    }, {
      key: "removeAttribute",
      value: function removeAttribute(attributeName) {
        delete this.attributes[attributeName];
      }
      /**
       * @see https://developer.mozilla.org/en-US/docs/Web/API/Element/setAttribute
       */

    }, {
      key: "setAttribute",
      value: function setAttribute(attributeName, value) {
        var force = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : false;

        if (force || value !== this.attributes[attributeName] || attributeName === 'visibility' // will affect children
        ) {
          if (attributeName === 'visibility') {
            // set value cascade
            this.forEach(function (object) {
              object.changeAttribute(attributeName, value);
            });
          } else {
            this.changeAttribute(attributeName, value);
          }
        }
      }
      /**
       * @deprecated
       * compatible with G 3.0
       * @deprecated
       */

    }, {
      key: "getCount",
      value: function getCount() {
        return this.childElementCount;
      }
      /**
       * @deprecated
       * compatible with G 3.0
       * @deprecated
       */

    }, {
      key: "getParent",
      value: function getParent() {
        return this.parentNode;
      }
      /**
       * @deprecated
       * compatible with G 3.0
       * @deprecated
       */

    }, {
      key: "getChildren",
      value: function getChildren() {
        return this.children;
      }
      /**
       * @deprecated
       * compatible with G 3.0
       * @deprecated
       */

    }, {
      key: "getFirst",
      value: function getFirst() {
        return this.firstChild;
      }
      /**
       * @deprecated
       * compatible with G 3.0
       * @deprecated
       * get last child group/shape
       */

    }, {
      key: "getLast",
      value: function getLast() {
        return this.lastChild;
      }
      /**
       * @deprecated
       * compatible with G 3.0
       * @deprecated
       * get child group/shape by index
       */

    }, {
      key: "getChildByIndex",
      value: function getChildByIndex(index) {
        return this.children[index] || null;
      }
      /**
       * search in scene group, but should not include itself
       */

    }, {
      key: "find",
      value: function find(filter) {
        var _this4 = this;

        var target = null;
        this.forEach(function (object) {
          if (object !== _this4 && filter(object)) {
            target = object;
            return true;
          }

          return false;
        });
        return target;
      }
    }, {
      key: "findAll",
      value: function findAll(filter) {
        var _this5 = this;

        var objects = [];
        this.forEach(function (object) {
          if (object !== _this5 && filter(object)) {
            objects.push(object);
          }
        });
        return objects;
      }
      /**
       * compatible with G 3.0
       * @deprecated
       */

    }, {
      key: "add",
      value: function add(child, index) {
        this.appendChild(child, index);
      }
      /**
       * traverse in descendants
       */

    }, {
      key: "forEach",
      value: function forEach(callback) {
        if (!callback(this)) {
          this.children.forEach(function (child) {
            child.forEach(callback);
          });
        }
      }
      /** transform operations */

    }, {
      key: "setOrigin",
      value: function setOrigin(position) {
        var y = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 0;
        var z = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 0;
        this.style.origin = createVec3(position, y, z);
        return this;
      }
      /**
       * alias setPosition
       */

    }, {
      key: "moveTo",
      value: function moveTo(position) {
        var y = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 0;
        var z = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 0;
        this.setPosition(createVec3(position, y, z));
        return this;
      }
      /**
       * alias setPosition
       */

    }, {
      key: "move",
      value: function move(position) {
        var y = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 0;
        var z = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 0;
        this.setPosition(createVec3(position, y, z));
        return this;
      }
      /**
       * compatible with G 3.0
       *
       * set position in world space
       */

    }, {
      key: "setPosition",
      value: function setPosition(position) {
        var y = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 0;
        var z = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 0;
        this.sceneGraphService.setPosition(this, createVec3(position, y, z));
        return this;
      }
      /**
       * set position in local space
       */

    }, {
      key: "setLocalPosition",
      value: function setLocalPosition(position) {
        var y = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 0;
        var z = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 0;
        this.sceneGraphService.setLocalPosition(this, createVec3(position, y, z));
        return this;
      }
      /**
       * translate in world space
       */

    }, {
      key: "translate",
      value: function translate(position) {
        var y = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 0;
        var z = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 0;
        this.sceneGraphService.translate(this, createVec3(position, y, z));
        return this;
      }
      /**
       * translate in local space
       */

    }, {
      key: "translateLocal",
      value: function translateLocal(position) {
        var y = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 0;
        var z = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 0;
        this.sceneGraphService.translateLocal(this, createVec3(position, y, z));
        return this;
      }
    }, {
      key: "getPosition",
      value: function getPosition() {
        return this.sceneGraphService.getPosition(this);
      }
    }, {
      key: "getLocalPosition",
      value: function getLocalPosition() {
        return this.sceneGraphService.getLocalPosition(this);
      }
      /**
       * compatible with G 3.0
       *
       * scaling in local space
       * scale(10) = scale(10, 10, 10)
       *
       * we can't set scale in world space
       */

    }, {
      key: "scale",
      value: function scale(scaling, y, z) {
        return this.scaleLocal(scaling, y, z);
      }
    }, {
      key: "scaleLocal",
      value: function scaleLocal(scaling, y, z) {
        if (typeof scaling === 'number') {
          y = y || scaling;
          z = z || scaling;
          scaling = createVec3(scaling, y, z);
        }

        this.sceneGraphService.scaleLocal(this, scaling);
        return this;
      }
      /**
       * set scaling in local space
       */

    }, {
      key: "setLocalScale",
      value: function setLocalScale(scaling, y, z) {
        if (typeof scaling === 'number') {
          y = y || scaling;
          z = z || scaling;
          scaling = createVec3(scaling, y, z);
        }

        this.sceneGraphService.setLocalScale(this, scaling);
        return this;
      }
      /**
       * get scaling in local space
       */

    }, {
      key: "getLocalScale",
      value: function getLocalScale() {
        return this.sceneGraphService.getLocalScale(this);
      }
      /**
       * get scaling in world space
       */

    }, {
      key: "getScale",
      value: function getScale() {
        return this.sceneGraphService.getScale(this);
      }
      /**
       * only return degrees of Z axis in world space
       */

    }, {
      key: "getEulerAngles",
      value: function getEulerAngles() {
        var transform = this.entity.getComponent(Transform); // eslint-disable-next-line @typescript-eslint/no-unused-vars

        var _getEuler = getEuler(create$2(), this.sceneGraphService.getWorldTransform(this, transform)),
            _getEuler2 = _slicedToArray$2(_getEuler, 3),
            ex = _getEuler2[0],
            ey = _getEuler2[1],
            ez = _getEuler2[2];

        return rad2deg(ez);
      }
      /**
       * only return degrees of Z axis in local space
       */

    }, {
      key: "getLocalEulerAngles",
      value: function getLocalEulerAngles() {
        // eslint-disable-next-line @typescript-eslint/no-unused-vars
        var _getEuler3 = getEuler(create$2(), this.sceneGraphService.getLocalRotation(this)),
            _getEuler4 = _slicedToArray$2(_getEuler3, 3),
            ex = _getEuler4[0],
            ey = _getEuler4[1],
            ez = _getEuler4[2];

        return rad2deg(ez);
      }
      /**
       * set euler angles(degrees) in world space
       */

    }, {
      key: "setEulerAngles",
      value: function setEulerAngles(z) {
        this.sceneGraphService.setEulerAngles(this, 0, 0, z);
        return this;
      }
      /**
       * set euler angles(degrees) in local space
       */

    }, {
      key: "setLocalEulerAngles",
      value: function setLocalEulerAngles(z) {
        this.sceneGraphService.setLocalEulerAngles(this, 0, 0, z);
        return this;
      }
    }, {
      key: "rotateLocal",
      value: function rotateLocal(x, y, z) {
        if (isNil(y) && isNil(z)) {
          this.sceneGraphService.rotateLocal(this, 0, 0, x);
        } else {
          this.sceneGraphService.rotateLocal(this, x, y, z);
        }

        return this;
      }
    }, {
      key: "rotate",
      value: function rotate(x, y, z) {
        if (isNil(y) && isNil(z)) {
          this.sceneGraphService.rotate(this, 0, 0, x);
        } else {
          this.sceneGraphService.rotate(this, x, y, z);
        }

        return this;
      }
    }, {
      key: "getRotation",
      value: function getRotation() {
        return this.sceneGraphService.getRotation(this);
      }
    }, {
      key: "getLocalRotation",
      value: function getLocalRotation() {
        return this.sceneGraphService.getLocalRotation(this);
      }
    }, {
      key: "getLocalTransform",
      value: function getLocalTransform() {
        return this.sceneGraphService.getLocalTransform(this);
      }
    }, {
      key: "getWorldTransform",
      value: function getWorldTransform() {
        return this.sceneGraphService.getWorldTransform(this);
      }
      /**
       * return 3x3 matrix in world space
       * @deprecated
       */

    }, {
      key: "getMatrix",
      value: function getMatrix() {
        var transform = this.getWorldTransform();

        var _mat4$getTranslation = getTranslation(create$2(), transform),
            _mat4$getTranslation2 = _slicedToArray$2(_mat4$getTranslation, 2),
            tx = _mat4$getTranslation2[0],
            ty = _mat4$getTranslation2[1];

        var _mat4$getScaling = getScaling(create$2(), transform),
            _mat4$getScaling2 = _slicedToArray$2(_mat4$getScaling, 2),
            sx = _mat4$getScaling2[0],
            sy = _mat4$getScaling2[1];

        var rotation = getRotation(create$4(), transform);

        var _getEuler5 = getEuler(create$2(), rotation),
            _getEuler6 = _slicedToArray$2(_getEuler5, 3),
            eux = _getEuler6[0],
            euy = _getEuler6[1],
            euz = _getEuler6[2]; // gimbal lock at 90 degrees


        return fromRotationTranslationScale(eux || euz, tx, ty, sx, sy);
      }
      /**
       * set 3x3 matrix in world space
       * @deprecated
       */

    }, {
      key: "setMatrix",
      value: function setMatrix(mat) {
        var row0x = mat[0];
        var row0y = mat[3];
        var row1x = mat[1];
        var row1y = mat[4]; // decompose 3x3 matrix
        // @see https://www.w3.org/TR/css-transforms-1/#decomposing-a-2d-matrix

        var scalingX = Math.sqrt(row0x * row0x + row0y * row0y);
        var scalingY = Math.sqrt(row1x * row1x + row1y * row1y); // If determinant is negative, one axis was flipped.

        var determinant = row0x * row1y - row0y * row1x;

        if (determinant < 0) {
          // Flip axis with minimum unit vector dot product.
          if (row0x < row1y) {
            scalingX = -scalingX;
          } else {
            scalingY = -scalingY;
          }
        } // Renormalize matrix to remove scale.


        if (scalingX) {
          row0x *= 1 / scalingX;
          row0y *= 1 / scalingX;
        }

        if (scalingY) {
          row1x *= 1 / scalingY;
          row1y *= 1 / scalingY;
        } // Compute rotation and renormalize matrix.


        var angle = Math.atan2(row0y, row0x);
        this.setEulerAngles(angle).setPosition(mat[6], mat[7]).setLocalScale(scalingX, scalingY);
      }
      /* z-index & visibility */

    }, {
      key: "setZIndex",
      value: function setZIndex(zIndex) {
        this.style.zIndex = zIndex;
      }
      /**
       * bring to front in current group
       */

    }, {
      key: "toFront",
      value: function toFront() {
        if (this.parent) {
          var zIndex = Math.max.apply(Math, _toConsumableArray$2(this.parent.children.map(function (child) {
            return Number(child.style.zIndex);
          }))) + 1;
          this.setZIndex(zIndex);
        }
      }
      /**
       * send to back in current group
       */

    }, {
      key: "toBack",
      value: function toBack() {
        if (this.parent) {
          var zIndex = Math.min.apply(Math, _toConsumableArray$2(this.parent.children.map(function (child) {
            return Number(child.style.zIndex);
          }))) - 1;
          this.setZIndex(zIndex);
        }
      }
      /**
       * show group, which will also change visibility of its children in sceneGraphNode
       *
       * @see https://developer.mozilla.org/en-US/docs/Web/CSS/visibility
       */

    }, {
      key: "show",
      value: function show() {
        this.style.visibility = 'visible';
      }
      /**
       * hide group, which will also change visibility of its children in sceneGraphNode
       */

    }, {
      key: "hide",
      value: function hide() {
        this.style.visibility = 'hidden';
      }
    }, {
      key: "isVisible",
      value: function isVisible() {
        return this.style.visibility === 'visible';
      }
      /**
       * create an animation with WAAPI
       * @see https://developer.mozilla.org/zh-CN/docs/Web/API/Element/animate
       */

    }, {
      key: "animate",
      value: function animate(keyframes, options) {
        var _this$ownerDocument3;

        var timeline = (_this$ownerDocument3 = this.ownerDocument) === null || _this$ownerDocument3 === void 0 ? void 0 : _this$ownerDocument3.defaultView.timeline; // accounte for clip path, use target's timeline

        if (this.attributes.clipPathTargets && this.attributes.clipPathTargets.length) {
          var _target$ownerDocument;

          var target = this.attributes.clipPathTargets[0];
          timeline = (_target$ownerDocument = target.ownerDocument) === null || _target$ownerDocument === void 0 ? void 0 : _target$ownerDocument.defaultView.timeline;
        }

        if (timeline) {
          return timeline.play(new KeyframeEffect(this, keyframes, options));
        }

        return null;
      }
      /**
       * returns an array of all Animation objects affecting this element
       * @see https://developer.mozilla.org/en-US/docs/Web/API/Element/getAnimations
       */

    }, {
      key: "getAnimations",
      value: function getAnimations() {
        return this.activeAnimations;
      }
      /**
       * get bounds in world space, account for children
       */

    }, {
      key: "getBounds",
      value: function getBounds() {
        return this.sceneGraphService.getBounds(this);
      }
      /**
       * get bounds in local space, account for children
       */

    }, {
      key: "getLocalBounds",
      value: function getLocalBounds() {
        return this.sceneGraphService.getLocalBounds(this);
      }
      /**
       * account for context's bounds in client space,
       * but not accounting for children
       */

    }, {
      key: "getBoundingClientRect",
      value: function getBoundingClientRect() {
        var _this$ownerDocument4;

        var bounds = this.sceneGraphService.getGeometryBounds(this);

        if (!bounds) {
          return new Rectangle(0, 0, 0, 0);
        }

        var _bounds$getMin = bounds.getMin(),
            _bounds$getMin2 = _slicedToArray$2(_bounds$getMin, 2),
            left = _bounds$getMin2[0],
            top = _bounds$getMin2[1];

        var _bounds$getMax = bounds.getMax(),
            _bounds$getMax2 = _slicedToArray$2(_bounds$getMax, 2),
            right = _bounds$getMax2[0],
            bottom = _bounds$getMax2[1]; // calc context's offset


        var bbox = (_this$ownerDocument4 = this.ownerDocument) === null || _this$ownerDocument4 === void 0 ? void 0 : _this$ownerDocument4.defaultView.getContextService().getBoundingClientRect();
        return new Rectangle(left + ((bbox === null || bbox === void 0 ? void 0 : bbox.left) || 0), top + ((bbox === null || bbox === void 0 ? void 0 : bbox.top) || 0), right - left, bottom - top);
      }
      /**
       * @see https://developer.mozilla.org/zh-CN/docs/Web/API/Element/getClientRects
       */

    }, {
      key: "getClientRects",
      value: function getClientRects() {
        return [this.getBoundingClientRect()];
      }
      /**
       * @alias style.clipPath
       * @deprecated
       */

    }, {
      key: "setClip",
      value: function setClip(clipPath) {
        this.style.clipPath = clipPath;
      }
      /**
       * @alias style.clipPath
       * @deprecated
       */

    }, {
      key: "getClip",
      value: function getClip() {
        return this.style.clipPath;
      }
      /**
       * compatible with `style`
       * @see https://developer.mozilla.org/en-US/docs/Web/API/HTMLElement/style
       */

    }, {
      key: "changeAttribute",
      value:
      /**
       * called when attributes get changed or initialized
       */
      function changeAttribute(name, value) {
        var _this6 = this;

        var entity = this.getEntity();
        var renderable = entity.getComponent(Renderable);
        var geometry = entity.getComponent(Geometry);
        var oldValue = this.attributes[name]; // update value

        this.attributes[name] = value; // update geometry if some attributes changed such as `width/height/...`

        var geometryUpdater = this.geometryUpdaterFactory(this.nodeName);
        var needUpdateGeometry = geometryUpdater && geometryUpdater.dependencies.indexOf(name) > -1;

        if (needUpdateGeometry) {
          if (!geometry.aabb) {
            geometry.aabb = new AABB();
          }

          geometryUpdater.update(this.attributes, geometry.aabb);
        }

        var stylePropertyHandler = this.stylePropertyHandlerFactory(name);

        if (stylePropertyHandler) {
          this.parsedStyle[name] = stylePropertyHandler.parse ? stylePropertyHandler.parse(value, this) : value;

          if (stylePropertyHandler.update) {
            stylePropertyHandler.update(oldValue, value, this);
          }
        }

        if (name === 'x' || name === 'y' || // circle rect...
        name === 'x1' || name === 'x2' || name === 'y1' || name === 'y2' || // line
        name === 'points' || // polyline
        name === 'path' // path
        ) {
          // in parent's local space
          var _this$attributes = this.attributes,
              _this$attributes$x = _this$attributes.x,
              x = _this$attributes$x === void 0 ? 0 : _this$attributes$x,
              _this$attributes$y = _this$attributes.y,
              y = _this$attributes$y === void 0 ? 0 : _this$attributes$y; // update transform

          this.sceneGraphService.setLocalPosition(this, x, y);
        } // update renderable's aabb, account for world transform


        if (needUpdateGeometry || name === 'x' || // local position changed
        name === 'y') {
          renderable.aabbDirty = true;
        } // inform clip path targets


        if (this.attributes.clipPathTargets && this.attributes.clipPathTargets.length) {
          this.attributes.clipPathTargets.forEach(function (target) {
            var targetRenderable = target.getEntity().getComponent(Renderable);
            targetRenderable.dirty = true;
            targetRenderable.aabbDirty = true;
            target.emitter.emit(DISPLAY_OBJECT_EVENT.AttributeChanged, 'clipPath', _this6, _this6, target);
          });
        } // redraw at next frame


        renderable.dirty = true;
        this.emitter.emit(DISPLAY_OBJECT_EVENT.AttributeChanged, name, oldValue, value, this);
      }
    }, {
      key: "initAttributes",
      value: function initAttributes(attributes) {
        // apply attributes
        for (var attributeName in attributes) {
          this.attributes[attributeName] = attributes[attributeName];
        }

        for (var _attributeName in attributes) {
          this.setAttribute(_attributeName, attributes[_attributeName], true);
        }
      }
    }]);

    return DisplayObject;
  }();

  /**
   * shadow root
   * @see https://yuque.antfin-inc.com/antv/czqvg5/pgqipg
   */

  var CustomElement = /*#__PURE__*/function (_DisplayObject) {
    _inherits$2(CustomElement, _DisplayObject);

    var _super = _createSuper$2(CustomElement);

    function CustomElement(config) {
      var _this;

      _classCallCheck$2(this, CustomElement);

      _this = _super.call(this, config);
      _this.shadowNodes = [];

      _this.handleMounted = function () {
        _this.shadowNodes.forEach(function (node) {
          // every child and its children should turn into a shadow node
          // a shadow node doesn't mean to be unrenderable, it's just unsearchable in scenegraph
          node.getEntity().getComponent(SceneGraphNode).shadow = true;
        });

        if (_this.connectedCallback) {
          _this.connectedCallback();
        }
      };

      _this.handleChildInserted = function (child) {
        child.forEach(function (node) {
          // append children like other shapes after mounted
          if (!_this.isConnected) {
            _this.shadowNodes.push(node);
          }
        });
      };

      _this.handleChildRemoved = function (child) {
        child.forEach(function (node) {
          node.getEntity().getComponent(SceneGraphNode).shadow = false;
        });
      };

      _this.handleAttributeChanged = function (name, oldValue, value) {
        _this.attributeChangedCallback && _this.attributeChangedCallback(name, oldValue, value);
      };

      _this.on(DISPLAY_OBJECT_EVENT.ChildInserted, _this.handleChildInserted);

      _this.on(DISPLAY_OBJECT_EVENT.ChildRemoved, _this.handleChildRemoved);

      if (_this.attributeChangedCallback) {
        _this.on(DISPLAY_OBJECT_EVENT.AttributeChanged, _this.handleAttributeChanged);
      }

      if (_this.connectedCallback) {
        _this.on(DISPLAY_OBJECT_EVENT.Inserted, _this.handleMounted);
      }

      if (_this.disconnectedCallback) {
        _this.on(DISPLAY_OBJECT_EVENT.Removed, _this.disconnectedCallback.bind(_assertThisInitialized$2(_this)));
      }

      return _this;
    }

    return CustomElement;
  }(DisplayObject);

  var _excluded = ["style"];
  /**
   * A container for multiple display objects with the same `style`,
   * eg. 1000 Circles with the same stroke color, but their position, radius can be different
   *
   * @see https://developer.playcanvas.com/en/user-manual/optimization/batching/
   */

  var Batch = /*#__PURE__*/function (_CustomElement) {
    _inherits$2(Batch, _CustomElement);

    var _super = _createSuper$2(Batch);

    /**
     * need to reconstruct batch
     */
    function Batch(_ref) {
      var _this;

      var _ref$style = _ref.style,
          style = _ref$style === void 0 ? {
        instances: []
      } : _ref$style,
          rest = _objectWithoutProperties$1(_ref, _excluded);

      _classCallCheck$2(this, Batch);

      _this = _super.call(this, _objectSpread2$1({
        // @ts-ignore
        type: Batch.tag,
        style: style
      }, rest));
      _this.batchType = void 0;
      _this.dirty = true;
      _this.getEntity().getComponent(Cullable).enable = false;

      if (style.instances) {
        style.instances.forEach(function (instance) {
          _this.appendChild(instance);
        });
      }

      return _this;
    }

    _createClass$2(Batch, [{
      key: "getBatchType",
      value: function getBatchType() {
        return this.batchType;
      }
    }, {
      key: "appendChild",
      value: function appendChild(child) {
        if (!this.batchType) {
          this.batchType = child.nodeName;
        }

        _get$1(_getPrototypeOf$2(Batch.prototype), "appendChild", this).call(this, child);

        child.getEntity().getComponent(Renderable).instanced = true;
        var renderable = this.getEntity().getComponent(Renderable);
        renderable.aabbDirty = true;
        renderable.dirty = true;
        this.dirty = true;
        return child;
      }
    }, {
      key: "removeChild",
      value: function removeChild(child) {
        _get$1(_getPrototypeOf$2(Batch.prototype), "removeChild", this).call(this, child);

        child.getEntity().getComponent(Renderable).instanced = false;
        var renderable = this.getEntity().getComponent(Renderable);
        renderable.aabbDirty = true;
        renderable.dirty = true;
        this.dirty = true;
        return child;
      }
    }, {
      key: "attributeChangedCallback",
      value: function attributeChangedCallback(name, value) {
        throw new Error('Method not implemented.');
      }
    }]);

    return Batch;
  }(CustomElement);
  Batch.tag = 'batch';

  var Group = /*#__PURE__*/function (_DisplayObject) {
    _inherits$2(Group, _DisplayObject);

    var _super = _createSuper$2(Group);

    function Group(config) {
      _classCallCheck$2(this, Group);

      return _super.call(this, _objectSpread2$1({
        type: SHAPE.Group
      }, config));
    }

    return Group;
  }(DisplayObject);

  /**
   * 保存相机状态，便于后续在多个 Landmark 间移动
   */

  var Landmark = /*#__PURE__*/function () {
    // private zoom = 1;
    function Landmark(name, c) {
      _classCallCheck$2(this, Landmark);

      this.name = void 0;
      this.matrix = void 0;
      this.right = void 0;
      this.up = void 0;
      this.forward = void 0;
      this.position = void 0;
      this.focalPoint = void 0;
      this.distanceVector = void 0;
      this.distance = void 0;
      this.dollyingStep = void 0;
      this.azimuth = 0;
      this.elevation = 0;
      this.roll = 0;
      this.relAzimuth = 0;
      this.relElevation = 0;
      this.relRoll = 0;
      this.name = name;
      this.matrix = clone(c.matrix);
      this.right = clone$1(c.right);
      this.up = clone$1(c.up);
      this.forward = clone$1(c.forward);
      this.position = clone$1(c.position);
      this.focalPoint = clone$1(c.focalPoint);
      this.distanceVector = clone$1(c.distanceVector);
      this.azimuth = c.azimuth;
      this.elevation = c.elevation;
      this.roll = c.roll;
      this.relAzimuth = c.relAzimuth;
      this.relElevation = c.relElevation;
      this.relRoll = c.relRoll;
      this.dollyingStep = c.dollyingStep;
      this.distance = c.distance; // this.zoom = c.zoom;
    }

    _createClass$2(Landmark, [{
      key: "getPosition",
      value: function getPosition() {
        return this.position;
      }
    }, {
      key: "getFocalPoint",
      value: function getFocalPoint() {
        return this.focalPoint;
      }
    }, {
      key: "getRoll",
      value: function getRoll() {
        return this.roll;
      }
    }, {
      key: "retrieve",
      value: function retrieve(c) {
        c.matrix = copy(c.matrix, this.matrix);
        c.right = copy$1(c.right, this.right);
        c.up = copy$1(c.up, this.up);
        c.forward = copy$1(c.forward, this.forward);
        c.position = copy$1(c.position, this.position);
        c.focalPoint = copy$1(c.focalPoint, this.focalPoint);
        c.distanceVector = copy$1(c.distanceVector, this.distanceVector);
        c.azimuth = this.azimuth;
        c.elevation = this.elevation;
        c.roll = this.roll;
        c.relAzimuth = this.relAzimuth;
        c.relElevation = this.relElevation;
        c.relRoll = this.relRoll;
        c.dollyingStep = this.dollyingStep;
        c.distance = this.distance; // c.zoom = this.zoom;
      }
    }]);

    return Landmark;
  }();

  function requestAnimationFrame$1(fn) {
    var method = (typeof window === "undefined" ? "undefined" : _typeof(window)) === 'object' && window.requestAnimationFrame ? window.requestAnimationFrame : function (f) {
      return setTimeout(f, 16);
    };
    return method(fn);
  }

  function cancelAnimationFrame(handler) {
    var method = (typeof window === "undefined" ? "undefined" : _typeof(window)) === 'object' && window.cancelAnimationFrame ? window.cancelAnimationFrame : clearTimeout;
    return method(handler);
  }

  var _class, _temp;

  var Camera_1;
  var CAMERA_TYPE;

  (function (CAMERA_TYPE) {
    CAMERA_TYPE["ORBITING"] = "ORBITING";
    CAMERA_TYPE["EXPLORING"] = "EXPLORING";
    CAMERA_TYPE["TRACKING"] = "TRACKING";
  })(CAMERA_TYPE || (CAMERA_TYPE = {}));

  var CAMERA_TRACKING_MODE;

  (function (CAMERA_TRACKING_MODE) {
    CAMERA_TRACKING_MODE["DEFAULT"] = "DEFAULT";
    CAMERA_TRACKING_MODE["ROTATIONAL"] = "ROTATIONAL";
    CAMERA_TRACKING_MODE["TRANSLATIONAL"] = "TRANSLATIONAL";
    CAMERA_TRACKING_MODE["CINEMATIC"] = "CINEMATIC";
  })(CAMERA_TRACKING_MODE || (CAMERA_TRACKING_MODE = {}));

  var CAMERA_PROJECTION_MODE;

  (function (CAMERA_PROJECTION_MODE) {
    CAMERA_PROJECTION_MODE["ORTHOGRAPHIC"] = "ORTHOGRAPHIC";
    CAMERA_PROJECTION_MODE["PERSPECTIVE"] = "PERSPECTIVE";
  })(CAMERA_PROJECTION_MODE || (CAMERA_PROJECTION_MODE = {}));

  var CAMERA_EVENT = {
    Updated: 'updated'
  };
  var DEG_2_RAD = Math.PI / 180;
  var RAD_2_DEG = 180 / Math.PI;
  /**
   * 参考「WebGL Insights - 23.Designing Cameras for WebGL Applications」，基于 Responsible Camera 思路设计
   * 保存相机参数，定义相机动作：
   * 1. dolly 沿 n 轴移动
   * 2. pan 沿 u v 轴移动
   * 3. rotate 以方位角旋转
   * 4. 移动到 Landmark，具有平滑的动画效果，其间禁止其他用户交互
   */

  var Camera = Camera_1 = (_temp = _class = /*#__PURE__*/function (_EventEmitter) {
    _inherits$2(Camera, _EventEmitter);

    var _super = _createSuper$2(Camera);

    function Camera() {
      var _this;

      _classCallCheck$2(this, Camera);

      for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
        args[_key] = arguments[_key];
      }

      _this = _super.call.apply(_super, [this].concat(args));
      _this.matrix = create$1();
      _this.right = fromValues$1(1, 0, 0);
      _this.up = fromValues$1(0, 1, 0);
      _this.forward = fromValues$1(0, 0, 1);
      _this.position = fromValues$1(0, 0, 1);
      _this.focalPoint = fromValues$1(0, 0, 0);
      _this.distanceVector = fromValues$1(0, 0, 0);
      _this.distance = 1;
      _this.azimuth = 0;
      _this.elevation = 0;
      _this.roll = 0;
      _this.relAzimuth = 0;
      _this.relElevation = 0;
      _this.relRoll = 0;
      _this.dollyingStep = 0;
      _this.maxDistance = Infinity;
      _this.minDistance = -Infinity;
      _this.zoom = 1;
      _this.rotateWorld = false;
      _this.fov = 30;
      _this.near = 0.1;
      _this.far = 10000;
      _this.aspect = 1;
      _this.left = void 0;
      _this.rright = void 0;
      _this.top = void 0;
      _this.bottom = void 0;
      _this.perspective = create$1();
      _this.jitteredProjectionMatrix = undefined;
      _this.view = void 0;
      _this.following = undefined;
      _this.type = CAMERA_TYPE.EXPLORING;
      _this.trackingMode = CAMERA_TRACKING_MODE.DEFAULT;
      _this.projectionMode = CAMERA_PROJECTION_MODE.PERSPECTIVE;
      _this.frustum = new Frustum();
      _this.landmarks = [];
      _this.landmarkAnimationID = void 0;
      _this.orthoMatrix = create$1();
      return _this;
    }

    _createClass$2(Camera, [{
      key: "clone",
      value: function clone() {
        var camera = new Camera_1();
        camera.setType(this.type, undefined); // camera.interactor = this.interactor;

        return camera;
      }
    }, {
      key: "getProjectionMode",
      value: function getProjectionMode() {
        return this.projectionMode;
      }
    }, {
      key: "getPerspective",
      value: function getPerspective() {
        // account for TAA
        return this.jitteredProjectionMatrix || this.perspective;
      }
    }, {
      key: "getFrustum",
      value: function getFrustum() {
        return this.frustum;
      }
    }, {
      key: "getPosition",
      value: function getPosition() {
        return this.position;
      }
    }, {
      key: "getNear",
      value: function getNear() {
        return this.near;
      }
    }, {
      key: "getFar",
      value: function getFar() {
        return this.far;
      }
    }, {
      key: "getZoom",
      value: function getZoom() {
        return this.zoom;
      }
    }, {
      key: "getOrthoMatrix",
      value: function getOrthoMatrix() {
        return this.orthoMatrix;
      }
    }, {
      key: "setType",
      value: function setType(type, trackingMode) {
        this.type = type;

        if (this.type === CAMERA_TYPE.EXPLORING) {
          this.setWorldRotation(true);
        } else {
          this.setWorldRotation(false);
        }

        this._getAngles();

        if (this.type === CAMERA_TYPE.TRACKING && trackingMode !== undefined) {
          this.setTrackingMode(trackingMode);
        }

        return this;
      }
    }, {
      key: "setProjectionMode",
      value: function setProjectionMode(projectionMode) {
        this.projectionMode = projectionMode;
        return this;
      }
    }, {
      key: "setTrackingMode",
      value: function setTrackingMode(trackingMode) {
        if (this.type !== CAMERA_TYPE.TRACKING) {
          throw new Error('Impossible to set a tracking mode if the camera is not of tracking type');
        }

        this.trackingMode = trackingMode;
        return this;
      }
      /**
       * If flag is true, it reverses the azimuth and elevation angles.
       * Subsequent calls to rotate, setAzimuth, setElevation,
       * changeAzimuth or changeElevation will cause the inverted effect.
       * setRoll or changeRoll is not affected by this method.
       *
       * This inversion is useful when one wants to simulate that the world
       * is moving, instead of the camera.
       *
       * By default the camera angles are not reversed.
       * @param {Boolean} flag the boolean flag to reverse the angles.
       */

    }, {
      key: "setWorldRotation",
      value: function setWorldRotation(flag) {
        this.rotateWorld = flag;

        this._getAngles();
      }
      /**
       * 计算 MV 矩阵，为相机矩阵的逆矩阵
       */

    }, {
      key: "getViewTransform",
      value: function getViewTransform() {
        return invert(create$1(), this.matrix);
      }
    }, {
      key: "getWorldTransform",
      value: function getWorldTransform() {
        return this.matrix;
      }
    }, {
      key: "jitterProjectionMatrix",
      value: function jitterProjectionMatrix(x, y) {
        var translation = fromTranslation(create$1(), [x, y, 0]);
        this.jitteredProjectionMatrix = multiply(create$1(), translation, this.perspective);
      }
    }, {
      key: "clearJitterProjectionMatrix",
      value: function clearJitterProjectionMatrix() {
        this.jitteredProjectionMatrix = undefined;
      }
      /**
       * 设置相机矩阵
       */

    }, {
      key: "setMatrix",
      value: function setMatrix(matrix) {
        this.matrix = matrix;

        this._update();

        return this;
      }
    }, {
      key: "setFov",
      value: function setFov(fov) {
        this.setPerspective(this.near, this.far, fov, this.aspect);
      }
    }, {
      key: "setAspect",
      value: function setAspect(aspect) {
        this.setPerspective(this.near, this.far, this.fov, aspect);
        return this;
      }
    }, {
      key: "setNear",
      value: function setNear(near) {
        if (this.projectionMode === CAMERA_PROJECTION_MODE.PERSPECTIVE) {
          this.setPerspective(near, this.far, this.fov, this.aspect);
        } else {
          this.setOrthographic(this.left, this.rright, this.top, this.bottom, near, this.far);
        }

        return this;
      }
    }, {
      key: "setFar",
      value: function setFar(far) {
        if (this.projectionMode === CAMERA_PROJECTION_MODE.PERSPECTIVE) {
          this.setPerspective(this.near, far, this.fov, this.aspect);
        } else {
          this.setOrthographic(this.left, this.rright, this.top, this.bottom, this.near, far);
        }

        return this;
      }
      /**
       * Sets an offset in a larger frustum, used in PixelPicking
       */

    }, {
      key: "setViewOffset",
      value: function setViewOffset(fullWidth, fullHeight, x, y, width, height) {
        this.aspect = fullWidth / fullHeight;

        if (this.view === undefined) {
          this.view = {
            enabled: true,
            fullWidth: 1,
            fullHeight: 1,
            offsetX: 0,
            offsetY: 0,
            width: 1,
            height: 1
          };
        }

        this.view.enabled = true;
        this.view.fullWidth = fullWidth;
        this.view.fullHeight = fullHeight;
        this.view.offsetX = x;
        this.view.offsetY = y;
        this.view.width = width;
        this.view.height = height;

        if (this.projectionMode === CAMERA_PROJECTION_MODE.PERSPECTIVE) {
          this.setPerspective(this.near, this.far, this.fov, this.aspect);
        } else {
          this.setOrthographic(this.left, this.rright, this.top, this.bottom, this.near, this.far);
        }

        return this;
      }
    }, {
      key: "clearViewOffset",
      value: function clearViewOffset() {
        if (this.view !== undefined) {
          this.view.enabled = false;
        }

        if (this.projectionMode === CAMERA_PROJECTION_MODE.PERSPECTIVE) {
          this.setPerspective(this.near, this.far, this.fov, this.aspect);
        } else {
          this.setOrthographic(this.left, this.rright, this.top, this.bottom, this.near, this.far);
        }

        return this;
      }
    }, {
      key: "setZoom",
      value: function setZoom(zoom) {
        this.zoom = zoom;

        if (this.projectionMode === CAMERA_PROJECTION_MODE.ORTHOGRAPHIC) {
          this.setOrthographic(this.left, this.rright, this.top, this.bottom, this.near, this.far);
        }

        return this;
      }
    }, {
      key: "setPerspective",
      value: function setPerspective(near, far, fov, aspect) {
        this.projectionMode = CAMERA_PROJECTION_MODE.PERSPECTIVE;
        this.fov = fov;
        this.near = near;
        this.far = far;
        this.aspect = aspect; // let top = this.near * Math.tan(DEG_2_RAD * 0.5 * this.fov) / this.zoom;
        // let height = 2 * top;
        // let width = this.aspect * height;
        // let left = -0.5 * width;
        // if (this.view !== undefined && this.view.enabled) {
        //   const fullWidth = this.view.fullWidth;
        //   const fullHeight = this.view.fullHeight;
        //   left += this.view.offsetX * width / fullWidth;
        //   top -= this.view.offsetY * height / fullHeight;
        //   width *= this.view.width / fullWidth;
        //   height *= this.view.height / fullHeight;
        // }
        // flip Y

        perspective(this.perspective, -this.fov * DEG_2_RAD, -this.aspect, this.near, this.far);
        this.emit(CAMERA_EVENT.Updated);
        return this;
      }
    }, {
      key: "setOrthographic",
      value: function setOrthographic(l, r, t, b, near, far) {
        this.projectionMode = CAMERA_PROJECTION_MODE.ORTHOGRAPHIC;
        this.rright = r;
        this.left = l;
        this.top = t;
        this.bottom = b;
        this.near = near;
        this.far = far;
        var dx = (this.rright - this.left) / (2 * this.zoom);
        var dy = (this.top - this.bottom) / (2 * this.zoom);
        var cx = (this.rright + this.left) / 2;
        var cy = (this.top + this.bottom) / 2;
        var left = cx - dx;
        var right = cx + dx;
        var top = cy + dy;
        var bottom = cy - dy;

        if (this.view !== undefined && this.view.enabled) {
          var scaleW = (this.rright - this.left) / this.view.fullWidth / this.zoom;
          var scaleH = (this.top - this.bottom) / this.view.fullHeight / this.zoom;
          left += scaleW * this.view.offsetX;
          right = left + scaleW * this.view.width;
          top -= scaleH * this.view.offsetY;
          bottom = top - scaleH * this.view.height;
        }

        ortho(this.perspective, left, right, bottom, top, near, far);

        this._getOrthoMatrix();

        this.emit(CAMERA_EVENT.Updated);
        return this;
      }
      /**
       * 设置相机位置
       */

    }, {
      key: "setPosition",
      value: function setPosition(x, y, z) {
        this._setPosition(x, y, z);

        this.setFocalPoint(this.focalPoint);
        return this;
      }
      /**
       * 设置视点位置
       */

    }, {
      key: "setFocalPoint",
      value: function setFocalPoint(x, y, z) {
        var up = fromValues$1(0, 1, 0);
        this.focalPoint = createVec3(x, y, z);

        if (this.trackingMode === CAMERA_TRACKING_MODE.CINEMATIC) {
          var d = subtract(create$2(), this.focalPoint, this.position);
          x = d[0];
          y = d[1];
          z = d[2];
          var r = length(d);
          var el = Math.asin(y / r) * RAD_2_DEG;
          var az = 90 + Math.atan2(z, x) * RAD_2_DEG;
          var m = create$1();
          rotateY(m, m, az * DEG_2_RAD);
          rotateX(m, m, el * DEG_2_RAD);
          up = transformMat4(create$2(), [0, 1, 0], m);
        }

        invert(this.matrix, lookAt(create$1(), this.position, this.focalPoint, up));

        this._getAxes();

        this._getDistance();

        this._getAngles();

        return this;
      }
      /**
       * 固定当前视点，按指定距离放置相机
       */

    }, {
      key: "setDistance",
      value: function setDistance(d) {
        if (this.distance === d || d < 0) {
          return;
        }

        this.distance = d;

        if (this.distance < 0.0002) {
          this.distance = 0.0002;
        }

        this.dollyingStep = this.distance / 100;
        var pos = create$2();
        d = this.distance;
        var n = this.forward;
        var f = this.focalPoint;
        pos[0] = d * n[0] + f[0];
        pos[1] = d * n[1] + f[1];
        pos[2] = d * n[2] + f[2];

        this._setPosition(pos);

        return this;
      }
    }, {
      key: "setMaxDistance",
      value: function setMaxDistance(d) {
        this.maxDistance = d;
        return this;
      }
    }, {
      key: "setMinDistance",
      value: function setMinDistance(d) {
        this.minDistance = d;
        return this;
      }
      /**
       * Changes the initial azimuth of the camera
       */

    }, {
      key: "changeAzimuth",
      value: function changeAzimuth(az) {
        this.setAzimuth(this.azimuth + az);
        return this;
      }
      /**
       * Changes the initial elevation of the camera
       */

    }, {
      key: "changeElevation",
      value: function changeElevation(el) {
        this.setElevation(this.elevation + el);
        return this;
      }
      /**
       * Changes the initial roll of the camera
       */

    }, {
      key: "changeRoll",
      value: function changeRoll(rl) {
        this.setRoll(this.roll + rl);
        return this;
      }
      /**
       * 设置相机方位角，不同相机模式下需要重新计算相机位置或者是视点位置
       * @param {Number} el the azimuth in degrees
       */

    }, {
      key: "setAzimuth",
      value: function setAzimuth(az) {
        this.azimuth = getAngle$1(az);
        this.computeMatrix();

        this._getAxes();

        if (this.type === CAMERA_TYPE.ORBITING || this.type === CAMERA_TYPE.EXPLORING) {
          this._getPosition();
        } else if (this.type === CAMERA_TYPE.TRACKING) {
          this._getFocalPoint();
        }

        return this;
      }
    }, {
      key: "getAzimuth",
      value: function getAzimuth() {
        return this.azimuth;
      }
      /**
       * 设置相机方位角，不同相机模式下需要重新计算相机位置或者是视点位置
       * @param {Number} el the elevation in degrees
       */

    }, {
      key: "setElevation",
      value: function setElevation(el) {
        this.elevation = getAngle$1(el);
        this.computeMatrix();

        this._getAxes();

        if (this.type === CAMERA_TYPE.ORBITING || this.type === CAMERA_TYPE.EXPLORING) {
          this._getPosition();
        } else if (this.type === CAMERA_TYPE.TRACKING) {
          this._getFocalPoint();
        }

        return this;
      }
      /**
       * 设置相机方位角，不同相机模式下需要重新计算相机位置或者是视点位置
       * @param {Number} angle the roll angle
       */

    }, {
      key: "setRoll",
      value: function setRoll(angle) {
        this.roll = getAngle$1(angle);
        this.computeMatrix();

        this._getAxes();

        if (this.type === CAMERA_TYPE.ORBITING || this.type === CAMERA_TYPE.EXPLORING) {
          this._getPosition();
        } else if (this.type === CAMERA_TYPE.TRACKING) {
          this._getFocalPoint();
        }

        return this;
      }
      /**
       * Changes the azimuth and elevation with respect to the current camera axes
       * @param {Number} azimuth the relative azimuth
       * @param {Number} elevation the relative elevation
       * @param {Number} roll the relative roll
       */

    }, {
      key: "rotate",
      value: function rotate(azimuth, elevation, roll) {
        this.relElevation = getAngle$1(elevation);
        this.relAzimuth = getAngle$1(azimuth);
        this.relRoll = getAngle$1(roll);
        this.elevation += this.relElevation;
        this.azimuth += this.relAzimuth;
        this.roll += this.relRoll;

        if (this.type === CAMERA_TYPE.EXPLORING) {
          var rotX = setAxisAngle(create$4(), [1, 0, 0], (this.rotateWorld ? 1 : -1) * this.relElevation * DEG_2_RAD);
          var rotY = setAxisAngle(create$4(), [0, 1, 0], (this.rotateWorld ? 1 : -1) * this.relAzimuth * DEG_2_RAD);
          var rotZ = setAxisAngle(create$4(), [0, 0, 1], this.relRoll * DEG_2_RAD);
          var rotQ = multiply$2(create$4(), rotY, rotX);
          rotQ = multiply$2(create$4(), rotQ, rotZ);
          var rotMatrix = fromQuat(create$1(), rotQ);
          translate(this.matrix, this.matrix, [0, 0, -this.distance]);
          multiply(this.matrix, this.matrix, rotMatrix);
          translate(this.matrix, this.matrix, [0, 0, this.distance]);
        } else {
          if (Math.abs(this.elevation) > 90) {
            return;
          }

          this.computeMatrix();
        }

        this._getAxes();

        if (this.type === CAMERA_TYPE.ORBITING || this.type === CAMERA_TYPE.EXPLORING) {
          this._getPosition();
        } else if (this.type === CAMERA_TYPE.TRACKING) {
          this._getFocalPoint();
        }

        this._update();

        return this;
      }
      /**
       * 沿水平(right) & 垂直(up)平移相机
       */

    }, {
      key: "pan",
      value: function pan(tx, ty) {
        var coords = createVec3(tx, ty, 0);
        var pos = clone$1(this.position);
        add(pos, pos, scale(create$2(), this.right, coords[0]));
        add(pos, pos, scale(create$2(), this.up, coords[1]));

        this._setPosition(pos);

        this.emit(CAMERA_EVENT.Updated);
        return this;
      }
      /**
       * 沿 n 轴移动，当距离视点远时移动速度较快，离视点越近速度越慢
       */

    }, {
      key: "dolly",
      value: function dolly(value) {
        var n = this.forward;
        var pos = clone$1(this.position);
        var step = value * this.dollyingStep;
        var updatedDistance = this.distance + value * this.dollyingStep; // 限制视点距离范围

        step = Math.max(Math.min(updatedDistance, this.maxDistance), this.minDistance) - this.distance;
        pos[0] += step * n[0];
        pos[1] += step * n[1];
        pos[2] += step * n[2];

        this._setPosition(pos);

        if (this.type === CAMERA_TYPE.ORBITING || this.type === CAMERA_TYPE.EXPLORING) {
          // 重新计算视点距离
          this._getDistance();
        } else if (this.type === CAMERA_TYPE.TRACKING) {
          // 保持视距，移动视点位置
          add(this.focalPoint, pos, this.distanceVector);
        }

        this.emit(CAMERA_EVENT.Updated);
        return this;
      }
    }, {
      key: "createLandmark",
      value: function createLandmark(name, params) {
        var camera = this.clone();
        camera.setPosition(params.position);
        camera.setFocalPoint(params.focalPoint);

        if (params.roll !== undefined) {
          camera.setRoll(params.roll);
        }

        var landmark = new Landmark(name, camera);
        this.landmarks.push(landmark);
        return landmark;
      }
    }, {
      key: "setLandmark",
      value: function setLandmark(name) {
        var landmark = new Landmark(name, this);
        this.landmarks.push(landmark);
        return this;
      }
    }, {
      key: "gotoLandmark",
      value: function gotoLandmark(name) {
        var _this2 = this;

        var duration = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 1000;
        var landmark = this.landmarks.find(function (l) {
          return l.name === name;
        });

        if (landmark) {
          if (duration === 0) {
            landmark.retrieve(this);
            return;
          }

          if (this.landmarkAnimationID !== undefined) {
            cancelAnimationFrame(this.landmarkAnimationID);
          } // TODO: do not process events during animation
          // this.interactor.disconnect();


          var destPosition = landmark.getPosition();
          var destFocalPoint = landmark.getFocalPoint();
          var destRoll = landmark.getRoll();
          var timeStart;

          var animate = function animate(timestamp) {
            if (timeStart === undefined) {
              timeStart = timestamp;
            }

            var elapsed = timestamp - timeStart; // TODO: use better ease function

            var t = (1 - Math.cos(elapsed / duration * Math.PI)) / 2;
            var interFocalPoint = create$2();
            var interPosition = create$2();
            var interRoll = 0;
            lerp(interFocalPoint, _this2.focalPoint, destFocalPoint, t);
            lerp(interPosition, _this2.position, destPosition, t);
            interRoll = _this2.roll * (1 - t) + destRoll * t;

            _this2.setFocalPoint(interFocalPoint);

            _this2.setPosition(interPosition);

            _this2.setRoll(interRoll);

            _this2.computeMatrix();

            _this2.emit(CAMERA_EVENT.Updated);

            var dist$1 = dist(interFocalPoint, destFocalPoint) + dist(interPosition, destPosition);

            if (dist$1 > 0.01) ; else {
              _this2.setFocalPoint(interFocalPoint);

              _this2.setPosition(interPosition);

              _this2.setRoll(interRoll);

              _this2.computeMatrix(); // this.interactor.connect();


              return;
            }

            if (elapsed < duration) {
              _this2.landmarkAnimationID = requestAnimationFrame$1(animate);
            }
          };

          requestAnimationFrame$1(animate);
        }
      }
      /**
       * 根据相机矩阵重新计算各种相机参数
       */

    }, {
      key: "_update",
      value: function _update() {
        this._getAxes();

        this._getPosition();

        this._getDistance();

        this._getAngles();

        this._getOrthoMatrix();

        this.emit(CAMERA_EVENT.Updated);
      }
      /**
       * 计算相机矩阵
       */

    }, {
      key: "computeMatrix",
      value: function computeMatrix() {
        var rotX;
        var rotY; // 使用四元数描述 3D 旋转
        // @see https://xiaoiver.github.io/coding/2018/12/28/Camera-%E8%AE%BE%E8%AE%A1-%E4%B8%80.html

        var rotZ = setAxisAngle(create$4(), [0, 0, 1], this.roll * DEG_2_RAD);
        identity(this.matrix); // only consider HCS for EXPLORING and ORBITING cameras

        rotX = setAxisAngle(create$4(), [1, 0, 0], (this.rotateWorld && this.type !== CAMERA_TYPE.TRACKING || this.type === CAMERA_TYPE.TRACKING ? 1 : -1) * this.elevation * DEG_2_RAD);
        rotY = setAxisAngle(create$4(), [0, 1, 0], (this.rotateWorld && this.type !== CAMERA_TYPE.TRACKING || this.type === CAMERA_TYPE.TRACKING ? 1 : -1) * this.azimuth * DEG_2_RAD);
        var rotQ = multiply$2(create$4(), rotY, rotX);
        rotQ = multiply$2(create$4(), rotQ, rotZ);
        var rotMatrix = fromQuat(create$1(), rotQ);

        if (this.type === CAMERA_TYPE.ORBITING || this.type === CAMERA_TYPE.EXPLORING) {
          translate(this.matrix, this.matrix, this.focalPoint);
          multiply(this.matrix, this.matrix, rotMatrix);
          translate(this.matrix, this.matrix, [0, 0, this.distance]);
        } else if (this.type === CAMERA_TYPE.TRACKING) {
          translate(this.matrix, this.matrix, this.position);
          multiply(this.matrix, this.matrix, rotMatrix);
        }
      }
      /**
       * Sets the camera position in the camera matrix
       */

    }, {
      key: "_setPosition",
      value: function _setPosition(x, y, z) {
        this.position = createVec3(x, y, z);
        var m = this.matrix;
        m[12] = this.position[0];
        m[13] = this.position[1];
        m[14] = this.position[2];
        m[15] = 1;

        this._getOrthoMatrix();
      }
      /**
       * Recalculates axes based on the current matrix
       */

    }, {
      key: "_getAxes",
      value: function _getAxes() {
        copy$1(this.right, createVec3(transformMat4$1(create$3(), [1, 0, 0, 0], this.matrix)));
        copy$1(this.up, createVec3(transformMat4$1(create$3(), [0, 1, 0, 0], this.matrix)));
        copy$1(this.forward, createVec3(transformMat4$1(create$3(), [0, 0, 1, 0], this.matrix)));
        normalize(this.right, this.right);
        normalize(this.up, this.up);
        normalize(this.forward, this.forward);
      }
      /**
       * Recalculates euler angles based on the current state
       */

    }, {
      key: "_getAngles",
      value: function _getAngles() {
        // Recalculates angles
        var x = this.distanceVector[0];
        var y = this.distanceVector[1];
        var z = this.distanceVector[2];
        var r = length(this.distanceVector); // FAST FAIL: If there is no distance we cannot compute angles

        if (r === 0) {
          this.elevation = 0;
          this.azimuth = 0;
          return;
        }

        if (this.type === CAMERA_TYPE.TRACKING) {
          this.elevation = Math.asin(y / r) * RAD_2_DEG;
          this.azimuth = Math.atan2(-x, -z) * RAD_2_DEG;
        } else {
          if (this.rotateWorld) {
            this.elevation = Math.asin(y / r) * RAD_2_DEG;
            this.azimuth = Math.atan2(-x, -z) * RAD_2_DEG;
          } else {
            this.elevation = -Math.asin(y / r) * RAD_2_DEG;
            this.azimuth = -Math.atan2(-x, -z) * RAD_2_DEG;
          }
        }
      }
      /**
       * 重新计算相机位置，只有 ORBITING 模式相机位置才会发生变化
       */

    }, {
      key: "_getPosition",
      value: function _getPosition() {
        copy$1(this.position, createVec3(transformMat4$1(create$3(), [0, 0, 0, 1], this.matrix))); // 相机位置变化，需要重新计算视距

        this._getDistance();
      }
      /**
       * 重新计算视点，只有 TRACKING 模式视点才会发生变化
       */

    }, {
      key: "_getFocalPoint",
      value: function _getFocalPoint() {
        transformMat3(this.distanceVector, [0, 0, -this.distance], fromMat4(create(), this.matrix));
        add(this.focalPoint, this.position, this.distanceVector); // 视点变化，需要重新计算视距

        this._getDistance();
      }
      /**
       * 重新计算视距
       */

    }, {
      key: "_getDistance",
      value: function _getDistance() {
        this.distanceVector = subtract(create$2(), this.focalPoint, this.position);
        this.distance = length(this.distanceVector);
        this.dollyingStep = this.distance / 100;
      }
    }, {
      key: "_getOrthoMatrix",
      value: function _getOrthoMatrix() {
        if (this.projectionMode !== CAMERA_PROJECTION_MODE.ORTHOGRAPHIC) {
          return;
        }

        var position = this.position;
        var rotZ = setAxisAngle(create$4(), [0, 0, 1], -this.roll * Math.PI / 180);
        fromRotationTranslationScaleOrigin(this.orthoMatrix, rotZ, fromValues$1((this.rright - this.left) / 2 - position[0], (this.bottom - this.top) / 2 - position[1], 0), fromValues$1(this.zoom, this.zoom, 1), position);
      }
    }]);

    return Camera;
  }(eventemitter3.EventEmitter), _class.ProjectionMode = {
    ORTHOGRAPHIC: 'ORTHOGRAPHIC',
    PERSPECTIVE: 'PERSPECTIVE'
  }, _temp);
  Camera = Camera_1 = __decorate$1([injectable()], Camera);

  var _class$1, _temp$1;

  var DirtyCheckPlugin_1;
  /**
   * Filter dirty renderables and calculate the "dirty rectangle" which will be clear when frame began
   */

  var DirtyCheckPlugin = DirtyCheckPlugin_1 = (_temp$1 = _class$1 = /*#__PURE__*/function () {
    function DirtyCheckPlugin() {
      _classCallCheck$2(this, DirtyCheckPlugin);

      this.canvasConfig = void 0;
      this.renderingContext = void 0;
    }

    _createClass$2(DirtyCheckPlugin, [{
      key: "apply",
      value: function apply(renderer) {
        var _this = this;

        renderer.hooks.prepare.tap(DirtyCheckPlugin_1.tag, function (object) {
          if (object) {
            // if (object.getEntity().getComponent(SceneGraphNode).shadow) {
            //   return null;
            // }
            var _this$canvasConfig$re = _this.canvasConfig.renderer.getConfig(),
                enableDirtyRectangleRendering = _this$canvasConfig$re.enableDirtyRectangleRendering;

            var renderable = object.getEntity().getComponent(Renderable);

            var isDirty = renderable.dirty || _this.renderingContext.renderReasons.has(RENDER_REASON.CameraChanged);

            if (isDirty || !enableDirtyRectangleRendering && !renderable.instanced) {
              return object;
            } else {
              return null;
            }
          }

          return object;
        });
      }
    }]);

    return DirtyCheckPlugin;
  }(), _class$1.tag = 'DirtyCheckPlugin', _temp$1);

  __decorate$1([inject(CanvasConfig), __metadata$1("design:type", Object)], DirtyCheckPlugin.prototype, "canvasConfig", void 0);

  __decorate$1([inject(RenderingContext), __metadata$1("design:type", Object)], DirtyCheckPlugin.prototype, "renderingContext", void 0);

  DirtyCheckPlugin = DirtyCheckPlugin_1 = __decorate$1([injectable()], DirtyCheckPlugin);

  var _class$2, _temp$2;

  var CullingPlugin_1;
  var CullingStrategy = Symbol('CullingStrategy');
  /**
   * apply following rules:
   * 1. `visibility` in scenegraph node
   * 2. other custom culling strategies, eg. frustum culling
   */

  var CullingPlugin = CullingPlugin_1 = (_temp$2 = _class$2 = /*#__PURE__*/function () {
    function CullingPlugin() {
      _classCallCheck$2(this, CullingPlugin);

      this.canvasConfig = void 0;
      this.strategies = void 0;
      this.renderingContext = void 0;
    }

    _createClass$2(CullingPlugin, [{
      key: "apply",
      value: function apply(renderer) {
        var _this = this;

        renderer.hooks.prepare.tap(CullingPlugin_1.tag, function (object) {
          if (object) {
            var entity = object.getEntity();
            var cullable = entity.getComponent(Cullable);

            if (_this.strategies.getContributions(true).length === 0) {
              cullable.visible = true;
            } else {
              // eg. implemented by g-webgl(frustum culling)
              cullable.visible = _this.strategies.getContributions(true).every(function (strategy) {
                return strategy.isVisible(object);
              });
            }

            if (object.style.visibility === 'visible' && (!cullable || cullable.visible)) {
              return object;
            } else {
              // Those invisible objects which get renderred in last frame should be saved for later use.
              var _this$canvasConfig$re = _this.canvasConfig.renderer.getConfig(),
                  enableDirtyRectangleRendering = _this$canvasConfig$re.enableDirtyRectangleRendering;

              if (enableDirtyRectangleRendering) {
                var removedAABB = object.getBounds();

                if (removedAABB) {
                  _this.renderingContext.removedAABBs.push(removedAABB);

                  _this.renderingContext.renderReasons.add(RENDER_REASON.DisplayObjectRemoved);
                }
              }

              return null;
            }
          }

          return object;
        });
        renderer.hooks.afterRender.tap(CullingPlugin_1.tag, function (object) {
          var entity = object.getEntity();
          entity.getComponent(Cullable).visibilityPlaneMask = -1;
        });
      }
    }]);

    return CullingPlugin;
  }(), _class$2.tag = 'CullingPlugin', _temp$2);

  __decorate$1([inject(CanvasConfig), __metadata$1("design:type", Object)], CullingPlugin.prototype, "canvasConfig", void 0);

  __decorate$1([inject(ContributionProvider), named(CullingStrategy), __metadata$1("design:type", Object)], CullingPlugin.prototype, "strategies", void 0);

  __decorate$1([inject(RenderingContext), __metadata$1("design:type", Object)], CullingPlugin.prototype, "renderingContext", void 0);

  CullingPlugin = CullingPlugin_1 = __decorate$1([injectable()], CullingPlugin);

  var _class$3, _temp$3;

  var PrepareRendererPlugin_1;
  var PrepareRendererPlugin = PrepareRendererPlugin_1 = (_temp$3 = _class$3 = /*#__PURE__*/function () {
    function PrepareRendererPlugin() {
      _classCallCheck$2(this, PrepareRendererPlugin);

      this.sceneGraphService = void 0;
      this.renderingContext = void 0;
    }

    _createClass$2(PrepareRendererPlugin, [{
      key: "apply",
      value: function apply(renderingService) {
        var _this = this;

        var handleAttributeChanged = function handleAttributeChanged(name, oldValue, value, object) {
          // need re-render
          _this.renderingContext.renderReasons.add(RENDER_REASON.DisplayObjectChanged); // trigger hooks


          renderingService.hooks.attributeChanged.call(object, name, value);
        };

        var handleAABBChanged = function handleAABBChanged() {
          // need re-render
          _this.renderingContext.renderReasons.add(RENDER_REASON.DisplayObjectChanged);
        };

        renderingService.hooks.init.tap(PrepareRendererPlugin_1.tag, function () {
          _this.sceneGraphService.on(SCENE_GRAPH_EVENT.AABBChanged, handleAABBChanged);
        });
        renderingService.hooks.destroy.tap(PrepareRendererPlugin_1.tag, function () {
          _this.sceneGraphService.off(SCENE_GRAPH_EVENT.AABBChanged, handleAABBChanged);
        });
        renderingService.hooks.mounted.tap(PrepareRendererPlugin_1.tag, function (object) {
          var entity = object.getEntity(); // delegate attribute-changed handler

          object.on(DISPLAY_OBJECT_EVENT.AttributeChanged, handleAttributeChanged);
          var renderable = entity.getComponent(Renderable);
          renderable.dirty = true; // need re-render

          _this.renderingContext.renderReasons.add(RENDER_REASON.DisplayObjectChanged);
        });
        renderingService.hooks.unmounted.tap(PrepareRendererPlugin_1.tag, function (object) {
          // console.log('unmounted', object);
          object.off(DISPLAY_OBJECT_EVENT.AttributeChanged, handleAttributeChanged);
          var entity = object.getEntity();
          var renderable = entity.getComponent(Renderable);

          if (renderable.aabb) {
            _this.renderingContext.removedAABBs.push(renderable.aabb);
          } // need re-render


          _this.renderingContext.renderReasons.add(RENDER_REASON.DisplayObjectChanged);
        });
      }
    }]);

    return PrepareRendererPlugin;
  }(), _class$3.tag = 'PrepareRendererPlugin', _temp$3);

  __decorate$1([inject(SceneGraphService), __metadata$1("design:type", SceneGraphService)], PrepareRendererPlugin.prototype, "sceneGraphService", void 0);

  __decorate$1([inject(RenderingContext), __metadata$1("design:type", Object)], PrepareRendererPlugin.prototype, "renderingContext", void 0);

  PrepareRendererPlugin = PrepareRendererPlugin_1 = __decorate$1([injectable()], PrepareRendererPlugin);

  var FrustumCullingStrategy = /*#__PURE__*/function () {
    function FrustumCullingStrategy() {
      _classCallCheck$2(this, FrustumCullingStrategy);

      this.camera = void 0;
    }

    _createClass$2(FrustumCullingStrategy, [{
      key: "isVisible",
      value: function isVisible(object) {
        var entity = object.getEntity();
        var cullable = entity.getComponent(Cullable);

        if (!cullable.enable) {
          return true;
        }

        var aabb = object.getBounds();

        if (!aabb) {
          return false;
        }

        var viewMatrix = this.camera.getViewTransform();
        var vpMatrix = multiply(create$1(), this.camera.getPerspective(), viewMatrix); // get VP matrix from camera

        this.camera.getFrustum().extractFromVPMatrix(vpMatrix);
        var parentVisibilityPlaneMask = object.parent && object.parent.getEntity().getComponent(Cullable).visibilityPlaneMask;
        cullable.visibilityPlaneMask = this.computeVisibilityWithPlaneMask(aabb, parentVisibilityPlaneMask || Mask.INDETERMINATE, this.camera.getFrustum().planes);
        cullable.visible = cullable.visibilityPlaneMask !== Mask.OUTSIDE;
        return cullable.visible;
      }
      /**
       *
       * @see「Optimized View Frustum Culling Algorithms for Bounding Boxes」
       * @see https://github.com/antvis/GWebGPUEngine/issues/3
       *
       * * 基础相交测试 the basic intersection test
       * * 标记 masking @see https://cesium.com/blog/2015/08/04/fast-hierarchical-culling/
       * * TODO: 平面一致性测试 the plane-coherency test
       * * TODO: 支持 mesh 指定自身的剔除策略，参考 Babylon.js @see https://doc.babylonjs.com/how_to/optimizing_your_scene#changing-mesh-culling-strategy
       *
       * @param aabb aabb
       * @param parentPlaneMask mask of parent
       * @param planes planes of frustum
       */

    }, {
      key: "computeVisibilityWithPlaneMask",
      value: function computeVisibilityWithPlaneMask(aabb, parentPlaneMask, planes) {
        if (parentPlaneMask === Mask.OUTSIDE || parentPlaneMask === Mask.INSIDE) {
          // 父节点完全位于视锥内或者外部，直接返回
          return parentPlaneMask;
        } // Start with MASK_INSIDE (all zeros) so that after the loop, the return value can be compared with MASK_INSIDE.
        // (Because if there are fewer than 31 planes, the upper bits wont be changed.)


        var mask = Mask.INSIDE;

        for (var k = 0, len = planes.length; k < len; ++k) {
          // For k greater than 31 (since 31 is the maximum number of INSIDE/INTERSECTING bits we can store), skip the optimization.
          var flag = k < 31 ? 1 << k : 0;

          if (k < 31 && (parentPlaneMask & flag) === 0) {
            // 父节点处于当前面内部，可以跳过
            continue;
          } // p-vertex n-vertex <-|plane p-vertex n-vertex
          // 使用 p-vertex 和 n-vertex 加速，避免进行平面和 aabb 全部顶点的相交检测


          var _planes$k = planes[k],
              normal = _planes$k.normal,
              distance = _planes$k.distance;

          if (dot(normal, aabb.getPositiveFarPoint(planes[k])) + distance < 0) {
            return Mask.OUTSIDE;
          }

          if (dot(normal, aabb.getNegativeFarPoint(planes[k])) + distance < 0) {
            // 和当前面相交，对应位置为1，继续检测下一个面
            mask |= flag;
          }
        }

        return mask;
      }
    }]);

    return FrustumCullingStrategy;
  }();

  __decorate$1([inject(Camera), __metadata$1("design:type", Camera)], FrustumCullingStrategy.prototype, "camera", void 0);

  FrustumCullingStrategy = __decorate$1([injectable()], FrustumCullingStrategy);

  // @see https://developer.mozilla.org/en-US/docs/Web/API/Window/self

  var supportsTouchEvents = ('ontouchstart' in self);
  var supportsPointerEvents = !!self.PointerEvent;
  var MOUSE_POINTER_ID = 1;
  var TOUCH_TO_POINTER = {
    touchstart: 'pointerdown',
    touchend: 'pointerup',
    touchendoutside: 'pointerupoutside',
    touchmove: 'pointermove',
    touchcancel: 'pointercancel'
  };
  function isTouchEvent(event) {
    return supportsTouchEvents && event instanceof TouchEvent;
  }
  function isMouseEvent(event) {
    return !self.MouseEvent || event instanceof MouseEvent && (!supportsPointerEvents || !(event instanceof self.PointerEvent));
  }
  /**
   * borrow from pixi/events
   */

  function normalizeToPointerEvent(event) {
    var normalizedEvents = [];

    if (isTouchEvent(event)) {
      for (var i = 0; i < event.changedTouches.length; i++) {
        var touch = event.changedTouches[i];
        if (isUndefined(touch.button)) touch.button = event.touches.length ? 1 : 0;
        if (isUndefined(touch.buttons)) touch.buttons = event.touches.length ? 1 : 0;

        if (isUndefined(touch.isPrimary)) {
          touch.isPrimary = event.touches.length === 1 && event.type === 'touchstart';
        }

        if (isUndefined(touch.width)) touch.width = touch.radiusX || 1;
        if (isUndefined(touch.height)) touch.height = touch.radiusY || 1;
        if (isUndefined(touch.tiltX)) touch.tiltX = 0;
        if (isUndefined(touch.tiltY)) touch.tiltY = 0;
        if (isUndefined(touch.pointerType)) touch.pointerType = 'touch';
        if (isUndefined(touch.pointerId)) touch.pointerId = touch.identifier || 0;
        if (isUndefined(touch.pressure)) touch.pressure = touch.force || 0.5;
        if (isUndefined(touch.twist)) touch.twist = 0;
        if (isUndefined(touch.tangentialPressure)) touch.tangentialPressure = 0;
        touch.isNormalized = true;
        touch.type = event.type;
        normalizedEvents.push(touch);
      }
    } else if (isMouseEvent(event)) {
      var tempEvent = event;
      if (isUndefined(tempEvent.isPrimary)) tempEvent.isPrimary = true;
      if (isUndefined(tempEvent.width)) tempEvent.width = 1;
      if (isUndefined(tempEvent.height)) tempEvent.height = 1;
      if (isUndefined(tempEvent.tiltX)) tempEvent.tiltX = 0;
      if (isUndefined(tempEvent.tiltY)) tempEvent.tiltY = 0;
      if (isUndefined(tempEvent.pointerType)) tempEvent.pointerType = 'mouse';
      if (isUndefined(tempEvent.pointerId)) tempEvent.pointerId = MOUSE_POINTER_ID;
      if (isUndefined(tempEvent.pressure)) tempEvent.pressure = 0.5;
      if (isUndefined(tempEvent.twist)) tempEvent.twist = 0;
      if (isUndefined(tempEvent.tangentialPressure)) tempEvent.tangentialPressure = 0;
      tempEvent.isNormalized = true;
      normalizedEvents.push(tempEvent);
    } else {
      normalizedEvents.push(event);
    }

    return normalizedEvents;
  }

  var _class$4, _temp$4;

  var EventPlugin_1;
  /**
   * support mouse & touch events
   * @see https://github.com/pixijs/pixi.js/blob/dev/packages/interaction/README.md
   *
   * also provide some extra events such as `drag`
   */

  var EventPlugin = EventPlugin_1 = (_temp$4 = _class$4 = /*#__PURE__*/function () {
    function EventPlugin() {
      var _this = this;

      _classCallCheck$2(this, EventPlugin);

      this.canvasConfig = void 0;
      this.contextService = void 0;
      this.renderingService = void 0;
      this.eventService = void 0;
      this.autoPreventDefault = true;
      this.rootPointerEvent = new FederatedPointerEvent(null);
      this.rootWheelEvent = new FederatedWheelEvent(null);

      this.onPointerMove = function (nativeEvent) {
        if (supportsTouchEvents && nativeEvent.pointerType === 'touch') return;
        var normalizedEvents = normalizeToPointerEvent(nativeEvent);

        var _iterator = _createForOfIteratorHelper$1(normalizedEvents),
            _step;

        try {
          for (_iterator.s(); !(_step = _iterator.n()).done;) {
            var normalizedEvent = _step.value;

            var event = _this.bootstrapEvent(_this.rootPointerEvent, normalizedEvent);

            _this.eventService.mapEvent(event);
          }
        } catch (err) {
          _iterator.e(err);
        } finally {
          _iterator.f();
        }

        _this.setCursor(_this.eventService.cursor);
      };
    }

    _createClass$2(EventPlugin, [{
      key: "apply",
      value: function apply(renderingService) {
        var _this2 = this;

        this.eventService.setPickHandler(function (position) {
          var _this2$renderingServi = _this2.renderingService.hooks.pick.call({
            position: position,
            picked: null
          }),
              picked = _this2$renderingServi.picked;

          return picked;
        });
        renderingService.hooks.pointerWheel.tap(EventPlugin_1.tag, function (nativeEvent) {
          var wheelEvent = _this2.normalizeWheelEvent(nativeEvent);

          _this2.eventService.mapEvent(wheelEvent);
        });
        renderingService.hooks.pointerDown.tap(EventPlugin_1.tag, function (nativeEvent) {
          if (supportsTouchEvents && nativeEvent.pointerType === 'touch') {
            return;
          }

          var events = normalizeToPointerEvent(nativeEvent);

          if (_this2.autoPreventDefault && events[0].isNormalized) {
            var cancelable = nativeEvent.cancelable || !('cancelable' in nativeEvent);

            if (cancelable) {
              nativeEvent.preventDefault();
            }
          }

          var _iterator2 = _createForOfIteratorHelper$1(events),
              _step2;

          try {
            for (_iterator2.s(); !(_step2 = _iterator2.n()).done;) {
              var event = _step2.value;

              var federatedEvent = _this2.bootstrapEvent(_this2.rootPointerEvent, event);

              _this2.eventService.mapEvent(federatedEvent);
            }
          } catch (err) {
            _iterator2.e(err);
          } finally {
            _iterator2.f();
          }

          _this2.setCursor(_this2.eventService.cursor);
        });
        renderingService.hooks.pointerUp.tap(EventPlugin_1.tag, function (nativeEvent) {
          if (supportsTouchEvents && nativeEvent.pointerType === 'touch') return;
          var outside = nativeEvent.target !== _this2.contextService.getDomElement() ? 'outside' : '';
          var normalizedEvents = normalizeToPointerEvent(nativeEvent);

          var _iterator3 = _createForOfIteratorHelper$1(normalizedEvents),
              _step3;

          try {
            for (_iterator3.s(); !(_step3 = _iterator3.n()).done;) {
              var normalizedEvent = _step3.value;

              var event = _this2.bootstrapEvent(_this2.rootPointerEvent, normalizedEvent);

              event.type += outside;

              _this2.eventService.mapEvent(event);
            }
          } catch (err) {
            _iterator3.e(err);
          } finally {
            _iterator3.f();
          }

          _this2.setCursor(_this2.eventService.cursor);
        });
        renderingService.hooks.pointerMove.tap(EventPlugin_1.tag, this.onPointerMove);
        renderingService.hooks.pointerOver.tap(EventPlugin_1.tag, this.onPointerMove);
        renderingService.hooks.pointerOut.tap(EventPlugin_1.tag, this.onPointerMove);
      }
    }, {
      key: "bootstrapEvent",
      value: function bootstrapEvent(event, nativeEvent) {
        // @ts-ignore
        event._originalEvent = null;
        event.nativeEvent = nativeEvent;
        event.pointerId = nativeEvent.pointerId;
        event.width = nativeEvent.width;
        event.height = nativeEvent.height;
        event.isPrimary = nativeEvent.isPrimary;
        event.pointerType = nativeEvent.pointerType;
        event.pressure = nativeEvent.pressure;
        event.tangentialPressure = nativeEvent.tangentialPressure;
        event.tiltX = nativeEvent.tiltX;
        event.tiltY = nativeEvent.tiltY;
        event.twist = nativeEvent.twist;
        this.transferMouseData(event, nativeEvent); // calc position

        var bbox = this.contextService.getBoundingClientRect(); // relative to canvas

        event.canvas.x = nativeEvent.clientX - (bbox && bbox.left || 0);
        event.canvas.y = nativeEvent.clientY - (bbox && bbox.top || 0);
        event.screen.copyFrom(event.canvas);
        event.global.copyFrom(event.screen);
        event.offset.copyFrom(event.screen);
        event.isTrusted = nativeEvent.isTrusted;

        if (event.type === 'pointerleave') {
          event.type = 'pointerout';
        }

        if (event.type.startsWith('mouse')) {
          event.type = event.type.replace('mouse', 'pointer');
        }

        if (event.type.startsWith('touch')) {
          event.type = TOUCH_TO_POINTER[event.type] || event.type;
        }

        return event;
      }
    }, {
      key: "normalizeWheelEvent",
      value: function normalizeWheelEvent(nativeEvent) {
        var event = this.rootWheelEvent;
        this.transferMouseData(event, nativeEvent);
        event.deltaMode = nativeEvent.deltaMode;
        event.deltaX = nativeEvent.deltaX;
        event.deltaY = nativeEvent.deltaY;
        event.deltaZ = nativeEvent.deltaZ; // calc position

        var bbox = this.contextService.getBoundingClientRect();
        event.canvas.x = nativeEvent.clientX - (bbox && bbox.left || 0);
        event.canvas.y = nativeEvent.clientY - (bbox && bbox.top || 0);
        event.screen.copyFrom(event.canvas);
        event.global.copyFrom(event.screen);
        event.offset.copyFrom(event.screen);
        event.nativeEvent = nativeEvent;
        event.type = nativeEvent.type;
        return event;
      }
      /**
       * Transfers base & mouse event data from the nativeEvent to the federated event.
       */

    }, {
      key: "transferMouseData",
      value: function transferMouseData(event, nativeEvent) {
        event.isTrusted = nativeEvent.isTrusted;
        event.timeStamp = performance.now();
        event.type = nativeEvent.type;
        event.altKey = nativeEvent.altKey;
        event.button = nativeEvent.button;
        event.buttons = nativeEvent.buttons;
        event.client.x = nativeEvent.clientX;
        event.client.y = nativeEvent.clientY;
        event.ctrlKey = nativeEvent.ctrlKey;
        event.metaKey = nativeEvent.metaKey;
        event.movement.x = nativeEvent.movementX;
        event.movement.y = nativeEvent.movementY;
        event.page.x = nativeEvent.pageX;
        event.page.y = nativeEvent.pageY;
        event.relatedTarget = null;
      }
    }, {
      key: "setCursor",
      value: function setCursor(cursor) {
        this.contextService.applyCursorStyle(cursor || this.canvasConfig.cursor || 'default');
      }
    }]);

    return EventPlugin;
  }(), _class$4.tag = 'EventPlugin', _temp$4);

  __decorate$1([inject(CanvasConfig), __metadata$1("design:type", Object)], EventPlugin.prototype, "canvasConfig", void 0);

  __decorate$1([inject(ContextService), __metadata$1("design:type", Object)], EventPlugin.prototype, "contextService", void 0);

  __decorate$1([inject(RenderingService), __metadata$1("design:type", RenderingService)], EventPlugin.prototype, "renderingService", void 0);

  __decorate$1([inject(EventService), __metadata$1("design:type", EventService)], EventPlugin.prototype, "eventService", void 0);

  EventPlugin = EventPlugin_1 = __decorate$1([injectable()], EventPlugin);

  var containerModule$1$1 = new ContainerModule(function (bind, unbind, isBound, rebind) {
    bind(RenderingService).toSelf().inSingletonScope();
    bindContributionProvider(bind, RenderingPluginContribution);
    bind(EventService).toSelf().inSingletonScope(); // event plugin

    bind(EventPlugin).toSelf().inSingletonScope();
    bind(RenderingPluginContribution).toService(EventPlugin); // prerender plugin

    bind(PrepareRendererPlugin).toSelf().inSingletonScope();
    bind(RenderingPluginContribution).toService(PrepareRendererPlugin); // dirty rectangle plugin

    bind(DirtyCheckPlugin).toSelf().inSingletonScope();
    bind(RenderingPluginContribution).toService(DirtyCheckPlugin); // culling plugin

    bindContributionProvider(bind, CullingStrategy);
    bind(FrustumCullingStrategy).toSelf().inSingletonScope();
    bind(CullingStrategy).toService(FrustumCullingStrategy);
    bind(CullingPlugin).toSelf().inSingletonScope();
    bind(RenderingPluginContribution).toService(CullingPlugin);
  });

  /**
   * @see https://developer.mozilla.org/en-US/docs/Web/API/AnimationPlaybackEvent
   */

  var AnimationEvent = /*#__PURE__*/function (_FederatedEvent) {
    _inherits$2(AnimationEvent, _FederatedEvent);

    var _super = _createSuper$2(AnimationEvent);

    function AnimationEvent(manager, target, currentTime, timelineTime) {
      var _this;

      _classCallCheck$2(this, AnimationEvent);

      _this = _super.call(this, manager);
      _this.currentTime = void 0;
      _this.timelineTime = void 0;
      _this.currentTime = currentTime;
      _this.timelineTime = timelineTime; // @ts-ignore

      _this.target = target;
      _this.type = 'finish';
      _this.bubbles = false; // @ts-ignore

      _this.currentTarget = target;
      _this.defaultPrevented = false;
      _this.eventPhase = _this.AT_TARGET;
      _this.timeStamp = Date.now();
      _this.currentTime = currentTime;
      _this.timelineTime = timelineTime;
      return _this;
    }

    return AnimationEvent;
  }(FederatedEvent);

  var sequenceNumber = 0;
  /**
   * @see https://developer.mozilla.org/en-US/docs/Web/API/Animation/Animation
   */

  var Animation = /*#__PURE__*/function () {
    function Animation(effect, timeline) {
      _classCallCheck$2(this, Animation);

      this.effect = void 0;
      this.timeline = void 0;
      this.id = void 0;
      this.currentTimePending = false;
      this._idle = true;
      this._paused = false;
      this._finishedFlag = true;
      this.oldPlayState = void 0;
      this._holdTime = void 0;
      this.readyPromise = void 0;
      this.finishedPromise = void 0;
      this.resolveReadyPromise = void 0;
      this.rejectReadyPromise = void 0;
      this.resolveFinishedPromise = void 0;
      this.rejectFinishedPromise = void 0;
      this.onfinish = void 0;
      this.oncancel = void 0;
      this._currentTime = 0;
      this._startTime = void 0;
      this._playbackRate = 1;
      this._inEffect = void 0;
      this._inTimeline = true;
      this.onremove = void 0;
      this.replaceState = void 0;
      this.effect = effect;
      this.timeline = timeline;
      this.id = "".concat(sequenceNumber++);
      this._inEffect = !!this.effect.update(0);
      this._holdTime = 0;
      this._paused = false;
      this.oldPlayState = 'idle';
      this.updatePromises();
    }
    /**
     * state machine,
     * resolve/reject ready/finished Promise according to current state
     */


    _createClass$2(Animation, [{
      key: "pending",
      get:
      /**
       * @see https://developer.mozilla.org/en-US/docs/Web/API/Animation/effect
       */

      /**
       * @see https://developer.mozilla.org/en-US/docs/Web/API/Animation/timeline
       */

      /**
       * @see https://developer.mozilla.org/en-US/docs/Web/API/Animation/id
       */
      // animation: InternalAnimation | null;

      /**
       * @see https://developer.mozilla.org/en-US/docs/Web/API/Animation/pending
       */
      function get() {
        return this._startTime === null && !this._paused && this.playbackRate !== 0 || this.currentTimePending;
      }
    }, {
      key: "playState",
      get: function get() {
        if (this._idle) return 'idle';
        if (this._isFinished) return 'finished';
        if (this._paused) return 'paused';
        return 'running';
      }
      /**
       * record previos state
       */

    }, {
      key: "ready",
      get:
      /**
       * @see https://developer.mozilla.org/en-US/docs/Web/API/Animation/ready
       * @example
        animation.pause();
        animation.ready.then(function() {
          // Displays 'running'
          alert(animation.playState);
        });
        animation.play();
       */
      function get() {
        var _this = this;

        if (!this.readyPromise) {
          if (this.timeline.animationsWithPromises.indexOf(this) === -1) {
            this.timeline.animationsWithPromises.push(this);
          }

          this.readyPromise = new Promise(function (resolve, reject) {
            _this.resolveReadyPromise = function () {
              resolve(_this);
            };

            _this.rejectReadyPromise = function () {
              reject(new Error());
            };
          });

          if (!this.pending) {
            this.resolveReadyPromise();
          }
        }

        return this.readyPromise;
      }
      /**
       * @see https://developer.mozilla.org/en-US/docs/Web/API/Animation/finished
       * @example
        Promise.all(
          elem.getAnimations().map(
            function(animation) {
              return animation.finished
            }
          )
        ).then(
          function() {
            return elem.remove();
          }
        );
       */

    }, {
      key: "finished",
      get: function get() {
        var _this2 = this;

        if (!this.finishedPromise) {
          if (this.timeline.animationsWithPromises.indexOf(this) === -1) {
            this.timeline.animationsWithPromises.push(this);
          }

          this.finishedPromise = new Promise(function (resolve, reject) {
            _this2.resolveFinishedPromise = function () {
              resolve(_this2);
            };

            _this2.rejectFinishedPromise = function () {
              reject(new Error());
            };
          });

          if (this.playState === 'finished') {
            this.resolveFinishedPromise();
          }
        }

        return this.finishedPromise;
      }
      /**
       * @see https://developer.mozilla.org/en-US/docs/Web/API/Animation/onfinish
       */

    }, {
      key: "currentTime",
      get:
      /**
       * @see https://developer.mozilla.org/en-US/docs/Web/API/Animation/currentTime
       */
      function get() {
        this.updatePromises();
        return this._idle || this.currentTimePending ? null : this._currentTime;
      },
      set: function set(newTime) {
        newTime = Number(newTime);
        if (isNaN(newTime)) return;
        this.timeline.restart();

        if (!this._paused && this._startTime !== null) {
          var _this$timeline;

          this._startTime = Number((_this$timeline = this.timeline) === null || _this$timeline === void 0 ? void 0 : _this$timeline.currentTime) - newTime / this.playbackRate;
        }

        this.currentTimePending = false;

        if (this._currentTime === newTime) {
          return;
        }

        if (this._idle) {
          this._idle = false;
          this._paused = true;
        }

        this.tickCurrentTime(newTime, true);
        this.timeline.applyDirtiedAnimation(this);
      }
      /**
       * @see https://developer.mozilla.org/en-US/docs/Web/API/Animation/startTime
       */

    }, {
      key: "startTime",
      get: function get() {
        return this._startTime;
      },
      set: function set(newTime) {
        if (newTime !== null) {
          this.updatePromises();
          newTime = Number(newTime);
          if (isNaN(newTime)) return;
          if (this._paused || this._idle) return;
          this._startTime = newTime;
          this.tickCurrentTime((Number(this.timeline.currentTime) - this._startTime) * this.playbackRate);
          this.timeline.applyDirtiedAnimation(this);
          this.updatePromises();
        }
      }
    }, {
      key: "playbackRate",
      get: function get() {
        return this._playbackRate;
      },
      set: function set(value) {
        if (value === this._playbackRate) {
          return;
        }

        this.updatePromises();
        var oldCurrentTime = this.currentTime;
        this._playbackRate = value;
        this.startTime = null;

        if (this.playState !== 'paused' && this.playState !== 'idle') {
          this._finishedFlag = false;
          this._idle = false;
          this.ensureAlive();
          this.timeline.applyDirtiedAnimation(this);
        }

        if (oldCurrentTime !== null) {
          this.currentTime = oldCurrentTime;
        }

        this.updatePromises();
      }
    }, {
      key: "_isFinished",
      get: function get() {
        return !this._idle && (this._playbackRate > 0 && Number(this._currentTime) >= this.totalDuration || this._playbackRate < 0 && Number(this._currentTime) <= 0);
      }
    }, {
      key: "totalDuration",
      get: function get() {
        var _this$effect;

        return Number((_this$effect = this.effect) === null || _this$effect === void 0 ? void 0 : _this$effect.getComputedTiming().activeDuration);
      }
    }, {
      key: "_needsTick",
      get: function get() {
        return this.pending || this.playState === 'running' || !this._finishedFlag;
      }
    }, {
      key: "updatePromises",
      value: function updatePromises() {
        var oldPlayState = this.oldPlayState;
        var newPlayState = this.pending ? 'pending' : this.playState;

        if (this.readyPromise && newPlayState !== oldPlayState) {
          if (newPlayState === 'idle') {
            this.rejectReadyPromise();
            this.readyPromise = undefined;
          } else if (oldPlayState === 'pending') {
            this.resolveReadyPromise();
          } else if (newPlayState === 'pending') {
            this.readyPromise = undefined;
          }
        }

        if (this.finishedPromise && newPlayState !== oldPlayState) {
          if (newPlayState === 'idle') {
            this.rejectFinishedPromise();
            this.finishedPromise = undefined;
          } else if (newPlayState === 'finished') {
            this.resolveFinishedPromise();
          } else if (oldPlayState === 'finished') {
            this.finishedPromise = undefined;
          }
        }

        this.oldPlayState = newPlayState;
        return this.readyPromise || this.finishedPromise;
      }
    }, {
      key: "play",
      value: function play() {
        this.updatePromises();
        this._paused = false;

        if (this._isFinished || this._idle) {
          this.rewind();
          this._startTime = null;
        }

        this._finishedFlag = false;
        this._idle = false;
        this.ensureAlive();
        this.timeline.applyDirtiedAnimation(this);

        if (this.timeline.animations.indexOf(this) === -1) {
          this.timeline.animations.push(this);
        }

        this.updatePromises();
      }
    }, {
      key: "pause",
      value: function pause() {
        this.updatePromises();

        if (this.currentTime) {
          this._holdTime = this.currentTime;
        }

        if (!this._isFinished && !this._paused && !this._idle) {
          this.currentTimePending = true;
        } else if (this._idle) {
          this.rewind();
          this._idle = false;
        }

        this._startTime = null;
        this._paused = true;
        this.updatePromises();
      }
    }, {
      key: "finish",
      value: function finish() {
        this.updatePromises();
        if (this._idle) return;
        this.currentTime = this._playbackRate > 0 ? this.totalDuration : 0;
        this._startTime = this.totalDuration - this.currentTime;
        this.currentTimePending = false;
        this.timeline.applyDirtiedAnimation(this);
        this.updatePromises();
      }
    }, {
      key: "cancel",
      value: function cancel() {
        this.updatePromises();
        if (!this._inEffect) return;
        this._inEffect = false;
        this._idle = true;
        this._paused = false;
        this._finishedFlag = true;
        this._currentTime = 0;
        this._startTime = null;
        this.effect.update(null); // effects are invalid after cancellation as the animation state
        // needs to un-apply.

        this.timeline.applyDirtiedAnimation(this);
        this.updatePromises();
      }
    }, {
      key: "reverse",
      value: function reverse() {
        this.updatePromises();
        var oldCurrentTime = this.currentTime;
        this.playbackRate *= -1;
        this.play();

        if (oldCurrentTime !== null) {
          this.currentTime = oldCurrentTime;
        }

        this.updatePromises();
      }
      /**
       * @see https://developer.mozilla.org/en-US/docs/Web/API/Animation/updatePlaybackRate
       */

    }, {
      key: "updatePlaybackRate",
      value: function updatePlaybackRate(playbackRate) {
        this.playbackRate = playbackRate;
      }
    }, {
      key: "targetAnimations",
      value: function targetAnimations() {
        var _this$effect2;

        var target = (_this$effect2 = this.effect) === null || _this$effect2 === void 0 ? void 0 : _this$effect2.target;
        return target.activeAnimations;
      }
    }, {
      key: "markTarget",
      value: function markTarget() {
        var animations = this.targetAnimations();

        if (animations.indexOf(this) === -1) {
          animations.push(this);
        }
      }
    }, {
      key: "unmarkTarget",
      value: function unmarkTarget() {
        var animations = this.targetAnimations();
        var index = animations.indexOf(this);

        if (index !== -1) {
          animations.splice(index, 1);
        }
      }
    }, {
      key: "tick",
      value: function tick(timelineTime, isAnimationFrame) {
        if (!this._idle && !this._paused) {
          if (this._startTime === null) {
            if (isAnimationFrame) {
              this.startTime = timelineTime - this._currentTime / this.playbackRate;
            }
          } else if (!this._isFinished) {
            this.tickCurrentTime((timelineTime - this._startTime) * this.playbackRate);
          }
        }

        if (isAnimationFrame) {
          this.currentTimePending = false;
          this.fireEvents(timelineTime);
        }
      }
    }, {
      key: "rewind",
      value: function rewind() {
        if (this.playbackRate >= 0) {
          this.currentTime = 0;
        } else if (this.totalDuration < Infinity) {
          this.currentTime = this.totalDuration;
        } else {
          throw new Error('Unable to rewind negative playback rate animation with infinite duration');
        }
      }
    }, {
      key: "persist",
      value: function persist() {
        throw new Error("Method not implemented.");
      }
    }, {
      key: "addEventListener",
      value: function addEventListener(type, listener, options) {
        throw new Error("Method not implemented.");
      }
    }, {
      key: "removeEventListener",
      value: function removeEventListener(type, listener, options) {
        throw new Error("Method not implemented.");
      }
    }, {
      key: "dispatchEvent",
      value: function dispatchEvent(event) {
        throw new Error("Method not implemented.");
      }
    }, {
      key: "commitStyles",
      value: function commitStyles() {
        throw new Error('Method not implemented.');
      }
    }, {
      key: "ensureAlive",
      value: function ensureAlive() {
        // If an animation is playing backwards and is not fill backwards/both
        // then it should go out of effect when it reaches the start of its
        // active interval (currentTime === 0).
        if (this.playbackRate < 0 && this.currentTime === 0) {
          var _this$effect3;

          this._inEffect = !!((_this$effect3 = this.effect) === null || _this$effect3 === void 0 ? void 0 : _this$effect3.update(-1));
        } else {
          var _this$effect4;

          this._inEffect = !!((_this$effect4 = this.effect) === null || _this$effect4 === void 0 ? void 0 : _this$effect4.update(this.currentTime));
        }

        if (!this._inTimeline && (this._inEffect || !this._finishedFlag)) {
          this._inTimeline = true;
          this.timeline.animations.push(this);
        }
      }
    }, {
      key: "tickCurrentTime",
      value: function tickCurrentTime(newTime, ignoreLimit) {
        if (newTime !== this._currentTime) {
          this._currentTime = newTime;

          if (this._isFinished && !ignoreLimit) {
            this._currentTime = this._playbackRate > 0 ? this.totalDuration : 0;
          }

          this.ensureAlive();
        }
      }
    }, {
      key: "fireEvents",
      value: function fireEvents(baseTime) {
        var _this3 = this;

        if (this._isFinished) {
          if (!this._finishedFlag) {
            if (this.onfinish) {
              var event = new AnimationEvent(null, this, this.currentTime, baseTime);
              setTimeout(function () {
                _this3.onfinish && _this3.onfinish(event);
              });
            }

            this._finishedFlag = true;
          }
        } else {
          this._finishedFlag = false;
        }
      }
    }]);

    return Animation;
  }();

  function compareAnimations(leftAnimation, rightAnimation) {
    return Number(leftAnimation.id) - Number(rightAnimation.id);
  }
  /**
   * @see https://github.com/DefinitelyTyped/DefinitelyTyped/blob/master/types/web-animations-js/index.d.ts
   */

  var AnimationTimeline = /*#__PURE__*/function () {
    function AnimationTimeline() {
      var _this = this;

      _classCallCheck$2(this, AnimationTimeline);

      this.animations = [];
      this.ticking = false;
      this.timelineTicking = false;
      this.hasRestartedThisFrame = false;
      this.animationsWithPromises = [];
      this.inTick = false;
      this.pendingEffects = [];
      this.currentTime = null;
      this.rafId = 0;
      this.rafCallbacks = [];
      this.frameId = void 0;

      this.webAnimationsNextTick = function (t) {
        _this.currentTime = t;

        _this.discardAnimations();

        if (_this.animations.length === 0) {
          _this.timelineTicking = false;
        } else {
          _this.requestAnimationFrame(_this.webAnimationsNextTick);
        }
      };

      this.processRafCallbacks = function (t) {
        var processing = _this.rafCallbacks;
        _this.rafCallbacks = [];
        if (t < Number(_this.currentTime)) t = Number(_this.currentTime);

        _this.animations.sort(compareAnimations);

        _this.animations = _this.tick(t, true, _this.animations)[0];
        processing.forEach(function (entry) {
          entry[1](t);
        });

        _this.applyPendingEffects();
      };
    }

    _createClass$2(AnimationTimeline, [{
      key: "getAnimations",
      value: function getAnimations() {
        this.discardAnimations();
        return this.animations.slice();
      }
    }, {
      key: "isTicking",
      value: function isTicking() {
        return this.inTick;
      }
    }, {
      key: "play",
      value: function play(effect) {
        var animation = new Animation(effect, this);
        this.animations.push(animation);
        this.restartWebAnimationsNextTick();
        animation.updatePromises();
        animation.play();
        animation.updatePromises();
        return animation;
      } // RAF is supposed to be the last script to occur before frame rendering but not
      // all browsers behave like this. This function is for synchonously updating an
      // animation's effects whenever its state is mutated by script to work around
      // incorrect script execution ordering by the browser.

    }, {
      key: "applyDirtiedAnimation",
      value: function applyDirtiedAnimation(animation) {
        var _this2 = this;

        if (this.inTick) {
          return;
        } // update active animations in displayobject


        animation.markTarget();
        var animations = animation.targetAnimations();
        animations.sort(compareAnimations); // clear inactive animations

        var inactiveAnimations = this.tick(Number(this.currentTime), false, animations.slice())[1];
        inactiveAnimations.forEach(function (animation) {
          var index = _this2.animations.indexOf(animation);

          if (index !== -1) {
            _this2.animations.splice(index, 1);
          }
        });
        this.applyPendingEffects();
      }
    }, {
      key: "restart",
      value: function restart() {
        if (!this.ticking) {
          this.ticking = true;
          this.requestAnimationFrame(function () {});
          this.hasRestartedThisFrame = true;
        }

        return this.hasRestartedThisFrame;
      }
    }, {
      key: "destroy",
      value: function destroy() {
        cancelAnimationFrame(this.frameId);
      }
    }, {
      key: "applyPendingEffects",
      value: function applyPendingEffects() {
        this.pendingEffects.forEach(function (effect) {
          effect === null || effect === void 0 ? void 0 : effect.applyInterpolations();
        });
        this.pendingEffects = [];
      }
    }, {
      key: "updateAnimationsPromises",
      value: function updateAnimationsPromises() {
        this.animationsWithPromises = this.animationsWithPromises.filter(function (animation) {
          return animation.updatePromises();
        });
      }
    }, {
      key: "discardAnimations",
      value: function discardAnimations() {
        this.updateAnimationsPromises();
        this.animations = this.animations.filter(function (animation) {
          return animation.playState !== 'finished' && animation.playState !== 'idle';
        });
      }
    }, {
      key: "restartWebAnimationsNextTick",
      value: function restartWebAnimationsNextTick() {
        if (!this.timelineTicking) {
          this.timelineTicking = true;
          this.requestAnimationFrame(this.webAnimationsNextTick);
        }
      }
    }, {
      key: "rAF",
      value: function rAF(f) {
        var id = this.rafId++;

        if (this.rafCallbacks.length === 0) {
          this.frameId = requestAnimationFrame$1(this.processRafCallbacks);
        }

        this.rafCallbacks.push([id, f]);
        return id;
      }
    }, {
      key: "requestAnimationFrame",
      value: function requestAnimationFrame(f) {
        var _this3 = this;

        return this.rAF(function (x) {
          _this3.updateAnimationsPromises();

          f(x);

          _this3.updateAnimationsPromises();
        });
      }
    }, {
      key: "tick",
      value: function tick(t, isAnimationFrame, updatingAnimations) {
        var _this4 = this,
            _this$pendingEffects,
            _this$pendingEffects2;

        this.inTick = true;
        this.hasRestartedThisFrame = false;
        this.currentTime = t;
        this.ticking = false;
        var newPendingClears = [];
        var newPendingEffects = [];
        var activeAnimations = [];
        var inactiveAnimations = [];
        updatingAnimations.forEach(function (animation) {
          animation.tick(t, isAnimationFrame);

          if (!animation._inEffect) {
            newPendingClears.push(animation.effect);
            animation.unmarkTarget();
          } else {
            newPendingEffects.push(animation.effect);
            animation.markTarget();
          }

          if (animation._needsTick) _this4.ticking = true;
          var alive = animation._inEffect || animation._needsTick;
          animation._inTimeline = alive;

          if (alive) {
            activeAnimations.push(animation);
          } else {
            inactiveAnimations.push(animation);
          }
        });

        (_this$pendingEffects = this.pendingEffects).push.apply(_this$pendingEffects, newPendingClears);

        (_this$pendingEffects2 = this.pendingEffects).push.apply(_this$pendingEffects2, newPendingEffects);

        if (this.ticking) this.requestAnimationFrame(function () {});
        this.inTick = false;
        return [activeAnimations, inactiveAnimations];
      }
    }]);

    return AnimationTimeline;
  }();

  AnimationTimeline = __decorate$1([injectable()], AnimationTimeline);

  var _excluded$3 = ["style"];
  var Image$1 = /*#__PURE__*/function (_DisplayObject) {
    _inherits$2(Image, _DisplayObject);

    var _super = _createSuper$2(Image);

    function Image(_ref) {
      var style = _ref.style,
          rest = _objectWithoutProperties$1(_ref, _excluded$3);

      _classCallCheck$2(this, Image);

      return _super.call(this, _objectSpread2$1({
        type: SHAPE.Image,
        style: _objectSpread2$1({
          img: '',
          opacity: 1,
          anchor: [0, 0]
        }, style)
      }, rest));
    }

    return Image;
  }(DisplayObject);

  var _excluded$4 = ["style"];
  var Line = /*#__PURE__*/function (_DisplayObject) {
    _inherits$2(Line, _DisplayObject);

    var _super = _createSuper$2(Line);

    function Line(_ref) {
      var _this;

      var style = _ref.style,
          rest = _objectWithoutProperties$1(_ref, _excluded$4);

      _classCallCheck$2(this, Line);

      _this = _super.call(this, _objectSpread2$1({
        type: SHAPE.Line,
        style: _objectSpread2$1({
          x1: 0,
          y1: 0,
          x2: 0,
          y2: 0,
          opacity: 1,
          strokeOpacity: 1,
          lineJoin: 'miter',
          lineCap: 'butt',
          lineWidth: 1,
          anchor: [0, 0]
        }, style)
      }, rest));
      _this.totalLength = void 0;
      return _this;
    }

    _createClass$2(Line, [{
      key: "getPoint",
      value: function getPoint(ratio) {
        var _this$attributes = this.attributes,
            x1 = _this$attributes.x1,
            y1 = _this$attributes.y1,
            x2 = _this$attributes.x2,
            y2 = _this$attributes.y2;
        var point = line.pointAt(x1, y1, x2, y2, ratio);
        return new Point(point.x, point.y);
      }
    }, {
      key: "getTotalLength",
      value: function getTotalLength() {
        if (!this.totalLength) {
          var _this$attributes2 = this.attributes,
              x1 = _this$attributes2.x1,
              y1 = _this$attributes2.y1,
              x2 = _this$attributes2.x2,
              y2 = _this$attributes2.y2;
          this.totalLength = line.length(x1, y1, x2, y2);
        }

        return this.totalLength;
      }
    }]);

    return Line;
  }(DisplayObject);

  var _excluded$5 = ["style"];
  var Path = /*#__PURE__*/function (_DisplayObject) {
    _inherits$2(Path, _DisplayObject);

    var _super = _createSuper$2(Path);

    function Path(_ref) {
      var _this;

      var style = _ref.style,
          rest = _objectWithoutProperties$1(_ref, _excluded$5);

      _classCallCheck$2(this, Path);

      _this = _super.call(this, _objectSpread2$1({
        type: SHAPE.Path,
        style: _objectSpread2$1({
          path: '',
          opacity: 1,
          strokeOpacity: 1,
          lineJoin: 'miter',
          lineCap: 'butt',
          lineWidth: 1,
          anchor: [0, 0]
        }, style)
      }, rest));
      _this.totalLength = void 0;
      _this.cache = [];
      _this.curve = void 0;
      return _this;
    }

    _createClass$2(Path, [{
      key: "getTotalLength",
      value: function getTotalLength() {
        if (!this.totalLength) {
          this.totalLength = 0;
          this.curve = pathToCurve(this.attributes.path);
          this.createCache();
        }

        return this.totalLength;
      }
      /**
       * Get point according to ratio
       * @param {number} ratio
       * @return {Point} point
       */

    }, {
      key: "getPoint",
      value: function getPoint(ratio) {
        if (!this.cache.length) {
          this.curve = pathToCurve(this.attributes.path);
          this.createCache();
        }

        var subt = 0;
        var index = 0;
        var curve = this.curve;

        if (!this.cache.length) {
          if (curve) {
            return new Point(curve[0][1], curve[0][2]);
          }

          return null;
        }

        this.cache.forEach(function (v, i) {
          if (ratio >= v[0] && ratio <= v[1]) {
            subt = (ratio - v[0]) / (v[1] - v[0]);
            index = i;
          }
        });
        var seg = curve[index];

        if (isNil(seg) || isNil(index)) {
          return null;
        }

        var l = seg.length;
        var nextSeg = curve[index + 1];

        var _CubicUtil$pointAt = cubic.pointAt(seg[l - 2], seg[l - 1], nextSeg[1], nextSeg[2], nextSeg[3], nextSeg[4], nextSeg[5], nextSeg[6], subt),
            x = _CubicUtil$pointAt.x,
            y = _CubicUtil$pointAt.y;

        return new Point(x, y);
      }
    }, {
      key: "createCache",
      value: function createCache() {
        var _this2 = this;

        var totalLength = 0;
        var tempLength = 0; // 每段 curve 对应起止点的长度比例列表，形如: [[0, 0.25], [0.25, 0.6]. [0.6, 0.9], [0.9, 1]]

        this.cache = [];
        var segmentT;
        var segmentL;
        var segmentN;
        var l;
        var curve = this.curve;

        if (!curve) {
          return;
        }

        curve.forEach(function (segment, i) {
          segmentN = curve[i + 1];
          l = segment.length;

          if (segmentN) {
            totalLength += cubic.length(segment[l - 2], segment[l - 1], segmentN[1], segmentN[2], segmentN[3], segmentN[4], segmentN[5], segmentN[6]) || 0;
          }
        });
        this.totalLength = totalLength;

        if (totalLength === 0) {
          this.cache = [];
          return;
        }

        curve.forEach(function (segment, i) {
          segmentN = curve[i + 1];
          l = segment.length;

          if (segmentN) {
            segmentT = [];
            segmentT[0] = tempLength / totalLength;
            segmentL = cubic.length(segment[l - 2], segment[l - 1], segmentN[1], segmentN[2], segmentN[3], segmentN[4], segmentN[5], segmentN[6]); // 当 path 不连续时，segmentL 可能为空，为空时需要作为 0 处理

            tempLength += segmentL || 0;
            segmentT[1] = tempLength / totalLength;

            _this2.cache.push(segmentT);
          }
        });
      }
    }]);

    return Path;
  }(DisplayObject);

  var _excluded$8 = ["style"];
  var Rect = /*#__PURE__*/function (_DisplayObject) {
    _inherits$2(Rect, _DisplayObject);

    var _super = _createSuper$2(Rect);

    function Rect(_ref) {
      var style = _ref.style,
          rest = _objectWithoutProperties$1(_ref, _excluded$8);

      _classCallCheck$2(this, Rect);

      return _super.call(this, _objectSpread2$1({
        type: SHAPE.Rect,
        style: _objectSpread2$1({
          width: 0,
          height: 0,
          opacity: 1,
          anchor: [0, 0]
        }, style)
      }, rest));
    }

    return Rect;
  }(DisplayObject);

  var _excluded$9 = ["style"];
  var Text = /*#__PURE__*/function (_DisplayObject) {
    _inherits$2(Text, _DisplayObject);

    var _super = _createSuper$2(Text);

    function Text(_ref) {
      var style = _ref.style,
          rest = _objectWithoutProperties$1(_ref, _excluded$9);

      _classCallCheck$2(this, Text);

      return _super.call(this, _objectSpread2$1({
        type: SHAPE.Text,
        style: _objectSpread2$1({
          opacity: 1,
          text: '',
          fontSize: 12,
          fontFamily: 'sans-serif',
          fontStyle: 'normal',
          fontWeight: 'normal',
          fontVariant: 'normal',
          textAlign: 'start',
          textBaseline: 'alphabetic',
          dropShadow: false,
          // dropShadowAlpha: 1,
          // dropShadowAngle: Math.PI / 6,
          // dropShadowBlur: 0,
          // dropShadowColor: '#000',
          dropShadowDistance: 5,
          fill: '#000',
          letterSpacing: 0,
          lineHeight: 0,
          lineJoin: 'miter',
          lineCap: 'butt',
          lineWidth: 0,
          miterLimit: 10,
          padding: 0,
          stroke: '#000',
          whiteSpace: 'pre',
          wordWrap: false,
          wordWrapWidth: 100,
          leading: 0
        }, style)
      }, rest));
    }

    return Text;
  }(DisplayObject);

  var GUI = /*#__PURE__*/function (_CustomElement) {
    _inherits(GUI, _CustomElement);

    var _super = _createSuper(GUI);

    function GUI() {
      _classCallCheck(this, GUI);

      return _super.apply(this, arguments);
    }

    _createClass(GUI, [{
      key: "connectedCallback",
      value: function connectedCallback() {}
    }, {
      key: "disconnectedCallback",
      value: function disconnectedCallback() {}
    }, {
      key: "attributeChangedCallback",
      value: function attributeChangedCallback(name, oldValue, value) {}
    }]);

    return GUI;
  }(CustomElement);
  GUI.tag = 'gui';

  /**
   * 解析marker类型
   */

  function parseMarker(icon) {
    var type = 'default';
    if (isObject(icon) && icon instanceof Image) type = 'image';else if (isFunction(icon)) type = 'symbol';else if (isString(icon)) {
      var dataURLsPattern = new RegExp('data:(image|text)');

      if (icon.match(dataURLsPattern)) {
        type = 'base64';
      } else if (/^(https?:\/\/(([a-zA-Z0-9]+-?)+[a-zA-Z0-9]+\.)+[a-zA-Z]+)(:\d+)?(\/.*)?(\?.*)?(#.*)?$/.test(icon)) {
        type = 'url';
      } else {
        // 不然就当作symbol string 处理
        type = 'symbol';
      }
    }
    return type;
  }

  /**
   * 圆形
   */
  function circle(x, y, r) {
    return [['M', x - r, y], ['A', r, r, 0, 1, 0, x + r, y], ['A', r, r, 0, 1, 0, x - r, y]];
  }
  /**
   * 正方形
   */

  function square(x, y, r) {
    return [['M', x - r, y - r], ['L', x + r, y - r], ['L', x + r, y + r], ['L', x - r, y + r], ['Z']];
  }
  /**
   * 菱形
   */

  function diamond(x, y, r) {
    return [['M', x - r, y], ['L', x, y - r], ['L', x + r, y], ['L', x, y + r], ['Z']];
  }
  /**
   * 三角形
   */

  function triangle(x, y, r) {
    var diffY = r * Math.sin(1 / 3 * Math.PI);
    return [['M', x - r, y + diffY], ['L', x, y - diffY], ['L', x + r, y + diffY], ['Z']];
  }
  /**
   * 三角形
   */

  function triangleDown(x, y, r) {
    var diffY = r * Math.sin(1 / 3 * Math.PI);
    return [['M', x - r, y - diffY], ['L', x + r, y - diffY], ['L', x, y + diffY], ['Z']];
  }
  /** -----------------------------LineSymbols-------------------------------------------- */

  function line$1(x, y, r) {
    return [['M', x - r, y], ['L', x + r, y]];
  }
  function dot$3(x, y, r) {
    return [['M', x - r, y], ['L', x + r, y]];
  }
  function dash(x, y, r) {
    return [['M', x - r, y], ['L', x + r, y]];
  }
  function smooth(x, y, r) {
    return [['M', x - r, y], ['A', r / 2, r / 2, 0, 1, 1, x, y], ['A', r / 2, r / 2, 0, 1, 0, x + r, y]];
  }
  function hv(x, y, r) {
    return [['M', x - r - 1, y - 2.5], ['L', x, y - 2.5], ['L', x, y + 2.5], ['L', x + r + 1, y + 2.5]];
  }
  function vh(x, y, r) {
    return [['M', x - r - 1, y + 2.5], ['L', x, y + 2.5], ['L', x, y - 2.5], ['L', x + r + 1, y - 2.5]];
  }
  function hvh(x, y, r) {
    return [['M', x - (r + 1), y + 2.5], ['L', x - r / 2, y + 2.5], ['L', x - r / 2, y - 2.5], ['L', x + r / 2, y - 2.5], ['L', x + r / 2, y + 2.5], ['L', x + r + 1, y + 2.5]];
  }
  function vhv(x, y) {
    // 宽 13px，高 8px
    return [['M', x - 5, y + 2.5], ['L', x - 5, y], ['L', x, y], ['L', x, y - 3], ['L', x, y + 3], ['L', x + 6.5, y + 3]];
  }
  /** --------------------------------------------------------------------------------- */

  var _excluded$1 = ["x", "y", "size", "symbol"];
  /**
   * Marker
   */

  var Marker = /*#__PURE__*/function (_GUI) {
    _inherits(Marker, _GUI);

    var _super = _createSuper(Marker);

    /**
     * 标签类型
     */

    /**
     * 注册 icon 类型
     * @param type
     * @param path
     */

    /**
     * 默认参数
     */
    function Marker(options) {
      var _this;

      _classCallCheck(this, Marker);

      _this = _super.call(this, deepMix({}, Marker.defaultOptions, options));
      _this.markerShape = void 0;

      _this.init();

      return _this;
    }
    /**
     * 根据 type 获取 maker shape
     */


    _createClass(Marker, [{
      key: "init",
      value: function init() {
        this.createMarker();
      }
      /**
       * 组件的更新
       */

    }, {
      key: "update",
      value: function update(cfg) {
        this.attr(deepMix({}, this.attributes, cfg));
        this.clear();
        this.createMarker();
      }
      /**
       * 组件的清除
       */

    }, {
      key: "clear",
      value: function clear() {
        var _this$markerShape;

        (_this$markerShape = this.markerShape) === null || _this$markerShape === void 0 ? void 0 : _this$markerShape.destroy();
        this.removeChildren();
      }
    }, {
      key: "createMarker",
      value: function createMarker() {
        var symbol = this.attributes.symbol;
        var markerType = parseMarker(symbol);

        if (['base64', 'url', 'image'].includes(markerType)) {
          this.markerShape = new Image$1({
            name: 'markerImage',
            style: this.getMarkerImageShapeCfg()
          });
        } else if (markerType === 'symbol') {
          this.markerShape = new Path({
            name: 'markerSymbol',
            style: this.getMarkerSymbolShapeCfg()
          });
        }

        if (this.markerShape) {
          this.appendChild(this.markerShape);
        }
      } // symbol marker

    }, {
      key: "getMarkerSymbolShapeCfg",
      value: function getMarkerSymbolShapeCfg() {
        var _this$attributes = this.attributes,
            _this$attributes$x = _this$attributes.x,
            _this$attributes$y = _this$attributes.y,
            _this$attributes$size = _this$attributes.size,
            size = _this$attributes$size === void 0 ? 0 : _this$attributes$size,
            symbol = _this$attributes.symbol,
            args = _objectWithoutProperties(_this$attributes, _excluded$1);

        var r = size / 2;
        var symbolFn = isFunction(symbol) ? symbol : Marker.MARKER_SYMBOL_MAP.get(symbol);
        var path = symbolFn === null || symbolFn === void 0 ? void 0 : symbolFn(0, 0, r);
        return _objectSpread2({
          path: path
        }, args);
      } // image marker

    }, {
      key: "getMarkerImageShapeCfg",
      value: function getMarkerImageShapeCfg() {
        var _this$attributes2 = this.attributes,
            _this$attributes2$siz = _this$attributes2.size,
            size = _this$attributes2$siz === void 0 ? 0 : _this$attributes2$siz,
            symbol = _this$attributes2.symbol;
        var r2 = size * 2;
        return {
          x: -size,
          y: -size,
          width: r2,
          height: r2,
          img: symbol
        };
      }
    }]);

    return Marker;
  }(GUI); // 内置的组件

  Marker.tag = 'marker';
  Marker.MARKER_SYMBOL_MAP = new Map();

  Marker.registerSymbol = function (type, symbol) {
    Marker.MARKER_SYMBOL_MAP.set(type, symbol);
  };

  Marker.defaultOptions = {
    type: Marker.tag,
    style: {
      x: 0,
      y: 0,
      size: 16
    }
  };
  Marker.registerSymbol('circle', circle);
  Marker.registerSymbol('square', square);
  Marker.registerSymbol('diamond', diamond);
  Marker.registerSymbol('triangle', triangle);
  Marker.registerSymbol('triangle-down', triangleDown);
  /** LineSymbols */

  Marker.registerSymbol('line', line$1);
  Marker.registerSymbol('dot', dot$3);
  Marker.registerSymbol('dash', dash);
  Marker.registerSymbol('smooth', smooth);
  Marker.registerSymbol('hv', hv);
  Marker.registerSymbol('vh', vh);
  Marker.registerSymbol('hvh', hvh);
  Marker.registerSymbol('vhv', vhv);

  /*
   * Generated by PEG.js 0.10.0.
   *
   * http://pegjs.org/
   */

  function peg$subclass(child, parent) {
    function ctor() { this.constructor = child; }
    ctor.prototype = parent.prototype;
    child.prototype = new ctor();
  }

  function peg$SyntaxError(message, expected, found, location) {
    this.message  = message;
    this.expected = expected;
    this.found    = found;
    this.location = location;
    this.name     = "SyntaxError";

    if (typeof Error.captureStackTrace === "function") {
      Error.captureStackTrace(this, peg$SyntaxError);
    }
  }

  peg$subclass(peg$SyntaxError, Error);

  peg$SyntaxError.buildMessage = function(expected, found) {
    var DESCRIBE_EXPECTATION_FNS = {
          literal: function(expectation) {
            return "\"" + literalEscape(expectation.text) + "\"";
          },

          "class": function(expectation) {
            var escapedParts = "",
                i;

            for (i = 0; i < expectation.parts.length; i++) {
              escapedParts += expectation.parts[i] instanceof Array
                ? classEscape(expectation.parts[i][0]) + "-" + classEscape(expectation.parts[i][1])
                : classEscape(expectation.parts[i]);
            }

            return "[" + (expectation.inverted ? "^" : "") + escapedParts + "]";
          },

          any: function(expectation) {
            return "any character";
          },

          end: function(expectation) {
            return "end of input";
          },

          other: function(expectation) {
            return expectation.description;
          }
        };

    function hex(ch) {
      return ch.charCodeAt(0).toString(16).toUpperCase();
    }

    function literalEscape(s) {
      return s
        .replace(/\\/g, '\\\\')
        .replace(/"/g,  '\\"')
        .replace(/\0/g, '\\0')
        .replace(/\t/g, '\\t')
        .replace(/\n/g, '\\n')
        .replace(/\r/g, '\\r')
        .replace(/[\x00-\x0F]/g,          function(ch) { return '\\x0' + hex(ch); })
        .replace(/[\x10-\x1F\x7F-\x9F]/g, function(ch) { return '\\x'  + hex(ch); });
    }

    function classEscape(s) {
      return s
        .replace(/\\/g, '\\\\')
        .replace(/\]/g, '\\]')
        .replace(/\^/g, '\\^')
        .replace(/-/g,  '\\-')
        .replace(/\0/g, '\\0')
        .replace(/\t/g, '\\t')
        .replace(/\n/g, '\\n')
        .replace(/\r/g, '\\r')
        .replace(/[\x00-\x0F]/g,          function(ch) { return '\\x0' + hex(ch); })
        .replace(/[\x10-\x1F\x7F-\x9F]/g, function(ch) { return '\\x'  + hex(ch); });
    }

    function describeExpectation(expectation) {
      return DESCRIBE_EXPECTATION_FNS[expectation.type](expectation);
    }

    function describeExpected(expected) {
      var descriptions = new Array(expected.length),
          i, j;

      for (i = 0; i < expected.length; i++) {
        descriptions[i] = describeExpectation(expected[i]);
      }

      descriptions.sort();

      if (descriptions.length > 0) {
        for (i = 1, j = 1; i < descriptions.length; i++) {
          if (descriptions[i - 1] !== descriptions[i]) {
            descriptions[j] = descriptions[i];
            j++;
          }
        }
        descriptions.length = j;
      }

      switch (descriptions.length) {
        case 1:
          return descriptions[0];

        case 2:
          return descriptions[0] + " or " + descriptions[1];

        default:
          return descriptions.slice(0, -1).join(", ")
            + ", or "
            + descriptions[descriptions.length - 1];
      }
    }

    function describeFound(found) {
      return found ? "\"" + literalEscape(found) + "\"" : "end of input";
    }

    return "Expected " + describeExpected(expected) + " but " + describeFound(found) + " found.";
  };

  function peg$parse(input, options) {
    options = options !== void 0 ? options : {};

    var peg$FAILED = {},

        peg$startRuleFunctions = { svg_path: peg$parsesvg_path },
        peg$startRuleFunction  = peg$parsesvg_path,

        peg$c0 = function(data) {
            if (!data) return [];
            for (var cmds=[],i=0;i<data.length;i++) cmds=cmds.concat.apply(cmds,data[i]);
            var first=cmds[0];
            if (first && first.code=='m'){ // Per spec, first moveto is never relative
              delete first.relative;
              first.code = 'M';
            }
            return cmds;
          },
        peg$c1 = function(first, more) { return merge(first,more) },
        peg$c2 = /^[Mm]/,
        peg$c3 = peg$classExpectation(["M", "m"], false, false),
        peg$c4 = function(c, first, more) {
            var move = commands(c,[first]);
            if (more) move = move.concat(commands(c=='M' ? 'L' : 'l',more[1]));
            return move;
          },
        peg$c5 = /^[Zz]/,
        peg$c6 = peg$classExpectation(["Z", "z"], false, false),
        peg$c7 = function() { return commands('Z') },
        peg$c8 = /^[Ll]/,
        peg$c9 = peg$classExpectation(["L", "l"], false, false),
        peg$c10 = function(c, args) { return commands(c,args) },
        peg$c11 = /^[Hh]/,
        peg$c12 = peg$classExpectation(["H", "h"], false, false),
        peg$c13 = function(c, args) { return commands(c,args.map(function(x){ return {x:x}})) },
        peg$c14 = /^[Vv]/,
        peg$c15 = peg$classExpectation(["V", "v"], false, false),
        peg$c16 = function(c, args) { return commands(c,args.map(function(y){ return {y:y}})) },
        peg$c17 = /^[Cc]/,
        peg$c18 = peg$classExpectation(["C", "c"], false, false),
        peg$c19 = function(a, b, c) { return { x1:a.x, y1:a.y, x2:b.x, y2:b.y, x:c.x, y:c.y } },
        peg$c20 = /^[Ss]/,
        peg$c21 = peg$classExpectation(["S", "s"], false, false),
        peg$c22 = function(b, c) { return { x2:b.x, y2:b.y, x:c.x, y:c.y } },
        peg$c23 = /^[Qq]/,
        peg$c24 = peg$classExpectation(["Q", "q"], false, false),
        peg$c25 = function(a, b) { return { x1:a.x, y1:a.y, x:b.x, y:b.y } },
        peg$c26 = /^[Tt]/,
        peg$c27 = peg$classExpectation(["T", "t"], false, false),
        peg$c28 = /^[Aa]/,
        peg$c29 = peg$classExpectation(["A", "a"], false, false),
        peg$c30 = function(rx, ry, xrot, large, sweep, xy) { return { rx:rx, ry:ry, xAxisRotation:xrot, largeArc:large, sweep:sweep, x:xy.x, y:xy.y } },
        peg$c31 = function(x, y) { return { x:x, y:y } },
        peg$c32 = function(n) { return n*1 },
        peg$c33 = function(parts) { return parts.join('')*1 },
        peg$c34 = /^[01]/,
        peg$c35 = peg$classExpectation(["0", "1"], false, false),
        peg$c36 = function(bit) { return bit=='1' },
        peg$c37 = function() { return '' },
        peg$c38 = ",",
        peg$c39 = peg$literalExpectation(",", false),
        peg$c40 = function(parts) { return parts.join('') },
        peg$c41 = ".",
        peg$c42 = peg$literalExpectation(".", false),
        peg$c43 = /^[eE]/,
        peg$c44 = peg$classExpectation(["e", "E"], false, false),
        peg$c45 = /^[+\-]/,
        peg$c46 = peg$classExpectation(["+", "-"], false, false),
        peg$c47 = /^[0-9]/,
        peg$c48 = peg$classExpectation([["0", "9"]], false, false),
        peg$c49 = function(digits) { return digits.join('') },
        peg$c50 = /^[ \t\n\r]/,
        peg$c51 = peg$classExpectation([" ", "\t", "\n", "\r"], false, false),

        peg$currPos          = 0,
        peg$posDetailsCache  = [{ line: 1, column: 1 }],
        peg$maxFailPos       = 0,
        peg$maxFailExpected  = [],
        peg$result;

    if ("startRule" in options) {
      if (!(options.startRule in peg$startRuleFunctions)) {
        throw new Error("Can't start parsing from rule \"" + options.startRule + "\".");
      }

      peg$startRuleFunction = peg$startRuleFunctions[options.startRule];
    }

    function peg$literalExpectation(text, ignoreCase) {
      return { type: "literal", text: text, ignoreCase: ignoreCase };
    }

    function peg$classExpectation(parts, inverted, ignoreCase) {
      return { type: "class", parts: parts, inverted: inverted, ignoreCase: ignoreCase };
    }

    function peg$endExpectation() {
      return { type: "end" };
    }

    function peg$computePosDetails(pos) {
      var details = peg$posDetailsCache[pos], p;

      if (details) {
        return details;
      } else {
        p = pos - 1;
        while (!peg$posDetailsCache[p]) {
          p--;
        }

        details = peg$posDetailsCache[p];
        details = {
          line:   details.line,
          column: details.column
        };

        while (p < pos) {
          if (input.charCodeAt(p) === 10) {
            details.line++;
            details.column = 1;
          } else {
            details.column++;
          }

          p++;
        }

        peg$posDetailsCache[pos] = details;
        return details;
      }
    }

    function peg$computeLocation(startPos, endPos) {
      var startPosDetails = peg$computePosDetails(startPos),
          endPosDetails   = peg$computePosDetails(endPos);

      return {
        start: {
          offset: startPos,
          line:   startPosDetails.line,
          column: startPosDetails.column
        },
        end: {
          offset: endPos,
          line:   endPosDetails.line,
          column: endPosDetails.column
        }
      };
    }

    function peg$fail(expected) {
      if (peg$currPos < peg$maxFailPos) { return; }

      if (peg$currPos > peg$maxFailPos) {
        peg$maxFailPos = peg$currPos;
        peg$maxFailExpected = [];
      }

      peg$maxFailExpected.push(expected);
    }

    function peg$buildStructuredError(expected, found, location) {
      return new peg$SyntaxError(
        peg$SyntaxError.buildMessage(expected, found),
        expected,
        found,
        location
      );
    }

    function peg$parsesvg_path() {
      var s0, s1, s2, s3, s4;

      s0 = peg$currPos;
      s1 = [];
      s2 = peg$parsewsp();
      while (s2 !== peg$FAILED) {
        s1.push(s2);
        s2 = peg$parsewsp();
      }
      if (s1 !== peg$FAILED) {
        s2 = peg$parsemoveTo_drawTo_commandGroups();
        if (s2 === peg$FAILED) {
          s2 = null;
        }
        if (s2 !== peg$FAILED) {
          s3 = [];
          s4 = peg$parsewsp();
          while (s4 !== peg$FAILED) {
            s3.push(s4);
            s4 = peg$parsewsp();
          }
          if (s3 !== peg$FAILED) {
            s1 = peg$c0(s2);
            s0 = s1;
          } else {
            peg$currPos = s0;
            s0 = peg$FAILED;
          }
        } else {
          peg$currPos = s0;
          s0 = peg$FAILED;
        }
      } else {
        peg$currPos = s0;
        s0 = peg$FAILED;
      }

      return s0;
    }

    function peg$parsemoveTo_drawTo_commandGroups() {
      var s0, s1, s2, s3, s4, s5;

      s0 = peg$currPos;
      s1 = peg$parsemoveTo_drawTo_commandGroup();
      if (s1 !== peg$FAILED) {
        s2 = [];
        s3 = peg$currPos;
        s4 = [];
        s5 = peg$parsewsp();
        while (s5 !== peg$FAILED) {
          s4.push(s5);
          s5 = peg$parsewsp();
        }
        if (s4 !== peg$FAILED) {
          s5 = peg$parsemoveTo_drawTo_commandGroup();
          if (s5 !== peg$FAILED) {
            s4 = [s4, s5];
            s3 = s4;
          } else {
            peg$currPos = s3;
            s3 = peg$FAILED;
          }
        } else {
          peg$currPos = s3;
          s3 = peg$FAILED;
        }
        while (s3 !== peg$FAILED) {
          s2.push(s3);
          s3 = peg$currPos;
          s4 = [];
          s5 = peg$parsewsp();
          while (s5 !== peg$FAILED) {
            s4.push(s5);
            s5 = peg$parsewsp();
          }
          if (s4 !== peg$FAILED) {
            s5 = peg$parsemoveTo_drawTo_commandGroup();
            if (s5 !== peg$FAILED) {
              s4 = [s4, s5];
              s3 = s4;
            } else {
              peg$currPos = s3;
              s3 = peg$FAILED;
            }
          } else {
            peg$currPos = s3;
            s3 = peg$FAILED;
          }
        }
        if (s2 !== peg$FAILED) {
          s1 = peg$c1(s1, s2);
          s0 = s1;
        } else {
          peg$currPos = s0;
          s0 = peg$FAILED;
        }
      } else {
        peg$currPos = s0;
        s0 = peg$FAILED;
      }

      return s0;
    }

    function peg$parsemoveTo_drawTo_commandGroup() {
      var s0, s1, s2, s3, s4, s5;

      s0 = peg$currPos;
      s1 = peg$parsemoveto();
      if (s1 !== peg$FAILED) {
        s2 = [];
        s3 = peg$currPos;
        s4 = [];
        s5 = peg$parsewsp();
        while (s5 !== peg$FAILED) {
          s4.push(s5);
          s5 = peg$parsewsp();
        }
        if (s4 !== peg$FAILED) {
          s5 = peg$parsedrawto_command();
          if (s5 !== peg$FAILED) {
            s4 = [s4, s5];
            s3 = s4;
          } else {
            peg$currPos = s3;
            s3 = peg$FAILED;
          }
        } else {
          peg$currPos = s3;
          s3 = peg$FAILED;
        }
        while (s3 !== peg$FAILED) {
          s2.push(s3);
          s3 = peg$currPos;
          s4 = [];
          s5 = peg$parsewsp();
          while (s5 !== peg$FAILED) {
            s4.push(s5);
            s5 = peg$parsewsp();
          }
          if (s4 !== peg$FAILED) {
            s5 = peg$parsedrawto_command();
            if (s5 !== peg$FAILED) {
              s4 = [s4, s5];
              s3 = s4;
            } else {
              peg$currPos = s3;
              s3 = peg$FAILED;
            }
          } else {
            peg$currPos = s3;
            s3 = peg$FAILED;
          }
        }
        if (s2 !== peg$FAILED) {
          s1 = peg$c1(s1, s2);
          s0 = s1;
        } else {
          peg$currPos = s0;
          s0 = peg$FAILED;
        }
      } else {
        peg$currPos = s0;
        s0 = peg$FAILED;
      }

      return s0;
    }

    function peg$parsedrawto_command() {
      var s0;

      s0 = peg$parseclosepath();
      if (s0 === peg$FAILED) {
        s0 = peg$parselineto();
        if (s0 === peg$FAILED) {
          s0 = peg$parsehorizontal_lineto();
          if (s0 === peg$FAILED) {
            s0 = peg$parsevertical_lineto();
            if (s0 === peg$FAILED) {
              s0 = peg$parsecurveto();
              if (s0 === peg$FAILED) {
                s0 = peg$parsesmooth_curveto();
                if (s0 === peg$FAILED) {
                  s0 = peg$parsequadratic_bezier_curveto();
                  if (s0 === peg$FAILED) {
                    s0 = peg$parsesmooth_quadratic_bezier_curveto();
                    if (s0 === peg$FAILED) {
                      s0 = peg$parseelliptical_arc();
                    }
                  }
                }
              }
            }
          }
        }
      }

      return s0;
    }

    function peg$parsemoveto() {
      var s0, s1, s2, s3, s4, s5, s6;

      s0 = peg$currPos;
      if (peg$c2.test(input.charAt(peg$currPos))) {
        s1 = input.charAt(peg$currPos);
        peg$currPos++;
      } else {
        s1 = peg$FAILED;
        { peg$fail(peg$c3); }
      }
      if (s1 !== peg$FAILED) {
        s2 = [];
        s3 = peg$parsewsp();
        while (s3 !== peg$FAILED) {
          s2.push(s3);
          s3 = peg$parsewsp();
        }
        if (s2 !== peg$FAILED) {
          s3 = peg$parsecoordinate_pair();
          if (s3 !== peg$FAILED) {
            s4 = peg$currPos;
            s5 = peg$parsecomma_wsp();
            if (s5 === peg$FAILED) {
              s5 = null;
            }
            if (s5 !== peg$FAILED) {
              s6 = peg$parselineto_argument_sequence();
              if (s6 !== peg$FAILED) {
                s5 = [s5, s6];
                s4 = s5;
              } else {
                peg$currPos = s4;
                s4 = peg$FAILED;
              }
            } else {
              peg$currPos = s4;
              s4 = peg$FAILED;
            }
            if (s4 === peg$FAILED) {
              s4 = null;
            }
            if (s4 !== peg$FAILED) {
              s1 = peg$c4(s1, s3, s4);
              s0 = s1;
            } else {
              peg$currPos = s0;
              s0 = peg$FAILED;
            }
          } else {
            peg$currPos = s0;
            s0 = peg$FAILED;
          }
        } else {
          peg$currPos = s0;
          s0 = peg$FAILED;
        }
      } else {
        peg$currPos = s0;
        s0 = peg$FAILED;
      }

      return s0;
    }

    function peg$parseclosepath() {
      var s0, s1;

      s0 = peg$currPos;
      if (peg$c5.test(input.charAt(peg$currPos))) {
        s1 = input.charAt(peg$currPos);
        peg$currPos++;
      } else {
        s1 = peg$FAILED;
        { peg$fail(peg$c6); }
      }
      if (s1 !== peg$FAILED) {
        s1 = peg$c7();
      }
      s0 = s1;

      return s0;
    }

    function peg$parselineto() {
      var s0, s1, s2, s3;

      s0 = peg$currPos;
      if (peg$c8.test(input.charAt(peg$currPos))) {
        s1 = input.charAt(peg$currPos);
        peg$currPos++;
      } else {
        s1 = peg$FAILED;
        { peg$fail(peg$c9); }
      }
      if (s1 !== peg$FAILED) {
        s2 = [];
        s3 = peg$parsewsp();
        while (s3 !== peg$FAILED) {
          s2.push(s3);
          s3 = peg$parsewsp();
        }
        if (s2 !== peg$FAILED) {
          s3 = peg$parselineto_argument_sequence();
          if (s3 !== peg$FAILED) {
            s1 = peg$c10(s1, s3);
            s0 = s1;
          } else {
            peg$currPos = s0;
            s0 = peg$FAILED;
          }
        } else {
          peg$currPos = s0;
          s0 = peg$FAILED;
        }
      } else {
        peg$currPos = s0;
        s0 = peg$FAILED;
      }

      return s0;
    }

    function peg$parselineto_argument_sequence() {
      var s0, s1, s2, s3, s4, s5;

      s0 = peg$currPos;
      s1 = peg$parsecoordinate_pair();
      if (s1 !== peg$FAILED) {
        s2 = [];
        s3 = peg$currPos;
        s4 = peg$parsecomma_wsp();
        if (s4 === peg$FAILED) {
          s4 = null;
        }
        if (s4 !== peg$FAILED) {
          s5 = peg$parsecoordinate_pair();
          if (s5 !== peg$FAILED) {
            s4 = [s4, s5];
            s3 = s4;
          } else {
            peg$currPos = s3;
            s3 = peg$FAILED;
          }
        } else {
          peg$currPos = s3;
          s3 = peg$FAILED;
        }
        while (s3 !== peg$FAILED) {
          s2.push(s3);
          s3 = peg$currPos;
          s4 = peg$parsecomma_wsp();
          if (s4 === peg$FAILED) {
            s4 = null;
          }
          if (s4 !== peg$FAILED) {
            s5 = peg$parsecoordinate_pair();
            if (s5 !== peg$FAILED) {
              s4 = [s4, s5];
              s3 = s4;
            } else {
              peg$currPos = s3;
              s3 = peg$FAILED;
            }
          } else {
            peg$currPos = s3;
            s3 = peg$FAILED;
          }
        }
        if (s2 !== peg$FAILED) {
          s1 = peg$c1(s1, s2);
          s0 = s1;
        } else {
          peg$currPos = s0;
          s0 = peg$FAILED;
        }
      } else {
        peg$currPos = s0;
        s0 = peg$FAILED;
      }

      return s0;
    }

    function peg$parsehorizontal_lineto() {
      var s0, s1, s2, s3;

      s0 = peg$currPos;
      if (peg$c11.test(input.charAt(peg$currPos))) {
        s1 = input.charAt(peg$currPos);
        peg$currPos++;
      } else {
        s1 = peg$FAILED;
        { peg$fail(peg$c12); }
      }
      if (s1 !== peg$FAILED) {
        s2 = [];
        s3 = peg$parsewsp();
        while (s3 !== peg$FAILED) {
          s2.push(s3);
          s3 = peg$parsewsp();
        }
        if (s2 !== peg$FAILED) {
          s3 = peg$parsecoordinate_sequence();
          if (s3 !== peg$FAILED) {
            s1 = peg$c13(s1, s3);
            s0 = s1;
          } else {
            peg$currPos = s0;
            s0 = peg$FAILED;
          }
        } else {
          peg$currPos = s0;
          s0 = peg$FAILED;
        }
      } else {
        peg$currPos = s0;
        s0 = peg$FAILED;
      }

      return s0;
    }

    function peg$parsecoordinate_sequence() {
      var s0, s1, s2, s3, s4, s5;

      s0 = peg$currPos;
      s1 = peg$parsenumber();
      if (s1 !== peg$FAILED) {
        s2 = [];
        s3 = peg$currPos;
        s4 = peg$parsecomma_wsp();
        if (s4 === peg$FAILED) {
          s4 = null;
        }
        if (s4 !== peg$FAILED) {
          s5 = peg$parsenumber();
          if (s5 !== peg$FAILED) {
            s4 = [s4, s5];
            s3 = s4;
          } else {
            peg$currPos = s3;
            s3 = peg$FAILED;
          }
        } else {
          peg$currPos = s3;
          s3 = peg$FAILED;
        }
        while (s3 !== peg$FAILED) {
          s2.push(s3);
          s3 = peg$currPos;
          s4 = peg$parsecomma_wsp();
          if (s4 === peg$FAILED) {
            s4 = null;
          }
          if (s4 !== peg$FAILED) {
            s5 = peg$parsenumber();
            if (s5 !== peg$FAILED) {
              s4 = [s4, s5];
              s3 = s4;
            } else {
              peg$currPos = s3;
              s3 = peg$FAILED;
            }
          } else {
            peg$currPos = s3;
            s3 = peg$FAILED;
          }
        }
        if (s2 !== peg$FAILED) {
          s1 = peg$c1(s1, s2);
          s0 = s1;
        } else {
          peg$currPos = s0;
          s0 = peg$FAILED;
        }
      } else {
        peg$currPos = s0;
        s0 = peg$FAILED;
      }

      return s0;
    }

    function peg$parsevertical_lineto() {
      var s0, s1, s2, s3;

      s0 = peg$currPos;
      if (peg$c14.test(input.charAt(peg$currPos))) {
        s1 = input.charAt(peg$currPos);
        peg$currPos++;
      } else {
        s1 = peg$FAILED;
        { peg$fail(peg$c15); }
      }
      if (s1 !== peg$FAILED) {
        s2 = [];
        s3 = peg$parsewsp();
        while (s3 !== peg$FAILED) {
          s2.push(s3);
          s3 = peg$parsewsp();
        }
        if (s2 !== peg$FAILED) {
          s3 = peg$parsecoordinate_sequence();
          if (s3 !== peg$FAILED) {
            s1 = peg$c16(s1, s3);
            s0 = s1;
          } else {
            peg$currPos = s0;
            s0 = peg$FAILED;
          }
        } else {
          peg$currPos = s0;
          s0 = peg$FAILED;
        }
      } else {
        peg$currPos = s0;
        s0 = peg$FAILED;
      }

      return s0;
    }

    function peg$parsecurveto() {
      var s0, s1, s2, s3;

      s0 = peg$currPos;
      if (peg$c17.test(input.charAt(peg$currPos))) {
        s1 = input.charAt(peg$currPos);
        peg$currPos++;
      } else {
        s1 = peg$FAILED;
        { peg$fail(peg$c18); }
      }
      if (s1 !== peg$FAILED) {
        s2 = [];
        s3 = peg$parsewsp();
        while (s3 !== peg$FAILED) {
          s2.push(s3);
          s3 = peg$parsewsp();
        }
        if (s2 !== peg$FAILED) {
          s3 = peg$parsecurveto_argument_sequence();
          if (s3 !== peg$FAILED) {
            s1 = peg$c10(s1, s3);
            s0 = s1;
          } else {
            peg$currPos = s0;
            s0 = peg$FAILED;
          }
        } else {
          peg$currPos = s0;
          s0 = peg$FAILED;
        }
      } else {
        peg$currPos = s0;
        s0 = peg$FAILED;
      }

      return s0;
    }

    function peg$parsecurveto_argument_sequence() {
      var s0, s1, s2, s3, s4, s5;

      s0 = peg$currPos;
      s1 = peg$parsecurveto_argument();
      if (s1 !== peg$FAILED) {
        s2 = [];
        s3 = peg$currPos;
        s4 = peg$parsecomma_wsp();
        if (s4 === peg$FAILED) {
          s4 = null;
        }
        if (s4 !== peg$FAILED) {
          s5 = peg$parsecurveto_argument();
          if (s5 !== peg$FAILED) {
            s4 = [s4, s5];
            s3 = s4;
          } else {
            peg$currPos = s3;
            s3 = peg$FAILED;
          }
        } else {
          peg$currPos = s3;
          s3 = peg$FAILED;
        }
        while (s3 !== peg$FAILED) {
          s2.push(s3);
          s3 = peg$currPos;
          s4 = peg$parsecomma_wsp();
          if (s4 === peg$FAILED) {
            s4 = null;
          }
          if (s4 !== peg$FAILED) {
            s5 = peg$parsecurveto_argument();
            if (s5 !== peg$FAILED) {
              s4 = [s4, s5];
              s3 = s4;
            } else {
              peg$currPos = s3;
              s3 = peg$FAILED;
            }
          } else {
            peg$currPos = s3;
            s3 = peg$FAILED;
          }
        }
        if (s2 !== peg$FAILED) {
          s1 = peg$c1(s1, s2);
          s0 = s1;
        } else {
          peg$currPos = s0;
          s0 = peg$FAILED;
        }
      } else {
        peg$currPos = s0;
        s0 = peg$FAILED;
      }

      return s0;
    }

    function peg$parsecurveto_argument() {
      var s0, s1, s2, s3, s4, s5;

      s0 = peg$currPos;
      s1 = peg$parsecoordinate_pair();
      if (s1 !== peg$FAILED) {
        s2 = peg$parsecomma_wsp();
        if (s2 === peg$FAILED) {
          s2 = null;
        }
        if (s2 !== peg$FAILED) {
          s3 = peg$parsecoordinate_pair();
          if (s3 !== peg$FAILED) {
            s4 = peg$parsecomma_wsp();
            if (s4 === peg$FAILED) {
              s4 = null;
            }
            if (s4 !== peg$FAILED) {
              s5 = peg$parsecoordinate_pair();
              if (s5 !== peg$FAILED) {
                s1 = peg$c19(s1, s3, s5);
                s0 = s1;
              } else {
                peg$currPos = s0;
                s0 = peg$FAILED;
              }
            } else {
              peg$currPos = s0;
              s0 = peg$FAILED;
            }
          } else {
            peg$currPos = s0;
            s0 = peg$FAILED;
          }
        } else {
          peg$currPos = s0;
          s0 = peg$FAILED;
        }
      } else {
        peg$currPos = s0;
        s0 = peg$FAILED;
      }

      return s0;
    }

    function peg$parsesmooth_curveto() {
      var s0, s1, s2, s3;

      s0 = peg$currPos;
      if (peg$c20.test(input.charAt(peg$currPos))) {
        s1 = input.charAt(peg$currPos);
        peg$currPos++;
      } else {
        s1 = peg$FAILED;
        { peg$fail(peg$c21); }
      }
      if (s1 !== peg$FAILED) {
        s2 = [];
        s3 = peg$parsewsp();
        while (s3 !== peg$FAILED) {
          s2.push(s3);
          s3 = peg$parsewsp();
        }
        if (s2 !== peg$FAILED) {
          s3 = peg$parsesmooth_curveto_argument_sequence();
          if (s3 !== peg$FAILED) {
            s1 = peg$c10(s1, s3);
            s0 = s1;
          } else {
            peg$currPos = s0;
            s0 = peg$FAILED;
          }
        } else {
          peg$currPos = s0;
          s0 = peg$FAILED;
        }
      } else {
        peg$currPos = s0;
        s0 = peg$FAILED;
      }

      return s0;
    }

    function peg$parsesmooth_curveto_argument_sequence() {
      var s0, s1, s2, s3, s4, s5;

      s0 = peg$currPos;
      s1 = peg$parsesmooth_curveto_argument();
      if (s1 !== peg$FAILED) {
        s2 = [];
        s3 = peg$currPos;
        s4 = peg$parsecomma_wsp();
        if (s4 === peg$FAILED) {
          s4 = null;
        }
        if (s4 !== peg$FAILED) {
          s5 = peg$parsesmooth_curveto_argument();
          if (s5 !== peg$FAILED) {
            s4 = [s4, s5];
            s3 = s4;
          } else {
            peg$currPos = s3;
            s3 = peg$FAILED;
          }
        } else {
          peg$currPos = s3;
          s3 = peg$FAILED;
        }
        while (s3 !== peg$FAILED) {
          s2.push(s3);
          s3 = peg$currPos;
          s4 = peg$parsecomma_wsp();
          if (s4 === peg$FAILED) {
            s4 = null;
          }
          if (s4 !== peg$FAILED) {
            s5 = peg$parsesmooth_curveto_argument();
            if (s5 !== peg$FAILED) {
              s4 = [s4, s5];
              s3 = s4;
            } else {
              peg$currPos = s3;
              s3 = peg$FAILED;
            }
          } else {
            peg$currPos = s3;
            s3 = peg$FAILED;
          }
        }
        if (s2 !== peg$FAILED) {
          s1 = peg$c1(s1, s2);
          s0 = s1;
        } else {
          peg$currPos = s0;
          s0 = peg$FAILED;
        }
      } else {
        peg$currPos = s0;
        s0 = peg$FAILED;
      }

      return s0;
    }

    function peg$parsesmooth_curveto_argument() {
      var s0, s1, s2, s3;

      s0 = peg$currPos;
      s1 = peg$parsecoordinate_pair();
      if (s1 !== peg$FAILED) {
        s2 = peg$parsecomma_wsp();
        if (s2 === peg$FAILED) {
          s2 = null;
        }
        if (s2 !== peg$FAILED) {
          s3 = peg$parsecoordinate_pair();
          if (s3 !== peg$FAILED) {
            s1 = peg$c22(s1, s3);
            s0 = s1;
          } else {
            peg$currPos = s0;
            s0 = peg$FAILED;
          }
        } else {
          peg$currPos = s0;
          s0 = peg$FAILED;
        }
      } else {
        peg$currPos = s0;
        s0 = peg$FAILED;
      }

      return s0;
    }

    function peg$parsequadratic_bezier_curveto() {
      var s0, s1, s2, s3;

      s0 = peg$currPos;
      if (peg$c23.test(input.charAt(peg$currPos))) {
        s1 = input.charAt(peg$currPos);
        peg$currPos++;
      } else {
        s1 = peg$FAILED;
        { peg$fail(peg$c24); }
      }
      if (s1 !== peg$FAILED) {
        s2 = [];
        s3 = peg$parsewsp();
        while (s3 !== peg$FAILED) {
          s2.push(s3);
          s3 = peg$parsewsp();
        }
        if (s2 !== peg$FAILED) {
          s3 = peg$parsequadratic_bezier_curveto_argument_sequence();
          if (s3 !== peg$FAILED) {
            s1 = peg$c10(s1, s3);
            s0 = s1;
          } else {
            peg$currPos = s0;
            s0 = peg$FAILED;
          }
        } else {
          peg$currPos = s0;
          s0 = peg$FAILED;
        }
      } else {
        peg$currPos = s0;
        s0 = peg$FAILED;
      }

      return s0;
    }

    function peg$parsequadratic_bezier_curveto_argument_sequence() {
      var s0, s1, s2, s3, s4, s5;

      s0 = peg$currPos;
      s1 = peg$parsequadratic_bezier_curveto_argument();
      if (s1 !== peg$FAILED) {
        s2 = [];
        s3 = peg$currPos;
        s4 = peg$parsecomma_wsp();
        if (s4 === peg$FAILED) {
          s4 = null;
        }
        if (s4 !== peg$FAILED) {
          s5 = peg$parsequadratic_bezier_curveto_argument();
          if (s5 !== peg$FAILED) {
            s4 = [s4, s5];
            s3 = s4;
          } else {
            peg$currPos = s3;
            s3 = peg$FAILED;
          }
        } else {
          peg$currPos = s3;
          s3 = peg$FAILED;
        }
        while (s3 !== peg$FAILED) {
          s2.push(s3);
          s3 = peg$currPos;
          s4 = peg$parsecomma_wsp();
          if (s4 === peg$FAILED) {
            s4 = null;
          }
          if (s4 !== peg$FAILED) {
            s5 = peg$parsequadratic_bezier_curveto_argument();
            if (s5 !== peg$FAILED) {
              s4 = [s4, s5];
              s3 = s4;
            } else {
              peg$currPos = s3;
              s3 = peg$FAILED;
            }
          } else {
            peg$currPos = s3;
            s3 = peg$FAILED;
          }
        }
        if (s2 !== peg$FAILED) {
          s1 = peg$c1(s1, s2);
          s0 = s1;
        } else {
          peg$currPos = s0;
          s0 = peg$FAILED;
        }
      } else {
        peg$currPos = s0;
        s0 = peg$FAILED;
      }

      return s0;
    }

    function peg$parsequadratic_bezier_curveto_argument() {
      var s0, s1, s2, s3;

      s0 = peg$currPos;
      s1 = peg$parsecoordinate_pair();
      if (s1 !== peg$FAILED) {
        s2 = peg$parsecomma_wsp();
        if (s2 === peg$FAILED) {
          s2 = null;
        }
        if (s2 !== peg$FAILED) {
          s3 = peg$parsecoordinate_pair();
          if (s3 !== peg$FAILED) {
            s1 = peg$c25(s1, s3);
            s0 = s1;
          } else {
            peg$currPos = s0;
            s0 = peg$FAILED;
          }
        } else {
          peg$currPos = s0;
          s0 = peg$FAILED;
        }
      } else {
        peg$currPos = s0;
        s0 = peg$FAILED;
      }

      return s0;
    }

    function peg$parsesmooth_quadratic_bezier_curveto() {
      var s0, s1, s2, s3;

      s0 = peg$currPos;
      if (peg$c26.test(input.charAt(peg$currPos))) {
        s1 = input.charAt(peg$currPos);
        peg$currPos++;
      } else {
        s1 = peg$FAILED;
        { peg$fail(peg$c27); }
      }
      if (s1 !== peg$FAILED) {
        s2 = [];
        s3 = peg$parsewsp();
        while (s3 !== peg$FAILED) {
          s2.push(s3);
          s3 = peg$parsewsp();
        }
        if (s2 !== peg$FAILED) {
          s3 = peg$parsesmooth_quadratic_bezier_curveto_argument_sequence();
          if (s3 !== peg$FAILED) {
            s1 = peg$c10(s1, s3);
            s0 = s1;
          } else {
            peg$currPos = s0;
            s0 = peg$FAILED;
          }
        } else {
          peg$currPos = s0;
          s0 = peg$FAILED;
        }
      } else {
        peg$currPos = s0;
        s0 = peg$FAILED;
      }

      return s0;
    }

    function peg$parsesmooth_quadratic_bezier_curveto_argument_sequence() {
      var s0, s1, s2, s3, s4, s5;

      s0 = peg$currPos;
      s1 = peg$parsecoordinate_pair();
      if (s1 !== peg$FAILED) {
        s2 = [];
        s3 = peg$currPos;
        s4 = peg$parsecomma_wsp();
        if (s4 === peg$FAILED) {
          s4 = null;
        }
        if (s4 !== peg$FAILED) {
          s5 = peg$parsecoordinate_pair();
          if (s5 !== peg$FAILED) {
            s4 = [s4, s5];
            s3 = s4;
          } else {
            peg$currPos = s3;
            s3 = peg$FAILED;
          }
        } else {
          peg$currPos = s3;
          s3 = peg$FAILED;
        }
        while (s3 !== peg$FAILED) {
          s2.push(s3);
          s3 = peg$currPos;
          s4 = peg$parsecomma_wsp();
          if (s4 === peg$FAILED) {
            s4 = null;
          }
          if (s4 !== peg$FAILED) {
            s5 = peg$parsecoordinate_pair();
            if (s5 !== peg$FAILED) {
              s4 = [s4, s5];
              s3 = s4;
            } else {
              peg$currPos = s3;
              s3 = peg$FAILED;
            }
          } else {
            peg$currPos = s3;
            s3 = peg$FAILED;
          }
        }
        if (s2 !== peg$FAILED) {
          s1 = peg$c1(s1, s2);
          s0 = s1;
        } else {
          peg$currPos = s0;
          s0 = peg$FAILED;
        }
      } else {
        peg$currPos = s0;
        s0 = peg$FAILED;
      }

      return s0;
    }

    function peg$parseelliptical_arc() {
      var s0, s1, s2, s3;

      s0 = peg$currPos;
      if (peg$c28.test(input.charAt(peg$currPos))) {
        s1 = input.charAt(peg$currPos);
        peg$currPos++;
      } else {
        s1 = peg$FAILED;
        { peg$fail(peg$c29); }
      }
      if (s1 !== peg$FAILED) {
        s2 = [];
        s3 = peg$parsewsp();
        while (s3 !== peg$FAILED) {
          s2.push(s3);
          s3 = peg$parsewsp();
        }
        if (s2 !== peg$FAILED) {
          s3 = peg$parseelliptical_arc_argument_sequence();
          if (s3 !== peg$FAILED) {
            s1 = peg$c10(s1, s3);
            s0 = s1;
          } else {
            peg$currPos = s0;
            s0 = peg$FAILED;
          }
        } else {
          peg$currPos = s0;
          s0 = peg$FAILED;
        }
      } else {
        peg$currPos = s0;
        s0 = peg$FAILED;
      }

      return s0;
    }

    function peg$parseelliptical_arc_argument_sequence() {
      var s0, s1, s2, s3, s4, s5;

      s0 = peg$currPos;
      s1 = peg$parseelliptical_arc_argument();
      if (s1 !== peg$FAILED) {
        s2 = [];
        s3 = peg$currPos;
        s4 = peg$parsecomma_wsp();
        if (s4 === peg$FAILED) {
          s4 = null;
        }
        if (s4 !== peg$FAILED) {
          s5 = peg$parseelliptical_arc_argument();
          if (s5 !== peg$FAILED) {
            s4 = [s4, s5];
            s3 = s4;
          } else {
            peg$currPos = s3;
            s3 = peg$FAILED;
          }
        } else {
          peg$currPos = s3;
          s3 = peg$FAILED;
        }
        while (s3 !== peg$FAILED) {
          s2.push(s3);
          s3 = peg$currPos;
          s4 = peg$parsecomma_wsp();
          if (s4 === peg$FAILED) {
            s4 = null;
          }
          if (s4 !== peg$FAILED) {
            s5 = peg$parseelliptical_arc_argument();
            if (s5 !== peg$FAILED) {
              s4 = [s4, s5];
              s3 = s4;
            } else {
              peg$currPos = s3;
              s3 = peg$FAILED;
            }
          } else {
            peg$currPos = s3;
            s3 = peg$FAILED;
          }
        }
        if (s2 !== peg$FAILED) {
          s1 = peg$c1(s1, s2);
          s0 = s1;
        } else {
          peg$currPos = s0;
          s0 = peg$FAILED;
        }
      } else {
        peg$currPos = s0;
        s0 = peg$FAILED;
      }

      return s0;
    }

    function peg$parseelliptical_arc_argument() {
      var s0, s1, s2, s3, s4, s5, s6, s7, s8, s9, s10, s11;

      s0 = peg$currPos;
      s1 = peg$parsenonnegative_number();
      if (s1 !== peg$FAILED) {
        s2 = peg$parsecomma_wsp();
        if (s2 === peg$FAILED) {
          s2 = null;
        }
        if (s2 !== peg$FAILED) {
          s3 = peg$parsenonnegative_number();
          if (s3 !== peg$FAILED) {
            s4 = peg$parsecomma_wsp();
            if (s4 === peg$FAILED) {
              s4 = null;
            }
            if (s4 !== peg$FAILED) {
              s5 = peg$parsenumber();
              if (s5 !== peg$FAILED) {
                s6 = peg$parsecomma_wsp();
                if (s6 !== peg$FAILED) {
                  s7 = peg$parseflag();
                  if (s7 !== peg$FAILED) {
                    s8 = peg$parsecomma_wsp();
                    if (s8 === peg$FAILED) {
                      s8 = null;
                    }
                    if (s8 !== peg$FAILED) {
                      s9 = peg$parseflag();
                      if (s9 !== peg$FAILED) {
                        s10 = peg$parsecomma_wsp();
                        if (s10 === peg$FAILED) {
                          s10 = null;
                        }
                        if (s10 !== peg$FAILED) {
                          s11 = peg$parsecoordinate_pair();
                          if (s11 !== peg$FAILED) {
                            s1 = peg$c30(s1, s3, s5, s7, s9, s11);
                            s0 = s1;
                          } else {
                            peg$currPos = s0;
                            s0 = peg$FAILED;
                          }
                        } else {
                          peg$currPos = s0;
                          s0 = peg$FAILED;
                        }
                      } else {
                        peg$currPos = s0;
                        s0 = peg$FAILED;
                      }
                    } else {
                      peg$currPos = s0;
                      s0 = peg$FAILED;
                    }
                  } else {
                    peg$currPos = s0;
                    s0 = peg$FAILED;
                  }
                } else {
                  peg$currPos = s0;
                  s0 = peg$FAILED;
                }
              } else {
                peg$currPos = s0;
                s0 = peg$FAILED;
              }
            } else {
              peg$currPos = s0;
              s0 = peg$FAILED;
            }
          } else {
            peg$currPos = s0;
            s0 = peg$FAILED;
          }
        } else {
          peg$currPos = s0;
          s0 = peg$FAILED;
        }
      } else {
        peg$currPos = s0;
        s0 = peg$FAILED;
      }

      return s0;
    }

    function peg$parsecoordinate_pair() {
      var s0, s1, s2, s3;

      s0 = peg$currPos;
      s1 = peg$parsenumber();
      if (s1 !== peg$FAILED) {
        s2 = peg$parsecomma_wsp();
        if (s2 === peg$FAILED) {
          s2 = null;
        }
        if (s2 !== peg$FAILED) {
          s3 = peg$parsenumber();
          if (s3 !== peg$FAILED) {
            s1 = peg$c31(s1, s3);
            s0 = s1;
          } else {
            peg$currPos = s0;
            s0 = peg$FAILED;
          }
        } else {
          peg$currPos = s0;
          s0 = peg$FAILED;
        }
      } else {
        peg$currPos = s0;
        s0 = peg$FAILED;
      }

      return s0;
    }

    function peg$parsenonnegative_number() {
      var s0, s1;

      s0 = peg$currPos;
      s1 = peg$parsefloating_point_constant();
      if (s1 === peg$FAILED) {
        s1 = peg$parsedigit_sequence();
      }
      if (s1 !== peg$FAILED) {
        s1 = peg$c32(s1);
      }
      s0 = s1;

      return s0;
    }

    function peg$parsenumber() {
      var s0, s1, s2, s3;

      s0 = peg$currPos;
      s1 = peg$currPos;
      s2 = peg$parsesign();
      if (s2 === peg$FAILED) {
        s2 = null;
      }
      if (s2 !== peg$FAILED) {
        s3 = peg$parsefloating_point_constant();
        if (s3 !== peg$FAILED) {
          s2 = [s2, s3];
          s1 = s2;
        } else {
          peg$currPos = s1;
          s1 = peg$FAILED;
        }
      } else {
        peg$currPos = s1;
        s1 = peg$FAILED;
      }
      if (s1 === peg$FAILED) {
        s1 = peg$currPos;
        s2 = peg$parsesign();
        if (s2 === peg$FAILED) {
          s2 = null;
        }
        if (s2 !== peg$FAILED) {
          s3 = peg$parsedigit_sequence();
          if (s3 !== peg$FAILED) {
            s2 = [s2, s3];
            s1 = s2;
          } else {
            peg$currPos = s1;
            s1 = peg$FAILED;
          }
        } else {
          peg$currPos = s1;
          s1 = peg$FAILED;
        }
      }
      if (s1 !== peg$FAILED) {
        s1 = peg$c33(s1);
      }
      s0 = s1;

      return s0;
    }

    function peg$parseflag() {
      var s0, s1;

      s0 = peg$currPos;
      if (peg$c34.test(input.charAt(peg$currPos))) {
        s1 = input.charAt(peg$currPos);
        peg$currPos++;
      } else {
        s1 = peg$FAILED;
        { peg$fail(peg$c35); }
      }
      if (s1 !== peg$FAILED) {
        s1 = peg$c36(s1);
      }
      s0 = s1;

      return s0;
    }

    function peg$parsecomma_wsp() {
      var s0, s1, s2, s3, s4;

      s0 = peg$currPos;
      s1 = [];
      s2 = peg$parsewsp();
      if (s2 !== peg$FAILED) {
        while (s2 !== peg$FAILED) {
          s1.push(s2);
          s2 = peg$parsewsp();
        }
      } else {
        s1 = peg$FAILED;
      }
      if (s1 !== peg$FAILED) {
        s2 = peg$parsecomma();
        if (s2 === peg$FAILED) {
          s2 = null;
        }
        if (s2 !== peg$FAILED) {
          s3 = [];
          s4 = peg$parsewsp();
          while (s4 !== peg$FAILED) {
            s3.push(s4);
            s4 = peg$parsewsp();
          }
          if (s3 !== peg$FAILED) {
            s1 = [s1, s2, s3];
            s0 = s1;
          } else {
            peg$currPos = s0;
            s0 = peg$FAILED;
          }
        } else {
          peg$currPos = s0;
          s0 = peg$FAILED;
        }
      } else {
        peg$currPos = s0;
        s0 = peg$FAILED;
      }
      if (s0 === peg$FAILED) {
        s0 = peg$currPos;
        s1 = peg$currPos;
        s2 = peg$parsecomma();
        if (s2 !== peg$FAILED) {
          s3 = [];
          s4 = peg$parsewsp();
          while (s4 !== peg$FAILED) {
            s3.push(s4);
            s4 = peg$parsewsp();
          }
          if (s3 !== peg$FAILED) {
            s2 = [s2, s3];
            s1 = s2;
          } else {
            peg$currPos = s1;
            s1 = peg$FAILED;
          }
        } else {
          peg$currPos = s1;
          s1 = peg$FAILED;
        }
        if (s1 !== peg$FAILED) {
          s1 = peg$c37();
        }
        s0 = s1;
      }

      return s0;
    }

    function peg$parsecomma() {
      var s0;

      if (input.charCodeAt(peg$currPos) === 44) {
        s0 = peg$c38;
        peg$currPos++;
      } else {
        s0 = peg$FAILED;
        { peg$fail(peg$c39); }
      }

      return s0;
    }

    function peg$parsefloating_point_constant() {
      var s0, s1, s2, s3;

      s0 = peg$currPos;
      s1 = peg$currPos;
      s2 = peg$parsefractional_constant();
      if (s2 !== peg$FAILED) {
        s3 = peg$parseexponent();
        if (s3 === peg$FAILED) {
          s3 = null;
        }
        if (s3 !== peg$FAILED) {
          s2 = [s2, s3];
          s1 = s2;
        } else {
          peg$currPos = s1;
          s1 = peg$FAILED;
        }
      } else {
        peg$currPos = s1;
        s1 = peg$FAILED;
      }
      if (s1 === peg$FAILED) {
        s1 = peg$currPos;
        s2 = peg$parsedigit_sequence();
        if (s2 !== peg$FAILED) {
          s3 = peg$parseexponent();
          if (s3 !== peg$FAILED) {
            s2 = [s2, s3];
            s1 = s2;
          } else {
            peg$currPos = s1;
            s1 = peg$FAILED;
          }
        } else {
          peg$currPos = s1;
          s1 = peg$FAILED;
        }
      }
      if (s1 !== peg$FAILED) {
        s1 = peg$c40(s1);
      }
      s0 = s1;

      return s0;
    }

    function peg$parsefractional_constant() {
      var s0, s1, s2, s3, s4;

      s0 = peg$currPos;
      s1 = peg$currPos;
      s2 = peg$parsedigit_sequence();
      if (s2 === peg$FAILED) {
        s2 = null;
      }
      if (s2 !== peg$FAILED) {
        if (input.charCodeAt(peg$currPos) === 46) {
          s3 = peg$c41;
          peg$currPos++;
        } else {
          s3 = peg$FAILED;
          { peg$fail(peg$c42); }
        }
        if (s3 !== peg$FAILED) {
          s4 = peg$parsedigit_sequence();
          if (s4 !== peg$FAILED) {
            s2 = [s2, s3, s4];
            s1 = s2;
          } else {
            peg$currPos = s1;
            s1 = peg$FAILED;
          }
        } else {
          peg$currPos = s1;
          s1 = peg$FAILED;
        }
      } else {
        peg$currPos = s1;
        s1 = peg$FAILED;
      }
      if (s1 === peg$FAILED) {
        s1 = peg$currPos;
        s2 = peg$parsedigit_sequence();
        if (s2 !== peg$FAILED) {
          if (input.charCodeAt(peg$currPos) === 46) {
            s3 = peg$c41;
            peg$currPos++;
          } else {
            s3 = peg$FAILED;
            { peg$fail(peg$c42); }
          }
          if (s3 !== peg$FAILED) {
            s2 = [s2, s3];
            s1 = s2;
          } else {
            peg$currPos = s1;
            s1 = peg$FAILED;
          }
        } else {
          peg$currPos = s1;
          s1 = peg$FAILED;
        }
      }
      if (s1 !== peg$FAILED) {
        s1 = peg$c40(s1);
      }
      s0 = s1;

      return s0;
    }

    function peg$parseexponent() {
      var s0, s1, s2, s3, s4;

      s0 = peg$currPos;
      s1 = peg$currPos;
      if (peg$c43.test(input.charAt(peg$currPos))) {
        s2 = input.charAt(peg$currPos);
        peg$currPos++;
      } else {
        s2 = peg$FAILED;
        { peg$fail(peg$c44); }
      }
      if (s2 !== peg$FAILED) {
        s3 = peg$parsesign();
        if (s3 === peg$FAILED) {
          s3 = null;
        }
        if (s3 !== peg$FAILED) {
          s4 = peg$parsedigit_sequence();
          if (s4 !== peg$FAILED) {
            s2 = [s2, s3, s4];
            s1 = s2;
          } else {
            peg$currPos = s1;
            s1 = peg$FAILED;
          }
        } else {
          peg$currPos = s1;
          s1 = peg$FAILED;
        }
      } else {
        peg$currPos = s1;
        s1 = peg$FAILED;
      }
      if (s1 !== peg$FAILED) {
        s1 = peg$c40(s1);
      }
      s0 = s1;

      return s0;
    }

    function peg$parsesign() {
      var s0;

      if (peg$c45.test(input.charAt(peg$currPos))) {
        s0 = input.charAt(peg$currPos);
        peg$currPos++;
      } else {
        s0 = peg$FAILED;
        { peg$fail(peg$c46); }
      }

      return s0;
    }

    function peg$parsedigit_sequence() {
      var s0, s1, s2;

      s0 = peg$currPos;
      s1 = [];
      if (peg$c47.test(input.charAt(peg$currPos))) {
        s2 = input.charAt(peg$currPos);
        peg$currPos++;
      } else {
        s2 = peg$FAILED;
        { peg$fail(peg$c48); }
      }
      if (s2 !== peg$FAILED) {
        while (s2 !== peg$FAILED) {
          s1.push(s2);
          if (peg$c47.test(input.charAt(peg$currPos))) {
            s2 = input.charAt(peg$currPos);
            peg$currPos++;
          } else {
            s2 = peg$FAILED;
            { peg$fail(peg$c48); }
          }
        }
      } else {
        s1 = peg$FAILED;
      }
      if (s1 !== peg$FAILED) {
        s1 = peg$c49(s1);
      }
      s0 = s1;

      return s0;
    }

    function peg$parsewsp() {
      var s0, s1;

      s0 = peg$currPos;
      if (peg$c50.test(input.charAt(peg$currPos))) {
        s1 = input.charAt(peg$currPos);
        peg$currPos++;
      } else {
        s1 = peg$FAILED;
        { peg$fail(peg$c51); }
      }
      if (s1 !== peg$FAILED) {
        s1 = peg$c37();
      }
      s0 = s1;

      return s0;
    }


      function merge(first,more){
        if (!more) return [first];
        for (var a=[first],i=0,l=more.length;i<l;i++) a[i+1]=more[i][1];
        return a;
      }

      var cmds = {m:'moveto',l:'lineto',h:'horizontal lineto',v:'vertical lineto',c:'curveto',s:'smooth curveto',q:'quadratic curveto',t:'smooth quadratic curveto',a:'elliptical arc',z:'closepath'};
      for (var code in cmds) cmds[code.toUpperCase()]=cmds[code];
      function commands(code,args){
        if (!args) args=[{}];
        for (var i=args.length;i--;){
          var cmd={code:code,command:cmds[code]};
          if (code==code.toLowerCase()) cmd.relative=true;
          for (var k in args[i]) cmd[k]=args[i][k];
          args[i] = cmd;
        }
        return args;
      }


    peg$result = peg$startRuleFunction();

    if (peg$result !== peg$FAILED && peg$currPos === input.length) {
      return peg$result;
    } else {
      if (peg$result !== peg$FAILED && peg$currPos < input.length) {
        peg$fail(peg$endExpectation());
      }

      throw peg$buildStructuredError(
        peg$maxFailExpected,
        peg$maxFailPos < input.length ? input.charAt(peg$maxFailPos) : null,
        peg$maxFailPos < input.length
          ? peg$computeLocation(peg$maxFailPos, peg$maxFailPos + 1)
          : peg$computeLocation(peg$maxFailPos, peg$maxFailPos)
      );
    }
  }

  var parser = {
    SyntaxError: peg$SyntaxError,
    parse:       peg$parse
  };

  // v1.0 exported just the parser function. To maintain backwards compatibility,
  // we export additional named features as properties of that function.
  var parserFunction = parser.parse;
  parserFunction.parseSVG = parserFunction;
  parserFunction.makeAbsolute = makeSVGPathCommandsAbsolute;
  var svgPathParser = parserFunction;

  function makeSVGPathCommandsAbsolute(commands) {
  	var subpathStart, prevCmd={x:0,y:0};
  	var attr = {x:'x0',y:'y0',x1:'x0',y1:'y0',x2:'x0',y2:'y0'};
  	commands.forEach(function(cmd) {
  		if (cmd.command==='moveto') subpathStart=cmd;
  		cmd.x0=prevCmd.x; cmd.y0=prevCmd.y;
  		for (var a in attr) if (a in cmd) cmd[a] += cmd.relative ? cmd[attr[a]] : 0;
  		if (!('x' in cmd)) cmd.x = prevCmd.x; // V
  		if (!('y' in cmd)) cmd.y = prevCmd.y; // X
  		cmd.relative = false;
  		cmd.code = cmd.code.toUpperCase();
  		if (cmd.command=='closepath') {
  			cmd.x = subpathStart.x;
  			cmd.y = subpathStart.y;
  		}
  		prevCmd = cmd;
  	});
  	return commands;
  }

  /**
   *  Return function to register a Marker Symbol for give SVG Path
   *
   * @param svgPath SVG Path string
   * @param viewBoxWidth SVG view box width, default to 1024
   * @param viewBoxHeight SVG view box height, default to 1024
   */

  function path2marker(svgPath) {
    var viewBoxWidth = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 1024;
    var viewBoxHeight = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 1014;
    return function (x, y, r) {
      // @ts-ignore
      var paths = svgPathParser(svgPath);
      return paths.map(function (path) {
        var arr = [];
        arr.push(path.relative === true ? path.code.toLowerCase() : path.code.toUpperCase());
        var pairs = [[path.x1, path.y1], [path.x2, path.y2], [path.x, path.y]];
        pairs.forEach(function (pair) {
          var _pair = _slicedToArray(pair, 2),
              px = _pair[0],
              py = _pair[1];

          if (px !== undefined) {
            arr.push(path.relative === true ? px / viewBoxWidth * 2 * r : x - r + r * 2 * (px / viewBoxWidth));
          }

          if (py !== undefined) {
            arr.push(path.relative === true ? py / viewBoxHeight * 2 * r : y - r + r * 2 * (py / viewBoxHeight));
          }
        });
        return arr;
      });
    };
  }
  /**
   * Return function to register a Marker symbol for give svg file
   *
   * @param icon SVG file content
   */

  function svg2marker(icon) {
    var pathMatch = /<path\s+d="(.*?)"/i.exec(icon);
    var viewBoxMatch = /viewBox="\d+\s+\d+\s+(\d+)\s+(\d+)"/i.exec(icon);

    if (pathMatch === null || pathMatch.length < 2) {
      return function () {
        return [];
      };
    }

    var width = 1024;
    var height = 1024;

    if (viewBoxMatch !== null && viewBoxMatch.length >= 3) {
      if (!Number.isNaN(parseInt(viewBoxMatch[1], 10))) {
        width = parseInt(viewBoxMatch[1], 10);
      }

      if (!Number.isNaN(parseInt(viewBoxMatch[2], 10))) {
        height = parseInt(viewBoxMatch[2], 10);
      }
    }

    return path2marker(pathMatch[1], width, height);
  }

  var ctx;
  /**
   * 计算文本在画布中的宽度
   */

  var measureTextWidth = memoize(function (text) {
    var font = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
    var fontSize = font.fontSize,
        fontFamily = font.fontFamily,
        fontWeight = font.fontWeight,
        fontStyle = font.fontStyle,
        fontVariant = font.fontVariant;

    if (!ctx) {
      ctx = document.createElement('canvas').getContext('2d');
    }

    ctx.font = [fontStyle, fontVariant, fontWeight, "".concat(fontSize, "px"), fontFamily].join(' ');
    return ctx.measureText(isString(text) ? text : '').width;
  }, function (text) {
    var font = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
    return [text].concat(_toConsumableArray(values(font))).join('');
  });
  /**
   * 获取文本的 ... 文本。
   * 算法（减少每次 measureText 的长度，measureText 的性能跟字符串时间相关）：
   * 1. 先通过 STEP 逐步计算，找到最后一个小于 maxWidth 的字符串
   * 2. 然后对最后这个字符串二分计算
   * @param text 需要计算的文本, 由于历史原因 除了支持string，还支持空值,number和数组等
   * @param maxWidth
   * @param font
   */

  var getEllipsisText = function getEllipsisText(text, maxWidth, font) {
    var STEP = 16; // 每次 16，调参工程师

    var DOT_WIDTH = measureTextWidth('...', font);
    var leftText;

    if (!isString(text)) {
      leftText = toString$1(text);
    } else {
      leftText = text;
    }

    var leftWidth = maxWidth;
    var r = []; // 最终的分段字符串

    var currentText;
    var currentWidth;

    if (measureTextWidth(text, font) <= maxWidth) {
      return text;
    } // 首先通过 step 计算，找出最大的未超出长度的


    while (true) {
      // 更新字符串
      currentText = leftText.substr(0, STEP); // 计算宽度

      currentWidth = measureTextWidth(currentText, font); // 超出剩余宽度，则停止

      if (currentWidth + DOT_WIDTH > leftWidth) {
        if (currentWidth > leftWidth) {
          break;
        }
      }

      r.push(currentText); // 没有超出，则计算剩余宽度

      leftWidth -= currentWidth;
      leftText = leftText.substr(STEP); // 字符串整体没有超出

      if (!leftText) {
        return r.join('');
      }
    } // 最下的最后一个 STEP，使用 1 递增（用二分效果更高）


    while (true) {
      // 更新字符串
      currentText = leftText.substr(0, 1); // 计算宽度

      currentWidth = measureTextWidth(currentText, font); // 超出剩余宽度，则停止

      if (currentWidth + DOT_WIDTH > leftWidth) {
        break;
      }

      r.push(currentText); // 没有超出，则计算剩余宽度

      leftWidth -= currentWidth;
      leftText = leftText.substr(1);

      if (!leftText) {
        return r.join('');
      }
    }

    return "".concat(r.join(''), "...");
  };
  function getFont(textShape) {
    var _textShape$attr = textShape.attr(),
        fontSize = _textShape$attr.fontSize,
        fontFamily = _textShape$attr.fontFamily,
        fontWeight = _textShape$attr.fontWeight,
        fontStyle = _textShape$attr.fontStyle,
        fontVariant = _textShape$attr.fontVariant;

    return {
      fontSize: fontSize,
      fontFamily: fontFamily,
      fontWeight: fontWeight,
      fontStyle: fontStyle,
      fontVariant: fontVariant
    };
  }

  /**
   * 保留x位小数
   */
  function toPrecision(num, precision) {
    var _ = Math.pow(10, precision);

    return Number(Math.round(num * _).toFixed(0)) / _;
  }

  /**
   * 规范化padding
   */

  function normalPadding(padding) {
    if (isNumber(padding)) {
      return [padding, padding, padding, padding];
    }

    if (isArray(padding)) {
      var len = padding.length;

      if (len === 1) {
        return [padding[0], padding[0], padding[0], padding[0]];
      }

      if (len === 2) {
        return [padding[0], padding[1], padding[0], padding[1]];
      }

      if (len === 3) {
        return [padding[0], padding[1], padding[2], padding[1]];
      }

      if (len === 4) {
        return padding;
      }
    }

    return [0, 0, 0, 0];
  }

  // 混合样式状态
  var STATE_LIST = ['default', 'active', 'selected', 'disabled'];

  /**
   * 从带状态样式中返回移除了状态样式的默认样式
   */

  function getDefaultStyle(style) {

    if (style) {
      return style === null || style === void 0 ? void 0 : style.default;
    }

    var duplicateStyle = clone$2(style) || {}; // 移除其他带状态的样式得到默认样式

    STATE_LIST.forEach(function (state) {
      if (state in duplicateStyle) delete duplicateStyle[state];
    });
    return duplicateStyle;
  }
  /**
   * 对于格式为:
   * style: ShapeAttrs & {
   *  [state: string]?: ShapeAttrs,
   * }
   * 的带状态样式，根据状态提取出样式
   * 默认返回默认样式
   * @param style 混合样式
   * @param state 状态
   * @param isMerge 是否将状态样式与默认样式合并
   */

  function getStateStyle(style, state) {
    var isMerge = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : false;

    if (!state) {
      var temp = getDefaultStyle(style);
      if (temp) return temp;
      return {};
    }

    var stateStyle = get(style, state);

    if (isMerge) {
      return deepMix({}, getDefaultStyle(style), stateStyle);
    }

    return stateStyle;
  }

  /**
   * 获得触发事件的坐标
   */
  function getEventPos(e) {
    var screen = e.screen,
        touches = e.touches,
        offsetX = e.offsetX,
        offsetY = e.offsetY;

    if (screen) {
      var x = screen.x,
          y = screen.y;
      return [x, y];
    }

    if (touches) {
      var _touches$ = touches[0],
          clientX = _touches$.clientX,
          clientY = _touches$.clientY;
      return [clientX, clientY];
    }

    if (offsetX && offsetY) return [offsetX, offsetY];
    return [0, 0];
  }

  /**
   * 获得图形的x、y、width、height
   */
  function getShapeSpace(shape) {
    var bounds = shape.getBounds();
    if (!bounds) return {
      x: 0,
      y: 0,
      width: 0,
      height: 0
    };
    var max = bounds.getMax();
    var min = bounds.getMin();
    return {
      x: min[0],
      y: min[1],
      width: max[0] - min[0],
      height: max[1] - min[1]
    };
  }

  /**
   * 带文本的 图标组件，支持 iconfont 组件
   */

  var Tag = /*#__PURE__*/function (_GUI) {
    _inherits(Tag, _GUI);

    var _super = _createSuper(Tag);

    /**
     * 标签类型
     */

    /**
     * 默认参数
     */
    function Tag(options) {
      var _this;

      _classCallCheck(this, Tag);

      _this = _super.call(this, deepMix({}, Tag.defaultOptions, options));
      _this.markerShape = void 0;
      _this.textShape = void 0;
      _this.backgroundShape = void 0;

      _this.init();

      return _this;
    }
    /**
     * 根据 type 获取 maker shape
     */


    _createClass(Tag, [{
      key: "init",
      value: function init() {
        this.initShape();
        this.updateBackground();
        this.updateMarker();
        this.updateText();
        this.autoFit();
        this.bindEvents();
      }
      /**
       * 组件的更新
       */

    }, {
      key: "update",
      value: function update(cfg) {
        this.attr(deepMix({}, this.attributes, cfg));
        this.updateBackground();
        this.updateMarker();
        this.updateText();
        this.autoFit();
      }
      /**
       * 组件的清除
       */

    }, {
      key: "clear",
      value: function clear() {
        this.markerShape.destroy();
        this.textShape.destroy();
        this.backgroundShape.destroy();
      }
    }, {
      key: "initShape",
      value: function initShape() {
        this.markerShape = new Marker({
          name: 'marker',
          style: Tag.defaultOptions.style.marker
        });
        this.textShape = new Text({
          name: 'text',
          style: {
            text: Tag.defaultOptions.style.text
          }
        });
        this.backgroundShape = new Rect({
          name: 'background'
        });
        this.backgroundShape.appendChild(this.markerShape);
        this.backgroundShape.appendChild(this.textShape);
        this.appendChild(this.backgroundShape);
        this.backgroundShape.toBack();
      }
      /**
       * 创建 background
       */

    }, {
      key: "updateBackground",
      value: function updateBackground() {
        this.backgroundShape.attr(this.getBackgroundShapeCfg());
      }
    }, {
      key: "getBackgroundShapeCfg",
      value: function getBackgroundShapeCfg() {
        var _this$attributes = this.attributes,
            backgroundStyle = _this$attributes.backgroundStyle,
            _this$attributes$radi = _this$attributes.radius,
            radius = _this$attributes$radi === void 0 ? 0 : _this$attributes$radi;
        return _objectSpread2({
          radius: radius
        }, getStateStyle(backgroundStyle));
      }
      /**
       * 创建 marker
       */

    }, {
      key: "updateMarker",
      value: function updateMarker() {
        this.markerShape.update(this.getMarkerShapeCfg());
      }
    }, {
      key: "getMarkerShapeCfg",
      value: function getMarkerShapeCfg() {
        var marker = this.attributes.marker;
        return marker;
      }
      /**
       * 创建 text
       */

    }, {
      key: "updateText",
      value: function updateText() {
        this.textShape.attr(this.getTextShapeCfg());
      }
    }, {
      key: "getTextShapeCfg",
      value: function getTextShapeCfg() {
        var _this$attributes2 = this.attributes,
            text = _this$attributes2.text,
            textStyle = _this$attributes2.textStyle;
        return _objectSpread2(_objectSpread2({}, getStateStyle(textStyle)), {}, {
          x: 0,
          y: 0,
          text: text
        });
      }
    }, {
      key: "autoFit",
      value: function autoFit() {
        var _this$attributes3 = this.attributes,
            padding = _this$attributes3.padding,
            spacing = _this$attributes3.spacing,
            marker = _this$attributes3.marker,
            text = _this$attributes3.text;

        var _normalPadding = normalPadding(padding),
            _normalPadding2 = _slicedToArray(_normalPadding, 4),
            top = _normalPadding2[0],
            right = _normalPadding2[1],
            bottom = _normalPadding2[2],
            left = _normalPadding2[3];

        var _marker$size = marker.size,
            size = _marker$size === void 0 ? 0 : _marker$size;

        var _getShapeSpace = getShapeSpace(this.markerShape),
            markerWidth = _getShapeSpace.width,
            markerHeight = _getShapeSpace.height;

        var _this$textShape$getBo = this.textShape.getBoundingClientRect(),
            textWidth = _this$textShape$getBo.width,
            textHeight = _this$textShape$getBo.height;

        var width = left + right;
        var height = 0;

        if (size > 0) {
          width += markerWidth + spacing;
          height = Math.max(height, markerHeight);
        }

        if (text !== '') {
          width += textWidth;
          height = Math.max(height, textHeight);
        }

        height += top + bottom; // background

        this.backgroundShape.attr({
          width: width,
          height: height
        }); // marker

        this.markerShape.attr({
          x: left + markerWidth / 2,
          y: height / 2
        }); // text

        var textX = left;
        if (size) textX += markerWidth + spacing; // 设置 局部坐标系 下的位置

        this.textShape.attr({
          x: textX,
          y: height / 2
        });
      }
    }, {
      key: "bindEvents",
      value: function bindEvents() {
        var _this2 = this;

        this.addEventListener('mouseenter', function () {
          var _this2$attributes = _this2.attributes,
              backgroundStyle = _this2$attributes.backgroundStyle,
              textStyle = _this2$attributes.textStyle;

          _this2.textShape.attr(getStateStyle(textStyle, 'active', true));

          _this2.backgroundShape.attr(getStateStyle(backgroundStyle, 'active', true));

          _this2.autoFit();
        });
        this.addEventListener('mouseleave', function () {
          _this2.textShape.attr(_this2.getTextShapeCfg());

          _this2.backgroundShape.attr(_this2.getBackgroundShapeCfg());

          _this2.autoFit();
        });
      }
    }]);

    return Tag;
  }(GUI);
  Tag.tag = 'tag';
  Tag.defaultOptions = {
    type: Tag.tag,
    style: {
      text: '',
      radius: 2,
      padding: 4,
      textStyle: {
        default: {
          fontSize: 12,
          textAlign: 'left',
          textBaseline: 'middle',
          fill: '#000'
        },
        active: {}
      },
      marker: {
        symbol: 'circle',
        size: 0
      },
      spacing: 4,
      backgroundStyle: {
        default: {
          fill: '#fafafa',
          stroke: '#d9d9d9',
          lineWidth: 1
        }
      }
    }
  };

  /**
   * 尺寸配置
   */
  var SIZE_STYLE = {
    small: {
      textStyle: {
        fontSize: 10
      },
      buttonStyle: {
        width: 40,
        height: 20
      },
      markerStyle: {
        size: 8
      }
    },
    middle: {
      textStyle: {
        fontSize: 12
      },
      buttonStyle: {
        width: 60,
        height: 30
      },
      markerStyle: {
        size: 12
      }
    },
    large: {
      textStyle: {
        fontSize: 16
      },
      buttonStyle: {
        width: 80,
        height: 40
      },
      markerStyle: {
        size: 16
      }
    }
  };
  /**
   * 类型配置
   */

  var TYPE_STYLE = {
    primary: {
      textStyle: {
        default: {
          fill: '#fff'
        },
        active: {}
      },
      buttonStyle: {
        default: {
          fill: '#1890ff',
          lineWidth: 0
        },
        active: {
          fill: '#40a9ff'
        }
      },
      markerStyle: {
        default: {
          fill: '#1890ff'
        },
        active: {
          fill: '#40a9ff'
        }
      }
    },
    dashed: {
      textStyle: {
        default: {},
        active: {}
      },
      buttonStyle: {
        default: {
          stroke: '#bbb',
          lineDash: [5, 5]
        },
        active: {}
      },
      markerStyle: {}
    },
    link: {
      textStyle: {
        default: {
          fill: '#1890ff'
        },
        active: {}
      },
      buttonStyle: {
        default: {
          lineWidth: 0
        },
        active: {}
      },
      markerStyle: {
        default: {
          fill: '#1890ff'
        }
      }
    },
    text: {
      textStyle: {
        default: {
          fill: '#000'
        },
        active: {}
      },
      buttonStyle: {
        default: {
          lineWidth: 0
        },
        active: {}
      },
      markerStyle: {
        default: {
          stroke: '#000'
        }
      }
    },
    default: {
      textStyle: {
        default: {
          fill: '#000'
        },
        active: {
          fill: '#1890ff'
        }
      },
      buttonStyle: {
        default: {
          stroke: '#bbb'
        },
        active: {
          stroke: '#1890ff'
        }
      },
      markerStyle: {
        default: {
          stroke: '#bbb',
          lineWidth: 1
        },
        active: {
          stroke: '#1890ff'
        }
      }
    }
  };
  /**
   * disabled style
   */

  var DISABLED_STYLE = {
    // 严格需要替换的样式
    strict: {
      textStyle: {
        fill: '#b8b8b8'
      },
      buttonStyle: {},
      markerStyle: {}
    },
    textStyle: {},
    buttonStyle: {
      stroke: '#d9d9d9',
      fill: '#f5f5f5'
    },
    markerStyle: {
      stroke: '#d9d9d9'
    }
  };

  var Button = /*#__PURE__*/function (_GUI) {
    _inherits(Button, _GUI);

    var _super = _createSuper(Button);

    function Button(options) {
      var _this;

      _classCallCheck(this, Button);

      _this = _super.call(this, deepMix({}, Button.defaultOptions, options));
      _this.markerShape = void 0;
      _this.textShape = void 0;
      _this.backgroundShape = void 0;

      _this.initShape();

      _this.init();

      return _this;
    }
    /**
     * 默认参数
     */


    _createClass(Button, [{
      key: "disabled",
      get:
      /**
       * 标签类型
       */

      /**
       * 文本
       */

      /**
       * 按钮容器
       */
      function get() {
        return this.attributes.disabled;
      }
    }, {
      key: "markerWidth",
      get: function get() {
        if (this.markerShape.isVisible()) {
          var _this$getStyle = this.getStyle('markerStyle'),
              size = _this$getStyle.size;

          return size;
        }

        return 0;
      }
      /**
       * 获得 button 文本
       */

    }, {
      key: "text",
      get: function get() {
        var text = this.attributes.text;

        if (text === '') {
          return text;
        }
        /* 可用宽度 */


        var width = this.textAvailableWidth;
        return getEllipsisText(text, width);
      }
    }, {
      key: "textWidth",
      get: function get() {
        if (this.textShape.attr('text') === '') {
          return 0;
        }

        return measureTextWidth(this.text, getFont(this.textShape));
      }
      /* 获得文本可用宽度 */

    }, {
      key: "textAvailableWidth",
      get: function get() {
        var _this$attributes = this.attributes,
            marker = _this$attributes.marker,
            padding = _this$attributes.padding,
            ellipsis = _this$attributes.ellipsis,
            bWidth = _this$attributes.width,
            spacing = _this$attributes.markerSpacing;
        if (!ellipsis) return Infinity;
        /* 按钮总宽度 */

        var width = isUndefined(bWidth) ? this.getStyle('buttonStyle').width : bWidth;
        if (marker) return width - padding * 2 - spacing - this.markerWidth;
        return width - padding * 2;
      }
      /**
       * 根据文本和marker来计算按钮宽度
       */

    }, {
      key: "buttonWidth",
      get: function get() {
        var _this$attributes2 = this.attributes,
            marker = _this$attributes2.marker,
            padding = _this$attributes2.padding,
            bWidth = _this$attributes2.width,
            ellipsis = _this$attributes2.ellipsis,
            spacing = _this$attributes2.markerSpacing;
        if (!isUndefined(bWidth)) return bWidth;
        if (ellipsis) return this.getStyle('buttonStyle').width;
        var text = this.textShape.attr('text');
        var markerWidth = this.markerWidth;
        var textWidth = this.textWidth;
        var width = padding * 2;

        if (marker) {
          if (text !== '') width += markerWidth + textWidth + spacing;else width += markerWidth;
        } else if (text !== '') width += textWidth;

        return width;
      }
    }, {
      key: "buttonHeight",
      get: function get() {
        var height = this.attributes.height;
        if (height) return height;
        return this.getStyle('buttonStyle').height;
      }
    }, {
      key: "getStyle",
      value:
      /**
       * 根据size、type属性生成实际渲染的属性
       */
      function getStyle(name) {
        var state = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 'default';
        var _this$attributes3 = this.attributes,
            size = _this$attributes3.size,
            type = _this$attributes3.type,
            disabled = _this$attributes3.disabled;
        var mixedStyle = deepMix({}, get(SIZE_STYLE, [size, name]), getStateStyle(get(TYPE_STYLE, [type, name]), state), getStateStyle(get(this.attributes, name), state, true));

        if (disabled) {
          // 从DISABLED_STYLE中pick中pick mixedStyle里已有的style
          Object.keys(mixedStyle).forEach(function (key) {
            if (key in DISABLED_STYLE[name]) {
              mixedStyle[key] = get(DISABLED_STYLE, [name, key]);
            }
          });
          Object.keys(DISABLED_STYLE.strict[name]).forEach(function (key) {
            mixedStyle[key] = get(DISABLED_STYLE, ['strict', name, key]);
          });
        }

        return mixedStyle;
      }
      /**
       * 初始化button
       */

    }, {
      key: "init",
      value: function init() {
        this.updateMarker();
        this.updateText();
        this.updateButton();
        this.adjustLayout();
        this.bindEvents();
      }
      /**
       * 组件的更新
       */

    }, {
      key: "update",
      value: function update(cfg) {
        this.attr(deepMix({}, this.attributes, cfg));
        this.updateMarker();
        this.updateText();
        this.updateButton();
        this.adjustLayout();
      }
      /**
       * 组件的清除
       */

    }, {
      key: "clear",
      value: function clear() {}
    }, {
      key: "initShape",
      value: function initShape() {
        this.markerShape = new Marker({
          name: 'marker',
          style: _objectSpread2({
            symbol: 'circle'
          }, this.getStyle('markerStyle'))
        });
        this.textShape = new Text({
          name: 'text',
          style: {
            text: ''
          }
        });
        this.backgroundShape = new Rect({
          name: 'background',
          style: {
            width: 0,
            height: 0
          }
        });
        this.backgroundShape.appendChild(this.markerShape);
        this.backgroundShape.appendChild(this.textShape);
        this.appendChild(this.backgroundShape);
      }
    }, {
      key: "updateMarker",
      value: function updateMarker() {
        var marker = this.attributes.marker;
        if (isUndefined(marker)) this.markerShape.hide();else {
          this.markerShape.update(_objectSpread2({
            symbol: marker
          }, this.getStyle('markerStyle')));
          this.markerShape.show();
        }
      }
      /**
       * 更新文本内容和样式
       */

    }, {
      key: "updateText",
      value: function updateText() {
        var disabled = this.attributes.disabled;
        var text = this.text;
        if (text === '') this.textShape.hide();else {
          this.textShape.attr(_objectSpread2({
            text: text,
            cursor: disabled ? 'not-allowed' : 'default'
          }, this.getStyle('textStyle')));
          this.textShape.show();
        }
      }
    }, {
      key: "updateButton",
      value: function updateButton() {
        var height = this.buttonHeight;
        var buttonStyle = this.getStyle('buttonStyle');
        this.backgroundShape.attr(_objectSpread2(_objectSpread2({}, buttonStyle), {}, {
          height: height
        }));
      }
    }, {
      key: "bindEvents",
      value: function bindEvents() {
        var _this2 = this;

        var _this$attributes4 = this.attributes,
            disabled = _this$attributes4.disabled,
            onClick = _this$attributes4.onClick;
        this.addEventListener('click', function () {
          // 点击事件
          !_this2.disabled && (onClick === null || onClick === void 0 ? void 0 : onClick.call(_this2, _this2));
        });
        this.addEventListener('mouseenter', function () {
          if (!disabled) {
            // 鼠标悬浮事件
            _this2.markerShape.update(_this2.getStyle('markerStyle', 'active'));

            _this2.textShape.attr(_this2.getStyle('textStyle', 'active'));

            _this2.backgroundShape.attr(_objectSpread2(_objectSpread2({}, _this2.getStyle('buttonStyle', 'active')), {}, {
              width: _this2.buttonWidth,
              height: _this2.buttonHeight
            }));
          }
        });
        this.addEventListener('mouseleave', function () {
          // 恢复默认状态
          _this2.markerShape.update(_this2.getStyle('markerStyle'));

          _this2.textShape.attr(_this2.getStyle('textStyle'));

          _this2.backgroundShape.attr(_objectSpread2(_objectSpread2({}, _this2.getStyle('buttonStyle')), {}, {
            width: _this2.buttonWidth,
            height: _this2.buttonHeight
          }));
        });
      }
    }, {
      key: "adjustLayout",
      value: function adjustLayout() {
        var _this$attributes5 = this.attributes,
            padding = _this$attributes5.padding,
            marker = _this$attributes5.marker,
            align = _this$attributes5.markerAlign,
            spacing = _this$attributes5.markerSpacing;
        var width = this.buttonWidth;
        var height = this.buttonHeight;
        var halfButtonWidth = width / 2;
        var halfTextWidth = this.textWidth / 2;
        var text = this.textShape.attr('text');
        var textX = 0;
        var markerX = 0;
        var markerY = height / 2;
        var textY = height / 2;

        if (marker) {
          var markerWidth = this.markerWidth;
          var halfMarkerWidth = markerWidth / 2;
          if (text === '') markerX = halfButtonWidth;else if (align === 'left') {
            markerX = halfMarkerWidth + padding;
            textX = padding + markerWidth + spacing + halfTextWidth;
          } else {
            markerX = this.buttonWidth - padding - halfMarkerWidth;
            textX = padding + halfTextWidth;
          }
        } else if (text !== '') textX = halfButtonWidth;

        this.markerShape.attr({
          x: markerX,
          y: markerY
        });
        this.textShape.attr({
          x: textX,
          y: textY
        }); // 设置button宽度

        this.backgroundShape.attr({
          width: this.buttonWidth
        });
      }
    }]);

    return Button;
  }(GUI);
  Button.tag = 'button';
  Button.defaultOptions = {
    type: Button.tag,
    style: {
      disabled: false,
      padding: 10,
      size: 'middle',
      type: 'default',
      text: '',
      markerAlign: 'left',
      markerSpacing: 5,
      textStyle: {
        default: {
          textAlign: 'center',
          textBaseline: 'middle'
        },
        active: {}
      },
      buttonStyle: {
        default: {
          lineWidth: 1,
          radius: 5
        },
        active: {}
      },
      markerStyle: {
        default: {}
      }
    }
  };

  /**
   * 激活状态样式（最后一个面包屑样式）
   */
  var ACTIVE_STYLE = {
    fontSize: 14,
    fill: 'rgba(0, 0, 0, 0.85)',
    lineHeight: 14
  };
  /**
   * 非激活状态样式（前 n-1 个面包屑样式）
   */

  var INACTIVE_STYLE = {
    fontSize: 14,
    lineHeight: 14,
    fill: 'rgba(0, 0, 0, 0.45)',
    cursor: 'pointer'
  };
  /**
   * hover 态样式
   */

  var HOVER_STYLE = {
    fontSize: 14,
    fill: '#5468ff'
  };

  var BreadCrumb = /*#__PURE__*/function (_GUI) {
    _inherits(BreadCrumb, _GUI);

    var _super = _createSuper(BreadCrumb);

    /**
     * 标签类型
     */

    /**
     * 默认参数
     */

    /**
     * 面包屑容器
     */

    /**
     * 面包屑子项容器
     */

    /**
     * 分隔符容器
     */

    /**
     * 光标 X 位置
     */

    /**
     * 光标 Y 位置
     */

    /**
     * 行号
     */

    /**
     *
     * @param options
     */
    function BreadCrumb(options) {
      var _this;

      _classCallCheck(this, BreadCrumb);

      _this = _super.call(this, deepMix({}, BreadCrumb.defaultOptions, options));
      _this.containerShape = void 0;
      _this.breadcrumbItemShapes = [];
      _this.separatorShapes = [];
      _this.cursorX = 0;
      _this.cursorY = 0;
      _this.lineNumber = 1;

      _this.initCursor();

      _this.init();

      return _this;
    }

    _createClass(BreadCrumb, [{
      key: "init",
      value: function init() {
        var _this2 = this;

        var _this$attributes = this.attributes,
            x = _this$attributes.x,
            y = _this$attributes.y,
            items = _this$attributes.items;
        items.forEach(function (item, idx) {
          // 非首项位置后面，渲染分隔符
          if (idx !== 0) {
            _this2.createSeparator();
          }

          var style = _this2.getStyle(item);

          var breadcrumbItemShape = new Text({
            name: "".concat(BreadCrumb.tag, "-item"),
            style: _objectSpread2(_objectSpread2({
              x: _this2.cursorX,
              y: _this2.cursorY,
              lineHeight: style.fontSize
            }, style), {}, {
              text: item.name
            })
          });

          if (idx !== items.length - 1) {
            // 非最后一项的 item 绑定事件
            _this2.bindEvents(breadcrumbItemShape, item);
          } // 计算并添加当前 shape 的宽度


          var textBbox = breadcrumbItemShape.getBounds();
          var textWidth = textBbox.getMax()[0] - textBbox.getMin()[0];

          _this2.isOverWidth(breadcrumbItemShape, _this2.cursorX + textWidth);

          _this2.cursorX += textWidth; // 存入 breadcrumbItemShapes

          _this2.breadcrumbItemShapes.push(breadcrumbItemShape);
        }); // 创建 container 容器

        this.createBreadcrumbContainer(); // 添加面包屑和分隔符的视图

        this.breadcrumbItemShapes.forEach(function (shape) {
          return _this2.appendChild(shape);
        });
        this.separatorShapes.forEach(function (shape) {
          return _this2.appendChild(shape);
        }); // 设置位置

        this.translate(x, y);
      }
      /**
       * 组件更新
       * @param cfg
       */

    }, {
      key: "update",
      value: function update(cfg) {
        this.attr(deepMix({}, this.attributes, cfg));
      }
      /**
       * 组件清除
       */

    }, {
      key: "clear",
      value: function clear() {
        this.destroy();
      }
      /**
       *
       * 初始化 光标位置
       */

    }, {
      key: "initCursor",
      value: function initCursor() {
        var textStyle = this.attributes.textStyle;
        var newPadding = this.getPadding(); // 如果不存在 itemShape 一定是第一行

        if (!this.breadcrumbItemShapes.length) {
          this.lineNumber = 1;
        } // eslint-disable-next-line prefer-destructuring


        this.cursorX = newPadding[3];
        this.cursorY = textStyle.default.lineHeight * this.lineNumber + newPadding[0];
      }
    }, {
      key: "getStyle",
      value: function getStyle(breadcrumbItem) {
        var _this$attributes2 = this.attributes,
            items = _this$attributes2.items,
            textStyle = _this$attributes2.textStyle; // 判断是否是激活态（最后一项）的面包屑

        var isActive = !!(last(items).name === breadcrumbItem.name);
        return isActive ? textStyle.active : textStyle.default;
      }
      /**
       * 创建分隔符shape，返回最新的宽度
       * @param y
       * @returns
       */

    }, {
      key: "createSeparator",
      value: function createSeparator() {
        var separator = this.attributes.separator;
        var spacing = separator.spacing,
            text = separator.text,
            style = separator.style;
        var separatorShape; // 如果分隔符是字符串，创建 Text

        if (typeof text === 'string') {
          separatorShape = new Text({
            name: "".concat(BreadCrumb.tag, "-separator"),
            style: _objectSpread2(_objectSpread2({
              x: this.cursorX + spacing,
              y: this.cursorY,
              lineHeight: style.fontSize
            }, style), {}, {
              text: text
            })
          });
        } else {
          // 如果传入的是 Group 组件
          text.attr({
            x: this.cursorX + spacing,
            y: 0
          });
          separatorShape = text;
        } // 计算并添加当前 shape 的宽度


        var textBbox = separatorShape.getBounds();
        var textWidth = textBbox.getMax()[0] - textBbox.getMin()[0] + spacing * 2;
        this.isOverWidth(separatorShape, this.cursorX + textWidth);
        this.cursorX += textWidth; // 存入 separatorShapes

        this.separatorShapes.push(separatorShape);
      }
      /**
       * 创建面包屑组件容器
       */

    }, {
      key: "createBreadcrumbContainer",
      value: function createBreadcrumbContainer() {
        var _this$attributes3 = this.attributes,
            height = _this$attributes3.height,
            width = _this$attributes3.width;
        var newPadding = this.getPadding();

        if (isNil(height)) {
          height = this.cursorY + newPadding[2];
        }

        if (isNil(width)) {
          width = this.cursorX + newPadding[1];
        }

        this.containerShape = new Rect({
          name: "".concat(BreadCrumb.tag, "-container"),
          style: {
            x: 0,
            y: 0,
            width: width,
            height: height
          }
        });
        this.appendChild(this.containerShape);
      }
      /**
       * 面包屑绑定事件
       * @param shape
       * @param item
       */

    }, {
      key: "bindEvents",
      value: function bindEvents(shape, item) {
        var style = this.getStyle(item);
        var _this$attributes4 = this.attributes,
            items = _this$attributes4.items,
            onclick = _this$attributes4.onclick;
        shape.addEventListener('mouseenter', function () {
          /**
           * fixMe： hover 颜色未改变
           */
          shape.attr(HOVER_STYLE);
        });
        shape.addEventListener('mouseleave', function () {
          shape.attr(style);
        });

        if (onclick) {
          shape.addEventListener('click', function () {
            onclick.call(shape, item.name, item, items);
          });
        }
      }
      /**
       * 判断是否超出宽度
       * @param shape
       * @param newWidth
       */

    }, {
      key: "isOverWidth",
      value: function isOverWidth(shape, newWidth) {
        var width = this.attributes.width;

        if (!isNil(width)) {
          var newPadding = this.getPadding();
          var contentWidth = width - newPadding[1];

          if (newWidth > contentWidth) {
            this.lineNumber += 1;
            this.initCursor();
            shape.attr({
              x: this.cursorX,
              y: this.cursorY
            });
          }
        }
      }
    }, {
      key: "getPadding",
      value: function getPadding() {
        var padding = this.attributes.padding;
        return normalPadding(padding);
      }
    }]);

    return BreadCrumb;
  }(GUI);
  BreadCrumb.tag = 'breadcrumb';
  BreadCrumb.defaultOptions = {
    type: BreadCrumb.tag,
    style: {
      separator: {
        text: '/',
        style: omit(INACTIVE_STYLE, ['cursor']),
        spacing: 8
      },
      textStyle: {
        default: INACTIVE_STYLE,
        active: ACTIVE_STYLE
      },
      padding: [8, 8, 8, 8]
    }
  };

  var Arrow = function Arrow() {
    _classCallCheck(this, Arrow);
  };

  class Base {
      /**
       * 构造函数，根据自定义的选项和默认选项生成当前选项
       * @param options 需要自定义配置的选项
       */
      constructor(options) {
          this.options = deepMix({}, this.getDefaultOptions());
          this.update(options);
      }
      /**
       * 返回当前的所有选项
       * @returns 当前的所有选项
       */
      getOptions() {
          return this.options;
      }
      /**
       * 更新选项和比例尺的内部状态
       * @param updateOptions 需要更新的选项
       */
      update(updateOptions = {}) {
          this.options = deepMix({}, this.options, updateOptions);
          this.rescale(updateOptions);
      }
      /**
       * 根据需要更新 options 和更新后的 options 更新 scale 的内部状态，
       * 在函数内部可以用 this.options 获得更新后的 options
       * @param options 需要更新的 options
       */
      // eslint-disable-next-line @typescript-eslint/no-unused-vars
      rescale(options) { }
  }

  /**
   * 更新 indexMap
   *
   * @param arr 初始的数组
   * @param target 目标 map
   * @returns {Map<string, any>} 生成的 indexMap
   */
  function updateIndexMap(target, arr, key) {
      for (let i = 0; i < arr.length; i += 1) {
          if (!target.has(arr[i])) {
              target.set(key(arr[i]), i);
          }
      }
  }
  /**
   * 基于 indexMap 进行映射
   *
   * @param options 相关选项
   * @see MapBetweenArrOptions
   * @return {any} 映射结果
   */
  function mapBetweenArrByMapIndex(options) {
      const { value, from, to, mapper, notFoundReturn } = options;
      let mappedIndex = mapper.get(value);
      // index 不存在时，我们将 value 添加到原数组, 并更新 Map
      if (mappedIndex === undefined) {
          if (notFoundReturn) {
              return notFoundReturn;
          }
          mappedIndex = from.push(value) - 1;
          mapper.set(value, mappedIndex);
      }
      return to[mappedIndex % to.length];
  }
  function createKey(d) {
      if (d instanceof Date)
          return (d) => `${d}`;
      if (typeof d === 'object')
          return (d) => JSON.stringify(d);
      return (d) => d;
  }
  /**
   * Ordinal 比例尺
   *
   * 该比例尺具有离散的域和范围，例如将一组命名类别映射到一组颜色
   *
   * - 使用 for 替代一些基于 map 的遍历，for 循环性能远高于 forEach, map
   * - 阻止无意义的更新，只有到用户调用 map、invert 或者 update 之后才会进行相应的更新
   * - 两个 map 只初始化一次，在之后的更新中复用他们，这样我们避免了重复 new Map 带来的性能问题
   *   在大量调用 update 函数场景下，较 d3-scale 效率有质的提高
   */
  class Ordinal extends Base {
      // 显示指定 options 的类型为 OrdinalOptions，从而推断出 O 的类型
      constructor(options) {
          super(options);
      }
      // 覆盖默认配置
      getDefaultOptions() {
          return {
              domain: [],
              range: [],
          };
      }
      map(x) {
          if (this.domainIndexMap.size === 0) {
              updateIndexMap(this.domainIndexMap, this.getDomain(), this.domainKey);
          }
          return mapBetweenArrByMapIndex({
              value: this.domainKey(x),
              mapper: this.domainIndexMap,
              from: this.getDomain(),
              to: this.getRange(),
              notFoundReturn: this.options.unknown,
          });
      }
      invert(y) {
          if (this.rangeIndexMap.size === 0) {
              updateIndexMap(this.rangeIndexMap, this.getRange(), this.rangeKey);
          }
          return mapBetweenArrByMapIndex({
              value: this.rangeKey(y),
              mapper: this.rangeIndexMap,
              from: this.getRange(),
              to: this.getDomain(),
              notFoundReturn: this.options.unknown,
          });
      }
      // 因为 ordinal 比例尺更新内部状态的开销较大，所以按需更新
      rescale(options) {
          const [d] = this.options.domain;
          const [r] = this.options.range;
          this.domainKey = createKey(d);
          this.rangeKey = createKey(r);
          // 如果 rangeIndexMap 没有初始化，说明是在初始化阶段
          if (!this.rangeIndexMap) {
              this.rangeIndexMap = new Map();
              this.domainIndexMap = new Map();
              return;
          }
          // 否者是在更新阶段
          if (!options || options.range) {
              this.rangeIndexMap.clear();
          }
          if (!options || options.domain || options.compare) {
              this.domainIndexMap.clear();
              this.sortedDomain = undefined;
          }
      }
      clone() {
          return new Ordinal(this.options);
      }
      getRange() {
          return this.options.range;
      }
      getDomain() {
          // 如果设置了比较器，就排序
          if (this.sortedDomain)
              return this.sortedDomain;
          const { domain, compare } = this.options;
          this.sortedDomain = compare ? [...domain].sort(compare) : domain;
          return this.sortedDomain;
      }
  }

  /**
   * 基于 band 基础配置获取 band 的状态
   *
   * @param opt 相关选项
   * @see BandStateOptions
   * @return {object} 一个新对象, 包含以下内容：
   * step -- 步长
   * adjustedRange -- 最终得到的 range
   * bandWidth -- band 宽度
   */
  function getBandState(opt) {
      const DEFAULT_OPTIONS = {
          range: [0, 1],
          align: 0.5,
          round: false,
          paddingInner: 0,
          paddingOuter: 0,
      };
      const option = {
          ...DEFAULT_OPTIONS,
          ...opt,
      };
      const { range, stepAmount, paddingOuter, paddingInner } = option;
      let step;
      let bandWidth;
      let rangeStart = range[0];
      const rangeEnd = range[1];
      // range 的计算方式如下：
      // = stop - start
      // = (stepAmount * step(n 个 step) )
      // + (2 * step * paddingOuter(两边的 padding))
      // - (1 * step * paddingInner(多出的一个 inner))
      const deltaRange = rangeEnd - rangeStart;
      const outerTotal = paddingOuter * 2;
      const innerTotal = stepAmount - paddingInner;
      step = deltaRange / Math.max(1, outerTotal + innerTotal);
      // 优化成整数
      if (option.round) {
          step = Math.floor(step);
      }
      // 基于 align 实现偏移
      rangeStart += (deltaRange - step * (stepAmount - paddingInner)) * option.align;
      // 一个 step 的组成如下：
      // step = bandWidth + step * paddingInner，
      // 则 bandWidth = step - step * (paddingInner)
      bandWidth = step * (1 - paddingInner);
      if (option.round) {
          rangeStart = Math.round(rangeStart);
          bandWidth = Math.round(bandWidth);
      }
      // 转化后的 range
      const adjustedRange = new Array(stepAmount).fill(0).map((_, i) => rangeStart + i * step);
      return {
          step,
          adjustedRange,
          bandWidth,
      };
  }
  /**
   * Band 比例尺
   *
   * 一种特殊的 ordinal scale，区别在于值域的范围是连续的。
   * 使用的场景例如柱状图，可以用来定位各个柱子水平方向距离原点开始绘制的距离、各柱子之间的间距
   *
   * 由于部分选项较为抽象，见下图描述：
   *
   * PO = paddingOuter
   * PI = paddingInner
   *
   * domain = [A, B]
   *
   * |<------------------------------------------- range ------------------------------------------->|
   * |             |                   |             |                   |             |             |
   * |<--step*PO-->|<----bandWidth---->|<--step*PI-->|<----bandWidth---->|<--step*PI-->|<--step*PO-->|
   * |             | ***************** |             | ***************** |             |             |
   * |             | ******* A ******* |             | ******* B ******* |             |             |
   * |             | ***************** |             | ***************** |             |             |
   * |             |<--------------step------------->|                                               |
   * |-----------------------------------------------------------------------------------------------|
   *
   * 性能方便较 d3 快出 8 - 9 倍
   */
  class Band extends Ordinal {
      // 显示指定 options 的类型为 OrdinalOptions，从而推断出 O 的类型
      constructor(options) {
          super(options);
      }
      // 覆盖默认配置
      getDefaultOptions() {
          return {
              domain: [],
              range: [0, 1],
              align: 0.5,
              round: false,
              paddingInner: 0,
              paddingOuter: 0,
              padding: 0,
              unknown: undefined,
          };
      }
      clone() {
          return new Band(this.options);
      }
      getStep() {
          return this.step;
      }
      getBandWidth() {
          return this.bandWidth;
      }
      getRange() {
          return this.adjustedRange;
      }
      getPaddingInner() {
          const { padding, paddingInner } = this.options;
          return padding > 0 ? padding : paddingInner;
      }
      getPaddingOuter() {
          const { padding, paddingOuter } = this.options;
          return padding > 0 ? padding : paddingOuter;
      }
      rescale() {
          super.rescale();
          // 当用户配置了opt.padding 且非 0 时，我们覆盖已经设置的 paddingInner paddingOuter
          // 我们约定 padding 的优先级较 paddingInner 和 paddingOuter 高
          const { align, domain, range, round } = this.options;
          const { step, bandWidth, adjustedRange } = getBandState({
              align,
              range,
              round,
              paddingInner: this.getPaddingInner(),
              paddingOuter: this.getPaddingOuter(),
              stepAmount: domain.length,
          });
          // 更新必要的属性
          this.step = step;
          this.bandWidth = bandWidth;
          this.adjustedRange = adjustedRange;
      }
  }

  /**
   * 将多个单个参数的函数合成为一个函数，执行顺序为从右到左
   * @param fn 第一个函数
   * @param rest 剩余函数
   * @returns 复合后的函数
   */
  function compose(fn, ...rest) {
      return rest.reduce((pre, cur) => (x) => pre(cur(x)), fn);
  }

  /**
   * 返回一个 normalize 函数，该函数将输入的 t 从 [a, b] 线性变换到 [0, 1]
   * @param a 输入 t 的最小值
   * @param b 输入 t 的最大值
   * @returns normalize 函数
   */
  function createNormalize(a, b) {
      // eslint-disable-next-line @typescript-eslint/no-unused-vars
      return b - a ? (t) => (t - a) / (b - a) : (_) => 0.5;
  }

  /**
   * 返回一个 clamp 函数，将输入限定在指定范围之内
   * @param a 范围的第一个端点
   * @param b 范围的第二个端点
   * @returns clamp 函数
   */
  function createClamp(a, b) {
      const lo = b < a ? b : a;
      const hi = a > b ? a : b;
      return (x) => Math.min(Math.max(lo, x), hi);
  }

  /**
   * 在一个升序的序列指定范围内 array[lo, hi) 二分查找一个值 x，返回最右边一个匹配的值后面的索引 i
   * https://github.com/d3/d3-array/blob/master/src/bisector.js
   * @param array 升序的目标数组
   * @param x 查找的值
   * @param lo 开始的索引
   * @param hi 结束的索引
   * @returns 最右边一个匹配的值后一个的索引
   */
  function bisect(array, x, lo, hi, getter) {
      let i = lo || 0;
      let j = hi || array.length;
      const get = getter || ((x) => x);
      while (i < j) {
          const mid = Math.floor((i + j) / 2);
          if (get(array[mid]) > x) {
              j = mid;
          }
          else {
              i = mid + 1;
          }
      }
      return i;
  }

  const e10 = Math.sqrt(50);
  const e5 = Math.sqrt(10);
  const e2 = Math.sqrt(2);
  function tickIncrement(start, stop, count) {
      const step = (stop - start) / Math.max(0, count);
      const power = Math.floor(Math.log(step) / Math.LN10);
      const error = step / 10 ** power;
      if (power >= 0) {
          // eslint-disable-next-line no-nested-ternary
          return (error >= e10 ? 10 : error >= e5 ? 5 : error >= e2 ? 2 : 1) * 10 ** power;
      }
      // eslint-disable-next-line no-nested-ternary
      return -(10 ** -power) / (error >= e10 ? 10 : error >= e5 ? 5 : error >= e2 ? 2 : 1);
  }

  // 参考 d3-ticks nice 的实现
  const d3LinearNice = (min, max, count = 5) => {
      const d = [min, max];
      let i0 = 0;
      let i1 = d.length - 1;
      let start = d[i0];
      let stop = d[i1];
      let step;
      if (stop < start) {
          [start, stop] = [stop, start];
          [i0, i1] = [i1, i0];
      }
      step = tickIncrement(start, stop, count);
      if (step > 0) {
          start = Math.floor(start / step) * step;
          stop = Math.ceil(stop / step) * step;
          step = tickIncrement(start, stop, count);
      }
      else if (step < 0) {
          start = Math.ceil(start * step) / step;
          stop = Math.floor(stop * step) / step;
          step = tickIncrement(start, stop, count);
      }
      if (step > 0) {
          d[i0] = Math.floor(start / step) * step;
          d[i1] = Math.ceil(stop / step) * step;
      }
      else if (step < 0) {
          d[i0] = Math.ceil(start * step) / step;
          d[i1] = Math.floor(stop * step) / step;
      }
      return d;
  };

  function isValid(x) {
      return !isUndefined(x) && !isNull(x) && !Number.isNaN(x);
  }

  var colorName = {
  	"aliceblue": [240, 248, 255],
  	"antiquewhite": [250, 235, 215],
  	"aqua": [0, 255, 255],
  	"aquamarine": [127, 255, 212],
  	"azure": [240, 255, 255],
  	"beige": [245, 245, 220],
  	"bisque": [255, 228, 196],
  	"black": [0, 0, 0],
  	"blanchedalmond": [255, 235, 205],
  	"blue": [0, 0, 255],
  	"blueviolet": [138, 43, 226],
  	"brown": [165, 42, 42],
  	"burlywood": [222, 184, 135],
  	"cadetblue": [95, 158, 160],
  	"chartreuse": [127, 255, 0],
  	"chocolate": [210, 105, 30],
  	"coral": [255, 127, 80],
  	"cornflowerblue": [100, 149, 237],
  	"cornsilk": [255, 248, 220],
  	"crimson": [220, 20, 60],
  	"cyan": [0, 255, 255],
  	"darkblue": [0, 0, 139],
  	"darkcyan": [0, 139, 139],
  	"darkgoldenrod": [184, 134, 11],
  	"darkgray": [169, 169, 169],
  	"darkgreen": [0, 100, 0],
  	"darkgrey": [169, 169, 169],
  	"darkkhaki": [189, 183, 107],
  	"darkmagenta": [139, 0, 139],
  	"darkolivegreen": [85, 107, 47],
  	"darkorange": [255, 140, 0],
  	"darkorchid": [153, 50, 204],
  	"darkred": [139, 0, 0],
  	"darksalmon": [233, 150, 122],
  	"darkseagreen": [143, 188, 143],
  	"darkslateblue": [72, 61, 139],
  	"darkslategray": [47, 79, 79],
  	"darkslategrey": [47, 79, 79],
  	"darkturquoise": [0, 206, 209],
  	"darkviolet": [148, 0, 211],
  	"deeppink": [255, 20, 147],
  	"deepskyblue": [0, 191, 255],
  	"dimgray": [105, 105, 105],
  	"dimgrey": [105, 105, 105],
  	"dodgerblue": [30, 144, 255],
  	"firebrick": [178, 34, 34],
  	"floralwhite": [255, 250, 240],
  	"forestgreen": [34, 139, 34],
  	"fuchsia": [255, 0, 255],
  	"gainsboro": [220, 220, 220],
  	"ghostwhite": [248, 248, 255],
  	"gold": [255, 215, 0],
  	"goldenrod": [218, 165, 32],
  	"gray": [128, 128, 128],
  	"green": [0, 128, 0],
  	"greenyellow": [173, 255, 47],
  	"grey": [128, 128, 128],
  	"honeydew": [240, 255, 240],
  	"hotpink": [255, 105, 180],
  	"indianred": [205, 92, 92],
  	"indigo": [75, 0, 130],
  	"ivory": [255, 255, 240],
  	"khaki": [240, 230, 140],
  	"lavender": [230, 230, 250],
  	"lavenderblush": [255, 240, 245],
  	"lawngreen": [124, 252, 0],
  	"lemonchiffon": [255, 250, 205],
  	"lightblue": [173, 216, 230],
  	"lightcoral": [240, 128, 128],
  	"lightcyan": [224, 255, 255],
  	"lightgoldenrodyellow": [250, 250, 210],
  	"lightgray": [211, 211, 211],
  	"lightgreen": [144, 238, 144],
  	"lightgrey": [211, 211, 211],
  	"lightpink": [255, 182, 193],
  	"lightsalmon": [255, 160, 122],
  	"lightseagreen": [32, 178, 170],
  	"lightskyblue": [135, 206, 250],
  	"lightslategray": [119, 136, 153],
  	"lightslategrey": [119, 136, 153],
  	"lightsteelblue": [176, 196, 222],
  	"lightyellow": [255, 255, 224],
  	"lime": [0, 255, 0],
  	"limegreen": [50, 205, 50],
  	"linen": [250, 240, 230],
  	"magenta": [255, 0, 255],
  	"maroon": [128, 0, 0],
  	"mediumaquamarine": [102, 205, 170],
  	"mediumblue": [0, 0, 205],
  	"mediumorchid": [186, 85, 211],
  	"mediumpurple": [147, 112, 219],
  	"mediumseagreen": [60, 179, 113],
  	"mediumslateblue": [123, 104, 238],
  	"mediumspringgreen": [0, 250, 154],
  	"mediumturquoise": [72, 209, 204],
  	"mediumvioletred": [199, 21, 133],
  	"midnightblue": [25, 25, 112],
  	"mintcream": [245, 255, 250],
  	"mistyrose": [255, 228, 225],
  	"moccasin": [255, 228, 181],
  	"navajowhite": [255, 222, 173],
  	"navy": [0, 0, 128],
  	"oldlace": [253, 245, 230],
  	"olive": [128, 128, 0],
  	"olivedrab": [107, 142, 35],
  	"orange": [255, 165, 0],
  	"orangered": [255, 69, 0],
  	"orchid": [218, 112, 214],
  	"palegoldenrod": [238, 232, 170],
  	"palegreen": [152, 251, 152],
  	"paleturquoise": [175, 238, 238],
  	"palevioletred": [219, 112, 147],
  	"papayawhip": [255, 239, 213],
  	"peachpuff": [255, 218, 185],
  	"peru": [205, 133, 63],
  	"pink": [255, 192, 203],
  	"plum": [221, 160, 221],
  	"powderblue": [176, 224, 230],
  	"purple": [128, 0, 128],
  	"rebeccapurple": [102, 51, 153],
  	"red": [255, 0, 0],
  	"rosybrown": [188, 143, 143],
  	"royalblue": [65, 105, 225],
  	"saddlebrown": [139, 69, 19],
  	"salmon": [250, 128, 114],
  	"sandybrown": [244, 164, 96],
  	"seagreen": [46, 139, 87],
  	"seashell": [255, 245, 238],
  	"sienna": [160, 82, 45],
  	"silver": [192, 192, 192],
  	"skyblue": [135, 206, 235],
  	"slateblue": [106, 90, 205],
  	"slategray": [112, 128, 144],
  	"slategrey": [112, 128, 144],
  	"snow": [255, 250, 250],
  	"springgreen": [0, 255, 127],
  	"steelblue": [70, 130, 180],
  	"tan": [210, 180, 140],
  	"teal": [0, 128, 128],
  	"thistle": [216, 191, 216],
  	"tomato": [255, 99, 71],
  	"turquoise": [64, 224, 208],
  	"violet": [238, 130, 238],
  	"wheat": [245, 222, 179],
  	"white": [255, 255, 255],
  	"whitesmoke": [245, 245, 245],
  	"yellow": [255, 255, 0],
  	"yellowgreen": [154, 205, 50]
  };

  var isArrayish = function isArrayish(obj) {
  	if (!obj || typeof obj === 'string') {
  		return false;
  	}

  	return obj instanceof Array || Array.isArray(obj) ||
  		(obj.length >= 0 && (obj.splice instanceof Function ||
  			(Object.getOwnPropertyDescriptor(obj, (obj.length - 1)) && obj.constructor.name !== 'String')));
  };

  var simpleSwizzle = createCommonjsModule(function (module) {



  var concat = Array.prototype.concat;
  var slice = Array.prototype.slice;

  var swizzle = module.exports = function swizzle(args) {
  	var results = [];

  	for (var i = 0, len = args.length; i < len; i++) {
  		var arg = args[i];

  		if (isArrayish(arg)) {
  			// http://jsperf.com/javascript-array-concat-vs-push/98
  			results = concat.call(results, slice.call(arg));
  		} else {
  			results.push(arg);
  		}
  	}

  	return results;
  };

  swizzle.wrap = function (fn) {
  	return function () {
  		return fn(swizzle(arguments));
  	};
  };
  });

  var colorString = createCommonjsModule(function (module) {
  /* MIT license */



  var reverseNames = {};

  // create a list of reverse color names
  for (var name in colorName) {
  	if (colorName.hasOwnProperty(name)) {
  		reverseNames[colorName[name]] = name;
  	}
  }

  var cs = module.exports = {
  	to: {},
  	get: {}
  };

  cs.get = function (string) {
  	var prefix = string.substring(0, 3).toLowerCase();
  	var val;
  	var model;
  	switch (prefix) {
  		case 'hsl':
  			val = cs.get.hsl(string);
  			model = 'hsl';
  			break;
  		case 'hwb':
  			val = cs.get.hwb(string);
  			model = 'hwb';
  			break;
  		default:
  			val = cs.get.rgb(string);
  			model = 'rgb';
  			break;
  	}

  	if (!val) {
  		return null;
  	}

  	return {model: model, value: val};
  };

  cs.get.rgb = function (string) {
  	if (!string) {
  		return null;
  	}

  	var abbr = /^#([a-f0-9]{3,4})$/i;
  	var hex = /^#([a-f0-9]{6})([a-f0-9]{2})?$/i;
  	var rgba = /^rgba?\(\s*([+-]?\d+)\s*,\s*([+-]?\d+)\s*,\s*([+-]?\d+)\s*(?:,\s*([+-]?[\d\.]+)\s*)?\)$/;
  	var per = /^rgba?\(\s*([+-]?[\d\.]+)\%\s*,\s*([+-]?[\d\.]+)\%\s*,\s*([+-]?[\d\.]+)\%\s*(?:,\s*([+-]?[\d\.]+)\s*)?\)$/;
  	var keyword = /(\D+)/;

  	var rgb = [0, 0, 0, 1];
  	var match;
  	var i;
  	var hexAlpha;

  	if (match = string.match(hex)) {
  		hexAlpha = match[2];
  		match = match[1];

  		for (i = 0; i < 3; i++) {
  			// https://jsperf.com/slice-vs-substr-vs-substring-methods-long-string/19
  			var i2 = i * 2;
  			rgb[i] = parseInt(match.slice(i2, i2 + 2), 16);
  		}

  		if (hexAlpha) {
  			rgb[3] = parseInt(hexAlpha, 16) / 255;
  		}
  	} else if (match = string.match(abbr)) {
  		match = match[1];
  		hexAlpha = match[3];

  		for (i = 0; i < 3; i++) {
  			rgb[i] = parseInt(match[i] + match[i], 16);
  		}

  		if (hexAlpha) {
  			rgb[3] = parseInt(hexAlpha + hexAlpha, 16) / 255;
  		}
  	} else if (match = string.match(rgba)) {
  		for (i = 0; i < 3; i++) {
  			rgb[i] = parseInt(match[i + 1], 0);
  		}

  		if (match[4]) {
  			rgb[3] = parseFloat(match[4]);
  		}
  	} else if (match = string.match(per)) {
  		for (i = 0; i < 3; i++) {
  			rgb[i] = Math.round(parseFloat(match[i + 1]) * 2.55);
  		}

  		if (match[4]) {
  			rgb[3] = parseFloat(match[4]);
  		}
  	} else if (match = string.match(keyword)) {
  		if (match[1] === 'transparent') {
  			return [0, 0, 0, 0];
  		}

  		rgb = colorName[match[1]];

  		if (!rgb) {
  			return null;
  		}

  		rgb[3] = 1;

  		return rgb;
  	} else {
  		return null;
  	}

  	for (i = 0; i < 3; i++) {
  		rgb[i] = clamp(rgb[i], 0, 255);
  	}
  	rgb[3] = clamp(rgb[3], 0, 1);

  	return rgb;
  };

  cs.get.hsl = function (string) {
  	if (!string) {
  		return null;
  	}

  	var hsl = /^hsla?\(\s*([+-]?(?:\d{0,3}\.)?\d+)(?:deg)?\s*,?\s*([+-]?[\d\.]+)%\s*,?\s*([+-]?[\d\.]+)%\s*(?:[,|\/]\s*([+-]?[\d\.]+)\s*)?\)$/;
  	var match = string.match(hsl);

  	if (match) {
  		var alpha = parseFloat(match[4]);
  		var h = (parseFloat(match[1]) + 360) % 360;
  		var s = clamp(parseFloat(match[2]), 0, 100);
  		var l = clamp(parseFloat(match[3]), 0, 100);
  		var a = clamp(isNaN(alpha) ? 1 : alpha, 0, 1);

  		return [h, s, l, a];
  	}

  	return null;
  };

  cs.get.hwb = function (string) {
  	if (!string) {
  		return null;
  	}

  	var hwb = /^hwb\(\s*([+-]?\d{0,3}(?:\.\d+)?)(?:deg)?\s*,\s*([+-]?[\d\.]+)%\s*,\s*([+-]?[\d\.]+)%\s*(?:,\s*([+-]?[\d\.]+)\s*)?\)$/;
  	var match = string.match(hwb);

  	if (match) {
  		var alpha = parseFloat(match[4]);
  		var h = ((parseFloat(match[1]) % 360) + 360) % 360;
  		var w = clamp(parseFloat(match[2]), 0, 100);
  		var b = clamp(parseFloat(match[3]), 0, 100);
  		var a = clamp(isNaN(alpha) ? 1 : alpha, 0, 1);
  		return [h, w, b, a];
  	}

  	return null;
  };

  cs.to.hex = function () {
  	var rgba = simpleSwizzle(arguments);

  	return (
  		'#' +
  		hexDouble(rgba[0]) +
  		hexDouble(rgba[1]) +
  		hexDouble(rgba[2]) +
  		(rgba[3] < 1
  			? (hexDouble(Math.round(rgba[3] * 255)))
  			: '')
  	);
  };

  cs.to.rgb = function () {
  	var rgba = simpleSwizzle(arguments);

  	return rgba.length < 4 || rgba[3] === 1
  		? 'rgb(' + Math.round(rgba[0]) + ', ' + Math.round(rgba[1]) + ', ' + Math.round(rgba[2]) + ')'
  		: 'rgba(' + Math.round(rgba[0]) + ', ' + Math.round(rgba[1]) + ', ' + Math.round(rgba[2]) + ', ' + rgba[3] + ')';
  };

  cs.to.rgb.percent = function () {
  	var rgba = simpleSwizzle(arguments);

  	var r = Math.round(rgba[0] / 255 * 100);
  	var g = Math.round(rgba[1] / 255 * 100);
  	var b = Math.round(rgba[2] / 255 * 100);

  	return rgba.length < 4 || rgba[3] === 1
  		? 'rgb(' + r + '%, ' + g + '%, ' + b + '%)'
  		: 'rgba(' + r + '%, ' + g + '%, ' + b + '%, ' + rgba[3] + ')';
  };

  cs.to.hsl = function () {
  	var hsla = simpleSwizzle(arguments);
  	return hsla.length < 4 || hsla[3] === 1
  		? 'hsl(' + hsla[0] + ', ' + hsla[1] + '%, ' + hsla[2] + '%)'
  		: 'hsla(' + hsla[0] + ', ' + hsla[1] + '%, ' + hsla[2] + '%, ' + hsla[3] + ')';
  };

  // hwb is a bit different than rgb(a) & hsl(a) since there is no alpha specific syntax
  // (hwb have alpha optional & 1 is default value)
  cs.to.hwb = function () {
  	var hwba = simpleSwizzle(arguments);

  	var a = '';
  	if (hwba.length >= 4 && hwba[3] !== 1) {
  		a = ', ' + hwba[3];
  	}

  	return 'hwb(' + hwba[0] + ', ' + hwba[1] + '%, ' + hwba[2] + '%' + a + ')';
  };

  cs.to.keyword = function (rgb) {
  	return reverseNames[rgb.slice(0, 3)];
  };

  // helpers
  function clamp(num, min, max) {
  	return Math.min(Math.max(min, num), max);
  }

  function hexDouble(num) {
  	var str = num.toString(16).toUpperCase();
  	return (str.length < 2) ? '0' + str : str;
  }
  });

  function hue2rgb(p, q, m) {
      let t = m;
      if (t < 0)
          t += 1;
      if (t > 1)
          t -= 1;
      if (t < 1 / 6)
          return p + (q - p) * 6 * t;
      if (t < 1 / 2)
          return q;
      if (t < 2 / 3)
          return p + (q - p) * (2 / 3 - t) * 6;
      return p;
  }
  function hsl2rbg(hsl) {
      const h = hsl[0] / 360;
      const s = hsl[1] / 100;
      const l = hsl[2] / 100;
      const a = hsl[3];
      if (s === 0)
          return [l * 255, l * 255, l * 255, a];
      const q = l < 0.5 ? l * (1 + s) : l + s - l * s;
      const p = 2 * l - q;
      const r = hue2rgb(p, q, h + 1 / 3);
      const g = hue2rgb(p, q, h);
      const b = hue2rgb(p, q, h - 1 / 3);
      return [r * 255, g * 255, b * 255, a];
  }
  function string2rbg(s) {
      const color = colorString.get(s);
      if (!color)
          return null;
      const { model, value } = color;
      if (model === 'rgb')
          return value;
      if (model === 'hsl')
          return hsl2rbg(value);
      return null;
  }

  /**
   * 返回一个线性插值器，接受数字
   * @param a 任意值
   * @param b 任意值
   * @returns 线性插值器
   */
  const createInterpolateNumber = (a, b) => {
      return (t) => a * (1 - t) + b * t;
  };
  const createInterpolateColor = (a, b) => {
      const c1 = string2rbg(a);
      const c2 = string2rbg(b);
      if (c1 === null || c2 === null)
          return c1 ? () => a : () => b;
      return (t) => {
          const values = new Array(4);
          for (let i = 0; i < 4; i += 1) {
              const from = c1[i];
              const to = c2[i];
              values[i] = from * (1 - t) + to * t;
          }
          const [r, g, b, a] = values;
          return `rgba(${Math.round(r)}, ${Math.round(g)}, ${Math.round(b)}, ${a})`;
      };
  };
  /**
   * 返回一个线性插值器，接受数字和颜色
   * @param a 任意值
   * @param b 任意值
   * @returns 线性插值器
   */
  const createInterpolateValue = (a, b) => {
      if (typeof a === 'number' && typeof b === 'number')
          return createInterpolateNumber(a, b);
      if (typeof a === 'string' && typeof b === 'string')
          return createInterpolateColor(a, b);
      return () => a;
  };
  /**
   * 返回一个 round 线性差值器，对输出值进行四舍五入
   * @param a 任意值
   * @param b 任意值
   * @returns 线性插值器
   */
  const createInterpolateRound = (a, b) => {
      const interpolateNumber = createInterpolateNumber(a, b);
      return (t) => Math.round(interpolateNumber(t));
  };

  const d3Ticks = (begin, end, count) => {
      let n;
      let ticks;
      let start = begin;
      let stop = end;
      if (start === stop && count > 0) {
          return [start];
      }
      let step = tickIncrement(start, stop, count);
      if (step === 0 || !Number.isFinite(step)) {
          return [];
      }
      if (step > 0) {
          start = Math.ceil(start / step);
          stop = Math.floor(stop / step);
          ticks = new Array((n = Math.ceil(stop - start + 1)));
          for (let i = 0; i < n; i += 1) {
              ticks[i] = (start + i) * step;
          }
      }
      else {
          step = -step;
          start = Math.ceil(start * step);
          stop = Math.floor(stop * step);
          ticks = new Array((n = Math.ceil(stop - start + 1)));
          for (let i = 0; i < n; i += 1) {
              ticks[i] = (start + i) / step;
          }
      }
      return ticks;
  };

  /** 当 domain 和 range 只有一段的时候的 map 的 工厂函数 */
  const createBiMap = (domain, range, createInterpolate) => {
      const [d0, d1] = domain;
      const [r0, r1] = range;
      let normalize;
      let interpolate;
      if (d0 < d1) {
          normalize = createNormalize(d0, d1);
          interpolate = createInterpolate(r0, r1);
      }
      else {
          normalize = createNormalize(d1, d0);
          interpolate = createInterpolate(r1, r0);
      }
      return compose(interpolate, normalize);
  };
  /** 当 domain 和 range 有多段时候的 map 的 工厂函数 */
  const createPolyMap = (domain, range, createInterpolate) => {
      const len = Math.min(domain.length, range.length) - 1;
      const normalizeList = new Array(len);
      const interpolateList = new Array(len);
      const reverse = domain[0] > domain[len];
      const ascendingDomain = reverse ? [...domain].reverse() : domain;
      const ascendingRange = reverse ? [...range].reverse() : range;
      // 每一段都生成 normalize 和 interpolate
      for (let i = 0; i < len; i += 1) {
          normalizeList[i] = createNormalize(ascendingDomain[i], ascendingDomain[i + 1]);
          interpolateList[i] = createInterpolate(ascendingRange[i], ascendingRange[i + 1]);
      }
      // 二分最右查找到相应的 normalize 和 interpolate
      return (x) => {
          const i = bisect(domain, x, 1, len) - 1;
          const normalize = normalizeList[i];
          const interpolate = interpolateList[i];
          return compose(interpolate, normalize)(x);
      };
  };
  /** 选择一个分段映射的函数 */
  const choosePiecewise = (domain, range, interpolate, shouldRound) => {
      const n = Math.min(domain.length, range.length);
      const createPiecewise = n > 2 ? createPolyMap : createBiMap;
      const createInterpolate = shouldRound ? createInterpolateRound : interpolate;
      return createPiecewise(domain, range, createInterpolate);
  };
  /**
   * Continuous 比例尺 的输入 x 和输出 y 满足：y = a * f(x) + b
   * 通过函数柯里化和复合函数可以在映射过程中去掉分支，提高性能。
   * 参考：https://github.com/d3/d3-scale/blob/master/src/continuous.js
   */
  class Continuous extends Base {
      getDefaultOptions() {
          return {
              domain: [0, 1],
              range: [0, 1],
              nice: false,
              clamp: false,
              round: false,
              interpolate: createInterpolateNumber,
              tickCount: 5,
          };
      }
      /**
       * y = interpolate(normalize(clamp(transform(x))))
       */
      map(x) {
          if (!isValid(x))
              return this.options.unknown;
          return this.output(x);
      }
      /**
       * x = transform(clamp(interpolate(normalize(y))))
       */
      invert(x) {
          if (!isValid(x))
              return this.options.unknown;
          return this.input(x);
      }
      nice() {
          if (!this.options.nice)
              return;
          const [min, max, tickCount, ...rest] = this.getTickMethodOptions();
          this.options.domain = this.chooseNice()(min, max, tickCount, ...rest);
      }
      getTicks() {
          const { tickMethod } = this.options;
          const [min, max, tickCount, ...rest] = this.getTickMethodOptions();
          return tickMethod(min, max, tickCount, ...rest);
      }
      getTickMethodOptions() {
          const { domain, tickCount } = this.options;
          const min = domain[0];
          const max = domain[domain.length - 1];
          return [min, max, tickCount];
      }
      chooseNice() {
          return d3LinearNice;
      }
      rescale() {
          this.nice();
          const [transform, untransform] = this.chooseTransforms();
          this.composeOutput(transform, this.chooseClamp(transform));
          this.composeInput(transform, untransform, this.chooseClamp(untransform));
      }
      chooseClamp(transform) {
          const { clamp: shouldClamp, range } = this.options;
          const domain = this.options.domain.map(transform);
          const n = Math.min(domain.length, range.length);
          return shouldClamp ? createClamp(domain[0], domain[n - 1]) : identity$1;
      }
      composeOutput(transform, clamp) {
          const { domain, range, round, interpolate } = this.options;
          const piecewise = choosePiecewise(domain.map(transform), range, interpolate, round);
          this.output = compose(piecewise, clamp, transform);
      }
      composeInput(transform, untransform, clamp) {
          const { domain, range } = this.options;
          const piecewise = choosePiecewise(range, domain.map(transform), createInterpolateNumber);
          this.input = compose(untransform, clamp, piecewise);
      }
  }

  /**
   * Linear 比例尺
   *
   * 构造可创建一个在输入和输出之间具有线性关系的比例尺
   */
  class Linear extends Continuous {
      getDefaultOptions() {
          return {
              domain: [0, 1],
              range: [0, 1],
              unknown: undefined,
              nice: false,
              clamp: false,
              round: false,
              interpolate: createInterpolateValue,
              tickMethod: d3Ticks,
              tickCount: 5,
          };
      }
      chooseTransforms() {
          return [identity$1, identity$1];
      }
      clone() {
          return new Linear(this.options);
      }
  }

  function shorten(arr, sLen) {
      var newArr = [];
      for (var i = 0, len = arr.length; i < len; i++) {
          newArr.push(arr[i].substr(0, sLen));
      }
      return newArr;
  }
  function assign(origObj) {
      var args = [];
      for (var _i = 1; _i < arguments.length; _i++) {
          args[_i - 1] = arguments[_i];
      }
      for (var _a = 0, args_1 = args; _a < args_1.length; _a++) {
          var obj = args_1[_a];
          for (var key in obj) {
              // @ts-ignore ex
              origObj[key] = obj[key];
          }
      }
      return origObj;
  }
  var dayNames = [
      "Sunday",
      "Monday",
      "Tuesday",
      "Wednesday",
      "Thursday",
      "Friday",
      "Saturday"
  ];
  var monthNames = [
      "January",
      "February",
      "March",
      "April",
      "May",
      "June",
      "July",
      "August",
      "September",
      "October",
      "November",
      "December"
  ];
  var monthNamesShort = shorten(monthNames, 3);
  var dayNamesShort = shorten(dayNames, 3);
  var defaultI18n = {
      dayNamesShort: dayNamesShort,
      dayNames: dayNames,
      monthNamesShort: monthNamesShort,
      monthNames: monthNames,
      amPm: ["am", "pm"],
      DoFn: function (dayOfMonth) {
          return (dayOfMonth +
              ["th", "st", "nd", "rd"][dayOfMonth % 10 > 3
                  ? 0
                  : ((dayOfMonth - (dayOfMonth % 10) !== 10 ? 1 : 0) * dayOfMonth) % 10]);
      }
  };
  var globalI18n = assign({}, defaultI18n);

  var _excluded$2 = ["style"];
  var Lines = /*#__PURE__*/function (_DisplayObject) {
    _inherits(Lines, _DisplayObject);

    var _super = _createSuper(Lines);

    function Lines(_ref) {
      var _this;

      var style = _ref.style,
          rest = _objectWithoutProperties(_ref, _excluded$2);

      _classCallCheck(this, Lines);

      _this = _super.call(this, _objectSpread2({
        type: 'lines',
        style: style
      }, rest));
      _this.linesGroup = void 0;
      _this.areasGroup = void 0;
      _this.linesGroup = new Group({
        name: 'lines'
      });

      _this.appendChild(_this.linesGroup);

      _this.areasGroup = new Group({
        name: 'areas'
      });

      _this.appendChild(_this.areasGroup);

      _this.render();

      return _this;
    }

    _createClass(Lines, [{
      key: "render",
      value: function render() {
        var _this$attributes = this.attributes,
            lines = _this$attributes.lines,
            areas = _this$attributes.areas;
        if (lines) this.createLines(lines);
        if (areas) this.createAreas(areas);
      }
    }, {
      key: "clear",
      value: function clear() {
        this.linesGroup.removeChildren(true);
        this.areasGroup.removeChildren(true);
      }
    }, {
      key: "update",
      value: function update(cfg) {
        var lines = cfg.lines,
            areas = cfg.areas;
        this.clear();
        lines && this.setAttribute('lines', lines);
        areas && this.setAttribute('areas', areas);
        this.render();
      }
    }, {
      key: "createLines",
      value: function createLines(lines) {
        var _this2 = this;

        lines.forEach(function (cfg) {
          _this2.linesGroup.appendChild(new Path({
            name: 'line',
            style: cfg
          }));
        });
      }
    }, {
      key: "createAreas",
      value: function createAreas(areas) {
        var _this3 = this;

        areas.forEach(function (cfg) {
          _this3.areasGroup.appendChild(new Path({
            name: 'area',
            style: cfg
          }));
        });
      }
    }]);

    return Lines;
  }(DisplayObject);

  var _excluded$6 = ["style"];
  var Columns = /*#__PURE__*/function (_DisplayObject) {
    _inherits(Columns, _DisplayObject);

    var _super = _createSuper(Columns);

    function Columns(_ref) {
      var _this;

      var style = _ref.style,
          rest = _objectWithoutProperties(_ref, _excluded$6);

      _classCallCheck(this, Columns);

      _this = _super.call(this, _objectSpread2({
        type: 'column',
        style: style
      }, rest));
      _this.columnsGroup = void 0;
      _this.columnsGroup = new Group({
        name: 'columns'
      });

      _this.appendChild(_this.columnsGroup);

      _this.render();

      return _this;
    }

    _createClass(Columns, [{
      key: "render",
      value: function render() {
        var _this2 = this;

        var columns = this.attributes.columns;
        columns.forEach(function (column) {
          column.forEach(function (cfg) {
            _this2.columnsGroup.appendChild(new Rect({
              name: 'column',
              style: cfg
            }));
          });
        });
      }
    }, {
      key: "update",
      value: function update(cfg) {
        this.attr(deepMix({}, this.attributes, cfg));
        var columns = cfg.columns;

        if (columns) {
          this.clear();
          this.render();
        }
      }
    }, {
      key: "clear",
      value: function clear() {
        this.removeChildren(true);
      }
    }]);

    return Columns;
  }(DisplayObject);

  /**
   * 获得数据的最值
   */

  function getRange(data) {
    if (data.length === 0) return [0, 0];
    return [min$1(minBy(data, function (arr) {
      return min$1(arr) || 0;
    })), max$1(maxBy(data, function (arr) {
      return max$1(arr) || 0;
    }))];
  }
  /**
   * 数据转换为堆叠数据
   */

  function getStackedData(_) {
    var data = clone$2(_); // 生成堆叠数据

    var datumLen = data[0].length; // 上一个堆叠的数据值，分别记录正负

    var _ref = [new Array(datumLen).fill(0), new Array(datumLen).fill(0)],
        positivePrev = _ref[0],
        negativePrev = _ref[1];

    for (var i = 0; i < data.length; i += 1) {
      var datum = data[i];

      for (var j = 0; j < datumLen; j += 1) {
        if (datum[j] >= 0) {
          datum[j] += positivePrev[j];
          positivePrev[j] = datum[j];
        } else {
          datum[j] += negativePrev[j];
          negativePrev[j] = datum[j];
        }
      }
    }

    return data;
  }

  /**
   * 根据数据获得每条线各点x，y值
   */

  function dataToLines(data, scales) {
    var x = scales.x,
        y = scales.y;
    return data.map(function (points) {
      var lines = points.map(function (val, idx) {
        return [x.map(idx), y.map(val)];
      });
      return lines;
    });
  }
  /**
   * 根据线的点数据生成折线path
   */

  function lineToLinePath(line) {
    var reverse = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : false;
    var M = reverse ? line.length - 1 : 0;
    var linePath = line.map(function (point, idx) {
      return [idx === M ? 'M' : 'L'].concat(_toConsumableArray(point));
    });
    return reverse ? linePath.reverse() : linePath;
  }
  /**
   * 根据点数据生成曲线path
   * @param points 点数据
   * @param reverse 是否倒序生成
   */

  function lineToCurvePath(line) {
    var reverse = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : false;

    if (line.length <= 2) {
      return lineToLinePath(line);
    }

    var data = [];
    var len = line.length;

    for (var idx = 0; idx < len; idx += 1) {
      var point = reverse ? line[len - idx - 1] : line[idx];

      if (!isEqual(point, data.slice(-2))) {
        data.push.apply(data, _toConsumableArray(point));
      }
    }

    var path = catmullRom2Bezier(data, false);

    if (reverse) {
      path.unshift(['M'].concat(_toConsumableArray(line[len - 1])));
    } else {
      path.unshift(['M', 0, 0], ['M'].concat(_toConsumableArray(line[0])));
    }

    return path;
  }
  /**
   * 根据baseline将path闭合
   */

  function closePathByBaseLine(path, width, baseline) {
    var closedPath = clone$2(path);
    closedPath.push(['L', width, baseline], ['L', 0, baseline], ['Z']);
    return closedPath;
  }
  /**
   * 将多条线的点数据生成区域path
   * 可以是折线或曲线
   */

  function linesToAreaPaths(lines, smooth, width, baseline) {
    return lines.map(function (line) {
      return closePathByBaseLine(smooth ? lineToCurvePath(line) : lineToLinePath(line), width, baseline);
    });
  }
  /**
   * 生成折线堆叠区域封闭图形路径
   */

  function linesToStackAreaPaths(lines, width, baseline) {
    var paths = [];

    for (var idx = lines.length - 1; idx >= 0; idx -= 1) {
      var currLine = lines[idx];
      var currCurvePath = lineToLinePath(currLine);
      var path = void 0;

      if (idx === 0) {
        // 最底部的线直接与y=0连接成闭合区域
        path = closePathByBaseLine(currCurvePath, width, baseline);
      } else {
        // 计算下一根曲线的反向路径
        var belowLine = lines[idx - 1];
        var belowCurvePath = lineToLinePath(belowLine, true);
        belowCurvePath[0][0] = 'L'; // 连接路径

        path = [].concat(_toConsumableArray(currCurvePath), _toConsumableArray(belowCurvePath), [['Z']]);
      }

      paths.push(path);
    }

    return paths;
  }
  /**
   * 生成曲线堆叠区域封闭图形路径
   */

  function linesToStackCurveAreaPaths(lines, width, baseline) {
    var paths = [];

    for (var idx = lines.length - 1; idx >= 0; idx -= 1) {
      var currLine = lines[idx];
      var currCurvePath = lineToCurvePath(currLine);
      var path = void 0;

      if (idx === 0) {
        // 最底部的线直接与y=0连接成闭合区域
        path = closePathByBaseLine(currCurvePath, width, baseline);
      } else {
        // 计算下一根曲线的反向路径
        var belowLine = lines[idx - 1];
        var belowCurvePath = lineToCurvePath(belowLine, true); // TODO: shift 是为了移除 M 0 0标记
        // belowCurvePath.pop();

        /**
         * 将线条连接成闭合路径
         *  M C C C C C
         *  A ～ -> ～ B
         *  ⬆        ⬇
         *  D ～ <- ～ C
         *  C C C C C M
         *
         */

        var A = currLine[0]; // const B = currLine[currLine.length - 1];
        // const C = belowLine[belowLine.length - 1];
        // const D = belowLine[0];
        // 将反向曲线开头 M X Y 改为 L X Y

        belowCurvePath[0][0] = 'L'; // 连接路径

        path = [].concat(_toConsumableArray(currCurvePath), _toConsumableArray(belowCurvePath), [['M'].concat(_toConsumableArray(A)), ['Z']]);
      }

      paths.push(path);
    }

    return paths;
  }

  var Sparkline = /*#__PURE__*/function (_GUI) {
    _inherits(Sparkline, _GUI);

    var _super = _createSuper(Sparkline);

    // sparkline容器
    // Lines或者Columns
    function Sparkline(options) {
      var _this;

      _classCallCheck(this, Sparkline);

      _this = _super.call(this, deepMix({}, Sparkline.defaultOptions, options));
      _this.containerShape = void 0;
      _this.sparkShape = void 0;
      _this.containerShape = new Rect({
        name: 'container',
        style: _this.getContainerCfg()
      });

      _this.appendChild(_this.containerShape);

      _this.init();

      return _this;
    }

    _createClass(Sparkline, [{
      key: "init",
      value: function init() {
        this.sparkShape = this.createSparkline();
        this.appendChild(this.sparkShape);
      }
      /**
       * 组件的更新
       */

    }, {
      key: "update",
      value: function update(cfg) {
        var oldType = this.attributes.type;
        this.attr(deepMix({}, this.attributes, cfg));
        var type = cfg.type; // 如果type变了，需要清空this.sparkShapes子元素

        if (type && type !== oldType) {
          this.clear();
          this.sparkShape = this.createSparkline();
          this.appendChild(this.sparkShape);
        }

        if (this.sparkShape instanceof Lines) this.sparkShape.update(this.getLinesCfg());else this.sparkShape.update(this.getColumnsCfg());
      }
      /**
       * 组件的清除
       */

    }, {
      key: "clear",
      value: function clear() {
        this.removeChild(this.sparkShape);
        this.sparkShape.clear();
        this.sparkShape.destroy();
      }
    }, {
      key: "createSparkline",
      value: function createSparkline() {
        var type = this.attributes.type;
        var baseCfg = {
          name: 'sparkline'
        };
        if (type === 'line') return new Lines(_objectSpread2(_objectSpread2({}, baseCfg), {}, {
          style: this.getLinesCfg()
        })); // if (type === 'column')

        return new Columns(_objectSpread2(_objectSpread2({}, baseCfg), {}, {
          style: this.getColumnsCfg()
        }));
      }
      /**
       * 根据数据索引获取color
       */

    }, {
      key: "getColor",
      value: function getColor(index) {
        var color = this.attributes.color;

        if (isArray(color)) {
          return color[index % color.length];
        }

        if (isFunction(color)) {
          return color.call(null, index);
        }

        return color;
      }
      /**
       * 根据数据生成scale
       */

    }, {
      key: "createScales",
      value: function createScales(data) {
        var _this$attributes = this.attributes,
            type = _this$attributes.type,
            isGroup = _this$attributes.isGroup,
            barPadding = _this$attributes.barPadding;

        var _this$getContainerCfg = this.getContainerCfg(),
            width = _this$getContainerCfg.width,
            height = _this$getContainerCfg.height;

        var _getRange = getRange(data),
            _getRange2 = _slicedToArray(_getRange, 2),
            minVal = _getRange2[0],
            maxVal = _getRange2[1];

        return {
          type: type,
          x: type === 'line' ? new Linear({
            domain: [0, data[0].length - 1],
            range: [0, width]
          }) : new Band({
            domain: data[0].map(function (val, idx) {
              return idx;
            }),
            range: [0, width],
            paddingInner: isGroup ? barPadding : 0
          }),
          y: new Linear({
            domain: [minVal >= 0 ? 0 : minVal, maxVal],
            range: [height, 0]
          })
        };
      }
      /**
       * 将data统一格式化为数组形式
       * 如果堆叠，则生成堆叠数据
       */

    }, {
      key: "getData",
      value: function getData() {
        var _ = this.attributes.data;
        if (!_ || (_ === null || _ === void 0 ? void 0 : _.length) === 0) return [[]];
        var data = clone$2(_); // number[] -> number[][]

        if (isNumber(data[0])) data = [data];
        return data;
      }
    }, {
      key: "getContainerCfg",
      value: function getContainerCfg() {
        var _this$attributes2 = this.attributes,
            width = _this$attributes2.width,
            height = _this$attributes2.height;
        return {
          width: width,
          height: height
        };
      }
    }, {
      key: "getLinesCfg",
      value: function getLinesCfg() {
        var _this2 = this;

        var _this$attributes3 = this.attributes,
            areaStyle = _this$attributes3.areaStyle,
            isStack = _this$attributes3.isStack,
            lineStyle = _this$attributes3.lineStyle,
            smooth = _this$attributes3.smooth;

        var _this$getContainerCfg2 = this.getContainerCfg(),
            width = _this$getContainerCfg2.width;

        var data = this.getData();
        if (data[0].length === 0) return {
          lines: [],
          areas: []
        };
        if (isStack) data = getStackedData(data);

        var _this$createScales = this.createScales(data),
            x = _this$createScales.x,
            y = _this$createScales.y; // 线条Path


        var lines = dataToLines(data, {
          type: 'line',
          x: x,
          y: y
        }); // 生成区域path

        var areas = [];

        if (areaStyle) {
          var range = getRange(data);
          var baseline = y.map(range[0] < 0 ? 0 : range[0]);

          if (isStack) {
            areas = smooth ? linesToStackCurveAreaPaths(lines, width, baseline) : linesToStackAreaPaths(lines, width, baseline);
          } else {
            areas = linesToAreaPaths(lines, smooth, width, baseline);
          }
        }

        return {
          lines: lines.map(function (line, idx) {
            return _objectSpread2({
              stroke: _this2.getColor(idx),
              path: smooth ? lineToCurvePath(line) : lineToLinePath(line)
            }, lineStyle);
          }),
          areas: areas.map(function (path, idx) {
            return _objectSpread2({
              path: path,
              fill: _this2.getColor(idx)
            }, areaStyle);
          })
        };
      }
    }, {
      key: "getColumnsCfg",
      value: function getColumnsCfg() {
        var _this3 = this;

        var _this$attributes4 = this.attributes,
            isStack = _this$attributes4.isStack,
            columnStyle = _this$attributes4.columnStyle;

        var _this$getContainerCfg3 = this.getContainerCfg(),
            height = _this$getContainerCfg3.height;

        var data = this.getData();
        if (!data) return {
          columns: []
        };
        if (isStack) data = getStackedData(data);

        var _this$createScales2 = this.createScales(data),
            x = _this$createScales2.x,
            y = _this$createScales2.y;

        var _getRange3 = getRange(data),
            _getRange4 = _slicedToArray(_getRange3, 2),
            minVal = _getRange4[0],
            maxVal = _getRange4[1];

        var heightScale = new Linear({
          domain: [0, maxVal - (minVal > 0 ? 0 : minVal)],
          range: [0, height]
        });
        var bandWidth = x.getBandWidth();
        var rawData = this.getData();
        return {
          columns: data.map(function (column, i) {
            return column.map(function (val, j) {
              var barWidth = bandWidth / data.length;
              return _objectSpread2(_objectSpread2({
                fill: _this3.getColor(i)
              }, columnStyle), isStack ? {
                x: x.map(j),
                y: y.map(val),
                width: bandWidth,
                height: heightScale.map(rawData[i][j])
              } : {
                x: x.map(j) + barWidth * i,
                y: val >= 0 ? y.map(val) : y.map(0),
                width: barWidth,
                height: heightScale.map(Math.abs(val))
              });
            });
          })
        };
      }
    }]);

    return Sparkline;
  }(GUI);
  Sparkline.tag = 'Sparkline';
  Sparkline.defaultOptions = {
    style: {
      type: 'line',
      width: 200,
      height: 20,
      // data: [],
      isStack: false,
      color: ['#83daad', '#edbf45', '#d2cef9', '#e290b3', '#6f63f4'],
      smooth: true,
      lineStyle: {
        lineWidth: 1
      },
      isGroup: false,
      columnStyle: {
        lineWidth: 1,
        stroke: '#fff',
        padding: 0.1
      }
    }
  };

  var _excluded$7 = ["style"],
      _excluded2 = ["type", "orient"],
      _excluded3 = ["size"],
      _excluded4 = ["type", "orient"];
  var Handle = /*#__PURE__*/function (_DisplayObject) {
    _inherits(Handle, _DisplayObject);

    var _super = _createSuper(Handle);

    function Handle(_ref) {
      var _this;

      var style = _ref.style,
          rest = _objectWithoutProperties(_ref, _excluded$7);

      _classCallCheck(this, Handle);

      _this = _super.call(this, _objectSpread2({
        type: 'handle',
        style: style
      }, rest));
      _this.iconShape = void 0;
      _this.textShape = void 0;
      _this.iconShape = _this.createHandleIcon();

      _this.appendChild(_this.iconShape);

      _this.textShape = _this.createHandleText();

      _this.appendChild(_this.textShape);

      _this.setHandleIconRotation();

      return _this;
    }

    _createClass(Handle, [{
      key: "setHandle",
      value: function setHandle(_ref2) {
        var x = _ref2.x,
            y = _ref2.y;
        this.attr({
          x: x,
          y: y
        });
      }
    }, {
      key: "setHandleText",
      value: function setHandleText(_ref3) {
        var x = _ref3.x,
            y = _ref3.y,
            text = _ref3.text;
        this.textShape.attr({
          x: x,
          y: y,
          text: text
        });
      }
    }, {
      key: "getIcon",
      value: function getIcon() {
        return this.iconShape;
      }
    }, {
      key: "getType",
      value: function getType() {
        return get(this.attributes, 'handleType');
      }
    }, {
      key: "update",
      value: function update(cfg) {
        var _get = get(this.attributes, ['iconCfg', 'type']),
            oldType = _get.type;

        this.attr(deepMix({}, this.attributes, cfg));
        var iconCfg = cfg.iconCfg,
            textCfg = cfg.textCfg;

        if (iconCfg) {
          var type = iconCfg.type,
              orient = iconCfg.orient,
              rest = _objectWithoutProperties(iconCfg, _excluded2);

          if (oldType !== type) {
            this.clear();
            this.iconShape = this.createHandleIcon();
          } else {
            this.iconShape.attr(rest);
          }

          this.setHandleIconRotation();
        }

        if (textCfg) {
          this.textShape.attr(_objectSpread2({}, textCfg));
        }
      }
      /**
       * 创建默认手柄图标
       */

    }, {
      key: "createDefaultIcon",
      value: function createDefaultIcon() {
        var _this$attributes$icon = this.attributes.iconCfg,
            size = _this$attributes$icon.size,
            rest = _objectWithoutProperties(_this$attributes$icon, _excluded3); // 默认手柄


        var width = size;
        var height = width * 2.4; // 创建默认图形

        var defaultHandle = new Rect({
          name: 'icon',
          style: _objectSpread2({
            width: width,
            height: height,
            x: -width / 2,
            y: -height / 2,
            radius: width / 4
          }, rest)
        });
        var stroke = rest.stroke,
            lineWidth = rest.lineWidth;
        var X1 = 1 / 3 * width;
        var X2 = 2 / 3 * width;
        var Y1 = 1 / 4 * height;
        var Y2 = 3 / 4 * height;

        var createLine = function createLine(x1, y1, x2, y2) {
          return new Line({
            name: 'line',
            style: {
              x1: x1,
              y1: y1,
              x2: x2,
              y2: y2,
              stroke: stroke,
              lineWidth: lineWidth
            }
          });
        };

        defaultHandle.appendChild(createLine(X1, Y1, X1, Y2));
        defaultHandle.appendChild(createLine(X2, Y1, X2, Y2));
        defaultHandle.setOrigin(width / 2, height / 2);
        return defaultHandle;
      }
    }, {
      key: "createHandleIcon",
      value: function createHandleIcon() {
        var _get2 = get(this.attributes, ['iconCfg']),
            type = _get2.type,
            orient = _get2.orient,
            style = _objectWithoutProperties(_get2, _excluded4);

        if (type === 'hide') {
          return new Rect({
            style: style,
            name: 'icon'
          });
        }

        if (type === 'symbol') {
          return new Marker({
            style: style,
            name: 'icon'
          });
        } // type === 'default'


        return this.createDefaultIcon();
      }
    }, {
      key: "createHandleText",
      value: function createHandleText() {
        var textCfg = this.attributes.textCfg;
        return new Text({
          name: 'text',
          style: textCfg
        });
      }
    }, {
      key: "clear",
      value: function clear() {
        this.iconShape.destroy();
      }
    }, {
      key: "setHandleIconRotation",
      value: function setHandleIconRotation() {
        var orient = get(this.attributes, ['iconCfg', 'orient']);

        if (orient === 'vertical') {
          this.iconShape.setLocalEulerAngles(90);
        } else {
          this.iconShape.setLocalEulerAngles(0);
        }
      }
    }]);

    return Handle;
  }(DisplayObject);

  var _excluded$a = ["padding"],
      _excluded2$1 = ["start", "end"];
  var Slider = /*#__PURE__*/function (_GUI) {
    _inherits(Slider, _GUI);

    var _super = _createSuper(Slider);

    /**
     * 层级关系
     * backgroundShape
     *  |- sparklineShape
     *  |- selectionShape
     *       |- startHandle
     *           |- handleIcon
     *           |- handleText
     *       |- endHandle
     *           |- handleIcon
     *           |- handleText
     */
    // 背景、滑道
    // 迷你图
    // 前景、选区
    // 开始滑块
    // 结束滑块

    /**
     * 选区开始的位置
     */

    /**
     * 选区宽度
     */

    /**
     * 记录上一次鼠标事件所在坐标
     */

    /**
     * drag事件当前选中的对象
     */
    function Slider(options) {
      var _this;

      _classCallCheck(this, Slider);

      _this = _super.call(this, deepMix({}, Slider.defaultOptions, options));
      _this.backgroundShape = void 0;
      _this.sparklineShape = void 0;
      _this.foregroundGroup = void 0;
      _this.selectionShape = void 0;
      _this.startHandle = void 0;
      _this.endHandle = void 0;
      _this.selectionStartPos = void 0;
      _this.selectionWidth = void 0;
      _this.prevPos = void 0;
      _this.target = void 0;

      _this.onDragStart = function (target) {
        return function (e) {
          e.stopPropagation();
          _this.target = target;
          _this.prevPos = _this.getOrientVal(getEventPos(e));

          var _this$getAvailableSpa = _this.getAvailableSpace(),
              x = _this$getAvailableSpa.x,
              y = _this$getAvailableSpa.y;

          var _this$attributes = _this.attributes,
              X = _this$attributes.x,
              Y = _this$attributes.y;
          _this.selectionStartPos = _this.getRatio(_this.prevPos - _this.getOrientVal([x, y]) - _this.getOrientVal([X, Y]));
          _this.selectionWidth = 0;

          _this.addEventListener('mousemove', _this.onDragging);

          _this.addEventListener('touchmove', _this.onDragging);

          document.addEventListener('mouseup', _this.onDragEnd);
          document.addEventListener('touchend', _this.onDragEnd);
        };
      };

      _this.onDragging = function (e) {
        e.stopPropagation();

        var currPos = _this.getOrientVal(getEventPos(e));

        var _ = currPos - _this.prevPos;

        if (!_) return;

        var dVal = _this.getRatio(_);

        switch (_this.target) {
          case 'start':
            _this.setValuesOffset(dVal);

            break;

          case 'end':
            _this.setValuesOffset(0, dVal);

            break;

          case 'selection':
            _this.setValuesOffset(dVal, dVal);

            break;

          case 'background':
            // 绘制蒙板
            _this.selectionWidth += dVal;

            _this.setValues([_this.selectionStartPos, _this.selectionStartPos + _this.selectionWidth].sort());

            break;
        }

        _this.prevPos = currPos;
      };

      _this.onDragEnd = function () {
        _this.removeEventListener('mousemove', _this.onDragging);

        _this.removeEventListener('mousemove', _this.onDragging);

        document.removeEventListener('mouseup', _this.onDragEnd);
        document.removeEventListener('touchend', _this.onDragEnd);
      };

      _this.initShape();

      _this.selectionStartPos = 0;
      _this.selectionWidth = 0;
      _this.prevPos = 0;
      _this.target = '';

      _this.init();

      return _this;
    }

    _createClass(Slider, [{
      key: "attributeChangedCallback",
      value: function attributeChangedCallback(name, oldValue, newValue) {
        if (name === 'values') {
          var evt = new CustomEvent('valueChange', {
            detail: {
              oldValue: oldValue,
              value: newValue
            }
          });
          this.dispatchEvent(evt);
        }

        if (name in ['names', 'values']) {
          this.setHandle();
        }
      }
    }, {
      key: "getValues",
      value: function getValues() {
        return this.getAttribute('values');
      }
    }, {
      key: "setValues",
      value: function setValues(values) {
        this.setAttribute('values', this.getSafetyValues(values));
      }
    }, {
      key: "getNames",
      value: function getNames() {
        return this.getAttribute('names');
      }
    }, {
      key: "setNames",
      value: function setNames(names) {
        this.setAttribute('names', names);
      }
    }, {
      key: "init",
      value: function init() {
        this.bindEvents();
      }
    }, {
      key: "initShape",
      value: function initShape() {
        this.backgroundShape = new Rect({
          name: 'background',
          style: this.getBackgroundShapeCfg()
        });
        this.backgroundShape.toBack();
        this.appendChild(this.backgroundShape);
        this.sparklineShape = new Sparkline({
          name: 'sparkline',
          style: this.getSparklineShapeCfg()
        });
        this.backgroundShape.appendChild(this.sparklineShape);
        this.foregroundGroup = new Group({
          name: 'foreground'
        });
        this.backgroundShape.appendChild(this.foregroundGroup);
        this.selectionShape = new Rect({
          name: 'selection',
          style: this.getSelectionShapeCfg()
        });
        this.foregroundGroup.appendChild(this.selectionShape);
        this.startHandle = this.createHandle('start');
        this.foregroundGroup.appendChild(this.startHandle);
        this.startHandle.toFront();
        this.endHandle = this.createHandle('end');
        this.foregroundGroup.appendChild(this.endHandle);
        this.startHandle.toFront();
      }
      /**
       * 组件的更新
       */

    }, {
      key: "update",
      value: function update(cfg) {
        this.attr(deepMix({}, this.attributes, cfg));
        this.backgroundShape.attr(this.getBackgroundShapeCfg());
        this.sparklineShape.update(this.getSparklineShapeCfg());
        this.selectionShape.attr(this.getSelectionShapeCfg());
        this.startHandle.update(this.getHandleShapeCfg('start'));
        this.endHandle.update(this.getHandleShapeCfg('end'));
      }
      /**
       * 组件的清除
       */

    }, {
      key: "clear",
      value: function clear() {}
      /**
       * 获得安全的Values
       */

    }, {
      key: "getSafetyValues",
      value: function getSafetyValues() {
        var values = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : this.getValues();
        var precision = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 4;
        var _this$attributes2 = this.attributes,
            min = _this$attributes2.min,
            max = _this$attributes2.max;

        var _this$getValues = this.getValues(),
            _this$getValues2 = _slicedToArray(_this$getValues, 2),
            prevStart = _this$getValues2[0],
            prevEnd = _this$getValues2[1];

        var _ref = values || [prevStart, prevEnd],
            _ref2 = _slicedToArray(_ref, 2),
            startVal = _ref2[0],
            endVal = _ref2[1];

        var range = endVal - startVal; // 交换startVal endVal

        if (startVal > endVal) {
          var _ref3 = [endVal, startVal];
          startVal = _ref3[0];
          endVal = _ref3[1];
        } // 超出范围就全选


        if (range > max - min) {
          return [min, max];
        }

        if (startVal < min) {
          if (prevStart === min && prevEnd === endVal) {
            return [min, endVal];
          }

          return [min, range + min];
        }

        if (endVal > max) {
          if (prevEnd === max && prevStart === startVal) {
            return [startVal, max];
          }

          return [max - range, max];
        } // 保留小数


        return [toPrecision(startVal, precision), toPrecision(endVal, precision)];
      }
    }, {
      key: "getAvailableSpace",
      value: function getAvailableSpace() {
        var _this$attributes3 = this.attributes,
            padding = _this$attributes3.padding,
            width = _this$attributes3.width,
            height = _this$attributes3.height;

        var _normalPadding = normalPadding(padding),
            _normalPadding2 = _slicedToArray(_normalPadding, 4),
            top = _normalPadding2[0],
            right = _normalPadding2[1],
            bottom = _normalPadding2[2],
            left = _normalPadding2[3];

        return {
          x: left,
          y: top,
          width: width - (left + right),
          height: height - (top + bottom)
        };
      }
      /**
       * 获取style
       * @param name style名
       * @param isActive 是否是active style
       * @returns ShapeCfg
       */

    }, {
      key: "getStyle",
      value: function getStyle(name) {
        var state = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 'default';
        var handleType = arguments.length > 2 ? arguments[2] : undefined;
        if (handleType) return this.getHandleCfg(handleType);
        return getStateStyle(get(this.attributes, name), state, true);
      }
    }, {
      key: "getBackgroundShapeCfg",
      value: function getBackgroundShapeCfg() {
        return _objectSpread2(_objectSpread2({
          cursor: 'crosshair'
        }, this.getAvailableSpace()), this.getStyle('backgroundStyle'));
      }
    }, {
      key: "getSparklineShapeCfg",
      value: function getSparklineShapeCfg() {
        var _this$attributes4 = this.attributes,
            orient = _this$attributes4.orient,
            sparkline = _this$attributes4.sparkline; // 暂时只在水平模式下绘制
        // if (orient !== 'horizontal') {
        //   return {
        //     data: [[]],
        //   };
        // }

        var padding = sparkline.padding,
            args = _objectWithoutProperties(sparkline, _excluded$a);

        var _normalPadding3 = normalPadding(padding),
            _normalPadding4 = _slicedToArray(_normalPadding3, 4),
            top = _normalPadding4[0],
            right = _normalPadding4[1],
            bottom = _normalPadding4[2],
            left = _normalPadding4[3];

        var _this$getAvailableSpa2 = this.getAvailableSpace(),
            width = _this$getAvailableSpa2.width,
            height = _this$getAvailableSpa2.height;

        var _this$getStyle = this.getStyle('backgroundStyle'),
            bkgLW = _this$getStyle.lineWidth;

        return _objectSpread2(_objectSpread2({
          x: bkgLW / 2 + left,
          y: bkgLW / 2 + top
        }, args), {}, {
          width: width - bkgLW - left - right,
          height: height - bkgLW - top - bottom
        });
      }
      /**
       * 计算蒙板坐标和宽高
       * 默认用来计算前景位置大小
       */

    }, {
      key: "calcMask",
      value: function calcMask(values) {
        var _this$getSafetyValues = this.getSafetyValues(values),
            _this$getSafetyValues2 = _slicedToArray(_this$getSafetyValues, 2),
            start = _this$getSafetyValues2[0],
            end = _this$getSafetyValues2[1];

        var _this$getAvailableSpa3 = this.getAvailableSpace(),
            width = _this$getAvailableSpa3.width,
            height = _this$getAvailableSpa3.height;

        return this.getOrientVal([{
          y: 0,
          height: height,
          x: start * width,
          width: (end - start) * width
        }, {
          x: 0,
          width: width,
          y: start * height,
          height: (end - start) * height
        }]);
      }
    }, {
      key: "getSelectionShapeCfg",
      value: function getSelectionShapeCfg() {
        return _objectSpread2(_objectSpread2({
          cursor: 'move'
        }, this.calcMask()), this.getStyle('selectionStyle'));
      }
      /**
       * 计算手柄的x y
       */

    }, {
      key: "calcHandlePosition",
      value: function calcHandlePosition(handleType) {
        var _this$getAvailableSpa4 = this.getAvailableSpace(),
            width = _this$getAvailableSpa4.width,
            height = _this$getAvailableSpa4.height;

        var _this$getSafetyValues3 = this.getSafetyValues(),
            _this$getSafetyValues4 = _slicedToArray(_this$getSafetyValues3, 2),
            stVal = _this$getSafetyValues4[0],
            endVal = _this$getSafetyValues4[1];

        var L = (handleType === 'start' ? stVal : endVal) * this.getOrientVal([width, height]);
        return {
          x: this.getOrientVal([L, width / 2]),
          y: this.getOrientVal([height / 2, L])
        };
      }
      /**
       * 设置选区
       * 1. 设置前景大小及位置
       * 2. 设置手柄位置
       * 3. 更新文本位置
       */

    }, {
      key: "setHandle",
      value: function setHandle() {
        var _this2 = this;

        this.selectionShape.attr(this.calcMask());
        ['start', 'end'].forEach(function (handleType) {
          var handle = _this2["".concat(handleType, "Handle")];

          handle.setHandle(_this2.calcHandlePosition(handleType));
          handle.setHandleText(_this2.calcHandleText(handleType));
        });
      }
      /**
       * 计算手柄应当处于的位置
       * @param name 手柄文字
       * @param handleType start手柄还是end手柄
       * @returns
       */

    }, {
      key: "calcHandleText",
      value: function calcHandleText(handleType) {
        var _this$attributes5 = this.attributes,
            orient = _this$attributes5.orient,
            names = _this$attributes5.names;

        var _this$getHandleCfg = this.getHandleCfg(handleType),
            spacing = _this$getHandleCfg.spacing,
            formatter = _this$getHandleCfg.formatter,
            textStyle = _this$getHandleCfg.textStyle;

        var size = this.getHandleSize(handleType);
        var values = this.getSafetyValues(); // 相对于获取两端可用空间

        var _this$getAvailableSpa5 = this.getAvailableSpace(),
            iW = _this$getAvailableSpa5.width,
            iH = _this$getAvailableSpa5.height;

        var _this$calcMask = this.calcMask(),
            fX = _this$calcMask.x,
            fY = _this$calcMask.y,
            fW = _this$calcMask.width,
            fH = _this$calcMask.height;

        var _ref4 = handleType === 'start' ? [names[0], values[0]] : [names[1], values[1]],
            _ref5 = _slicedToArray(_ref4, 2),
            name = _ref5[0],
            value = _ref5[1];

        var formattedText = formatter(name, value);
        var temp = new Text({
          style: _objectSpread2(_objectSpread2({}, textStyle), {}, {
            text: formattedText
          })
        }); // 文字包围盒的宽高

        var _getShapeSpace = getShapeSpace(temp),
            textWidth = _getShapeSpace.width,
            textHeight = _getShapeSpace.height;

        temp.destroy();
        var x = 0;
        var y = 0;
        var R = size / 2;

        if (orient === 'horizontal') {
          var sh = spacing + R;

          var _ = sh + textWidth / 2;

          if (handleType === 'start') {
            var left = fX - sh - textWidth;
            x = left > 0 ? -_ : _;
          } else {
            x = iW - fX - fW - sh > textWidth ? _ : -_;
          }
        } else {
          var _2 = spacing + R;

          if (handleType === 'start') {
            y = fY - R > textHeight ? -_2 : _2;
          } else {
            y = iH - fY - fH - R > textHeight ? _2 : -_2;
          }
        }

        return {
          x: x,
          y: y,
          text: formattedText
        };
      }
    }, {
      key: "getHandleTextShapeCfg",
      value: function getHandleTextShapeCfg(handleType) {
        var handleCfg = this.getHandleCfg(handleType);
        var textStyle = handleCfg.textStyle;
        return _objectSpread2(_objectSpread2({}, textStyle), this.calcHandleText(handleType));
      }
    }, {
      key: "getHandleIconShapeCfg",
      value: function getHandleIconShapeCfg(handleType) {
        var _this$attributes6 = this.attributes,
            H = _this$attributes6.height,
            orient = _this$attributes6.orient;
        var handleCfg = this.getHandleCfg(handleType);
        var show = handleCfg.show,
            handleIcon = handleCfg.handleIcon,
            style = handleCfg.handleStyle;
        var cursor = this.getOrientVal(['ew-resize', 'ns-resize']);
        var size = this.getHandleSize(handleType);
        var tempStyle;
        var type;

        if (!show) {
          type = 'hide';
          tempStyle = {
            cursor: cursor,
            x: -size / 2,
            y: -H / 2,
            height: H,
            width: size,
            opacity: 0,
            fill: 'red'
          };
        }

        if (!handleIcon) {
          type = 'default';
          tempStyle = _objectSpread2(_objectSpread2({}, style), {}, {
            cursor: cursor,
            size: size
          });
        } else {
          type = 'symbol';
          tempStyle = _objectSpread2(_objectSpread2({}, style), {}, {
            cursor: cursor,
            size: size,
            symbol: handleIcon
          });
        }

        return _objectSpread2({
          orient: orient,
          type: type
        }, tempStyle);
      }
    }, {
      key: "getHandleShapeCfg",
      value: function getHandleShapeCfg(handleType) {
        return _objectSpread2(_objectSpread2({
          handleType: handleType
        }, this.calcHandlePosition(handleType)), {}, {
          iconCfg: this.getHandleIconShapeCfg(handleType),
          textCfg: this.getHandleTextShapeCfg(handleType)
        });
      }
      /**
       * 创建手柄
       */

    }, {
      key: "createHandle",
      value: function createHandle(handleType) {
        console.log(this.getHandleShapeCfg(handleType));
        return new Handle({
          name: "handle",
          style: this.getHandleShapeCfg(handleType)
        });
      }
    }, {
      key: "getHandleCfg",
      value: function getHandleCfg(handleType) {
        var _get = get(this.attributes, 'handle'),
            start = _get.start,
            end = _get.end,
            args = _objectWithoutProperties(_get, _excluded2$1);

        var handleCfg = {};

        if (handleType === 'start') {
          handleCfg = start;
        } else if (handleType === 'end') {
          handleCfg = end;
        }

        return deepMix({}, args, handleCfg);
      }
    }, {
      key: "getHandleSize",
      value: function getHandleSize(handleType) {
        var handleCfg = this.getHandleCfg(handleType);
        var size = handleCfg.size;
        if (size) return size; // 没设置size的话，高度就取height的80%高度，手柄宽度是高度的1/2.4

        var _this$attributes7 = this.attributes,
            width = _this$attributes7.width,
            height = _this$attributes7.height;
        return this.getOrientVal([height, width]) * 0.8 / 2.4;
      }
    }, {
      key: "bindEvents",
      value: function bindEvents() {
        var _this3 = this;

        // Drag and brush
        this.backgroundShape.addEventListener('mousedown', this.onDragStart('background'));
        this.backgroundShape.addEventListener('touchstart', this.onDragStart('background'));
        var fg = this.selectionShape; // 选区drag事件

        fg.addEventListener('mousedown', this.onDragStart('selection'));
        fg.addEventListener('touchstart', this.onDragStart('selection')); // 选区hover事件

        fg.addEventListener('mouseenter', function () {
          fg.attr(_this3.getStyle('selectionStyle'));
        });
        fg.addEventListener('mouseleave', function () {
          fg.attr(_this3.getStyle('selectionStyle'));
        });
        [this.startHandle, this.endHandle].forEach(function (handle) {
          var handleType = handle.getType();
          var handleIcon = handle.getIcon(); // 手柄按下开始drag

          handleIcon.addEventListener('mousedown', _this3.onDragStart(handleType));
          handleIcon.addEventListener('touchstart', _this3.onDragStart(handleType)); // icon hover事件

          handleIcon.addEventListener('mouseenter', function () {
            handleIcon.attr(_this3.getHandleCfg(handleType));
          });
          handleIcon.addEventListener('mouseleave', function () {
            handleIcon.attr(_this3.getHandleCfg(handleType));
          });
        });
      }
    }, {
      key: "getOrientVal",
      value: function getOrientVal(_ref6) {
        var _ref7 = _slicedToArray(_ref6, 2),
            x = _ref7[0],
            y = _ref7[1];

        var orient = this.attributes.orient;
        return orient === 'horizontal' ? x : y;
      }
    }, {
      key: "setValuesOffset",
      value: function setValuesOffset(stOffset) {
        var endOffset = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 0;

        var _this$getValues3 = this.getValues(),
            _this$getValues4 = _slicedToArray(_this$getValues3, 2),
            oldStartVal = _this$getValues4[0],
            oldEndVal = _this$getValues4[1];

        this.setValues([oldStartVal + stOffset, oldEndVal + endOffset].sort());
      }
    }, {
      key: "getRatio",
      value: function getRatio(val) {
        var _this$getAvailableSpa6 = this.getAvailableSpace(),
            width = _this$getAvailableSpa6.width,
            height = _this$getAvailableSpa6.height;

        return val / this.getOrientVal([width, height]);
      }
    }]);

    return Slider;
  }(GUI);
  Slider.tag = 'slider';
  Slider.defaultOptions = {
    type: Slider.tag,
    style: {
      orient: 'horizontal',
      values: [0, 1],
      names: ['', ''],
      min: 0,
      max: 1,
      width: 200,
      height: 20,
      sparkline: {
        padding: [1, 1, 1, 1]
      },
      padding: [0, 0, 0, 0],
      backgroundStyle: {
        default: {
          fill: '#fff',
          stroke: '#e4eaf5',
          lineWidth: 1
        }
      },
      selectionStyle: {
        default: {
          fill: '#afc9fb',
          opacity: 0.5,
          stroke: '#afc9fb',
          lineWidth: 1
        },
        active: {
          fill: '#ccdaf5'
        }
      },
      handle: {
        show: true,
        formatter: function formatter(val) {
          return val;
        },
        spacing: 10,
        textStyle: {
          fill: '#63656e',
          textAlign: 'center',
          textBaseline: 'middle'
        },
        handleStyle: {
          stroke: '#c5c5c5',
          fill: '#fff',
          lineWidth: 1
        }
      }
    }
  };

  var Scrollbar = /*#__PURE__*/function (_GUI) {
    _inherits(Scrollbar, _GUI);

    var _super = _createSuper(Scrollbar);

    /**
     * tag
     */
    // 滑道
    // 滑块

    /**
     * 拖动开始位置
     */
    function Scrollbar(options) {
      var _this;

      _classCallCheck(this, Scrollbar);

      _this = _super.call(this, deepMix({}, Scrollbar.defaultOptions, options));
      _this.trackShape = void 0;
      _this.thumbShape = void 0;
      _this.prevPos = void 0;

      _this.onValueChanged = function (oldValue) {
        var newValue = _this.getValue();

        if (oldValue === newValue) return;
        var evtVal = {
          detail: {
            oldValue: oldValue,
            value: newValue
          }
        };
        var scrollEvt = new CustomEvent('scroll', evtVal);

        _this.dispatchEvent(scrollEvt);

        var valuechangeEvt = new CustomEvent('valueChange', evtVal);

        _this.dispatchEvent(valuechangeEvt);
      };

      _this.onTrackClick = function (e) {
        var _this$attributes = _this.attributes,
            x = _this$attributes.x,
            y = _this$attributes.y,
            padding = _this$attributes.padding,
            thumbLen = _this$attributes.thumbLen;

        var _padding = _slicedToArray(padding, 4),
            top = _padding[0],
            left = _padding[3];

        var basePos = _this.getOrientVal([x + left, y + top]);

        var clickPos = _this.getOrientVal(getEventPos(e)) - thumbLen / 2;

        var value = _this.valueOffset(clickPos - basePos, true);

        _this.setValue(value);
      };

      _this.onDragStart = function (e) {
        e.stopPropagation();
        _this.prevPos = _this.getOrientVal(getEventPos(e));
        document.addEventListener('mousemove', _this.onDragging);
        document.addEventListener('mouseup', _this.onDragEnd);
        document.addEventListener('touchmove', _this.onDragging);
        document.addEventListener('touchcancel', _this.onDragEnd);
      };

      _this.onDragging = function (e) {
        e.stopPropagation();

        var currPos = _this.getOrientVal(getEventPos(e));

        var diff = currPos - _this.prevPos;

        _this.setOffset(diff);

        _this.prevPos = currPos;
      };

      _this.onDragEnd = function (e) {
        e.preventDefault();
        document.removeEventListener('mousemove', _this.onDragging);
        document.removeEventListener('mouseup', _this.onDragEnd);
        document.removeEventListener('touchmove', _this.onDragging);
        document.removeEventListener('touchcancel', _this.onDragEnd);
      };

      _this.init();

      return _this;
    }

    _createClass(Scrollbar, [{
      key: "attributeChangedCallback",
      value: function attributeChangedCallback(name, oldValue, newValue) {
        // 变更属性时需要重新计算value
        if (name === 'value') {
          var padding = this.attributes.padding;
          var thumbOffset = this.valueOffset(newValue);

          var _padding2 = _slicedToArray(padding, 4),
              top = _padding2[0],
              left = _padding2[3];

          this.setThumbOffset(thumbOffset + this.getOrientVal([left, top]));
        }
      }
      /**
       * 计算滑块重心在轨道的比例位置
       * @param offset 额外的偏移量
       */

    }, {
      key: "getValue",
      value: function getValue() {
        return this.getAttribute('value');
      }
      /**
       * 设置value
       * @param value 当前位置的占比
       */

    }, {
      key: "setValue",
      value: function setValue(value) {
        var oldValue = this.attributes.value;
        this.setAttribute('value', value); // 通知触发valueChange

        this.onValueChanged(oldValue);
      }
      /**
       * 设置相对偏移，鼠标拖动、滚轮滑动时使用
       * @param offset 鼠标、滚轮的偏移量
       */

    }, {
      key: "setOffset",
      value: function setOffset(deltaOffset) {
        var value = this.getValue();
        this.setValue(this.valueOffset(deltaOffset, true) + value);
      }
    }, {
      key: "init",
      value: function init() {
        this.initShape();
        this.trackShape.attr(this.getTrackShapeCfg());
        this.thumbShape.attr(this.getThumbShapeCfg());
        this.bindEvents();
      }
      /**
       * 组件的更新
       */

    }, {
      key: "update",
      value: function update(cfg) {
        this.attr(deepMix({}, this.attributes, cfg));
        this.trackShape.attr(this.getTrackShapeCfg());
        this.thumbShape.attr(this.getThumbShapeCfg());
      }
      /**
       * 组件的清除
       */

    }, {
      key: "clear",
      value: function clear() {}
    }, {
      key: "initShape",
      value: function initShape() {
        this.trackShape = new Rect({
          name: 'track'
        });
        this.appendChild(this.trackShape);
        this.thumbShape = new Rect({
          name: 'thumb'
        });
        this.trackShape.appendChild(this.thumbShape);
      }
      /**
       * 值改变事件
       */

    }, {
      key: "valueOffset",
      value:
      /**
       * value - offset 相互转换
       * @param num
       * @param reverse true - value -> offset; false - offset -> value
       * @returns
       */
      function valueOffset(num) {
        var reverse = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : false;
        var _this$attributes2 = this.attributes,
            thumbLen = _this$attributes2.thumbLen,
            min = _this$attributes2.min,
            max = _this$attributes2.max;
        var L = this.getTrackLen() - thumbLen;

        if (!reverse) {
          // value2offset
          return L * clamp(num, min, max);
        } // offset2value


        return num / L;
      }
      /* 获取样式属性
       * @param name style的key值
       * @param isActive 是否激活状态的样式
       */

    }, {
      key: "getStyle",
      value: function getStyle(name) {
        var state = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 'default';
        return getStateStyle(get(this.attributes, name), state);
      }
      /**
       * 获得轨道可用空间
       */

    }, {
      key: "getAvailableSpace",
      value: function getAvailableSpace() {
        var _this$attributes3 = this.attributes,
            width = _this$attributes3.width,
            height = _this$attributes3.height,
            padding = _this$attributes3.padding;

        var _padding3 = _slicedToArray(padding, 4),
            top = _padding3[0],
            right = _padding3[1],
            bottom = _padding3[2],
            left = _padding3[3];

        return {
          x: left,
          y: top,
          width: width - (left + right),
          height: height - (top + bottom)
        };
      }
      /**
       * 获得轨道长度
       */

    }, {
      key: "getTrackLen",
      value: function getTrackLen() {
        var _this$getAvailableSpa = this.getAvailableSpace(),
            width = _this$getAvailableSpa.width,
            height = _this$getAvailableSpa.height;

        return this.getOrientVal([width, height]);
      }
      /**
       * 将滑块移动至指定位置
       * @param thumbOffset 滑块位置偏移量
       */

    }, {
      key: "setThumbOffset",
      value: function setThumbOffset(thumbOffset) {
        this.thumbShape.attr(this.getOrientVal(['x', 'y']), thumbOffset);
      }
    }, {
      key: "getTrackShapeCfg",
      value: function getTrackShapeCfg() {
        var _this$attributes4 = this.attributes,
            x = _this$attributes4.x,
            y = _this$attributes4.y,
            width = _this$attributes4.width,
            height = _this$attributes4.height;
        return _objectSpread2(_objectSpread2({
          x: x,
          y: y
        }, this.getStyle('trackStyle')), {}, {
          width: width,
          height: height
        });
      }
    }, {
      key: "getThumbShapeCfg",
      value: function getThumbShapeCfg() {
        var _this$attributes5 = this.attributes,
            orient = _this$attributes5.orient,
            value = _this$attributes5.value,
            isRound = _this$attributes5.isRound,
            thumbLen = _this$attributes5.thumbLen;
        var trackInner = this.getAvailableSpace();
        var x = trackInner.x,
            y = trackInner.y,
            width = trackInner.width,
            height = trackInner.height;

        var baseCfg = _objectSpread2(_objectSpread2({}, trackInner), this.getStyle('thumbStyle'));

        var half = width / 2;

        if (orient === 'vertical') {
          return _objectSpread2(_objectSpread2({}, baseCfg), {}, {
            y: y + this.valueOffset(value),
            height: thumbLen,
            radius: isRound ? half : 0
          });
        }

        half = height / 2;
        return _objectSpread2(_objectSpread2({}, baseCfg), {}, {
          x: x + this.valueOffset(value),
          width: thumbLen,
          radius: isRound ? half : 0
        });
      }
    }, {
      key: "bindEvents",
      value: function bindEvents() {
        this.trackShape.addEventListener('click', this.onTrackClick);
        this.thumbShape.addEventListener('mousedown', this.onDragStart);
        this.thumbShape.addEventListener('touchstart', this.onDragStart);
        this.onHover();
      }
      /**
       * 根据orient取出对应轴向上的值
       * 主要用于取鼠标坐标在orient方向上的位置
       */

    }, {
      key: "getOrientVal",
      value: function getOrientVal(values) {
        var orient = this.attributes.orient;
        return orient === 'horizontal' ? values[0] : values[1];
      }
      /**
       * 点击轨道事件
       */

    }, {
      key: "onHover",
      value:
      /**
       * 悬浮事件
       */
      function onHover() {
        var _this2 = this;

        ['thumb', 'track'].forEach(function (name) {
          var target = get(_this2, "".concat(name, "Shape"));
          target.addEventListener('mouseenter', function () {
            target.attr(_this2.getStyle("".concat(name, "Style"), 'active'));
          });
          target.addEventListener('mouseleave', function () {
            target.attr(_this2.getStyle("".concat(name, "Style")));
          });
        });
      }
    }]);

    return Scrollbar;
  }(GUI);
  Scrollbar.tag = 'scrollbar';
  Scrollbar.defaultOptions = {
    type: Scrollbar.tag,
    style: {
      // 滑条朝向
      orient: 'vertical',
      // 轨道宽高
      width: 10,
      height: 200,
      value: 0,
      // 滑块范围控制
      min: 0,
      max: 1,
      // 滑块是否为圆角
      isRound: true,
      // 滑块长度
      thumbLen: 20,
      // 滚动条内边距，影响滑轨的实际可用空间
      padding: [2, 2, 2, 2],
      trackStyle: {
        default: {
          fill: '#fafafa',
          lineWidth: 1,
          stroke: '#e8e8e8'
        },
        active: {}
      },
      thumbStyle: {
        default: {
          fill: '#c1c1c1'
        },
        active: {
          fill: '#7d7d7d'
        }
      }
    }
  };

  var Axis = /*#__PURE__*/function (_GUI) {
    _inherits(Axis, _GUI);

    var _super = _createSuper(Axis);

    function Axis() {
      _classCallCheck(this, Axis);

      return _super.apply(this, arguments);
    }

    _createClass(Axis, [{
      key: "attributeChangedCallback",
      value: function attributeChangedCallback(name, value) {
        throw new Error('Method not implemented.');
      }
    }, {
      key: "init",
      value: function init() {
        throw new Error('Method not implemented.');
      }
    }, {
      key: "update",
      value: function update() {
        throw new Error('Method not implemented.');
      }
    }, {
      key: "clear",
      value: function clear() {
        throw new Error('Method not implemented.');
      }
    }]);

    return Axis;
  }(GUI);

  var Sheet = function Sheet() {
    _classCallCheck(this, Sheet);
  };

  var Timeline = function Timeline() {
    _classCallCheck(this, Timeline);
  };

  /**
   * 梯形色板
   * @param width 完整的宽度
   * @param height 完整高度
   * @param x 起点x坐标
   * @param y 起点y坐标
   * @param start 梯形起点
   * @param end 梯形终点
   * @returns PathCommand[]
   */

  function createTrapezoidRailPath(width, height) {
    var x = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 0;
    var start = arguments.length > 4 ? arguments[4] : undefined;
    var end = arguments.length > 5 ? arguments[5] : undefined;
    var st = isUndefined(start) ? x : start;
    var ed = isUndefined(end) ? x + width : end;
    var slope = height / width;
    return [['M', st, height], ['L', st, slope * (width - st - x)], ['L', ed, slope * (width - ed - x)], ['L', ed, height], ['Z']];
  }
  /**
   * 矩形色板
   * @param width 完整的宽度
   * @param height 完整高度
   * @param x 起点x坐标
   * @param y 起点y坐标
   * @param start 矩形起点
   * @param end 矩形终点
   * @returns PathCommand[]
   */

  function createRectRailPath(width, height) {
    var x = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 0;
    var start = arguments.length > 4 ? arguments[4] : undefined;
    var end = arguments.length > 5 ? arguments[5] : undefined;
    var st = isUndefined(start) ? x : start;
    var ed = isUndefined(end) ? x + width : end;
    return [['M', st, height], ['L', st, 0], ['L', ed, 0], ['L', ed, height], ['Z']];
  }
  /**
   * 根据值转换为其在rail上的偏移量
   * @param value 值
   * @param min 最小值
   * @param max 最大值
   * @param railLen rail长度
   * @param reverse 反向取值
   * @returns
   */

  function getValueOffset(value, min, max, railLen) {
    var reverse = arguments.length > 4 && arguments[4] !== undefined ? arguments[4] : false;
    // 将value映射到 startRail, endRail
    if (reverse) return value / railLen * (max - min);
    return toPrecision((value - min) / (max - min) * railLen, 2);
  }
  /**
   * 将值转换至步长tick上
   */

  function getStepValueByValue(value, step, min) {
    var count = Math.round((value - min) / step);
    return min + count * step;
  } // 左箭头

  function leftArrow(x, y, r) {
    var diffY = r * Math.sin(1 / 3 * Math.PI);
    return [['M', x - r, y], ['L', x + r, y - diffY], ['L', x + r, y + diffY], ['Z']];
  } // 右箭头

  function rightArrow(x, y, r) {
    var diffY = r * Math.sin(1 / 3 * Math.PI);
    return [['M', x + r, y], ['L', x - r, y - diffY], ['L', x - r, y + diffY], ['Z']];
  } // 上三角

  function upArrow(x, y, r) {
    var diffY = r * Math.cos(1 / 3 * Math.PI);
    return [['M', x - r, y + diffY], ['L', x, y - diffY], ['L', x + r, y + diffY], ['Z']];
  } // 下三角

  function downArrow(x, y, r) {
    var diffY = r * Math.cos(1 / 3 * Math.PI);
    return [['M', x - r, y - diffY], ['L', x + r, y - diffY], ['L', x, y + diffY], ['Z']];
  }
  function hiddenHandle(x, y, r) {
    // 长宽比
    var ratio = 1.4;
    var diffY = ratio * r;
    return [['M', x - r, y - diffY], ['L', x + r, y - diffY], ['L', x + r, y + diffY], ['L', x - r, y + diffY], ['Z']];
  } // 控制手柄

  var HANDLE_HEIGHT_RATIO = 1.4;
  var HANDLE_TRIANGLE_RATIO = 0.4; // 纵向手柄

  function verticalHandle(x, y, r) {
    var width = r;
    var height = width * HANDLE_HEIGHT_RATIO;
    var halfWidth = width / 2;
    var oneSixthWidth = width / 6;
    var triangleX = x + height * HANDLE_TRIANGLE_RATIO;
    return [['M', x, y], ['L', triangleX, y + halfWidth], ['L', x + height, y + halfWidth], ['L', x + height, y - halfWidth], ['L', triangleX, y - halfWidth], ['Z'], // 绘制两条横线
    ['M', triangleX, y + oneSixthWidth], ['L', x + height - 2, y + oneSixthWidth], ['M', triangleX, y - oneSixthWidth], ['L', x + height - 2, y - oneSixthWidth]];
  } // 横向手柄

  function horizontalHandle(x, y, r) {
    var width = r;
    var height = width * HANDLE_HEIGHT_RATIO;
    var halfWidth = width / 2;
    var oneSixthWidth = width / 6;
    var triangleY = y + height * HANDLE_TRIANGLE_RATIO;
    return [['M', x, y], ['L', x - halfWidth, triangleY], ['L', x - halfWidth, y + height], ['L', x + halfWidth, y + height], ['L', x + halfWidth, triangleY], ['Z'], // 绘制两条竖线
    ['M', x - oneSixthWidth, triangleY], ['L', x - oneSixthWidth, y + height - 2], ['M', x + oneSixthWidth, triangleY], ['L', x + oneSixthWidth, y + height - 2]];
  }
  Marker.registerSymbol('leftArrow', leftArrow);
  Marker.registerSymbol('rightArrow', rightArrow);
  Marker.registerSymbol('upArrow', upArrow);
  Marker.registerSymbol('downArrow', downArrow);
  Marker.registerSymbol('hiddenHandle', hiddenHandle);
  Marker.registerSymbol('verticalHandle', verticalHandle);
  Marker.registerSymbol('horizontalHandle', horizontalHandle);

  var LEGEND_BASE_DEFAULT_OPTIONS = {
    style: {
      x: 0,
      y: 0,
      padding: 0,
      orient: 'horizontal',
      backgroundStyle: {
        default: {
          fill: 'white',
          lineWidth: 0
        }
      },
      title: {
        content: '',
        spacing: 10,
        align: 'left',
        style: {
          fill: 'gray',
          fontWeight: 'bold',
          fontSize: 16,
          textBaseline: 'top'
        },
        formatter: function formatter(text) {
          return text;
        }
      }
    }
  };
  var CATEGORY_DEFAULT_OPTIONS = deepMix({}, LEGEND_BASE_DEFAULT_OPTIONS, {
    style: {
      type: 'category',
      items: [],
      maxWidth: undefined,
      maxHeight: undefined,
      maxCols: undefined,
      maxRows: undefined,
      spacing: [10, 10],
      itemMarker: {
        marker: 'circle',
        size: 8,
        spacing: 10,
        style: {
          default: {
            fill: '#f8be4b',
            lineWidth: 0
          },
          active: {
            fill: '#f3774a'
          },
          selected: {}
        }
      },
      itemName: {
        spacing: 0,
        style: {
          default: {
            fill: 'gray',
            fontSize: 16,
            fontWeight: 'normal',
            textBaseline: 'middle'
          },
          selected: {
            fill: 'white',
            fontWeight: 'bold'
          },
          active: {
            fill: 'white',
            fontWeight: 'bold'
          }
        },
        formatter: function formatter(name) {
          return name;
        }
      },
      itemValue: {
        spacing: 5,
        align: 'right',
        style: {
          default: {
            fill: 'gray',
            fontSize: 16,
            fontWeight: 'normal',
            textBaseline: 'middle'
          },
          selected: {
            fill: 'white',
            fontWeight: 'bold'
          },
          active: {
            fill: 'white',
            fontWeight: 'bold'
          }
        },
        formatter: function formatter(name) {
          return name;
        }
      },
      itemBackgroundStyle: {
        default: {
          fill: '#fdf6e3'
        },
        selected: {
          opacity: 1,
          fill: '#dea739'
        },
        active: {
          opacity: 1,
          fill: '#2c2c2c'
        }
      },
      reverse: false,
      pageNavigator: {
        button: {
          marker: function marker(type, orient) {
            if (orient === 'horizontal') {
              if (type === 'prev') {
                return leftArrow;
              }

              return rightArrow;
            } // vertical


            if (type === 'prev') {
              return upArrow;
            }

            return downArrow;
          },
          size: 12,
          style: {
            default: {},
            active: {},
            disabled: {}
          }
        }
      }
    }
  });
  var CONTINUOUS_DEFAULT_OPTIONS = deepMix({}, LEGEND_BASE_DEFAULT_OPTIONS, {
    style: {
      type: 'continuous',
      color: ['#d0e3fa', '#acc7f6', '#8daaf2', '#6d8eea', '#4d73cd', '#325bb1', '#5a3e75', '#8c3c79', '#e23455', '#e7655b'],
      padding: 10,
      label: {
        style: {
          fill: 'black',
          textAlign: 'center',
          textBaseline: 'middle'
        },
        spacing: 10,
        formatter: function formatter(value) {
          return String(value);
        },
        align: 'rail'
      },
      rail: {
        width: 100,
        height: 50,
        type: 'color',
        chunked: false,
        ticks: [],
        isGradient: 'auto',
        backgroundColor: '#c5c5c5'
      },
      // 不可滑动时隐藏手柄
      slidable: true,
      handle: {
        size: 25,
        spacing: 10,
        icon: {
          marker: 'default',
          style: {
            stroke: '#c5c5c5',
            fill: '#fff',
            lineWidth: 1
          }
        },
        text: {
          align: 'outside',
          style: {
            fill: '#63656e',
            fontSize: 12,
            textAlign: 'center',
            textBaseline: 'middle'
          },
          formatter: function formatter(value) {
            return value;
          }
        }
      },
      indicator: {
        size: 8,
        spacing: 5,
        padding: 5,
        backgroundStyle: {
          fill: '#262626',
          radius: 5
        },
        text: {
          style: {
            fill: 'white',
            fontSize: 12
          },
          formatter: function formatter(value) {
            return String(value);
          }
        }
      }
    }
  }); // 连续图例步长比例

  var STEP_RATIO = 0.01; // 分类图例name和value宽度比例

  var NAME_VALUE_RATIO = 1.2 / 1;

  var LegendBase = /*#__PURE__*/function (_GUI) {
    _inherits(LegendBase, _GUI);

    var _super = _createSuper(LegendBase);

    // background
    function LegendBase(options) {
      var _this;

      _classCallCheck(this, LegendBase);

      _this = _super.call(this, deepMix({}, LegendBase.defaultOptions, options));
      _this.backgroundShape = void 0;
      _this.titleShape = void 0;
      return _this;
    }

    _createClass(LegendBase, [{
      key: "init",
      value: function init() {
        this.createTitle();
      }
    }, {
      key: "update",
      value: function update(cfg) {
        this.titleShape.attr(this.getTitleShapeCfg());
        this.adjustTitle();
      } // 获取对应状态的样式

    }, {
      key: "getStyle",
      value: function getStyle(name, state) {
        var style = get(this.attributes, name);
        return getStateStyle(style, state);
      }
      /**
       * 根据方向取值
       */

    }, {
      key: "getOrientVal",
      value: function getOrientVal(_ref) {
        var _ref2 = _slicedToArray(_ref, 2),
            x = _ref2[0],
            y = _ref2[1];

        var orient = this.attributes.orient;
        return orient === 'horizontal' ? x : y;
      } // 获取padding

    }, {
      key: "getPadding",
      value: function getPadding() {
        var padding = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : this.attributes.padding;
        return normalPadding(padding);
      } // 获取容器内可用空间, 排除掉title的空间

    }, {
      key: "getAvailableSpace",
      value: function getAvailableSpace() {
        // 连续图例不固定外部大小
        // 容器大小 - padding - title
        var spacing = get(this.attributes, ['title', 'spacing']);

        var _this$getPadding = this.getPadding(),
            _this$getPadding2 = _slicedToArray(_this$getPadding, 4),
            top = _this$getPadding2[0],
            left = _this$getPadding2[3];

        var _getShapeSpace = getShapeSpace(this.titleShape),
            titleHeight = _getShapeSpace.height;

        return {
          x: left,
          y: top + titleHeight + spacing
        };
      } // 绘制背景

    }, {
      key: "createBackground",
      value: function createBackground() {
        this.backgroundShape = new Rect({
          name: 'background',
          style: this.getBackgroundShapeCfg()
        });
        this.appendChild(this.backgroundShape);
        this.backgroundShape.toBack();
      }
      /**
       * 创建图例标题配置
       */

    }, {
      key: "getTitleShapeCfg",
      value: function getTitleShapeCfg() {
        var title = this.attributes.title;
        var content = title.content,
            style = title.style,
            formatter = title.formatter;
        return _objectSpread2(_objectSpread2({}, style), {}, {
          text: formatter(content)
        });
      }
      /**
       * 创建图例标题
       */

    }, {
      key: "createTitle",
      value: function createTitle() {
        this.titleShape = new Text({
          name: 'title',
          style: this.getTitleShapeCfg()
        });
        this.appendChild(this.titleShape);
      }
    }, {
      key: "adjustTitle",
      value: function adjustTitle() {
        var title = this.attributes.title;

        var _getShapeSpace2 = getShapeSpace(this),
            width = _getShapeSpace2.width;

        var align = title.align;

        var _this$getPadding3 = this.getPadding(),
            _this$getPadding4 = _slicedToArray(_this$getPadding3, 4),
            top = _this$getPadding4[0],
            right = _this$getPadding4[1],
            left = _this$getPadding4[3];

        var layout;

        switch (align) {
          case 'left':
            layout = {
              x: left,
              y: top,
              textAlign: 'left'
            };
            break;

          case 'right':
            layout = {
              x: width - left - right,
              y: top,
              textAlign: 'end'
            };
            break;

          case 'center':
            layout = {
              x: (width - left - right) / 2,
              y: top,
              textAlign: 'center'
            };
            break;
        }

        this.titleShape.attr(layout);
      }
    }]);

    return LegendBase;
  }(GUI);
  LegendBase.tag = 'legendBase';
  LegendBase.defaultOptions = _objectSpread2({
    type: LegendBase.tag
  }, LEGEND_BASE_DEFAULT_OPTIONS);

  var _excluded$b = ["style"];
  var CategoryItem = /*#__PURE__*/function (_GUI) {
    _inherits(CategoryItem, _GUI);

    var _super = _createSuper(CategoryItem);

    // marker
    // name
    // value
    // background
    function CategoryItem(_ref) {
      var _this;

      var style = _ref.style,
          rest = _objectWithoutProperties(_ref, _excluded$b);

      _classCallCheck(this, CategoryItem);

      _this = _super.call(this, _objectSpread2({
        type: 'categoryItem',
        style: style
      }, rest));
      _this.markerShape = void 0;
      _this.nameShape = void 0;
      _this.valueShape = void 0;
      _this.backgroundShape = void 0;
      _this.prevState = void 0;

      _this.init();

      return _this;
    }

    _createClass(CategoryItem, [{
      key: "init",
      value: function init() {
        // render backgroundShape
        this.backgroundShape = new Rect({
          name: 'background',
          style: this.getBackgroundShapeCfg()
        });
        this.appendChild(this.backgroundShape); // render markerShape

        this.markerShape = new Marker({
          name: 'marker',
          style: this.getMarkerShapeCfg()
        });
        this.backgroundShape.appendChild(this.markerShape); // render nameShape

        this.nameShape = new Text({
          name: 'name',
          style: this.getNameShapeCfg()
        });
        this.backgroundShape.appendChild(this.nameShape); // render valueShape

        this.valueShape = new Text({
          name: 'value',
          style: this.getValueShapeCfg()
        });
        this.backgroundShape.appendChild(this.valueShape);
        this.backgroundShape.toBack();
        this.adjustLayout();
      }
    }, {
      key: "getState",
      value: function getState() {
        return get(this.attributes, ['state']).split('-')[0];
      }
      /**
       * 设置图例项状态
       */

    }, {
      key: "setState",
      value: function setState(state) {
        this.update({
          state: state
        });
      }
    }, {
      key: "getID",
      value: function getID() {
        var identify = this.attributes.identify;
        return identify;
      }
      /**
       * 恢复到上次状态
       * 一般用于onHover事件
       */

    }, {
      key: "onHover",
      value: function onHover() {
        var currState = this.getState();
        this.setState("".concat(currState, "-active"));
      }
    }, {
      key: "onUnHover",
      value: function onUnHover() {
        var currState = this.getState();
        this.setState(currState.split('-')[0]);
      }
    }, {
      key: "update",
      value: function update(cfg) {
        var currState = this.getState();
        var newState = cfg.state;

        if ('state' in cfg && currState !== newState) {
          // 保存上次状态
          this.prevState = currState;
        }

        this.attr(deepMix({}, this.attributes, cfg)); // update style

        this.markerShape.attr(this.getMarkerShapeCfg());
        this.nameShape.attr(this.getNameShapeCfg());
        this.valueShape.attr(this.getValueShapeCfg());
        this.backgroundShape.attr(this.getBackgroundShapeCfg()); // adjustLayout

        this.adjustLayout();
      }
    }, {
      key: "clear",
      value: function clear() {}
    }, {
      key: "getStyle",
      value: function getStyle(name) {
        var state = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : this.attributes.state;
        var style = get(this.attributes, name);
        var stateList = state.split('-');
        return deepMix.apply(void 0, [{}].concat(_toConsumableArray(stateList.map(function (s) {
          return getStateStyle(style, s, true);
        }))));
      }
    }, {
      key: "adjustLayout",
      value: function adjustLayout() {
        // icon <-spacing-> name <-spacing-> value
        var _this$attributes = this.attributes,
            itemWidth = _this$attributes.itemWidth,
            maxItemWidth = _this$attributes.maxItemWidth,
            itemMarker = _this$attributes.itemMarker,
            name = _this$attributes.itemName,
            value = _this$attributes.itemValue;
        var nameContent = name.content,
            markerNameSpacing = name.spacing;
        var valueContent = value.content,
            nameValueSpacing = value.spacing;
        var width = itemWidth || maxItemWidth || Infinity; // 计算每个元素的长度

        var markerSize = itemMarker.size; // 计算图例项高度（不用getShapeSpace获得的原因是文字需要垂直居中，需要使用middle对齐）

        var height = max$1([markerSize * 2, getShapeSpace(this.nameShape).height, getShapeSpace(this.valueShape).height]); // 计算name和value可用宽度

        var availableWidth = width - markerNameSpacing - nameValueSpacing - markerSize * 2; // name和value分得的空间

        var availableValueWidth = availableWidth / (NAME_VALUE_RATIO + 1);
        var availableNameWidth = NAME_VALUE_RATIO * availableValueWidth; // 得到缩略文本

        var ellipsisName = getEllipsisText(nameContent, availableNameWidth, getFont(this.nameShape));
        var ellipsisValue = getEllipsisText(valueContent, availableValueWidth, getFont(this.valueShape));
        var temp = markerSize * 2 + markerNameSpacing;
        this.nameShape.attr({
          text: ellipsisName,
          x: temp,
          y: height / 2
        });

        var _getShapeSpace = getShapeSpace(this.nameShape),
            nWidth = _getShapeSpace.width;

        this.valueShape.attr({
          text: ellipsisValue,
          x: temp + (itemWidth ? availableNameWidth : nWidth) + nameValueSpacing,
          y: height / 2
        });
        this.markerShape.attr({
          x: markerSize,
          y: height / 2
        }); // 设置背景

        this.backgroundShape.attr({
          width: itemWidth === undefined ? this.getActualWidth() : itemWidth,
          height: height
        });
      }
    }, {
      key: "getMarkerShapeCfg",
      value: function getMarkerShapeCfg() {
        var itemMarker = this.attributes.itemMarker;
        var marker = itemMarker.marker,
            spacing = itemMarker.spacing,
            markerSize = itemMarker.size;
        return _objectSpread2({
          x: spacing,
          symbol: marker,
          size: markerSize
        }, this.getStyle(['itemMarker', 'style']));
      }
    }, {
      key: "getNameShapeCfg",
      value: function getNameShapeCfg() {
        var itemName = this.attributes.itemName;
        var nameContent = itemName.content;
        return _objectSpread2({
          text: nameContent
        }, this.getStyle(['itemName', 'style']));
      }
    }, {
      key: "getValueShapeCfg",
      value: function getValueShapeCfg() {
        var itemValue = this.attributes.itemValue;
        var valueContent = itemValue.content;
        return _objectSpread2({
          text: valueContent
        }, this.getStyle(['itemValue', 'style']));
      }
    }, {
      key: "getBackgroundShapeCfg",
      value: function getBackgroundShapeCfg() {
        return _objectSpread2({}, this.getStyle('backgroundStyle'));
      }
    }, {
      key: "getActualWidth",
      value: function getActualWidth() {
        var _this$attributes2 = this.attributes,
            itemName = _this$attributes2.itemName,
            itemValue = _this$attributes2.itemValue;

        var _getShapeSpace2 = getShapeSpace(this.markerShape),
            markerWidth = _getShapeSpace2.width;

        var _getShapeSpace3 = getShapeSpace(this.nameShape),
            nameWidth = _getShapeSpace3.width;

        var _getShapeSpace4 = getShapeSpace(this.valueShape),
            valueWidth = _getShapeSpace4.width;

        return markerWidth * 2 + nameWidth + valueWidth + itemName.spacing + itemValue.spacing;
      }
    }]);

    return CategoryItem;
  }(GUI);

  var Category = /*#__PURE__*/function (_LegendBase) {
    _inherits(Category, _LegendBase);

    var _super = _createSuper(Category);

    // 前进按钮
    // 后退按钮
    function Category(options) {
      var _thisSuper, _this;

      _classCallCheck(this, Category);

      _this = _super.call(this, deepMix({}, Category.defaultOptions, options));
      _this.itemsGroup = void 0;
      _this.prevNavigation = void 0;
      _this.nextNavigation = void 0;

      _this.onNavigationPrev = function () {};

      _this.onNavigationNext = function () {};

      _get((_thisSuper = _assertThisInitialized(_this), _getPrototypeOf(Category.prototype)), "init", _thisSuper).call(_thisSuper);

      _this.init();

      return _this;
    }

    _createClass(Category, [{
      key: "init",
      value: function init() {
        this.createItemsGroup();
        this.createItems();
        this.createPageNavigator();
        this.adjustLayout();
        this.createBackground();
        this.bindEvents();
      }
    }, {
      key: "update",
      value: function update(cfg) {
        this.attr(deepMix({}, this.attributes, cfg));

        _get(_getPrototypeOf(Category.prototype), "update", this).call(this); // 对于items的变化目前进行重绘操作，后期可参考React Diff方法进行性能优化
        // if ('items' in style) {


        this.clearItems();
        this.createItems(); // }

        this.adjustLayout();
        this.backgroundShape.attr(this.getBackgroundShapeCfg());
      }
      /**
       * 根据id获取item
       */

    }, {
      key: "getItem",
      value: function getItem(id) {
        var items = this.getItems();
        var item;
        items.forEach(function (i) {
          if (i.getID() === id) {
            item = i;
          }
        });
        return item;
      }
      /**
       * 设置某个item的状态
       * 会改变其样式
       */

    }, {
      key: "setItemState",
      value: function setItemState(name, state) {
        this.getItem(name).setState(state);
      }
      /**
       * 获得items状态列表
       */

    }, {
      key: "getItemsStates",
      value: function getItemsStates() {
        var items = this.getItems();
        return items.map(function (item) {
          return {
            id: item.getID(),
            state: item.getState()
          };
        });
      }
    }, {
      key: "clear",
      value: function clear() {}
    }, {
      key: "getBackgroundShapeCfg",
      value: function getBackgroundShapeCfg() {
        var _getShapeSpace = getShapeSpace(this),
            width = _getShapeSpace.width,
            height = _getShapeSpace.height;

        return _objectSpread2({
          width: width,
          height: height
        }, this.getStyle('backgroundStyle'));
      }
    }, {
      key: "createItemsGroup",
      value: function createItemsGroup() {
        this.itemsGroup = new Group({
          name: 'itemsGroup'
        });
        this.appendChild(this.itemsGroup);
      }
    }, {
      key: "getItemsShapeCfg",
      value: function getItemsShapeCfg() {
        var _this$attributes = this.attributes,
            _items = _this$attributes.items,
            itemWidth = _this$attributes.itemWidth,
            maxItemWidth = _this$attributes.maxItemWidth,
            itemMarker = _this$attributes.itemMarker,
            itemName = _this$attributes.itemName,
            itemValue = _this$attributes.itemValue,
            itemBackgroundStyle = _this$attributes.itemBackgroundStyle,
            reverse = _this$attributes.reverse;
        var cfg = [];
        var items = clone$2(_items);
        if (reverse) items.reverse();
        items.forEach(function (item, idx) {
          var _item$state = item.state,
              state = _item$state === void 0 ? 'default' : _item$state,
              _item$name = item.name,
              nameContent = _item$name === void 0 ? '' : _item$name,
              _item$value = item.value,
              valueContent = _item$value === void 0 ? '' : _item$value,
              id = item.id;
          cfg.push({
            x: 0,
            y: 0,
            state: state,
            itemWidth: itemWidth,
            maxItemWidth: maxItemWidth,
            // 这里使用name-idx作为id
            identify: id !== undefined ? id : "".concat(nameContent, "-").concat(idx),
            itemMarker: isFunction(itemMarker) ? itemMarker(item, idx, items) : itemMarker,
            itemName: function () {
              var _ref = isFunction(itemName) ? itemName(item, idx, items) : itemName,
                  formatter = _ref.formatter,
                  style = _ref.style,
                  spacing = _ref.spacing;

              return {
                style: style,
                spacing: spacing,
                content: formatter(nameContent)
              };
            }(),
            itemValue: function () {
              var _ref2 = isFunction(itemValue) ? itemValue(item, idx, items) : itemValue,
                  formatter = _ref2.formatter,
                  style = _ref2.style,
                  spacing = _ref2.spacing;

              return {
                style: style,
                spacing: spacing,
                content: formatter(valueContent)
              };
            }(),
            backgroundStyle: isFunction(itemBackgroundStyle) ? itemBackgroundStyle(item, idx, items) : itemBackgroundStyle
          });
        });
        return cfg;
      }
      /**
       * 创建图例项
       */

    }, {
      key: "createItems",
      value: function createItems() {
        var _this2 = this;

        var itemsCfg = this.getItemsShapeCfg();
        itemsCfg.forEach(function (cfg) {
          var item = new CategoryItem({
            style: cfg,
            name: 'item'
          });

          _this2.itemsGroup.appendChild(item);
        });
      }
    }, {
      key: "getItems",
      value: function getItems() {
        return this.itemsGroup.children;
      }
    }, {
      key: "clearItems",
      value: function clearItems() {
        this.getItems().forEach(function (child) {
          return child.destroy();
        });
        this.itemsGroup.removeChildren();
      }
      /**
       * 获得一页图例项可用空间
       */

    }, {
      key: "getItemsSpace",
      value: function getItemsSpace() {
        /**
         * 情况1 按钮在上下、左右 无页码
         *            ↑
         *    item  item  item
         *  ← item  item  item →
         *    item  item  item
         *            ↓
         *
         * 情况2 按钮在内
         *    item  item  item
         *    item  item  <- ->
         *
         *    item  item  item
         *    item  <- 1/3 ->
         *
         * 情况3 按钮在外
         *       <- 1/3 ->
         *  ↑ item  item  item  ↑
         *1/3 item  item  item 1/3
         *  ↓ item  item  item  ↓
         *       <- 1/3 ->
         */
      } // 创建翻页器

    }, {
      key: "createPageNavigator",
      value: function createPageNavigator() {} // 前翻页

    }, {
      key: "setItemStatus",
      value: // 设置图例项状态
      function setItemStatus() {}
    }, {
      key: "bindEvents",
      value: function bindEvents() {
        var _this3 = this;

        // 图例项hover事件
        // 图例项点击事件
        // 翻页按钮点击事件
        // 找到node节点所在的CategoryItem节点
        var getParentItem = function getParentItem(node) {
          var item = node;

          while (item.getConfig().type !== 'categoryItem') {
            item = item.parentNode;
            if (!item) break;
          }

          return item;
        };

        this.itemsGroup.addEventListener('click', function (e) {
          var target = e.target;

          if (target) {
            var item = getParentItem(target); // (target as DisplayObject).parentNode.parentNode as CategoryItem;

            if (!item) return;
            var state = item.getState();

            if (!['selected', 'selected-active'].includes(state)) {
              item.setState('selected-active');
            } else {
              item.setState('default-active');
            }

            var evt = new CustomEvent('valuechange', {
              detail: {
                value: _this3.getItemsStates()
              }
            });

            _this3.dispatchEvent(evt);
          }
        });
        this.itemsGroup.addEventListener('mousemove', function (e) {
          var target = e.target;

          if (target) {
            var item = getParentItem(target);

            if (!item) {
              _this3.getItems().forEach(function (item) {
                item.onUnHover();
              });

              return;
            }

            var state = item.getState();

            if (state !== 'active') {
              _this3.getItems().forEach(function (item) {
                item.onUnHover();
              });

              item.onHover();
            }
          }
        });
        this.itemsGroup.addEventListener('mouseleave', function (e) {
          _this3.getItems().forEach(function (item) {
            item.onUnHover();
          });
        });
      }
      /**
       * 计算图例布局
       * https://www.yuque.com/antv/zb50wl/gzc4sg
       */

    }, {
      key: "adjustLayout",
      value: function adjustLayout() {
        var orient = this.attributes.orient;
        if (orient === 'horizontal') this.adjustHorizontal();else this.adjustVertical();
      }
      /**
       * 横向布局
       */

    }, {
      key: "adjustHorizontal",
      value: function adjustHorizontal() {
        var _this$attributes2 = this.attributes,
            maxWidth = _this$attributes2.maxWidth,
            _this$attributes2$spa = _slicedToArray(_this$attributes2.spacing, 2),
            row = _this$attributes2$spa[0],
            col = _this$attributes2$spa[1],
            autoWrap = _this$attributes2.autoWrap,
            maxCols = _this$attributes2.maxCols;

        var _this$getAvailableSpa = this.getAvailableSpace(),
            left = _this$getAvailableSpa.x,
            top = _this$getAvailableSpa.y;

        if (!maxWidth) {
          // 不限制宽度，一行拉通
          //  item item item item item
          var _prevWidth = left;
          this.getItems().forEach(function (item) {
            item.attr('x', _prevWidth);
            _prevWidth += getShapeSpace(item).width + row;
          });
        }


        var prevWidth = left;
        var prevHeight = top;
        this.getItems().forEach(function (item) {
          var _getShapeSpace2 = getShapeSpace(item),
              width = _getShapeSpace2.width,
              height = _getShapeSpace2.height;

          if (prevWidth >= maxWidth) {
            prevHeight += height + col;
            prevWidth = left;
          }

          item.attr({
            x: prevWidth,
            y: prevHeight
          });
          prevWidth += width + row;
        }); // 超出最大行数
      }
    }, {
      key: "adjustVertical",
      value: function adjustVertical() {
        var _this$attributes3 = this.attributes,
            maxHeight = _this$attributes3.maxHeight,
            _this$attributes3$spa = _slicedToArray(_this$attributes3.spacing, 2),
            row = _this$attributes3$spa[0],
            col = _this$attributes3$spa[1],
            autoWrap = _this$attributes3.autoWrap,
            maxRows = _this$attributes3.maxRows,
            itemWidth = _this$attributes3.itemWidth;

        var _this$getAvailableSpa2 = this.getAvailableSpace(),
            left = _this$getAvailableSpa2.x,
            top = _this$getAvailableSpa2.y;

        if (!maxHeight) {
          // 不限制高度，一列拉通
          var _prevHeight = top;
          this.getItems().forEach(function (item) {
            item.attr('y', _prevHeight);
            _prevHeight += getShapeSpace(item).height + col;
          });
        }

        var prevWidth = left;
        var prevHeight = top;
        this.getItems().forEach(function (item) {
          if (prevHeight >= maxHeight) {
            prevWidth += itemWidth + row;
            prevHeight = top;
          }

          item.attr({
            x: prevWidth,
            y: prevHeight
          });
          prevHeight += getShapeSpace(item).height + col;
        }); // 超出列数翻页
      }
    }]);

    return Category;
  }(LegendBase);
  Category.tag = 'Category';
  Category.defaultOptions = _objectSpread2({
    type: Category.tag
  }, CATEGORY_DEFAULT_OPTIONS);

  var _excluded$c = ["style"];
  var Rail = /*#__PURE__*/function (_DisplayObject) {
    _inherits(Rail, _DisplayObject);

    var _super = _createSuper(Rail);

    // 色板的path group
    // 背景的path group
    function Rail(_ref) {
      var _this;

      var style = _ref.style,
          rest = _objectWithoutProperties(_ref, _excluded$c);

      _classCallCheck(this, Rail);

      _this = _super.call(this, _objectSpread2({
        type: 'rail',
        style: style
      }, rest));
      _this.railPathGroup = void 0;
      _this.backgroundPathGroup = void 0;

      _this.init();

      return _this;
    }

    _createClass(Rail, [{
      key: "init",
      value: function init() {
        this.railPathGroup = new Group({
          name: 'railPathGroup',
          id: 'railPathGroup'
        });
        this.appendChild(this.railPathGroup);
        this.backgroundPathGroup = new Group({
          name: 'backgroundGroup',
          id: 'railBackgroundGroup'
        });
        this.appendChild(this.backgroundPathGroup);
        this.render();
      }
    }, {
      key: "render",
      value: function render() {
        var _this2 = this;

        this.clear();
        var _this$attributes = this.attributes,
            width = _this$attributes.width,
            color = _this$attributes.color,
            backgroundColor = _this$attributes.backgroundColor,
            orient = _this$attributes.orient,
            chunked = _this$attributes.chunked;
        var railPath = this.createRailPath();
        var railBackgroundPath = this.createBackgroundPath(); // 绘制背景

        railBackgroundPath.forEach(function (path) {
          _this2.backgroundPathGroup.appendChild(new Path({
            name: 'background',
            style: {
              path: path,
              fill: backgroundColor
            }
          }));
        });
        railPath.forEach(function (path, idx) {
          // chunked的情况下，只显示start到end范围内的梯形
          _this2.railPathGroup.appendChild(new Path({
            name: 'railPath',
            style: {
              path: path,
              fill: chunked ? color[idx] : _this2.getGradientColor()
            }
          }));
        }); // 根据orient对railPath旋转

        if (orient === 'vertical') {
          this.setOrigin(0, width);
          this.translateLocal(0, -width); // this.rotate(45);

          setTimeout(function () {
            _this2.rotate(45);
          });
        }
      }
    }, {
      key: "update",
      value: function update(cfg) {
        // deepMix railAttrs into this.attributes
        this.attr(cfg);
        this.render();
        this.updateSelection();
      }
      /**
       * 设置选区
       */

    }, {
      key: "updateSelection",
      value: function updateSelection() {
        // 更新背景
        var backgroundPaths = this.createBackgroundPath();
        this.backgroundPathGroup.children.forEach(function (shape, index) {
          shape.attr({
            path: backgroundPaths[index]
          });
        });
      }
    }, {
      key: "getRail",
      value: function getRail() {
        return this.railPathGroup;
      }
    }, {
      key: "getRailBackground",
      value: function getRailBackground() {
        return this.backgroundPathGroup;
      }
    }, {
      key: "clear",
      value: function clear() {
        this.railPathGroup.removeChildren();
        this.backgroundPathGroup.removeChildren();
      }
    }, {
      key: "getGradientColor",
      value: function getGradientColor() {
        var color = this.attributes.color;

        if (isArray(color) && color.length > 0) {
          // 生成线型渐变
          var step = 1 / (color.length - 1);
          var gradientColor = 'l(0)';

          for (var i = 0; i < color.length; i += 1) {
            gradientColor += " ".concat(toPrecision(i * step, 1), ":").concat(color[i]);
          }

          return gradientColor;
        }

        return color;
      }
    }, {
      key: "getOrientVal",
      value: function getOrientVal(val1, val2) {
        var orient = this.attributes.orient;
        return orient === 'horizontal' ? val1 : val2;
      }
      /**
       * 获取值对应的offset
       */

    }, {
      key: "getValueOffset",
      value: function getValueOffset$1(value) {
        var _this$attributes2 = this.attributes,
            min = _this$attributes2.min,
            max = _this$attributes2.max,
            width = _this$attributes2.width,
            height = _this$attributes2.height;
        return getValueOffset(value, min, max, this.getOrientVal(width, height));
      }
      /**
       * 生成rail path
       */

    }, {
      key: "createRailPath",
      value: function createRailPath() {
        var _this$attributes3 = this.attributes,
            width = _this$attributes3.width,
            height = _this$attributes3.height,
            type = _this$attributes3.type,
            chunked = _this$attributes3.chunked,
            min = _this$attributes3.min,
            max = _this$attributes3.max;
        var railPath; // 颜色映射

        if (chunked) {
          railPath = this.createChunkPath();
        } else {
          var startOffset = this.getValueOffset(min);
          var endOffset = this.getValueOffset(max);

          switch (type) {
            case 'color':
              railPath = [createRectRailPath(width, height, 0, 0, startOffset, endOffset)];
              break;

            case 'size':
              railPath = [createTrapezoidRailPath(width, height, 0, 0, startOffset, endOffset)];
              break;
          }
        }

        return railPath;
      }
      /**
       * 分块连续图例下的path
       */

    }, {
      key: "createChunkPath",
      value: function createChunkPath() {
        var _this$attributes4 = this.attributes,
            width = _this$attributes4.width,
            height = _this$attributes4.height,
            min = _this$attributes4.min,
            max = _this$attributes4.max,
            type = _this$attributes4.type,
            _t = _this$attributes4.ticks;
        var range = max - min;

        var _this$getOrientVal = this.getOrientVal([width, height], [height, width]),
            _this$getOrientVal2 = _slicedToArray(_this$getOrientVal, 2),
            len = _this$getOrientVal2[0],
            thick = _this$getOrientVal2[1]; // 每块四个角的位置


        var blocksPoints = []; // 插入端值

        var ticks = [min].concat(_toConsumableArray(_t), [max]); // 块起始位置

        var prevPos = 0;
        var prevThick = type === 'size' ? 0 : thick;

        for (var index = 1; index < ticks.length; index += 1) {
          var ratio = (ticks[index] - ticks[index - 1]) / range;
          var currLen = len * ratio; // 根据type确定形状

          var currThick = type === 'size' ? thick * ratio + prevThick : thick;
          var currPos = prevPos + currLen;
          blocksPoints.push([[prevPos, thick], [prevPos, thick - prevThick], [currPos, thick - currThick], [currPos, thick]]);
          prevPos = currPos;
          prevThick = currThick;
        }

        var paths = [];
        blocksPoints.forEach(function (points) {
          var path = [];
          points.forEach(function (point, index) {
            path.push([index === 0 ? 'M' : 'L'].concat(_toConsumableArray(point)));
          });
          path.push(['Z']);
          paths.push(path);
        });
        return paths;
      }
      /**
       * 场景背景掩膜
       */

    }, {
      key: "createBackgroundPath",
      value: function createBackgroundPath() {
        var _this$attributes5 = this.attributes,
            width = _this$attributes5.width,
            height = _this$attributes5.height,
            min = _this$attributes5.min,
            max = _this$attributes5.max,
            start = _this$attributes5.start,
            end = _this$attributes5.end,
            type = _this$attributes5.type;
        var startOffset = this.getValueOffset(start);
        var endOffset = this.getValueOffset(end);
        var minOffset = this.getValueOffset(min);
        var maxOffset = this.getValueOffset(max);
        var creator = type === 'size' ? createTrapezoidRailPath : createRectRailPath;
        return [creator(width, height, 0, 0, minOffset, startOffset), creator(width, height, 0, 0, endOffset, maxOffset)];
      }
    }]);

    return Rail;
  }(DisplayObject);

  var _excluded$d = ["style"];
  var Labels = /*#__PURE__*/function (_DisplayObject) {
    _inherits(Labels, _DisplayObject);

    var _super = _createSuper(Labels);

    function Labels(_ref) {
      var _this;

      var style = _ref.style,
          rest = _objectWithoutProperties(_ref, _excluded$d);

      _classCallCheck(this, Labels);

      _this = _super.call(this, _objectSpread2({
        type: 'lines',
        style: style
      }, rest));

      _this.render();

      return _this;
    }

    _createClass(Labels, [{
      key: "render",
      value: function render() {
        var _this2 = this;

        var labels = this.attributes.labels; // 重新绘制

        labels.forEach(function (cfg) {
          _this2.appendChild(new Text({
            name: 'label',
            style: cfg
          }));
        });
      }
    }, {
      key: "attributeChangedCallback",
      value: function attributeChangedCallback(name, value) {
        if (name === 'labelsAttrs') {
          // 清空label
          this.removeChildren(true);
          this.render();
        }
      }
    }]);

    return Labels;
  }(DisplayObject);

  var Continuous$1 = /*#__PURE__*/function (_LegendBase) {
    _inherits(Continuous, _LegendBase);

    var _super = _createSuper(Continuous);

    /**
     * 结构：
     * this
     * |- titleShape
     * |-backgroundShape
     *   |- labelsShape
     *   |- railShape
     *      |- pathGroup
     *      |- backgroundGroup
     *      |- startHandle
     *      |- endHandle
     *      |- indicator
     */
    //
    // 色板
    // 开始滑块
    // 结束滑块

    /**
     * 指示器
     */

    /**
     * 当前交互的对象
     */

    /**
     * 上次鼠标事件的位置
     */
    function Continuous(options) {
      var _thisSuper, _this;

      _classCallCheck(this, Continuous);

      _this = _super.call(this, deepMix({}, Continuous.defaultOptions, options));
      _this.labelsShape = void 0;
      _this.railShape = void 0;
      _this.startHandle = void 0;
      _this.endHandle = void 0;
      _this.indicatorShape = void 0;
      _this.target = void 0;
      _this.prevValue = void 0;

      _this.onDragStart = function (target) {
        return function (e) {
          e.stopPropagation();
          var slidable = _this.attributes.slidable; // 关闭滑动

          if (!slidable) return;

          _this.onHoverEnd();

          _this.target = target;
          _this.prevValue = _this.getStepValueByValue(_this.getEventPosValue(e));

          _this.addEventListener('mousemove', _this.onDragging);

          _this.addEventListener('touchmove', _this.onDragging);

          document.addEventListener('mouseup', _this.onDragEnd);
          document.addEventListener('touchend', _this.onDragEnd);
        };
      };

      _this.onDragging = function (e) {
        e.stopPropagation();

        var _this$getSelection = _this.getSelection(),
            _this$getSelection2 = _slicedToArray(_this$getSelection, 2),
            start = _this$getSelection2[0],
            end = _this$getSelection2[1];

        var currValue = _this.getStepValueByValue(_this.getEventPosValue(e));

        var diffValue = currValue - _this.prevValue;

        var _assertThisInitialize = _assertThisInitialized(_this),
            target = _assertThisInitialize.target;

        if (target === 'start') start !== currValue && _this.setSelection(currValue, end);else if (target === 'end') end !== currValue && _this.setSelection(start, currValue);else if (target === 'rail') {
          if (diffValue !== 0) {
            _this.prevValue = currValue;

            _this.setSelection(diffValue, diffValue, true);
          }
        }
      };

      _this.onDragEnd = function () {
        _this.removeEventListener('mousemove', _this.onDragging);

        _this.removeEventListener('touchmove', _this.onDragging);

        document.removeEventListener('mouseup', _this.onDragEnd);
        document.removeEventListener('touchend', _this.onDragEnd); // 抬起时修正位置

        _this.target = undefined;
      };

      _this.onHoverStart = function (target) {
        return function (e) {
          e.stopPropagation(); // 如果target不为undefine，表明当前有其他事件被监听

          if (isUndefined(_this.target)) {
            _this.target = target;

            _this.addEventListener('mousemove', _this.onHovering);

            _this.addEventListener('touchmove', _this.onHovering);
          }
        };
      };

      _this.onHovering = function (e) {
        e.stopPropagation();

        var value = _this.getEventPosValue(e); // chunked为true时


        if (get(_this.attributes, ['rail', 'chunked'])) {
          var interval = _this.getTickIntervalByValue(value);

          if (!interval) return;

          var _interval = _slicedToArray(interval, 2),
              st = _interval[0],
              end = _interval[1];

          _this.setIndicator(toPrecision((st + end) / 2, 0), "".concat(st, "-").concat(end), false); // 计算value并发出事件


          _this.dispatchIndicated(interval);
        } else {
          var val = _this.getStepValueByValue(value);

          _this.setIndicator(val); // TODO 节流


          _this.dispatchIndicated(val);
        }
      };

      _this.onHoverEnd = function () {
        _this.removeEventListener('mousemove', _this.onHovering);

        _this.removeEventListener('touchmove', _this.onHovering); // 关闭指示器


        _this.setIndicator(false); // 恢复状态


        _this.target = undefined;
      };

      _get((_thisSuper = _assertThisInitialized(_this), _getPrototypeOf(Continuous.prototype)), "init", _thisSuper).call(_thisSuper);

      _this.init();

      return _this;
    }

    _createClass(Continuous, [{
      key: "init",
      value: function init() {
        // 创建labels
        this.createLabels(); // 创建色板及其背景

        this.createRail(); // // 创建滑动手柄

        this.createHandles(); // 设置手柄文本

        this.setHandleText(); // 调整布局

        this.adjustLayout(); // 调整title

        this.adjustTitle(); // 最后再绘制背景

        this.createBackground(); // 指示器

        this.createIndicator(); // // 监听事件

        this.bindEvents();
      }
    }, {
      key: "update",
      value: function update(cfg) {
        this.attr(deepMix({}, this.attributes, cfg)); // 更新label内容

        this.labelsShape.attr(this.getLabelsShapeCfg()); // 更新rail

        this.railShape.update(this.getRailShapeCfg()); // 更新选区

        this.setSelection.apply(this, _toConsumableArray(this.getSelection())); // 更新title内容

        this.titleShape.attr(this.getTitleShapeCfg()); // 更新handle

        this.updateHandles(); // 更新手柄文本

        this.setHandleText(); // 关闭指示器

        this.setIndicator(false); // 更新布局

        this.adjustLayout(); // 更新背景

        this.backgroundShape.attr(this.getBackgroundShapeCfg());
      }
    }, {
      key: "clear",
      value: function clear() {}
      /**
       * 设置指示器
       * @param value 设置的值，用于确定位置
       * @param text 可选；显示的文本，若无则通过value取值
       * @param useFormatter 是否使用formatter
       * @returns
       */

    }, {
      key: "setIndicator",
      value: function setIndicator(value, text) {
        var _this$indicatorShape;

        var useFormatter = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : true;
        // 值校验
        var _this$attributes = this.attributes,
            min = _this$attributes.min,
            max = _this$attributes.max,
            rail = _this$attributes.rail,
            indicator = _this$attributes.indicator;
        var safeValue = value === false ? false : clamp(value, min, max);

        if (safeValue === false || !indicator) {
          this.indicatorShape.hide();
          return;
        }

        this.indicatorShape.show();
        var type = rail.type,
            railWidth = rail.width,
            railHeight = rail.height;
        var spacing = indicator.spacing;
        var offsetX = this.getValueOffset(safeValue); // 设置指示器位置
        // type = color;
        // type=size时，指示器需要贴合轨道上边缘
        // handle会影响rail高度

        var offsetY = type === 'size' ? (1 - (safeValue - min) / (max - min)) * this.getOrientVal([railHeight, railWidth]) : 0;
        (_this$indicatorShape = this.indicatorShape) === null || _this$indicatorShape === void 0 ? void 0 : _this$indicatorShape.attr(this.getOrientVal([{
          x: offsetX,
          y: offsetY - spacing
        }, {
          x: offsetY + spacing,
          y: offsetX
        }]));
        var formatter = get(this.attributes, ['indicator', 'text', 'formatter']);
        var showText = text || safeValue;

        if (useFormatter) {
          showText = formatter(showText);
        } // 设置文本


        this.getIndicator('text').attr({
          text: showText
        }); // 调整指示器

        this.adjustIndicator();
      }
    }, {
      key: "getIndicator",
      value: function getIndicator(subNode) {
        if (!subNode) return this.indicatorShape;
        if (subNode === 'text') return this.indicatorShape.getElementsByName('text')[0];
        return this.indicatorShape.getElementsByName('background')[0];
      }
    }, {
      key: "getSelection",
      value: function getSelection() {
        var _this$attributes2 = this.attributes,
            min = _this$attributes2.min,
            max = _this$attributes2.max,
            start = _this$attributes2.start,
            end = _this$attributes2.end;
        return [start || min, end || max];
      }
      /**
       * 设置选区
       * @param stVal 开始值
       * @param endVal 结束值
       * @param isOffset stVal和endVal是否为偏移量
       */

    }, {
      key: "setSelection",
      value: function setSelection(stVal, endVal) {
        var isOffset = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : false;

        var _this$getSelection3 = this.getSelection(),
            _this$getSelection4 = _slicedToArray(_this$getSelection3, 2),
            currSt = _this$getSelection4[0],
            currEnd = _this$getSelection4[1];

        var start = stVal,
            end = endVal;

        if (isOffset) {
          // 获取当前值
          start += currSt;
          end += currEnd;
        } // 值校验


        var _this$getSafetySelect = this.getSafetySelections(start, end);

        var _this$getSafetySelect2 = _slicedToArray(_this$getSafetySelect, 2);

        start = _this$getSafetySelect2[0];
        end = _this$getSafetySelect2[1];
        this.setAttribute('start', start);
        this.setAttribute('end', end);
        this.railShape.update({
          start: start,
          end: end
        });
        this.adjustLayout();
        this.setHandleText();
      }
      /**
       * 设置Handle的文本
       */

    }, {
      key: "setHandleText",
      value: function setHandleText(text1, text2) {
        var useFormatter = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : true;

        var _this$getSelection5 = this.getSelection(),
            _this$getSelection6 = _slicedToArray(_this$getSelection5, 2),
            start = _this$getSelection6[0],
            end = _this$getSelection6[1];

        var startText = text1 || String(start),
            endText = text2 || String(end);

        if (useFormatter) {
          var formatter = get(this.attributes, ['handle', 'text', 'formatter']) || get(Continuous.defaultOptions, ['style', 'handle', 'text', 'formatter']);
          var _ref = [formatter(startText), formatter(endText)];
          startText = _ref[0];
          endText = _ref[1];
        }

        this.getHandle('start', 'text').attr({
          text: startText
        });
        this.getHandle('end', 'text').attr({
          text: endText
        });
      } // TODO
      // public getBounds() {}

      /**
       * 获取颜色
       */

    }, {
      key: "getColor",
      value: function getColor() {
        var color = this.attributes.color;
        return color;
      }
    }, {
      key: "getBackgroundShapeCfg",
      value: function getBackgroundShapeCfg() {
        var handle = this.attributes.handle;

        var _getShapeSpace = getShapeSpace(this),
            width = _getShapeSpace.width,
            height = _getShapeSpace.height;

        var _this$getPadding = this.getPadding(),
            _this$getPadding2 = _slicedToArray(_this$getPadding, 4),
            right = _this$getPadding2[1],
            bottom = _this$getPadding2[2],
            left = _this$getPadding2[3]; // 问就是调试工程


        var offsetX = handle ? -20 : 0;
        var offsetY = handle ? -10 : 0;
        return _objectSpread2({
          width: width + left + right + offsetX,
          height: height + bottom + offsetY
        }, this.getStyle('backgroundStyle'));
      }
      /**
       * 获得滑动步长
       * 未指定时默认为range的1%;
       */

    }, {
      key: "getStep",
      value: function getStep() {
        var _this$attributes3 = this.attributes,
            step = _this$attributes3.step,
            min = _this$attributes3.min,
            max = _this$attributes3.max;

        if (isUndefined(step)) {
          return toPrecision((max - min) * STEP_RATIO, 0);
        }

        return step;
      }
      /**
       * 取值附近的步长刻度上的值
       */

    }, {
      key: "getStepValueByValue",
      value: function getStepValueByValue$1(value) {
        var min = this.attributes.min;
        return getStepValueByValue(value, this.getStep(), min);
      }
      /**
       * 取值所在的刻度范围
       */

    }, {
      key: "getTickIntervalByValue",
      value: function getTickIntervalByValue(value) {
        var _this$getSelection7 = this.getSelection(),
            _this$getSelection8 = _slicedToArray(_this$getSelection7, 2),
            start = _this$getSelection8[0],
            end = _this$getSelection8[1];

        var ticks = get(this.attributes, ['rail', 'ticks']);
        var temp = [start].concat(_toConsumableArray(ticks), [end]);

        for (var i = 1; i < temp.length; i += 1) {
          var st = temp[i - 1];
          var _end = temp[i];

          if (value >= st && value <= _end) {
            return [st, _end];
          }
        }

        return false;
      }
      /**
       * 将选区调整至tick位置
       */

    }, {
      key: "adjustSelection",
      value: function adjustSelection() {
        var _this$getSelection9 = this.getSelection(),
            _this$getSelection10 = _slicedToArray(_this$getSelection9, 2),
            start = _this$getSelection10[0],
            end = _this$getSelection10[1];

        this.setSelection(this.getStepValueByValue(start), this.getStepValueByValue(end));
      }
      /**
       * 获取某个值在orient方向上的偏移量
       * reverse: 屏幕偏移量 -> 值
       */

    }, {
      key: "getValueOffset",
      value: function getValueOffset$1(value) {
        var reverse = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : false;
        var _this$attributes4 = this.attributes,
            min = _this$attributes4.min,
            max = _this$attributes4.max,
            rail = _this$attributes4.rail;
        var railWidth = rail.width,
            railHeight = rail.height;
        var innerLen = this.getOrientVal([railWidth, railHeight]);
        return getValueOffset(value, min, max, innerLen, reverse);
      }
    }, {
      key: "getSafetySelections",
      value: function getSafetySelections(start, end) {
        var precision = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 4;
        var _this$attributes5 = this.attributes,
            min = _this$attributes5.min,
            max = _this$attributes5.max;

        var _this$getSelection11 = this.getSelection(),
            _this$getSelection12 = _slicedToArray(_this$getSelection11, 2),
            prevStart = _this$getSelection12[0],
            prevEnd = _this$getSelection12[1];

        var startVal = start,
            endVal = end;
        var range = endVal - startVal; // 交换startVal endVal

        if (startVal > endVal) {
          var _ref2 = [endVal, startVal];
          startVal = _ref2[0];
          endVal = _ref2[1];
        } // 超出范围就全选


        if (range > max - min) {
          return [min, max];
        }

        if (startVal < min) {
          if (prevStart === min && prevEnd === endVal) {
            return [min, endVal];
          }

          return [min, range + min];
        }

        if (endVal > max) {
          if (prevEnd === max && prevStart === startVal) {
            return [startVal, max];
          }

          return [max - range, max];
        } // 保留小数


        return [toPrecision(startVal, precision), toPrecision(endVal, precision)];
      } // 获取Label属性

    }, {
      key: "getLabelsShapeCfg",
      value: function getLabelsShapeCfg() {
        var label = this.attributes.label; // 不绘制label

        if (!label) {
          return {
            labels: []
          };
        }

        var _this$attributes6 = this.attributes,
            min = _this$attributes6.min,
            max = _this$attributes6.max,
            rail = _this$attributes6.rail;
        var style = label.style,
            formatter = label.formatter,
            align = label.align;
        var cfg = []; // align为rail时仅显示min、max的label

        if (align === 'rail') {
          [min, max].forEach(function (value, idx) {
            cfg.push(_objectSpread2({
              x: 0,
              y: 0,
              text: formatter(value, idx)
            }, style));
          });
        } else {
          var ticks = [min].concat(_toConsumableArray(rail.ticks), [max]);
          ticks.forEach(function (value, idx) {
            cfg.push(_objectSpread2({
              x: 0,
              y: 0,
              text: formatter(value, idx)
            }, style));
          });
        }

        return {
          labels: cfg
        };
      } // 创建Label

    }, {
      key: "createLabels",
      value: function createLabels() {
        // 创建label容器
        this.labelsShape = new Labels({
          name: 'labels',
          id: 'labels',
          style: this.getLabelsShapeCfg()
        });
        this.appendChild(this.labelsShape);
      } // 获取色板属性

    }, {
      key: "getRailShapeCfg",
      value: function getRailShapeCfg() {
        // 直接绘制色板，布局在adjustLayout方法中进行
        var _this$attributes7 = this.attributes,
            min = _this$attributes7.min,
            max = _this$attributes7.max,
            rail = _this$attributes7.rail,
            orient = _this$attributes7.orient;

        var _this$getSelection13 = this.getSelection(),
            _this$getSelection14 = _slicedToArray(_this$getSelection13, 2),
            start = _this$getSelection14[0],
            end = _this$getSelection14[1];

        var color = this.getColor();
        return _objectSpread2({
          x: 0,
          y: 0,
          min: min,
          max: max,
          start: start,
          end: end,
          orient: orient,
          color: color,
          cursor: 'pointer'
        }, rail);
      } // 创建色板

    }, {
      key: "createRail",
      value: function createRail() {
        // 确定绘制类型
        this.railShape = new Rail({
          name: 'rail',
          id: 'rail',
          style: this.getRailShapeCfg()
        });
        this.appendChild(this.railShape);
      }
      /**
       * 获取手柄属性
       */

    }, {
      key: "getHandleShapeCfg",
      value: function getHandleShapeCfg() {
        var handle = this.attributes.handle;
        if (!handle) return {
          markerCfg: {
            size: 8,
            symbol: 'hiddenHandle',
            opacity: 0
          },
          textCfg: {
            text: '',
            opacity: 0
          }
        };
        var size = handle.size,
            icon = handle.icon,
            text = handle.text;
        var textStyle = text.style;
        var marker = icon.marker,
            markerStyle = icon.style; // 替换默认手柄

        var symbol = marker === 'default' ? this.getOrientVal(['horizontalHandle', 'verticalHandle']) : marker;
        return {
          markerCfg: _objectSpread2({
            symbol: symbol,
            size: size,
            cursor: this.getOrientVal(['ew-resize', 'ns-resize'])
          }, markerStyle),
          textCfg: _objectSpread2({
            text: ''
          }, textStyle)
        };
      }
      /**
       *  创建手柄
       */

    }, {
      key: "createHandle",
      value: function createHandle(handleType) {
        var _this$getHandleShapeC = this.getHandleShapeCfg(),
            markerCfg = _this$getHandleShapeC.markerCfg,
            textCfg = _this$getHandleShapeC.textCfg;

        var groupName = "".concat(handleType, "Handle");
        var el = new Group({
          name: groupName,
          id: groupName
        }); // 将tag挂载到rail

        this.railShape.appendChild(el);
        var text = new Text({
          name: 'text',
          style: textCfg
        });
        el.appendChild(text);
        var icon = new Marker({
          name: 'icon',
          style: markerCfg
        });
        el.appendChild(icon);
        if (handleType === 'start') this.startHandle = el;else this.endHandle = el;
      } // 创建手柄

    }, {
      key: "createHandles",
      value: function createHandles() {
        this.createHandle('start');
        this.createHandle('end');
      }
      /**
       * 更新handle
       */

    }, {
      key: "updateHandles",
      value: function updateHandles() {
        var _this2 = this;

        var _this$getHandleShapeC2 = this.getHandleShapeCfg(),
            markerCfg = _this$getHandleShapeC2.markerCfg,
            textCfg = _this$getHandleShapeC2.textCfg;

        ['start', 'end'].forEach(function (handleType) {
          _this2.getHandle(handleType, 'icon').update(markerCfg);

          _this2.getHandle(handleType, 'text').attr(textCfg);
        });
      }
      /**
       * 获得手柄、手柄内icon和text的对象
       */

    }, {
      key: "getHandle",
      value: function getHandle(handleType, subNode) {
        var handle;
        if (handleType === 'start') handle = this.startHandle;else handle = this.endHandle;
        if (!subNode) return handle;

        if (subNode === 'text') {
          return handle.getElementsByName('text')[0];
        }

        return handle.getElementsByName('icon')[0];
      }
      /**
       * 获得指示器配置
       */

    }, {
      key: "getIndicatorShapeCfg",
      value: function getIndicatorShapeCfg() {
        var indicator = this.attributes.indicator;
        if (!indicator) return {};
        var size = indicator.size,
            text = indicator.text,
            backgroundStyle = indicator.backgroundStyle;
        var textStyle = text.style;
        return {
          markerCfg: {
            size: size,
            symbol: this.getOrientVal(['downArrow', 'leftArrow']),
            fill: backgroundStyle.fill
          },
          textCfg: _objectSpread2(_objectSpread2({
            text: ''
          }, this.getOrientVal([{
            textAlign: 'center',
            textBaseline: 'middle'
          }, {
            textAlign: 'left',
            textBaseline: 'middle'
          }])), textStyle),
          backgroundCfg: backgroundStyle
        };
      }
    }, {
      key: "createIndicator",
      value: function createIndicator() {
        var indicator = this.attributes.indicator;
        if (!indicator) return;

        var _this$getIndicatorSha = this.getIndicatorShapeCfg(),
            markerCfg = _this$getIndicatorSha.markerCfg,
            textCfg = _this$getIndicatorSha.textCfg,
            backgroundCfg = _this$getIndicatorSha.backgroundCfg;

        var el = new Group({
          name: 'indicator',
          id: 'indicator'
        }); // 将tag挂载到rail

        this.railShape.appendChild(el);
        var text = new Text({
          name: 'text',
          style: textCfg
        });
        el.appendChild(text); // 创建 取用icon填充色
        // 位置大小在setIndicator中设置

        var background = new Rect({
          name: 'background',
          style: _objectSpread2({
            width: 0,
            height: 0
          }, backgroundCfg)
        });
        el.appendChild(background);
        background.toBack(); // 指示器小箭头

        var icon = new Marker({
          name: "icon",
          style: markerCfg
        });
        el.appendChild(icon);
        this.indicatorShape = el; // 默认隐藏

        this.indicatorShape.hide();
      }
      /**
       * 调整handle结构
       */

    }, {
      key: "adjustHandle",
      value: function adjustHandle() {
        var _this$getAvailableSpa = this.getAvailableSpace(),
            innerX = _this$getAvailableSpa.x,
            innerY = _this$getAvailableSpa.y;

        var _this$attributes8 = this.attributes,
            rail = _this$attributes8.rail,
            handle = _this$attributes8.handle;

        var _this$getSelection15 = this.getSelection(),
            _this$getSelection16 = _slicedToArray(_this$getSelection15, 2),
            start = _this$getSelection16[0],
            end = _this$getSelection16[1];

        var railHeight = rail.height; // handle为false时，取默认布局方式进行布局，但不会显示出来

        var handleCfg = handle || get(Continuous.defaultOptions, ['style', 'handle']);
        var handleSpacing = handleCfg.spacing,
            handleText = handleCfg.text;
        var handleTextAlign = handleText.align;
        this.railShape.attr({
          x: innerX,
          y: innerY
        }); // 设置Handle位置

        var startHandle = this.getHandle('start');
        var endHandle = this.getHandle('end');
        startHandle.attr({
          x: this.getValueOffset(start),
          y: railHeight / 2
        });
        endHandle.attr({
          x: this.getValueOffset(end),
          y: railHeight / 2
        }); // 调整文本位置

        var handleTextStyle = {};

        if (handleTextAlign === 'rail') {
          // 不做处理
          handleTextStyle = {};
        } else if (handleTextAlign === 'inside') {
          handleTextStyle = {
            y: -railHeight / 2 - handleSpacing,
            textBaseline: 'bottom'
          };
        } else if (handleTextAlign === 'outside') {
          handleTextStyle = {
            y: railHeight / 2 + handleSpacing,
            textBaseline: 'top'
          };
        }

        this.getHandle('start', 'text').attr(handleTextStyle);
        this.getHandle('end', 'text').attr(handleTextStyle);
      }
      /**
       * 调整labels结构
       */

    }, {
      key: "adjustLabels",
      value: function adjustLabels() {
        var _this3 = this;

        var _this$attributes9 = this.attributes,
            min = _this$attributes9.min,
            max = _this$attributes9.max,
            label = _this$attributes9.label,
            rail = _this$attributes9.rail,
            orient = _this$attributes9.orient;
        if (!label) return; // 容器内可用空间起点

        var _this$getAvailableSpa2 = this.getAvailableSpace(),
            innerX = _this$getAvailableSpa2.x,
            innerY = _this$getAvailableSpa2.y;

        var railWidth = rail.width,
            railHeight = rail.height,
            _t = rail.ticks; // 绘制label

        var labelAlign = label.align,
            labelSpacing = label.spacing; // label位置

        if (labelAlign === 'rail') {
          /**
           * 此时labelsShape中只包含min、max label
           * 1. 设置minLabel位置
           */
          if (orient === 'horizontal') {
            /**
             * 0  ||||||||||||||||||||||  100
             */
            this.labelsShape.attr({
              x: innerX,
              y: innerY + railHeight / 2
            });
            var _railStart = innerX;
            var firstChild = this.labelsShape.firstChild; // 设置左侧文本

            if (firstChild) {
              firstChild.attr({
                textAlign: 'start'
              });

              var _getShapeSpace2 = getShapeSpace(this.labelsShape.firstChild),
                  width = _getShapeSpace2.width;

              _railStart += width + labelSpacing;
            } // this.labelsShape.firstChild!.attr({ textAlign: 'start' });
            // 左侧文本的宽度
            // const railStart = innerX + leftTextWidth + labelSpacing!;
            // 设置rail位置


            this.railShape.attr({
              x: _railStart,
              y: innerY
            });
            var lastChild = this.labelsShape.lastChild;

            if (lastChild) {
              // 设置右侧文本位置
              this.labelsShape.lastChild.attr({
                x: _railStart + railWidth + labelSpacing,
                y: 0,
                textAlign: 'start'
              });
            }

            return;
          }
          /**
           * else if orient === 'vertical'
           *   0
           *  --
           *  --
           *  --
           *  --
           *  --
           *  --
           *  400
           */


          this.labelsShape.attr({
            x: railWidth / 2,
            y: innerY
          }); // 顶部文本高度

          var _getShapeSpace3 = getShapeSpace(this.labelsShape.firstChild),
              topTextHeight = _getShapeSpace3.height;

          this.labelsShape.firstChild.attr({
            textBaseline: 'top'
          }); // rail位置

          var railStart = innerY + topTextHeight + labelSpacing;
          this.railShape.attr({
            x: innerX,
            y: railStart
          }); // 底部文本位置

          this.labelsShape.lastChild.attr({
            x: 0,
            y: railStart + railHeight + labelSpacing,
            textBaseline: 'top'
          });
          return;
        }
        /**
         * if labelAlign == 'inside' | 'outside'
         *  ||||||||||||||||||||||
         *  0  20  40  60  80  100
         *
         *  -- 0
         *  -- 20
         *  -- 40
         *  -- 60
         *  -- 80
         *  -- 100
         */


        if (orient === 'horizontal') {
          // labelsShape 高度
          var _getShapeSpace4 = getShapeSpace(this.labelsShape),
              labelsHeight = _getShapeSpace4.height;

          var labelSpace = labelsHeight + labelSpacing;
          this.railShape.attr({
            x: innerX,
            // label在上，rail在下
            y: innerY + (labelAlign === 'inside' ? labelSpace : 0)
          });
          this.labelsShape.attr({
            x: innerX,
            // label在上
            y: innerY + (labelAlign === 'inside' ? 0 : labelSpace) + 10
          }); // 补上min，max

          var ticks = [min].concat(_toConsumableArray(_t), [max]); // 设置labelsShape中每个文本的位置

          this.labelsShape.children.forEach(function (child, idx) {
            var val = ticks[idx]; // 通过val拿到偏移量

            child.attr({
              x: _this3.getValueOffset(val),
              y: 0,
              textBaseline: 'top',
              textAlign: function () {
                // 调整两端label位置
                if (idx === 0) return 'start';
                if (idx === ticks.length - 1) return 'end';
                return 'center';
              }()
            });
          });
          return;
        }
      }
      /**
       * 调整指示器结构
       */

    }, {
      key: "adjustIndicator",
      value: function adjustIndicator() {
        var text = this.getIndicator('text');
        var background = this.getIndicator('background');

        var _getShapeSpace5 = getShapeSpace(text),
            width = _getShapeSpace5.width,
            height = _getShapeSpace5.height;

        var _this$getPadding3 = this.getPadding(get(this.attributes, ['indicator', 'padding'])),
            _this$getPadding4 = _slicedToArray(_this$getPadding3, 4),
            top = _this$getPadding4[0],
            right = _this$getPadding4[1],
            bottom = _this$getPadding4[2],
            left = _this$getPadding4[3];

        var leftRight = left + right;
        var topBottom = top + bottom; // 设置背景大小

        background.attr({
          x: -width / 2 - left,
          y: -height - topBottom,
          width: width + leftRight,
          height: height + topBottom
        });
        text.attr({
          y: -height / 2 - top
        });
      }
      /**
       * 对图例进行布局
       */

    }, {
      key: "adjustLayout",
      value: function adjustLayout() {
        // if (!label && !handle) {
        //   // 没有label和Handle
        //   // 直接绘制色板即可
        // }
        var _this$attributes10 = this.attributes,
            handle = _this$attributes10.handle,
            label = _this$attributes10.label; // 调整handle
        // 显示handle时不显示label

        if (handle) {
          var _this$labelsShape;

          (_this$labelsShape = this.labelsShape) === null || _this$labelsShape === void 0 ? void 0 : _this$labelsShape.hide();
        } else {
          var _this$labelsShape2;

          (_this$labelsShape2 = this.labelsShape) === null || _this$labelsShape2 === void 0 ? void 0 : _this$labelsShape2.show();
        }

        if (this.getHandle('start')) {
          this.adjustHandle();
        } // 调整labels


        if (label && this.labelsShape.isVisible()) {
          this.adjustLabels();
        } // rail位置

      }
      /**
       * 事件触发的位置对应的value值
       * @param limit {boolean} 我也忘了要干啥了
       */

    }, {
      key: "getEventPosValue",
      value: function getEventPosValue(e) {
        var _this$attributes11 = this.attributes,
            min = _this$attributes11.min,
            max = _this$attributes11.max;
        var startPos = this.getOrientVal(this.railShape.getPosition().slice(0, 2));
        var currValue = this.getOrientVal(getEventPos(e));
        var offset = currValue - startPos;
        var value = clamp(this.getValueOffset(offset, true) + min, min, max);
        return value;
      }
      /**
       * 绑定事件
       */

    }, {
      key: "bindEvents",
      value: function bindEvents() {
        var _this4 = this;

        // 如果！slidable，则不绑定事件或者事件响应不生效
        // 各种hover事件
        // 放置需要绑定drag事件的对象
        var dragObject = new Map();
        dragObject.set('rail', this.railShape);
        dragObject.set('start', this.getHandle('start', 'icon'));
        dragObject.set('end', this.getHandle('end', 'icon')); // 绑定drag开始事件

        dragObject.forEach(function (obj, key) {
          obj.addEventListener('mousedown', _this4.onDragStart(key));
          obj.addEventListener('touchstart', _this4.onDragStart(key));
        }); // indicator hover事件

        this.railShape.getRail().addEventListener('mouseenter', this.onHoverStart('rail')); // this.backgroundShape.addEventListener('mouseover', this.onHoverEnd);
      }
      /**
       * 开始拖拽
       */

    }, {
      key: "dispatchIndicated",
      value: function dispatchIndicated(val) {
        var evt = new CustomEvent('onIndicated', {
          detail: {
            value: val
          }
        });
        this.dispatchEvent(evt);
      }
    }]);

    return Continuous;
  }(LegendBase);
  Continuous$1.tag = 'Continuous';
  Continuous$1.defaultOptions = _objectSpread2({
    type: Continuous$1.tag
  }, CONTINUOUS_DEFAULT_OPTIONS);

  var Statistic = /*#__PURE__*/function (_GUI) {
    _inherits(Statistic, _GUI);

    var _super = _createSuper(Statistic);

    /**
     * 组件 tag
     */

    /** 标题  */

    /** 内容 */

    /** 背景 */

    /**
     * 默认配置项
     */
    function Statistic(options) {
      var _this;

      _classCallCheck(this, Statistic);

      _this = _super.call(this, deepMix({}, Statistic.defaultOptions, options));
      _this.titleShape = void 0;
      _this.valueShape = void 0;
      _this.backgroundShape = void 0;

      _this.init();

      return _this;
    }

    _createClass(Statistic, [{
      key: "init",
      value: function init() {
        this.initShape();
        this.update({});
      }
      /**
       * 组件的更新
       */

    }, {
      key: "update",
      value: function update(cfg) {
        this.attr(deepMix({}, this.attributes, cfg)); // 更新背景

        this.backgroundShape.attr(this.getBackgroundShapeCfg()); // 更新 title shape

        this.titleShape.update(this.getTitleShapeCfg()); // 更新 value shape

        this.valueShape.update(this.getValueShapeCfg()); // this.autoFit();
      }
    }, {
      key: "initShape",
      value: function initShape() {
        this.titleShape = new Tag({
          name: 'title',
          style: Statistic.defaultOptions.style.title
        });
        this.valueShape = new Tag({
          name: 'value',
          style: Statistic.defaultOptions.style.value
        });
        this.backgroundShape = new Rect({
          name: 'background'
        });
        this.backgroundShape.appendChild(this.titleShape);
        this.backgroundShape.appendChild(this.valueShape);
        this.appendChild(this.backgroundShape);
        this.backgroundShape.toBack();
      }
      /**
       * 获取背景配置
       */

    }, {
      key: "getBackgroundShapeCfg",
      value: function getBackgroundShapeCfg() {
        var backgroundStyle = this.attributes.backgroundStyle;
        return getStateStyle(backgroundStyle);
      }
      /**
       * 获取标题配置
       */

    }, {
      key: "getTitleShapeCfg",
      value: function getTitleShapeCfg() {
        var title = this.attributes.title;
        return _objectSpread2(_objectSpread2({
          text: ''
        }, title), {}, {
          x: 0,
          y: 0
        });
      }
      /**
       * 获取内容配置
       */

    }, {
      key: "getValueShapeCfg",
      value: function getValueShapeCfg() {
        var _this$attributes = this.attributes,
            value = _this$attributes.value,
            spacing = _this$attributes.spacing;
        var titleHeight = 0;

        if (this.titleShape) {
          var bounds = this.titleShape.getBounds();
          titleHeight = bounds.getMax()[1] - bounds.getMin()[1];
        }

        var valueX = 0;
        var valueY = spacing + titleHeight;
        return _objectSpread2(_objectSpread2({
          text: ''
        }, value), {}, {
          x: valueX,
          y: valueY // title 文本高度 + spacing 上下间距

        });
      }
      /**
       * 组件的清除
       */

    }, {
      key: "clear",
      value: function clear() {
        this.valueShape.destroy();
        this.titleShape.destroy();
        this.backgroundShape.destroy();
      }
    }]);

    return Statistic;
  }(GUI);
  Statistic.tag = 'statistic';
  Statistic.defaultOptions = {
    type: Statistic.tag,
    style: {
      x: 0,
      y: 0,
      title: {
        // 标题
        text: '',

        /** 内边距 置 0 */
        padding: 0,
        textStyle: {
          default: {
            fontSize: 14,
            fill: 'rgba(0, 0, 0, 0.45)'
          }
        },

        /** 默认不要背景 */
        backgroundStyle: {
          default: {
            fill: 'transparent',
            lineWidth: 0
          }
        }
      },
      value: {
        text: '',

        /** 内边距 置 0 */
        padding: 0,
        textStyle: {
          default: {
            fontSize: 24,
            fill: 'rgba(0, 0, 0, 0.85)'
          }
        },

        /** 默认不要背景 */
        backgroundStyle: {
          default: {
            fill: 'transparent',
            lineWidth: 0
          }
        }
      },
      spacing: 5
    }
  };

  // Countdown
  var timeUnits = [['Y', 1000 * 60 * 60 * 24 * 365], ['M', 1000 * 60 * 60 * 24 * 30], ['D', 1000 * 60 * 60 * 24], ['H', 1000 * 60 * 60], ['m', 1000 * 60], ['s', 1000], ['S', 1] // million seconds
  ];
  function formatTimeStr(duration, format) {
    var leftDuration = duration;
    var escapeRegex = /\[[^\]]*]/g;
    var keepList = (format.match(escapeRegex) || []).map(function (str) {
      return str.slice(1, -1);
    });
    var templateText = format.replace(escapeRegex, '[]');
    var replacedText = timeUnits.reduce(function (current, _ref) {
      var _ref2 = _slicedToArray(_ref, 2),
          name = _ref2[0],
          unit = _ref2[1];

      if (current.indexOf(name) !== -1) {
        var value = Math.floor(leftDuration / unit);
        leftDuration -= value * unit;
        return current.replace(new RegExp("".concat(name, "+"), 'g'), function (match) {
          var v = value.toString();
          return v.length < 2 ? "0".concat(v) : v;
        });
      }

      return current;
    }, templateText);
    var index = 0;
    return replacedText.replace(escapeRegex, function () {
      var match = keepList[index];
      index += 1;
      return match;
    });
  }

  var REFRESH_INTERVAL = 1000 / 30;
  var Countdown = /*#__PURE__*/function (_Statistic) {
    _inherits(Countdown, _Statistic);

    var _super = _createSuper(Countdown);

    /**
     * 标签类型
     */

    /**
     * 默认配置项
     */

    /**
     * 记录初始化时间戳 倒计时用
     */

    /**
     * 记录初始化value
     */
    function Countdown(options) {
      var _this;

      _classCallCheck(this, Countdown);

      _this = _super.call(this, deepMix({}, Countdown.defaultOptions, options));
      _this.countdownId = void 0;
      _this.timestamp = void 0;

      _this.init();

      return _this;
    }
    /**
     * @override
     */


    _createClass(Countdown, [{
      key: "init",
      value: function init() {
        _get(_getPrototypeOf(Countdown.prototype), "init", this).call(this);

        this.timestamp = this.attributes.value.timestamp;
        this.startTimer();
      }
      /**
       * @override 倒计时组件, 时间文本（value.text）复写更新
       */

    }, {
      key: "update",
      value: function update(cfg) {
        _get(_getPrototypeOf(Countdown.prototype), "update", this).call(this, cfg);
      }
      /**
       * 更新 倒计时数值
       */

    }, {
      key: "formatCountdown",
      value: function formatCountdown(cfg) {
        var _this$attributes$valu, _cfg$value;

        var format = (_this$attributes$valu = this.attributes.value) === null || _this$attributes$valu === void 0 ? void 0 : _this$attributes$valu.format;

        if (cfg === null || cfg === void 0 ? void 0 : (_cfg$value = cfg.value) === null || _cfg$value === void 0 ? void 0 : _cfg$value.format) {
          format = cfg.value.format;
        }

        var target = new Date(this.timestamp).getTime();
        var current = Date.now();
        var diff = Math.max(target - current, 0);
        var text = !isNil(diff) ? "".concat(diff) : '';

        if (format) {
          text = formatTimeStr(diff, format);
        }

        return text;
      }
    }, {
      key: "startTimer",
      value: function startTimer() {
        var _this2 = this;

        if (this.countdownId) return;
        this.countdownId = window.setInterval(function () {
          var text = _this2.formatCountdown();

          _this2.valueShape.update({
            text: text
          });

          if (_this2.timestamp <= Date.now()) {
            _this2.stopTimer();
          }
        }, REFRESH_INTERVAL);
      }
    }, {
      key: "stopTimer",
      value: function stopTimer() {
        if (this.countdownId) {
          clearInterval(this.countdownId);
          this.countdownId = undefined;
          var onFinish = this.attributes.onFinish;

          if (onFinish) {
            onFinish();
          }
        }
      }
    }]);

    return Countdown;
  }(Statistic);
  Countdown.tag = 'countdown';
  Countdown.defaultOptions = deepMix({}, Statistic.defaultOptions, {
    style: {
      value: {
        // 默认 30s
        timestamp: Date.now() + 1000 * 30
      }
    }
  });

  var PageNavigator = /*#__PURE__*/function (_GUI) {
    _inherits(PageNavigator, _GUI);

    var _super = _createSuper(PageNavigator);

    function PageNavigator(options) {
      var _this;

      _classCallCheck(this, PageNavigator);

      _this = _super.call(this, deepMix({}, PageNavigator.defaultOptions, options));
      _this.currPage = void 0;
      _this.prevButton = void 0;
      _this.nextButton = void 0;
      _this.paginationGroup = void 0;
      _this.pageView = void 0;
      _this.fullView = void 0;
      _this.playState = 'idle';
      _this.finishedPromise = void 0;
      _this.resolveFinishedPromise = void 0;
      var _this$attributes = _this.attributes,
          view = _this$attributes.view,
          initPageNum = _this$attributes.initPageNum;
      _this.currPage = initPageNum; // 指定宽高

      _this.view = view;

      _this.init();

      return _this;
    }

    _createClass(PageNavigator, [{
      key: "finished",
      get:
      /**
       * 当前页面的索引
       */

      /**
       * 向前翻页按钮
       */

      /**
       * 向后翻页按钮
       */

      /**
       * 页码，可以是 1/5 ，也可以是 1 2 3 4 5 这种
       */

      /**
       * 显示内容的窗口
       */

      /**
       * 当前是否正在翻页
       */
      function get() {
        var _this2 = this;

        if (!this.finishedPromise) {
          this.finishedPromise = new Promise(function (resolve) {
            _this2.resolveFinishedPromise = function () {
              _this2.finishedPromise = null;
              resolve(_this2.currPage);
            };
          });
        }

        if (this.playState === 'idle') {
          this.resolveFinishedPromise();
        }

        return this.finishedPromise;
      }
      /**
       * 一共有多少页
       */

    }, {
      key: "totalPages",
      get: function get() {
        var _this$attributes2 = this.attributes,
            width = _this$attributes2.width,
            height = _this$attributes2.height,
            pageWidth = _this$attributes2.pageWidth,
            pageHeight = _this$attributes2.pageHeight,
            orient = _this$attributes2.orient,
            pageLimit = _this$attributes2.pageLimit,
            pageCallback = _this$attributes2.pageCallback;
        if (pageCallback || pageLimit !== Infinity) return pageLimit;
        var totalPages = 0;

        if (orient === 'horizontal') {
          totalPages = Math.ceil(width / pageWidth);
        } else {
          totalPages = Math.ceil(height / pageHeight);
        }

        return totalPages;
      }
    }, {
      key: "view",
      get: function get() {
        return this.fullView;
      },
      set: function set(view) {
        this.fullView = view;
        var _this$attributes3 = this.attributes,
            width = _this$attributes3.width,
            height = _this$attributes3.height;

        if (!width || !height) {
          var _getShapeSpace = getShapeSpace(view),
              w = _getShapeSpace.width,
              h = _getShapeSpace.height;

          this.attr({
            width: w,
            height: h
          });
        }
      }
    }, {
      key: "init",
      value: function init() {
        this.initShape(); // 更新窗口

        this.updatePageView(); // 更新背景

        this.updateFullView(); // 更新按钮

        this.updateButton();
        this.updateButtonState(); // 调整布局

        this.adjustLayout(); // 绑定事件

        this.bindEvents();
      }
    }, {
      key: "update",
      value: function update(cfg) {
        this.attr(deepMix({}, this.attributes, cfg));
        this.updatePageView();

        if ('view' in cfg) {
          var view = cfg.view;
          this.view.style.clipPath = null;
          this.removeChild(this.view); // 更新full view

          this.view = view;
          this.view.style.clipPath = this.pageView;
          this.appendChild(this.view);
        }

        this.updateButton();
        this.updateButtonState();
        this.adjustLayout();
      }
    }, {
      key: "clear",
      value: function clear() {}
      /**
       * 从xx页翻到xx页
       * from 默认为当前页
       */

    }, {
      key: "goTo",
      value: function goTo(to, from) {
        var _this3 = this;

        if (this.playState === 'idle') {
          var _this$attributes4 = this.attributes,
              effect = _this$attributes4.effect,
              duration = _this$attributes4.duration;

          var _this$getPageViewSpac = this.getPageViewSpace(isUndefined(from) ? this.currPage : from),
              fromX = _this$getPageViewSpac.x,
              fromY = _this$getPageViewSpac.y;

          var _this$getPageViewSpac2 = this.getPageViewSpace(to),
              toX = _this$getPageViewSpac2.x,
              toY = _this$getPageViewSpac2.y;

          var currX = this.view.attr('x');
          var currY = this.view.attr('y');
          var targetX = currX + fromX - toX,
              targetY = currY + fromY - toY;
          this.playState = 'running'; // 播放动画

          this.pageView.animate([{
            transform: "translate(".concat(fromX, "px, ").concat(fromY, "px)")
          }, {
            transform: "translate(".concat(toX, "px, ").concat(toY, "px)")
          }], {
            duration: duration,
            easing: effect
          });
          var animation = this.view.animate([{
            transform: "translate(".concat(currX, "px, ").concat(currY, "px)")
          }, {
            transform: "translate(".concat(targetX, "px, ").concat(targetY, "px)")
          }], {
            duration: duration,
            easing: effect
          }); // 设置最终位置

          animation === null || animation === void 0 ? void 0 : animation.finished.then(function () {
            _this3.pageView.attr({
              x: toX,
              y: toY
            });

            _this3.view.attr({
              x: targetX,
              y: targetY
            });

            _this3.currPage = to;

            _this3.updateButtonState();

            _this3.resolveFinishedPromise();

            _this3.playState = 'idle';
          });
        }

        return this.finished;
      }
      /**
       * 向前翻页
       */

    }, {
      key: "prev",
      value: function prev() {
        var loop = this.attributes.loop;
        var page = this.currPage;
        var to = page - 1;
        if (to <= 1) to = loop ? this.totalPages : 1;
        return this.goTo(to);
      }
      /**
       * 向后翻页
       */

    }, {
      key: "next",
      value: function next() {
        var loop = this.attributes.loop;
        var totalPages = this.totalPages;
        var page = this.currPage;
        var to = page + 1;
        if (to > totalPages) to = loop ? 1 : totalPages;
        return this.goTo(to);
      }
    }, {
      key: "initShape",
      value: function initShape() {
        // 初始化 窗口
        this.pageView = new Rect({
          name: 'pageView',
          style: {
            x: 0,
            y: 0,
            width: 0,
            height: 0
          }
        });
        this.view.style.clipPath = this.pageView; // 将全景图挂载到翻页器

        this.appendChild(this.view); // 初始化按钮

        this.prevButton = new Button({
          name: 'prevButton',
          style: _objectSpread2(_objectSpread2({}, PageNavigator.defaultOptions.style.button.prev), {}, {
            onClick: this.prev.bind(this)
          })
        });
        this.appendChild(this.prevButton);
        this.nextButton = new Button({
          name: 'nextButton',
          style: _objectSpread2(_objectSpread2({}, PageNavigator.defaultOptions.style.button.next), {}, {
            onClick: this.next.bind(this)
          })
        });
        this.appendChild(this.nextButton); // 页码

        this.paginationGroup = new Group({
          name: 'paginationGroup'
        });
        this.appendChild(this.paginationGroup);
      }
    }, {
      key: "updatePageView",
      value: function updatePageView() {
        this.pageView.attr(this.getPageViewSpace(this.currPage));
      }
    }, {
      key: "updateFullView",
      value: function updateFullView() {
        this.view.attr(this.calcFullViewPosition(this.currPage));
      }
    }, {
      key: "updateButton",
      value: function updateButton() {
        var button = this.attributes.button;
        var prev = button.prev,
            next = button.next;
        prev && this.prevButton.update(prev);
        next && this.nextButton.update(next);
      }
      /**
       * 更新 button 状态
       */

    }, {
      key: "updateButtonState",
      value: function updateButtonState() {
        var loop = this.attributes.loop;

        if (!loop) {
          if (this.currPage === this.totalPages) {
            this.nextButton.update({
              disabled: true
            });
          } else {
            this.nextButton.update({
              disabled: false
            });
          }

          if (this.currPage === 1) {
            this.prevButton.update({
              disabled: true
            });
          } else {
            this.prevButton.update({
              disabled: false
            });
          }
        }
      }
      /**
       * 根据页码获得该页的位置
       */

    }, {
      key: "getPageViewSpace",
      value: function getPageViewSpace(num) {
        var _this$attributes5 = this.attributes,
            orient = _this$attributes5.orient,
            pageWidth = _this$attributes5.pageWidth,
            pageHeight = _this$attributes5.pageHeight,
            pageCallback = _this$attributes5.pageCallback;
        var pageSpace = {
          x: 0,
          y: 0,
          width: pageWidth,
          height: pageHeight
        };
        var totalPages = this.totalPages;
        if (pageCallback) return _objectSpread2(_objectSpread2({}, pageSpace), pageCallback(num));
        if (num > totalPages || num < 1) return pageSpace;

        if (orient === 'vertical') {
          pageSpace.y = (num - 1) * pageHeight;
        } else if (orient === 'horizontal') {
          pageSpace.x = (num - 1) * pageWidth;
        }

        return pageSpace;
      }
      /**
       * 计算切换到第num页时，fullView应当放置的位置
       */

    }, {
      key: "calcFullViewPosition",
      value: function calcFullViewPosition(num) {
        // 第1页的pageView位置 应当对应fullView 的位置
        var _this$getPageViewSpac3 = this.getPageViewSpace(1),
            p1X = _this$getPageViewSpac3.x,
            p1Y = _this$getPageViewSpac3.y;

        var _this$getPageViewSpac4 = this.getPageViewSpace(num),
            pnX = _this$getPageViewSpac4.x,
            pnY = _this$getPageViewSpac4.y;

        var diffX = -pnX + p1X,
            diffY = -pnY + p1Y;
        return {
          x: diffX,
          y: diffY
        };
      }
    }, {
      key: "bindEvents",
      value: function bindEvents() {// 按钮点击事件
        // this.prevButton.addEventListener('click', () => this.prev());
        // this.nextButton.addEventListener('click', () => this.next());
      }
      /**
       * 调整布局
       */

    }, {
      key: "adjustLayout",
      value: function adjustLayout() {
        this.adjustButton();
      }
      /**
       * 调整button位置
       */

    }, {
      key: "adjustButton",
      value: function adjustButton() {
        var _this$attributes6 = this.attributes,
            button = _this$attributes6.button,
            pageWidth = _this$attributes6.pageWidth,
            pageHeight = _this$attributes6.pageHeight;
        var position = button.position,
            spacing = button.spacing;

        var _getShapeSpace2 = getShapeSpace(this.prevButton),
            prevWidth = _getShapeSpace2.width,
            prevHeight = _getShapeSpace2.height;

        var _getShapeSpace3 = getShapeSpace(this.nextButton),
            nextWidth = _getShapeSpace3.width,
            nextHeight = _getShapeSpace3.height;

        var prevX = 0;
        var prevY = 0;
        var nextX = 0;
        var nextY = 0;

        if (position === 'horizontal') {
          /**
           *  ⬅️ ||||||||| ➡️
           */
          prevX = -(spacing + prevWidth);
          prevY = (pageHeight - prevHeight) / 2;
          nextX = spacing + pageWidth;
          nextY = (pageHeight - nextHeight) / 2;
        } else if (position === 'vertical') {
          /**
           *     ⬆️
           *  |||||||||
           *     ⬇️
           */
          prevX = (pageWidth - prevWidth) / 2;
          prevY = -(spacing + prevHeight);
          nextX = (pageWidth - nextWidth) / 2;
          nextY = spacing + pageHeight;
        } else if (position === 'top') {
          /**
           *    ⬅️ ➡️
           *  |||||||||
           */
          var height = max$1([prevHeight, nextHeight]);
          prevX = (pageWidth - spacing) / 2 - prevWidth;
          prevY = -(spacing + height);
          nextX = (pageWidth + spacing) / 2;
          nextY = -(spacing + height);
        } else if (position === 'bottom') {
          /**
           *  |||||||||
           *    ⬅️ ➡️
           */
          prevX = (pageWidth - spacing) / 2 - prevWidth;
          prevY = spacing + pageHeight;
          nextX = (pageWidth + spacing) / 2;
          nextY = prevY;
        } else if (position === 'left') {
          /**
           * ⬅️ ➡️  |||||||||
           */
          var _height = max$1([prevHeight, nextHeight]);

          prevY = (pageHeight - _height) / 2;
          nextX = -(spacing + nextWidth);
          prevX = nextX - (spacing + prevWidth);
          nextY = prevY;
        } else if (position === 'right') {
          /**
           *  ||||||||| ⬅️ ➡️
           */
          var _height2 = max$1([prevHeight, nextHeight]);

          prevX = spacing + pageWidth;
          prevY = (pageHeight - _height2) / 2;
          nextX = prevX + prevWidth;
          nextY = prevY;
        }

        this.prevButton.attr({
          x: prevX,
          y: prevY
        });
        this.nextButton.attr({
          x: nextX,
          y: nextY
        });
      }
    }]);

    return PageNavigator;
  }(GUI);
  PageNavigator.tag = 'pageNavigator';
  PageNavigator.defaultOptions = {
    type: PageNavigator.tag,
    style: {
      x: 0,
      y: 0,
      effect: 'linear',
      duration: 200,
      orient: 'horizontal',
      initPageNum: 1,
      pageLimit: Infinity,
      loop: false,
      button: {
        prev: {
          text: '上一页',
          spacing: 0
        },
        next: {
          text: '下一页',
          spacing: 0
        },
        style: {
          default: {},
          active: {},
          disabled: {}
        },
        spacing: 5,
        position: 'bottom'
      },
      pagination: {
        type: 'currTotal',
        style: {
          default: {},
          active: {}
        },
        separator: '/',
        spacing: 5,
        position: 'bottom'
      }
    }
  };

  exports.Arrow = Arrow;
  exports.Axis = Axis;
  exports.BreadCrumb = BreadCrumb;
  exports.Button = Button;
  exports.Category = Category;
  exports.Continuous = Continuous$1;
  exports.Countdown = Countdown;
  exports.Marker = Marker;
  exports.PageNavigator = PageNavigator;
  exports.Scrollbar = Scrollbar;
  exports.Sheet = Sheet;
  exports.Slider = Slider;
  exports.Sparkline = Sparkline;
  exports.Statistic = Statistic;
  exports.Tag = Tag;
  exports.Timeline = Timeline;
  exports.getEllipsisText = getEllipsisText;
  exports.measureTextWidth = measureTextWidth;
  exports.svg2marker = svg2marker;
  exports.toPrecision = toPrecision;

  Object.defineProperty(exports, '__esModule', { value: true });

})));
