'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var g = require('@antv/g');
var util = require('@antv/util');
var svgPathParser = require('svg-path-parser');
var scale = require('@antv/scale');
var pathUtil = require('@antv/path-util');

function _interopDefaultLegacy (e) { return e && typeof e === 'object' && 'default' in e ? e : { 'default': e }; }

var svgPathParser__default = /*#__PURE__*/_interopDefaultLegacy(svgPathParser);

function ownKeys(object, enumerableOnly) {
  var keys = Object.keys(object);

  if (Object.getOwnPropertySymbols) {
    var symbols = Object.getOwnPropertySymbols(object);

    if (enumerableOnly) {
      symbols = symbols.filter(function (sym) {
        return Object.getOwnPropertyDescriptor(object, sym).enumerable;
      });
    }

    keys.push.apply(keys, symbols);
  }

  return keys;
}

function _objectSpread2(target) {
  for (var i = 1; i < arguments.length; i++) {
    var source = arguments[i] != null ? arguments[i] : {};

    if (i % 2) {
      ownKeys(Object(source), true).forEach(function (key) {
        _defineProperty(target, key, source[key]);
      });
    } else if (Object.getOwnPropertyDescriptors) {
      Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
    } else {
      ownKeys(Object(source)).forEach(function (key) {
        Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
      });
    }
  }

  return target;
}

function _classCallCheck(instance, Constructor) {
  if (!(instance instanceof Constructor)) {
    throw new TypeError("Cannot call a class as a function");
  }
}

function _defineProperties(target, props) {
  for (var i = 0; i < props.length; i++) {
    var descriptor = props[i];
    descriptor.enumerable = descriptor.enumerable || false;
    descriptor.configurable = true;
    if ("value" in descriptor) descriptor.writable = true;
    Object.defineProperty(target, descriptor.key, descriptor);
  }
}

function _createClass(Constructor, protoProps, staticProps) {
  if (protoProps) _defineProperties(Constructor.prototype, protoProps);
  if (staticProps) _defineProperties(Constructor, staticProps);
  return Constructor;
}

function _defineProperty(obj, key, value) {
  if (key in obj) {
    Object.defineProperty(obj, key, {
      value: value,
      enumerable: true,
      configurable: true,
      writable: true
    });
  } else {
    obj[key] = value;
  }

  return obj;
}

function _inherits(subClass, superClass) {
  if (typeof superClass !== "function" && superClass !== null) {
    throw new TypeError("Super expression must either be null or a function");
  }

  subClass.prototype = Object.create(superClass && superClass.prototype, {
    constructor: {
      value: subClass,
      writable: true,
      configurable: true
    }
  });
  if (superClass) _setPrototypeOf(subClass, superClass);
}

function _getPrototypeOf(o) {
  _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) {
    return o.__proto__ || Object.getPrototypeOf(o);
  };
  return _getPrototypeOf(o);
}

function _setPrototypeOf(o, p) {
  _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) {
    o.__proto__ = p;
    return o;
  };

  return _setPrototypeOf(o, p);
}

function _isNativeReflectConstruct() {
  if (typeof Reflect === "undefined" || !Reflect.construct) return false;
  if (Reflect.construct.sham) return false;
  if (typeof Proxy === "function") return true;

  try {
    Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {}));
    return true;
  } catch (e) {
    return false;
  }
}

function _objectWithoutPropertiesLoose(source, excluded) {
  if (source == null) return {};
  var target = {};
  var sourceKeys = Object.keys(source);
  var key, i;

  for (i = 0; i < sourceKeys.length; i++) {
    key = sourceKeys[i];
    if (excluded.indexOf(key) >= 0) continue;
    target[key] = source[key];
  }

  return target;
}

function _objectWithoutProperties(source, excluded) {
  if (source == null) return {};

  var target = _objectWithoutPropertiesLoose(source, excluded);

  var key, i;

  if (Object.getOwnPropertySymbols) {
    var sourceSymbolKeys = Object.getOwnPropertySymbols(source);

    for (i = 0; i < sourceSymbolKeys.length; i++) {
      key = sourceSymbolKeys[i];
      if (excluded.indexOf(key) >= 0) continue;
      if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue;
      target[key] = source[key];
    }
  }

  return target;
}

function _assertThisInitialized(self) {
  if (self === void 0) {
    throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
  }

  return self;
}

function _possibleConstructorReturn(self, call) {
  if (call && (typeof call === "object" || typeof call === "function")) {
    return call;
  } else if (call !== void 0) {
    throw new TypeError("Derived constructors may only return object or undefined");
  }

  return _assertThisInitialized(self);
}

function _createSuper(Derived) {
  var hasNativeReflectConstruct = _isNativeReflectConstruct();

  return function _createSuperInternal() {
    var Super = _getPrototypeOf(Derived),
        result;

    if (hasNativeReflectConstruct) {
      var NewTarget = _getPrototypeOf(this).constructor;

      result = Reflect.construct(Super, arguments, NewTarget);
    } else {
      result = Super.apply(this, arguments);
    }

    return _possibleConstructorReturn(this, result);
  };
}

function _superPropBase(object, property) {
  while (!Object.prototype.hasOwnProperty.call(object, property)) {
    object = _getPrototypeOf(object);
    if (object === null) break;
  }

  return object;
}

function _get(target, property, receiver) {
  if (typeof Reflect !== "undefined" && Reflect.get) {
    _get = Reflect.get;
  } else {
    _get = function _get(target, property, receiver) {
      var base = _superPropBase(target, property);

      if (!base) return;
      var desc = Object.getOwnPropertyDescriptor(base, property);

      if (desc.get) {
        return desc.get.call(receiver);
      }

      return desc.value;
    };
  }

  return _get(target, property, receiver || target);
}

function _slicedToArray(arr, i) {
  return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest();
}

function _toConsumableArray(arr) {
  return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread();
}

function _arrayWithoutHoles(arr) {
  if (Array.isArray(arr)) return _arrayLikeToArray(arr);
}

function _arrayWithHoles(arr) {
  if (Array.isArray(arr)) return arr;
}

function _iterableToArray(iter) {
  if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter);
}

function _iterableToArrayLimit(arr, i) {
  var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"];

  if (_i == null) return;
  var _arr = [];
  var _n = true;
  var _d = false;

  var _s, _e;

  try {
    for (_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true) {
      _arr.push(_s.value);

      if (i && _arr.length === i) break;
    }
  } catch (err) {
    _d = true;
    _e = err;
  } finally {
    try {
      if (!_n && _i["return"] != null) _i["return"]();
    } finally {
      if (_d) throw _e;
    }
  }

  return _arr;
}

function _unsupportedIterableToArray(o, minLen) {
  if (!o) return;
  if (typeof o === "string") return _arrayLikeToArray(o, minLen);
  var n = Object.prototype.toString.call(o).slice(8, -1);
  if (n === "Object" && o.constructor) n = o.constructor.name;
  if (n === "Map" || n === "Set") return Array.from(o);
  if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen);
}

function _arrayLikeToArray(arr, len) {
  if (len == null || len > arr.length) len = arr.length;

  for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i];

  return arr2;
}

function _nonIterableSpread() {
  throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}

function _nonIterableRest() {
  throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}

var GUI = /*#__PURE__*/function (_CustomElement) {
  _inherits(GUI, _CustomElement);

  var _super = _createSuper(GUI);

  function GUI() {
    _classCallCheck(this, GUI);

    return _super.apply(this, arguments);
  }

  _createClass(GUI, [{
    key: "connectedCallback",
    value: function connectedCallback() {}
  }, {
    key: "disconnectedCallback",
    value: function disconnectedCallback() {}
  }, {
    key: "attributeChangedCallback",
    value: function attributeChangedCallback(name, oldValue, value) {}
  }]);

  return GUI;
}(g.CustomElement);
GUI.tag = 'gui';

/**
 * 解析marker类型
 */

function parseMarker(icon) {
  var type = 'default';
  if (util.isObject(icon) && icon instanceof Image) type = 'image';else if (util.isFunction(icon)) type = 'symbol';else if (util.isString(icon)) {
    var dataURLsPattern = new RegExp('data:(image|text)');

    if (icon.match(dataURLsPattern)) {
      type = 'base64';
    } else if (/^(https?:\/\/(([a-zA-Z0-9]+-?)+[a-zA-Z0-9]+\.)+[a-zA-Z]+)(:\d+)?(\/.*)?(\?.*)?(#.*)?$/.test(icon)) {
      type = 'url';
    } else {
      // 不然就当作symbol string 处理
      type = 'symbol';
    }
  }
  return type;
}

/**
 * 圆形
 */
function circle(x, y, r) {
  return [['M', x - r, y], ['A', r, r, 0, 1, 0, x + r, y], ['A', r, r, 0, 1, 0, x - r, y]];
}
/**
 * 正方形
 */

function square(x, y, r) {
  return [['M', x - r, y - r], ['L', x + r, y - r], ['L', x + r, y + r], ['L', x - r, y + r], ['Z']];
}
/**
 * 菱形
 */

function diamond(x, y, r) {
  return [['M', x - r, y], ['L', x, y - r], ['L', x + r, y], ['L', x, y + r], ['Z']];
}
/**
 * 三角形
 */

function triangle(x, y, r) {
  var diffY = r * Math.sin(1 / 3 * Math.PI);
  return [['M', x - r, y + diffY], ['L', x, y - diffY], ['L', x + r, y + diffY], ['Z']];
}
/**
 * 三角形
 */

function triangleDown(x, y, r) {
  var diffY = r * Math.sin(1 / 3 * Math.PI);
  return [['M', x - r, y - diffY], ['L', x + r, y - diffY], ['L', x, y + diffY], ['Z']];
}
/** -----------------------------LineSymbols-------------------------------------------- */

function line(x, y, r) {
  return [['M', x - r, y], ['L', x + r, y]];
}
function dot(x, y, r) {
  return [['M', x - r, y], ['L', x + r, y]];
}
function dash(x, y, r) {
  return [['M', x - r, y], ['L', x + r, y]];
}
function smooth(x, y, r) {
  return [['M', x - r, y], ['A', r / 2, r / 2, 0, 1, 1, x, y], ['A', r / 2, r / 2, 0, 1, 0, x + r, y]];
}
function hv(x, y, r) {
  return [['M', x - r - 1, y - 2.5], ['L', x, y - 2.5], ['L', x, y + 2.5], ['L', x + r + 1, y + 2.5]];
}
function vh(x, y, r) {
  return [['M', x - r - 1, y + 2.5], ['L', x, y + 2.5], ['L', x, y - 2.5], ['L', x + r + 1, y - 2.5]];
}
function hvh(x, y, r) {
  return [['M', x - (r + 1), y + 2.5], ['L', x - r / 2, y + 2.5], ['L', x - r / 2, y - 2.5], ['L', x + r / 2, y - 2.5], ['L', x + r / 2, y + 2.5], ['L', x + r + 1, y + 2.5]];
}
function vhv(x, y) {
  // 宽 13px，高 8px
  return [['M', x - 5, y + 2.5], ['L', x - 5, y], ['L', x, y], ['L', x, y - 3], ['L', x, y + 3], ['L', x + 6.5, y + 3]];
}
/** --------------------------------------------------------------------------------- */

var _excluded = ["x", "y", "size", "symbol"];
/**
 * Marker
 */

var Marker = /*#__PURE__*/function (_GUI) {
  _inherits(Marker, _GUI);

  var _super = _createSuper(Marker);

  /**
   * 标签类型
   */

  /**
   * 注册 icon 类型
   * @param type
   * @param path
   */

  /**
   * 默认参数
   */
  function Marker(options) {
    var _this;

    _classCallCheck(this, Marker);

    _this = _super.call(this, util.deepMix({}, Marker.defaultOptions, options));
    _this.markerShape = void 0;

    _this.init();

    return _this;
  }
  /**
   * 根据 type 获取 maker shape
   */


  _createClass(Marker, [{
    key: "init",
    value: function init() {
      this.createMarker();
    }
    /**
     * 组件的更新
     */

  }, {
    key: "update",
    value: function update(cfg) {
      this.attr(util.deepMix({}, this.attributes, cfg));
      this.clear();
      this.createMarker();
    }
    /**
     * 组件的清除
     */

  }, {
    key: "clear",
    value: function clear() {
      var _this$markerShape;

      (_this$markerShape = this.markerShape) === null || _this$markerShape === void 0 ? void 0 : _this$markerShape.destroy();
      this.removeChildren();
    }
  }, {
    key: "createMarker",
    value: function createMarker() {
      var symbol = this.attributes.symbol;
      var markerType = parseMarker(symbol);

      if (['base64', 'url', 'image'].includes(markerType)) {
        this.markerShape = new g.Image({
          name: 'markerImage',
          style: this.getMarkerImageShapeCfg()
        });
      } else if (markerType === 'symbol') {
        this.markerShape = new g.Path({
          name: 'markerSymbol',
          style: this.getMarkerSymbolShapeCfg()
        });
      }

      if (this.markerShape) {
        this.appendChild(this.markerShape);
      }
    } // symbol marker

  }, {
    key: "getMarkerSymbolShapeCfg",
    value: function getMarkerSymbolShapeCfg() {
      var _this$attributes = this.attributes,
          _this$attributes$x = _this$attributes.x,
          _this$attributes$y = _this$attributes.y,
          _this$attributes$size = _this$attributes.size,
          size = _this$attributes$size === void 0 ? 0 : _this$attributes$size,
          symbol = _this$attributes.symbol,
          args = _objectWithoutProperties(_this$attributes, _excluded);

      var r = size / 2;
      var symbolFn = util.isFunction(symbol) ? symbol : Marker.MARKER_SYMBOL_MAP.get(symbol);
      var path = symbolFn === null || symbolFn === void 0 ? void 0 : symbolFn(0, 0, r);
      return _objectSpread2({
        path: path
      }, args);
    } // image marker

  }, {
    key: "getMarkerImageShapeCfg",
    value: function getMarkerImageShapeCfg() {
      var _this$attributes2 = this.attributes,
          _this$attributes2$siz = _this$attributes2.size,
          size = _this$attributes2$siz === void 0 ? 0 : _this$attributes2$siz,
          symbol = _this$attributes2.symbol;
      var r2 = size * 2;
      return {
        x: -size,
        y: -size,
        width: r2,
        height: r2,
        img: symbol
      };
    }
  }]);

  return Marker;
}(GUI); // 内置的组件

Marker.tag = 'marker';
Marker.MARKER_SYMBOL_MAP = new Map();

Marker.registerSymbol = function (type, symbol) {
  Marker.MARKER_SYMBOL_MAP.set(type, symbol);
};

Marker.defaultOptions = {
  type: Marker.tag,
  style: {
    x: 0,
    y: 0,
    size: 16
  }
};
Marker.registerSymbol('circle', circle);
Marker.registerSymbol('square', square);
Marker.registerSymbol('diamond', diamond);
Marker.registerSymbol('triangle', triangle);
Marker.registerSymbol('triangle-down', triangleDown);
/** LineSymbols */

Marker.registerSymbol('line', line);
Marker.registerSymbol('dot', dot);
Marker.registerSymbol('dash', dash);
Marker.registerSymbol('smooth', smooth);
Marker.registerSymbol('hv', hv);
Marker.registerSymbol('vh', vh);
Marker.registerSymbol('hvh', hvh);
Marker.registerSymbol('vhv', vhv);

/**
 *  Return function to register a Marker Symbol for give SVG Path
 *
 * @param svgPath SVG Path string
 * @param viewBoxWidth SVG view box width, default to 1024
 * @param viewBoxHeight SVG view box height, default to 1024
 */

function path2marker(svgPath) {
  var viewBoxWidth = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 1024;
  var viewBoxHeight = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 1014;
  return function (x, y, r) {
    // @ts-ignore
    var paths = svgPathParser__default['default'](svgPath);
    return paths.map(function (path) {
      var arr = [];
      arr.push(path.relative === true ? path.code.toLowerCase() : path.code.toUpperCase());
      var pairs = [[path.x1, path.y1], [path.x2, path.y2], [path.x, path.y]];
      pairs.forEach(function (pair) {
        var _pair = _slicedToArray(pair, 2),
            px = _pair[0],
            py = _pair[1];

        if (px !== undefined) {
          arr.push(path.relative === true ? px / viewBoxWidth * 2 * r : x - r + r * 2 * (px / viewBoxWidth));
        }

        if (py !== undefined) {
          arr.push(path.relative === true ? py / viewBoxHeight * 2 * r : y - r + r * 2 * (py / viewBoxHeight));
        }
      });
      return arr;
    });
  };
}
/**
 * Return function to register a Marker symbol for give svg file
 *
 * @param icon SVG file content
 */

function svg2marker(icon) {
  var pathMatch = /<path\s+d="(.*?)"/i.exec(icon);
  var viewBoxMatch = /viewBox="\d+\s+\d+\s+(\d+)\s+(\d+)"/i.exec(icon);

  if (pathMatch === null || pathMatch.length < 2) {
    return function () {
      return [];
    };
  }

  var width = 1024;
  var height = 1024;

  if (viewBoxMatch !== null && viewBoxMatch.length >= 3) {
    if (!Number.isNaN(parseInt(viewBoxMatch[1], 10))) {
      width = parseInt(viewBoxMatch[1], 10);
    }

    if (!Number.isNaN(parseInt(viewBoxMatch[2], 10))) {
      height = parseInt(viewBoxMatch[2], 10);
    }
  }

  return path2marker(pathMatch[1], width, height);
}

var ctx;
/**
 * 计算文本在画布中的宽度
 */

var measureTextWidth = util.memoize(function (text) {
  var font = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
  var fontSize = font.fontSize,
      fontFamily = font.fontFamily,
      fontWeight = font.fontWeight,
      fontStyle = font.fontStyle,
      fontVariant = font.fontVariant;

  if (!ctx) {
    ctx = document.createElement('canvas').getContext('2d');
  }

  ctx.font = [fontStyle, fontVariant, fontWeight, "".concat(fontSize, "px"), fontFamily].join(' ');
  return ctx.measureText(util.isString(text) ? text : '').width;
}, function (text) {
  var font = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
  return [text].concat(_toConsumableArray(util.values(font))).join('');
});
/**
 * 获取文本的 ... 文本。
 * 算法（减少每次 measureText 的长度，measureText 的性能跟字符串时间相关）：
 * 1. 先通过 STEP 逐步计算，找到最后一个小于 maxWidth 的字符串
 * 2. 然后对最后这个字符串二分计算
 * @param text 需要计算的文本, 由于历史原因 除了支持string，还支持空值,number和数组等
 * @param maxWidth
 * @param font
 */

var getEllipsisText = function getEllipsisText(text, maxWidth, font) {
  var STEP = 16; // 每次 16，调参工程师

  var DOT_WIDTH = measureTextWidth('...', font);
  var leftText;

  if (!util.isString(text)) {
    leftText = util.toString(text);
  } else {
    leftText = text;
  }

  var leftWidth = maxWidth;
  var r = []; // 最终的分段字符串

  var currentText;
  var currentWidth;

  if (measureTextWidth(text, font) <= maxWidth) {
    return text;
  } // 首先通过 step 计算，找出最大的未超出长度的


  while (true) {
    // 更新字符串
    currentText = leftText.substr(0, STEP); // 计算宽度

    currentWidth = measureTextWidth(currentText, font); // 超出剩余宽度，则停止

    if (currentWidth + DOT_WIDTH > leftWidth) {
      if (currentWidth > leftWidth) {
        break;
      }
    }

    r.push(currentText); // 没有超出，则计算剩余宽度

    leftWidth -= currentWidth;
    leftText = leftText.substr(STEP); // 字符串整体没有超出

    if (!leftText) {
      return r.join('');
    }
  } // 最下的最后一个 STEP，使用 1 递增（用二分效果更高）


  while (true) {
    // 更新字符串
    currentText = leftText.substr(0, 1); // 计算宽度

    currentWidth = measureTextWidth(currentText, font); // 超出剩余宽度，则停止

    if (currentWidth + DOT_WIDTH > leftWidth) {
      break;
    }

    r.push(currentText); // 没有超出，则计算剩余宽度

    leftWidth -= currentWidth;
    leftText = leftText.substr(1);

    if (!leftText) {
      return r.join('');
    }
  }

  return "".concat(r.join(''), "...");
};
function getFont(textShape) {
  var _textShape$attr = textShape.attr(),
      fontSize = _textShape$attr.fontSize,
      fontFamily = _textShape$attr.fontFamily,
      fontWeight = _textShape$attr.fontWeight,
      fontStyle = _textShape$attr.fontStyle,
      fontVariant = _textShape$attr.fontVariant;

  return {
    fontSize: fontSize,
    fontFamily: fontFamily,
    fontWeight: fontWeight,
    fontStyle: fontStyle,
    fontVariant: fontVariant
  };
}

/**
 * 保留x位小数
 */
function toPrecision(num, precision) {
  var _ = Math.pow(10, precision);

  return Number(Math.round(num * _).toFixed(0)) / _;
}

/**
 * 规范化padding
 */

function normalPadding(padding) {
  if (util.isNumber(padding)) {
    return [padding, padding, padding, padding];
  }

  if (util.isArray(padding)) {
    var len = padding.length;

    if (len === 1) {
      return [padding[0], padding[0], padding[0], padding[0]];
    }

    if (len === 2) {
      return [padding[0], padding[1], padding[0], padding[1]];
    }

    if (len === 3) {
      return [padding[0], padding[1], padding[2], padding[1]];
    }

    if (len === 4) {
      return padding;
    }
  }

  return [0, 0, 0, 0];
}

// 混合样式状态
var STATE_LIST = ['default', 'active', 'selected', 'disabled'];

/**
 * 从带状态样式中返回移除了状态样式的默认样式
 */

function getDefaultStyle(style) {

  if (style) {
    return style === null || style === void 0 ? void 0 : style.default;
  }

  var duplicateStyle = util.clone(style) || {}; // 移除其他带状态的样式得到默认样式

  STATE_LIST.forEach(function (state) {
    if (state in duplicateStyle) delete duplicateStyle[state];
  });
  return duplicateStyle;
}
/**
 * 对于格式为:
 * style: ShapeAttrs & {
 *  [state: string]?: ShapeAttrs,
 * }
 * 的带状态样式，根据状态提取出样式
 * 默认返回默认样式
 * @param style 混合样式
 * @param state 状态
 * @param isMerge 是否将状态样式与默认样式合并
 */

function getStateStyle(style, state) {
  var isMerge = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : false;

  if (!state) {
    var temp = getDefaultStyle(style);
    if (temp) return temp;
    return {};
  }

  var stateStyle = util.get(style, state);

  if (isMerge) {
    return util.deepMix({}, getDefaultStyle(style), stateStyle);
  }

  return stateStyle;
}

/**
 * 获得触发事件的坐标
 */
function getEventPos(e) {
  var screen = e.screen,
      touches = e.touches,
      offsetX = e.offsetX,
      offsetY = e.offsetY;

  if (screen) {
    var x = screen.x,
        y = screen.y;
    return [x, y];
  }

  if (touches) {
    var _touches$ = touches[0],
        clientX = _touches$.clientX,
        clientY = _touches$.clientY;
    return [clientX, clientY];
  }

  if (offsetX && offsetY) return [offsetX, offsetY];
  return [0, 0];
}

/**
 * 获得图形的x、y、width、height
 */
function getShapeSpace(shape) {
  var bounds = shape.getBounds();
  if (!bounds) return {
    x: 0,
    y: 0,
    width: 0,
    height: 0
  };
  var max = bounds.getMax();
  var min = bounds.getMin();
  return {
    x: min[0],
    y: min[1],
    width: max[0] - min[0],
    height: max[1] - min[1]
  };
}

/**
 * 带文本的 图标组件，支持 iconfont 组件
 */

var Tag = /*#__PURE__*/function (_GUI) {
  _inherits(Tag, _GUI);

  var _super = _createSuper(Tag);

  /**
   * 标签类型
   */

  /**
   * 默认参数
   */
  function Tag(options) {
    var _this;

    _classCallCheck(this, Tag);

    _this = _super.call(this, util.deepMix({}, Tag.defaultOptions, options));
    _this.markerShape = void 0;
    _this.textShape = void 0;
    _this.backgroundShape = void 0;

    _this.init();

    return _this;
  }
  /**
   * 根据 type 获取 maker shape
   */


  _createClass(Tag, [{
    key: "init",
    value: function init() {
      this.initShape();
      this.updateBackground();
      this.updateMarker();
      this.updateText();
      this.autoFit();
      this.bindEvents();
    }
    /**
     * 组件的更新
     */

  }, {
    key: "update",
    value: function update(cfg) {
      this.attr(util.deepMix({}, this.attributes, cfg));
      this.updateBackground();
      this.updateMarker();
      this.updateText();
      this.autoFit();
    }
    /**
     * 组件的清除
     */

  }, {
    key: "clear",
    value: function clear() {
      this.markerShape.destroy();
      this.textShape.destroy();
      this.backgroundShape.destroy();
    }
  }, {
    key: "initShape",
    value: function initShape() {
      this.markerShape = new Marker({
        name: 'marker',
        style: Tag.defaultOptions.style.marker
      });
      this.textShape = new g.Text({
        name: 'text',
        style: {
          text: Tag.defaultOptions.style.text
        }
      });
      this.backgroundShape = new g.Rect({
        name: 'background'
      });
      this.backgroundShape.appendChild(this.markerShape);
      this.backgroundShape.appendChild(this.textShape);
      this.appendChild(this.backgroundShape);
      this.backgroundShape.toBack();
    }
    /**
     * 创建 background
     */

  }, {
    key: "updateBackground",
    value: function updateBackground() {
      this.backgroundShape.attr(this.getBackgroundShapeCfg());
    }
  }, {
    key: "getBackgroundShapeCfg",
    value: function getBackgroundShapeCfg() {
      var _this$attributes = this.attributes,
          backgroundStyle = _this$attributes.backgroundStyle,
          _this$attributes$radi = _this$attributes.radius,
          radius = _this$attributes$radi === void 0 ? 0 : _this$attributes$radi;
      return _objectSpread2({
        radius: radius
      }, getStateStyle(backgroundStyle));
    }
    /**
     * 创建 marker
     */

  }, {
    key: "updateMarker",
    value: function updateMarker() {
      this.markerShape.update(this.getMarkerShapeCfg());
    }
  }, {
    key: "getMarkerShapeCfg",
    value: function getMarkerShapeCfg() {
      var marker = this.attributes.marker;
      return marker;
    }
    /**
     * 创建 text
     */

  }, {
    key: "updateText",
    value: function updateText() {
      this.textShape.attr(this.getTextShapeCfg());
    }
  }, {
    key: "getTextShapeCfg",
    value: function getTextShapeCfg() {
      var _this$attributes2 = this.attributes,
          text = _this$attributes2.text,
          textStyle = _this$attributes2.textStyle;
      return _objectSpread2(_objectSpread2({}, getStateStyle(textStyle)), {}, {
        x: 0,
        y: 0,
        text: text
      });
    }
  }, {
    key: "autoFit",
    value: function autoFit() {
      var _this$attributes3 = this.attributes,
          padding = _this$attributes3.padding,
          spacing = _this$attributes3.spacing,
          marker = _this$attributes3.marker,
          text = _this$attributes3.text;

      var _normalPadding = normalPadding(padding),
          _normalPadding2 = _slicedToArray(_normalPadding, 4),
          top = _normalPadding2[0],
          right = _normalPadding2[1],
          bottom = _normalPadding2[2],
          left = _normalPadding2[3];

      var _marker$size = marker.size,
          size = _marker$size === void 0 ? 0 : _marker$size;

      var _getShapeSpace = getShapeSpace(this.markerShape),
          markerWidth = _getShapeSpace.width,
          markerHeight = _getShapeSpace.height;

      var _this$textShape$getBo = this.textShape.getBoundingClientRect(),
          textWidth = _this$textShape$getBo.width,
          textHeight = _this$textShape$getBo.height;

      var width = left + right;
      var height = 0;

      if (size > 0) {
        width += markerWidth + spacing;
        height = Math.max(height, markerHeight);
      }

      if (text !== '') {
        width += textWidth;
        height = Math.max(height, textHeight);
      }

      height += top + bottom; // background

      this.backgroundShape.attr({
        width: width,
        height: height
      }); // marker

      this.markerShape.attr({
        x: left + markerWidth / 2,
        y: height / 2
      }); // text

      var textX = left;
      if (size) textX += markerWidth + spacing; // 设置 局部坐标系 下的位置

      this.textShape.attr({
        x: textX,
        y: height / 2
      });
    }
  }, {
    key: "bindEvents",
    value: function bindEvents() {
      var _this2 = this;

      this.addEventListener('mouseenter', function () {
        var _this2$attributes = _this2.attributes,
            backgroundStyle = _this2$attributes.backgroundStyle,
            textStyle = _this2$attributes.textStyle;

        _this2.textShape.attr(getStateStyle(textStyle, 'active', true));

        _this2.backgroundShape.attr(getStateStyle(backgroundStyle, 'active', true));

        _this2.autoFit();
      });
      this.addEventListener('mouseleave', function () {
        _this2.textShape.attr(_this2.getTextShapeCfg());

        _this2.backgroundShape.attr(_this2.getBackgroundShapeCfg());

        _this2.autoFit();
      });
    }
  }]);

  return Tag;
}(GUI);
Tag.tag = 'tag';
Tag.defaultOptions = {
  type: Tag.tag,
  style: {
    text: '',
    radius: 2,
    padding: 4,
    textStyle: {
      default: {
        fontSize: 12,
        textAlign: 'left',
        textBaseline: 'middle',
        fill: '#000'
      },
      active: {}
    },
    marker: {
      symbol: 'circle',
      size: 0
    },
    spacing: 4,
    backgroundStyle: {
      default: {
        fill: '#fafafa',
        stroke: '#d9d9d9',
        lineWidth: 1
      }
    }
  }
};

/**
 * 尺寸配置
 */
var SIZE_STYLE = {
  small: {
    textStyle: {
      fontSize: 10
    },
    buttonStyle: {
      width: 40,
      height: 20
    },
    markerStyle: {
      size: 8
    }
  },
  middle: {
    textStyle: {
      fontSize: 12
    },
    buttonStyle: {
      width: 60,
      height: 30
    },
    markerStyle: {
      size: 12
    }
  },
  large: {
    textStyle: {
      fontSize: 16
    },
    buttonStyle: {
      width: 80,
      height: 40
    },
    markerStyle: {
      size: 16
    }
  }
};
/**
 * 类型配置
 */

var TYPE_STYLE = {
  primary: {
    textStyle: {
      default: {
        fill: '#fff'
      },
      active: {}
    },
    buttonStyle: {
      default: {
        fill: '#1890ff',
        lineWidth: 0
      },
      active: {
        fill: '#40a9ff'
      }
    },
    markerStyle: {
      default: {
        fill: '#1890ff'
      },
      active: {
        fill: '#40a9ff'
      }
    }
  },
  dashed: {
    textStyle: {
      default: {},
      active: {}
    },
    buttonStyle: {
      default: {
        stroke: '#bbb',
        lineDash: [5, 5]
      },
      active: {}
    },
    markerStyle: {}
  },
  link: {
    textStyle: {
      default: {
        fill: '#1890ff'
      },
      active: {}
    },
    buttonStyle: {
      default: {
        lineWidth: 0
      },
      active: {}
    },
    markerStyle: {
      default: {
        fill: '#1890ff'
      }
    }
  },
  text: {
    textStyle: {
      default: {
        fill: '#000'
      },
      active: {}
    },
    buttonStyle: {
      default: {
        lineWidth: 0
      },
      active: {}
    },
    markerStyle: {
      default: {
        stroke: '#000'
      }
    }
  },
  default: {
    textStyle: {
      default: {
        fill: '#000'
      },
      active: {
        fill: '#1890ff'
      }
    },
    buttonStyle: {
      default: {
        stroke: '#bbb'
      },
      active: {
        stroke: '#1890ff'
      }
    },
    markerStyle: {
      default: {
        stroke: '#bbb',
        lineWidth: 1
      },
      active: {
        stroke: '#1890ff'
      }
    }
  }
};
/**
 * disabled style
 */

var DISABLED_STYLE = {
  // 严格需要替换的样式
  strict: {
    textStyle: {
      fill: '#b8b8b8'
    },
    buttonStyle: {},
    markerStyle: {}
  },
  textStyle: {},
  buttonStyle: {
    stroke: '#d9d9d9',
    fill: '#f5f5f5'
  },
  markerStyle: {
    stroke: '#d9d9d9'
  }
};

var Button = /*#__PURE__*/function (_GUI) {
  _inherits(Button, _GUI);

  var _super = _createSuper(Button);

  function Button(options) {
    var _this;

    _classCallCheck(this, Button);

    _this = _super.call(this, util.deepMix({}, Button.defaultOptions, options));
    _this.markerShape = void 0;
    _this.textShape = void 0;
    _this.backgroundShape = void 0;

    _this.initShape();

    _this.init();

    return _this;
  }
  /**
   * 默认参数
   */


  _createClass(Button, [{
    key: "disabled",
    get:
    /**
     * 标签类型
     */

    /**
     * 文本
     */

    /**
     * 按钮容器
     */
    function get() {
      return this.attributes.disabled;
    }
  }, {
    key: "markerWidth",
    get: function get() {
      if (this.markerShape.isVisible()) {
        var _this$getStyle = this.getStyle('markerStyle'),
            size = _this$getStyle.size;

        return size;
      }

      return 0;
    }
    /**
     * 获得 button 文本
     */

  }, {
    key: "text",
    get: function get() {
      var text = this.attributes.text;

      if (text === '') {
        return text;
      }
      /* 可用宽度 */


      var width = this.textAvailableWidth;
      return getEllipsisText(text, width);
    }
  }, {
    key: "textWidth",
    get: function get() {
      if (this.textShape.attr('text') === '') {
        return 0;
      }

      return measureTextWidth(this.text, getFont(this.textShape));
    }
    /* 获得文本可用宽度 */

  }, {
    key: "textAvailableWidth",
    get: function get() {
      var _this$attributes = this.attributes,
          marker = _this$attributes.marker,
          padding = _this$attributes.padding,
          ellipsis = _this$attributes.ellipsis,
          bWidth = _this$attributes.width,
          spacing = _this$attributes.markerSpacing;
      if (!ellipsis) return Infinity;
      /* 按钮总宽度 */

      var width = util.isUndefined(bWidth) ? this.getStyle('buttonStyle').width : bWidth;
      if (marker) return width - padding * 2 - spacing - this.markerWidth;
      return width - padding * 2;
    }
    /**
     * 根据文本和marker来计算按钮宽度
     */

  }, {
    key: "buttonWidth",
    get: function get() {
      var _this$attributes2 = this.attributes,
          marker = _this$attributes2.marker,
          padding = _this$attributes2.padding,
          bWidth = _this$attributes2.width,
          ellipsis = _this$attributes2.ellipsis,
          spacing = _this$attributes2.markerSpacing;
      if (!util.isUndefined(bWidth)) return bWidth;
      if (ellipsis) return this.getStyle('buttonStyle').width;
      var text = this.textShape.attr('text');
      var markerWidth = this.markerWidth;
      var textWidth = this.textWidth;
      var width = padding * 2;

      if (marker) {
        if (text !== '') width += markerWidth + textWidth + spacing;else width += markerWidth;
      } else if (text !== '') width += textWidth;

      return width;
    }
  }, {
    key: "buttonHeight",
    get: function get() {
      var height = this.attributes.height;
      if (height) return height;
      return this.getStyle('buttonStyle').height;
    }
  }, {
    key: "getStyle",
    value:
    /**
     * 根据size、type属性生成实际渲染的属性
     */
    function getStyle(name) {
      var state = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 'default';
      var _this$attributes3 = this.attributes,
          size = _this$attributes3.size,
          type = _this$attributes3.type,
          disabled = _this$attributes3.disabled;
      var mixedStyle = util.deepMix({}, util.get(SIZE_STYLE, [size, name]), getStateStyle(util.get(TYPE_STYLE, [type, name]), state), getStateStyle(util.get(this.attributes, name), state, true));

      if (disabled) {
        // 从DISABLED_STYLE中pick中pick mixedStyle里已有的style
        Object.keys(mixedStyle).forEach(function (key) {
          if (key in DISABLED_STYLE[name]) {
            mixedStyle[key] = util.get(DISABLED_STYLE, [name, key]);
          }
        });
        Object.keys(DISABLED_STYLE.strict[name]).forEach(function (key) {
          mixedStyle[key] = util.get(DISABLED_STYLE, ['strict', name, key]);
        });
      }

      return mixedStyle;
    }
    /**
     * 初始化button
     */

  }, {
    key: "init",
    value: function init() {
      this.updateMarker();
      this.updateText();
      this.updateButton();
      this.adjustLayout();
      this.bindEvents();
    }
    /**
     * 组件的更新
     */

  }, {
    key: "update",
    value: function update(cfg) {
      this.attr(util.deepMix({}, this.attributes, cfg));
      this.updateMarker();
      this.updateText();
      this.updateButton();
      this.adjustLayout();
    }
    /**
     * 组件的清除
     */

  }, {
    key: "clear",
    value: function clear() {}
  }, {
    key: "initShape",
    value: function initShape() {
      this.markerShape = new Marker({
        name: 'marker',
        style: _objectSpread2({
          symbol: 'circle'
        }, this.getStyle('markerStyle'))
      });
      this.textShape = new g.Text({
        name: 'text',
        style: {
          text: ''
        }
      });
      this.backgroundShape = new g.Rect({
        name: 'background',
        style: {
          width: 0,
          height: 0
        }
      });
      this.backgroundShape.appendChild(this.markerShape);
      this.backgroundShape.appendChild(this.textShape);
      this.appendChild(this.backgroundShape);
    }
  }, {
    key: "updateMarker",
    value: function updateMarker() {
      var marker = this.attributes.marker;
      if (util.isUndefined(marker)) this.markerShape.hide();else {
        this.markerShape.update(_objectSpread2({
          symbol: marker
        }, this.getStyle('markerStyle')));
        this.markerShape.show();
      }
    }
    /**
     * 更新文本内容和样式
     */

  }, {
    key: "updateText",
    value: function updateText() {
      var disabled = this.attributes.disabled;
      var text = this.text;
      if (text === '') this.textShape.hide();else {
        this.textShape.attr(_objectSpread2({
          text: text,
          cursor: disabled ? 'not-allowed' : 'default'
        }, this.getStyle('textStyle')));
        this.textShape.show();
      }
    }
  }, {
    key: "updateButton",
    value: function updateButton() {
      var height = this.buttonHeight;
      var buttonStyle = this.getStyle('buttonStyle');
      this.backgroundShape.attr(_objectSpread2(_objectSpread2({}, buttonStyle), {}, {
        height: height
      }));
    }
  }, {
    key: "bindEvents",
    value: function bindEvents() {
      var _this2 = this;

      var _this$attributes4 = this.attributes,
          disabled = _this$attributes4.disabled,
          onClick = _this$attributes4.onClick;
      this.addEventListener('click', function () {
        // 点击事件
        !_this2.disabled && (onClick === null || onClick === void 0 ? void 0 : onClick.call(_this2, _this2));
      });
      this.addEventListener('mouseenter', function () {
        if (!disabled) {
          // 鼠标悬浮事件
          _this2.markerShape.update(_this2.getStyle('markerStyle', 'active'));

          _this2.textShape.attr(_this2.getStyle('textStyle', 'active'));

          _this2.backgroundShape.attr(_objectSpread2(_objectSpread2({}, _this2.getStyle('buttonStyle', 'active')), {}, {
            width: _this2.buttonWidth,
            height: _this2.buttonHeight
          }));
        }
      });
      this.addEventListener('mouseleave', function () {
        // 恢复默认状态
        _this2.markerShape.update(_this2.getStyle('markerStyle'));

        _this2.textShape.attr(_this2.getStyle('textStyle'));

        _this2.backgroundShape.attr(_objectSpread2(_objectSpread2({}, _this2.getStyle('buttonStyle')), {}, {
          width: _this2.buttonWidth,
          height: _this2.buttonHeight
        }));
      });
    }
  }, {
    key: "adjustLayout",
    value: function adjustLayout() {
      var _this$attributes5 = this.attributes,
          padding = _this$attributes5.padding,
          marker = _this$attributes5.marker,
          align = _this$attributes5.markerAlign,
          spacing = _this$attributes5.markerSpacing;
      var width = this.buttonWidth;
      var height = this.buttonHeight;
      var halfButtonWidth = width / 2;
      var halfTextWidth = this.textWidth / 2;
      var text = this.textShape.attr('text');
      var textX = 0;
      var markerX = 0;
      var markerY = height / 2;
      var textY = height / 2;

      if (marker) {
        var markerWidth = this.markerWidth;
        var halfMarkerWidth = markerWidth / 2;
        if (text === '') markerX = halfButtonWidth;else if (align === 'left') {
          markerX = halfMarkerWidth + padding;
          textX = padding + markerWidth + spacing + halfTextWidth;
        } else {
          markerX = this.buttonWidth - padding - halfMarkerWidth;
          textX = padding + halfTextWidth;
        }
      } else if (text !== '') textX = halfButtonWidth;

      this.markerShape.attr({
        x: markerX,
        y: markerY
      });
      this.textShape.attr({
        x: textX,
        y: textY
      }); // 设置button宽度

      this.backgroundShape.attr({
        width: this.buttonWidth
      });
    }
  }]);

  return Button;
}(GUI);
Button.tag = 'button';
Button.defaultOptions = {
  type: Button.tag,
  style: {
    disabled: false,
    padding: 10,
    size: 'middle',
    type: 'default',
    text: '',
    markerAlign: 'left',
    markerSpacing: 5,
    textStyle: {
      default: {
        textAlign: 'center',
        textBaseline: 'middle'
      },
      active: {}
    },
    buttonStyle: {
      default: {
        lineWidth: 1,
        radius: 5
      },
      active: {}
    },
    markerStyle: {
      default: {}
    }
  }
};

/**
 * 激活状态样式（最后一个面包屑样式）
 */
var ACTIVE_STYLE = {
  fontSize: 14,
  fill: 'rgba(0, 0, 0, 0.85)',
  lineHeight: 14
};
/**
 * 非激活状态样式（前 n-1 个面包屑样式）
 */

var INACTIVE_STYLE = {
  fontSize: 14,
  lineHeight: 14,
  fill: 'rgba(0, 0, 0, 0.45)',
  cursor: 'pointer'
};
/**
 * hover 态样式
 */

var HOVER_STYLE = {
  fontSize: 14,
  fill: '#5468ff'
};

var BreadCrumb = /*#__PURE__*/function (_GUI) {
  _inherits(BreadCrumb, _GUI);

  var _super = _createSuper(BreadCrumb);

  /**
   * 标签类型
   */

  /**
   * 默认参数
   */

  /**
   * 面包屑容器
   */

  /**
   * 面包屑子项容器
   */

  /**
   * 分隔符容器
   */

  /**
   * 光标 X 位置
   */

  /**
   * 光标 Y 位置
   */

  /**
   * 行号
   */

  /**
   *
   * @param options
   */
  function BreadCrumb(options) {
    var _this;

    _classCallCheck(this, BreadCrumb);

    _this = _super.call(this, util.deepMix({}, BreadCrumb.defaultOptions, options));
    _this.containerShape = void 0;
    _this.breadcrumbItemShapes = [];
    _this.separatorShapes = [];
    _this.cursorX = 0;
    _this.cursorY = 0;
    _this.lineNumber = 1;

    _this.initCursor();

    _this.init();

    return _this;
  }

  _createClass(BreadCrumb, [{
    key: "init",
    value: function init() {
      var _this2 = this;

      var _this$attributes = this.attributes,
          x = _this$attributes.x,
          y = _this$attributes.y,
          items = _this$attributes.items;
      items.forEach(function (item, idx) {
        // 非首项位置后面，渲染分隔符
        if (idx !== 0) {
          _this2.createSeparator();
        }

        var style = _this2.getStyle(item);

        var breadcrumbItemShape = new g.Text({
          name: "".concat(BreadCrumb.tag, "-item"),
          style: _objectSpread2(_objectSpread2({
            x: _this2.cursorX,
            y: _this2.cursorY,
            lineHeight: style.fontSize
          }, style), {}, {
            text: item.name
          })
        });

        if (idx !== items.length - 1) {
          // 非最后一项的 item 绑定事件
          _this2.bindEvents(breadcrumbItemShape, item);
        } // 计算并添加当前 shape 的宽度


        var textBbox = breadcrumbItemShape.getBounds();
        var textWidth = textBbox.getMax()[0] - textBbox.getMin()[0];

        _this2.isOverWidth(breadcrumbItemShape, _this2.cursorX + textWidth);

        _this2.cursorX += textWidth; // 存入 breadcrumbItemShapes

        _this2.breadcrumbItemShapes.push(breadcrumbItemShape);
      }); // 创建 container 容器

      this.createBreadcrumbContainer(); // 添加面包屑和分隔符的视图

      this.breadcrumbItemShapes.forEach(function (shape) {
        return _this2.appendChild(shape);
      });
      this.separatorShapes.forEach(function (shape) {
        return _this2.appendChild(shape);
      }); // 设置位置

      this.translate(x, y);
    }
    /**
     * 组件更新
     * @param cfg
     */

  }, {
    key: "update",
    value: function update(cfg) {
      this.attr(util.deepMix({}, this.attributes, cfg));
    }
    /**
     * 组件清除
     */

  }, {
    key: "clear",
    value: function clear() {
      this.destroy();
    }
    /**
     *
     * 初始化 光标位置
     */

  }, {
    key: "initCursor",
    value: function initCursor() {
      var textStyle = this.attributes.textStyle;
      var newPadding = this.getPadding(); // 如果不存在 itemShape 一定是第一行

      if (!this.breadcrumbItemShapes.length) {
        this.lineNumber = 1;
      } // eslint-disable-next-line prefer-destructuring


      this.cursorX = newPadding[3];
      this.cursorY = textStyle.default.lineHeight * this.lineNumber + newPadding[0];
    }
  }, {
    key: "getStyle",
    value: function getStyle(breadcrumbItem) {
      var _this$attributes2 = this.attributes,
          items = _this$attributes2.items,
          textStyle = _this$attributes2.textStyle; // 判断是否是激活态（最后一项）的面包屑

      var isActive = !!(util.last(items).name === breadcrumbItem.name);
      return isActive ? textStyle.active : textStyle.default;
    }
    /**
     * 创建分隔符shape，返回最新的宽度
     * @param y
     * @returns
     */

  }, {
    key: "createSeparator",
    value: function createSeparator() {
      var separator = this.attributes.separator;
      var spacing = separator.spacing,
          text = separator.text,
          style = separator.style;
      var separatorShape; // 如果分隔符是字符串，创建 Text

      if (typeof text === 'string') {
        separatorShape = new g.Text({
          name: "".concat(BreadCrumb.tag, "-separator"),
          style: _objectSpread2(_objectSpread2({
            x: this.cursorX + spacing,
            y: this.cursorY,
            lineHeight: style.fontSize
          }, style), {}, {
            text: text
          })
        });
      } else {
        // 如果传入的是 Group 组件
        text.attr({
          x: this.cursorX + spacing,
          y: 0
        });
        separatorShape = text;
      } // 计算并添加当前 shape 的宽度


      var textBbox = separatorShape.getBounds();
      var textWidth = textBbox.getMax()[0] - textBbox.getMin()[0] + spacing * 2;
      this.isOverWidth(separatorShape, this.cursorX + textWidth);
      this.cursorX += textWidth; // 存入 separatorShapes

      this.separatorShapes.push(separatorShape);
    }
    /**
     * 创建面包屑组件容器
     */

  }, {
    key: "createBreadcrumbContainer",
    value: function createBreadcrumbContainer() {
      var _this$attributes3 = this.attributes,
          height = _this$attributes3.height,
          width = _this$attributes3.width;
      var newPadding = this.getPadding();

      if (util.isNil(height)) {
        height = this.cursorY + newPadding[2];
      }

      if (util.isNil(width)) {
        width = this.cursorX + newPadding[1];
      }

      this.containerShape = new g.Rect({
        name: "".concat(BreadCrumb.tag, "-container"),
        style: {
          x: 0,
          y: 0,
          width: width,
          height: height
        }
      });
      this.appendChild(this.containerShape);
    }
    /**
     * 面包屑绑定事件
     * @param shape
     * @param item
     */

  }, {
    key: "bindEvents",
    value: function bindEvents(shape, item) {
      var style = this.getStyle(item);
      var _this$attributes4 = this.attributes,
          items = _this$attributes4.items,
          onclick = _this$attributes4.onclick;
      shape.addEventListener('mouseenter', function () {
        /**
         * fixMe： hover 颜色未改变
         */
        shape.attr(HOVER_STYLE);
      });
      shape.addEventListener('mouseleave', function () {
        shape.attr(style);
      });

      if (onclick) {
        shape.addEventListener('click', function () {
          onclick.call(shape, item.name, item, items);
        });
      }
    }
    /**
     * 判断是否超出宽度
     * @param shape
     * @param newWidth
     */

  }, {
    key: "isOverWidth",
    value: function isOverWidth(shape, newWidth) {
      var width = this.attributes.width;

      if (!util.isNil(width)) {
        var newPadding = this.getPadding();
        var contentWidth = width - newPadding[1];

        if (newWidth > contentWidth) {
          this.lineNumber += 1;
          this.initCursor();
          shape.attr({
            x: this.cursorX,
            y: this.cursorY
          });
        }
      }
    }
  }, {
    key: "getPadding",
    value: function getPadding() {
      var padding = this.attributes.padding;
      return normalPadding(padding);
    }
  }]);

  return BreadCrumb;
}(GUI);
BreadCrumb.tag = 'breadcrumb';
BreadCrumb.defaultOptions = {
  type: BreadCrumb.tag,
  style: {
    separator: {
      text: '/',
      style: util.omit(INACTIVE_STYLE, ['cursor']),
      spacing: 8
    },
    textStyle: {
      default: INACTIVE_STYLE,
      active: ACTIVE_STYLE
    },
    padding: [8, 8, 8, 8]
  }
};

var Arrow = function Arrow() {
  _classCallCheck(this, Arrow);
};

var _excluded$1 = ["style"];
var Lines = /*#__PURE__*/function (_DisplayObject) {
  _inherits(Lines, _DisplayObject);

  var _super = _createSuper(Lines);

  function Lines(_ref) {
    var _this;

    var style = _ref.style,
        rest = _objectWithoutProperties(_ref, _excluded$1);

    _classCallCheck(this, Lines);

    _this = _super.call(this, _objectSpread2({
      type: 'lines',
      style: style
    }, rest));
    _this.linesGroup = void 0;
    _this.areasGroup = void 0;
    _this.linesGroup = new g.Group({
      name: 'lines'
    });

    _this.appendChild(_this.linesGroup);

    _this.areasGroup = new g.Group({
      name: 'areas'
    });

    _this.appendChild(_this.areasGroup);

    _this.render();

    return _this;
  }

  _createClass(Lines, [{
    key: "render",
    value: function render() {
      var _this$attributes = this.attributes,
          lines = _this$attributes.lines,
          areas = _this$attributes.areas;
      if (lines) this.createLines(lines);
      if (areas) this.createAreas(areas);
    }
  }, {
    key: "clear",
    value: function clear() {
      this.linesGroup.removeChildren(true);
      this.areasGroup.removeChildren(true);
    }
  }, {
    key: "update",
    value: function update(cfg) {
      var lines = cfg.lines,
          areas = cfg.areas;
      this.clear();
      lines && this.setAttribute('lines', lines);
      areas && this.setAttribute('areas', areas);
      this.render();
    }
  }, {
    key: "createLines",
    value: function createLines(lines) {
      var _this2 = this;

      lines.forEach(function (cfg) {
        _this2.linesGroup.appendChild(new g.Path({
          name: 'line',
          style: cfg
        }));
      });
    }
  }, {
    key: "createAreas",
    value: function createAreas(areas) {
      var _this3 = this;

      areas.forEach(function (cfg) {
        _this3.areasGroup.appendChild(new g.Path({
          name: 'area',
          style: cfg
        }));
      });
    }
  }]);

  return Lines;
}(g.DisplayObject);

var _excluded$2 = ["style"];
var Columns = /*#__PURE__*/function (_DisplayObject) {
  _inherits(Columns, _DisplayObject);

  var _super = _createSuper(Columns);

  function Columns(_ref) {
    var _this;

    var style = _ref.style,
        rest = _objectWithoutProperties(_ref, _excluded$2);

    _classCallCheck(this, Columns);

    _this = _super.call(this, _objectSpread2({
      type: 'column',
      style: style
    }, rest));
    _this.columnsGroup = void 0;
    _this.columnsGroup = new g.Group({
      name: 'columns'
    });

    _this.appendChild(_this.columnsGroup);

    _this.render();

    return _this;
  }

  _createClass(Columns, [{
    key: "render",
    value: function render() {
      var _this2 = this;

      var columns = this.attributes.columns;
      columns.forEach(function (column) {
        column.forEach(function (cfg) {
          _this2.columnsGroup.appendChild(new g.Rect({
            name: 'column',
            style: cfg
          }));
        });
      });
    }
  }, {
    key: "update",
    value: function update(cfg) {
      this.attr(util.deepMix({}, this.attributes, cfg));
      var columns = cfg.columns;

      if (columns) {
        this.clear();
        this.render();
      }
    }
  }, {
    key: "clear",
    value: function clear() {
      this.removeChildren(true);
    }
  }]);

  return Columns;
}(g.DisplayObject);

/**
 * 获得数据的最值
 */

function getRange(data) {
  if (data.length === 0) return [0, 0];
  return [util.min(util.minBy(data, function (arr) {
    return util.min(arr) || 0;
  })), util.max(util.maxBy(data, function (arr) {
    return util.max(arr) || 0;
  }))];
}
/**
 * 数据转换为堆叠数据
 */

function getStackedData(_) {
  var data = util.clone(_); // 生成堆叠数据

  var datumLen = data[0].length; // 上一个堆叠的数据值，分别记录正负

  var _ref = [new Array(datumLen).fill(0), new Array(datumLen).fill(0)],
      positivePrev = _ref[0],
      negativePrev = _ref[1];

  for (var i = 0; i < data.length; i += 1) {
    var datum = data[i];

    for (var j = 0; j < datumLen; j += 1) {
      if (datum[j] >= 0) {
        datum[j] += positivePrev[j];
        positivePrev[j] = datum[j];
      } else {
        datum[j] += negativePrev[j];
        negativePrev[j] = datum[j];
      }
    }
  }

  return data;
}

/**
 * 根据数据获得每条线各点x，y值
 */

function dataToLines(data, scales) {
  var x = scales.x,
      y = scales.y;
  return data.map(function (points) {
    var lines = points.map(function (val, idx) {
      return [x.map(idx), y.map(val)];
    });
    return lines;
  });
}
/**
 * 根据线的点数据生成折线path
 */

function lineToLinePath(line) {
  var reverse = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : false;
  var M = reverse ? line.length - 1 : 0;
  var linePath = line.map(function (point, idx) {
    return [idx === M ? 'M' : 'L'].concat(_toConsumableArray(point));
  });
  return reverse ? linePath.reverse() : linePath;
}
/**
 * 根据点数据生成曲线path
 * @param points 点数据
 * @param reverse 是否倒序生成
 */

function lineToCurvePath(line) {
  var reverse = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : false;

  if (line.length <= 2) {
    return lineToLinePath(line);
  }

  var data = [];
  var len = line.length;

  for (var idx = 0; idx < len; idx += 1) {
    var point = reverse ? line[len - idx - 1] : line[idx];

    if (!util.isEqual(point, data.slice(-2))) {
      data.push.apply(data, _toConsumableArray(point));
    }
  }

  var path = pathUtil.catmullRom2Bezier(data, false);

  if (reverse) {
    path.unshift(['M'].concat(_toConsumableArray(line[len - 1])));
  } else {
    path.unshift(['M', 0, 0], ['M'].concat(_toConsumableArray(line[0])));
  }

  return path;
}
/**
 * 根据baseline将path闭合
 */

function closePathByBaseLine(path, width, baseline) {
  var closedPath = util.clone(path);
  closedPath.push(['L', width, baseline], ['L', 0, baseline], ['Z']);
  return closedPath;
}
/**
 * 将多条线的点数据生成区域path
 * 可以是折线或曲线
 */

function linesToAreaPaths(lines, smooth, width, baseline) {
  return lines.map(function (line) {
    return closePathByBaseLine(smooth ? lineToCurvePath(line) : lineToLinePath(line), width, baseline);
  });
}
/**
 * 生成折线堆叠区域封闭图形路径
 */

function linesToStackAreaPaths(lines, width, baseline) {
  var paths = [];

  for (var idx = lines.length - 1; idx >= 0; idx -= 1) {
    var currLine = lines[idx];
    var currCurvePath = lineToLinePath(currLine);
    var path = void 0;

    if (idx === 0) {
      // 最底部的线直接与y=0连接成闭合区域
      path = closePathByBaseLine(currCurvePath, width, baseline);
    } else {
      // 计算下一根曲线的反向路径
      var belowLine = lines[idx - 1];
      var belowCurvePath = lineToLinePath(belowLine, true);
      belowCurvePath[0][0] = 'L'; // 连接路径

      path = [].concat(_toConsumableArray(currCurvePath), _toConsumableArray(belowCurvePath), [['Z']]);
    }

    paths.push(path);
  }

  return paths;
}
/**
 * 生成曲线堆叠区域封闭图形路径
 */

function linesToStackCurveAreaPaths(lines, width, baseline) {
  var paths = [];

  for (var idx = lines.length - 1; idx >= 0; idx -= 1) {
    var currLine = lines[idx];
    var currCurvePath = lineToCurvePath(currLine);
    var path = void 0;

    if (idx === 0) {
      // 最底部的线直接与y=0连接成闭合区域
      path = closePathByBaseLine(currCurvePath, width, baseline);
    } else {
      // 计算下一根曲线的反向路径
      var belowLine = lines[idx - 1];
      var belowCurvePath = lineToCurvePath(belowLine, true); // TODO: shift 是为了移除 M 0 0标记
      // belowCurvePath.pop();

      /**
       * 将线条连接成闭合路径
       *  M C C C C C
       *  A ～ -> ～ B
       *  ⬆        ⬇
       *  D ～ <- ～ C
       *  C C C C C M
       *
       */

      var A = currLine[0]; // const B = currLine[currLine.length - 1];
      // const C = belowLine[belowLine.length - 1];
      // const D = belowLine[0];
      // 将反向曲线开头 M X Y 改为 L X Y

      belowCurvePath[0][0] = 'L'; // 连接路径

      path = [].concat(_toConsumableArray(currCurvePath), _toConsumableArray(belowCurvePath), [['M'].concat(_toConsumableArray(A)), ['Z']]);
    }

    paths.push(path);
  }

  return paths;
}

var Sparkline = /*#__PURE__*/function (_GUI) {
  _inherits(Sparkline, _GUI);

  var _super = _createSuper(Sparkline);

  // sparkline容器
  // Lines或者Columns
  function Sparkline(options) {
    var _this;

    _classCallCheck(this, Sparkline);

    _this = _super.call(this, util.deepMix({}, Sparkline.defaultOptions, options));
    _this.containerShape = void 0;
    _this.sparkShape = void 0;
    _this.containerShape = new g.Rect({
      name: 'container',
      style: _this.getContainerCfg()
    });

    _this.appendChild(_this.containerShape);

    _this.init();

    return _this;
  }

  _createClass(Sparkline, [{
    key: "init",
    value: function init() {
      this.sparkShape = this.createSparkline();
      this.appendChild(this.sparkShape);
    }
    /**
     * 组件的更新
     */

  }, {
    key: "update",
    value: function update(cfg) {
      var oldType = this.attributes.type;
      this.attr(util.deepMix({}, this.attributes, cfg));
      var type = cfg.type; // 如果type变了，需要清空this.sparkShapes子元素

      if (type && type !== oldType) {
        this.clear();
        this.sparkShape = this.createSparkline();
        this.appendChild(this.sparkShape);
      }

      if (this.sparkShape instanceof Lines) this.sparkShape.update(this.getLinesCfg());else this.sparkShape.update(this.getColumnsCfg());
    }
    /**
     * 组件的清除
     */

  }, {
    key: "clear",
    value: function clear() {
      this.removeChild(this.sparkShape);
      this.sparkShape.clear();
      this.sparkShape.destroy();
    }
  }, {
    key: "createSparkline",
    value: function createSparkline() {
      var type = this.attributes.type;
      var baseCfg = {
        name: 'sparkline'
      };
      if (type === 'line') return new Lines(_objectSpread2(_objectSpread2({}, baseCfg), {}, {
        style: this.getLinesCfg()
      })); // if (type === 'column')

      return new Columns(_objectSpread2(_objectSpread2({}, baseCfg), {}, {
        style: this.getColumnsCfg()
      }));
    }
    /**
     * 根据数据索引获取color
     */

  }, {
    key: "getColor",
    value: function getColor(index) {
      var color = this.attributes.color;

      if (util.isArray(color)) {
        return color[index % color.length];
      }

      if (util.isFunction(color)) {
        return color.call(null, index);
      }

      return color;
    }
    /**
     * 根据数据生成scale
     */

  }, {
    key: "createScales",
    value: function createScales(data) {
      var _this$attributes = this.attributes,
          type = _this$attributes.type,
          isGroup = _this$attributes.isGroup,
          barPadding = _this$attributes.barPadding;

      var _this$getContainerCfg = this.getContainerCfg(),
          width = _this$getContainerCfg.width,
          height = _this$getContainerCfg.height;

      var _getRange = getRange(data),
          _getRange2 = _slicedToArray(_getRange, 2),
          minVal = _getRange2[0],
          maxVal = _getRange2[1];

      return {
        type: type,
        x: type === 'line' ? new scale.Linear({
          domain: [0, data[0].length - 1],
          range: [0, width]
        }) : new scale.Band({
          domain: data[0].map(function (val, idx) {
            return idx;
          }),
          range: [0, width],
          paddingInner: isGroup ? barPadding : 0
        }),
        y: new scale.Linear({
          domain: [minVal >= 0 ? 0 : minVal, maxVal],
          range: [height, 0]
        })
      };
    }
    /**
     * 将data统一格式化为数组形式
     * 如果堆叠，则生成堆叠数据
     */

  }, {
    key: "getData",
    value: function getData() {
      var _ = this.attributes.data;
      if (!_ || (_ === null || _ === void 0 ? void 0 : _.length) === 0) return [[]];
      var data = util.clone(_); // number[] -> number[][]

      if (util.isNumber(data[0])) data = [data];
      return data;
    }
  }, {
    key: "getContainerCfg",
    value: function getContainerCfg() {
      var _this$attributes2 = this.attributes,
          width = _this$attributes2.width,
          height = _this$attributes2.height;
      return {
        width: width,
        height: height
      };
    }
  }, {
    key: "getLinesCfg",
    value: function getLinesCfg() {
      var _this2 = this;

      var _this$attributes3 = this.attributes,
          areaStyle = _this$attributes3.areaStyle,
          isStack = _this$attributes3.isStack,
          lineStyle = _this$attributes3.lineStyle,
          smooth = _this$attributes3.smooth;

      var _this$getContainerCfg2 = this.getContainerCfg(),
          width = _this$getContainerCfg2.width;

      var data = this.getData();
      if (data[0].length === 0) return {
        lines: [],
        areas: []
      };
      if (isStack) data = getStackedData(data);

      var _this$createScales = this.createScales(data),
          x = _this$createScales.x,
          y = _this$createScales.y; // 线条Path


      var lines = dataToLines(data, {
        type: 'line',
        x: x,
        y: y
      }); // 生成区域path

      var areas = [];

      if (areaStyle) {
        var range = getRange(data);
        var baseline = y.map(range[0] < 0 ? 0 : range[0]);

        if (isStack) {
          areas = smooth ? linesToStackCurveAreaPaths(lines, width, baseline) : linesToStackAreaPaths(lines, width, baseline);
        } else {
          areas = linesToAreaPaths(lines, smooth, width, baseline);
        }
      }

      return {
        lines: lines.map(function (line, idx) {
          return _objectSpread2({
            stroke: _this2.getColor(idx),
            path: smooth ? lineToCurvePath(line) : lineToLinePath(line)
          }, lineStyle);
        }),
        areas: areas.map(function (path, idx) {
          return _objectSpread2({
            path: path,
            fill: _this2.getColor(idx)
          }, areaStyle);
        })
      };
    }
  }, {
    key: "getColumnsCfg",
    value: function getColumnsCfg() {
      var _this3 = this;

      var _this$attributes4 = this.attributes,
          isStack = _this$attributes4.isStack,
          columnStyle = _this$attributes4.columnStyle;

      var _this$getContainerCfg3 = this.getContainerCfg(),
          height = _this$getContainerCfg3.height;

      var data = this.getData();
      if (!data) return {
        columns: []
      };
      if (isStack) data = getStackedData(data);

      var _this$createScales2 = this.createScales(data),
          x = _this$createScales2.x,
          y = _this$createScales2.y;

      var _getRange3 = getRange(data),
          _getRange4 = _slicedToArray(_getRange3, 2),
          minVal = _getRange4[0],
          maxVal = _getRange4[1];

      var heightScale = new scale.Linear({
        domain: [0, maxVal - (minVal > 0 ? 0 : minVal)],
        range: [0, height]
      });
      var bandWidth = x.getBandWidth();
      var rawData = this.getData();
      return {
        columns: data.map(function (column, i) {
          return column.map(function (val, j) {
            var barWidth = bandWidth / data.length;
            return _objectSpread2(_objectSpread2({
              fill: _this3.getColor(i)
            }, columnStyle), isStack ? {
              x: x.map(j),
              y: y.map(val),
              width: bandWidth,
              height: heightScale.map(rawData[i][j])
            } : {
              x: x.map(j) + barWidth * i,
              y: val >= 0 ? y.map(val) : y.map(0),
              width: barWidth,
              height: heightScale.map(Math.abs(val))
            });
          });
        })
      };
    }
  }]);

  return Sparkline;
}(GUI);
Sparkline.tag = 'Sparkline';
Sparkline.defaultOptions = {
  style: {
    type: 'line',
    width: 200,
    height: 20,
    // data: [],
    isStack: false,
    color: ['#83daad', '#edbf45', '#d2cef9', '#e290b3', '#6f63f4'],
    smooth: true,
    lineStyle: {
      lineWidth: 1
    },
    isGroup: false,
    columnStyle: {
      lineWidth: 1,
      stroke: '#fff',
      padding: 0.1
    }
  }
};

var _excluded$3 = ["style"],
    _excluded2 = ["type", "orient"],
    _excluded3 = ["size"],
    _excluded4 = ["type", "orient"];
var Handle = /*#__PURE__*/function (_DisplayObject) {
  _inherits(Handle, _DisplayObject);

  var _super = _createSuper(Handle);

  function Handle(_ref) {
    var _this;

    var style = _ref.style,
        rest = _objectWithoutProperties(_ref, _excluded$3);

    _classCallCheck(this, Handle);

    _this = _super.call(this, _objectSpread2({
      type: 'handle',
      style: style
    }, rest));
    _this.iconShape = void 0;
    _this.textShape = void 0;
    _this.iconShape = _this.createHandleIcon();

    _this.appendChild(_this.iconShape);

    _this.textShape = _this.createHandleText();

    _this.appendChild(_this.textShape);

    _this.setHandleIconRotation();

    return _this;
  }

  _createClass(Handle, [{
    key: "setHandle",
    value: function setHandle(_ref2) {
      var x = _ref2.x,
          y = _ref2.y;
      this.attr({
        x: x,
        y: y
      });
    }
  }, {
    key: "setHandleText",
    value: function setHandleText(_ref3) {
      var x = _ref3.x,
          y = _ref3.y,
          text = _ref3.text;
      this.textShape.attr({
        x: x,
        y: y,
        text: text
      });
    }
  }, {
    key: "getIcon",
    value: function getIcon() {
      return this.iconShape;
    }
  }, {
    key: "getType",
    value: function getType() {
      return util.get(this.attributes, 'handleType');
    }
  }, {
    key: "update",
    value: function update(cfg) {
      var _get = util.get(this.attributes, ['iconCfg', 'type']),
          oldType = _get.type;

      this.attr(util.deepMix({}, this.attributes, cfg));
      var iconCfg = cfg.iconCfg,
          textCfg = cfg.textCfg;

      if (iconCfg) {
        var type = iconCfg.type,
            orient = iconCfg.orient,
            rest = _objectWithoutProperties(iconCfg, _excluded2);

        if (oldType !== type) {
          this.clear();
          this.iconShape = this.createHandleIcon();
        } else {
          this.iconShape.attr(rest);
        }

        this.setHandleIconRotation();
      }

      if (textCfg) {
        this.textShape.attr(_objectSpread2({}, textCfg));
      }
    }
    /**
     * 创建默认手柄图标
     */

  }, {
    key: "createDefaultIcon",
    value: function createDefaultIcon() {
      var _this$attributes$icon = this.attributes.iconCfg,
          size = _this$attributes$icon.size,
          rest = _objectWithoutProperties(_this$attributes$icon, _excluded3); // 默认手柄


      var width = size;
      var height = width * 2.4; // 创建默认图形

      var defaultHandle = new g.Rect({
        name: 'icon',
        style: _objectSpread2({
          width: width,
          height: height,
          x: -width / 2,
          y: -height / 2,
          radius: width / 4
        }, rest)
      });
      var stroke = rest.stroke,
          lineWidth = rest.lineWidth;
      var X1 = 1 / 3 * width;
      var X2 = 2 / 3 * width;
      var Y1 = 1 / 4 * height;
      var Y2 = 3 / 4 * height;

      var createLine = function createLine(x1, y1, x2, y2) {
        return new g.Line({
          name: 'line',
          style: {
            x1: x1,
            y1: y1,
            x2: x2,
            y2: y2,
            stroke: stroke,
            lineWidth: lineWidth
          }
        });
      };

      defaultHandle.appendChild(createLine(X1, Y1, X1, Y2));
      defaultHandle.appendChild(createLine(X2, Y1, X2, Y2));
      defaultHandle.setOrigin(width / 2, height / 2);
      return defaultHandle;
    }
  }, {
    key: "createHandleIcon",
    value: function createHandleIcon() {
      var _get2 = util.get(this.attributes, ['iconCfg']),
          type = _get2.type,
          orient = _get2.orient,
          style = _objectWithoutProperties(_get2, _excluded4);

      if (type === 'hide') {
        return new g.Rect({
          style: style,
          name: 'icon'
        });
      }

      if (type === 'symbol') {
        return new Marker({
          style: style,
          name: 'icon'
        });
      } // type === 'default'


      return this.createDefaultIcon();
    }
  }, {
    key: "createHandleText",
    value: function createHandleText() {
      var textCfg = this.attributes.textCfg;
      return new g.Text({
        name: 'text',
        style: textCfg
      });
    }
  }, {
    key: "clear",
    value: function clear() {
      this.iconShape.destroy();
    }
  }, {
    key: "setHandleIconRotation",
    value: function setHandleIconRotation() {
      var orient = util.get(this.attributes, ['iconCfg', 'orient']);

      if (orient === 'vertical') {
        this.iconShape.setLocalEulerAngles(90);
      } else {
        this.iconShape.setLocalEulerAngles(0);
      }
    }
  }]);

  return Handle;
}(g.DisplayObject);

var _excluded$4 = ["padding"],
    _excluded2$1 = ["start", "end"];
var Slider = /*#__PURE__*/function (_GUI) {
  _inherits(Slider, _GUI);

  var _super = _createSuper(Slider);

  /**
   * 层级关系
   * backgroundShape
   *  |- sparklineShape
   *  |- selectionShape
   *       |- startHandle
   *           |- handleIcon
   *           |- handleText
   *       |- endHandle
   *           |- handleIcon
   *           |- handleText
   */
  // 背景、滑道
  // 迷你图
  // 前景、选区
  // 开始滑块
  // 结束滑块

  /**
   * 选区开始的位置
   */

  /**
   * 选区宽度
   */

  /**
   * 记录上一次鼠标事件所在坐标
   */

  /**
   * drag事件当前选中的对象
   */
  function Slider(options) {
    var _this;

    _classCallCheck(this, Slider);

    _this = _super.call(this, util.deepMix({}, Slider.defaultOptions, options));
    _this.backgroundShape = void 0;
    _this.sparklineShape = void 0;
    _this.foregroundGroup = void 0;
    _this.selectionShape = void 0;
    _this.startHandle = void 0;
    _this.endHandle = void 0;
    _this.selectionStartPos = void 0;
    _this.selectionWidth = void 0;
    _this.prevPos = void 0;
    _this.target = void 0;

    _this.onDragStart = function (target) {
      return function (e) {
        e.stopPropagation();
        _this.target = target;
        _this.prevPos = _this.getOrientVal(getEventPos(e));

        var _this$getAvailableSpa = _this.getAvailableSpace(),
            x = _this$getAvailableSpa.x,
            y = _this$getAvailableSpa.y;

        var _this$attributes = _this.attributes,
            X = _this$attributes.x,
            Y = _this$attributes.y;
        _this.selectionStartPos = _this.getRatio(_this.prevPos - _this.getOrientVal([x, y]) - _this.getOrientVal([X, Y]));
        _this.selectionWidth = 0;

        _this.addEventListener('mousemove', _this.onDragging);

        _this.addEventListener('touchmove', _this.onDragging);

        document.addEventListener('mouseup', _this.onDragEnd);
        document.addEventListener('touchend', _this.onDragEnd);
      };
    };

    _this.onDragging = function (e) {
      e.stopPropagation();

      var currPos = _this.getOrientVal(getEventPos(e));

      var _ = currPos - _this.prevPos;

      if (!_) return;

      var dVal = _this.getRatio(_);

      switch (_this.target) {
        case 'start':
          _this.setValuesOffset(dVal);

          break;

        case 'end':
          _this.setValuesOffset(0, dVal);

          break;

        case 'selection':
          _this.setValuesOffset(dVal, dVal);

          break;

        case 'background':
          // 绘制蒙板
          _this.selectionWidth += dVal;

          _this.setValues([_this.selectionStartPos, _this.selectionStartPos + _this.selectionWidth].sort());

          break;
      }

      _this.prevPos = currPos;
    };

    _this.onDragEnd = function () {
      _this.removeEventListener('mousemove', _this.onDragging);

      _this.removeEventListener('mousemove', _this.onDragging);

      document.removeEventListener('mouseup', _this.onDragEnd);
      document.removeEventListener('touchend', _this.onDragEnd);
    };

    _this.initShape();

    _this.selectionStartPos = 0;
    _this.selectionWidth = 0;
    _this.prevPos = 0;
    _this.target = '';

    _this.init();

    return _this;
  }

  _createClass(Slider, [{
    key: "attributeChangedCallback",
    value: function attributeChangedCallback(name, oldValue, newValue) {
      if (name === 'values') {
        var evt = new g.CustomEvent('valueChange', {
          detail: {
            oldValue: oldValue,
            value: newValue
          }
        });
        this.dispatchEvent(evt);
      }

      if (name in ['names', 'values']) {
        this.setHandle();
      }
    }
  }, {
    key: "getValues",
    value: function getValues() {
      return this.getAttribute('values');
    }
  }, {
    key: "setValues",
    value: function setValues(values) {
      this.setAttribute('values', this.getSafetyValues(values));
    }
  }, {
    key: "getNames",
    value: function getNames() {
      return this.getAttribute('names');
    }
  }, {
    key: "setNames",
    value: function setNames(names) {
      this.setAttribute('names', names);
    }
  }, {
    key: "init",
    value: function init() {
      this.bindEvents();
    }
  }, {
    key: "initShape",
    value: function initShape() {
      this.backgroundShape = new g.Rect({
        name: 'background',
        style: this.getBackgroundShapeCfg()
      });
      this.backgroundShape.toBack();
      this.appendChild(this.backgroundShape);
      this.sparklineShape = new Sparkline({
        name: 'sparkline',
        style: this.getSparklineShapeCfg()
      });
      this.backgroundShape.appendChild(this.sparklineShape);
      this.foregroundGroup = new g.Group({
        name: 'foreground'
      });
      this.backgroundShape.appendChild(this.foregroundGroup);
      this.selectionShape = new g.Rect({
        name: 'selection',
        style: this.getSelectionShapeCfg()
      });
      this.foregroundGroup.appendChild(this.selectionShape);
      this.startHandle = this.createHandle('start');
      this.foregroundGroup.appendChild(this.startHandle);
      this.startHandle.toFront();
      this.endHandle = this.createHandle('end');
      this.foregroundGroup.appendChild(this.endHandle);
      this.startHandle.toFront();
    }
    /**
     * 组件的更新
     */

  }, {
    key: "update",
    value: function update(cfg) {
      this.attr(util.deepMix({}, this.attributes, cfg));
      this.backgroundShape.attr(this.getBackgroundShapeCfg());
      this.sparklineShape.update(this.getSparklineShapeCfg());
      this.selectionShape.attr(this.getSelectionShapeCfg());
      this.startHandle.update(this.getHandleShapeCfg('start'));
      this.endHandle.update(this.getHandleShapeCfg('end'));
    }
    /**
     * 组件的清除
     */

  }, {
    key: "clear",
    value: function clear() {}
    /**
     * 获得安全的Values
     */

  }, {
    key: "getSafetyValues",
    value: function getSafetyValues() {
      var values = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : this.getValues();
      var precision = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 4;
      var _this$attributes2 = this.attributes,
          min = _this$attributes2.min,
          max = _this$attributes2.max;

      var _this$getValues = this.getValues(),
          _this$getValues2 = _slicedToArray(_this$getValues, 2),
          prevStart = _this$getValues2[0],
          prevEnd = _this$getValues2[1];

      var _ref = values || [prevStart, prevEnd],
          _ref2 = _slicedToArray(_ref, 2),
          startVal = _ref2[0],
          endVal = _ref2[1];

      var range = endVal - startVal; // 交换startVal endVal

      if (startVal > endVal) {
        var _ref3 = [endVal, startVal];
        startVal = _ref3[0];
        endVal = _ref3[1];
      } // 超出范围就全选


      if (range > max - min) {
        return [min, max];
      }

      if (startVal < min) {
        if (prevStart === min && prevEnd === endVal) {
          return [min, endVal];
        }

        return [min, range + min];
      }

      if (endVal > max) {
        if (prevEnd === max && prevStart === startVal) {
          return [startVal, max];
        }

        return [max - range, max];
      } // 保留小数


      return [toPrecision(startVal, precision), toPrecision(endVal, precision)];
    }
  }, {
    key: "getAvailableSpace",
    value: function getAvailableSpace() {
      var _this$attributes3 = this.attributes,
          padding = _this$attributes3.padding,
          width = _this$attributes3.width,
          height = _this$attributes3.height;

      var _normalPadding = normalPadding(padding),
          _normalPadding2 = _slicedToArray(_normalPadding, 4),
          top = _normalPadding2[0],
          right = _normalPadding2[1],
          bottom = _normalPadding2[2],
          left = _normalPadding2[3];

      return {
        x: left,
        y: top,
        width: width - (left + right),
        height: height - (top + bottom)
      };
    }
    /**
     * 获取style
     * @param name style名
     * @param isActive 是否是active style
     * @returns ShapeCfg
     */

  }, {
    key: "getStyle",
    value: function getStyle(name) {
      var state = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 'default';
      var handleType = arguments.length > 2 ? arguments[2] : undefined;
      if (handleType) return this.getHandleCfg(handleType);
      return getStateStyle(util.get(this.attributes, name), state, true);
    }
  }, {
    key: "getBackgroundShapeCfg",
    value: function getBackgroundShapeCfg() {
      return _objectSpread2(_objectSpread2({
        cursor: 'crosshair'
      }, this.getAvailableSpace()), this.getStyle('backgroundStyle'));
    }
  }, {
    key: "getSparklineShapeCfg",
    value: function getSparklineShapeCfg() {
      var _this$attributes4 = this.attributes,
          orient = _this$attributes4.orient,
          sparkline = _this$attributes4.sparkline; // 暂时只在水平模式下绘制
      // if (orient !== 'horizontal') {
      //   return {
      //     data: [[]],
      //   };
      // }

      var padding = sparkline.padding,
          args = _objectWithoutProperties(sparkline, _excluded$4);

      var _normalPadding3 = normalPadding(padding),
          _normalPadding4 = _slicedToArray(_normalPadding3, 4),
          top = _normalPadding4[0],
          right = _normalPadding4[1],
          bottom = _normalPadding4[2],
          left = _normalPadding4[3];

      var _this$getAvailableSpa2 = this.getAvailableSpace(),
          width = _this$getAvailableSpa2.width,
          height = _this$getAvailableSpa2.height;

      var _this$getStyle = this.getStyle('backgroundStyle'),
          bkgLW = _this$getStyle.lineWidth;

      return _objectSpread2(_objectSpread2({
        x: bkgLW / 2 + left,
        y: bkgLW / 2 + top
      }, args), {}, {
        width: width - bkgLW - left - right,
        height: height - bkgLW - top - bottom
      });
    }
    /**
     * 计算蒙板坐标和宽高
     * 默认用来计算前景位置大小
     */

  }, {
    key: "calcMask",
    value: function calcMask(values) {
      var _this$getSafetyValues = this.getSafetyValues(values),
          _this$getSafetyValues2 = _slicedToArray(_this$getSafetyValues, 2),
          start = _this$getSafetyValues2[0],
          end = _this$getSafetyValues2[1];

      var _this$getAvailableSpa3 = this.getAvailableSpace(),
          width = _this$getAvailableSpa3.width,
          height = _this$getAvailableSpa3.height;

      return this.getOrientVal([{
        y: 0,
        height: height,
        x: start * width,
        width: (end - start) * width
      }, {
        x: 0,
        width: width,
        y: start * height,
        height: (end - start) * height
      }]);
    }
  }, {
    key: "getSelectionShapeCfg",
    value: function getSelectionShapeCfg() {
      return _objectSpread2(_objectSpread2({
        cursor: 'move'
      }, this.calcMask()), this.getStyle('selectionStyle'));
    }
    /**
     * 计算手柄的x y
     */

  }, {
    key: "calcHandlePosition",
    value: function calcHandlePosition(handleType) {
      var _this$getAvailableSpa4 = this.getAvailableSpace(),
          width = _this$getAvailableSpa4.width,
          height = _this$getAvailableSpa4.height;

      var _this$getSafetyValues3 = this.getSafetyValues(),
          _this$getSafetyValues4 = _slicedToArray(_this$getSafetyValues3, 2),
          stVal = _this$getSafetyValues4[0],
          endVal = _this$getSafetyValues4[1];

      var L = (handleType === 'start' ? stVal : endVal) * this.getOrientVal([width, height]);
      return {
        x: this.getOrientVal([L, width / 2]),
        y: this.getOrientVal([height / 2, L])
      };
    }
    /**
     * 设置选区
     * 1. 设置前景大小及位置
     * 2. 设置手柄位置
     * 3. 更新文本位置
     */

  }, {
    key: "setHandle",
    value: function setHandle() {
      var _this2 = this;

      this.selectionShape.attr(this.calcMask());
      ['start', 'end'].forEach(function (handleType) {
        var handle = _this2["".concat(handleType, "Handle")];

        handle.setHandle(_this2.calcHandlePosition(handleType));
        handle.setHandleText(_this2.calcHandleText(handleType));
      });
    }
    /**
     * 计算手柄应当处于的位置
     * @param name 手柄文字
     * @param handleType start手柄还是end手柄
     * @returns
     */

  }, {
    key: "calcHandleText",
    value: function calcHandleText(handleType) {
      var _this$attributes5 = this.attributes,
          orient = _this$attributes5.orient,
          names = _this$attributes5.names;

      var _this$getHandleCfg = this.getHandleCfg(handleType),
          spacing = _this$getHandleCfg.spacing,
          formatter = _this$getHandleCfg.formatter,
          textStyle = _this$getHandleCfg.textStyle;

      var size = this.getHandleSize(handleType);
      var values = this.getSafetyValues(); // 相对于获取两端可用空间

      var _this$getAvailableSpa5 = this.getAvailableSpace(),
          iW = _this$getAvailableSpa5.width,
          iH = _this$getAvailableSpa5.height;

      var _this$calcMask = this.calcMask(),
          fX = _this$calcMask.x,
          fY = _this$calcMask.y,
          fW = _this$calcMask.width,
          fH = _this$calcMask.height;

      var _ref4 = handleType === 'start' ? [names[0], values[0]] : [names[1], values[1]],
          _ref5 = _slicedToArray(_ref4, 2),
          name = _ref5[0],
          value = _ref5[1];

      var formattedText = formatter(name, value);
      var temp = new g.Text({
        style: _objectSpread2(_objectSpread2({}, textStyle), {}, {
          text: formattedText
        })
      }); // 文字包围盒的宽高

      var _getShapeSpace = getShapeSpace(temp),
          textWidth = _getShapeSpace.width,
          textHeight = _getShapeSpace.height;

      temp.destroy();
      var x = 0;
      var y = 0;
      var R = size / 2;

      if (orient === 'horizontal') {
        var sh = spacing + R;

        var _ = sh + textWidth / 2;

        if (handleType === 'start') {
          var left = fX - sh - textWidth;
          x = left > 0 ? -_ : _;
        } else {
          x = iW - fX - fW - sh > textWidth ? _ : -_;
        }
      } else {
        var _2 = spacing + R;

        if (handleType === 'start') {
          y = fY - R > textHeight ? -_2 : _2;
        } else {
          y = iH - fY - fH - R > textHeight ? _2 : -_2;
        }
      }

      return {
        x: x,
        y: y,
        text: formattedText
      };
    }
  }, {
    key: "getHandleTextShapeCfg",
    value: function getHandleTextShapeCfg(handleType) {
      var handleCfg = this.getHandleCfg(handleType);
      var textStyle = handleCfg.textStyle;
      return _objectSpread2(_objectSpread2({}, textStyle), this.calcHandleText(handleType));
    }
  }, {
    key: "getHandleIconShapeCfg",
    value: function getHandleIconShapeCfg(handleType) {
      var _this$attributes6 = this.attributes,
          H = _this$attributes6.height,
          orient = _this$attributes6.orient;
      var handleCfg = this.getHandleCfg(handleType);
      var show = handleCfg.show,
          handleIcon = handleCfg.handleIcon,
          style = handleCfg.handleStyle;
      var cursor = this.getOrientVal(['ew-resize', 'ns-resize']);
      var size = this.getHandleSize(handleType);
      var tempStyle;
      var type;

      if (!show) {
        type = 'hide';
        tempStyle = {
          cursor: cursor,
          x: -size / 2,
          y: -H / 2,
          height: H,
          width: size,
          opacity: 0,
          fill: 'red'
        };
      }

      if (!handleIcon) {
        type = 'default';
        tempStyle = _objectSpread2(_objectSpread2({}, style), {}, {
          cursor: cursor,
          size: size
        });
      } else {
        type = 'symbol';
        tempStyle = _objectSpread2(_objectSpread2({}, style), {}, {
          cursor: cursor,
          size: size,
          symbol: handleIcon
        });
      }

      return _objectSpread2({
        orient: orient,
        type: type
      }, tempStyle);
    }
  }, {
    key: "getHandleShapeCfg",
    value: function getHandleShapeCfg(handleType) {
      return _objectSpread2(_objectSpread2({
        handleType: handleType
      }, this.calcHandlePosition(handleType)), {}, {
        iconCfg: this.getHandleIconShapeCfg(handleType),
        textCfg: this.getHandleTextShapeCfg(handleType)
      });
    }
    /**
     * 创建手柄
     */

  }, {
    key: "createHandle",
    value: function createHandle(handleType) {
      console.log(this.getHandleShapeCfg(handleType));
      return new Handle({
        name: "handle",
        style: this.getHandleShapeCfg(handleType)
      });
    }
  }, {
    key: "getHandleCfg",
    value: function getHandleCfg(handleType) {
      var _get = util.get(this.attributes, 'handle'),
          start = _get.start,
          end = _get.end,
          args = _objectWithoutProperties(_get, _excluded2$1);

      var handleCfg = {};

      if (handleType === 'start') {
        handleCfg = start;
      } else if (handleType === 'end') {
        handleCfg = end;
      }

      return util.deepMix({}, args, handleCfg);
    }
  }, {
    key: "getHandleSize",
    value: function getHandleSize(handleType) {
      var handleCfg = this.getHandleCfg(handleType);
      var size = handleCfg.size;
      if (size) return size; // 没设置size的话，高度就取height的80%高度，手柄宽度是高度的1/2.4

      var _this$attributes7 = this.attributes,
          width = _this$attributes7.width,
          height = _this$attributes7.height;
      return this.getOrientVal([height, width]) * 0.8 / 2.4;
    }
  }, {
    key: "bindEvents",
    value: function bindEvents() {
      var _this3 = this;

      // Drag and brush
      this.backgroundShape.addEventListener('mousedown', this.onDragStart('background'));
      this.backgroundShape.addEventListener('touchstart', this.onDragStart('background'));
      var fg = this.selectionShape; // 选区drag事件

      fg.addEventListener('mousedown', this.onDragStart('selection'));
      fg.addEventListener('touchstart', this.onDragStart('selection')); // 选区hover事件

      fg.addEventListener('mouseenter', function () {
        fg.attr(_this3.getStyle('selectionStyle'));
      });
      fg.addEventListener('mouseleave', function () {
        fg.attr(_this3.getStyle('selectionStyle'));
      });
      [this.startHandle, this.endHandle].forEach(function (handle) {
        var handleType = handle.getType();
        var handleIcon = handle.getIcon(); // 手柄按下开始drag

        handleIcon.addEventListener('mousedown', _this3.onDragStart(handleType));
        handleIcon.addEventListener('touchstart', _this3.onDragStart(handleType)); // icon hover事件

        handleIcon.addEventListener('mouseenter', function () {
          handleIcon.attr(_this3.getHandleCfg(handleType));
        });
        handleIcon.addEventListener('mouseleave', function () {
          handleIcon.attr(_this3.getHandleCfg(handleType));
        });
      });
    }
  }, {
    key: "getOrientVal",
    value: function getOrientVal(_ref6) {
      var _ref7 = _slicedToArray(_ref6, 2),
          x = _ref7[0],
          y = _ref7[1];

      var orient = this.attributes.orient;
      return orient === 'horizontal' ? x : y;
    }
  }, {
    key: "setValuesOffset",
    value: function setValuesOffset(stOffset) {
      var endOffset = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 0;

      var _this$getValues3 = this.getValues(),
          _this$getValues4 = _slicedToArray(_this$getValues3, 2),
          oldStartVal = _this$getValues4[0],
          oldEndVal = _this$getValues4[1];

      this.setValues([oldStartVal + stOffset, oldEndVal + endOffset].sort());
    }
  }, {
    key: "getRatio",
    value: function getRatio(val) {
      var _this$getAvailableSpa6 = this.getAvailableSpace(),
          width = _this$getAvailableSpa6.width,
          height = _this$getAvailableSpa6.height;

      return val / this.getOrientVal([width, height]);
    }
  }]);

  return Slider;
}(GUI);
Slider.tag = 'slider';
Slider.defaultOptions = {
  type: Slider.tag,
  style: {
    orient: 'horizontal',
    values: [0, 1],
    names: ['', ''],
    min: 0,
    max: 1,
    width: 200,
    height: 20,
    sparkline: {
      padding: [1, 1, 1, 1]
    },
    padding: [0, 0, 0, 0],
    backgroundStyle: {
      default: {
        fill: '#fff',
        stroke: '#e4eaf5',
        lineWidth: 1
      }
    },
    selectionStyle: {
      default: {
        fill: '#afc9fb',
        opacity: 0.5,
        stroke: '#afc9fb',
        lineWidth: 1
      },
      active: {
        fill: '#ccdaf5'
      }
    },
    handle: {
      show: true,
      formatter: function formatter(val) {
        return val;
      },
      spacing: 10,
      textStyle: {
        fill: '#63656e',
        textAlign: 'center',
        textBaseline: 'middle'
      },
      handleStyle: {
        stroke: '#c5c5c5',
        fill: '#fff',
        lineWidth: 1
      }
    }
  }
};

var Scrollbar = /*#__PURE__*/function (_GUI) {
  _inherits(Scrollbar, _GUI);

  var _super = _createSuper(Scrollbar);

  /**
   * tag
   */
  // 滑道
  // 滑块

  /**
   * 拖动开始位置
   */
  function Scrollbar(options) {
    var _this;

    _classCallCheck(this, Scrollbar);

    _this = _super.call(this, util.deepMix({}, Scrollbar.defaultOptions, options));
    _this.trackShape = void 0;
    _this.thumbShape = void 0;
    _this.prevPos = void 0;

    _this.onValueChanged = function (oldValue) {
      var newValue = _this.getValue();

      if (oldValue === newValue) return;
      var evtVal = {
        detail: {
          oldValue: oldValue,
          value: newValue
        }
      };
      var scrollEvt = new g.CustomEvent('scroll', evtVal);

      _this.dispatchEvent(scrollEvt);

      var valuechangeEvt = new g.CustomEvent('valueChange', evtVal);

      _this.dispatchEvent(valuechangeEvt);
    };

    _this.onTrackClick = function (e) {
      var _this$attributes = _this.attributes,
          x = _this$attributes.x,
          y = _this$attributes.y,
          padding = _this$attributes.padding,
          thumbLen = _this$attributes.thumbLen;

      var _padding = _slicedToArray(padding, 4),
          top = _padding[0],
          left = _padding[3];

      var basePos = _this.getOrientVal([x + left, y + top]);

      var clickPos = _this.getOrientVal(getEventPos(e)) - thumbLen / 2;

      var value = _this.valueOffset(clickPos - basePos, true);

      _this.setValue(value);
    };

    _this.onDragStart = function (e) {
      e.stopPropagation();
      _this.prevPos = _this.getOrientVal(getEventPos(e));
      document.addEventListener('mousemove', _this.onDragging);
      document.addEventListener('mouseup', _this.onDragEnd);
      document.addEventListener('touchmove', _this.onDragging);
      document.addEventListener('touchcancel', _this.onDragEnd);
    };

    _this.onDragging = function (e) {
      e.stopPropagation();

      var currPos = _this.getOrientVal(getEventPos(e));

      var diff = currPos - _this.prevPos;

      _this.setOffset(diff);

      _this.prevPos = currPos;
    };

    _this.onDragEnd = function (e) {
      e.preventDefault();
      document.removeEventListener('mousemove', _this.onDragging);
      document.removeEventListener('mouseup', _this.onDragEnd);
      document.removeEventListener('touchmove', _this.onDragging);
      document.removeEventListener('touchcancel', _this.onDragEnd);
    };

    _this.init();

    return _this;
  }

  _createClass(Scrollbar, [{
    key: "attributeChangedCallback",
    value: function attributeChangedCallback(name, oldValue, newValue) {
      // 变更属性时需要重新计算value
      if (name === 'value') {
        var padding = this.attributes.padding;
        var thumbOffset = this.valueOffset(newValue);

        var _padding2 = _slicedToArray(padding, 4),
            top = _padding2[0],
            left = _padding2[3];

        this.setThumbOffset(thumbOffset + this.getOrientVal([left, top]));
      }
    }
    /**
     * 计算滑块重心在轨道的比例位置
     * @param offset 额外的偏移量
     */

  }, {
    key: "getValue",
    value: function getValue() {
      return this.getAttribute('value');
    }
    /**
     * 设置value
     * @param value 当前位置的占比
     */

  }, {
    key: "setValue",
    value: function setValue(value) {
      var oldValue = this.attributes.value;
      this.setAttribute('value', value); // 通知触发valueChange

      this.onValueChanged(oldValue);
    }
    /**
     * 设置相对偏移，鼠标拖动、滚轮滑动时使用
     * @param offset 鼠标、滚轮的偏移量
     */

  }, {
    key: "setOffset",
    value: function setOffset(deltaOffset) {
      var value = this.getValue();
      this.setValue(this.valueOffset(deltaOffset, true) + value);
    }
  }, {
    key: "init",
    value: function init() {
      this.initShape();
      this.trackShape.attr(this.getTrackShapeCfg());
      this.thumbShape.attr(this.getThumbShapeCfg());
      this.bindEvents();
    }
    /**
     * 组件的更新
     */

  }, {
    key: "update",
    value: function update(cfg) {
      this.attr(util.deepMix({}, this.attributes, cfg));
      this.trackShape.attr(this.getTrackShapeCfg());
      this.thumbShape.attr(this.getThumbShapeCfg());
    }
    /**
     * 组件的清除
     */

  }, {
    key: "clear",
    value: function clear() {}
  }, {
    key: "initShape",
    value: function initShape() {
      this.trackShape = new g.Rect({
        name: 'track'
      });
      this.appendChild(this.trackShape);
      this.thumbShape = new g.Rect({
        name: 'thumb'
      });
      this.trackShape.appendChild(this.thumbShape);
    }
    /**
     * 值改变事件
     */

  }, {
    key: "valueOffset",
    value:
    /**
     * value - offset 相互转换
     * @param num
     * @param reverse true - value -> offset; false - offset -> value
     * @returns
     */
    function valueOffset(num) {
      var reverse = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : false;
      var _this$attributes2 = this.attributes,
          thumbLen = _this$attributes2.thumbLen,
          min = _this$attributes2.min,
          max = _this$attributes2.max;
      var L = this.getTrackLen() - thumbLen;

      if (!reverse) {
        // value2offset
        return L * util.clamp(num, min, max);
      } // offset2value


      return num / L;
    }
    /* 获取样式属性
     * @param name style的key值
     * @param isActive 是否激活状态的样式
     */

  }, {
    key: "getStyle",
    value: function getStyle(name) {
      var state = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 'default';
      return getStateStyle(util.get(this.attributes, name), state);
    }
    /**
     * 获得轨道可用空间
     */

  }, {
    key: "getAvailableSpace",
    value: function getAvailableSpace() {
      var _this$attributes3 = this.attributes,
          width = _this$attributes3.width,
          height = _this$attributes3.height,
          padding = _this$attributes3.padding;

      var _padding3 = _slicedToArray(padding, 4),
          top = _padding3[0],
          right = _padding3[1],
          bottom = _padding3[2],
          left = _padding3[3];

      return {
        x: left,
        y: top,
        width: width - (left + right),
        height: height - (top + bottom)
      };
    }
    /**
     * 获得轨道长度
     */

  }, {
    key: "getTrackLen",
    value: function getTrackLen() {
      var _this$getAvailableSpa = this.getAvailableSpace(),
          width = _this$getAvailableSpa.width,
          height = _this$getAvailableSpa.height;

      return this.getOrientVal([width, height]);
    }
    /**
     * 将滑块移动至指定位置
     * @param thumbOffset 滑块位置偏移量
     */

  }, {
    key: "setThumbOffset",
    value: function setThumbOffset(thumbOffset) {
      this.thumbShape.attr(this.getOrientVal(['x', 'y']), thumbOffset);
    }
  }, {
    key: "getTrackShapeCfg",
    value: function getTrackShapeCfg() {
      var _this$attributes4 = this.attributes,
          x = _this$attributes4.x,
          y = _this$attributes4.y,
          width = _this$attributes4.width,
          height = _this$attributes4.height;
      return _objectSpread2(_objectSpread2({
        x: x,
        y: y
      }, this.getStyle('trackStyle')), {}, {
        width: width,
        height: height
      });
    }
  }, {
    key: "getThumbShapeCfg",
    value: function getThumbShapeCfg() {
      var _this$attributes5 = this.attributes,
          orient = _this$attributes5.orient,
          value = _this$attributes5.value,
          isRound = _this$attributes5.isRound,
          thumbLen = _this$attributes5.thumbLen;
      var trackInner = this.getAvailableSpace();
      var x = trackInner.x,
          y = trackInner.y,
          width = trackInner.width,
          height = trackInner.height;

      var baseCfg = _objectSpread2(_objectSpread2({}, trackInner), this.getStyle('thumbStyle'));

      var half = width / 2;

      if (orient === 'vertical') {
        return _objectSpread2(_objectSpread2({}, baseCfg), {}, {
          y: y + this.valueOffset(value),
          height: thumbLen,
          radius: isRound ? half : 0
        });
      }

      half = height / 2;
      return _objectSpread2(_objectSpread2({}, baseCfg), {}, {
        x: x + this.valueOffset(value),
        width: thumbLen,
        radius: isRound ? half : 0
      });
    }
  }, {
    key: "bindEvents",
    value: function bindEvents() {
      this.trackShape.addEventListener('click', this.onTrackClick);
      this.thumbShape.addEventListener('mousedown', this.onDragStart);
      this.thumbShape.addEventListener('touchstart', this.onDragStart);
      this.onHover();
    }
    /**
     * 根据orient取出对应轴向上的值
     * 主要用于取鼠标坐标在orient方向上的位置
     */

  }, {
    key: "getOrientVal",
    value: function getOrientVal(values) {
      var orient = this.attributes.orient;
      return orient === 'horizontal' ? values[0] : values[1];
    }
    /**
     * 点击轨道事件
     */

  }, {
    key: "onHover",
    value:
    /**
     * 悬浮事件
     */
    function onHover() {
      var _this2 = this;

      ['thumb', 'track'].forEach(function (name) {
        var target = util.get(_this2, "".concat(name, "Shape"));
        target.addEventListener('mouseenter', function () {
          target.attr(_this2.getStyle("".concat(name, "Style"), 'active'));
        });
        target.addEventListener('mouseleave', function () {
          target.attr(_this2.getStyle("".concat(name, "Style")));
        });
      });
    }
  }]);

  return Scrollbar;
}(GUI);
Scrollbar.tag = 'scrollbar';
Scrollbar.defaultOptions = {
  type: Scrollbar.tag,
  style: {
    // 滑条朝向
    orient: 'vertical',
    // 轨道宽高
    width: 10,
    height: 200,
    value: 0,
    // 滑块范围控制
    min: 0,
    max: 1,
    // 滑块是否为圆角
    isRound: true,
    // 滑块长度
    thumbLen: 20,
    // 滚动条内边距，影响滑轨的实际可用空间
    padding: [2, 2, 2, 2],
    trackStyle: {
      default: {
        fill: '#fafafa',
        lineWidth: 1,
        stroke: '#e8e8e8'
      },
      active: {}
    },
    thumbStyle: {
      default: {
        fill: '#c1c1c1'
      },
      active: {
        fill: '#7d7d7d'
      }
    }
  }
};

var Axis = /*#__PURE__*/function (_GUI) {
  _inherits(Axis, _GUI);

  var _super = _createSuper(Axis);

  function Axis() {
    _classCallCheck(this, Axis);

    return _super.apply(this, arguments);
  }

  _createClass(Axis, [{
    key: "attributeChangedCallback",
    value: function attributeChangedCallback(name, value) {
      throw new Error('Method not implemented.');
    }
  }, {
    key: "init",
    value: function init() {
      throw new Error('Method not implemented.');
    }
  }, {
    key: "update",
    value: function update() {
      throw new Error('Method not implemented.');
    }
  }, {
    key: "clear",
    value: function clear() {
      throw new Error('Method not implemented.');
    }
  }]);

  return Axis;
}(GUI);

var Sheet = function Sheet() {
  _classCallCheck(this, Sheet);
};

var Timeline = function Timeline() {
  _classCallCheck(this, Timeline);
};

/**
 * 梯形色板
 * @param width 完整的宽度
 * @param height 完整高度
 * @param x 起点x坐标
 * @param y 起点y坐标
 * @param start 梯形起点
 * @param end 梯形终点
 * @returns PathCommand[]
 */

function createTrapezoidRailPath(width, height) {
  var x = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 0;
  var start = arguments.length > 4 ? arguments[4] : undefined;
  var end = arguments.length > 5 ? arguments[5] : undefined;
  var st = util.isUndefined(start) ? x : start;
  var ed = util.isUndefined(end) ? x + width : end;
  var slope = height / width;
  return [['M', st, height], ['L', st, slope * (width - st - x)], ['L', ed, slope * (width - ed - x)], ['L', ed, height], ['Z']];
}
/**
 * 矩形色板
 * @param width 完整的宽度
 * @param height 完整高度
 * @param x 起点x坐标
 * @param y 起点y坐标
 * @param start 矩形起点
 * @param end 矩形终点
 * @returns PathCommand[]
 */

function createRectRailPath(width, height) {
  var x = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 0;
  var start = arguments.length > 4 ? arguments[4] : undefined;
  var end = arguments.length > 5 ? arguments[5] : undefined;
  var st = util.isUndefined(start) ? x : start;
  var ed = util.isUndefined(end) ? x + width : end;
  return [['M', st, height], ['L', st, 0], ['L', ed, 0], ['L', ed, height], ['Z']];
}
/**
 * 根据值转换为其在rail上的偏移量
 * @param value 值
 * @param min 最小值
 * @param max 最大值
 * @param railLen rail长度
 * @param reverse 反向取值
 * @returns
 */

function getValueOffset(value, min, max, railLen) {
  var reverse = arguments.length > 4 && arguments[4] !== undefined ? arguments[4] : false;
  // 将value映射到 startRail, endRail
  if (reverse) return value / railLen * (max - min);
  return toPrecision((value - min) / (max - min) * railLen, 2);
}
/**
 * 将值转换至步长tick上
 */

function getStepValueByValue(value, step, min) {
  var count = Math.round((value - min) / step);
  return min + count * step;
} // 左箭头

function leftArrow(x, y, r) {
  var diffY = r * Math.sin(1 / 3 * Math.PI);
  return [['M', x - r, y], ['L', x + r, y - diffY], ['L', x + r, y + diffY], ['Z']];
} // 右箭头

function rightArrow(x, y, r) {
  var diffY = r * Math.sin(1 / 3 * Math.PI);
  return [['M', x + r, y], ['L', x - r, y - diffY], ['L', x - r, y + diffY], ['Z']];
} // 上三角

function upArrow(x, y, r) {
  var diffY = r * Math.cos(1 / 3 * Math.PI);
  return [['M', x - r, y + diffY], ['L', x, y - diffY], ['L', x + r, y + diffY], ['Z']];
} // 下三角

function downArrow(x, y, r) {
  var diffY = r * Math.cos(1 / 3 * Math.PI);
  return [['M', x - r, y - diffY], ['L', x + r, y - diffY], ['L', x, y + diffY], ['Z']];
}
function hiddenHandle(x, y, r) {
  // 长宽比
  var ratio = 1.4;
  var diffY = ratio * r;
  return [['M', x - r, y - diffY], ['L', x + r, y - diffY], ['L', x + r, y + diffY], ['L', x - r, y + diffY], ['Z']];
} // 控制手柄

var HANDLE_HEIGHT_RATIO = 1.4;
var HANDLE_TRIANGLE_RATIO = 0.4; // 纵向手柄

function verticalHandle(x, y, r) {
  var width = r;
  var height = width * HANDLE_HEIGHT_RATIO;
  var halfWidth = width / 2;
  var oneSixthWidth = width / 6;
  var triangleX = x + height * HANDLE_TRIANGLE_RATIO;
  return [['M', x, y], ['L', triangleX, y + halfWidth], ['L', x + height, y + halfWidth], ['L', x + height, y - halfWidth], ['L', triangleX, y - halfWidth], ['Z'], // 绘制两条横线
  ['M', triangleX, y + oneSixthWidth], ['L', x + height - 2, y + oneSixthWidth], ['M', triangleX, y - oneSixthWidth], ['L', x + height - 2, y - oneSixthWidth]];
} // 横向手柄

function horizontalHandle(x, y, r) {
  var width = r;
  var height = width * HANDLE_HEIGHT_RATIO;
  var halfWidth = width / 2;
  var oneSixthWidth = width / 6;
  var triangleY = y + height * HANDLE_TRIANGLE_RATIO;
  return [['M', x, y], ['L', x - halfWidth, triangleY], ['L', x - halfWidth, y + height], ['L', x + halfWidth, y + height], ['L', x + halfWidth, triangleY], ['Z'], // 绘制两条竖线
  ['M', x - oneSixthWidth, triangleY], ['L', x - oneSixthWidth, y + height - 2], ['M', x + oneSixthWidth, triangleY], ['L', x + oneSixthWidth, y + height - 2]];
}
Marker.registerSymbol('leftArrow', leftArrow);
Marker.registerSymbol('rightArrow', rightArrow);
Marker.registerSymbol('upArrow', upArrow);
Marker.registerSymbol('downArrow', downArrow);
Marker.registerSymbol('hiddenHandle', hiddenHandle);
Marker.registerSymbol('verticalHandle', verticalHandle);
Marker.registerSymbol('horizontalHandle', horizontalHandle);

var LEGEND_BASE_DEFAULT_OPTIONS = {
  style: {
    x: 0,
    y: 0,
    padding: 0,
    orient: 'horizontal',
    backgroundStyle: {
      default: {
        fill: 'white',
        lineWidth: 0
      }
    },
    title: {
      content: '',
      spacing: 10,
      align: 'left',
      style: {
        fill: 'gray',
        fontWeight: 'bold',
        fontSize: 16,
        textBaseline: 'top'
      },
      formatter: function formatter(text) {
        return text;
      }
    }
  }
};
var CATEGORY_DEFAULT_OPTIONS = util.deepMix({}, LEGEND_BASE_DEFAULT_OPTIONS, {
  style: {
    type: 'category',
    items: [],
    maxWidth: undefined,
    maxHeight: undefined,
    maxCols: undefined,
    maxRows: undefined,
    spacing: [10, 10],
    itemMarker: {
      marker: 'circle',
      size: 8,
      spacing: 10,
      style: {
        default: {
          fill: '#f8be4b',
          lineWidth: 0
        },
        active: {
          fill: '#f3774a'
        },
        selected: {}
      }
    },
    itemName: {
      spacing: 0,
      style: {
        default: {
          fill: 'gray',
          fontSize: 16,
          fontWeight: 'normal',
          textBaseline: 'middle'
        },
        selected: {
          fill: 'white',
          fontWeight: 'bold'
        },
        active: {
          fill: 'white',
          fontWeight: 'bold'
        }
      },
      formatter: function formatter(name) {
        return name;
      }
    },
    itemValue: {
      spacing: 5,
      align: 'right',
      style: {
        default: {
          fill: 'gray',
          fontSize: 16,
          fontWeight: 'normal',
          textBaseline: 'middle'
        },
        selected: {
          fill: 'white',
          fontWeight: 'bold'
        },
        active: {
          fill: 'white',
          fontWeight: 'bold'
        }
      },
      formatter: function formatter(name) {
        return name;
      }
    },
    itemBackgroundStyle: {
      default: {
        fill: '#fdf6e3'
      },
      selected: {
        opacity: 1,
        fill: '#dea739'
      },
      active: {
        opacity: 1,
        fill: '#2c2c2c'
      }
    },
    reverse: false,
    pageNavigator: {
      button: {
        marker: function marker(type, orient) {
          if (orient === 'horizontal') {
            if (type === 'prev') {
              return leftArrow;
            }

            return rightArrow;
          } // vertical


          if (type === 'prev') {
            return upArrow;
          }

          return downArrow;
        },
        size: 12,
        style: {
          default: {},
          active: {},
          disabled: {}
        }
      }
    }
  }
});
var CONTINUOUS_DEFAULT_OPTIONS = util.deepMix({}, LEGEND_BASE_DEFAULT_OPTIONS, {
  style: {
    type: 'continuous',
    color: ['#d0e3fa', '#acc7f6', '#8daaf2', '#6d8eea', '#4d73cd', '#325bb1', '#5a3e75', '#8c3c79', '#e23455', '#e7655b'],
    padding: 10,
    label: {
      style: {
        fill: 'black',
        textAlign: 'center',
        textBaseline: 'middle'
      },
      spacing: 10,
      formatter: function formatter(value) {
        return String(value);
      },
      align: 'rail'
    },
    rail: {
      width: 100,
      height: 50,
      type: 'color',
      chunked: false,
      ticks: [],
      isGradient: 'auto',
      backgroundColor: '#c5c5c5'
    },
    // 不可滑动时隐藏手柄
    slidable: true,
    handle: {
      size: 25,
      spacing: 10,
      icon: {
        marker: 'default',
        style: {
          stroke: '#c5c5c5',
          fill: '#fff',
          lineWidth: 1
        }
      },
      text: {
        align: 'outside',
        style: {
          fill: '#63656e',
          fontSize: 12,
          textAlign: 'center',
          textBaseline: 'middle'
        },
        formatter: function formatter(value) {
          return value;
        }
      }
    },
    indicator: {
      size: 8,
      spacing: 5,
      padding: 5,
      backgroundStyle: {
        fill: '#262626',
        radius: 5
      },
      text: {
        style: {
          fill: 'white',
          fontSize: 12
        },
        formatter: function formatter(value) {
          return String(value);
        }
      }
    }
  }
}); // 连续图例步长比例

var STEP_RATIO = 0.01; // 分类图例name和value宽度比例

var NAME_VALUE_RATIO = 1.2 / 1;

var LegendBase = /*#__PURE__*/function (_GUI) {
  _inherits(LegendBase, _GUI);

  var _super = _createSuper(LegendBase);

  // background
  function LegendBase(options) {
    var _this;

    _classCallCheck(this, LegendBase);

    _this = _super.call(this, util.deepMix({}, LegendBase.defaultOptions, options));
    _this.backgroundShape = void 0;
    _this.titleShape = void 0;
    return _this;
  }

  _createClass(LegendBase, [{
    key: "init",
    value: function init() {
      this.createTitle();
    }
  }, {
    key: "update",
    value: function update(cfg) {
      this.titleShape.attr(this.getTitleShapeCfg());
      this.adjustTitle();
    } // 获取对应状态的样式

  }, {
    key: "getStyle",
    value: function getStyle(name, state) {
      var style = util.get(this.attributes, name);
      return getStateStyle(style, state);
    }
    /**
     * 根据方向取值
     */

  }, {
    key: "getOrientVal",
    value: function getOrientVal(_ref) {
      var _ref2 = _slicedToArray(_ref, 2),
          x = _ref2[0],
          y = _ref2[1];

      var orient = this.attributes.orient;
      return orient === 'horizontal' ? x : y;
    } // 获取padding

  }, {
    key: "getPadding",
    value: function getPadding() {
      var padding = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : this.attributes.padding;
      return normalPadding(padding);
    } // 获取容器内可用空间, 排除掉title的空间

  }, {
    key: "getAvailableSpace",
    value: function getAvailableSpace() {
      // 连续图例不固定外部大小
      // 容器大小 - padding - title
      var spacing = util.get(this.attributes, ['title', 'spacing']);

      var _this$getPadding = this.getPadding(),
          _this$getPadding2 = _slicedToArray(_this$getPadding, 4),
          top = _this$getPadding2[0],
          left = _this$getPadding2[3];

      var _getShapeSpace = getShapeSpace(this.titleShape),
          titleHeight = _getShapeSpace.height;

      return {
        x: left,
        y: top + titleHeight + spacing
      };
    } // 绘制背景

  }, {
    key: "createBackground",
    value: function createBackground() {
      this.backgroundShape = new g.Rect({
        name: 'background',
        style: this.getBackgroundShapeCfg()
      });
      this.appendChild(this.backgroundShape);
      this.backgroundShape.toBack();
    }
    /**
     * 创建图例标题配置
     */

  }, {
    key: "getTitleShapeCfg",
    value: function getTitleShapeCfg() {
      var title = this.attributes.title;
      var content = title.content,
          style = title.style,
          formatter = title.formatter;
      return _objectSpread2(_objectSpread2({}, style), {}, {
        text: formatter(content)
      });
    }
    /**
     * 创建图例标题
     */

  }, {
    key: "createTitle",
    value: function createTitle() {
      this.titleShape = new g.Text({
        name: 'title',
        style: this.getTitleShapeCfg()
      });
      this.appendChild(this.titleShape);
    }
  }, {
    key: "adjustTitle",
    value: function adjustTitle() {
      var title = this.attributes.title;

      var _getShapeSpace2 = getShapeSpace(this),
          width = _getShapeSpace2.width;

      var align = title.align;

      var _this$getPadding3 = this.getPadding(),
          _this$getPadding4 = _slicedToArray(_this$getPadding3, 4),
          top = _this$getPadding4[0],
          right = _this$getPadding4[1],
          left = _this$getPadding4[3];

      var layout;

      switch (align) {
        case 'left':
          layout = {
            x: left,
            y: top,
            textAlign: 'left'
          };
          break;

        case 'right':
          layout = {
            x: width - left - right,
            y: top,
            textAlign: 'end'
          };
          break;

        case 'center':
          layout = {
            x: (width - left - right) / 2,
            y: top,
            textAlign: 'center'
          };
          break;
      }

      this.titleShape.attr(layout);
    }
  }]);

  return LegendBase;
}(GUI);
LegendBase.tag = 'legendBase';
LegendBase.defaultOptions = _objectSpread2({
  type: LegendBase.tag
}, LEGEND_BASE_DEFAULT_OPTIONS);

var _excluded$5 = ["style"];
var CategoryItem = /*#__PURE__*/function (_GUI) {
  _inherits(CategoryItem, _GUI);

  var _super = _createSuper(CategoryItem);

  // marker
  // name
  // value
  // background
  function CategoryItem(_ref) {
    var _this;

    var style = _ref.style,
        rest = _objectWithoutProperties(_ref, _excluded$5);

    _classCallCheck(this, CategoryItem);

    _this = _super.call(this, _objectSpread2({
      type: 'categoryItem',
      style: style
    }, rest));
    _this.markerShape = void 0;
    _this.nameShape = void 0;
    _this.valueShape = void 0;
    _this.backgroundShape = void 0;
    _this.prevState = void 0;

    _this.init();

    return _this;
  }

  _createClass(CategoryItem, [{
    key: "init",
    value: function init() {
      // render backgroundShape
      this.backgroundShape = new g.Rect({
        name: 'background',
        style: this.getBackgroundShapeCfg()
      });
      this.appendChild(this.backgroundShape); // render markerShape

      this.markerShape = new Marker({
        name: 'marker',
        style: this.getMarkerShapeCfg()
      });
      this.backgroundShape.appendChild(this.markerShape); // render nameShape

      this.nameShape = new g.Text({
        name: 'name',
        style: this.getNameShapeCfg()
      });
      this.backgroundShape.appendChild(this.nameShape); // render valueShape

      this.valueShape = new g.Text({
        name: 'value',
        style: this.getValueShapeCfg()
      });
      this.backgroundShape.appendChild(this.valueShape);
      this.backgroundShape.toBack();
      this.adjustLayout();
    }
  }, {
    key: "getState",
    value: function getState() {
      return util.get(this.attributes, ['state']).split('-')[0];
    }
    /**
     * 设置图例项状态
     */

  }, {
    key: "setState",
    value: function setState(state) {
      this.update({
        state: state
      });
    }
  }, {
    key: "getID",
    value: function getID() {
      var identify = this.attributes.identify;
      return identify;
    }
    /**
     * 恢复到上次状态
     * 一般用于onHover事件
     */

  }, {
    key: "onHover",
    value: function onHover() {
      var currState = this.getState();
      this.setState("".concat(currState, "-active"));
    }
  }, {
    key: "onUnHover",
    value: function onUnHover() {
      var currState = this.getState();
      this.setState(currState.split('-')[0]);
    }
  }, {
    key: "update",
    value: function update(cfg) {
      var currState = this.getState();
      var newState = cfg.state;

      if ('state' in cfg && currState !== newState) {
        // 保存上次状态
        this.prevState = currState;
      }

      this.attr(util.deepMix({}, this.attributes, cfg)); // update style

      this.markerShape.attr(this.getMarkerShapeCfg());
      this.nameShape.attr(this.getNameShapeCfg());
      this.valueShape.attr(this.getValueShapeCfg());
      this.backgroundShape.attr(this.getBackgroundShapeCfg()); // adjustLayout

      this.adjustLayout();
    }
  }, {
    key: "clear",
    value: function clear() {}
  }, {
    key: "getStyle",
    value: function getStyle(name) {
      var state = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : this.attributes.state;
      var style = util.get(this.attributes, name);
      var stateList = state.split('-');
      return util.deepMix.apply(void 0, [{}].concat(_toConsumableArray(stateList.map(function (s) {
        return getStateStyle(style, s, true);
      }))));
    }
  }, {
    key: "adjustLayout",
    value: function adjustLayout() {
      // icon <-spacing-> name <-spacing-> value
      var _this$attributes = this.attributes,
          itemWidth = _this$attributes.itemWidth,
          maxItemWidth = _this$attributes.maxItemWidth,
          itemMarker = _this$attributes.itemMarker,
          name = _this$attributes.itemName,
          value = _this$attributes.itemValue;
      var nameContent = name.content,
          markerNameSpacing = name.spacing;
      var valueContent = value.content,
          nameValueSpacing = value.spacing;
      var width = itemWidth || maxItemWidth || Infinity; // 计算每个元素的长度

      var markerSize = itemMarker.size; // 计算图例项高度（不用getShapeSpace获得的原因是文字需要垂直居中，需要使用middle对齐）

      var height = util.max([markerSize * 2, getShapeSpace(this.nameShape).height, getShapeSpace(this.valueShape).height]); // 计算name和value可用宽度

      var availableWidth = width - markerNameSpacing - nameValueSpacing - markerSize * 2; // name和value分得的空间

      var availableValueWidth = availableWidth / (NAME_VALUE_RATIO + 1);
      var availableNameWidth = NAME_VALUE_RATIO * availableValueWidth; // 得到缩略文本

      var ellipsisName = getEllipsisText(nameContent, availableNameWidth, getFont(this.nameShape));
      var ellipsisValue = getEllipsisText(valueContent, availableValueWidth, getFont(this.valueShape));
      var temp = markerSize * 2 + markerNameSpacing;
      this.nameShape.attr({
        text: ellipsisName,
        x: temp,
        y: height / 2
      });

      var _getShapeSpace = getShapeSpace(this.nameShape),
          nWidth = _getShapeSpace.width;

      this.valueShape.attr({
        text: ellipsisValue,
        x: temp + (itemWidth ? availableNameWidth : nWidth) + nameValueSpacing,
        y: height / 2
      });
      this.markerShape.attr({
        x: markerSize,
        y: height / 2
      }); // 设置背景

      this.backgroundShape.attr({
        width: itemWidth === undefined ? this.getActualWidth() : itemWidth,
        height: height
      });
    }
  }, {
    key: "getMarkerShapeCfg",
    value: function getMarkerShapeCfg() {
      var itemMarker = this.attributes.itemMarker;
      var marker = itemMarker.marker,
          spacing = itemMarker.spacing,
          markerSize = itemMarker.size;
      return _objectSpread2({
        x: spacing,
        symbol: marker,
        size: markerSize
      }, this.getStyle(['itemMarker', 'style']));
    }
  }, {
    key: "getNameShapeCfg",
    value: function getNameShapeCfg() {
      var itemName = this.attributes.itemName;
      var nameContent = itemName.content;
      return _objectSpread2({
        text: nameContent
      }, this.getStyle(['itemName', 'style']));
    }
  }, {
    key: "getValueShapeCfg",
    value: function getValueShapeCfg() {
      var itemValue = this.attributes.itemValue;
      var valueContent = itemValue.content;
      return _objectSpread2({
        text: valueContent
      }, this.getStyle(['itemValue', 'style']));
    }
  }, {
    key: "getBackgroundShapeCfg",
    value: function getBackgroundShapeCfg() {
      return _objectSpread2({}, this.getStyle('backgroundStyle'));
    }
  }, {
    key: "getActualWidth",
    value: function getActualWidth() {
      var _this$attributes2 = this.attributes,
          itemName = _this$attributes2.itemName,
          itemValue = _this$attributes2.itemValue;

      var _getShapeSpace2 = getShapeSpace(this.markerShape),
          markerWidth = _getShapeSpace2.width;

      var _getShapeSpace3 = getShapeSpace(this.nameShape),
          nameWidth = _getShapeSpace3.width;

      var _getShapeSpace4 = getShapeSpace(this.valueShape),
          valueWidth = _getShapeSpace4.width;

      return markerWidth * 2 + nameWidth + valueWidth + itemName.spacing + itemValue.spacing;
    }
  }]);

  return CategoryItem;
}(GUI);

var Category = /*#__PURE__*/function (_LegendBase) {
  _inherits(Category, _LegendBase);

  var _super = _createSuper(Category);

  // 前进按钮
  // 后退按钮
  function Category(options) {
    var _thisSuper, _this;

    _classCallCheck(this, Category);

    _this = _super.call(this, util.deepMix({}, Category.defaultOptions, options));
    _this.itemsGroup = void 0;
    _this.prevNavigation = void 0;
    _this.nextNavigation = void 0;

    _this.onNavigationPrev = function () {};

    _this.onNavigationNext = function () {};

    _get((_thisSuper = _assertThisInitialized(_this), _getPrototypeOf(Category.prototype)), "init", _thisSuper).call(_thisSuper);

    _this.init();

    return _this;
  }

  _createClass(Category, [{
    key: "init",
    value: function init() {
      this.createItemsGroup();
      this.createItems();
      this.createPageNavigator();
      this.adjustLayout();
      this.createBackground();
      this.bindEvents();
    }
  }, {
    key: "update",
    value: function update(cfg) {
      this.attr(util.deepMix({}, this.attributes, cfg));

      _get(_getPrototypeOf(Category.prototype), "update", this).call(this); // 对于items的变化目前进行重绘操作，后期可参考React Diff方法进行性能优化
      // if ('items' in style) {


      this.clearItems();
      this.createItems(); // }

      this.adjustLayout();
      this.backgroundShape.attr(this.getBackgroundShapeCfg());
    }
    /**
     * 根据id获取item
     */

  }, {
    key: "getItem",
    value: function getItem(id) {
      var items = this.getItems();
      var item;
      items.forEach(function (i) {
        if (i.getID() === id) {
          item = i;
        }
      });
      return item;
    }
    /**
     * 设置某个item的状态
     * 会改变其样式
     */

  }, {
    key: "setItemState",
    value: function setItemState(name, state) {
      this.getItem(name).setState(state);
    }
    /**
     * 获得items状态列表
     */

  }, {
    key: "getItemsStates",
    value: function getItemsStates() {
      var items = this.getItems();
      return items.map(function (item) {
        return {
          id: item.getID(),
          state: item.getState()
        };
      });
    }
  }, {
    key: "clear",
    value: function clear() {}
  }, {
    key: "getBackgroundShapeCfg",
    value: function getBackgroundShapeCfg() {
      var _getShapeSpace = getShapeSpace(this),
          width = _getShapeSpace.width,
          height = _getShapeSpace.height;

      return _objectSpread2({
        width: width,
        height: height
      }, this.getStyle('backgroundStyle'));
    }
  }, {
    key: "createItemsGroup",
    value: function createItemsGroup() {
      this.itemsGroup = new g.Group({
        name: 'itemsGroup'
      });
      this.appendChild(this.itemsGroup);
    }
  }, {
    key: "getItemsShapeCfg",
    value: function getItemsShapeCfg() {
      var _this$attributes = this.attributes,
          _items = _this$attributes.items,
          itemWidth = _this$attributes.itemWidth,
          maxItemWidth = _this$attributes.maxItemWidth,
          itemMarker = _this$attributes.itemMarker,
          itemName = _this$attributes.itemName,
          itemValue = _this$attributes.itemValue,
          itemBackgroundStyle = _this$attributes.itemBackgroundStyle,
          reverse = _this$attributes.reverse;
      var cfg = [];
      var items = util.clone(_items);
      if (reverse) items.reverse();
      items.forEach(function (item, idx) {
        var _item$state = item.state,
            state = _item$state === void 0 ? 'default' : _item$state,
            _item$name = item.name,
            nameContent = _item$name === void 0 ? '' : _item$name,
            _item$value = item.value,
            valueContent = _item$value === void 0 ? '' : _item$value,
            id = item.id;
        cfg.push({
          x: 0,
          y: 0,
          state: state,
          itemWidth: itemWidth,
          maxItemWidth: maxItemWidth,
          // 这里使用name-idx作为id
          identify: id !== undefined ? id : "".concat(nameContent, "-").concat(idx),
          itemMarker: util.isFunction(itemMarker) ? itemMarker(item, idx, items) : itemMarker,
          itemName: function () {
            var _ref = util.isFunction(itemName) ? itemName(item, idx, items) : itemName,
                formatter = _ref.formatter,
                style = _ref.style,
                spacing = _ref.spacing;

            return {
              style: style,
              spacing: spacing,
              content: formatter(nameContent)
            };
          }(),
          itemValue: function () {
            var _ref2 = util.isFunction(itemValue) ? itemValue(item, idx, items) : itemValue,
                formatter = _ref2.formatter,
                style = _ref2.style,
                spacing = _ref2.spacing;

            return {
              style: style,
              spacing: spacing,
              content: formatter(valueContent)
            };
          }(),
          backgroundStyle: util.isFunction(itemBackgroundStyle) ? itemBackgroundStyle(item, idx, items) : itemBackgroundStyle
        });
      });
      return cfg;
    }
    /**
     * 创建图例项
     */

  }, {
    key: "createItems",
    value: function createItems() {
      var _this2 = this;

      var itemsCfg = this.getItemsShapeCfg();
      itemsCfg.forEach(function (cfg) {
        var item = new CategoryItem({
          style: cfg,
          name: 'item'
        });

        _this2.itemsGroup.appendChild(item);
      });
    }
  }, {
    key: "getItems",
    value: function getItems() {
      return this.itemsGroup.children;
    }
  }, {
    key: "clearItems",
    value: function clearItems() {
      this.getItems().forEach(function (child) {
        return child.destroy();
      });
      this.itemsGroup.removeChildren();
    }
    /**
     * 获得一页图例项可用空间
     */

  }, {
    key: "getItemsSpace",
    value: function getItemsSpace() {
      /**
       * 情况1 按钮在上下、左右 无页码
       *            ↑
       *    item  item  item
       *  ← item  item  item →
       *    item  item  item
       *            ↓
       *
       * 情况2 按钮在内
       *    item  item  item
       *    item  item  <- ->
       *
       *    item  item  item
       *    item  <- 1/3 ->
       *
       * 情况3 按钮在外
       *       <- 1/3 ->
       *  ↑ item  item  item  ↑
       *1/3 item  item  item 1/3
       *  ↓ item  item  item  ↓
       *       <- 1/3 ->
       */
    } // 创建翻页器

  }, {
    key: "createPageNavigator",
    value: function createPageNavigator() {} // 前翻页

  }, {
    key: "setItemStatus",
    value: // 设置图例项状态
    function setItemStatus() {}
  }, {
    key: "bindEvents",
    value: function bindEvents() {
      var _this3 = this;

      // 图例项hover事件
      // 图例项点击事件
      // 翻页按钮点击事件
      // 找到node节点所在的CategoryItem节点
      var getParentItem = function getParentItem(node) {
        var item = node;

        while (item.getConfig().type !== 'categoryItem') {
          item = item.parentNode;
          if (!item) break;
        }

        return item;
      };

      this.itemsGroup.addEventListener('click', function (e) {
        var target = e.target;

        if (target) {
          var item = getParentItem(target); // (target as DisplayObject).parentNode.parentNode as CategoryItem;

          if (!item) return;
          var state = item.getState();

          if (!['selected', 'selected-active'].includes(state)) {
            item.setState('selected-active');
          } else {
            item.setState('default-active');
          }

          var evt = new g.CustomEvent('valuechange', {
            detail: {
              value: _this3.getItemsStates()
            }
          });

          _this3.dispatchEvent(evt);
        }
      });
      this.itemsGroup.addEventListener('mousemove', function (e) {
        var target = e.target;

        if (target) {
          var item = getParentItem(target);

          if (!item) {
            _this3.getItems().forEach(function (item) {
              item.onUnHover();
            });

            return;
          }

          var state = item.getState();

          if (state !== 'active') {
            _this3.getItems().forEach(function (item) {
              item.onUnHover();
            });

            item.onHover();
          }
        }
      });
      this.itemsGroup.addEventListener('mouseleave', function (e) {
        _this3.getItems().forEach(function (item) {
          item.onUnHover();
        });
      });
    }
    /**
     * 计算图例布局
     * https://www.yuque.com/antv/zb50wl/gzc4sg
     */

  }, {
    key: "adjustLayout",
    value: function adjustLayout() {
      var orient = this.attributes.orient;
      if (orient === 'horizontal') this.adjustHorizontal();else this.adjustVertical();
    }
    /**
     * 横向布局
     */

  }, {
    key: "adjustHorizontal",
    value: function adjustHorizontal() {
      var _this$attributes2 = this.attributes,
          maxWidth = _this$attributes2.maxWidth,
          _this$attributes2$spa = _slicedToArray(_this$attributes2.spacing, 2),
          row = _this$attributes2$spa[0],
          col = _this$attributes2$spa[1],
          autoWrap = _this$attributes2.autoWrap,
          maxCols = _this$attributes2.maxCols;

      var _this$getAvailableSpa = this.getAvailableSpace(),
          left = _this$getAvailableSpa.x,
          top = _this$getAvailableSpa.y;

      if (!maxWidth) {
        // 不限制宽度，一行拉通
        //  item item item item item
        var _prevWidth = left;
        this.getItems().forEach(function (item) {
          item.attr('x', _prevWidth);
          _prevWidth += getShapeSpace(item).width + row;
        });
      }


      var prevWidth = left;
      var prevHeight = top;
      this.getItems().forEach(function (item) {
        var _getShapeSpace2 = getShapeSpace(item),
            width = _getShapeSpace2.width,
            height = _getShapeSpace2.height;

        if (prevWidth >= maxWidth) {
          prevHeight += height + col;
          prevWidth = left;
        }

        item.attr({
          x: prevWidth,
          y: prevHeight
        });
        prevWidth += width + row;
      }); // 超出最大行数
    }
  }, {
    key: "adjustVertical",
    value: function adjustVertical() {
      var _this$attributes3 = this.attributes,
          maxHeight = _this$attributes3.maxHeight,
          _this$attributes3$spa = _slicedToArray(_this$attributes3.spacing, 2),
          row = _this$attributes3$spa[0],
          col = _this$attributes3$spa[1],
          autoWrap = _this$attributes3.autoWrap,
          maxRows = _this$attributes3.maxRows,
          itemWidth = _this$attributes3.itemWidth;

      var _this$getAvailableSpa2 = this.getAvailableSpace(),
          left = _this$getAvailableSpa2.x,
          top = _this$getAvailableSpa2.y;

      if (!maxHeight) {
        // 不限制高度，一列拉通
        var _prevHeight = top;
        this.getItems().forEach(function (item) {
          item.attr('y', _prevHeight);
          _prevHeight += getShapeSpace(item).height + col;
        });
      }

      var prevWidth = left;
      var prevHeight = top;
      this.getItems().forEach(function (item) {
        if (prevHeight >= maxHeight) {
          prevWidth += itemWidth + row;
          prevHeight = top;
        }

        item.attr({
          x: prevWidth,
          y: prevHeight
        });
        prevHeight += getShapeSpace(item).height + col;
      }); // 超出列数翻页
    }
  }]);

  return Category;
}(LegendBase);
Category.tag = 'Category';
Category.defaultOptions = _objectSpread2({
  type: Category.tag
}, CATEGORY_DEFAULT_OPTIONS);

var _excluded$6 = ["style"];
var Rail = /*#__PURE__*/function (_DisplayObject) {
  _inherits(Rail, _DisplayObject);

  var _super = _createSuper(Rail);

  // 色板的path group
  // 背景的path group
  function Rail(_ref) {
    var _this;

    var style = _ref.style,
        rest = _objectWithoutProperties(_ref, _excluded$6);

    _classCallCheck(this, Rail);

    _this = _super.call(this, _objectSpread2({
      type: 'rail',
      style: style
    }, rest));
    _this.railPathGroup = void 0;
    _this.backgroundPathGroup = void 0;

    _this.init();

    return _this;
  }

  _createClass(Rail, [{
    key: "init",
    value: function init() {
      this.railPathGroup = new g.Group({
        name: 'railPathGroup',
        id: 'railPathGroup'
      });
      this.appendChild(this.railPathGroup);
      this.backgroundPathGroup = new g.Group({
        name: 'backgroundGroup',
        id: 'railBackgroundGroup'
      });
      this.appendChild(this.backgroundPathGroup);
      this.render();
    }
  }, {
    key: "render",
    value: function render() {
      var _this2 = this;

      this.clear();
      var _this$attributes = this.attributes,
          width = _this$attributes.width,
          color = _this$attributes.color,
          backgroundColor = _this$attributes.backgroundColor,
          orient = _this$attributes.orient,
          chunked = _this$attributes.chunked;
      var railPath = this.createRailPath();
      var railBackgroundPath = this.createBackgroundPath(); // 绘制背景

      railBackgroundPath.forEach(function (path) {
        _this2.backgroundPathGroup.appendChild(new g.Path({
          name: 'background',
          style: {
            path: path,
            fill: backgroundColor
          }
        }));
      });
      railPath.forEach(function (path, idx) {
        // chunked的情况下，只显示start到end范围内的梯形
        _this2.railPathGroup.appendChild(new g.Path({
          name: 'railPath',
          style: {
            path: path,
            fill: chunked ? color[idx] : _this2.getGradientColor()
          }
        }));
      }); // 根据orient对railPath旋转

      if (orient === 'vertical') {
        this.setOrigin(0, width);
        this.translateLocal(0, -width); // this.rotate(45);

        setTimeout(function () {
          _this2.rotate(45);
        });
      }
    }
  }, {
    key: "update",
    value: function update(cfg) {
      // deepMix railAttrs into this.attributes
      this.attr(cfg);
      this.render();
      this.updateSelection();
    }
    /**
     * 设置选区
     */

  }, {
    key: "updateSelection",
    value: function updateSelection() {
      // 更新背景
      var backgroundPaths = this.createBackgroundPath();
      this.backgroundPathGroup.children.forEach(function (shape, index) {
        shape.attr({
          path: backgroundPaths[index]
        });
      });
    }
  }, {
    key: "getRail",
    value: function getRail() {
      return this.railPathGroup;
    }
  }, {
    key: "getRailBackground",
    value: function getRailBackground() {
      return this.backgroundPathGroup;
    }
  }, {
    key: "clear",
    value: function clear() {
      this.railPathGroup.removeChildren();
      this.backgroundPathGroup.removeChildren();
    }
  }, {
    key: "getGradientColor",
    value: function getGradientColor() {
      var color = this.attributes.color;

      if (util.isArray(color) && color.length > 0) {
        // 生成线型渐变
        var step = 1 / (color.length - 1);
        var gradientColor = 'l(0)';

        for (var i = 0; i < color.length; i += 1) {
          gradientColor += " ".concat(toPrecision(i * step, 1), ":").concat(color[i]);
        }

        return gradientColor;
      }

      return color;
    }
  }, {
    key: "getOrientVal",
    value: function getOrientVal(val1, val2) {
      var orient = this.attributes.orient;
      return orient === 'horizontal' ? val1 : val2;
    }
    /**
     * 获取值对应的offset
     */

  }, {
    key: "getValueOffset",
    value: function getValueOffset$1(value) {
      var _this$attributes2 = this.attributes,
          min = _this$attributes2.min,
          max = _this$attributes2.max,
          width = _this$attributes2.width,
          height = _this$attributes2.height;
      return getValueOffset(value, min, max, this.getOrientVal(width, height));
    }
    /**
     * 生成rail path
     */

  }, {
    key: "createRailPath",
    value: function createRailPath() {
      var _this$attributes3 = this.attributes,
          width = _this$attributes3.width,
          height = _this$attributes3.height,
          type = _this$attributes3.type,
          chunked = _this$attributes3.chunked,
          min = _this$attributes3.min,
          max = _this$attributes3.max;
      var railPath; // 颜色映射

      if (chunked) {
        railPath = this.createChunkPath();
      } else {
        var startOffset = this.getValueOffset(min);
        var endOffset = this.getValueOffset(max);

        switch (type) {
          case 'color':
            railPath = [createRectRailPath(width, height, 0, 0, startOffset, endOffset)];
            break;

          case 'size':
            railPath = [createTrapezoidRailPath(width, height, 0, 0, startOffset, endOffset)];
            break;
        }
      }

      return railPath;
    }
    /**
     * 分块连续图例下的path
     */

  }, {
    key: "createChunkPath",
    value: function createChunkPath() {
      var _this$attributes4 = this.attributes,
          width = _this$attributes4.width,
          height = _this$attributes4.height,
          min = _this$attributes4.min,
          max = _this$attributes4.max,
          type = _this$attributes4.type,
          _t = _this$attributes4.ticks;
      var range = max - min;

      var _this$getOrientVal = this.getOrientVal([width, height], [height, width]),
          _this$getOrientVal2 = _slicedToArray(_this$getOrientVal, 2),
          len = _this$getOrientVal2[0],
          thick = _this$getOrientVal2[1]; // 每块四个角的位置


      var blocksPoints = []; // 插入端值

      var ticks = [min].concat(_toConsumableArray(_t), [max]); // 块起始位置

      var prevPos = 0;
      var prevThick = type === 'size' ? 0 : thick;

      for (var index = 1; index < ticks.length; index += 1) {
        var ratio = (ticks[index] - ticks[index - 1]) / range;
        var currLen = len * ratio; // 根据type确定形状

        var currThick = type === 'size' ? thick * ratio + prevThick : thick;
        var currPos = prevPos + currLen;
        blocksPoints.push([[prevPos, thick], [prevPos, thick - prevThick], [currPos, thick - currThick], [currPos, thick]]);
        prevPos = currPos;
        prevThick = currThick;
      }

      var paths = [];
      blocksPoints.forEach(function (points) {
        var path = [];
        points.forEach(function (point, index) {
          path.push([index === 0 ? 'M' : 'L'].concat(_toConsumableArray(point)));
        });
        path.push(['Z']);
        paths.push(path);
      });
      return paths;
    }
    /**
     * 场景背景掩膜
     */

  }, {
    key: "createBackgroundPath",
    value: function createBackgroundPath() {
      var _this$attributes5 = this.attributes,
          width = _this$attributes5.width,
          height = _this$attributes5.height,
          min = _this$attributes5.min,
          max = _this$attributes5.max,
          start = _this$attributes5.start,
          end = _this$attributes5.end,
          type = _this$attributes5.type;
      var startOffset = this.getValueOffset(start);
      var endOffset = this.getValueOffset(end);
      var minOffset = this.getValueOffset(min);
      var maxOffset = this.getValueOffset(max);
      var creator = type === 'size' ? createTrapezoidRailPath : createRectRailPath;
      return [creator(width, height, 0, 0, minOffset, startOffset), creator(width, height, 0, 0, endOffset, maxOffset)];
    }
  }]);

  return Rail;
}(g.DisplayObject);

var _excluded$7 = ["style"];
var Labels = /*#__PURE__*/function (_DisplayObject) {
  _inherits(Labels, _DisplayObject);

  var _super = _createSuper(Labels);

  function Labels(_ref) {
    var _this;

    var style = _ref.style,
        rest = _objectWithoutProperties(_ref, _excluded$7);

    _classCallCheck(this, Labels);

    _this = _super.call(this, _objectSpread2({
      type: 'lines',
      style: style
    }, rest));

    _this.render();

    return _this;
  }

  _createClass(Labels, [{
    key: "render",
    value: function render() {
      var _this2 = this;

      var labels = this.attributes.labels; // 重新绘制

      labels.forEach(function (cfg) {
        _this2.appendChild(new g.Text({
          name: 'label',
          style: cfg
        }));
      });
    }
  }, {
    key: "attributeChangedCallback",
    value: function attributeChangedCallback(name, value) {
      if (name === 'labelsAttrs') {
        // 清空label
        this.removeChildren(true);
        this.render();
      }
    }
  }]);

  return Labels;
}(g.DisplayObject);

var Continuous = /*#__PURE__*/function (_LegendBase) {
  _inherits(Continuous, _LegendBase);

  var _super = _createSuper(Continuous);

  /**
   * 结构：
   * this
   * |- titleShape
   * |-backgroundShape
   *   |- labelsShape
   *   |- railShape
   *      |- pathGroup
   *      |- backgroundGroup
   *      |- startHandle
   *      |- endHandle
   *      |- indicator
   */
  //
  // 色板
  // 开始滑块
  // 结束滑块

  /**
   * 指示器
   */

  /**
   * 当前交互的对象
   */

  /**
   * 上次鼠标事件的位置
   */
  function Continuous(options) {
    var _thisSuper, _this;

    _classCallCheck(this, Continuous);

    _this = _super.call(this, util.deepMix({}, Continuous.defaultOptions, options));
    _this.labelsShape = void 0;
    _this.railShape = void 0;
    _this.startHandle = void 0;
    _this.endHandle = void 0;
    _this.indicatorShape = void 0;
    _this.target = void 0;
    _this.prevValue = void 0;

    _this.onDragStart = function (target) {
      return function (e) {
        e.stopPropagation();
        var slidable = _this.attributes.slidable; // 关闭滑动

        if (!slidable) return;

        _this.onHoverEnd();

        _this.target = target;
        _this.prevValue = _this.getStepValueByValue(_this.getEventPosValue(e));

        _this.addEventListener('mousemove', _this.onDragging);

        _this.addEventListener('touchmove', _this.onDragging);

        document.addEventListener('mouseup', _this.onDragEnd);
        document.addEventListener('touchend', _this.onDragEnd);
      };
    };

    _this.onDragging = function (e) {
      e.stopPropagation();

      var _this$getSelection = _this.getSelection(),
          _this$getSelection2 = _slicedToArray(_this$getSelection, 2),
          start = _this$getSelection2[0],
          end = _this$getSelection2[1];

      var currValue = _this.getStepValueByValue(_this.getEventPosValue(e));

      var diffValue = currValue - _this.prevValue;

      var _assertThisInitialize = _assertThisInitialized(_this),
          target = _assertThisInitialize.target;

      if (target === 'start') start !== currValue && _this.setSelection(currValue, end);else if (target === 'end') end !== currValue && _this.setSelection(start, currValue);else if (target === 'rail') {
        if (diffValue !== 0) {
          _this.prevValue = currValue;

          _this.setSelection(diffValue, diffValue, true);
        }
      }
    };

    _this.onDragEnd = function () {
      _this.removeEventListener('mousemove', _this.onDragging);

      _this.removeEventListener('touchmove', _this.onDragging);

      document.removeEventListener('mouseup', _this.onDragEnd);
      document.removeEventListener('touchend', _this.onDragEnd); // 抬起时修正位置

      _this.target = undefined;
    };

    _this.onHoverStart = function (target) {
      return function (e) {
        e.stopPropagation(); // 如果target不为undefine，表明当前有其他事件被监听

        if (util.isUndefined(_this.target)) {
          _this.target = target;

          _this.addEventListener('mousemove', _this.onHovering);

          _this.addEventListener('touchmove', _this.onHovering);
        }
      };
    };

    _this.onHovering = function (e) {
      e.stopPropagation();

      var value = _this.getEventPosValue(e); // chunked为true时


      if (util.get(_this.attributes, ['rail', 'chunked'])) {
        var interval = _this.getTickIntervalByValue(value);

        if (!interval) return;

        var _interval = _slicedToArray(interval, 2),
            st = _interval[0],
            end = _interval[1];

        _this.setIndicator(toPrecision((st + end) / 2, 0), "".concat(st, "-").concat(end), false); // 计算value并发出事件


        _this.dispatchIndicated(interval);
      } else {
        var val = _this.getStepValueByValue(value);

        _this.setIndicator(val); // TODO 节流


        _this.dispatchIndicated(val);
      }
    };

    _this.onHoverEnd = function () {
      _this.removeEventListener('mousemove', _this.onHovering);

      _this.removeEventListener('touchmove', _this.onHovering); // 关闭指示器


      _this.setIndicator(false); // 恢复状态


      _this.target = undefined;
    };

    _get((_thisSuper = _assertThisInitialized(_this), _getPrototypeOf(Continuous.prototype)), "init", _thisSuper).call(_thisSuper);

    _this.init();

    return _this;
  }

  _createClass(Continuous, [{
    key: "init",
    value: function init() {
      // 创建labels
      this.createLabels(); // 创建色板及其背景

      this.createRail(); // // 创建滑动手柄

      this.createHandles(); // 设置手柄文本

      this.setHandleText(); // 调整布局

      this.adjustLayout(); // 调整title

      this.adjustTitle(); // 最后再绘制背景

      this.createBackground(); // 指示器

      this.createIndicator(); // // 监听事件

      this.bindEvents();
    }
  }, {
    key: "update",
    value: function update(cfg) {
      this.attr(util.deepMix({}, this.attributes, cfg)); // 更新label内容

      this.labelsShape.attr(this.getLabelsShapeCfg()); // 更新rail

      this.railShape.update(this.getRailShapeCfg()); // 更新选区

      this.setSelection.apply(this, _toConsumableArray(this.getSelection())); // 更新title内容

      this.titleShape.attr(this.getTitleShapeCfg()); // 更新handle

      this.updateHandles(); // 更新手柄文本

      this.setHandleText(); // 关闭指示器

      this.setIndicator(false); // 更新布局

      this.adjustLayout(); // 更新背景

      this.backgroundShape.attr(this.getBackgroundShapeCfg());
    }
  }, {
    key: "clear",
    value: function clear() {}
    /**
     * 设置指示器
     * @param value 设置的值，用于确定位置
     * @param text 可选；显示的文本，若无则通过value取值
     * @param useFormatter 是否使用formatter
     * @returns
     */

  }, {
    key: "setIndicator",
    value: function setIndicator(value, text) {
      var _this$indicatorShape;

      var useFormatter = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : true;
      // 值校验
      var _this$attributes = this.attributes,
          min = _this$attributes.min,
          max = _this$attributes.max,
          rail = _this$attributes.rail,
          indicator = _this$attributes.indicator;
      var safeValue = value === false ? false : util.clamp(value, min, max);

      if (safeValue === false || !indicator) {
        this.indicatorShape.hide();
        return;
      }

      this.indicatorShape.show();
      var type = rail.type,
          railWidth = rail.width,
          railHeight = rail.height;
      var spacing = indicator.spacing;
      var offsetX = this.getValueOffset(safeValue); // 设置指示器位置
      // type = color;
      // type=size时，指示器需要贴合轨道上边缘
      // handle会影响rail高度

      var offsetY = type === 'size' ? (1 - (safeValue - min) / (max - min)) * this.getOrientVal([railHeight, railWidth]) : 0;
      (_this$indicatorShape = this.indicatorShape) === null || _this$indicatorShape === void 0 ? void 0 : _this$indicatorShape.attr(this.getOrientVal([{
        x: offsetX,
        y: offsetY - spacing
      }, {
        x: offsetY + spacing,
        y: offsetX
      }]));
      var formatter = util.get(this.attributes, ['indicator', 'text', 'formatter']);
      var showText = text || safeValue;

      if (useFormatter) {
        showText = formatter(showText);
      } // 设置文本


      this.getIndicator('text').attr({
        text: showText
      }); // 调整指示器

      this.adjustIndicator();
    }
  }, {
    key: "getIndicator",
    value: function getIndicator(subNode) {
      if (!subNode) return this.indicatorShape;
      if (subNode === 'text') return this.indicatorShape.getElementsByName('text')[0];
      return this.indicatorShape.getElementsByName('background')[0];
    }
  }, {
    key: "getSelection",
    value: function getSelection() {
      var _this$attributes2 = this.attributes,
          min = _this$attributes2.min,
          max = _this$attributes2.max,
          start = _this$attributes2.start,
          end = _this$attributes2.end;
      return [start || min, end || max];
    }
    /**
     * 设置选区
     * @param stVal 开始值
     * @param endVal 结束值
     * @param isOffset stVal和endVal是否为偏移量
     */

  }, {
    key: "setSelection",
    value: function setSelection(stVal, endVal) {
      var isOffset = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : false;

      var _this$getSelection3 = this.getSelection(),
          _this$getSelection4 = _slicedToArray(_this$getSelection3, 2),
          currSt = _this$getSelection4[0],
          currEnd = _this$getSelection4[1];

      var start = stVal,
          end = endVal;

      if (isOffset) {
        // 获取当前值
        start += currSt;
        end += currEnd;
      } // 值校验


      var _this$getSafetySelect = this.getSafetySelections(start, end);

      var _this$getSafetySelect2 = _slicedToArray(_this$getSafetySelect, 2);

      start = _this$getSafetySelect2[0];
      end = _this$getSafetySelect2[1];
      this.setAttribute('start', start);
      this.setAttribute('end', end);
      this.railShape.update({
        start: start,
        end: end
      });
      this.adjustLayout();
      this.setHandleText();
    }
    /**
     * 设置Handle的文本
     */

  }, {
    key: "setHandleText",
    value: function setHandleText(text1, text2) {
      var useFormatter = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : true;

      var _this$getSelection5 = this.getSelection(),
          _this$getSelection6 = _slicedToArray(_this$getSelection5, 2),
          start = _this$getSelection6[0],
          end = _this$getSelection6[1];

      var startText = text1 || String(start),
          endText = text2 || String(end);

      if (useFormatter) {
        var formatter = util.get(this.attributes, ['handle', 'text', 'formatter']) || util.get(Continuous.defaultOptions, ['style', 'handle', 'text', 'formatter']);
        var _ref = [formatter(startText), formatter(endText)];
        startText = _ref[0];
        endText = _ref[1];
      }

      this.getHandle('start', 'text').attr({
        text: startText
      });
      this.getHandle('end', 'text').attr({
        text: endText
      });
    } // TODO
    // public getBounds() {}

    /**
     * 获取颜色
     */

  }, {
    key: "getColor",
    value: function getColor() {
      var color = this.attributes.color;
      return color;
    }
  }, {
    key: "getBackgroundShapeCfg",
    value: function getBackgroundShapeCfg() {
      var handle = this.attributes.handle;

      var _getShapeSpace = getShapeSpace(this),
          width = _getShapeSpace.width,
          height = _getShapeSpace.height;

      var _this$getPadding = this.getPadding(),
          _this$getPadding2 = _slicedToArray(_this$getPadding, 4),
          right = _this$getPadding2[1],
          bottom = _this$getPadding2[2],
          left = _this$getPadding2[3]; // 问就是调试工程


      var offsetX = handle ? -20 : 0;
      var offsetY = handle ? -10 : 0;
      return _objectSpread2({
        width: width + left + right + offsetX,
        height: height + bottom + offsetY
      }, this.getStyle('backgroundStyle'));
    }
    /**
     * 获得滑动步长
     * 未指定时默认为range的1%;
     */

  }, {
    key: "getStep",
    value: function getStep() {
      var _this$attributes3 = this.attributes,
          step = _this$attributes3.step,
          min = _this$attributes3.min,
          max = _this$attributes3.max;

      if (util.isUndefined(step)) {
        return toPrecision((max - min) * STEP_RATIO, 0);
      }

      return step;
    }
    /**
     * 取值附近的步长刻度上的值
     */

  }, {
    key: "getStepValueByValue",
    value: function getStepValueByValue$1(value) {
      var min = this.attributes.min;
      return getStepValueByValue(value, this.getStep(), min);
    }
    /**
     * 取值所在的刻度范围
     */

  }, {
    key: "getTickIntervalByValue",
    value: function getTickIntervalByValue(value) {
      var _this$getSelection7 = this.getSelection(),
          _this$getSelection8 = _slicedToArray(_this$getSelection7, 2),
          start = _this$getSelection8[0],
          end = _this$getSelection8[1];

      var ticks = util.get(this.attributes, ['rail', 'ticks']);
      var temp = [start].concat(_toConsumableArray(ticks), [end]);

      for (var i = 1; i < temp.length; i += 1) {
        var st = temp[i - 1];
        var _end = temp[i];

        if (value >= st && value <= _end) {
          return [st, _end];
        }
      }

      return false;
    }
    /**
     * 将选区调整至tick位置
     */

  }, {
    key: "adjustSelection",
    value: function adjustSelection() {
      var _this$getSelection9 = this.getSelection(),
          _this$getSelection10 = _slicedToArray(_this$getSelection9, 2),
          start = _this$getSelection10[0],
          end = _this$getSelection10[1];

      this.setSelection(this.getStepValueByValue(start), this.getStepValueByValue(end));
    }
    /**
     * 获取某个值在orient方向上的偏移量
     * reverse: 屏幕偏移量 -> 值
     */

  }, {
    key: "getValueOffset",
    value: function getValueOffset$1(value) {
      var reverse = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : false;
      var _this$attributes4 = this.attributes,
          min = _this$attributes4.min,
          max = _this$attributes4.max,
          rail = _this$attributes4.rail;
      var railWidth = rail.width,
          railHeight = rail.height;
      var innerLen = this.getOrientVal([railWidth, railHeight]);
      return getValueOffset(value, min, max, innerLen, reverse);
    }
  }, {
    key: "getSafetySelections",
    value: function getSafetySelections(start, end) {
      var precision = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 4;
      var _this$attributes5 = this.attributes,
          min = _this$attributes5.min,
          max = _this$attributes5.max;

      var _this$getSelection11 = this.getSelection(),
          _this$getSelection12 = _slicedToArray(_this$getSelection11, 2),
          prevStart = _this$getSelection12[0],
          prevEnd = _this$getSelection12[1];

      var startVal = start,
          endVal = end;
      var range = endVal - startVal; // 交换startVal endVal

      if (startVal > endVal) {
        var _ref2 = [endVal, startVal];
        startVal = _ref2[0];
        endVal = _ref2[1];
      } // 超出范围就全选


      if (range > max - min) {
        return [min, max];
      }

      if (startVal < min) {
        if (prevStart === min && prevEnd === endVal) {
          return [min, endVal];
        }

        return [min, range + min];
      }

      if (endVal > max) {
        if (prevEnd === max && prevStart === startVal) {
          return [startVal, max];
        }

        return [max - range, max];
      } // 保留小数


      return [toPrecision(startVal, precision), toPrecision(endVal, precision)];
    } // 获取Label属性

  }, {
    key: "getLabelsShapeCfg",
    value: function getLabelsShapeCfg() {
      var label = this.attributes.label; // 不绘制label

      if (!label) {
        return {
          labels: []
        };
      }

      var _this$attributes6 = this.attributes,
          min = _this$attributes6.min,
          max = _this$attributes6.max,
          rail = _this$attributes6.rail;
      var style = label.style,
          formatter = label.formatter,
          align = label.align;
      var cfg = []; // align为rail时仅显示min、max的label

      if (align === 'rail') {
        [min, max].forEach(function (value, idx) {
          cfg.push(_objectSpread2({
            x: 0,
            y: 0,
            text: formatter(value, idx)
          }, style));
        });
      } else {
        var ticks = [min].concat(_toConsumableArray(rail.ticks), [max]);
        ticks.forEach(function (value, idx) {
          cfg.push(_objectSpread2({
            x: 0,
            y: 0,
            text: formatter(value, idx)
          }, style));
        });
      }

      return {
        labels: cfg
      };
    } // 创建Label

  }, {
    key: "createLabels",
    value: function createLabels() {
      // 创建label容器
      this.labelsShape = new Labels({
        name: 'labels',
        id: 'labels',
        style: this.getLabelsShapeCfg()
      });
      this.appendChild(this.labelsShape);
    } // 获取色板属性

  }, {
    key: "getRailShapeCfg",
    value: function getRailShapeCfg() {
      // 直接绘制色板，布局在adjustLayout方法中进行
      var _this$attributes7 = this.attributes,
          min = _this$attributes7.min,
          max = _this$attributes7.max,
          rail = _this$attributes7.rail,
          orient = _this$attributes7.orient;

      var _this$getSelection13 = this.getSelection(),
          _this$getSelection14 = _slicedToArray(_this$getSelection13, 2),
          start = _this$getSelection14[0],
          end = _this$getSelection14[1];

      var color = this.getColor();
      return _objectSpread2({
        x: 0,
        y: 0,
        min: min,
        max: max,
        start: start,
        end: end,
        orient: orient,
        color: color,
        cursor: 'pointer'
      }, rail);
    } // 创建色板

  }, {
    key: "createRail",
    value: function createRail() {
      // 确定绘制类型
      this.railShape = new Rail({
        name: 'rail',
        id: 'rail',
        style: this.getRailShapeCfg()
      });
      this.appendChild(this.railShape);
    }
    /**
     * 获取手柄属性
     */

  }, {
    key: "getHandleShapeCfg",
    value: function getHandleShapeCfg() {
      var handle = this.attributes.handle;
      if (!handle) return {
        markerCfg: {
          size: 8,
          symbol: 'hiddenHandle',
          opacity: 0
        },
        textCfg: {
          text: '',
          opacity: 0
        }
      };
      var size = handle.size,
          icon = handle.icon,
          text = handle.text;
      var textStyle = text.style;
      var marker = icon.marker,
          markerStyle = icon.style; // 替换默认手柄

      var symbol = marker === 'default' ? this.getOrientVal(['horizontalHandle', 'verticalHandle']) : marker;
      return {
        markerCfg: _objectSpread2({
          symbol: symbol,
          size: size,
          cursor: this.getOrientVal(['ew-resize', 'ns-resize'])
        }, markerStyle),
        textCfg: _objectSpread2({
          text: ''
        }, textStyle)
      };
    }
    /**
     *  创建手柄
     */

  }, {
    key: "createHandle",
    value: function createHandle(handleType) {
      var _this$getHandleShapeC = this.getHandleShapeCfg(),
          markerCfg = _this$getHandleShapeC.markerCfg,
          textCfg = _this$getHandleShapeC.textCfg;

      var groupName = "".concat(handleType, "Handle");
      var el = new g.Group({
        name: groupName,
        id: groupName
      }); // 将tag挂载到rail

      this.railShape.appendChild(el);
      var text = new g.Text({
        name: 'text',
        style: textCfg
      });
      el.appendChild(text);
      var icon = new Marker({
        name: 'icon',
        style: markerCfg
      });
      el.appendChild(icon);
      if (handleType === 'start') this.startHandle = el;else this.endHandle = el;
    } // 创建手柄

  }, {
    key: "createHandles",
    value: function createHandles() {
      this.createHandle('start');
      this.createHandle('end');
    }
    /**
     * 更新handle
     */

  }, {
    key: "updateHandles",
    value: function updateHandles() {
      var _this2 = this;

      var _this$getHandleShapeC2 = this.getHandleShapeCfg(),
          markerCfg = _this$getHandleShapeC2.markerCfg,
          textCfg = _this$getHandleShapeC2.textCfg;

      ['start', 'end'].forEach(function (handleType) {
        _this2.getHandle(handleType, 'icon').update(markerCfg);

        _this2.getHandle(handleType, 'text').attr(textCfg);
      });
    }
    /**
     * 获得手柄、手柄内icon和text的对象
     */

  }, {
    key: "getHandle",
    value: function getHandle(handleType, subNode) {
      var handle;
      if (handleType === 'start') handle = this.startHandle;else handle = this.endHandle;
      if (!subNode) return handle;

      if (subNode === 'text') {
        return handle.getElementsByName('text')[0];
      }

      return handle.getElementsByName('icon')[0];
    }
    /**
     * 获得指示器配置
     */

  }, {
    key: "getIndicatorShapeCfg",
    value: function getIndicatorShapeCfg() {
      var indicator = this.attributes.indicator;
      if (!indicator) return {};
      var size = indicator.size,
          text = indicator.text,
          backgroundStyle = indicator.backgroundStyle;
      var textStyle = text.style;
      return {
        markerCfg: {
          size: size,
          symbol: this.getOrientVal(['downArrow', 'leftArrow']),
          fill: backgroundStyle.fill
        },
        textCfg: _objectSpread2(_objectSpread2({
          text: ''
        }, this.getOrientVal([{
          textAlign: 'center',
          textBaseline: 'middle'
        }, {
          textAlign: 'left',
          textBaseline: 'middle'
        }])), textStyle),
        backgroundCfg: backgroundStyle
      };
    }
  }, {
    key: "createIndicator",
    value: function createIndicator() {
      var indicator = this.attributes.indicator;
      if (!indicator) return;

      var _this$getIndicatorSha = this.getIndicatorShapeCfg(),
          markerCfg = _this$getIndicatorSha.markerCfg,
          textCfg = _this$getIndicatorSha.textCfg,
          backgroundCfg = _this$getIndicatorSha.backgroundCfg;

      var el = new g.Group({
        name: 'indicator',
        id: 'indicator'
      }); // 将tag挂载到rail

      this.railShape.appendChild(el);
      var text = new g.Text({
        name: 'text',
        style: textCfg
      });
      el.appendChild(text); // 创建 取用icon填充色
      // 位置大小在setIndicator中设置

      var background = new g.Rect({
        name: 'background',
        style: _objectSpread2({
          width: 0,
          height: 0
        }, backgroundCfg)
      });
      el.appendChild(background);
      background.toBack(); // 指示器小箭头

      var icon = new Marker({
        name: "icon",
        style: markerCfg
      });
      el.appendChild(icon);
      this.indicatorShape = el; // 默认隐藏

      this.indicatorShape.hide();
    }
    /**
     * 调整handle结构
     */

  }, {
    key: "adjustHandle",
    value: function adjustHandle() {
      var _this$getAvailableSpa = this.getAvailableSpace(),
          innerX = _this$getAvailableSpa.x,
          innerY = _this$getAvailableSpa.y;

      var _this$attributes8 = this.attributes,
          rail = _this$attributes8.rail,
          handle = _this$attributes8.handle;

      var _this$getSelection15 = this.getSelection(),
          _this$getSelection16 = _slicedToArray(_this$getSelection15, 2),
          start = _this$getSelection16[0],
          end = _this$getSelection16[1];

      var railHeight = rail.height; // handle为false时，取默认布局方式进行布局，但不会显示出来

      var handleCfg = handle || util.get(Continuous.defaultOptions, ['style', 'handle']);
      var handleSpacing = handleCfg.spacing,
          handleText = handleCfg.text;
      var handleTextAlign = handleText.align;
      this.railShape.attr({
        x: innerX,
        y: innerY
      }); // 设置Handle位置

      var startHandle = this.getHandle('start');
      var endHandle = this.getHandle('end');
      startHandle.attr({
        x: this.getValueOffset(start),
        y: railHeight / 2
      });
      endHandle.attr({
        x: this.getValueOffset(end),
        y: railHeight / 2
      }); // 调整文本位置

      var handleTextStyle = {};

      if (handleTextAlign === 'rail') {
        // 不做处理
        handleTextStyle = {};
      } else if (handleTextAlign === 'inside') {
        handleTextStyle = {
          y: -railHeight / 2 - handleSpacing,
          textBaseline: 'bottom'
        };
      } else if (handleTextAlign === 'outside') {
        handleTextStyle = {
          y: railHeight / 2 + handleSpacing,
          textBaseline: 'top'
        };
      }

      this.getHandle('start', 'text').attr(handleTextStyle);
      this.getHandle('end', 'text').attr(handleTextStyle);
    }
    /**
     * 调整labels结构
     */

  }, {
    key: "adjustLabels",
    value: function adjustLabels() {
      var _this3 = this;

      var _this$attributes9 = this.attributes,
          min = _this$attributes9.min,
          max = _this$attributes9.max,
          label = _this$attributes9.label,
          rail = _this$attributes9.rail,
          orient = _this$attributes9.orient;
      if (!label) return; // 容器内可用空间起点

      var _this$getAvailableSpa2 = this.getAvailableSpace(),
          innerX = _this$getAvailableSpa2.x,
          innerY = _this$getAvailableSpa2.y;

      var railWidth = rail.width,
          railHeight = rail.height,
          _t = rail.ticks; // 绘制label

      var labelAlign = label.align,
          labelSpacing = label.spacing; // label位置

      if (labelAlign === 'rail') {
        /**
         * 此时labelsShape中只包含min、max label
         * 1. 设置minLabel位置
         */
        if (orient === 'horizontal') {
          /**
           * 0  ||||||||||||||||||||||  100
           */
          this.labelsShape.attr({
            x: innerX,
            y: innerY + railHeight / 2
          });
          var _railStart = innerX;
          var firstChild = this.labelsShape.firstChild; // 设置左侧文本

          if (firstChild) {
            firstChild.attr({
              textAlign: 'start'
            });

            var _getShapeSpace2 = getShapeSpace(this.labelsShape.firstChild),
                width = _getShapeSpace2.width;

            _railStart += width + labelSpacing;
          } // this.labelsShape.firstChild!.attr({ textAlign: 'start' });
          // 左侧文本的宽度
          // const railStart = innerX + leftTextWidth + labelSpacing!;
          // 设置rail位置


          this.railShape.attr({
            x: _railStart,
            y: innerY
          });
          var lastChild = this.labelsShape.lastChild;

          if (lastChild) {
            // 设置右侧文本位置
            this.labelsShape.lastChild.attr({
              x: _railStart + railWidth + labelSpacing,
              y: 0,
              textAlign: 'start'
            });
          }

          return;
        }
        /**
         * else if orient === 'vertical'
         *   0
         *  --
         *  --
         *  --
         *  --
         *  --
         *  --
         *  400
         */


        this.labelsShape.attr({
          x: railWidth / 2,
          y: innerY
        }); // 顶部文本高度

        var _getShapeSpace3 = getShapeSpace(this.labelsShape.firstChild),
            topTextHeight = _getShapeSpace3.height;

        this.labelsShape.firstChild.attr({
          textBaseline: 'top'
        }); // rail位置

        var railStart = innerY + topTextHeight + labelSpacing;
        this.railShape.attr({
          x: innerX,
          y: railStart
        }); // 底部文本位置

        this.labelsShape.lastChild.attr({
          x: 0,
          y: railStart + railHeight + labelSpacing,
          textBaseline: 'top'
        });
        return;
      }
      /**
       * if labelAlign == 'inside' | 'outside'
       *  ||||||||||||||||||||||
       *  0  20  40  60  80  100
       *
       *  -- 0
       *  -- 20
       *  -- 40
       *  -- 60
       *  -- 80
       *  -- 100
       */


      if (orient === 'horizontal') {
        // labelsShape 高度
        var _getShapeSpace4 = getShapeSpace(this.labelsShape),
            labelsHeight = _getShapeSpace4.height;

        var labelSpace = labelsHeight + labelSpacing;
        this.railShape.attr({
          x: innerX,
          // label在上，rail在下
          y: innerY + (labelAlign === 'inside' ? labelSpace : 0)
        });
        this.labelsShape.attr({
          x: innerX,
          // label在上
          y: innerY + (labelAlign === 'inside' ? 0 : labelSpace) + 10
        }); // 补上min，max

        var ticks = [min].concat(_toConsumableArray(_t), [max]); // 设置labelsShape中每个文本的位置

        this.labelsShape.children.forEach(function (child, idx) {
          var val = ticks[idx]; // 通过val拿到偏移量

          child.attr({
            x: _this3.getValueOffset(val),
            y: 0,
            textBaseline: 'top',
            textAlign: function () {
              // 调整两端label位置
              if (idx === 0) return 'start';
              if (idx === ticks.length - 1) return 'end';
              return 'center';
            }()
          });
        });
        return;
      }
    }
    /**
     * 调整指示器结构
     */

  }, {
    key: "adjustIndicator",
    value: function adjustIndicator() {
      var text = this.getIndicator('text');
      var background = this.getIndicator('background');

      var _getShapeSpace5 = getShapeSpace(text),
          width = _getShapeSpace5.width,
          height = _getShapeSpace5.height;

      var _this$getPadding3 = this.getPadding(util.get(this.attributes, ['indicator', 'padding'])),
          _this$getPadding4 = _slicedToArray(_this$getPadding3, 4),
          top = _this$getPadding4[0],
          right = _this$getPadding4[1],
          bottom = _this$getPadding4[2],
          left = _this$getPadding4[3];

      var leftRight = left + right;
      var topBottom = top + bottom; // 设置背景大小

      background.attr({
        x: -width / 2 - left,
        y: -height - topBottom,
        width: width + leftRight,
        height: height + topBottom
      });
      text.attr({
        y: -height / 2 - top
      });
    }
    /**
     * 对图例进行布局
     */

  }, {
    key: "adjustLayout",
    value: function adjustLayout() {
      // if (!label && !handle) {
      //   // 没有label和Handle
      //   // 直接绘制色板即可
      // }
      var _this$attributes10 = this.attributes,
          handle = _this$attributes10.handle,
          label = _this$attributes10.label; // 调整handle
      // 显示handle时不显示label

      if (handle) {
        var _this$labelsShape;

        (_this$labelsShape = this.labelsShape) === null || _this$labelsShape === void 0 ? void 0 : _this$labelsShape.hide();
      } else {
        var _this$labelsShape2;

        (_this$labelsShape2 = this.labelsShape) === null || _this$labelsShape2 === void 0 ? void 0 : _this$labelsShape2.show();
      }

      if (this.getHandle('start')) {
        this.adjustHandle();
      } // 调整labels


      if (label && this.labelsShape.isVisible()) {
        this.adjustLabels();
      } // rail位置

    }
    /**
     * 事件触发的位置对应的value值
     * @param limit {boolean} 我也忘了要干啥了
     */

  }, {
    key: "getEventPosValue",
    value: function getEventPosValue(e) {
      var _this$attributes11 = this.attributes,
          min = _this$attributes11.min,
          max = _this$attributes11.max;
      var startPos = this.getOrientVal(this.railShape.getPosition().slice(0, 2));
      var currValue = this.getOrientVal(getEventPos(e));
      var offset = currValue - startPos;
      var value = util.clamp(this.getValueOffset(offset, true) + min, min, max);
      return value;
    }
    /**
     * 绑定事件
     */

  }, {
    key: "bindEvents",
    value: function bindEvents() {
      var _this4 = this;

      // 如果！slidable，则不绑定事件或者事件响应不生效
      // 各种hover事件
      // 放置需要绑定drag事件的对象
      var dragObject = new Map();
      dragObject.set('rail', this.railShape);
      dragObject.set('start', this.getHandle('start', 'icon'));
      dragObject.set('end', this.getHandle('end', 'icon')); // 绑定drag开始事件

      dragObject.forEach(function (obj, key) {
        obj.addEventListener('mousedown', _this4.onDragStart(key));
        obj.addEventListener('touchstart', _this4.onDragStart(key));
      }); // indicator hover事件

      this.railShape.getRail().addEventListener('mouseenter', this.onHoverStart('rail')); // this.backgroundShape.addEventListener('mouseover', this.onHoverEnd);
    }
    /**
     * 开始拖拽
     */

  }, {
    key: "dispatchIndicated",
    value: function dispatchIndicated(val) {
      var evt = new g.CustomEvent('onIndicated', {
        detail: {
          value: val
        }
      });
      this.dispatchEvent(evt);
    }
  }]);

  return Continuous;
}(LegendBase);
Continuous.tag = 'Continuous';
Continuous.defaultOptions = _objectSpread2({
  type: Continuous.tag
}, CONTINUOUS_DEFAULT_OPTIONS);

var Statistic = /*#__PURE__*/function (_GUI) {
  _inherits(Statistic, _GUI);

  var _super = _createSuper(Statistic);

  /**
   * 组件 tag
   */

  /** 标题  */

  /** 内容 */

  /** 背景 */

  /**
   * 默认配置项
   */
  function Statistic(options) {
    var _this;

    _classCallCheck(this, Statistic);

    _this = _super.call(this, util.deepMix({}, Statistic.defaultOptions, options));
    _this.titleShape = void 0;
    _this.valueShape = void 0;
    _this.backgroundShape = void 0;

    _this.init();

    return _this;
  }

  _createClass(Statistic, [{
    key: "init",
    value: function init() {
      this.initShape();
      this.update({});
    }
    /**
     * 组件的更新
     */

  }, {
    key: "update",
    value: function update(cfg) {
      this.attr(util.deepMix({}, this.attributes, cfg)); // 更新背景

      this.backgroundShape.attr(this.getBackgroundShapeCfg()); // 更新 title shape

      this.titleShape.update(this.getTitleShapeCfg()); // 更新 value shape

      this.valueShape.update(this.getValueShapeCfg()); // this.autoFit();
    }
  }, {
    key: "initShape",
    value: function initShape() {
      this.titleShape = new Tag({
        name: 'title',
        style: Statistic.defaultOptions.style.title
      });
      this.valueShape = new Tag({
        name: 'value',
        style: Statistic.defaultOptions.style.value
      });
      this.backgroundShape = new g.Rect({
        name: 'background'
      });
      this.backgroundShape.appendChild(this.titleShape);
      this.backgroundShape.appendChild(this.valueShape);
      this.appendChild(this.backgroundShape);
      this.backgroundShape.toBack();
    }
    /**
     * 获取背景配置
     */

  }, {
    key: "getBackgroundShapeCfg",
    value: function getBackgroundShapeCfg() {
      var backgroundStyle = this.attributes.backgroundStyle;
      return getStateStyle(backgroundStyle);
    }
    /**
     * 获取标题配置
     */

  }, {
    key: "getTitleShapeCfg",
    value: function getTitleShapeCfg() {
      var title = this.attributes.title;
      return _objectSpread2(_objectSpread2({
        text: ''
      }, title), {}, {
        x: 0,
        y: 0
      });
    }
    /**
     * 获取内容配置
     */

  }, {
    key: "getValueShapeCfg",
    value: function getValueShapeCfg() {
      var _this$attributes = this.attributes,
          value = _this$attributes.value,
          spacing = _this$attributes.spacing;
      var titleHeight = 0;

      if (this.titleShape) {
        var bounds = this.titleShape.getBounds();
        titleHeight = bounds.getMax()[1] - bounds.getMin()[1];
      }

      var valueX = 0;
      var valueY = spacing + titleHeight;
      return _objectSpread2(_objectSpread2({
        text: ''
      }, value), {}, {
        x: valueX,
        y: valueY // title 文本高度 + spacing 上下间距

      });
    }
    /**
     * 组件的清除
     */

  }, {
    key: "clear",
    value: function clear() {
      this.valueShape.destroy();
      this.titleShape.destroy();
      this.backgroundShape.destroy();
    }
  }]);

  return Statistic;
}(GUI);
Statistic.tag = 'statistic';
Statistic.defaultOptions = {
  type: Statistic.tag,
  style: {
    x: 0,
    y: 0,
    title: {
      // 标题
      text: '',

      /** 内边距 置 0 */
      padding: 0,
      textStyle: {
        default: {
          fontSize: 14,
          fill: 'rgba(0, 0, 0, 0.45)'
        }
      },

      /** 默认不要背景 */
      backgroundStyle: {
        default: {
          fill: 'transparent',
          lineWidth: 0
        }
      }
    },
    value: {
      text: '',

      /** 内边距 置 0 */
      padding: 0,
      textStyle: {
        default: {
          fontSize: 24,
          fill: 'rgba(0, 0, 0, 0.85)'
        }
      },

      /** 默认不要背景 */
      backgroundStyle: {
        default: {
          fill: 'transparent',
          lineWidth: 0
        }
      }
    },
    spacing: 5
  }
};

// Countdown
var timeUnits = [['Y', 1000 * 60 * 60 * 24 * 365], ['M', 1000 * 60 * 60 * 24 * 30], ['D', 1000 * 60 * 60 * 24], ['H', 1000 * 60 * 60], ['m', 1000 * 60], ['s', 1000], ['S', 1] // million seconds
];
function formatTimeStr(duration, format) {
  var leftDuration = duration;
  var escapeRegex = /\[[^\]]*]/g;
  var keepList = (format.match(escapeRegex) || []).map(function (str) {
    return str.slice(1, -1);
  });
  var templateText = format.replace(escapeRegex, '[]');
  var replacedText = timeUnits.reduce(function (current, _ref) {
    var _ref2 = _slicedToArray(_ref, 2),
        name = _ref2[0],
        unit = _ref2[1];

    if (current.indexOf(name) !== -1) {
      var value = Math.floor(leftDuration / unit);
      leftDuration -= value * unit;
      return current.replace(new RegExp("".concat(name, "+"), 'g'), function (match) {
        var v = value.toString();
        return v.length < 2 ? "0".concat(v) : v;
      });
    }

    return current;
  }, templateText);
  var index = 0;
  return replacedText.replace(escapeRegex, function () {
    var match = keepList[index];
    index += 1;
    return match;
  });
}

var REFRESH_INTERVAL = 1000 / 30;
var Countdown = /*#__PURE__*/function (_Statistic) {
  _inherits(Countdown, _Statistic);

  var _super = _createSuper(Countdown);

  /**
   * 标签类型
   */

  /**
   * 默认配置项
   */

  /**
   * 记录初始化时间戳 倒计时用
   */

  /**
   * 记录初始化value
   */
  function Countdown(options) {
    var _this;

    _classCallCheck(this, Countdown);

    _this = _super.call(this, util.deepMix({}, Countdown.defaultOptions, options));
    _this.countdownId = void 0;
    _this.timestamp = void 0;

    _this.init();

    return _this;
  }
  /**
   * @override
   */


  _createClass(Countdown, [{
    key: "init",
    value: function init() {
      _get(_getPrototypeOf(Countdown.prototype), "init", this).call(this);

      this.timestamp = this.attributes.value.timestamp;
      this.startTimer();
    }
    /**
     * @override 倒计时组件, 时间文本（value.text）复写更新
     */

  }, {
    key: "update",
    value: function update(cfg) {
      _get(_getPrototypeOf(Countdown.prototype), "update", this).call(this, cfg);
    }
    /**
     * 更新 倒计时数值
     */

  }, {
    key: "formatCountdown",
    value: function formatCountdown(cfg) {
      var _this$attributes$valu, _cfg$value;

      var format = (_this$attributes$valu = this.attributes.value) === null || _this$attributes$valu === void 0 ? void 0 : _this$attributes$valu.format;

      if (cfg === null || cfg === void 0 ? void 0 : (_cfg$value = cfg.value) === null || _cfg$value === void 0 ? void 0 : _cfg$value.format) {
        format = cfg.value.format;
      }

      var target = new Date(this.timestamp).getTime();
      var current = Date.now();
      var diff = Math.max(target - current, 0);
      var text = !util.isNil(diff) ? "".concat(diff) : '';

      if (format) {
        text = formatTimeStr(diff, format);
      }

      return text;
    }
  }, {
    key: "startTimer",
    value: function startTimer() {
      var _this2 = this;

      if (this.countdownId) return;
      this.countdownId = window.setInterval(function () {
        var text = _this2.formatCountdown();

        _this2.valueShape.update({
          text: text
        });

        if (_this2.timestamp <= Date.now()) {
          _this2.stopTimer();
        }
      }, REFRESH_INTERVAL);
    }
  }, {
    key: "stopTimer",
    value: function stopTimer() {
      if (this.countdownId) {
        clearInterval(this.countdownId);
        this.countdownId = undefined;
        var onFinish = this.attributes.onFinish;

        if (onFinish) {
          onFinish();
        }
      }
    }
  }]);

  return Countdown;
}(Statistic);
Countdown.tag = 'countdown';
Countdown.defaultOptions = util.deepMix({}, Statistic.defaultOptions, {
  style: {
    value: {
      // 默认 30s
      timestamp: Date.now() + 1000 * 30
    }
  }
});

var PageNavigator = /*#__PURE__*/function (_GUI) {
  _inherits(PageNavigator, _GUI);

  var _super = _createSuper(PageNavigator);

  function PageNavigator(options) {
    var _this;

    _classCallCheck(this, PageNavigator);

    _this = _super.call(this, util.deepMix({}, PageNavigator.defaultOptions, options));
    _this.currPage = void 0;
    _this.prevButton = void 0;
    _this.nextButton = void 0;
    _this.paginationGroup = void 0;
    _this.pageView = void 0;
    _this.fullView = void 0;
    _this.playState = 'idle';
    _this.finishedPromise = void 0;
    _this.resolveFinishedPromise = void 0;
    var _this$attributes = _this.attributes,
        view = _this$attributes.view,
        initPageNum = _this$attributes.initPageNum;
    _this.currPage = initPageNum; // 指定宽高

    _this.view = view;

    _this.init();

    return _this;
  }

  _createClass(PageNavigator, [{
    key: "finished",
    get:
    /**
     * 当前页面的索引
     */

    /**
     * 向前翻页按钮
     */

    /**
     * 向后翻页按钮
     */

    /**
     * 页码，可以是 1/5 ，也可以是 1 2 3 4 5 这种
     */

    /**
     * 显示内容的窗口
     */

    /**
     * 当前是否正在翻页
     */
    function get() {
      var _this2 = this;

      if (!this.finishedPromise) {
        this.finishedPromise = new Promise(function (resolve) {
          _this2.resolveFinishedPromise = function () {
            _this2.finishedPromise = null;
            resolve(_this2.currPage);
          };
        });
      }

      if (this.playState === 'idle') {
        this.resolveFinishedPromise();
      }

      return this.finishedPromise;
    }
    /**
     * 一共有多少页
     */

  }, {
    key: "totalPages",
    get: function get() {
      var _this$attributes2 = this.attributes,
          width = _this$attributes2.width,
          height = _this$attributes2.height,
          pageWidth = _this$attributes2.pageWidth,
          pageHeight = _this$attributes2.pageHeight,
          orient = _this$attributes2.orient,
          pageLimit = _this$attributes2.pageLimit,
          pageCallback = _this$attributes2.pageCallback;
      if (pageCallback || pageLimit !== Infinity) return pageLimit;
      var totalPages = 0;

      if (orient === 'horizontal') {
        totalPages = Math.ceil(width / pageWidth);
      } else {
        totalPages = Math.ceil(height / pageHeight);
      }

      return totalPages;
    }
  }, {
    key: "view",
    get: function get() {
      return this.fullView;
    },
    set: function set(view) {
      this.fullView = view;
      var _this$attributes3 = this.attributes,
          width = _this$attributes3.width,
          height = _this$attributes3.height;

      if (!width || !height) {
        var _getShapeSpace = getShapeSpace(view),
            w = _getShapeSpace.width,
            h = _getShapeSpace.height;

        this.attr({
          width: w,
          height: h
        });
      }
    }
  }, {
    key: "init",
    value: function init() {
      this.initShape(); // 更新窗口

      this.updatePageView(); // 更新背景

      this.updateFullView(); // 更新按钮

      this.updateButton();
      this.updateButtonState(); // 调整布局

      this.adjustLayout(); // 绑定事件

      this.bindEvents();
    }
  }, {
    key: "update",
    value: function update(cfg) {
      this.attr(util.deepMix({}, this.attributes, cfg));
      this.updatePageView();

      if ('view' in cfg) {
        var view = cfg.view;
        this.view.style.clipPath = null;
        this.removeChild(this.view); // 更新full view

        this.view = view;
        this.view.style.clipPath = this.pageView;
        this.appendChild(this.view);
      }

      this.updateButton();
      this.updateButtonState();
      this.adjustLayout();
    }
  }, {
    key: "clear",
    value: function clear() {}
    /**
     * 从xx页翻到xx页
     * from 默认为当前页
     */

  }, {
    key: "goTo",
    value: function goTo(to, from) {
      var _this3 = this;

      if (this.playState === 'idle') {
        var _this$attributes4 = this.attributes,
            effect = _this$attributes4.effect,
            duration = _this$attributes4.duration;

        var _this$getPageViewSpac = this.getPageViewSpace(util.isUndefined(from) ? this.currPage : from),
            fromX = _this$getPageViewSpac.x,
            fromY = _this$getPageViewSpac.y;

        var _this$getPageViewSpac2 = this.getPageViewSpace(to),
            toX = _this$getPageViewSpac2.x,
            toY = _this$getPageViewSpac2.y;

        var currX = this.view.attr('x');
        var currY = this.view.attr('y');
        var targetX = currX + fromX - toX,
            targetY = currY + fromY - toY;
        this.playState = 'running'; // 播放动画

        this.pageView.animate([{
          transform: "translate(".concat(fromX, "px, ").concat(fromY, "px)")
        }, {
          transform: "translate(".concat(toX, "px, ").concat(toY, "px)")
        }], {
          duration: duration,
          easing: effect
        });
        var animation = this.view.animate([{
          transform: "translate(".concat(currX, "px, ").concat(currY, "px)")
        }, {
          transform: "translate(".concat(targetX, "px, ").concat(targetY, "px)")
        }], {
          duration: duration,
          easing: effect
        }); // 设置最终位置

        animation === null || animation === void 0 ? void 0 : animation.finished.then(function () {
          _this3.pageView.attr({
            x: toX,
            y: toY
          });

          _this3.view.attr({
            x: targetX,
            y: targetY
          });

          _this3.currPage = to;

          _this3.updateButtonState();

          _this3.resolveFinishedPromise();

          _this3.playState = 'idle';
        });
      }

      return this.finished;
    }
    /**
     * 向前翻页
     */

  }, {
    key: "prev",
    value: function prev() {
      var loop = this.attributes.loop;
      var page = this.currPage;
      var to = page - 1;
      if (to <= 1) to = loop ? this.totalPages : 1;
      return this.goTo(to);
    }
    /**
     * 向后翻页
     */

  }, {
    key: "next",
    value: function next() {
      var loop = this.attributes.loop;
      var totalPages = this.totalPages;
      var page = this.currPage;
      var to = page + 1;
      if (to > totalPages) to = loop ? 1 : totalPages;
      return this.goTo(to);
    }
  }, {
    key: "initShape",
    value: function initShape() {
      // 初始化 窗口
      this.pageView = new g.Rect({
        name: 'pageView',
        style: {
          x: 0,
          y: 0,
          width: 0,
          height: 0
        }
      });
      this.view.style.clipPath = this.pageView; // 将全景图挂载到翻页器

      this.appendChild(this.view); // 初始化按钮

      this.prevButton = new Button({
        name: 'prevButton',
        style: _objectSpread2(_objectSpread2({}, PageNavigator.defaultOptions.style.button.prev), {}, {
          onClick: this.prev.bind(this)
        })
      });
      this.appendChild(this.prevButton);
      this.nextButton = new Button({
        name: 'nextButton',
        style: _objectSpread2(_objectSpread2({}, PageNavigator.defaultOptions.style.button.next), {}, {
          onClick: this.next.bind(this)
        })
      });
      this.appendChild(this.nextButton); // 页码

      this.paginationGroup = new g.Group({
        name: 'paginationGroup'
      });
      this.appendChild(this.paginationGroup);
    }
  }, {
    key: "updatePageView",
    value: function updatePageView() {
      this.pageView.attr(this.getPageViewSpace(this.currPage));
    }
  }, {
    key: "updateFullView",
    value: function updateFullView() {
      this.view.attr(this.calcFullViewPosition(this.currPage));
    }
  }, {
    key: "updateButton",
    value: function updateButton() {
      var button = this.attributes.button;
      var prev = button.prev,
          next = button.next;
      prev && this.prevButton.update(prev);
      next && this.nextButton.update(next);
    }
    /**
     * 更新 button 状态
     */

  }, {
    key: "updateButtonState",
    value: function updateButtonState() {
      var loop = this.attributes.loop;

      if (!loop) {
        if (this.currPage === this.totalPages) {
          this.nextButton.update({
            disabled: true
          });
        } else {
          this.nextButton.update({
            disabled: false
          });
        }

        if (this.currPage === 1) {
          this.prevButton.update({
            disabled: true
          });
        } else {
          this.prevButton.update({
            disabled: false
          });
        }
      }
    }
    /**
     * 根据页码获得该页的位置
     */

  }, {
    key: "getPageViewSpace",
    value: function getPageViewSpace(num) {
      var _this$attributes5 = this.attributes,
          orient = _this$attributes5.orient,
          pageWidth = _this$attributes5.pageWidth,
          pageHeight = _this$attributes5.pageHeight,
          pageCallback = _this$attributes5.pageCallback;
      var pageSpace = {
        x: 0,
        y: 0,
        width: pageWidth,
        height: pageHeight
      };
      var totalPages = this.totalPages;
      if (pageCallback) return _objectSpread2(_objectSpread2({}, pageSpace), pageCallback(num));
      if (num > totalPages || num < 1) return pageSpace;

      if (orient === 'vertical') {
        pageSpace.y = (num - 1) * pageHeight;
      } else if (orient === 'horizontal') {
        pageSpace.x = (num - 1) * pageWidth;
      }

      return pageSpace;
    }
    /**
     * 计算切换到第num页时，fullView应当放置的位置
     */

  }, {
    key: "calcFullViewPosition",
    value: function calcFullViewPosition(num) {
      // 第1页的pageView位置 应当对应fullView 的位置
      var _this$getPageViewSpac3 = this.getPageViewSpace(1),
          p1X = _this$getPageViewSpac3.x,
          p1Y = _this$getPageViewSpac3.y;

      var _this$getPageViewSpac4 = this.getPageViewSpace(num),
          pnX = _this$getPageViewSpac4.x,
          pnY = _this$getPageViewSpac4.y;

      var diffX = -pnX + p1X,
          diffY = -pnY + p1Y;
      return {
        x: diffX,
        y: diffY
      };
    }
  }, {
    key: "bindEvents",
    value: function bindEvents() {// 按钮点击事件
      // this.prevButton.addEventListener('click', () => this.prev());
      // this.nextButton.addEventListener('click', () => this.next());
    }
    /**
     * 调整布局
     */

  }, {
    key: "adjustLayout",
    value: function adjustLayout() {
      this.adjustButton();
    }
    /**
     * 调整button位置
     */

  }, {
    key: "adjustButton",
    value: function adjustButton() {
      var _this$attributes6 = this.attributes,
          button = _this$attributes6.button,
          pageWidth = _this$attributes6.pageWidth,
          pageHeight = _this$attributes6.pageHeight;
      var position = button.position,
          spacing = button.spacing;

      var _getShapeSpace2 = getShapeSpace(this.prevButton),
          prevWidth = _getShapeSpace2.width,
          prevHeight = _getShapeSpace2.height;

      var _getShapeSpace3 = getShapeSpace(this.nextButton),
          nextWidth = _getShapeSpace3.width,
          nextHeight = _getShapeSpace3.height;

      var prevX = 0;
      var prevY = 0;
      var nextX = 0;
      var nextY = 0;

      if (position === 'horizontal') {
        /**
         *  ⬅️ ||||||||| ➡️
         */
        prevX = -(spacing + prevWidth);
        prevY = (pageHeight - prevHeight) / 2;
        nextX = spacing + pageWidth;
        nextY = (pageHeight - nextHeight) / 2;
      } else if (position === 'vertical') {
        /**
         *     ⬆️
         *  |||||||||
         *     ⬇️
         */
        prevX = (pageWidth - prevWidth) / 2;
        prevY = -(spacing + prevHeight);
        nextX = (pageWidth - nextWidth) / 2;
        nextY = spacing + pageHeight;
      } else if (position === 'top') {
        /**
         *    ⬅️ ➡️
         *  |||||||||
         */
        var height = util.max([prevHeight, nextHeight]);
        prevX = (pageWidth - spacing) / 2 - prevWidth;
        prevY = -(spacing + height);
        nextX = (pageWidth + spacing) / 2;
        nextY = -(spacing + height);
      } else if (position === 'bottom') {
        /**
         *  |||||||||
         *    ⬅️ ➡️
         */
        prevX = (pageWidth - spacing) / 2 - prevWidth;
        prevY = spacing + pageHeight;
        nextX = (pageWidth + spacing) / 2;
        nextY = prevY;
      } else if (position === 'left') {
        /**
         * ⬅️ ➡️  |||||||||
         */
        var _height = util.max([prevHeight, nextHeight]);

        prevY = (pageHeight - _height) / 2;
        nextX = -(spacing + nextWidth);
        prevX = nextX - (spacing + prevWidth);
        nextY = prevY;
      } else if (position === 'right') {
        /**
         *  ||||||||| ⬅️ ➡️
         */
        var _height2 = util.max([prevHeight, nextHeight]);

        prevX = spacing + pageWidth;
        prevY = (pageHeight - _height2) / 2;
        nextX = prevX + prevWidth;
        nextY = prevY;
      }

      this.prevButton.attr({
        x: prevX,
        y: prevY
      });
      this.nextButton.attr({
        x: nextX,
        y: nextY
      });
    }
  }]);

  return PageNavigator;
}(GUI);
PageNavigator.tag = 'pageNavigator';
PageNavigator.defaultOptions = {
  type: PageNavigator.tag,
  style: {
    x: 0,
    y: 0,
    effect: 'linear',
    duration: 200,
    orient: 'horizontal',
    initPageNum: 1,
    pageLimit: Infinity,
    loop: false,
    button: {
      prev: {
        text: '上一页',
        spacing: 0
      },
      next: {
        text: '下一页',
        spacing: 0
      },
      style: {
        default: {},
        active: {},
        disabled: {}
      },
      spacing: 5,
      position: 'bottom'
    },
    pagination: {
      type: 'currTotal',
      style: {
        default: {},
        active: {}
      },
      separator: '/',
      spacing: 5,
      position: 'bottom'
    }
  }
};

exports.Arrow = Arrow;
exports.Axis = Axis;
exports.BreadCrumb = BreadCrumb;
exports.Button = Button;
exports.Category = Category;
exports.Continuous = Continuous;
exports.Countdown = Countdown;
exports.Marker = Marker;
exports.PageNavigator = PageNavigator;
exports.Scrollbar = Scrollbar;
exports.Sheet = Sheet;
exports.Slider = Slider;
exports.Sparkline = Sparkline;
exports.Statistic = Statistic;
exports.Tag = Tag;
exports.Timeline = Timeline;
exports.getEllipsisText = getEllipsisText;
exports.measureTextWidth = measureTextWidth;
exports.svg2marker = svg2marker;
exports.toPrecision = toPrecision;
